package android.hardware.cap.fingerprint;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;

public interface IGoodixFingerprintDaemonCallback extends IInterface {
    void onAcquired(long j, int i) throws RemoteException;

    void onAuthenticated(long j, int i, int i2, byte[] bArr) throws RemoteException;

    void onCaptureInfo(long j, int i, int i2, int i3, int i4, byte[] bArr, byte[] bArr2) throws RemoteException;

    void onEnrollResult(long j, int i, int i2, int i3) throws RemoteException;

    void onEnrollSecResult(long j, int i, int i2, int i3, int i4, int i5, byte[] bArr) throws RemoteException;

    void onError(long j, int i) throws RemoteException;

    void onEventInfo(int i, byte[] bArr) throws RemoteException;

    void onHbdData(long j, int i, int i2, byte[] bArr) throws RemoteException;

    void onRemoved(long j, int i, int i2) throws RemoteException;

    void onTestCmd(long j, int i, byte[] bArr) throws RemoteException;

    public static abstract class Stub extends Binder implements IGoodixFingerprintDaemonCallback {
        private static final String DESCRIPTOR = "android.hardware.cap.fingerprint.IGoodixFingerprintDaemonCallback";
        static final int TRANSACTION_onAcquired = 2;
        static final int TRANSACTION_onAuthenticated = 3;
        static final int TRANSACTION_onCaptureInfo = 9;
        static final int TRANSACTION_onEnrollResult = 1;
        static final int TRANSACTION_onEnrollSecResult = 8;
        static final int TRANSACTION_onError = 4;
        static final int TRANSACTION_onEventInfo = 10;
        static final int TRANSACTION_onHbdData = 7;
        static final int TRANSACTION_onRemoved = 5;
        static final int TRANSACTION_onTestCmd = 6;

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static IGoodixFingerprintDaemonCallback asInterface(IBinder obj) {
            if (obj == null) {
                return null;
            }
            IInterface iin = obj.queryLocalInterface(DESCRIPTOR);
            if (iin == null || !(iin instanceof IGoodixFingerprintDaemonCallback)) {
                return new Proxy(obj);
            }
            return (IGoodixFingerprintDaemonCallback) iin;
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int code, Parcel data, Parcel reply, int flags) throws RemoteException {
            switch (code) {
                case 1:
                    data.enforceInterface(DESCRIPTOR);
                    onEnrollResult(data.readLong(), data.readInt(), data.readInt(), data.readInt());
                    reply.writeNoException();
                    return true;
                case 2:
                    data.enforceInterface(DESCRIPTOR);
                    onAcquired(data.readLong(), data.readInt());
                    reply.writeNoException();
                    return true;
                case 3:
                    data.enforceInterface(DESCRIPTOR);
                    onAuthenticated(data.readLong(), data.readInt(), data.readInt(), data.createByteArray());
                    reply.writeNoException();
                    return true;
                case 4:
                    data.enforceInterface(DESCRIPTOR);
                    onError(data.readLong(), data.readInt());
                    reply.writeNoException();
                    return true;
                case 5:
                    data.enforceInterface(DESCRIPTOR);
                    onRemoved(data.readLong(), data.readInt(), data.readInt());
                    reply.writeNoException();
                    return true;
                case 6:
                    data.enforceInterface(DESCRIPTOR);
                    onTestCmd(data.readLong(), data.readInt(), data.createByteArray());
                    reply.writeNoException();
                    return true;
                case 7:
                    data.enforceInterface(DESCRIPTOR);
                    onHbdData(data.readLong(), data.readInt(), data.readInt(), data.createByteArray());
                    reply.writeNoException();
                    return true;
                case 8:
                    data.enforceInterface(DESCRIPTOR);
                    onEnrollSecResult(data.readLong(), data.readInt(), data.readInt(), data.readInt(), data.readInt(), data.readInt(), data.createByteArray());
                    reply.writeNoException();
                    return true;
                case 9:
                    data.enforceInterface(DESCRIPTOR);
                    onCaptureInfo(data.readLong(), data.readInt(), data.readInt(), data.readInt(), data.readInt(), data.createByteArray(), data.createByteArray());
                    reply.writeNoException();
                    return true;
                case 10:
                    data.enforceInterface(DESCRIPTOR);
                    onEventInfo(data.readInt(), data.createByteArray());
                    reply.writeNoException();
                    return true;
                case 1598968902:
                    reply.writeString(DESCRIPTOR);
                    return true;
                default:
                    return super.onTransact(code, data, reply, flags);
            }
        }

        private static class Proxy implements IGoodixFingerprintDaemonCallback {
            private IBinder mRemote;

            Proxy(IBinder remote) {
                this.mRemote = remote;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            @Override // android.hardware.cap.fingerprint.IGoodixFingerprintDaemonCallback
            public void onEnrollResult(long devId, int fpId, int gpId, int rem) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeLong(devId);
                    _data.writeInt(fpId);
                    _data.writeInt(gpId);
                    _data.writeInt(rem);
                    this.mRemote.transact(1, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // android.hardware.cap.fingerprint.IGoodixFingerprintDaemonCallback
            public void onAcquired(long devId, int acquiredInfo) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeLong(devId);
                    _data.writeInt(acquiredInfo);
                    this.mRemote.transact(2, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // android.hardware.cap.fingerprint.IGoodixFingerprintDaemonCallback
            public void onAuthenticated(long devId, int fingerId, int groupId, byte[] token) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeLong(devId);
                    _data.writeInt(fingerId);
                    _data.writeInt(groupId);
                    _data.writeByteArray(token);
                    this.mRemote.transact(3, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // android.hardware.cap.fingerprint.IGoodixFingerprintDaemonCallback
            public void onError(long devId, int error) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeLong(devId);
                    _data.writeInt(error);
                    this.mRemote.transact(4, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // android.hardware.cap.fingerprint.IGoodixFingerprintDaemonCallback
            public void onRemoved(long devId, int fingerId, int groupId) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeLong(devId);
                    _data.writeInt(fingerId);
                    _data.writeInt(groupId);
                    this.mRemote.transact(5, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // android.hardware.cap.fingerprint.IGoodixFingerprintDaemonCallback
            public void onTestCmd(long devId, int cmdId, byte[] result) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeLong(devId);
                    _data.writeInt(cmdId);
                    _data.writeByteArray(result);
                    this.mRemote.transact(6, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // android.hardware.cap.fingerprint.IGoodixFingerprintDaemonCallback
            public void onHbdData(long devId, int heartBeatRate, int status, byte[] displayData) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeLong(devId);
                    _data.writeInt(heartBeatRate);
                    _data.writeInt(status);
                    _data.writeByteArray(displayData);
                    this.mRemote.transact(7, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // android.hardware.cap.fingerprint.IGoodixFingerprintDaemonCallback
            public void onEnrollSecResult(long devId, int fpId, int gpId, int remaining, int width, int height, byte[] result) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeLong(devId);
                    _data.writeInt(fpId);
                    _data.writeInt(gpId);
                    _data.writeInt(remaining);
                    _data.writeInt(width);
                    _data.writeInt(height);
                    _data.writeByteArray(result);
                    this.mRemote.transact(8, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // android.hardware.cap.fingerprint.IGoodixFingerprintDaemonCallback
            public void onCaptureInfo(long devId, int width, int height, int imgQuality, int score, byte[] rawData, byte[] bmpData) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeLong(devId);
                    _data.writeInt(width);
                    _data.writeInt(height);
                    _data.writeInt(imgQuality);
                    _data.writeInt(score);
                    _data.writeByteArray(rawData);
                    _data.writeByteArray(bmpData);
                    this.mRemote.transact(9, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // android.hardware.cap.fingerprint.IGoodixFingerprintDaemonCallback
            public void onEventInfo(int eventId, byte[] eventData) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeInt(eventId);
                    _data.writeByteArray(eventData);
                    this.mRemote.transact(10, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }
        }
    }
}
