package com.goodix.cap.fingerprint.ext;

import java.util.HashMap;

public class GoodixEvent {
    public static final int ACCURACY_HIGH = 1003;
    public static final int ACCURACY_LOW = 1001;
    public static final int ACCURACY_REGULAR = 1002;
    public static final int ACCURACY_VERY_HIGH = 1004;
    public static final int CAPTURE_COMPLETED = 4003;
    public static final int CAPTURE_FAILED = 4005;
    public static final int CAPTURE_FINGER_LEAVED = 4006;
    public static final int CAPTURE_FINGER_LEAVED_TIMEOUT = 4007;
    public static int CAPTURE_READ = 0;
    public static final int CAPTURE_READY = 4001;
    public static final int CAPTURE_STARTED = 4002;
    public static final int CAPTURE_STARTING = 4009;
    public static final int CAPTURE_SUCCESS = 4004;
    public static final int ENROLL_FAILED = 5003;
    public static final int ENROLL_FAILURE_CANCELED = 5101;
    public static final int ENROLL_FAILURE_EXCEED_MAX_TRIAL = 5102;
    public static final int ENROLL_FAILURE_NEED_CALIBRATION = 5105;
    public static final int ENROLL_FAILURE_SERVICE_FAILURE = 5104;
    public static final int ENROLL_FAILURE_SYSTEM_FAILURE = 5103;
    public static final int ENROLL_STATUS = 5001;
    public static final int ENROLL_SUCCESS = 5002;
    public static final int FINGERPRINT_REMOVAL_FAILED = 9006;
    public static final int FINGERPRINT_REMOVAL_SUCCESS = 9005;
    public static final int IDENTIFY_FAILED = 6002;
    public static final int IDENTIFY_FAILURE_BAD_QUALITY = 6104;
    public static final int IDENTIFY_FAILURE_BROKEN_DATABASE = 6108;
    public static final int IDENTIFY_FAILURE_CANCELED = 6101;
    public static final int IDENTIFY_FAILURE_NOT_MATCH = 6103;
    public static final int IDENTIFY_FAILURE_NO_USERID = 6105;
    public static final int IDENTIFY_FAILURE_SERVICE_FAILURE = 6107;
    public static final int IDENTIFY_FAILURE_SYSTEM_FAILURE = 6106;
    public static final int IDENTIFY_FAILURE_TIMEOUT = 6102;
    public static final int IDENTIFY_SUCCESS = 6001;
    public static final int PASSWORD_SET_FAILED = 9004;
    public static final int PASSWORD_SET_SUCCESS = 9003;
    public static final int PASSWORD_VERIFICATION_FAILED = 9002;
    public static final int PASSWORD_VERIFICATION_SUCCESS = 9001;
    public static final int PAUSE_ENROLL = 2001;
    public static final int QUALITY_DUPLICATED_SCANNED_IMAGE = 256;
    public static final int QUALITY_EMPTY_TOUCH = 536870912;
    public static final int QUALITY_FAILED = Integer.MIN_VALUE;
    public static final int QUALITY_FINGER_TOO_THIN = 128;
    public static final int QUALITY_GOOD = 0;
    public static final int QUALITY_NOT_A_FINGER_SWIPE = 16;
    public static final int QUALITY_OFFSET_TOO_FAR_LEFT = 1;
    public static final int QUALITY_OFFSET_TOO_FAR_RIGHT = 2;
    public static final int QUALITY_ONE_HAND_SWIPE = 33554432;
    public static final int QUALITY_PARTIAL_TOUCH = 268435456;
    public static final int QUALITY_PART_OF_CAPTURED_AREA = 1073741824;
    public static final int QUALITY_PRESSURE_TOO_HARD = 64;
    public static final int QUALITY_PRESSURE_TOO_LIGHT = 32;
    public static final int QUALITY_REVERSE_MOTION = 524288;
    public static final int QUALITY_SKEW_TOO_LARGE = 262144;
    public static final int QUALITY_SOMETHING_ON_THE_SENSOR = 4;
    public static final int QUALITY_STICTION = 16777216;
    public static final int QUALITY_TOO_FAST = 512;
    public static final int QUALITY_TOO_SHORT = 131072;
    public static final int QUALITY_TOO_SLOW = 65536;
    public static final int QUALITY_WET_FINGER = 8;
    public static final int RESULT_CANCELED = -2;
    public static final int RESULT_FAILED = -1;
    public static final int RESULT_NO_AUTHORITY = -4;
    public static final int RESULT_OK = 0;
    public static final int RESULT_SENSOR_ERROR = -3;
    public static final int RESUME_ENROLL = 2002;
    public static final int SENSOR_BUSY = 3002;
    public static final int SENSOR_FAILURE = 3003;
    public static final int SENSOR_MALFUNCTIONED = 3004;
    public static final int SENSOR_OK = 3001;
    public static final int SENSOR_SCANNING_COMPLETED = 4008;
    public static final int TOUCH_DOWN = 8001;
    public static final int TOUCH_UP = 8002;
    public static final int UNDEFINED = -100;
    private static HashMap<Integer, String> hashMap;

    static {
        HashMap<Integer, String> hashMap2 = new HashMap<>();
        hashMap = hashMap2;
        hashMap2.put(1001, "ACCURACY_LOW");
        hashMap.put(1003, "ACCURACY_HIGH");
        hashMap.put(1002, "ACCURACY_REGULAR");
        hashMap.put(1004, "ACCURACY_VERY_HIGH");
        hashMap.put(4001, "CAPTURE_READY");
        hashMap.put(4002, "CAPTURE_STARTED");
        hashMap.put(4003, "CAPTURE_COMPLETED");
        hashMap.put(4004, "CAPTURE_SUCCESS");
        hashMap.put(4005, "CAPTURE_FAILED");
        hashMap.put(4006, "CAPTURE_FINGER_LEAVED");
        hashMap.put(4007, "CAPTURE_FINGER_LEAVED_TIMEOUT");
        hashMap.put(4007, "CAPTURE_FINGER_LEAVED_TIMEOUT");
        hashMap.put(4009, "CAPTURE_STARTING");
        hashMap.put(5001, "ENROLL_STATUS");
        hashMap.put(5002, "ENROLL_SUCCESS");
        hashMap.put(5101, "ENROLL_FAILURE_CANCELED");
        hashMap.put(5102, "ENROLL_FAILURE_EXCEED_MAX_TRIAL");
        hashMap.put(5103, "ENROLL_FAILURE_SYSTEM_FAILURE");
        hashMap.put(5104, "ENROLL_FAILURE_SERVICE_FAILURE");
        hashMap.put(5105, "ENROLL_FAILURE_NEED_CALIBRATION");
        hashMap.put(9005, "FINGERPRINT_REMOVAL_SUCCESS");
        hashMap.put(9006, "FINGERPRINT_REMOVAL_FAILED");
        hashMap.put(6101, "IDENTIFY_FAILURE_CANCELED");
        hashMap.put(6102, "IDENTIFY_FAILURE_TIMEOUT");
        hashMap.put(6103, "IDENTIFY_FAILURE_NOT_MATCH");
        hashMap.put(6104, "IDENTIFY_FAILURE_BAD_QUALITY");
        hashMap.put(6105, "IDENTIFY_FAILURE_NO_USERID");
        hashMap.put(6106, "IDENTIFY_FAILURE_SYSTEM_FAILURE");
        hashMap.put(6107, "IDENTIFY_FAILURE_SERVICE_FAILURE");
        hashMap.put(6108, "IDENTIFY_FAILURE_BROKEN_DATABASE");
        hashMap.put(9001, "PASSWORD_VERIFICATION_SUCCESS");
        hashMap.put(9002, "PASSWORD_VERIFICATION_FAILED");
        hashMap.put(9003, "PASSWORD_SET_SUCCESS");
        hashMap.put(9004, "PASSWORD_SET_FAILED");
        hashMap.put(2001, "PAUSE_ENROLL");
        hashMap.put(2002, "RESUME_ENROLL");
        hashMap.put(Integer.MIN_VALUE, "QUALITY_FAILED");
        hashMap.put(268435456, "QUALITY_PARTIAL_TOUCH");
        hashMap.put(536870912, "QUALITY_EMPTY_TOUCH");
        hashMap.put(1073741824, "QUALITY_PART_OF_CAPTURED_AREA");
        hashMap.put(0, "QUALITY_GOOD");
        hashMap.put(1, "QUALITY_OFFSET_TOO_FAR_LEFT");
        hashMap.put(2, "QUALITY_OFFSET_TOO_FAR_RIGHT");
        hashMap.put(4, "QUALITY_SOMETHING_ON_THE_SENSOR");
        hashMap.put(8, "QUALITY_WET_FINGER");
        hashMap.put(16, "QUALITY_NOT_A_FINGER_SWIPE");
        hashMap.put(32, "QUALITY_PRESSURE_TOO_LIGHT");
        hashMap.put(64, "QUALITY_PRESSURE_TOO_HARD");
        hashMap.put(128, "QUALITY_FINGER_TOO_THIN");
        hashMap.put(256, "QUALITY_DUPLICATED_SCANNED_IMAGE");
        hashMap.put(512, "QUALITY_TOO_FAST");
        hashMap.put(16777216, "QUALITY_STICTION");
        hashMap.put(33554432, "QUALITY_ONE_HAND_SWIPE");
        hashMap.put(65536, "QUALITY_TOO_SLOW");
        hashMap.put(131072, "QUALITY_TOO_SHORT");
        hashMap.put(262144, "QUALITY_SKEW_TOO_LARGE");
        hashMap.put(524288, "QUALITY_REVERSE_MOTION");
        hashMap.put(0, "RESULT_OK");
        hashMap.put(-1, "RESULT_FAILED");
        hashMap.put(-2, "RESULT_CANCELED");
        hashMap.put(-3, "RESULT_SENSOR_ERROR");
        hashMap.put(-4, "RESULT_NO_AUTHORITY");
        hashMap.put(3001, "SENSOR_OK");
        hashMap.put(3002, "SENSOR_BUSY");
        hashMap.put(3003, "SENSOR_FAILURE");
        hashMap.put(3004, "SENSOR_MALFUNCTIONED");
        hashMap.put(8001, "TOUCH_DOWN");
        hashMap.put(8002, "TOUCH_UP");
        hashMap.put(-100, "UNDEFINED");
    }

    public static String getDetailedString(Object object) {
        return null;
    }

    public static String getEventString(int ret) {
        return hashMap.get(Integer.valueOf(ret));
    }

    public static String getQualityString(int quality) {
        return null;
    }
}
