package com.goodix.cap.fingerprint.service;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;
import com.goodix.cap.fingerprint.GFConfig;
import com.goodix.cap.fingerprint.GFDevice;
import com.goodix.cap.fingerprint.service.IGoodixFingerprintCallback;
import com.goodix.cap.fingerprint.service.IGoodixFingerprintDumpCallback;

public interface IGoodixFingerprintInterface extends IInterface {
    int authenticateFido(IBinder iBinder, byte[] bArr, byte[] bArr2, String str) throws RemoteException;

    void cameraCapture(String str) throws RemoteException;

    void cancelDump(String str) throws RemoteException;

    void cancelUntrustedAuthentication(IBinder iBinder, String str) throws RemoteException;

    void cancelUntrustedEnrollment(IBinder iBinder, String str) throws RemoteException;

    void closeHal() throws RemoteException;

    void dump(IGoodixFingerprintDumpCallback iGoodixFingerprintDumpCallback, String str) throws RemoteException;

    void dumpCmd(int i, byte[] bArr, String str) throws RemoteException;

    void enableFfFeature(boolean z, String str) throws RemoteException;

    void enableFingerprintModule(boolean z, String str) throws RemoteException;

    GFConfig getConfig(String str) throws RemoteException;

    GFDevice getDevice(String str) throws RemoteException;

    int getEnrolledUntrustedFingerprint(String str) throws RemoteException;

    int[] getIdList(IBinder iBinder, String str) throws RemoteException;

    boolean hasEnrolledUntrustedFingerprint(String str) throws RemoteException;

    void initCallback(IBinder iBinder, IGoodixFingerprintCallback iGoodixFingerprintCallback, String str) throws RemoteException;

    int invokeFidoCommand(IBinder iBinder, byte[] bArr, byte[] bArr2) throws RemoteException;

    int isIdValid(IBinder iBinder, int i, String str) throws RemoteException;

    void navigate(int i, String str) throws RemoteException;

    void openHal() throws RemoteException;

    void pauseEnroll(String str) throws RemoteException;

    void resumeEnroll(String str) throws RemoteException;

    void screenOff(String str) throws RemoteException;

    void screenOn(String str) throws RemoteException;

    void setSafeClass(int i, String str) throws RemoteException;

    void startHbd(IBinder iBinder, String str) throws RemoteException;

    int stopAuthenticateFido(IBinder iBinder, String str) throws RemoteException;

    void stopCameraCapture(String str) throws RemoteException;

    void stopHbd(IBinder iBinder, String str) throws RemoteException;

    void stopNavigation(String str) throws RemoteException;

    void testCmd(IBinder iBinder, int i, byte[] bArr, String str) throws RemoteException;

    int testSync(IBinder iBinder, int i, byte[] bArr, String str) throws RemoteException;

    void untrustedAuthenticate(IBinder iBinder, IGoodixFingerprintCallback iGoodixFingerprintCallback, String str) throws RemoteException;

    void untrustedEnroll(IBinder iBinder, IGoodixFingerprintCallback iGoodixFingerprintCallback, String str) throws RemoteException;

    void untrustedPauseEnroll(IBinder iBinder, IGoodixFingerprintCallback iGoodixFingerprintCallback, String str) throws RemoteException;

    void untrustedRemove(IBinder iBinder, IGoodixFingerprintCallback iGoodixFingerprintCallback, String str) throws RemoteException;

    void untrustedRemoveForSec(IBinder iBinder, IGoodixFingerprintCallback iGoodixFingerprintCallback, String str, int i, int i2) throws RemoteException;

    void untrustedResumeEnroll(IBinder iBinder, IGoodixFingerprintCallback iGoodixFingerprintCallback, String str) throws RemoteException;

    public static abstract class Stub extends Binder implements IGoodixFingerprintInterface {
        private static final String DESCRIPTOR = "com.goodix.cap.fingerprint.service.IGoodixFingerprintInterface";
        static final int TRANSACTION_authenticateFido = 34;
        static final int TRANSACTION_cameraCapture = 22;
        static final int TRANSACTION_cancelDump = 32;
        static final int TRANSACTION_cancelUntrustedAuthentication = 3;
        static final int TRANSACTION_cancelUntrustedEnrollment = 5;
        static final int TRANSACTION_closeHal = 11;
        static final int TRANSACTION_dump = 31;
        static final int TRANSACTION_dumpCmd = 33;
        static final int TRANSACTION_enableFfFeature = 24;
        static final int TRANSACTION_enableFingerprintModule = 21;
        static final int TRANSACTION_getConfig = 29;
        static final int TRANSACTION_getDevice = 30;
        static final int TRANSACTION_getEnrolledUntrustedFingerprint = 15;
        static final int TRANSACTION_getIdList = 37;
        static final int TRANSACTION_hasEnrolledUntrustedFingerprint = 14;
        static final int TRANSACTION_initCallback = 1;
        static final int TRANSACTION_invokeFidoCommand = 38;
        static final int TRANSACTION_isIdValid = 36;
        static final int TRANSACTION_navigate = 19;
        static final int TRANSACTION_openHal = 10;
        static final int TRANSACTION_pauseEnroll = 8;
        static final int TRANSACTION_resumeEnroll = 9;
        static final int TRANSACTION_screenOff = 26;
        static final int TRANSACTION_screenOn = 25;
        static final int TRANSACTION_setSafeClass = 18;
        static final int TRANSACTION_startHbd = 27;
        static final int TRANSACTION_stopAuthenticateFido = 35;
        static final int TRANSACTION_stopCameraCapture = 23;
        static final int TRANSACTION_stopHbd = 28;
        static final int TRANSACTION_stopNavigation = 20;
        static final int TRANSACTION_testCmd = 16;
        static final int TRANSACTION_testSync = 17;
        static final int TRANSACTION_untrustedAuthenticate = 2;
        static final int TRANSACTION_untrustedEnroll = 4;
        static final int TRANSACTION_untrustedPauseEnroll = 12;
        static final int TRANSACTION_untrustedRemove = 6;
        static final int TRANSACTION_untrustedRemoveForSec = 7;
        static final int TRANSACTION_untrustedResumeEnroll = 13;

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static IGoodixFingerprintInterface asInterface(IBinder obj) {
            if (obj == null) {
                return null;
            }
            IInterface iin = obj.queryLocalInterface(DESCRIPTOR);
            if (iin == null || !(iin instanceof IGoodixFingerprintInterface)) {
                return new Proxy(obj);
            }
            return (IGoodixFingerprintInterface) iin;
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int code, Parcel data, Parcel reply, int flags) throws RemoteException {
            byte[] _arg2;
            boolean _arg0 = false;
            switch (code) {
                case 1:
                    data.enforceInterface(DESCRIPTOR);
                    initCallback(data.readStrongBinder(), IGoodixFingerprintCallback.Stub.asInterface(data.readStrongBinder()), data.readString());
                    reply.writeNoException();
                    return true;
                case 2:
                    data.enforceInterface(DESCRIPTOR);
                    untrustedAuthenticate(data.readStrongBinder(), IGoodixFingerprintCallback.Stub.asInterface(data.readStrongBinder()), data.readString());
                    reply.writeNoException();
                    return true;
                case 3:
                    data.enforceInterface(DESCRIPTOR);
                    cancelUntrustedAuthentication(data.readStrongBinder(), data.readString());
                    reply.writeNoException();
                    return true;
                case 4:
                    data.enforceInterface(DESCRIPTOR);
                    untrustedEnroll(data.readStrongBinder(), IGoodixFingerprintCallback.Stub.asInterface(data.readStrongBinder()), data.readString());
                    reply.writeNoException();
                    return true;
                case 5:
                    data.enforceInterface(DESCRIPTOR);
                    cancelUntrustedEnrollment(data.readStrongBinder(), data.readString());
                    reply.writeNoException();
                    return true;
                case 6:
                    data.enforceInterface(DESCRIPTOR);
                    untrustedRemove(data.readStrongBinder(), IGoodixFingerprintCallback.Stub.asInterface(data.readStrongBinder()), data.readString());
                    reply.writeNoException();
                    return true;
                case 7:
                    data.enforceInterface(DESCRIPTOR);
                    untrustedRemoveForSec(data.readStrongBinder(), IGoodixFingerprintCallback.Stub.asInterface(data.readStrongBinder()), data.readString(), data.readInt(), data.readInt());
                    reply.writeNoException();
                    return true;
                case 8:
                    data.enforceInterface(DESCRIPTOR);
                    pauseEnroll(data.readString());
                    reply.writeNoException();
                    return true;
                case 9:
                    data.enforceInterface(DESCRIPTOR);
                    resumeEnroll(data.readString());
                    reply.writeNoException();
                    return true;
                case 10:
                    data.enforceInterface(DESCRIPTOR);
                    openHal();
                    reply.writeNoException();
                    return true;
                case 11:
                    data.enforceInterface(DESCRIPTOR);
                    closeHal();
                    reply.writeNoException();
                    return true;
                case 12:
                    data.enforceInterface(DESCRIPTOR);
                    untrustedPauseEnroll(data.readStrongBinder(), IGoodixFingerprintCallback.Stub.asInterface(data.readStrongBinder()), data.readString());
                    reply.writeNoException();
                    return true;
                case 13:
                    data.enforceInterface(DESCRIPTOR);
                    untrustedResumeEnroll(data.readStrongBinder(), IGoodixFingerprintCallback.Stub.asInterface(data.readStrongBinder()), data.readString());
                    reply.writeNoException();
                    return true;
                case 14:
                    data.enforceInterface(DESCRIPTOR);
                    boolean hasEnrolledUntrustedFingerprint = hasEnrolledUntrustedFingerprint(data.readString());
                    reply.writeNoException();
                    reply.writeInt(hasEnrolledUntrustedFingerprint ? 1 : 0);
                    return true;
                case 15:
                    data.enforceInterface(DESCRIPTOR);
                    int _result = getEnrolledUntrustedFingerprint(data.readString());
                    reply.writeNoException();
                    reply.writeInt(_result);
                    return true;
                case 16:
                    data.enforceInterface(DESCRIPTOR);
                    testCmd(data.readStrongBinder(), data.readInt(), data.createByteArray(), data.readString());
                    reply.writeNoException();
                    return true;
                case 17:
                    data.enforceInterface(DESCRIPTOR);
                    int _result2 = testSync(data.readStrongBinder(), data.readInt(), data.createByteArray(), data.readString());
                    reply.writeNoException();
                    reply.writeInt(_result2);
                    return true;
                case 18:
                    data.enforceInterface(DESCRIPTOR);
                    setSafeClass(data.readInt(), data.readString());
                    reply.writeNoException();
                    return true;
                case 19:
                    data.enforceInterface(DESCRIPTOR);
                    navigate(data.readInt(), data.readString());
                    reply.writeNoException();
                    return true;
                case 20:
                    data.enforceInterface(DESCRIPTOR);
                    stopNavigation(data.readString());
                    reply.writeNoException();
                    return true;
                case 21:
                    data.enforceInterface(DESCRIPTOR);
                    if (data.readInt() != 0) {
                        _arg0 = true;
                    }
                    enableFingerprintModule(_arg0, data.readString());
                    reply.writeNoException();
                    return true;
                case 22:
                    data.enforceInterface(DESCRIPTOR);
                    cameraCapture(data.readString());
                    reply.writeNoException();
                    return true;
                case 23:
                    data.enforceInterface(DESCRIPTOR);
                    stopCameraCapture(data.readString());
                    reply.writeNoException();
                    return true;
                case 24:
                    data.enforceInterface(DESCRIPTOR);
                    if (data.readInt() != 0) {
                        _arg0 = true;
                    }
                    enableFfFeature(_arg0, data.readString());
                    reply.writeNoException();
                    return true;
                case 25:
                    data.enforceInterface(DESCRIPTOR);
                    screenOn(data.readString());
                    reply.writeNoException();
                    return true;
                case 26:
                    data.enforceInterface(DESCRIPTOR);
                    screenOff(data.readString());
                    reply.writeNoException();
                    return true;
                case 27:
                    data.enforceInterface(DESCRIPTOR);
                    startHbd(data.readStrongBinder(), data.readString());
                    reply.writeNoException();
                    return true;
                case 28:
                    data.enforceInterface(DESCRIPTOR);
                    stopHbd(data.readStrongBinder(), data.readString());
                    reply.writeNoException();
                    return true;
                case 29:
                    data.enforceInterface(DESCRIPTOR);
                    GFConfig _result3 = getConfig(data.readString());
                    reply.writeNoException();
                    if (_result3 != null) {
                        reply.writeInt(1);
                        _result3.writeToParcel(reply, 1);
                    } else {
                        reply.writeInt(0);
                    }
                    return true;
                case 30:
                    data.enforceInterface(DESCRIPTOR);
                    GFDevice _result4 = getDevice(data.readString());
                    reply.writeNoException();
                    if (_result4 != null) {
                        reply.writeInt(1);
                        _result4.writeToParcel(reply, 1);
                    } else {
                        reply.writeInt(0);
                    }
                    return true;
                case 31:
                    data.enforceInterface(DESCRIPTOR);
                    dump(IGoodixFingerprintDumpCallback.Stub.asInterface(data.readStrongBinder()), data.readString());
                    reply.writeNoException();
                    return true;
                case 32:
                    data.enforceInterface(DESCRIPTOR);
                    cancelDump(data.readString());
                    reply.writeNoException();
                    return true;
                case 33:
                    data.enforceInterface(DESCRIPTOR);
                    dumpCmd(data.readInt(), data.createByteArray(), data.readString());
                    reply.writeNoException();
                    return true;
                case 34:
                    data.enforceInterface(DESCRIPTOR);
                    int _result5 = authenticateFido(data.readStrongBinder(), data.createByteArray(), data.createByteArray(), data.readString());
                    reply.writeNoException();
                    reply.writeInt(_result5);
                    return true;
                case 35:
                    data.enforceInterface(DESCRIPTOR);
                    int _result6 = stopAuthenticateFido(data.readStrongBinder(), data.readString());
                    reply.writeNoException();
                    reply.writeInt(_result6);
                    return true;
                case 36:
                    data.enforceInterface(DESCRIPTOR);
                    int _result7 = isIdValid(data.readStrongBinder(), data.readInt(), data.readString());
                    reply.writeNoException();
                    reply.writeInt(_result7);
                    return true;
                case 37:
                    data.enforceInterface(DESCRIPTOR);
                    int[] _result8 = getIdList(data.readStrongBinder(), data.readString());
                    reply.writeNoException();
                    reply.writeIntArray(_result8);
                    return true;
                case 38:
                    data.enforceInterface(DESCRIPTOR);
                    IBinder _arg02 = data.readStrongBinder();
                    byte[] _arg1 = data.createByteArray();
                    int _arg2_length = data.readInt();
                    if (_arg2_length < 0) {
                        _arg2 = null;
                    } else {
                        _arg2 = new byte[_arg2_length];
                    }
                    int _result9 = invokeFidoCommand(_arg02, _arg1, _arg2);
                    reply.writeNoException();
                    reply.writeInt(_result9);
                    reply.writeByteArray(_arg2);
                    return true;
                case 1598968902:
                    reply.writeString(DESCRIPTOR);
                    return true;
                default:
                    return super.onTransact(code, data, reply, flags);
            }
        }

        private static class Proxy implements IGoodixFingerprintInterface {
            private IBinder mRemote;

            Proxy(IBinder remote) {
                this.mRemote = remote;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            @Override // com.goodix.cap.fingerprint.service.IGoodixFingerprintInterface
            public void initCallback(IBinder token, IGoodixFingerprintCallback callback, String opPackageName) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeStrongBinder(token);
                    _data.writeStrongBinder(callback != null ? callback.asBinder() : null);
                    _data.writeString(opPackageName);
                    this.mRemote.transact(1, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // com.goodix.cap.fingerprint.service.IGoodixFingerprintInterface
            public void untrustedAuthenticate(IBinder token, IGoodixFingerprintCallback receiver, String opPackageName) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeStrongBinder(token);
                    _data.writeStrongBinder(receiver != null ? receiver.asBinder() : null);
                    _data.writeString(opPackageName);
                    this.mRemote.transact(2, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // com.goodix.cap.fingerprint.service.IGoodixFingerprintInterface
            public void cancelUntrustedAuthentication(IBinder token, String opPackageName) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeStrongBinder(token);
                    _data.writeString(opPackageName);
                    this.mRemote.transact(3, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // com.goodix.cap.fingerprint.service.IGoodixFingerprintInterface
            public void untrustedEnroll(IBinder token, IGoodixFingerprintCallback receiver, String opPackageName) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeStrongBinder(token);
                    _data.writeStrongBinder(receiver != null ? receiver.asBinder() : null);
                    _data.writeString(opPackageName);
                    this.mRemote.transact(4, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // com.goodix.cap.fingerprint.service.IGoodixFingerprintInterface
            public void cancelUntrustedEnrollment(IBinder token, String opPackageName) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeStrongBinder(token);
                    _data.writeString(opPackageName);
                    this.mRemote.transact(5, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // com.goodix.cap.fingerprint.service.IGoodixFingerprintInterface
            public void untrustedRemove(IBinder token, IGoodixFingerprintCallback receiver, String opPackageName) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeStrongBinder(token);
                    _data.writeStrongBinder(receiver != null ? receiver.asBinder() : null);
                    _data.writeString(opPackageName);
                    this.mRemote.transact(6, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // com.goodix.cap.fingerprint.service.IGoodixFingerprintInterface
            public void untrustedRemoveForSec(IBinder token, IGoodixFingerprintCallback receiver, String opPackageName, int groupId, int fingerId) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeStrongBinder(token);
                    _data.writeStrongBinder(receiver != null ? receiver.asBinder() : null);
                    _data.writeString(opPackageName);
                    _data.writeInt(groupId);
                    _data.writeInt(fingerId);
                    this.mRemote.transact(7, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // com.goodix.cap.fingerprint.service.IGoodixFingerprintInterface
            public void pauseEnroll(String opPackageName) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeString(opPackageName);
                    this.mRemote.transact(8, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // com.goodix.cap.fingerprint.service.IGoodixFingerprintInterface
            public void resumeEnroll(String opPackageName) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeString(opPackageName);
                    this.mRemote.transact(9, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // com.goodix.cap.fingerprint.service.IGoodixFingerprintInterface
            public void openHal() throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    this.mRemote.transact(10, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // com.goodix.cap.fingerprint.service.IGoodixFingerprintInterface
            public void closeHal() throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    this.mRemote.transact(11, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // com.goodix.cap.fingerprint.service.IGoodixFingerprintInterface
            public void untrustedPauseEnroll(IBinder token, IGoodixFingerprintCallback receiver, String opPackageName) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeStrongBinder(token);
                    _data.writeStrongBinder(receiver != null ? receiver.asBinder() : null);
                    _data.writeString(opPackageName);
                    this.mRemote.transact(12, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // com.goodix.cap.fingerprint.service.IGoodixFingerprintInterface
            public void untrustedResumeEnroll(IBinder token, IGoodixFingerprintCallback receiver, String opPackageName) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeStrongBinder(token);
                    _data.writeStrongBinder(receiver != null ? receiver.asBinder() : null);
                    _data.writeString(opPackageName);
                    this.mRemote.transact(13, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // com.goodix.cap.fingerprint.service.IGoodixFingerprintInterface
            public boolean hasEnrolledUntrustedFingerprint(String opPackageName) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeString(opPackageName);
                    boolean _result = false;
                    this.mRemote.transact(14, _data, _reply, 0);
                    _reply.readException();
                    if (_reply.readInt() != 0) {
                        _result = true;
                    }
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // com.goodix.cap.fingerprint.service.IGoodixFingerprintInterface
            public int getEnrolledUntrustedFingerprint(String opPackageName) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeString(opPackageName);
                    this.mRemote.transact(15, _data, _reply, 0);
                    _reply.readException();
                    return _reply.readInt();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // com.goodix.cap.fingerprint.service.IGoodixFingerprintInterface
            public void testCmd(IBinder token, int cmdId, byte[] param, String opPackageName) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeStrongBinder(token);
                    _data.writeInt(cmdId);
                    _data.writeByteArray(param);
                    _data.writeString(opPackageName);
                    this.mRemote.transact(16, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // com.goodix.cap.fingerprint.service.IGoodixFingerprintInterface
            public int testSync(IBinder token, int cmdId, byte[] param, String opPackageName) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeStrongBinder(token);
                    _data.writeInt(cmdId);
                    _data.writeByteArray(param);
                    _data.writeString(opPackageName);
                    this.mRemote.transact(17, _data, _reply, 0);
                    _reply.readException();
                    return _reply.readInt();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // com.goodix.cap.fingerprint.service.IGoodixFingerprintInterface
            public void setSafeClass(int safeClass, String opPackageName) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeInt(safeClass);
                    _data.writeString(opPackageName);
                    this.mRemote.transact(18, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // com.goodix.cap.fingerprint.service.IGoodixFingerprintInterface
            public void navigate(int navMode, String opPackageName) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeInt(navMode);
                    _data.writeString(opPackageName);
                    this.mRemote.transact(19, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // com.goodix.cap.fingerprint.service.IGoodixFingerprintInterface
            public void stopNavigation(String opPackageName) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeString(opPackageName);
                    this.mRemote.transact(20, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // com.goodix.cap.fingerprint.service.IGoodixFingerprintInterface
            public void enableFingerprintModule(boolean enable, String opPackageName) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeInt(enable ? 1 : 0);
                    _data.writeString(opPackageName);
                    this.mRemote.transact(21, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // com.goodix.cap.fingerprint.service.IGoodixFingerprintInterface
            public void cameraCapture(String opPackageName) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeString(opPackageName);
                    this.mRemote.transact(22, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // com.goodix.cap.fingerprint.service.IGoodixFingerprintInterface
            public void stopCameraCapture(String opPackageName) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeString(opPackageName);
                    this.mRemote.transact(23, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // com.goodix.cap.fingerprint.service.IGoodixFingerprintInterface
            public void enableFfFeature(boolean enable, String opPackageName) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeInt(enable ? 1 : 0);
                    _data.writeString(opPackageName);
                    this.mRemote.transact(24, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // com.goodix.cap.fingerprint.service.IGoodixFingerprintInterface
            public void screenOn(String opPackageName) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeString(opPackageName);
                    this.mRemote.transact(25, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // com.goodix.cap.fingerprint.service.IGoodixFingerprintInterface
            public void screenOff(String opPackageName) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeString(opPackageName);
                    this.mRemote.transact(26, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // com.goodix.cap.fingerprint.service.IGoodixFingerprintInterface
            public void startHbd(IBinder token, String opPackageName) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeStrongBinder(token);
                    _data.writeString(opPackageName);
                    this.mRemote.transact(27, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // com.goodix.cap.fingerprint.service.IGoodixFingerprintInterface
            public void stopHbd(IBinder token, String opPackageName) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeStrongBinder(token);
                    _data.writeString(opPackageName);
                    this.mRemote.transact(28, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // com.goodix.cap.fingerprint.service.IGoodixFingerprintInterface
            public GFConfig getConfig(String opPackageName) throws RemoteException {
                GFConfig _result;
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeString(opPackageName);
                    this.mRemote.transact(29, _data, _reply, 0);
                    _reply.readException();
                    if (_reply.readInt() != 0) {
                        _result = GFConfig.CREATOR.createFromParcel(_reply);
                    } else {
                        _result = null;
                    }
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // com.goodix.cap.fingerprint.service.IGoodixFingerprintInterface
            public GFDevice getDevice(String opPackageName) throws RemoteException {
                GFDevice _result;
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeString(opPackageName);
                    this.mRemote.transact(30, _data, _reply, 0);
                    _reply.readException();
                    if (_reply.readInt() != 0) {
                        _result = GFDevice.CREATOR.createFromParcel(_reply);
                    } else {
                        _result = null;
                    }
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // com.goodix.cap.fingerprint.service.IGoodixFingerprintInterface
            public void dump(IGoodixFingerprintDumpCallback callback, String opPackageName) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeStrongBinder(callback != null ? callback.asBinder() : null);
                    _data.writeString(opPackageName);
                    this.mRemote.transact(31, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // com.goodix.cap.fingerprint.service.IGoodixFingerprintInterface
            public void cancelDump(String opPackageName) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeString(opPackageName);
                    this.mRemote.transact(32, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // com.goodix.cap.fingerprint.service.IGoodixFingerprintInterface
            public void dumpCmd(int cmdId, byte[] param, String opPackageName) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeInt(cmdId);
                    _data.writeByteArray(param);
                    _data.writeString(opPackageName);
                    this.mRemote.transact(33, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // com.goodix.cap.fingerprint.service.IGoodixFingerprintInterface
            public int authenticateFido(IBinder token, byte[] aaid, byte[] finalChallenge, String opPackageName) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeStrongBinder(token);
                    _data.writeByteArray(aaid);
                    _data.writeByteArray(finalChallenge);
                    _data.writeString(opPackageName);
                    this.mRemote.transact(34, _data, _reply, 0);
                    _reply.readException();
                    return _reply.readInt();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // com.goodix.cap.fingerprint.service.IGoodixFingerprintInterface
            public int stopAuthenticateFido(IBinder token, String opPackageName) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeStrongBinder(token);
                    _data.writeString(opPackageName);
                    this.mRemote.transact(35, _data, _reply, 0);
                    _reply.readException();
                    return _reply.readInt();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // com.goodix.cap.fingerprint.service.IGoodixFingerprintInterface
            public int isIdValid(IBinder token, int fingerId, String opPackageName) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeStrongBinder(token);
                    _data.writeInt(fingerId);
                    _data.writeString(opPackageName);
                    this.mRemote.transact(36, _data, _reply, 0);
                    _reply.readException();
                    return _reply.readInt();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // com.goodix.cap.fingerprint.service.IGoodixFingerprintInterface
            public int[] getIdList(IBinder token, String opPackageName) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeStrongBinder(token);
                    _data.writeString(opPackageName);
                    this.mRemote.transact(37, _data, _reply, 0);
                    _reply.readException();
                    return _reply.createIntArray();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // com.goodix.cap.fingerprint.service.IGoodixFingerprintInterface
            public int invokeFidoCommand(IBinder token, byte[] inBuf, byte[] outBuf) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeStrongBinder(token);
                    _data.writeByteArray(inBuf);
                    if (outBuf == null) {
                        _data.writeInt(-1);
                    } else {
                        _data.writeInt(outBuf.length);
                    }
                    this.mRemote.transact(38, _data, _reply, 0);
                    _reply.readException();
                    int _result = _reply.readInt();
                    _reply.readByteArray(outBuf);
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }
        }
    }
}
