package com.goodix.cap.fingerprint.utils;

import android.util.Log;
import com.google.common.primitives.UnsignedBytes;
import java.util.Arrays;
import java.util.HashMap;

public class TestResultParser {
    private static final String TAG = "TestResultParser";
    public static final int TEST_PARAM_TOKEN_CFG_DATA = 5001;
    public static final int TEST_PARAM_TOKEN_DUMP_PATH = 5100;
    public static final int TEST_PARAM_TOKEN_FW_DATA = 5000;
    public static final int TEST_TOKEN_ALGO_INDEX = 702;
    public static final int TEST_TOKEN_ALGO_START_TIME = 507;
    public static final int TEST_TOKEN_ALGO_VERSION = 200;
    public static final int TEST_TOKEN_ALL_TILT_ANGLE = 311;
    public static final int TEST_TOKEN_AUTHENTICATED_FAILED_COUNT = 1207;
    public static final int TEST_TOKEN_AUTHENTICATED_SUCCESS_COUNT = 1206;
    public static final int TEST_TOKEN_AUTHENTICATED_WITH_BIO_FAILED_COUNT = 1205;
    public static final int TEST_TOKEN_AUTHENTICATED_WITH_BIO_SUCCESS_COUNT = 1204;
    public static final int TEST_TOKEN_AUTHENTICATE_FINGER_COUNT = 513;
    public static final int TEST_TOKEN_AUTHENTICATE_FINGER_ITME = 514;
    public static final int TEST_TOKEN_AUTHENTICATE_ID = 511;
    public static final int TEST_TOKEN_AUTHENTICATE_ORDER = 822;
    public static final int TEST_TOKEN_AUTHENTICATE_TIME = 510;
    public static final int TEST_TOKEN_AUTHENTICATE_UPDATE_FLAG = 512;
    public static final int TEST_TOKEN_AVERAGE_PIXEL_DIFF = 903;
    public static final int TEST_TOKEN_AVG_DIFF_VAL = 300;
    public static final int TEST_TOKEN_BAD_PIXEL_NUM = 305;
    public static final int TEST_TOKEN_BAD_POINT_TEST_IS_TOUCH_STABLE = 5201;
    public static final int TEST_TOKEN_BAD_POINT_TEST_MAX_FRAME_NUMBER = 828;
    public static final int TEST_TOKEN_BASE_DATA = 712;
    public static final int TEST_TOKEN_BIG_BUBBLE = 316;
    public static final int TEST_TOKEN_BIO_ASSAY_TIME = 517;
    public static final int TEST_TOKEN_BLOCK_TILT_ANGLE_MAX = 312;
    public static final int TEST_TOKEN_BMP_DATA = 701;
    public static final int TEST_TOKEN_BROKEN_PIXEL_THRESHOLD_FOR_DISABLE_SENSOR = 826;
    public static final int TEST_TOKEN_BROKEN_PIXEL_THRESHOLD_FOR_DISABLE_STUDY = 827;
    public static final int TEST_TOKEN_BUF_FULL = 1208;
    public static final int TEST_TOKEN_B_DATA = 714;
    public static final int TEST_TOKEN_CALIBRATION_STATUS = 5223;
    public static final int TEST_TOKEN_CFG_DATA = 408;
    public static final int TEST_TOKEN_CFG_DATA_LEN = 409;
    public static final int TEST_TOKEN_CHIP_ID = 205;
    public static final int TEST_TOKEN_CHIP_SERIES = 102;
    public static final int TEST_TOKEN_CHIP_SUPPORT_BIO = 1202;
    public static final int TEST_TOKEN_CHIP_TYPE = 101;
    public static final int TEST_TOKEN_CODE_FW_VERSION = 210;
    public static final int TEST_TOKEN_DAC = 5212;
    public static final int TEST_TOKEN_DATA_DEVIATION_DIFF = 310;
    public static final int TEST_TOKEN_DATA_DIFFERENCE = 5213;
    public static final int TEST_TOKEN_DEVICE_CTRL = 5217;
    public static final int TEST_TOKEN_DOWN_VALUE = 1304;
    public static final int TEST_TOKEN_DUMP_B = 1020;
    public static final int TEST_TOKEN_DUMP_BROKEN_CHECK_FRAME_NUM = 1023;
    public static final int TEST_TOKEN_DUMP_BROKEN_CHECK_RAW_DATA = 1022;
    public static final int TEST_TOKEN_DUMP_CALI_RES = 1024;
    public static final int TEST_TOKEN_DUMP_CHIP_ID = 1015;
    public static final int TEST_TOKEN_DUMP_DATA_BMP = 1025;
    public static final int TEST_TOKEN_DUMP_DAY = 1006;
    public static final int TEST_TOKEN_DUMP_DUMPLICATED_FINGER_ID = 1033;
    public static final int TEST_TOKEN_DUMP_ENCRYPTED_DATA = 1001;
    public static final int TEST_TOKEN_DUMP_ENROLLING_FINGER_ID = 1032;
    public static final int TEST_TOKEN_DUMP_FINGER_ID = 1041;
    public static final int TEST_TOKEN_DUMP_FRAME_NUM = 1018;
    public static final int TEST_TOKEN_DUMP_GROUP_ID = 1042;
    public static final int TEST_TOKEN_DUMP_HEIGHT = 1013;
    public static final int TEST_TOKEN_DUMP_HOUR = 1007;
    public static final int TEST_TOKEN_DUMP_IMAGE_QUALITY = 1028;
    public static final int TEST_TOKEN_DUMP_INCREASE_RATE_BETWEEN_STITCH_INFO = 1030;
    public static final int TEST_TOKEN_DUMP_IS_ENCRYPTED = 1000;
    public static final int TEST_TOKEN_DUMP_KR = 1019;
    public static final int TEST_TOKEN_DUMP_MATCH_FINGER_ID = 1035;
    public static final int TEST_TOKEN_DUMP_MATCH_SCORE = 1034;
    public static final int TEST_TOKEN_DUMP_MICROSECOND = 1010;
    public static final int TEST_TOKEN_DUMP_MINUTE = 1008;
    public static final int TEST_TOKEN_DUMP_MONTH = 1005;
    public static final int TEST_TOKEN_DUMP_NAV_FRAME_COUNT = 1040;
    public static final int TEST_TOKEN_DUMP_NAV_FRAME_INDEX = 1038;
    public static final int TEST_TOKEN_DUMP_NAV_FRAME_NUM = 1039;
    public static final int TEST_TOKEN_DUMP_NAV_TIMES = 1037;
    public static final int TEST_TOKEN_DUMP_OPERATION = 1002;
    public static final int TEST_TOKEN_DUMP_OVERLAP_RATE_BETWEEN_LAST_TEMPLATE = 1031;
    public static final int TEST_TOKEN_DUMP_PREPROCESS_VERSION = 1014;
    public static final int TEST_TOKEN_DUMP_RAW_DATA = 1021;
    public static final int TEST_TOKEN_DUMP_REMAINING_TEMPLATES = 1044;
    public static final int TEST_TOKEN_DUMP_SECOND = 1009;
    public static final int TEST_TOKEN_DUMP_SELECT_INDEX = 1027;
    public static final int TEST_TOKEN_DUMP_SENSOR_ID = 1017;
    public static final int TEST_TOKEN_DUMP_SITO_BMP = 1026;
    public static final int TEST_TOKEN_DUMP_STROPERATION = 1045;
    public static final int TEST_TOKEN_DUMP_STUDY_FLAG = 1036;
    public static final int TEST_TOKEN_DUMP_TEMPLATE = 1043;
    public static final int TEST_TOKEN_DUMP_TIMESTAMP = 1003;
    public static final int TEST_TOKEN_DUMP_VALID_AREA = 1029;
    public static final int TEST_TOKEN_DUMP_VENDOR_ID = 1016;
    public static final int TEST_TOKEN_DUMP_VERSION_CODE = 1011;
    public static final int TEST_TOKEN_DUMP_WIDTH = 1012;
    public static final int TEST_TOKEN_DUMP_YEAR = 1004;
    public static final int TEST_TOKEN_DUPLICATE_FINGER_OVERLAY_SCORE = 815;
    public static final int TEST_TOKEN_ELECTRICITY_VALUE = 709;
    public static final int TEST_TOKEN_ENROLLING_MIN_TEMPLATES = 812;
    public static final int TEST_TOKEN_ENROLL_TIME = 509;
    public static final int TEST_TOKEN_ERROR_CODE = 100;
    public static final int TEST_TOKEN_FALSE_TRIGGER_STATUS = 5224;
    public static final int TEST_TOKEN_FDT_BAD_AREA_NUM = 306;
    public static final int TEST_TOKEN_FDT_EXTRA_OPEN_PIXEL_NUM = 5219;
    public static final int TEST_TOKEN_FDT_USED_OPEN_PIXEL_NUM = 5218;
    public static final int TEST_TOKEN_FINGER_EVENT = 710;
    public static final int TEST_TOKEN_FLATNESS_BAD_PIXEL_NUM = 320;
    public static final int TEST_TOKEN_FORBIDDEN_ENROLL_DUPLICATE_FINGERS = 806;
    public static final int TEST_TOKEN_FORBIDDEN_UNTRUSTED_ENROLL = 805;
    public static final int TEST_TOKEN_FPC_KEY_DATA = 715;
    public static final int TEST_TOKEN_FRAME_NUM = 308;
    public static final int TEST_TOKEN_FRR_FAR_FINGER_ID = 717;
    public static final int TEST_TOKEN_FRR_FAR_GROUP_ID = 716;
    public static final int TEST_TOKEN_FRR_FAR_SAVE_FINGER_PATH = 718;
    public static final int TEST_TOKEN_FW_DATA = 410;
    public static final int TEST_TOKEN_FW_DATA_LEN = 411;
    public static final int TEST_TOKEN_FW_VERSION = 202;
    public static final int TEST_TOKEN_GET_CHIP_ID_TIME = 402;
    public static final int TEST_TOKEN_GET_DR_TIMESTAMP_TIME = 400;
    public static final int TEST_TOKEN_GET_FEATURE_TIME = 508;
    public static final int TEST_TOKEN_GET_FW_VERSION_TIME = 405;
    public static final int TEST_TOKEN_GET_GSC_DATA_TIME = 516;
    public static final int TEST_TOKEN_GET_IMAGE_TIME = 406;
    public static final int TEST_TOKEN_GET_MODE_TIME = 401;
    public static final int TEST_TOKEN_GET_RAW_DATA_TIME = 505;
    public static final int TEST_TOKEN_GET_SENSOR_ID_TIME = 404;
    public static final int TEST_TOKEN_GET_SENSOR_INFO_TEST_END = 5232;
    public static final int TEST_TOKEN_GET_SENSOR_INFO_TEST_START = 5231;
    public static final int TEST_TOKEN_GET_VENDOR_ID_TIME = 403;
    public static final int TEST_TOKEN_GSC_DATA = 705;
    public static final int TEST_TOKEN_GSC_FLAG = 711;
    public static final int TEST_TOKEN_HBD_AVG = 707;
    public static final int TEST_TOKEN_HBD_BASE = 706;
    public static final int TEST_TOKEN_HBD_RAW_DATA = 708;
    public static final int TEST_TOKEN_IMAGE_QUALITY = 500;
    public static final int TEST_TOKEN_IMAGE_QUALITY_THRESHOLD_FOR_MISTAKE_TOUCH = 821;
    public static final int TEST_TOKEN_INCREASE_RATE_BETWEEN_STITCH_INFO = 816;
    public static final int TEST_TOKEN_INCREATE_RATE = 503;
    public static final int TEST_TOKEN_INT_PASS_STATUS = 5222;
    public static final int TEST_TOKEN_IN_CIRCLE = 315;
    public static final int TEST_TOKEN_IS_BAD_LINE = 321;
    public static final int TEST_TOKEN_IS_BIO_ENABLE = 1203;
    public static final int TEST_TOKEN_IS_MODULE_TEST_PASS = 5210;
    public static final int TEST_TOKEN_IS_PIXEL_DOWN_PASS = 5214;
    public static final int TEST_TOKEN_IS_PIXEL_UP_PASS = 5215;
    public static final int TEST_TOKEN_IS_RECV_FALSE_IRQ = 5216;
    public static final int TEST_TOKEN_IS_TOUCH_TEST_PREPARE = 5209;
    public static final int TEST_TOKEN_KEY_POINT_NUM = 502;
    public static final int TEST_TOKEN_KR_DATA = 713;
    public static final int TEST_TOKEN_LINE = 317;
    public static final int TEST_TOKEN_LOCAL_BAD_PIXEL_NUM = 307;
    public static final int TEST_TOKEN_LOCAL_BIG_BAD_PIXEL_NUM = 319;
    public static final int TEST_TOKEN_LOCAL_SMALL_BAD_PIXEL_NUM = 318;
    public static final int TEST_TOKEN_LOCAL_WORST = 313;
    public static final int TEST_TOKEN_MAX_FINGERS = 800;
    public static final int TEST_TOKEN_MAX_FINGERS_PER_USER = 801;
    public static final int TEST_TOKEN_MAX_FRAME_NUM = 309;
    public static final int TEST_TOKEN_MEMMGR_BEST_MATCH_ENABLE = 1402;
    public static final int TEST_TOKEN_MEMMGR_CUR_USED_BLOCK_COUNT = 1410;
    public static final int TEST_TOKEN_MEMMGR_CUR_USED_MEM_SIZE = 1412;
    public static final int TEST_TOKEN_MEMMGR_DEBUG_ENABLE = 1401;
    public static final int TEST_TOKEN_MEMMGR_DUMP_FINISHED = 1418;
    public static final int TEST_TOKEN_MEMMGR_DUMP_OFFSET = 1417;
    public static final int TEST_TOKEN_MEMMGR_DUMP_POOL = 1419;
    public static final int TEST_TOKEN_MEMMGR_DUMP_TIME = 1416;
    public static final int TEST_TOKEN_MEMMGR_DUMP_TIME_ENABLE = 1404;
    public static final int TEST_TOKEN_MEMMGR_ENABLE = 1400;
    public static final int TEST_TOKEN_MEMMGR_FREE_ERASE_ENABLE = 1403;
    public static final int TEST_TOKEN_MEMMGR_MAX_USED_BLOCK_COUNT = 1411;
    public static final int TEST_TOKEN_MEMMGR_MAX_USED_MEM_SIZE = 1413;
    public static final int TEST_TOKEN_MEMMGR_NEXT_REBOOT_ENABLE = 1405;
    public static final int TEST_TOKEN_MEMMGR_NODE_INFO = 1415;
    public static final int TEST_TOKEN_MEMMGR_POOL_END_ADDR = 1409;
    public static final int TEST_TOKEN_MEMMGR_POOL_SIZE = 1406;
    public static final int TEST_TOKEN_MEMMGR_POOL_START_ADDR = 1408;
    public static final int TEST_TOKEN_MEMMGR_TOTAL_NODE_COUNT = 1414;
    public static final int TEST_TOKEN_MEMMGR_USED_INFO = 1407;
    public static final int TEST_TOKEN_METADATA = 1210;
    public static final int TEST_TOKEN_NAV_DOUBLE_CLICK_TIME = 810;
    public static final int TEST_TOKEN_NAV_LONG_PRESS_TIME = 811;
    public static final int TEST_TOKEN_NOISE = 301;
    public static final int TEST_TOKEN_OTPCHECK_TEST_END = 5230;
    public static final int TEST_TOKEN_OTPCHECK_TEST_START = 5229;
    public static final int TEST_TOKEN_OVERLAY = 504;
    public static final int TEST_TOKEN_OVER_SATURATED_PIXEL_COUNT = 1301;
    public static final int TEST_TOKEN_PACKAGE_VERSION = 1200;
    public static final int TEST_TOKEN_PIXEL_SHORT_NUM = 5234;
    public static final int TEST_TOKEN_PREPROCESS_TIME = 506;
    public static final int TEST_TOKEN_PREPROCESS_VERSION = 201;
    public static final int TEST_TOKEN_PRODUCTION_DATE = 208;
    public static final int TEST_TOKEN_PRODUCT_ID = 211;
    public static final int TEST_TOKEN_PROTOCOL_VERSION = 1201;
    public static final int TEST_TOKEN_RAWDATA_SATURAED_TEST_IS_TOUCH_STABLE = 5203;
    public static final int TEST_TOKEN_RAW_DATA = 700;
    public static final int TEST_TOKEN_RAW_DATA_LEN = 407;
    public static final int TEST_TOKEN_REISSUE_KEY_DOWN_WHEN_ENTRY_FF_MODE = 823;
    public static final int TEST_TOKEN_REISSUE_KEY_DOWN_WHEN_ENTRY_IMAGE_MODE = 824;
    public static final int TEST_TOKEN_REPORT_KEY_EVENT_ONLY_ENROLL_AUTHENTICATE = 829;
    public static final int TEST_TOKEN_REQUIRE_DOWN_AND_UP_IN_PAIRS_FOR_FF_MODE = 831;
    public static final int TEST_TOKEN_REQUIRE_DOWN_AND_UP_IN_PAIRS_FOR_IMAGE_MODE = 830;
    public static final int TEST_TOKEN_REQUIRE_DOWN_AND_UP_IN_PAIRS_FOR_KEY_MODE = 832;
    public static final int TEST_TOKEN_REQUIRE_DOWN_AND_UP_IN_PAIRS_FOR_NAV_MODE = 833;
    public static final int TEST_TOKEN_RESET_FLAG = 600;
    public static final int TEST_TOKEN_RESET_PASS_STATUS = 5221;
    public static final int TEST_TOKEN_SAFE_CLASS = 703;
    public static final int TEST_TOKEN_SATURATED_PIXEL_THRESHOLD = 1302;
    public static final int TEST_TOKEN_SCREEN_OFF_AUTHENTICATE_FAIL_RETRY_COUNT = 818;
    public static final int TEST_TOKEN_SCREEN_OFF_VALID_TOUCH_FRAME_THRESHOLD = 820;
    public static final int TEST_TOKEN_SCREEN_ON_AUTHENTICATE_FAIL_RETRY_COUNT = 817;
    public static final int TEST_TOKEN_SCREEN_ON_VALID_TOUCH_FRAME_THRESHOLD = 819;
    public static final int TEST_TOKEN_SELECT_PERCENTAGE = 304;
    public static final int TEST_TOKEN_SENSOR_AVAILABLE_STATUS = 5233;
    public static final int TEST_TOKEN_SENSOR_ID = 207;
    public static final int TEST_TOKEN_SENSOR_OTP_TYPE = 209;
    public static final int TEST_TOKEN_SENSOR_PERFORMANCE = 1423;
    public static final int TEST_TOKEN_SENSOR_PERFORMANCE_MAX = 5207;
    public static final int TEST_TOKEN_SENSOR_PERFORMANCE_MIN = 5208;
    public static final int TEST_TOKEN_SENSOR_PERFORMANCE_TEST_IS_TOUCH_STABLE = 5202;
    public static final int TEST_TOKEN_SENSOR_VALIDITY = 900;
    public static final int TEST_TOKEN_SIGNAL = 302;
    public static final int TEST_TOKEN_SINGULAR = 314;
    public static final int TEST_TOKEN_SNR = 303;
    public static final int TEST_TOKEN_SNR_MAX = 5205;
    public static final int TEST_TOKEN_SNR_MIN = 5206;
    public static final int TEST_TOKEN_SNR_TEST_IS_TOUCH_STABLE = 5204;
    public static final int TEST_TOKEN_SPI_PASS_STATUS = 5220;
    public static final int TEST_TOKEN_SPI_RW_CMD = 1100;
    public static final int TEST_TOKEN_SPI_RW_CONTENT = 1103;
    public static final int TEST_TOKEN_SPI_RW_LENGTH = 1102;
    public static final int TEST_TOKEN_SPI_RW_START_ADDR = 1101;
    public static final int TEST_TOKEN_SPI_TRANSFER_REMAININGS = 902;
    public static final int TEST_TOKEN_SPI_TRANSFER_RESULT = 901;
    public static final int TEST_TOKEN_SUPPORT_BIO_ASSAY = 807;
    public static final int TEST_TOKEN_SUPPORT_FF_MODE = 803;
    public static final int TEST_TOKEN_SUPPORT_FRR_ANALYSIS = 835;
    public static final int TEST_TOKEN_SUPPORT_KEY_MODE = 802;
    public static final int TEST_TOKEN_SUPPORT_NAV_MODE = 809;
    public static final int TEST_TOKEN_SUPPORT_PERFORMANCE_DUMP = 808;
    public static final int TEST_TOKEN_SUPPORT_POWER_KEY_FEATURE = 804;
    public static final int TEST_TOKEN_SUPPORT_SENSOR_BROKEN_CHECK = 825;
    public static final int TEST_TOKEN_SUPPORT_SET_SPI_SPEED_IN_TEE = 834;
    public static final int TEST_TOKEN_TA_VERSION = 204;
    public static final int TEST_TOKEN_TCODE = 5211;
    public static final int TEST_TOKEN_TEE_VERSION = 203;
    public static final int TEST_TOKEN_TEMPLATE_COUNT = 704;
    public static final int TEST_TOKEN_TEMPLATE_UPDATE_SAVE_THRESHOLD = 5200;
    public static final int TEST_TOKEN_TOTAL_TIME = 515;
    public static final int TEST_TOKEN_TOUCH_MAIN_TEST_SPEC_DELTA_MAX = 6101;
    public static final int TEST_TOKEN_TOUCH_MAIN_TEST_SPEC_DELTA_MIN = 6100;
    public static final int TEST_TOKEN_TOUCH_MAIN_TEST_SPEC_DIFF_MAX = 6111;
    public static final int TEST_TOKEN_TOUCH_MAIN_TEST_SPEC_DIFF_MIN = 6110;
    public static final int TEST_TOKEN_TOUCH_MAIN_TEST_SPEC_LOCAL_MAX = 6103;
    public static final int TEST_TOKEN_TOUCH_MAIN_TEST_SPEC_LOCAL_MIN = 6102;
    public static final int TEST_TOKEN_TOUCH_MAIN_TEST_SPEC_NOISE_MAX = 6105;
    public static final int TEST_TOKEN_TOUCH_MAIN_TEST_SPEC_NOISE_MIN = 6104;
    public static final int TEST_TOKEN_TOUCH_MAIN_TEST_SPEC_PERF_MAX = 6109;
    public static final int TEST_TOKEN_TOUCH_MAIN_TEST_SPEC_PERF_MIN = 6108;
    public static final int TEST_TOKEN_TOUCH_MAIN_TEST_SPEC_RUBBER_MAX = 6113;
    public static final int TEST_TOKEN_TOUCH_MAIN_TEST_SPEC_RUBBER_MIN = 6112;
    public static final int TEST_TOKEN_TOUCH_MAIN_TEST_SPEC_SATURATION_DOWN_MAX = 6117;
    public static final int TEST_TOKEN_TOUCH_MAIN_TEST_SPEC_SATURATION_DOWN_MIN = 6116;
    public static final int TEST_TOKEN_TOUCH_MAIN_TEST_SPEC_SATURATION_UP_MAX = 6115;
    public static final int TEST_TOKEN_TOUCH_MAIN_TEST_SPEC_SATURATION_UP_MIN = 6114;
    public static final int TEST_TOKEN_TOUCH_MAIN_TEST_SPEC_SNR_MAX = 6107;
    public static final int TEST_TOKEN_TOUCH_MAIN_TEST_SPEC_SNR_MIN = 6106;
    public static final int TEST_TOKEN_TOUCH_SUB_TEST_SPEC_DELTA_MAX = 6119;
    public static final int TEST_TOKEN_TOUCH_SUB_TEST_SPEC_DELTA_MIN = 6118;
    public static final int TEST_TOKEN_TOUCH_SUB_TEST_SPEC_DIFF_MAX = 6129;
    public static final int TEST_TOKEN_TOUCH_SUB_TEST_SPEC_DIFF_MIN = 6128;
    public static final int TEST_TOKEN_TOUCH_SUB_TEST_SPEC_LOCAL_MAX = 6121;
    public static final int TEST_TOKEN_TOUCH_SUB_TEST_SPEC_LOCAL_MIN = 6120;
    public static final int TEST_TOKEN_TOUCH_SUB_TEST_SPEC_NOISE_MAX = 6123;
    public static final int TEST_TOKEN_TOUCH_SUB_TEST_SPEC_NOISE_MIN = 6122;
    public static final int TEST_TOKEN_TOUCH_SUB_TEST_SPEC_PERF_MAX = 6127;
    public static final int TEST_TOKEN_TOUCH_SUB_TEST_SPEC_PERF_MIN = 6126;
    public static final int TEST_TOKEN_TOUCH_SUB_TEST_SPEC_RUBBER_MAX = 6131;
    public static final int TEST_TOKEN_TOUCH_SUB_TEST_SPEC_RUBBER_MIN = 6130;
    public static final int TEST_TOKEN_TOUCH_SUB_TEST_SPEC_SATURATION_DOWN_MAX = 6135;
    public static final int TEST_TOKEN_TOUCH_SUB_TEST_SPEC_SATURATION_DOWN_MIN = 6134;
    public static final int TEST_TOKEN_TOUCH_SUB_TEST_SPEC_SATURATION_UP_MAX = 6133;
    public static final int TEST_TOKEN_TOUCH_SUB_TEST_SPEC_SATURATION_UP_MIN = 6132;
    public static final int TEST_TOKEN_TOUCH_SUB_TEST_SPEC_SNR_MAX = 6125;
    public static final int TEST_TOKEN_TOUCH_SUB_TEST_SPEC_SNR_MIN = 6124;
    public static final int TEST_TOKEN_TOUCH_TEST_END = 5228;
    public static final int TEST_TOKEN_TOUCH_TEST_START = 5227;
    public static final int TEST_TOKEN_UNDER_SATURATED_PIXEL_COUNT = 1300;
    public static final int TEST_TOKEN_UNTOUCH_MAIN_TEST_SPEC_BADSTREAK_MAX = 6009;
    public static final int TEST_TOKEN_UNTOUCH_MAIN_TEST_SPEC_BADSTREAK_MIN = 6008;
    public static final int TEST_TOKEN_UNTOUCH_MAIN_TEST_SPEC_LOCAL_MAX = 6003;
    public static final int TEST_TOKEN_UNTOUCH_MAIN_TEST_SPEC_LOCAL_MIN = 6002;
    public static final int TEST_TOKEN_UNTOUCH_MAIN_TEST_SPEC_TOTAL_MAX = 6001;
    public static final int TEST_TOKEN_UNTOUCH_MAIN_TEST_SPEC_TOTAL_MIN = 6000;
    public static final int TEST_TOKEN_UNTOUCH_MAIN_TEST_SPEC_ZONE81_MAX = 6005;
    public static final int TEST_TOKEN_UNTOUCH_MAIN_TEST_SPEC_ZONE81_MIN = 6004;
    public static final int TEST_TOKEN_UNTOUCH_MAIN_TEST_SPEC_ZONE87_MAX = 6007;
    public static final int TEST_TOKEN_UNTOUCH_MAIN_TEST_SPEC_ZONE87_MIN = 6006;
    public static final int TEST_TOKEN_UNTOUCH_SUB_TEST_SPEC_BADSTREAK_MAX = 6019;
    public static final int TEST_TOKEN_UNTOUCH_SUB_TEST_SPEC_BADSTREAK_MIN = 6018;
    public static final int TEST_TOKEN_UNTOUCH_SUB_TEST_SPEC_LOCAL_MAX = 6013;
    public static final int TEST_TOKEN_UNTOUCH_SUB_TEST_SPEC_LOCAL_MIN = 6012;
    public static final int TEST_TOKEN_UNTOUCH_SUB_TEST_SPEC_TOTAL_MAX = 6011;
    public static final int TEST_TOKEN_UNTOUCH_SUB_TEST_SPEC_TOTAL_MIN = 6010;
    public static final int TEST_TOKEN_UNTOUCH_SUB_TEST_SPEC_ZONE81_MAX = 6015;
    public static final int TEST_TOKEN_UNTOUCH_SUB_TEST_SPEC_ZONE81_MIN = 6014;
    public static final int TEST_TOKEN_UNTOUCH_SUB_TEST_SPEC_ZONE87_MAX = 6017;
    public static final int TEST_TOKEN_UNTOUCH_SUB_TEST_SPEC_ZONE87_MIN = 6016;
    public static final int TEST_TOKEN_UNTOUCH_TEST_END = 5226;
    public static final int TEST_TOKEN_UNTOUCH_TEST_START = 5225;
    public static final int TEST_TOKEN_UNTRUSTED_REMOVE_FINGERPRINT_ID = 1422;
    public static final int TEST_TOKEN_UNTRUSTED_REMOVE_GROUP_ID = 1421;
    public static final int TEST_TOKEN_UNTRUSTED_SET_ACTIVE_GROUP = 1420;
    public static final int TEST_TOKEN_UPDATE_POS = 1209;
    public static final int TEST_TOKEN_UP_VALUE = 1303;
    public static final int TEST_TOKEN_VALID_AREA = 501;
    public static final int TEST_TOKEN_VALID_IMAGE_AREA_THRESHOLD = 814;
    public static final int TEST_TOKEN_VALID_IMAGE_QUALITY_THRESHOLD = 813;
    public static final int TEST_TOKEN_VENDOR_ID = 206;

    public static long decodeInt64(byte[] result, int offset) {
        return ((long) (result[offset] & UnsignedBytes.MAX_VALUE)) | (((long) (result[offset + 1] & UnsignedBytes.MAX_VALUE)) << 8) | (((long) (result[offset + 2] & UnsignedBytes.MAX_VALUE)) << 16) | (((long) (result[offset + 3] & UnsignedBytes.MAX_VALUE)) << 24) | (((long) (result[offset + 4] & UnsignedBytes.MAX_VALUE)) << 32) | (((long) (result[offset + 5] & UnsignedBytes.MAX_VALUE)) << 40) | (((long) (result[offset + 6] & UnsignedBytes.MAX_VALUE)) << 48) | (((long) (result[offset + 7] & UnsignedBytes.MAX_VALUE)) << 56);
    }

    public static int decodeInt32(byte[] result, int offset) {
        return (result[offset] & UnsignedBytes.MAX_VALUE) | ((result[offset + 1] & UnsignedBytes.MAX_VALUE) << 8) | ((result[offset + 2] & UnsignedBytes.MAX_VALUE) << 16) | ((result[offset + 3] & UnsignedBytes.MAX_VALUE) << 24);
    }

    private static short decodeInt16(byte[] result, int offset) {
        return (short) ((result[offset] & UnsignedBytes.MAX_VALUE) | ((result[offset + 1] & UnsignedBytes.MAX_VALUE) << 8));
    }

    private static byte decodeInt8(byte[] result, int offset) {
        return result[offset];
    }

    private static float decodeFloat(byte[] result, int offset, int size) {
        return Float.intBitsToFloat((result[offset] & UnsignedBytes.MAX_VALUE) | ((result[offset + 1] & UnsignedBytes.MAX_VALUE) << 8) | ((result[offset + 2] & UnsignedBytes.MAX_VALUE) << 16) | ((result[offset + 3] & UnsignedBytes.MAX_VALUE) << 24));
    }

    private static double decodeDouble(byte[] result, int offset, int size) {
        return Double.longBitsToDouble(((long) (result[offset] & UnsignedBytes.MAX_VALUE)) | ((((long) result[offset + 1]) & 255) << 8) | ((((long) result[offset + 2]) & 255) << 16) | ((((long) result[offset + 3]) & 255) << 24) | ((((long) result[offset + 4]) & 255) << 32) | ((((long) result[offset + 5]) & 255) << 40) | ((((long) result[offset + 6]) & 255) << 48) | ((((long) result[offset + 7]) & 255) << 56));
    }

    public static HashMap<Integer, Object> parser(byte[] result) {
        HashMap<Integer, Object> testResult = new HashMap<>();
        int len = 0;
        if (result != null) {
            len = result.length;
        }
        int offset = 0;
        while (offset < len) {
            Log.d(TAG, "offset = " + offset);
            int token = decodeInt32(result, offset);
            offset += 4;
            Log.d(TAG, "token = " + token);
            switch (token) {
                case 100:
                case 101:
                case 102:
                case 305:
                case 306:
                case 307:
                case 308:
                case 309:
                case 314:
                case 318:
                case TEST_TOKEN_LOCAL_BIG_BAD_PIXEL_NUM /*{ENCODED_INT: 319}*/:
                case 320:
                case TEST_TOKEN_IS_BAD_LINE /*{ENCODED_INT: 321}*/:
                case 400:
                case 401:
                case 402:
                case 403:
                case 404:
                case 405:
                case 406:
                case 407:
                case 409:
                case 411:
                case 500:
                case 501:
                case 502:
                case 503:
                case 504:
                case 505:
                case 506:
                case 507:
                case 508:
                case 509:
                case 510:
                case 511:
                case 512:
                case 513:
                case 514:
                case 515:
                case 516:
                case 517:
                case 600:
                case 702:
                case 703:
                case 704:
                case 709:
                case 710:
                case 711:
                case 800:
                case 801:
                case 802:
                case 803:
                case 804:
                case 805:
                case 806:
                case 807:
                case 808:
                case 809:
                case 810:
                case 811:
                case 812:
                case 813:
                case 814:
                case 815:
                case 816:
                case 817:
                case 818:
                case 819:
                case 820:
                case 821:
                case 822:
                case 823:
                case 824:
                case 825:
                case 826:
                case 827:
                case 828:
                case 829:
                case 830:
                case 831:
                case 832:
                case 833:
                case 834:
                case 835:
                case 900:
                case 903:
                case 1000:
                case 1002:
                case 1004:
                case 1005:
                case 1006:
                case 1007:
                case 1008:
                case 1009:
                case 1010:
                case 1011:
                case 1012:
                case 1013:
                case 1018:
                case 1023:
                case 1027:
                case 1028:
                case 1029:
                case 1030:
                case 1031:
                case 1032:
                case 1033:
                case 1034:
                case 1035:
                case 1036:
                case 1037:
                case 1038:
                case 1040:
                case 1041:
                case 1042:
                case 1044:
                case 1100:
                case 1101:
                case 1102:
                case 1300:
                case 1301:
                case 1302:
                case 1303:
                case 1304:
                case 1400:
                case 1401:
                case 1402:
                case 1403:
                case 1404:
                case 1405:
                case 1406:
                case 1410:
                case 1411:
                case 1412:
                case 1413:
                case 1414:
                case 1417:
                case 1418:
                case 1423:
                case 5200:
                case TEST_TOKEN_DATA_DIFFERENCE /*{ENCODED_INT: 5213}*/:
                case TEST_TOKEN_IS_PIXEL_DOWN_PASS /*{ENCODED_INT: 5214}*/:
                case TEST_TOKEN_IS_PIXEL_UP_PASS /*{ENCODED_INT: 5215}*/:
                case TEST_TOKEN_IS_RECV_FALSE_IRQ /*{ENCODED_INT: 5216}*/:
                case TEST_TOKEN_DEVICE_CTRL /*{ENCODED_INT: 5217}*/:
                case TEST_TOKEN_FDT_USED_OPEN_PIXEL_NUM /*{ENCODED_INT: 5218}*/:
                case TEST_TOKEN_FDT_EXTRA_OPEN_PIXEL_NUM /*{ENCODED_INT: 5219}*/:
                case TEST_TOKEN_SPI_PASS_STATUS /*{ENCODED_INT: 5220}*/:
                case TEST_TOKEN_RESET_PASS_STATUS /*{ENCODED_INT: 5221}*/:
                case TEST_TOKEN_INT_PASS_STATUS /*{ENCODED_INT: 5222}*/:
                case TEST_TOKEN_CALIBRATION_STATUS /*{ENCODED_INT: 5223}*/:
                case TEST_TOKEN_FALSE_TRIGGER_STATUS /*{ENCODED_INT: 5224}*/:
                case TEST_TOKEN_UNTOUCH_TEST_START /*{ENCODED_INT: 5225}*/:
                case TEST_TOKEN_UNTOUCH_TEST_END /*{ENCODED_INT: 5226}*/:
                case TEST_TOKEN_TOUCH_TEST_START /*{ENCODED_INT: 5227}*/:
                case TEST_TOKEN_TOUCH_TEST_END /*{ENCODED_INT: 5228}*/:
                case TEST_TOKEN_OTPCHECK_TEST_START /*{ENCODED_INT: 5229}*/:
                case TEST_TOKEN_OTPCHECK_TEST_END /*{ENCODED_INT: 5230}*/:
                case TEST_TOKEN_GET_SENSOR_INFO_TEST_START /*{ENCODED_INT: 5231}*/:
                case TEST_TOKEN_GET_SENSOR_INFO_TEST_END /*{ENCODED_INT: 5232}*/:
                case TEST_TOKEN_SENSOR_AVAILABLE_STATUS /*{ENCODED_INT: 5233}*/:
                case TEST_TOKEN_PIXEL_SHORT_NUM /*{ENCODED_INT: 5234}*/:
                case 6000:
                case 6001:
                case 6002:
                case 6003:
                case 6004:
                case 6005:
                case 6006:
                case 6007:
                case 6008:
                case 6009:
                case 6010:
                case 6011:
                case 6012:
                case 6013:
                case 6014:
                case 6015:
                case 6016:
                case 6017:
                case 6018:
                case 6019:
                case TEST_TOKEN_TOUCH_MAIN_TEST_SPEC_DELTA_MIN /*{ENCODED_INT: 6100}*/:
                case 6101:
                case 6102:
                case 6103:
                case 6104:
                case 6105:
                case 6106:
                case 6107:
                case 6108:
                case TEST_TOKEN_TOUCH_MAIN_TEST_SPEC_PERF_MAX /*{ENCODED_INT: 6109}*/:
                case TEST_TOKEN_TOUCH_MAIN_TEST_SPEC_DIFF_MIN /*{ENCODED_INT: 6110}*/:
                case TEST_TOKEN_TOUCH_MAIN_TEST_SPEC_DIFF_MAX /*{ENCODED_INT: 6111}*/:
                case TEST_TOKEN_TOUCH_MAIN_TEST_SPEC_RUBBER_MIN /*{ENCODED_INT: 6112}*/:
                case TEST_TOKEN_TOUCH_MAIN_TEST_SPEC_SATURATION_UP_MIN /*{ENCODED_INT: 6114}*/:
                case TEST_TOKEN_TOUCH_MAIN_TEST_SPEC_SATURATION_UP_MAX /*{ENCODED_INT: 6115}*/:
                case TEST_TOKEN_TOUCH_MAIN_TEST_SPEC_SATURATION_DOWN_MIN /*{ENCODED_INT: 6116}*/:
                case TEST_TOKEN_TOUCH_MAIN_TEST_SPEC_SATURATION_DOWN_MAX /*{ENCODED_INT: 6117}*/:
                case TEST_TOKEN_TOUCH_SUB_TEST_SPEC_DELTA_MIN /*{ENCODED_INT: 6118}*/:
                case TEST_TOKEN_TOUCH_SUB_TEST_SPEC_DELTA_MAX /*{ENCODED_INT: 6119}*/:
                case TEST_TOKEN_TOUCH_SUB_TEST_SPEC_LOCAL_MIN /*{ENCODED_INT: 6120}*/:
                case TEST_TOKEN_TOUCH_SUB_TEST_SPEC_LOCAL_MAX /*{ENCODED_INT: 6121}*/:
                case TEST_TOKEN_TOUCH_SUB_TEST_SPEC_NOISE_MIN /*{ENCODED_INT: 6122}*/:
                case TEST_TOKEN_TOUCH_SUB_TEST_SPEC_NOISE_MAX /*{ENCODED_INT: 6123}*/:
                case TEST_TOKEN_TOUCH_SUB_TEST_SPEC_SNR_MIN /*{ENCODED_INT: 6124}*/:
                case TEST_TOKEN_TOUCH_SUB_TEST_SPEC_SNR_MAX /*{ENCODED_INT: 6125}*/:
                case TEST_TOKEN_TOUCH_SUB_TEST_SPEC_PERF_MIN /*{ENCODED_INT: 6126}*/:
                case TEST_TOKEN_TOUCH_SUB_TEST_SPEC_PERF_MAX /*{ENCODED_INT: 6127}*/:
                case TEST_TOKEN_TOUCH_SUB_TEST_SPEC_DIFF_MIN /*{ENCODED_INT: 6128}*/:
                case TEST_TOKEN_TOUCH_SUB_TEST_SPEC_DIFF_MAX /*{ENCODED_INT: 6129}*/:
                case TEST_TOKEN_TOUCH_SUB_TEST_SPEC_RUBBER_MIN /*{ENCODED_INT: 6130}*/:
                case TEST_TOKEN_TOUCH_SUB_TEST_SPEC_SATURATION_UP_MIN /*{ENCODED_INT: 6132}*/:
                case TEST_TOKEN_TOUCH_SUB_TEST_SPEC_SATURATION_UP_MAX /*{ENCODED_INT: 6133}*/:
                case TEST_TOKEN_TOUCH_SUB_TEST_SPEC_SATURATION_DOWN_MIN /*{ENCODED_INT: 6134}*/:
                case TEST_TOKEN_TOUCH_SUB_TEST_SPEC_SATURATION_DOWN_MAX /*{ENCODED_INT: 6135}*/:
                    int value = decodeInt32(result, offset);
                    offset += 4;
                    testResult.put(Integer.valueOf(token), Integer.valueOf(value));
                    Log.d(TAG, "value = " + value);
                    break;
                case 200:
                case 201:
                case 202:
                case 203:
                case 204:
                case 210:
                case 1014:
                case 1045:
                    int size = decodeInt32(result, offset);
                    int offset2 = offset + 4;
                    testResult.put(Integer.valueOf(token), new String(result, offset2, size));
                    offset = offset2 + size;
                    break;
                case 205:
                case 206:
                case 207:
                case 208:
                case 211:
                case 310:
                case 408:
                case 410:
                case 700:
                case 701:
                case 705:
                case 708:
                case 712:
                case 713:
                case 714:
                case 715:
                case 1001:
                case 1015:
                case 1016:
                case 1017:
                case 1019:
                case 1020:
                case 1021:
                case 1022:
                case 1024:
                case 1025:
                case 1026:
                case 1039:
                case 1043:
                case 1103:
                case 1415:
                case 1416:
                case 1419:
                    int size2 = decodeInt32(result, offset);
                    offset += 4;
                    if (size2 <= 0) {
                        break;
                    } else {
                        testResult.put(Integer.valueOf(token), Arrays.copyOfRange(result, offset, offset + size2));
                        offset += size2;
                        break;
                    }
                case 209:
                    byte value2 = decodeInt8(result, offset);
                    offset++;
                    testResult.put(Integer.valueOf(token), Byte.valueOf(value2));
                    Log.d(TAG, "value = " + ((int) value2));
                    break;
                case 300:
                case 313:
                case 315:
                case 316:
                case 317:
                case 706:
                case 707:
                case TEST_TOKEN_IS_TOUCH_TEST_PREPARE /*{ENCODED_INT: 5209}*/:
                case TEST_TOKEN_IS_MODULE_TEST_PASS /*{ENCODED_INT: 5210}*/:
                case TEST_TOKEN_TCODE /*{ENCODED_INT: 5211}*/:
                case TEST_TOKEN_DAC /*{ENCODED_INT: 5212}*/:
                    short value3 = decodeInt16(result, offset);
                    offset += 2;
                    testResult.put(Integer.valueOf(token), Short.valueOf(value3));
                    Log.d(TAG, "value = " + ((int) value3));
                    break;
                case 301:
                case 302:
                case 303:
                case 304:
                case 311:
                case 312:
                case TEST_TOKEN_BAD_POINT_TEST_IS_TOUCH_STABLE /*{ENCODED_INT: 5201}*/:
                case TEST_TOKEN_SENSOR_PERFORMANCE_TEST_IS_TOUCH_STABLE /*{ENCODED_INT: 5202}*/:
                case TEST_TOKEN_RAWDATA_SATURAED_TEST_IS_TOUCH_STABLE /*{ENCODED_INT: 5203}*/:
                case TEST_TOKEN_SNR_TEST_IS_TOUCH_STABLE /*{ENCODED_INT: 5204}*/:
                case TEST_TOKEN_TOUCH_MAIN_TEST_SPEC_RUBBER_MAX /*{ENCODED_INT: 6113}*/:
                case TEST_TOKEN_TOUCH_SUB_TEST_SPEC_RUBBER_MAX /*{ENCODED_INT: 6131}*/:
                    int size3 = decodeInt32(result, offset);
                    int offset3 = offset + 4;
                    float value4 = decodeFloat(result, offset3, size3);
                    testResult.put(Integer.valueOf(token), Float.valueOf(value4));
                    offset = offset3 + size3;
                    Log.d(TAG, "value = " + value4);
                    break;
                case 1003:
                case 1408:
                case 1409:
                    long value5 = decodeInt64(result, offset);
                    offset += 8;
                    testResult.put(Integer.valueOf(token), Long.valueOf(value5));
                    Log.d(TAG, "value = " + value5);
                    break;
                case 1200:
                case 1201:
                case 1202:
                case 1203:
                case 1204:
                case 1205:
                case 1206:
                case 1207:
                case 1208:
                case 1209:
                    int value6 = decodeInt32(result, offset);
                    offset += 4;
                    testResult.put(Integer.valueOf(token), Integer.valueOf(value6));
                    Log.d(TAG, "value = " + value6);
                    break;
                case 1210:
                    int size4 = decodeInt32(result, offset);
                    int offset4 = offset + 4;
                    testResult.put(Integer.valueOf(token), new String(result, offset4, size4));
                    offset = offset4 + size4;
                    break;
            }
        }
        return testResult;
    }
}
