package com.goodix.display.fingerprint.ext;

import android.graphics.Bitmap;
import android.graphics.Matrix;
import android.util.Log;
import com.google.common.primitives.UnsignedBytes;

public class Util {
    private static final String TAG = "Util";

    public static Bitmap bitMapScale(Bitmap bitmap, float scale) {
        Matrix matrix = new Matrix();
        matrix.postScale(scale, scale);
        return Bitmap.createBitmap(bitmap, 0, 0, bitmap.getWidth(), bitmap.getHeight(), matrix, true);
    }

    public static Bitmap convertToBitmap(byte[] result, int width, int height, int angle) {
        int length = width * height;
        int[] display = new int[length];
        Log.d(TAG, "length = " + length + " width= " + width + " height =" + height);
        StringBuilder sb = new StringBuilder();
        sb.append("result.length = ");
        sb.append(result.length);
        Log.d(TAG, sb.toString());
        for (int i = 0; i < length; i++) {
            int pixel = result[i] & UnsignedBytes.MAX_VALUE;
            display[i] = -16777216 | (pixel << 16) | (pixel << 8) | pixel;
        }
        Bitmap bitmap = Bitmap.createBitmap(display, width, height, Bitmap.Config.ARGB_8888);
        if (angle <= 0) {
            return bitmap;
        }
        Matrix matrix = new Matrix();
        matrix.preRotate((float) angle);
        return Bitmap.createBitmap(bitmap, 0, 0, bitmap.getWidth(), bitmap.getHeight(), matrix, false);
    }
}
