package com.goodix.fingerprint;

import android.os.Parcel;
import android.os.Parcelable;

public class GFBaikalConfig implements Parcelable {
    public static final Parcelable.Creator<GFBaikalConfig> CREATOR = new Parcelable.Creator<GFBaikalConfig>() {
        /* class com.goodix.fingerprint.GFBaikalConfig.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public GFBaikalConfig createFromParcel(Parcel in) {
            return new GFBaikalConfig(in);
        }

        @Override // android.os.Parcelable.Creator
        public GFBaikalConfig[] newArray(int size) {
            return new GFBaikalConfig[size];
        }
    };
    public int mSensorAreaBackgroundColor;
    public int mSensorAspectRatioHeight;
    public int mSensorAspectRatioWidth;
    public int mSensorHeight;
    public boolean mSensorLockAspectRatio;
    public int mSensorPreviewScaleRatio;
    public int mSensorWidth;
    public int mSensorX;
    public int mSensorY;

    public GFBaikalConfig() {
        this.mSensorX = 311;
        this.mSensorY = 934;
        this.mSensorWidth = 110;
        this.mSensorHeight = 110;
        this.mSensorLockAspectRatio = true;
        this.mSensorAspectRatioWidth = 10;
        this.mSensorAspectRatioHeight = 10;
        this.mSensorPreviewScaleRatio = 150;
        this.mSensorAreaBackgroundColor = -16711681;
    }

    private GFBaikalConfig(Parcel in) {
        this.mSensorX = 311;
        this.mSensorY = 934;
        this.mSensorWidth = 110;
        this.mSensorHeight = 110;
        boolean z = true;
        this.mSensorLockAspectRatio = true;
        this.mSensorAspectRatioWidth = 10;
        this.mSensorAspectRatioHeight = 10;
        this.mSensorPreviewScaleRatio = 150;
        this.mSensorAreaBackgroundColor = -16711681;
        this.mSensorX = in.readInt();
        this.mSensorY = in.readInt();
        this.mSensorWidth = in.readInt();
        this.mSensorHeight = in.readInt();
        this.mSensorLockAspectRatio = in.readInt() == 0 ? false : z;
        this.mSensorAspectRatioWidth = in.readInt();
        this.mSensorAspectRatioHeight = in.readInt();
        this.mSensorPreviewScaleRatio = in.readInt();
        this.mSensorAreaBackgroundColor = in.readInt();
    }

    public GFBaikalConfig(GFBaikalConfig config) {
        this.mSensorX = 311;
        this.mSensorY = 934;
        this.mSensorWidth = 110;
        this.mSensorHeight = 110;
        this.mSensorLockAspectRatio = true;
        this.mSensorAspectRatioWidth = 10;
        this.mSensorAspectRatioHeight = 10;
        this.mSensorPreviewScaleRatio = 150;
        this.mSensorAreaBackgroundColor = -16711681;
        this.mSensorX = config.mSensorX;
        this.mSensorY = config.mSensorY;
        this.mSensorWidth = config.mSensorWidth;
        this.mSensorHeight = config.mSensorHeight;
        this.mSensorLockAspectRatio = config.mSensorLockAspectRatio;
        this.mSensorAspectRatioWidth = config.mSensorAspectRatioWidth;
        this.mSensorAspectRatioHeight = config.mSensorAspectRatioHeight;
        this.mSensorPreviewScaleRatio = config.mSensorPreviewScaleRatio;
        this.mSensorAreaBackgroundColor = config.mSensorAreaBackgroundColor;
    }

    public int describeContents() {
        return 0;
    }

    public void writeToParcel(Parcel out, int flags) {
        out.writeInt(this.mSensorX);
        out.writeInt(this.mSensorY);
        out.writeInt(this.mSensorWidth);
        out.writeInt(this.mSensorHeight);
        out.writeInt(this.mSensorLockAspectRatio ? 1 : 0);
        out.writeInt(this.mSensorAspectRatioWidth);
        out.writeInt(this.mSensorAspectRatioHeight);
        out.writeInt(this.mSensorPreviewScaleRatio);
        out.writeInt(this.mSensorAreaBackgroundColor);
    }
}
