package com.goodix.fingerprint;

import android.os.Parcel;
import android.os.Parcelable;

public class GFDelmarConfig implements Parcelable {
    public static final Parcelable.Creator<GFDelmarConfig> CREATOR = new Parcelable.Creator<GFDelmarConfig>() {
        /* class com.goodix.fingerprint.GFDelmarConfig.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public GFDelmarConfig createFromParcel(Parcel in) {
            return new GFDelmarConfig(in);
        }

        @Override // android.os.Parcelable.Creator
        public GFDelmarConfig[] newArray(int size) {
            return new GFDelmarConfig[size];
        }
    };
    public int mAuthMainBackgroundColor;
    public float mAuthSensorIndicatorHeight;
    public float mAuthSensorIndicatorWidth;
    public int mBindingSensorHeight;
    public int mBindingSensorWidth;
    public int mCfMark;
    public int mCfMaskType;
    public boolean mCountDirtyPartial;
    public float mEnrollSensorIndicatorHeight;
    public float mEnrollSensorIndicatorWidth;
    public int mFakeFlag;
    public float mFignerDownThreshold;
    public float mLightAreaRadius;
    public int mLightStableDelay;
    public int mMainBackgroundColor;
    public int mMorphotype;
    public int mSensorAreaBackgroundColor;
    public int mSensorAspectRatioHeight;
    public int mSensorAspectRatioWidth;
    public int mSensorBindingMode;
    public int[] mSensorCenterX;
    public int[] mSensorCenterY;
    public int mSensorHeight;
    public int mSensorLightColor;
    public boolean mSensorLockAspectRatio;
    public int mSensorNum;
    public int mSensorPreviewScaleRatio;
    public int[] mSensorRotateAngle;
    public int mSensorWidth;
    public int mSensorX;
    public int mSensorY;
    public float mShiftEnrollX;
    public float mShiftEnrollY;
    public float mValidPressMargin;

    public GFDelmarConfig() {
        this.mSensorX = 311;
        this.mSensorY = 934;
        this.mSensorNum = 1;
        this.mMorphotype = 0;
        this.mCfMark = 0;
        this.mCfMaskType = 0;
        this.mSensorCenterX = new int[1];
        this.mSensorCenterY = new int[1];
        this.mSensorWidth = 110;
        this.mSensorHeight = 110;
        this.mBindingSensorWidth = 40;
        this.mBindingSensorHeight = 20;
        this.mSensorLockAspectRatio = true;
        this.mSensorAspectRatioWidth = 10;
        this.mSensorAspectRatioHeight = 10;
        this.mSensorPreviewScaleRatio = 150;
        this.mSensorLightColor = -16711681;
        this.mSensorBindingMode = 1;
        this.mMainBackgroundColor = -16777216;
        this.mAuthMainBackgroundColor = -16;
        this.mSensorAreaBackgroundColor = 0;
        this.mLightAreaRadius = 7.5f;
        this.mEnrollSensorIndicatorWidth = 40.0f;
        this.mEnrollSensorIndicatorHeight = 15.0f;
        this.mAuthSensorIndicatorWidth = 40.0f;
        this.mAuthSensorIndicatorHeight = 15.0f;
        this.mFignerDownThreshold = 0.05f;
        this.mLightStableDelay = 250;
        this.mShiftEnrollX = 2.0f;
        this.mShiftEnrollY = 3.0f;
        this.mValidPressMargin = 0.0f;
        this.mCountDirtyPartial = false;
        this.mSensorRotateAngle = new int[1];
        this.mFakeFlag = 0;
    }

    private GFDelmarConfig(Parcel in) {
        this.mSensorX = 311;
        this.mSensorY = 934;
        this.mSensorNum = 1;
        boolean z = false;
        this.mMorphotype = 0;
        this.mCfMark = 0;
        this.mCfMaskType = 0;
        this.mSensorCenterX = new int[1];
        this.mSensorCenterY = new int[1];
        this.mSensorWidth = 110;
        this.mSensorHeight = 110;
        this.mBindingSensorWidth = 40;
        this.mBindingSensorHeight = 20;
        this.mSensorLockAspectRatio = true;
        this.mSensorAspectRatioWidth = 10;
        this.mSensorAspectRatioHeight = 10;
        this.mSensorPreviewScaleRatio = 150;
        this.mSensorLightColor = -16711681;
        this.mSensorBindingMode = 1;
        this.mMainBackgroundColor = -16777216;
        this.mAuthMainBackgroundColor = -16;
        this.mSensorAreaBackgroundColor = 0;
        this.mLightAreaRadius = 7.5f;
        this.mEnrollSensorIndicatorWidth = 40.0f;
        this.mEnrollSensorIndicatorHeight = 15.0f;
        this.mAuthSensorIndicatorWidth = 40.0f;
        this.mAuthSensorIndicatorHeight = 15.0f;
        this.mFignerDownThreshold = 0.05f;
        this.mLightStableDelay = 250;
        this.mShiftEnrollX = 2.0f;
        this.mShiftEnrollY = 3.0f;
        this.mValidPressMargin = 0.0f;
        this.mCountDirtyPartial = false;
        this.mSensorRotateAngle = new int[1];
        this.mFakeFlag = 0;
        this.mSensorX = in.readInt();
        this.mSensorY = in.readInt();
        this.mSensorNum = in.readInt();
        for (int i = 0; i < 1; i++) {
            this.mSensorCenterX[i] = in.readInt();
            this.mSensorCenterY[i] = in.readInt();
        }
        this.mSensorWidth = in.readInt();
        this.mSensorHeight = in.readInt();
        this.mBindingSensorWidth = in.readInt();
        this.mBindingSensorHeight = in.readInt();
        this.mSensorLockAspectRatio = in.readInt() != 0;
        this.mSensorAspectRatioWidth = in.readInt();
        this.mSensorAspectRatioHeight = in.readInt();
        this.mSensorPreviewScaleRatio = in.readInt();
        this.mSensorLightColor = in.readInt();
        this.mSensorBindingMode = in.readInt();
        this.mMainBackgroundColor = in.readInt();
        this.mAuthMainBackgroundColor = in.readInt();
        this.mSensorAreaBackgroundColor = in.readInt();
        this.mEnrollSensorIndicatorWidth = in.readFloat();
        this.mEnrollSensorIndicatorHeight = in.readFloat();
        this.mAuthSensorIndicatorWidth = in.readFloat();
        this.mAuthSensorIndicatorHeight = in.readFloat();
        this.mLightAreaRadius = in.readFloat();
        this.mFignerDownThreshold = in.readFloat();
        this.mLightStableDelay = in.readInt();
        this.mShiftEnrollX = in.readFloat();
        this.mShiftEnrollY = in.readFloat();
        this.mValidPressMargin = in.readFloat();
        this.mCountDirtyPartial = in.readInt() != 0 ? true : z;
        for (int i2 = 0; i2 < 1; i2++) {
            this.mSensorRotateAngle[i2] = in.readInt();
        }
        this.mFakeFlag = in.readInt();
    }

    public GFDelmarConfig(GFDelmarConfig config) {
        this.mSensorX = 311;
        this.mSensorY = 934;
        this.mSensorNum = 1;
        this.mMorphotype = 0;
        this.mCfMark = 0;
        this.mCfMaskType = 0;
        this.mSensorCenterX = new int[1];
        this.mSensorCenterY = new int[1];
        this.mSensorWidth = 110;
        this.mSensorHeight = 110;
        this.mBindingSensorWidth = 40;
        this.mBindingSensorHeight = 20;
        this.mSensorLockAspectRatio = true;
        this.mSensorAspectRatioWidth = 10;
        this.mSensorAspectRatioHeight = 10;
        this.mSensorPreviewScaleRatio = 150;
        this.mSensorLightColor = -16711681;
        this.mSensorBindingMode = 1;
        this.mMainBackgroundColor = -16777216;
        this.mAuthMainBackgroundColor = -16;
        this.mSensorAreaBackgroundColor = 0;
        this.mLightAreaRadius = 7.5f;
        this.mEnrollSensorIndicatorWidth = 40.0f;
        this.mEnrollSensorIndicatorHeight = 15.0f;
        this.mAuthSensorIndicatorWidth = 40.0f;
        this.mAuthSensorIndicatorHeight = 15.0f;
        this.mFignerDownThreshold = 0.05f;
        this.mLightStableDelay = 250;
        this.mShiftEnrollX = 2.0f;
        this.mShiftEnrollY = 3.0f;
        this.mValidPressMargin = 0.0f;
        this.mCountDirtyPartial = false;
        this.mSensorRotateAngle = new int[1];
        this.mFakeFlag = 0;
        this.mSensorX = config.mSensorX;
        this.mSensorY = config.mSensorY;
        this.mSensorNum = config.mSensorNum;
        this.mMorphotype = config.mMorphotype;
        this.mCfMark = config.mCfMark;
        this.mCfMaskType = config.mCfMaskType;
        for (int i = 0; i < 1; i++) {
            this.mSensorCenterX[i] = config.mSensorCenterX[i];
            this.mSensorCenterY[i] = config.mSensorCenterY[i];
        }
        this.mSensorWidth = config.mSensorWidth;
        this.mSensorHeight = config.mSensorHeight;
        this.mBindingSensorWidth = config.mBindingSensorWidth;
        this.mBindingSensorHeight = config.mBindingSensorHeight;
        this.mSensorLockAspectRatio = config.mSensorLockAspectRatio;
        this.mSensorAspectRatioWidth = config.mSensorAspectRatioWidth;
        this.mSensorAspectRatioHeight = config.mSensorAspectRatioHeight;
        this.mSensorPreviewScaleRatio = config.mSensorPreviewScaleRatio;
        this.mSensorLightColor = config.mSensorLightColor;
        this.mSensorBindingMode = config.mSensorBindingMode;
        this.mMainBackgroundColor = config.mMainBackgroundColor;
        this.mAuthMainBackgroundColor = config.mAuthMainBackgroundColor;
        this.mSensorAreaBackgroundColor = config.mSensorAreaBackgroundColor;
        this.mEnrollSensorIndicatorWidth = config.mEnrollSensorIndicatorWidth;
        this.mEnrollSensorIndicatorHeight = config.mEnrollSensorIndicatorHeight;
        this.mAuthSensorIndicatorWidth = config.mAuthSensorIndicatorWidth;
        this.mAuthSensorIndicatorHeight = config.mAuthSensorIndicatorHeight;
        this.mLightAreaRadius = config.mLightAreaRadius;
        this.mFignerDownThreshold = config.mFignerDownThreshold;
        this.mLightStableDelay = config.mLightStableDelay;
        this.mShiftEnrollX = config.mShiftEnrollX;
        this.mShiftEnrollY = config.mShiftEnrollY;
        this.mValidPressMargin = config.mValidPressMargin;
        this.mCountDirtyPartial = config.mCountDirtyPartial;
        for (int i2 = 0; i2 < 1; i2++) {
            this.mSensorRotateAngle[i2] = config.mSensorRotateAngle[i2];
        }
        this.mFakeFlag = config.mFakeFlag;
    }

    public int describeContents() {
        return 0;
    }

    public void writeToParcel(Parcel out, int flags) {
        out.writeInt(this.mSensorX);
        out.writeInt(this.mSensorY);
        out.writeInt(this.mSensorNum);
        for (int i = 0; i < 1; i++) {
            out.writeInt(this.mSensorCenterX[i]);
            out.writeInt(this.mSensorCenterY[i]);
        }
        out.writeInt(this.mSensorWidth);
        out.writeInt(this.mSensorHeight);
        out.writeInt(this.mBindingSensorWidth);
        out.writeInt(this.mBindingSensorHeight);
        out.writeInt(this.mSensorLockAspectRatio ? 1 : 0);
        out.writeInt(this.mSensorAspectRatioWidth);
        out.writeInt(this.mSensorAspectRatioHeight);
        out.writeInt(this.mSensorPreviewScaleRatio);
        out.writeInt(this.mSensorLightColor);
        out.writeInt(this.mSensorBindingMode);
        out.writeInt(this.mMainBackgroundColor);
        out.writeInt(this.mAuthMainBackgroundColor);
        out.writeInt(this.mSensorAreaBackgroundColor);
        out.writeFloat(this.mEnrollSensorIndicatorWidth);
        out.writeFloat(this.mEnrollSensorIndicatorHeight);
        out.writeFloat(this.mAuthSensorIndicatorWidth);
        out.writeFloat(this.mAuthSensorIndicatorHeight);
        out.writeFloat(this.mLightAreaRadius);
        out.writeFloat(this.mFignerDownThreshold);
        out.writeInt(this.mLightStableDelay);
        out.writeFloat(this.mShiftEnrollX);
        out.writeFloat(this.mShiftEnrollY);
        out.writeFloat(this.mValidPressMargin);
        out.writeInt(this.mCountDirtyPartial ? 1 : 0);
        for (int i2 = 0; i2 < 1; i2++) {
            out.writeInt(this.mSensorRotateAngle[i2]);
        }
        out.writeInt(this.mFakeFlag);
    }
}
