package com.goodix.fingerprint;

import android.os.Parcel;
import android.os.Parcelable;

public class GFShenzhenConfig implements Parcelable {
    public static final Parcelable.Creator<GFShenzhenConfig> CREATOR = new Parcelable.Creator<GFShenzhenConfig>() {
        /* class com.goodix.fingerprint.GFShenzhenConfig.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public GFShenzhenConfig createFromParcel(Parcel in) {
            return new GFShenzhenConfig(in);
        }

        @Override // android.os.Parcelable.Creator
        public GFShenzhenConfig[] newArray(int size) {
            return new GFShenzhenConfig[size];
        }
    };
    public int mAutoBackgroundColor;
    public int mBaseCalibrateSwitch;
    public int mCircleColor;
    public int mCircleRadius;
    public int mCircleRate;
    public int mCircleStokeWidth;
    public int mEnhance_Level;
    public int mEnrollMinTemplateCount;
    public int mEnrollTemplateCount;
    public int mFusionratio;
    public int mGradientColor;
    public int mHighBrightness;
    public int mIsSensorPreviewEnhanced;
    public boolean mIsSupportGradient;
    public int mKeyBackEqual;
    public int mKeyBaseCalibrate;
    public int mKeyDFTConst;
    public int mKeyDFTSet;
    public int mKeyDeNoise;
    public int mKeyDirEnhance;
    public int mKeyFullQaun;
    public int mKeyInverBmp;
    public int mKeyKrCalibrate;
    public int mKeyLdc;
    public int mKeyLocalQuan;
    public int mKeyPreguassian;
    public int mKeySito;
    public int mKeyUpdateKB;
    public int mKeydefluat;
    public int mLDCSwitch;
    public int mLPFSwitch;
    public int mLSCSwitch;
    public String mLibaryVersion;
    public int mLongExpoRadius;
    public int mLongFrameAvgNum;
    public int mLongPAGGain;
    public int mLowBrightness;
    public int mMiddleBrightness;
    public int mPreprocess;
    public int mRect_bmp_col;
    public int mRect_bmp_row;
    public int mRect_height;
    public int mRect_width;
    public int mRect_x;
    public int mRect_y;
    public int mRetryCount;
    public String mSDKVersion;
    public int mScaleRatio;
    public int mSensorAreaBackgroundColor;
    public int mSensorAspectRatioHeight;
    public int mSensorAspectRatioWidth;
    public int mSensorCol;
    public int mSensorHeight;
    public int mSensorHighlightHeight;
    public int mSensorHighlightWidth;
    public boolean mSensorLockAspectRatio;
    public int mSensorPreviewScaleRatio;
    public int mSensorRow;
    public int mSensorWidth;
    public int mSensorX;
    public int mSensorY;
    public int mShortExposureTime;
    public int mShortFrameAvgNum;
    public int mShortPAGGain;
    public int mTNRSwitch;
    public int mTNR_Thresh;
    public int mTestNum;
    public int mTouchSensitive;
    public int misSensorPreviewBmp;
    public int munHighthresh;
    public int munLowerthresh;

    public GFShenzhenConfig() {
        this.mSensorX = ShenzhenConstants.DEFAULT_SENSOR_X;
        this.mSensorY = ShenzhenConstants.DEFAULT_SENSOR_Y;
        this.mSensorWidth = 173;
        this.mSensorHeight = 173;
        this.mSensorHighlightWidth = 173;
        this.mSensorHighlightHeight = 173;
        this.mSensorLockAspectRatio = true;
        this.mSensorAspectRatioWidth = 10;
        this.mSensorAspectRatioHeight = 10;
        this.mSensorPreviewScaleRatio = 150;
        this.mSensorAreaBackgroundColor = -16711681;
        this.mCircleColor = -16711681;
        this.mAutoBackgroundColor = -16711681;
        this.mCircleRate = 5;
        this.mTestNum = -1;
    }

    private GFShenzhenConfig(Parcel in) {
        this.mSensorX = ShenzhenConstants.DEFAULT_SENSOR_X;
        this.mSensorY = ShenzhenConstants.DEFAULT_SENSOR_Y;
        this.mSensorWidth = 173;
        this.mSensorHeight = 173;
        this.mSensorHighlightWidth = 173;
        this.mSensorHighlightHeight = 173;
        boolean z = true;
        this.mSensorLockAspectRatio = true;
        this.mSensorAspectRatioWidth = 10;
        this.mSensorAspectRatioHeight = 10;
        this.mSensorPreviewScaleRatio = 150;
        this.mSensorAreaBackgroundColor = -16711681;
        this.mCircleColor = -16711681;
        this.mAutoBackgroundColor = -16711681;
        this.mCircleRate = 5;
        this.mTestNum = -1;
        this.mSensorX = in.readInt();
        this.mSensorY = in.readInt();
        this.mSensorWidth = in.readInt();
        this.mSensorHeight = in.readInt();
        this.mSensorLockAspectRatio = in.readInt() != 0;
        this.mSensorAspectRatioWidth = in.readInt();
        this.mSensorAspectRatioHeight = in.readInt();
        this.mSensorPreviewScaleRatio = in.readInt();
        this.mSensorAreaBackgroundColor = in.readInt();
        this.mScaleRatio = in.readInt();
        this.mLongFrameAvgNum = in.readInt();
        this.mLongPAGGain = in.readInt();
        this.mShortExposureTime = in.readInt();
        this.mShortFrameAvgNum = in.readInt();
        this.mShortPAGGain = in.readInt();
        this.munLowerthresh = in.readInt();
        this.munHighthresh = in.readInt();
        this.mFusionratio = in.readInt();
        this.mPreprocess = in.readInt();
        this.mRect_x = in.readInt();
        this.mRect_y = in.readInt();
        this.mRect_width = in.readInt();
        this.mRect_height = in.readInt();
        this.mRect_bmp_col = in.readInt();
        this.mRect_bmp_row = in.readInt();
        this.mSensorRow = in.readInt();
        this.mSensorCol = in.readInt();
        this.mBaseCalibrateSwitch = in.readInt();
        this.mLDCSwitch = in.readInt();
        this.mTNRSwitch = in.readInt();
        this.mLPFSwitch = in.readInt();
        this.mLSCSwitch = in.readInt();
        this.mEnhance_Level = in.readInt();
        this.mTNR_Thresh = in.readInt();
        this.mLongExpoRadius = in.readInt();
        this.mIsSupportGradient = in.readInt() == 0 ? false : z;
        this.mGradientColor = in.readInt();
        this.mTouchSensitive = in.readInt();
        this.mCircleRadius = in.readInt();
        this.mCircleStokeWidth = in.readInt();
        this.mCircleColor = in.readInt();
        this.mAutoBackgroundColor = in.readInt();
        this.mCircleRate = in.readInt();
        this.mKeydefluat = in.readInt();
        this.mKeyBaseCalibrate = in.readInt();
        this.mKeyKrCalibrate = in.readInt();
        this.mKeyUpdateKB = in.readInt();
        this.mKeyDFTConst = in.readInt();
        this.mKeyDFTSet = in.readInt();
        this.mKeyPreguassian = in.readInt();
        this.mKeyFullQaun = in.readInt();
        this.mKeyDeNoise = in.readInt();
        this.mKeyBackEqual = in.readInt();
        this.mKeyLocalQuan = in.readInt();
        this.mKeyDirEnhance = in.readInt();
        this.mKeySito = in.readInt();
        this.mKeyInverBmp = in.readInt();
        this.mKeyLdc = in.readInt();
        this.misSensorPreviewBmp = in.readInt();
        this.mEnrollTemplateCount = in.readInt();
        this.mRetryCount = in.readInt();
        this.mIsSensorPreviewEnhanced = in.readInt();
        this.mLibaryVersion = in.readString();
        this.mHighBrightness = in.readInt();
        this.mMiddleBrightness = in.readInt();
        this.mLowBrightness = in.readInt();
        this.mEnrollMinTemplateCount = in.readInt();
        this.mTestNum = in.readInt();
        this.mSDKVersion = in.readString();
    }

    public GFShenzhenConfig(GFShenzhenConfig config) {
        this.mSensorX = ShenzhenConstants.DEFAULT_SENSOR_X;
        this.mSensorY = ShenzhenConstants.DEFAULT_SENSOR_Y;
        this.mSensorWidth = 173;
        this.mSensorHeight = 173;
        this.mSensorHighlightWidth = 173;
        this.mSensorHighlightHeight = 173;
        this.mSensorLockAspectRatio = true;
        this.mSensorAspectRatioWidth = 10;
        this.mSensorAspectRatioHeight = 10;
        this.mSensorPreviewScaleRatio = 150;
        this.mSensorAreaBackgroundColor = -16711681;
        this.mCircleColor = -16711681;
        this.mAutoBackgroundColor = -16711681;
        this.mCircleRate = 5;
        this.mTestNum = -1;
        this.mSensorX = config.mSensorX;
        this.mSensorY = config.mSensorY;
        this.mSensorWidth = config.mSensorWidth;
        this.mSensorHeight = config.mSensorHeight;
        this.mSensorLockAspectRatio = config.mSensorLockAspectRatio;
        this.mSensorAspectRatioWidth = config.mSensorAspectRatioWidth;
        this.mSensorAspectRatioHeight = config.mSensorAspectRatioHeight;
        this.mSensorPreviewScaleRatio = config.mSensorPreviewScaleRatio;
        this.mSensorAreaBackgroundColor = config.mSensorAreaBackgroundColor;
        this.mScaleRatio = config.mScaleRatio;
        this.mLongFrameAvgNum = config.mLongFrameAvgNum;
        this.mLongPAGGain = config.mLongPAGGain;
        this.mShortExposureTime = config.mShortExposureTime;
        this.mShortFrameAvgNum = config.mShortFrameAvgNum;
        this.mShortPAGGain = config.mShortPAGGain;
        this.mIsSupportGradient = config.mIsSupportGradient;
        this.mGradientColor = config.mGradientColor;
        this.mCircleRadius = config.mCircleRadius;
        this.mCircleStokeWidth = config.mCircleStokeWidth;
        this.mCircleColor = config.mCircleColor;
        this.mAutoBackgroundColor = config.mAutoBackgroundColor;
        this.mCircleRate = config.mCircleRate;
        this.mTouchSensitive = config.mTouchSensitive;
        this.munLowerthresh = config.munLowerthresh;
        this.munHighthresh = config.munHighthresh;
        this.mFusionratio = config.mFusionratio;
        this.mPreprocess = config.mPreprocess;
        this.mRect_x = config.mRect_x;
        this.mRect_y = config.mRect_y;
        this.mRect_width = config.mRect_width;
        this.mRect_height = config.mRect_height;
        this.mRect_bmp_col = config.mRect_bmp_col;
        this.mRect_bmp_row = config.mRect_bmp_row;
        this.mSensorRow = config.mSensorRow;
        this.mSensorCol = config.mSensorCol;
        this.mBaseCalibrateSwitch = config.mBaseCalibrateSwitch;
        this.mLDCSwitch = config.mLDCSwitch;
        this.mTNRSwitch = config.mTNRSwitch;
        this.mLPFSwitch = config.mLPFSwitch;
        this.mLSCSwitch = config.mLSCSwitch;
        this.mEnhance_Level = config.mEnhance_Level;
        this.mTNR_Thresh = config.mTNR_Thresh;
        this.mLongExpoRadius = config.mLongExpoRadius;
        this.mKeydefluat = config.mKeydefluat;
        this.mKeyBaseCalibrate = config.mKeyBaseCalibrate;
        this.mKeyKrCalibrate = config.mKeyKrCalibrate;
        this.mKeyUpdateKB = config.mKeyUpdateKB;
        this.mKeyDFTConst = config.mKeyDFTConst;
        this.mKeyDFTSet = config.mKeyDFTSet;
        this.mKeyPreguassian = config.mKeyPreguassian;
        this.mKeyFullQaun = config.mKeyFullQaun;
        this.mKeyDeNoise = config.mKeyDeNoise;
        this.mKeyBackEqual = config.mKeyBackEqual;
        this.mKeyLocalQuan = config.mKeyLocalQuan;
        this.mKeyDirEnhance = config.mKeyDirEnhance;
        this.mKeySito = config.mKeySito;
        this.mKeyInverBmp = config.mKeyInverBmp;
        this.mKeyLdc = config.mKeyLdc;
        this.mIsSensorPreviewEnhanced = config.mIsSensorPreviewEnhanced;
        this.misSensorPreviewBmp = config.misSensorPreviewBmp;
        this.mEnrollTemplateCount = config.mEnrollTemplateCount;
        this.mRetryCount = config.mRetryCount;
        this.mLibaryVersion = config.mLibaryVersion;
        this.mHighBrightness = config.mHighBrightness;
        this.mMiddleBrightness = config.mMiddleBrightness;
        this.mLowBrightness = config.mLowBrightness;
        this.mEnrollMinTemplateCount = config.mEnrollMinTemplateCount;
        this.mTestNum = config.mTestNum;
        this.mSDKVersion = config.mSDKVersion;
    }

    public int describeContents() {
        return 0;
    }

    public void writeToParcel(Parcel out, int flags) {
        out.writeInt(this.mSensorX);
        out.writeInt(this.mSensorY);
        out.writeInt(this.mSensorWidth);
        out.writeInt(this.mSensorHeight);
        out.writeInt(this.mSensorLockAspectRatio ? 1 : 0);
        out.writeInt(this.mSensorAspectRatioWidth);
        out.writeInt(this.mSensorAspectRatioHeight);
        out.writeInt(this.mSensorPreviewScaleRatio);
        out.writeInt(this.mSensorAreaBackgroundColor);
        out.writeInt(this.mScaleRatio);
        out.writeInt(this.mLongFrameAvgNum);
        out.writeInt(this.mLongPAGGain);
        out.writeInt(this.mShortExposureTime);
        out.writeInt(this.mShortFrameAvgNum);
        out.writeInt(this.mShortPAGGain);
        out.writeInt(this.munLowerthresh);
        out.writeInt(this.munHighthresh);
        out.writeInt(this.mFusionratio);
        out.writeInt(this.mPreprocess);
        out.writeInt(this.mRect_x);
        out.writeInt(this.mRect_y);
        out.writeInt(this.mRect_width);
        out.writeInt(this.mRect_height);
        out.writeInt(this.mRect_bmp_col);
        out.writeInt(this.mRect_bmp_row);
        out.writeInt(this.mSensorRow);
        out.writeInt(this.mSensorCol);
        out.writeInt(this.mBaseCalibrateSwitch);
        out.writeInt(this.mLDCSwitch);
        out.writeInt(this.mTNRSwitch);
        out.writeInt(this.mLPFSwitch);
        out.writeInt(this.mLSCSwitch);
        out.writeInt(this.mEnhance_Level);
        out.writeInt(this.mTNR_Thresh);
        out.writeInt(this.mLongExpoRadius);
        out.writeInt(this.mIsSupportGradient ? 1 : 0);
        out.writeInt(this.mGradientColor);
        out.writeInt(this.mTouchSensitive);
        out.writeInt(this.mCircleRadius);
        out.writeInt(this.mCircleStokeWidth);
        out.writeInt(this.mCircleColor);
        out.writeInt(this.mAutoBackgroundColor);
        out.writeInt(this.mCircleRate);
        out.writeInt(this.mKeydefluat);
        out.writeInt(this.mKeyBaseCalibrate);
        out.writeInt(this.mKeyKrCalibrate);
        out.writeInt(this.mKeyUpdateKB);
        out.writeInt(this.mKeyDFTConst);
        out.writeInt(this.mKeyDFTSet);
        out.writeInt(this.mKeyPreguassian);
        out.writeInt(this.mKeyFullQaun);
        out.writeInt(this.mKeyDeNoise);
        out.writeInt(this.mKeyBackEqual);
        out.writeInt(this.mKeyLocalQuan);
        out.writeInt(this.mKeyDirEnhance);
        out.writeInt(this.mKeySito);
        out.writeInt(this.mKeyInverBmp);
        out.writeInt(this.mKeyLdc);
        out.writeInt(this.mIsSensorPreviewEnhanced);
        out.writeInt(this.misSensorPreviewBmp);
        out.writeInt(this.mEnrollTemplateCount);
        out.writeInt(this.mRetryCount);
        out.writeString(this.mLibaryVersion);
        out.writeInt(this.mHighBrightness);
        out.writeInt(this.mMiddleBrightness);
        out.writeInt(this.mLowBrightness);
        out.writeInt(this.mEnrollMinTemplateCount);
        out.writeInt(this.mTestNum);
        out.writeString(this.mSDKVersion);
    }

    public boolean equals(Object obj) {
        if (!(obj instanceof GFShenzhenConfig)) {
            return false;
        }
        if (this == obj) {
            return true;
        }
        return equals((GFShenzhenConfig) obj);
    }

    private boolean equals(GFShenzhenConfig config) {
        if (this.mSensorX == config.mSensorX && this.mSensorY == config.mSensorY && this.mSensorWidth == config.mSensorWidth && this.mSensorHeight == config.mSensorHeight && this.mSensorAspectRatioWidth == config.mSensorAspectRatioWidth && this.mSensorAspectRatioHeight == config.mSensorAspectRatioHeight && this.mSensorPreviewScaleRatio == config.mSensorPreviewScaleRatio && this.mSensorAreaBackgroundColor == config.mSensorAreaBackgroundColor && this.mSensorLockAspectRatio == config.mSensorLockAspectRatio && this.mScaleRatio == config.mScaleRatio && this.mLongFrameAvgNum == config.mLongFrameAvgNum && this.mLongPAGGain == config.mLongPAGGain && this.mShortExposureTime == config.mShortExposureTime && this.mShortFrameAvgNum == config.mShortFrameAvgNum && this.mShortPAGGain == config.mShortPAGGain && this.munLowerthresh == config.munLowerthresh && this.munHighthresh == config.munHighthresh && this.mFusionratio == config.mFusionratio && this.mPreprocess == config.mPreprocess && this.mRect_x == config.mRect_x && this.mRect_y == config.mRect_y && this.mRect_width == config.mRect_width && this.mRect_height == config.mRect_height && this.mBaseCalibrateSwitch == config.mBaseCalibrateSwitch && this.mLDCSwitch == config.mLDCSwitch && this.mEnhance_Level == config.mEnhance_Level && this.mTNRSwitch == config.mTNRSwitch && this.mLSCSwitch == config.mLSCSwitch && this.mLPFSwitch == config.mLPFSwitch && this.mTNR_Thresh == config.mTNR_Thresh && this.mLongExpoRadius == config.mLongExpoRadius && this.mRect_bmp_col == config.mRect_bmp_col && this.mRect_bmp_row == config.mRect_bmp_row && this.mSensorRow == config.mSensorRow && this.mSensorCol == config.mSensorCol && this.mKeydefluat == config.mKeydefluat && this.mKeyBaseCalibrate == config.mKeyBaseCalibrate && this.mKeyKrCalibrate == config.mKeyKrCalibrate && this.mKeyUpdateKB == config.mKeyUpdateKB && this.mKeyDFTConst == config.mKeyDFTConst && this.mKeyDFTSet == config.mKeyDFTSet && this.mKeyPreguassian == config.mKeyPreguassian && this.mKeyFullQaun == config.mKeyFullQaun && this.mKeyDeNoise == config.mKeyDeNoise && this.mKeyBackEqual == config.mKeyBackEqual && this.mKeyLocalQuan == config.mKeyLocalQuan && this.mKeyDirEnhance == config.mKeyDirEnhance && this.mKeySito == config.mKeySito && this.mKeyInverBmp == config.mKeyInverBmp && this.mKeyLdc == config.mKeyLdc && this.misSensorPreviewBmp == config.misSensorPreviewBmp && this.mEnrollTemplateCount == config.mEnrollTemplateCount && this.mIsSensorPreviewEnhanced == config.mIsSensorPreviewEnhanced && this.mRetryCount == config.mRetryCount && this.mEnrollMinTemplateCount == config.mEnrollMinTemplateCount && this.mTestNum == config.mTestNum) {
            return true;
        }
        return false;
    }
}
