package com.goodix.fingerprint.proxy;

public abstract class DaemonProxyBase {
    protected Daemon mGFDaemon = null;
    protected Daemon mGFDaemonFido = null;

    /* access modifiers changed from: protected */
    public abstract Daemon getGFDaemonFidoImp(IGFDaemonCallback iGFDaemonCallback);

    /* access modifiers changed from: protected */
    public abstract Daemon getGFDaemonImp(IGFDaemonCallback iGFDaemonCallback);

    public IGFDaemon getGoodixFingerprintDaemon(IGFDaemonCallback callback) {
        if (this.mGFDaemon == null) {
            this.mGFDaemon = getGFDaemonImp(callback);
        }
        if (this.mGFDaemon.getService() == null) {
            return null;
        }
        return (IGFDaemon) this.mGFDaemon;
    }

    public IGFDaemonFido getGoodixFingerprintDaemonFido(IGFDaemonCallback callback) {
        if (this.mGFDaemonFido == null) {
            this.mGFDaemonFido = getGFDaemonFidoImp(callback);
        }
        if (this.mGFDaemonFido.getService() == null) {
            return null;
        }
        return (IGFDaemonFido) this.mGFDaemonFido;
    }

    public abstract class Daemon {
        public abstract Object getService();

        public Daemon() {
        }
    }
}
