package com.goodix.fingerprint.task;

import java.util.concurrent.BlockingQueue;
import java.util.concurrent.LinkedBlockingQueue;

public class TaskQueue {
    private static boolean sCanRun = false;
    private TaskExecutor mTaskExecutor;
    private BlockingQueue<ITask> mTaskQueue = new LinkedBlockingQueue();

    public TaskQueue(int size) {
    }

    public void start() {
        stop();
        sCanRun = true;
        TaskExecutor taskExecutor = new TaskExecutor(this.mTaskQueue);
        this.mTaskExecutor = taskExecutor;
        taskExecutor.start();
    }

    public void stop() {
        TaskExecutor taskExecutor = this.mTaskExecutor;
        if (taskExecutor != null) {
            if (taskExecutor != null) {
                taskExecutor.quit();
            }
            sCanRun = false;
        }
    }

    public void waitForReady() {
        TaskExecutor taskExecutor = this.mTaskExecutor;
        if (taskExecutor != null) {
            taskExecutor.pause();
        }
    }

    public void resume() {
        TaskExecutor taskExecutor = this.mTaskExecutor;
        if (taskExecutor != null) {
            taskExecutor.continueRun();
        }
    }

    public boolean isRunning() {
        return sCanRun;
    }

    public <T extends ITask> int add(ITask task) {
        if (sCanRun && !this.mTaskQueue.contains(task)) {
            this.mTaskQueue.add(task);
        }
        return this.mTaskQueue.size();
    }
}
