package com.goodix.fingerprint.utils;

import android.util.Log;
import java.util.Arrays;
import java.util.HashMap;

public class BaikalTestResultParser {
    private static final String TAG = "BaikalTestResultParser";
    public static final int TEST_PARAM_TOKEN_AUTO_FIND_SENSOR_SCREEN_HEIGHT = 5612;
    public static final int TEST_PARAM_TOKEN_AUTO_FIND_SENSOR_SCREEN_WIDTH = 5611;
    public static final int TEST_PARAM_TOKEN_AUTO_FIND_SENSOR_STEP = 5600;
    public static final int TEST_PARAM_TOKEN_LOCATION_CIRCLE_CALIBRATION_STEP = 6000;
    public static final int TEST_PARAM_TOKEN_LOCATION_CIRCLE_IMAGE_SENSOR_HEIGHT = 6304;
    public static final int TEST_PARAM_TOKEN_LOCATION_CIRCLE_IMAGE_SENSOR_OFFSET = 6305;
    public static final int TEST_PARAM_TOKEN_LOCATION_CIRCLE_IMAGE_SENSOR_WIDTH = 6303;
    public static final int TEST_PARAM_TOKEN_LOCATION_CIRCLE_IMAGE_SENSOR_X = 6301;
    public static final int TEST_PARAM_TOKEN_LOCATION_CIRCLE_IMAGE_SENSOR_Y = 6302;
    public static final int TEST_PARAM_TOKEN_LOCATION_CIRCLE_SCREEN_HEIGHT = 6307;
    public static final int TEST_PARAM_TOKEN_LOCATION_CIRCLE_SCREEN_WIDTH = 6306;
    public static final int TEST_PARAM_TOKEN_LOCATION_CIRCLE_TEST_COLLECT_PHASE = 6300;
    public static final int TEST_PARAM_TOKEN_PERFORMANCE_TEST_CMD_ID = 5936;
    public static final int TEST_PARAM_TOKEN_PERFORMANCE_TEST_COLLECT_PHASE = 5900;
    public static final int TEST_PARAM_TOKEN_PERFORMANCE_TEST_LOCATION_CIRCLE_IMAGE_SENSOR_HEIGHT = 5931;
    public static final int TEST_PARAM_TOKEN_PERFORMANCE_TEST_LOCATION_CIRCLE_IMAGE_SENSOR_OFFSET = 5932;
    public static final int TEST_PARAM_TOKEN_PERFORMANCE_TEST_LOCATION_CIRCLE_IMAGE_SENSOR_WIDTH = 5930;
    public static final int TEST_PARAM_TOKEN_PERFORMANCE_TEST_LOCATION_CIRCLE_IMAGE_SENSOR_X = 5928;
    public static final int TEST_PARAM_TOKEN_PERFORMANCE_TEST_LOCATION_CIRCLE_IMAGE_SENSOR_Y = 5929;
    public static final int TEST_PARAM_TOKEN_PERFORMANCE_TEST_LOCATION_CIRCLE_SCREEN_HEIGHT = 5934;
    public static final int TEST_PARAM_TOKEN_PERFORMANCE_TEST_LOCATION_CIRCLE_SCREEN_WIDTH = 5933;
    public static final int TEST_PARAM_TOKEN_PERFORMANCE_TEST_TEST_ITEMS = 5902;
    public static final int TEST_PARAM_TOKEN_PERFORMANCE_TEST_TEST_PHASE = 5901;
    public static final int TEST_TOKEN_AUTO_FIND_SENSOR_INDEX_HORIZONTAL = 5616;
    public static final int TEST_TOKEN_AUTO_FIND_SENSOR_INDEX_VERTICAL = 5615;
    public static final int TEST_TOKEN_AUTO_FIND_SENSOR_LEFT_TOP_X = 5603;
    public static final int TEST_TOKEN_AUTO_FIND_SENSOR_LEFT_TOP_Y = 5604;
    public static final int TEST_TOKEN_AUTO_FIND_SENSOR_RECT_SCREEN_WIDTH = 5607;
    public static final int TEST_TOKEN_AUTO_FIND_SENSOR_ROTATE_RANDIAN = 5610;
    public static final int TEST_TOKEN_AUTO_FIND_SENSOR_SENSOR_GUIDE_LTX = 5613;
    public static final int TEST_TOKEN_AUTO_FIND_SENSOR_SENSOR_GUIDE_LTY = 5614;
    public static final int TEST_TOKEN_AUTO_FIND_SENSOR_SENSOR_IMAGE_HEIGHT = 5606;
    public static final int TEST_TOKEN_AUTO_FIND_SENSOR_SENSOR_IMAGE_WIDTH = 5605;
    public static final int TEST_TOKEN_AUTO_FIND_SENSOR_SENSOR_SCREEN_HEIGHT = 5609;
    public static final int TEST_TOKEN_AUTO_FIND_SENSOR_SENSOR_SCREEN_WIDTH = 5608;
    public static final int TEST_TOKEN_AUTO_FIND_SENSOR_SENSOR_X = 5601;
    public static final int TEST_TOKEN_AUTO_FIND_SENSOR_SENSOR_Y = 5602;
    public static final int TEST_TOKEN_BAD_POINT_NUM = 5503;
    public static final int TEST_TOKEN_BASE_BAD_POINT_NUM = 5410;
    public static final int TEST_TOKEN_BASE_DARK_NOISE_S = 5413;
    public static final int TEST_TOKEN_BASE_DARK_NOISE_T = 5411;
    public static final int TEST_TOKEN_BASE_LIGHT_NOISE_S = 5414;
    public static final int TEST_TOKEN_BASE_LIGHT_NOISE_T = 5412;
    public static final int TEST_TOKEN_BASE_P2P = 5416;
    public static final int TEST_TOKEN_BASE_SHARPNESS = 5417;
    public static final int TEST_TOKEN_BASE_SSNR = 5415;
    public static final int TEST_TOKEN_CALIBRATION_ALGO_FINISHED_FLAG = 5303;
    public static final int TEST_TOKEN_CALIBRATION_AUTO_FLAG = 5304;
    public static final int TEST_TOKEN_CALIBRATION_AUTO_SEND_DOWN_UP = 5305;
    public static final int TEST_TOKEN_CALIBRATION_AUTO_TEST_TYPE = 5306;
    public static final int TEST_TOKEN_CALIBRATION_BRIGHT_LEVEL = 5300;
    public static final int TEST_TOKEN_CALIBRATION_CUR_SAMPLE_COUNT = 5302;
    public static final int TEST_TOKEN_CALIBRATION_NUM_PER_LEVEL = 5301;
    public static final int TEST_TOKEN_CENTER_POINT_X = 5406;
    public static final int TEST_TOKEN_CENTER_POINT_Y = 5407;
    public static final int TEST_TOKEN_CENTRAL_CIRCLE_X = 5402;
    public static final int TEST_TOKEN_CENTRAL_CIRCLE_Y = 5403;
    public static final int TEST_TOKEN_CIRCLE_ANGLE = 5408;
    public static final int TEST_TOKEN_CIRCLE_IMAGE_TIME_STAMP = 5409;
    public static final int TEST_TOKEN_DARK_NOISES = 5624;
    public static final int TEST_TOKEN_DARK_NOISET = 5622;
    public static final int TEST_TOKEN_DARK_NOISE_S = 5506;
    public static final int TEST_TOKEN_DARK_NOISE_T = 5504;
    public static final int TEST_TOKEN_FINGER_CHIP_ID = 5618;
    public static final int TEST_TOKEN_FLASH_CHIP_ID = 5619;
    public static final int TEST_TOKEN_GREAT_CIRCLE_X = 5400;
    public static final int TEST_TOKEN_GREAT_CIRCLE_Y = 5401;
    public static final int TEST_TOKEN_HARDWARE_RESET_COUNTS = 5629;
    public static final int TEST_TOKEN_LIGHT_NOISES = 5625;
    public static final int TEST_TOKEN_LIGHT_NOISET = 5623;
    public static final int TEST_TOKEN_LIGHT_NOISE_S = 5507;
    public static final int TEST_TOKEN_LIGHT_NOISE_T = 5505;
    public static final int TEST_TOKEN_LOCATION_CALIBRATION_CALCULATE_CIRCLE_SUCCESS = 6010;
    public static final int TEST_TOKEN_LOCATION_CALIBRATION_CALCULATE_DEVIATION_SUCCESS = 6014;
    public static final int TEST_TOKEN_LOCATION_CALIBRATION_CIRCLE_ANGLE = 6009;
    public static final int TEST_TOKEN_LOCATION_CALIBRATION_CIRCLE_CENTER_X = 6007;
    public static final int TEST_TOKEN_LOCATION_CALIBRATION_CIRCLE_CENTER_Y = 6008;
    public static final int TEST_TOKEN_LOCATION_CALIBRATION_DEVIATION_ANGLE = 6011;
    public static final int TEST_TOKEN_LOCATION_CALIBRATION_DEVIATION_X = 6012;
    public static final int TEST_TOKEN_LOCATION_CALIBRATION_DEVIATION_Y = 6013;
    public static final int TEST_TOKEN_LOCATION_CALIBRATION_GREATE_CIRCLE_X = 6001;
    public static final int TEST_TOKEN_LOCATION_CALIBRATION_GREATE_CIRCLE_Y = 6002;
    public static final int TEST_TOKEN_LOCATION_CALIBRATION_MIDDLE_CIRCLE_X = 6003;
    public static final int TEST_TOKEN_LOCATION_CALIBRATION_MIDDLE_CIRCLE_Y = 6004;
    public static final int TEST_TOKEN_LOCATION_CALIBRATION_SMALL_CIRCLE_X = 6005;
    public static final int TEST_TOKEN_LOCATION_CALIBRATION_SMALL_CIRCLE_Y = 6006;
    public static final int TEST_TOKEN_LOCATION_CIRCLE_ABS_CENTER_ANGLE = 6315;
    public static final int TEST_TOKEN_LOCATION_CIRCLE_ABS_CENTER_X = 6313;
    public static final int TEST_TOKEN_LOCATION_CIRCLE_ABS_CENTER_Y = 6314;
    public static final int TEST_TOKEN_LOCATION_CIRCLE_ANGLE = 6312;
    public static final int TEST_TOKEN_LOCATION_CIRCLE_HEIGHT = 6317;
    public static final int TEST_TOKEN_LOCATION_CIRCLE_IMAGE_DATA = 6308;
    public static final int TEST_TOKEN_LOCATION_CIRCLE_US_CENTER_X = 6310;
    public static final int TEST_TOKEN_LOCATION_CIRCLE_US_CENTER_Y = 6311;
    public static final int TEST_TOKEN_LOCATION_CIRCLE_US_NUM = 6309;
    public static final int TEST_TOKEN_LOCATION_CIRCLE_WIDTH = 6316;
    public static final int TEST_TOKEN_MCU_CHIP_ID = 5617;
    public static final int TEST_TOKEN_NOISE_OPERATION_STEP = 5626;
    public static final int TEST_TOKEN_OTHER_RESET_COUNTS = 5630;
    public static final int TEST_TOKEN_P2P = 5509;
    public static final int TEST_TOKEN_PERFORMANCE_TEST_COLLECT_VAILD_NUM = 5903;
    public static final int TEST_TOKEN_PERFORMANCE_TEST_LOCATION_CIRCLE_ABS_CENTER_ANGLE = 5925;
    public static final int TEST_TOKEN_PERFORMANCE_TEST_LOCATION_CIRCLE_ABS_CENTER_X = 5923;
    public static final int TEST_TOKEN_PERFORMANCE_TEST_LOCATION_CIRCLE_ABS_CENTER_Y = 5924;
    public static final int TEST_TOKEN_PERFORMANCE_TEST_LOCATION_CIRCLE_ANGLE = 5922;
    public static final int TEST_TOKEN_PERFORMANCE_TEST_LOCATION_CIRCLE_HEIGHT = 5927;
    public static final int TEST_TOKEN_PERFORMANCE_TEST_LOCATION_CIRCLE_IMAGE_DATA = 5935;
    public static final int TEST_TOKEN_PERFORMANCE_TEST_LOCATION_CIRCLE_US_CENTER_X = 5920;
    public static final int TEST_TOKEN_PERFORMANCE_TEST_LOCATION_CIRCLE_US_CENTER_Y = 5921;
    public static final int TEST_TOKEN_PERFORMANCE_TEST_LOCATION_CIRCLE_US_NUM = 5919;
    public static final int TEST_TOKEN_PERFORMANCE_TEST_LOCATION_CIRCLE_WIDTH = 5926;
    public static final int TEST_TOKEN_PERFORMANCE_TEST_RESULT_BAD_POINT_NUM = 5916;
    public static final int TEST_TOKEN_PERFORMANCE_TEST_RESULT_CLUSTER_NUM = 5917;
    public static final int TEST_TOKEN_PERFORMANCE_TEST_RESULT_DARK_NOISES = 5906;
    public static final int TEST_TOKEN_PERFORMANCE_TEST_RESULT_DARK_NOISET = 5904;
    public static final int TEST_TOKEN_PERFORMANCE_TEST_RESULT_DATANOISE = 5940;
    public static final int TEST_TOKEN_PERFORMANCE_TEST_RESULT_DATANOISEMT = 5941;
    public static final int TEST_TOKEN_PERFORMANCE_TEST_RESULT_DIRECTION = 5942;
    public static final int TEST_TOKEN_PERFORMANCE_TEST_RESULT_EDGEPIXELS = 5937;
    public static final int TEST_TOKEN_PERFORMANCE_TEST_RESULT_HOT_PIXEL_NUM = 5918;
    public static final int TEST_TOKEN_PERFORMANCE_TEST_RESULT_LFP_NOISE = 5914;
    public static final int TEST_TOKEN_PERFORMANCE_TEST_RESULT_LFP_SHARPNESS = 5915;
    public static final int TEST_TOKEN_PERFORMANCE_TEST_RESULT_LFP_SIGNAL = 5913;
    public static final int TEST_TOKEN_PERFORMANCE_TEST_RESULT_LFP_SSNR = 5912;
    public static final int TEST_TOKEN_PERFORMANCE_TEST_RESULT_LIGHT_NOISES = 5907;
    public static final int TEST_TOKEN_PERFORMANCE_TEST_RESULT_LIGHT_NOISET = 5905;
    public static final int TEST_TOKEN_PERFORMANCE_TEST_RESULT_MAXLOCALBADPIXEL = 5938;
    public static final int TEST_TOKEN_PERFORMANCE_TEST_RESULT_MAXTOTALBADPIXEL = 5939;
    public static final int TEST_TOKEN_PERFORMANCE_TEST_RESULT_NOISE = 5910;
    public static final int TEST_TOKEN_PERFORMANCE_TEST_RESULT_SHARPNESS = 5911;
    public static final int TEST_TOKEN_PERFORMANCE_TEST_RESULT_SIGNAL = 5909;
    public static final int TEST_TOKEN_PERFORMANCE_TEST_RESULT_SSNR = 5908;
    public static final int TEST_TOKEN_PIXEL_OS_NUM = 5621;
    public static final int TEST_TOKEN_POSITION_OFFSET_ANGLE = 5500;
    public static final int TEST_TOKEN_POSITION_OFFSET_X = 5501;
    public static final int TEST_TOKEN_POSITION_OFFSET_Y = 5502;
    public static final int TEST_TOKEN_PRESSURE_THRESHOLD = 5700;
    public static final int TEST_TOKEN_RANDOM_NUM = 5620;
    public static final int TEST_TOKEN_RESET_COUNTS = 5627;
    public static final int TEST_TOKEN_SHARPNESS = 5510;
    public static final int TEST_TOKEN_SMALL_CIRCLE_X = 5404;
    public static final int TEST_TOKEN_SMALL_CIRCLE_Y = 5405;
    public static final int TEST_TOKEN_SOFTWARE_RESET_COUNTS = 5628;
    public static final int TEST_TOKEN_SSNR = 5508;
    public static final int TEST_TOKEN_SUPPORT_BAIKAL_CONTINUOUS_SAMPLING = 6200;
    public static final int TEST_TOKEN_SUPPORT_BAIKAL_CONTINUOUS_SAMPLING_NUM = 6201;
    public static final int TEST_TOKEN_SUPPORT_IMAGE_SEGMENT = 5800;

    public static HashMap<Integer, Object> parse(byte[] result) {
        HashMap<Integer, Object> testResult = new HashMap<>();
        int len = 0;
        if (result != null) {
            len = result.length;
        }
        int offset = 0;
        while (offset < len) {
            Log.d(TAG, "offset = " + offset);
            int token = TestResultParser.decodeInt32(result, offset);
            offset += 4;
            Log.d(TAG, "token = " + token);
            switch (token) {
                case 100:
                case 101:
                case 102:
                case 302:
                case 303:
                case 304:
                case 305:
                case 306:
                case 311:
                case 315:
                case 316:
                case 317:
                case 318:
                case 400:
                case 401:
                case 402:
                case 403:
                case 404:
                case 405:
                case 406:
                case 407:
                case 409:
                case 411:
                case 500:
                case 501:
                case 502:
                case 503:
                case 504:
                case 505:
                case 506:
                case 507:
                case 508:
                case 509:
                case 510:
                case 511:
                case 512:
                case 513:
                case 514:
                case 515:
                case 516:
                case 517:
                case 600:
                case TestResultParser.TEST_TOKEN_BMP_DATA_WIDTH /*{ENCODED_INT: 690}*/:
                case TestResultParser.TEST_TOKEN_BMP_DATA_HEIGHT /*{ENCODED_INT: 691}*/:
                case 702:
                case 703:
                case 704:
                case 709:
                case 710:
                case 711:
                case 800:
                case 801:
                case 802:
                case 803:
                case 804:
                case 805:
                case 806:
                case 807:
                case 808:
                case 809:
                case 810:
                case 811:
                case 812:
                case 813:
                case 814:
                case 815:
                case 816:
                case 817:
                case 818:
                case 819:
                case 820:
                case 821:
                case 822:
                case 823:
                case 824:
                case 825:
                case 826:
                case 827:
                case 828:
                case 829:
                case 830:
                case 831:
                case 832:
                case 833:
                case 834:
                case 835:
                case 900:
                case 903:
                case 1100:
                case 1101:
                case 1102:
                case 1300:
                case 1301:
                case 1302:
                case 5200:
                case 5302:
                case 5303:
                case 5306:
                case TEST_PARAM_TOKEN_AUTO_FIND_SENSOR_STEP /*{ENCODED_INT: 5600}*/:
                case TEST_TOKEN_AUTO_FIND_SENSOR_SENSOR_X /*{ENCODED_INT: 5601}*/:
                case TEST_TOKEN_AUTO_FIND_SENSOR_SENSOR_Y /*{ENCODED_INT: 5602}*/:
                case TEST_TOKEN_AUTO_FIND_SENSOR_LEFT_TOP_X /*{ENCODED_INT: 5603}*/:
                case TEST_TOKEN_AUTO_FIND_SENSOR_LEFT_TOP_Y /*{ENCODED_INT: 5604}*/:
                case TEST_TOKEN_AUTO_FIND_SENSOR_SENSOR_IMAGE_WIDTH /*{ENCODED_INT: 5605}*/:
                case TEST_TOKEN_AUTO_FIND_SENSOR_SENSOR_IMAGE_HEIGHT /*{ENCODED_INT: 5606}*/:
                case TEST_TOKEN_AUTO_FIND_SENSOR_RECT_SCREEN_WIDTH /*{ENCODED_INT: 5607}*/:
                case TEST_TOKEN_AUTO_FIND_SENSOR_SENSOR_SCREEN_WIDTH /*{ENCODED_INT: 5608}*/:
                case TEST_TOKEN_AUTO_FIND_SENSOR_SENSOR_SCREEN_HEIGHT /*{ENCODED_INT: 5609}*/:
                case TEST_TOKEN_AUTO_FIND_SENSOR_ROTATE_RANDIAN /*{ENCODED_INT: 5610}*/:
                case TEST_PARAM_TOKEN_AUTO_FIND_SENSOR_SCREEN_WIDTH /*{ENCODED_INT: 5611}*/:
                case TEST_PARAM_TOKEN_AUTO_FIND_SENSOR_SCREEN_HEIGHT /*{ENCODED_INT: 5612}*/:
                case TEST_TOKEN_AUTO_FIND_SENSOR_SENSOR_GUIDE_LTX /*{ENCODED_INT: 5613}*/:
                case TEST_TOKEN_AUTO_FIND_SENSOR_SENSOR_GUIDE_LTY /*{ENCODED_INT: 5614}*/:
                case TEST_TOKEN_MCU_CHIP_ID /*{ENCODED_INT: 5617}*/:
                case TEST_TOKEN_FINGER_CHIP_ID /*{ENCODED_INT: 5618}*/:
                case TEST_TOKEN_FLASH_CHIP_ID /*{ENCODED_INT: 5619}*/:
                case TEST_TOKEN_RANDOM_NUM /*{ENCODED_INT: 5620}*/:
                case TEST_TOKEN_PIXEL_OS_NUM /*{ENCODED_INT: 5621}*/:
                case TEST_TOKEN_NOISE_OPERATION_STEP /*{ENCODED_INT: 5626}*/:
                case TEST_TOKEN_RESET_COUNTS /*{ENCODED_INT: 5627}*/:
                case TEST_TOKEN_SOFTWARE_RESET_COUNTS /*{ENCODED_INT: 5628}*/:
                case TEST_TOKEN_HARDWARE_RESET_COUNTS /*{ENCODED_INT: 5629}*/:
                case TEST_TOKEN_OTHER_RESET_COUNTS /*{ENCODED_INT: 5630}*/:
                case TEST_TOKEN_PRESSURE_THRESHOLD /*{ENCODED_INT: 5700}*/:
                case TEST_TOKEN_SUPPORT_IMAGE_SEGMENT /*{ENCODED_INT: 5800}*/:
                case TEST_PARAM_TOKEN_PERFORMANCE_TEST_COLLECT_PHASE /*{ENCODED_INT: 5900}*/:
                case TEST_TOKEN_PERFORMANCE_TEST_RESULT_DARK_NOISET /*{ENCODED_INT: 5904}*/:
                case TEST_TOKEN_PERFORMANCE_TEST_RESULT_LIGHT_NOISET /*{ENCODED_INT: 5905}*/:
                case TEST_TOKEN_PERFORMANCE_TEST_RESULT_DARK_NOISES /*{ENCODED_INT: 5906}*/:
                case TEST_TOKEN_PERFORMANCE_TEST_RESULT_LIGHT_NOISES /*{ENCODED_INT: 5907}*/:
                case TEST_TOKEN_PERFORMANCE_TEST_RESULT_SSNR /*{ENCODED_INT: 5908}*/:
                case TEST_TOKEN_PERFORMANCE_TEST_RESULT_SIGNAL /*{ENCODED_INT: 5909}*/:
                case TEST_TOKEN_PERFORMANCE_TEST_RESULT_NOISE /*{ENCODED_INT: 5910}*/:
                case TEST_TOKEN_PERFORMANCE_TEST_RESULT_SHARPNESS /*{ENCODED_INT: 5911}*/:
                case TEST_TOKEN_PERFORMANCE_TEST_RESULT_LFP_SSNR /*{ENCODED_INT: 5912}*/:
                case TEST_TOKEN_PERFORMANCE_TEST_RESULT_LFP_SIGNAL /*{ENCODED_INT: 5913}*/:
                case TEST_TOKEN_PERFORMANCE_TEST_RESULT_LFP_NOISE /*{ENCODED_INT: 5914}*/:
                case TEST_TOKEN_PERFORMANCE_TEST_RESULT_LFP_SHARPNESS /*{ENCODED_INT: 5915}*/:
                case TEST_TOKEN_PERFORMANCE_TEST_RESULT_BAD_POINT_NUM /*{ENCODED_INT: 5916}*/:
                case TEST_TOKEN_PERFORMANCE_TEST_RESULT_CLUSTER_NUM /*{ENCODED_INT: 5917}*/:
                case TEST_TOKEN_PERFORMANCE_TEST_RESULT_HOT_PIXEL_NUM /*{ENCODED_INT: 5918}*/:
                case TEST_TOKEN_PERFORMANCE_TEST_LOCATION_CIRCLE_US_NUM /*{ENCODED_INT: 5919}*/:
                case TEST_TOKEN_PERFORMANCE_TEST_LOCATION_CIRCLE_US_CENTER_X /*{ENCODED_INT: 5920}*/:
                case TEST_TOKEN_PERFORMANCE_TEST_LOCATION_CIRCLE_US_CENTER_Y /*{ENCODED_INT: 5921}*/:
                case TEST_TOKEN_PERFORMANCE_TEST_LOCATION_CIRCLE_ANGLE /*{ENCODED_INT: 5922}*/:
                case TEST_TOKEN_PERFORMANCE_TEST_LOCATION_CIRCLE_ABS_CENTER_X /*{ENCODED_INT: 5923}*/:
                case TEST_TOKEN_PERFORMANCE_TEST_LOCATION_CIRCLE_ABS_CENTER_Y /*{ENCODED_INT: 5924}*/:
                case TEST_TOKEN_PERFORMANCE_TEST_LOCATION_CIRCLE_ABS_CENTER_ANGLE /*{ENCODED_INT: 5925}*/:
                case TEST_TOKEN_PERFORMANCE_TEST_LOCATION_CIRCLE_WIDTH /*{ENCODED_INT: 5926}*/:
                case TEST_TOKEN_PERFORMANCE_TEST_LOCATION_CIRCLE_HEIGHT /*{ENCODED_INT: 5927}*/:
                case TEST_PARAM_TOKEN_PERFORMANCE_TEST_LOCATION_CIRCLE_IMAGE_SENSOR_X /*{ENCODED_INT: 5928}*/:
                case TEST_PARAM_TOKEN_PERFORMANCE_TEST_LOCATION_CIRCLE_IMAGE_SENSOR_Y /*{ENCODED_INT: 5929}*/:
                case TEST_PARAM_TOKEN_PERFORMANCE_TEST_LOCATION_CIRCLE_IMAGE_SENSOR_WIDTH /*{ENCODED_INT: 5930}*/:
                case TEST_PARAM_TOKEN_PERFORMANCE_TEST_LOCATION_CIRCLE_IMAGE_SENSOR_HEIGHT /*{ENCODED_INT: 5931}*/:
                case TEST_PARAM_TOKEN_PERFORMANCE_TEST_LOCATION_CIRCLE_IMAGE_SENSOR_OFFSET /*{ENCODED_INT: 5932}*/:
                case TEST_PARAM_TOKEN_PERFORMANCE_TEST_LOCATION_CIRCLE_SCREEN_WIDTH /*{ENCODED_INT: 5933}*/:
                case TEST_PARAM_TOKEN_PERFORMANCE_TEST_LOCATION_CIRCLE_SCREEN_HEIGHT /*{ENCODED_INT: 5934}*/:
                case TEST_PARAM_TOKEN_PERFORMANCE_TEST_CMD_ID /*{ENCODED_INT: 5936}*/:
                case TEST_TOKEN_SUPPORT_BAIKAL_CONTINUOUS_SAMPLING /*{ENCODED_INT: 6200}*/:
                case TEST_TOKEN_SUPPORT_BAIKAL_CONTINUOUS_SAMPLING_NUM /*{ENCODED_INT: 6201}*/:
                case TEST_PARAM_TOKEN_LOCATION_CIRCLE_TEST_COLLECT_PHASE /*{ENCODED_INT: 6300}*/:
                case TEST_PARAM_TOKEN_LOCATION_CIRCLE_IMAGE_SENSOR_X /*{ENCODED_INT: 6301}*/:
                case TEST_PARAM_TOKEN_LOCATION_CIRCLE_IMAGE_SENSOR_Y /*{ENCODED_INT: 6302}*/:
                case TEST_PARAM_TOKEN_LOCATION_CIRCLE_IMAGE_SENSOR_WIDTH /*{ENCODED_INT: 6303}*/:
                case TEST_PARAM_TOKEN_LOCATION_CIRCLE_IMAGE_SENSOR_HEIGHT /*{ENCODED_INT: 6304}*/:
                case TEST_PARAM_TOKEN_LOCATION_CIRCLE_IMAGE_SENSOR_OFFSET /*{ENCODED_INT: 6305}*/:
                case TEST_PARAM_TOKEN_LOCATION_CIRCLE_SCREEN_WIDTH /*{ENCODED_INT: 6306}*/:
                case TEST_PARAM_TOKEN_LOCATION_CIRCLE_SCREEN_HEIGHT /*{ENCODED_INT: 6307}*/:
                case TEST_TOKEN_LOCATION_CIRCLE_US_NUM /*{ENCODED_INT: 6309}*/:
                case TEST_TOKEN_LOCATION_CIRCLE_US_CENTER_X /*{ENCODED_INT: 6310}*/:
                case TEST_TOKEN_LOCATION_CIRCLE_US_CENTER_Y /*{ENCODED_INT: 6311}*/:
                case TEST_TOKEN_LOCATION_CIRCLE_ANGLE /*{ENCODED_INT: 6312}*/:
                case TEST_TOKEN_LOCATION_CIRCLE_ABS_CENTER_X /*{ENCODED_INT: 6313}*/:
                case TEST_TOKEN_LOCATION_CIRCLE_ABS_CENTER_Y /*{ENCODED_INT: 6314}*/:
                case TEST_TOKEN_LOCATION_CIRCLE_ABS_CENTER_ANGLE /*{ENCODED_INT: 6315}*/:
                case TEST_TOKEN_LOCATION_CIRCLE_WIDTH /*{ENCODED_INT: 6316}*/:
                case TEST_TOKEN_LOCATION_CIRCLE_HEIGHT /*{ENCODED_INT: 6317}*/:
                    int value = TestResultParser.decodeInt32(result, offset);
                    offset += 4;
                    testResult.put(Integer.valueOf(token), Integer.valueOf(value));
                    Log.d(TAG, "value = " + value);
                    break;
                case 200:
                case 201:
                case 202:
                case 203:
                case 204:
                case 205:
                case 211:
                    int size = TestResultParser.decodeInt32(result, offset);
                    int offset2 = offset + 4;
                    testResult.put(Integer.valueOf(token), new String(result, offset2, size));
                    offset = offset2 + size;
                    break;
                case 206:
                case 207:
                case 208:
                case 209:
                case 307:
                case 408:
                case 410:
                case 700:
                case 701:
                case 705:
                case 708:
                case 712:
                case 713:
                case 714:
                case 715:
                case 1103:
                case TEST_TOKEN_PERFORMANCE_TEST_LOCATION_CIRCLE_IMAGE_DATA /*{ENCODED_INT: 5935}*/:
                case TEST_TOKEN_LOCATION_CIRCLE_IMAGE_DATA /*{ENCODED_INT: 6308}*/:
                    int size2 = TestResultParser.decodeInt32(result, offset);
                    offset += 4;
                    if (size2 <= 0) {
                        break;
                    } else {
                        testResult.put(Integer.valueOf(token), Arrays.copyOfRange(result, offset, offset + size2));
                        offset += size2;
                        break;
                    }
                case 210:
                    byte value2 = TestResultParser.decodeInt8(result, offset);
                    offset++;
                    testResult.put(Integer.valueOf(token), Byte.valueOf(value2));
                    Log.d(TAG, "value = " + ((int) value2));
                    break;
                case 300:
                case 310:
                case 312:
                case 313:
                case 314:
                case 706:
                case 707:
                    short value3 = TestResultParser.decodeInt16(result, offset);
                    offset += 2;
                    testResult.put(Integer.valueOf(token), Short.valueOf(value3));
                    Log.d(TAG, "value = " + ((int) value3));
                    break;
                case 301:
                    int size3 = TestResultParser.decodeInt32(result, offset);
                    int offset3 = offset + 4;
                    double value4 = TestResultParser.decodeDouble(result, offset3, size3);
                    testResult.put(Integer.valueOf(token), Double.valueOf(value4));
                    offset = offset3 + size3;
                    Log.d(TAG, "value = " + value4);
                    break;
                case 308:
                case 309:
                    int size4 = TestResultParser.decodeInt32(result, offset);
                    int offset4 = offset + 4;
                    float value5 = TestResultParser.decodeFloat(result, offset4, size4);
                    testResult.put(Integer.valueOf(token), Float.valueOf(value5));
                    offset = offset4 + size4;
                    Log.d(TAG, "value = " + value5);
                    break;
                case 1200:
                case 1201:
                case 1202:
                case 1203:
                case 1204:
                case 1205:
                case 1206:
                case 1207:
                case 1208:
                case 1209:
                    int value6 = TestResultParser.decodeInt32(result, offset);
                    offset += 4;
                    testResult.put(Integer.valueOf(token), Integer.valueOf(value6));
                    Log.d(TAG, "value = " + value6);
                    break;
                case 1210:
                    int size5 = TestResultParser.decodeInt32(result, offset);
                    int offset5 = offset + 4;
                    testResult.put(Integer.valueOf(token), new String(result, offset5, size5));
                    offset = offset5 + size5;
                    break;
            }
        }
        return testResult;
    }
}
