package com.goodix.fingerprint.utils;

import android.util.Log;
import java.util.Arrays;
import java.util.HashMap;

public class DelmarTestResultParser extends TestResultParser {
    public static final int DEBUG_TOOLS_TOKEN_ALGO_VERSION = 200011;
    public static final int DEBUG_TOOLS_TOKEN_BRIGHTNESS_LEVEL = 200041;
    public static final int DEBUG_TOOLS_TOKEN_CALI_BMP_DATA = 200032;
    public static final int DEBUG_TOOLS_TOKEN_CF_MARK = 200034;
    public static final int DEBUG_TOOLS_TOKEN_CF_MASK_TYPE = 200035;
    public static final int DEBUG_TOOLS_TOKEN_CHIP_ID = 200018;
    public static final int DEBUG_TOOLS_TOKEN_CHIP_SERIES = 200010;
    public static final int DEBUG_TOOLS_TOKEN_CHIP_TYPE = 200009;
    public static final int DEBUG_TOOLS_TOKEN_COLLECT_RGB_STEP = 200029;
    public static final int DEBUG_TOOLS_TOKEN_ENROLL_AUTH_DIR_NAME = 200028;
    public static final int DEBUG_TOOLS_TOKEN_ERROR_CODE = 200000;
    public static final int DEBUG_TOOLS_TOKEN_EXPOSURE_TIME = 200023;
    public static final int DEBUG_TOOLS_TOKEN_FAKE = 200044;
    public static final int DEBUG_TOOLS_TOKEN_FAKE_VERSION = 200014;
    public static final int DEBUG_TOOLS_TOKEN_FINGERPRINT_ACQUIRED_INFO = 200003;
    public static final int DEBUG_TOOLS_TOKEN_FINGERPRINT_FID = 200004;
    public static final int DEBUG_TOOLS_TOKEN_FINGERPRINT_GID = 200005;
    public static final int DEBUG_TOOLS_TOKEN_FINGERPRINT_MESSAGE_TYPE = 200002;
    public static final int DEBUG_TOOLS_TOKEN_FINGERPRINT_PROGRESS = 200006;
    public static final int DEBUG_TOOLS_TOKEN_FINGER_DATA_CATEGORY_CONTENT = 200027;
    public static final int DEBUG_TOOLS_TOKEN_FW_VERSION = 200015;
    public static final int DEBUG_TOOLS_TOKEN_LONG_EXPO_GAIN = 200039;
    public static final int DEBUG_TOOLS_TOKEN_LONG_EXPO_TIME = 200037;
    public static final int DEBUG_TOOLS_TOKEN_MORPHOTYPE = 200033;
    public static final int DEBUG_TOOLS_TOKEN_NORMAL_EXPO_GAIN = 200038;
    public static final int DEBUG_TOOLS_TOKEN_NORMAL_EXPO_TIME = 200036;
    public static final int DEBUG_TOOLS_TOKEN_OSC_VALUE = 200040;
    public static final int DEBUG_TOOLS_TOKEN_PGA_GAIN = 200022;
    public static final int DEBUG_TOOLS_TOKEN_PREPROCESS_VERSION = 200012;
    public static final int DEBUG_TOOLS_TOKEN_PRODUCTION_ALGO_VERSION = 200013;
    public static final int DEBUG_TOOLS_TOKEN_PRODUCTION_DATE = 200021;
    public static final int DEBUG_TOOLS_TOKEN_RGB_DATA_FRAMES = 200030;
    public static final int DEBUG_TOOLS_TOKEN_SAMPLE_FRAME_NUM = 200024;
    public static final int DEBUG_TOOLS_TOKEN_SAMPLE_RETRY_TIMES = 200026;
    public static final int DEBUG_TOOLS_TOKEN_SAMPLING_OBJECT = 200042;
    public static final int DEBUG_TOOLS_TOKEN_SAMPLING_STEP = 200043;
    public static final int DEBUG_TOOLS_TOKEN_SAVE_DIR = 200031;
    public static final int DEBUG_TOOLS_TOKEN_SENSOR_ID = 200020;
    public static final int DEBUG_TOOLS_TOKEN_SENSOR_INDEX = 200008;
    public static final int DEBUG_TOOLS_TOKEN_SENSOR_NUM = 200007;
    public static final int DEBUG_TOOLS_TOKEN_TA_VERSION = 200017;
    public static final int DEBUG_TOOLS_TOKEN_TEE_VERSION = 200016;
    public static final int DEBUG_TOOLS_TOKEN_USER_FINGER_NAME_CONTENT = 200025;
    public static final int DEBUG_TOOLS_TOKEN_VENDOR_ID = 200019;
    public static final int FRRFAR_TOOLS_TOKEN_CHIP_SERIES = 300003;
    public static final int FRRFAR_TOOLS_TOKEN_CHIP_TYPE = 300002;
    public static final int FRRFAR_TOOLS_TOKEN_ERROR_CODE = 300000;
    public static final int FRRFAR_TOOLS_TOKEN_FAR_MATCH = 300025;
    public static final int FRRFAR_TOOLS_TOKEN_FAR_MATCH_FAKE = 300026;
    public static final int FRRFAR_TOOLS_TOKEN_FAR_NO_MATCH = 300023;
    public static final int FRRFAR_TOOLS_TOKEN_FAR_NO_MATCH_FAKE = 300024;
    public static final int FRRFAR_TOOLS_TOKEN_FAR_TOTAL_NUM = 300022;
    public static final int FRRFAR_TOOLS_TOKEN_FRRFAR_FINISH = 300029;
    public static final int FRRFAR_TOOLS_TOKEN_FRRFAR_OPTION = 300016;
    public static final int FRRFAR_TOOLS_TOKEN_FRRFAR_OPTION_LEN = 300015;
    public static final int FRRFAR_TOOLS_TOKEN_FRRFAR_TOTAL_NUM = 300027;
    public static final int FRRFAR_TOOLS_TOKEN_FRRFAR_USED_NUM = 300028;
    public static final int FRRFAR_TOOLS_TOKEN_FRR_MATCH = 300020;
    public static final int FRRFAR_TOOLS_TOKEN_FRR_MATCH_FAKE = 300021;
    public static final int FRRFAR_TOOLS_TOKEN_FRR_NO_MATCH = 300018;
    public static final int FRRFAR_TOOLS_TOKEN_FRR_NO_MATCH_FAKE = 300019;
    public static final int FRRFAR_TOOLS_TOKEN_FRR_TOTAL_NUM = 300017;
    public static final int FRRFAR_TOOLS_TOKEN_PREPROCESS_OPTION = 300010;
    public static final int FRRFAR_TOOLS_TOKEN_PREPROCESS_OPTION_LEN = 300009;
    public static final int FRRFAR_TOOLS_TOKEN_PREPROCESS_RAW_DATA_DIR_CONTENT = 300012;
    public static final int FRRFAR_TOOLS_TOKEN_PREPROCESS_RAW_DATA_DIR_LEN = 300011;
    public static final int FRRFAR_TOOLS_TOKEN_PREPROCESS_SAVE_DIR_CONTENT = 300014;
    public static final int FRRFAR_TOOLS_TOKEN_PREPROCESS_SAVE_DIR_LEN = 300013;
    public static final int FRRFAR_TOOLS_TOKEN_SAMPLE_DATA_TYPE = 300008;
    public static final int FRRFAR_TOOLS_TOKEN_SAMPLE_DIR_NAME_CONTENT = 300006;
    public static final int FRRFAR_TOOLS_TOKEN_SAMPLE_DIR_NAME_LENGTH = 300005;
    public static final int FRRFAR_TOOLS_TOKEN_SAMPLE_FRAME_NUM = 300004;
    public static final int FRRFAR_TOOLS_TOKEN_SAMPLE_RETRY_TIMES = 300007;
    public static final int PREVIEW_CONTROL_TOKEN_BCDS_GROUP_ID = 310056;
    public static final int PREVIEW_CONTROL_TOKEN_BCDS_IMAGE_INFO = 310055;
    public static final int PREVIEW_CONTROL_TOKEN_BMP_DATA = 310051;
    public static final int PREVIEW_CONTROL_TOKEN_BMP_DATA_HEIGHT = 310053;
    public static final int PREVIEW_CONTROL_TOKEN_BMP_DATA_WIDTH = 310052;
    public static final int PREVIEW_CONTROL_TOKEN_RM_DATA = 310054;
    public static final int PREVIEW_CONTROL_TOKEN_SG_DATA = 310062;
    public static final int PRODUCT_TEST_TOKEN_ANGLE_TO_CHIP = 6048;
    public static final int PRODUCT_TEST_TOKEN_ANGLE_TO_SCREEN = 6051;
    public static final int PRODUCT_TEST_TOKEN_BRIGHTNESS_LEVEL = 6057;
    public static final int PRODUCT_TEST_TOKEN_CENTER_X_TO_CHIP = 6046;
    public static final int PRODUCT_TEST_TOKEN_CENTER_X_TO_SCREEN = 6049;
    public static final int PRODUCT_TEST_TOKEN_CENTER_Y_TO_CHIP = 6047;
    public static final int PRODUCT_TEST_TOKEN_CENTER_Y_TO_SCREEN = 6050;
    public static final int PRODUCT_TEST_TOKEN_CHIP_SERIES = 6002;
    public static final int PRODUCT_TEST_TOKEN_CHIP_TYPE = 6001;
    public static final int PRODUCT_TEST_TOKEN_COLLECT_PHASE = 6007;
    public static final int PRODUCT_TEST_TOKEN_DISABLE_SAVE_FLAG = 6058;
    public static final int PRODUCT_TEST_TOKEN_ERROR_CODE = 6000;
    public static final int PRODUCT_TEST_TOKEN_FEATURE_TYPE = 6055;
    public static final int PRODUCT_TEST_TOKEN_FLASH_CHIP_ID = 6005;
    public static final int PRODUCT_TEST_TOKEN_GAIN_TARGET = 6056;
    public static final int PRODUCT_TEST_TOKEN_IS_FULL_SCREEN = 6053;
    public static final int PRODUCT_TEST_TOKEN_IS_WHOLE_CIRCLE_PIC = 6054;
    public static final int PRODUCT_TEST_TOKEN_LOCATION_CIRCLE_IMAGE_SENSOR_HEIGHT = 6011;
    public static final int PRODUCT_TEST_TOKEN_LOCATION_CIRCLE_IMAGE_SENSOR_OFFSET = 6012;
    public static final int PRODUCT_TEST_TOKEN_LOCATION_CIRCLE_IMAGE_SENSOR_WIDTH = 6010;
    public static final int PRODUCT_TEST_TOKEN_LOCATION_CIRCLE_IMAGE_SENSOR_X = 6008;
    public static final int PRODUCT_TEST_TOKEN_LOCATION_CIRCLE_IMAGE_SENSOR_Y = 6009;
    public static final int PRODUCT_TEST_TOKEN_LOCATION_CIRCLE_SCREEN_HEIGHT = 6014;
    public static final int PRODUCT_TEST_TOKEN_LOCATION_CIRCLE_SCREEN_WIDTH = 6013;
    public static final int PRODUCT_TEST_TOKEN_MCU_CHIP_ID = 6003;
    public static final int PRODUCT_TEST_TOKEN_PERFORMANCE_TEST_CMD_ID = 6015;
    public static final int PRODUCT_TEST_TOKEN_RANDOM_NUM = 6006;
    public static final int PRODUCT_TEST_TOKEN_RESULT_CHART_DIRECTION = 6032;
    public static final int PRODUCT_TEST_TOKEN_RESULT_DARK_SNOISE = 6042;
    public static final int PRODUCT_TEST_TOKEN_RESULT_DARK_TNOISE = 6041;
    public static final int PRODUCT_TEST_TOKEN_RESULT_EDGE_PIXEL_LEVEL1 = 6025;
    public static final int PRODUCT_TEST_TOKEN_RESULT_EDGE_PIXEL_LEVEL2 = 6026;
    public static final int PRODUCT_TEST_TOKEN_RESULT_EXPOSURE_TIME = 6018;
    public static final int PRODUCT_TEST_TOKEN_RESULT_FLAT_SNOISE = 6029;
    public static final int PRODUCT_TEST_TOKEN_RESULT_FLAT_SNOISE_LPF = 6030;
    public static final int PRODUCT_TEST_TOKEN_RESULT_FLAT_SNOISE_LPF_MT = 6031;
    public static final int PRODUCT_TEST_TOKEN_RESULT_FRAME_NUMBER = 6019;
    public static final int PRODUCT_TEST_TOKEN_RESULT_HOT_PIXEL_NUM = 6022;
    public static final int PRODUCT_TEST_TOKEN_RESULT_ITO_PATTERN_CODE = 6020;
    public static final int PRODUCT_TEST_TOKEN_RESULT_LIGHT_HIGH_MEAN = 6045;
    public static final int PRODUCT_TEST_TOKEN_RESULT_LIGHT_SNOISE = 6044;
    public static final int PRODUCT_TEST_TOKEN_RESULT_LIGHT_TNOISE = 6043;
    public static final int PRODUCT_TEST_TOKEN_RESULT_LOW_CORR_PITCH_LPF = 6024;
    public static final int PRODUCT_TEST_TOKEN_RESULT_MAX_LOCAL_BAD_PIXEL = 6027;
    public static final int PRODUCT_TEST_TOKEN_RESULT_MAX_TOTAL_BAD_PIXEL = 6028;
    public static final int PRODUCT_TEST_TOKEN_RESULT_NOISE = 6035;
    public static final int PRODUCT_TEST_TOKEN_RESULT_NOISE_LPF = 6039;
    public static final int PRODUCT_TEST_TOKEN_RESULT_PGA_GAIN = 6017;
    public static final int PRODUCT_TEST_TOKEN_RESULT_RUBBER_NUM = 6021;
    public static final int PRODUCT_TEST_TOKEN_RESULT_SHAPENESS = 6036;
    public static final int PRODUCT_TEST_TOKEN_RESULT_SHAPENESS_LPF = 6040;
    public static final int PRODUCT_TEST_TOKEN_RESULT_SIGNAL = 6033;
    public static final int PRODUCT_TEST_TOKEN_RESULT_SIGNAL_LPF = 6037;
    public static final int PRODUCT_TEST_TOKEN_RESULT_SSNR = 6034;
    public static final int PRODUCT_TEST_TOKEN_RESULT_SSNR_LPF = 6038;
    public static final int PRODUCT_TEST_TOKEN_RESULT_TSNR = 7000;
    public static final int PRODUCT_TEST_TOKEN_RESULT_VALID_AREA = 6023;
    public static final int PRODUCT_TEST_TOKEN_SAVE_KB_DATA = 7001;
    public static final int PRODUCT_TEST_TOKEN_SENSOR_CHIP_ID = 6004;
    public static final int PRODUCT_TEST_TOKEN_SENSOR_INDEX = 6016;
    public static final int PRODUCT_TEST_TOKEN_STATUS_BAR_HEIGHT = 6052;
    public static final int SENSOR_CONTROL_TOKEN_BASE = 310000;
    public static final int SENSOR_CONTROL_TOKEN_DISPLAY_CONTROL_STATE = 310039;
    public static final int SENSOR_CONTROL_TOKEN_LIGHT_RADIUS = 310037;
    public static final int SENSOR_CONTROL_TOKEN_LIGHT_RADIUS_MM = 310038;
    public static final int SENSOR_CONTROL_TOKEN_SENSOR_IDS = 310001;
    public static final int SENSOR_CONTROL_TOKEN_SENSOR_ROTATION = 310043;
    public static final int SENSOR_CONTROL_TOKEN_SENSOR_X = 310002;
    public static final int SENSOR_CONTROL_TOKEN_SENSOR_Y = 310003;
    public static final int SENSOR_CONTROL_TOKEN_TOUCH_MAJOR = 310040;
    public static final int SENSOR_CONTROL_TOKEN_TOUCH_MINOR = 310041;
    public static final int SENSOR_CONTROL_TOKEN_TOUCH_ORIENTATION = 310042;
    public static final int SENSOR_CONTROL_TOKEN_TOUCH_PRESS_X = 310035;
    public static final int SENSOR_CONTROL_TOKEN_TOUCH_PRESS_Y = 310036;
    private static final String TAG = "DelmarTestResultParser";

    public static HashMap<Integer, Object> parse(byte[] data) {
        HashMap<Integer, Object> testResult = new HashMap<>();
        int len = 0;
        if (data != null) {
            len = data.length;
        }
        int offset = 0;
        while (offset < len) {
            Log.d(TAG, "offset = " + offset);
            int token = TestResultParser.decodeInt32(data, offset);
            offset += 4;
            Log.d(TAG, "token = " + token);
            if ((token >= 310002 && token < 310035) || (token >= 310054 && token < 310070)) {
                int value = TestResultParser.decodeInt32(data, offset);
                offset += 4;
                testResult.put(Integer.valueOf(token), Integer.valueOf(value));
                Log.d(TAG, "token=" + token + ", value=" + value);
            } else if (token < 310043 || token >= 310051) {
                switch (token) {
                    case 100:
                    case 101:
                    case 102:
                    case 302:
                    case 303:
                    case 304:
                    case 305:
                    case 306:
                    case 311:
                    case 315:
                    case 316:
                    case 317:
                    case 318:
                    case 400:
                    case 401:
                    case 402:
                    case 403:
                    case 404:
                    case 405:
                    case 406:
                    case 407:
                    case 409:
                    case 411:
                    case 500:
                    case 501:
                    case 502:
                    case 503:
                    case 504:
                    case 505:
                    case 506:
                    case 507:
                    case 508:
                    case 509:
                    case 510:
                    case 511:
                    case 512:
                    case 513:
                    case 514:
                    case 515:
                    case 516:
                    case 517:
                    case 600:
                    case TestResultParser.TEST_TOKEN_BMP_DATA_WIDTH /*{ENCODED_INT: 690}*/:
                    case TestResultParser.TEST_TOKEN_BMP_DATA_HEIGHT /*{ENCODED_INT: 691}*/:
                    case 702:
                    case 703:
                    case 704:
                    case 709:
                    case 710:
                    case 711:
                    case 800:
                    case 801:
                    case 802:
                    case 803:
                    case 804:
                    case 805:
                    case 806:
                    case 807:
                    case 808:
                    case 809:
                    case 810:
                    case 811:
                    case 812:
                    case 813:
                    case 814:
                    case 815:
                    case 816:
                    case 817:
                    case 818:
                    case 819:
                    case 820:
                    case 821:
                    case 822:
                    case 823:
                    case 824:
                    case 825:
                    case 826:
                    case 827:
                    case 828:
                    case 829:
                    case 830:
                    case 831:
                    case 832:
                    case 833:
                    case 834:
                    case 835:
                    case 900:
                    case 903:
                    case 1100:
                    case 1101:
                    case 1102:
                    case 1200:
                    case 1201:
                    case 1202:
                    case 1203:
                    case 1204:
                    case 1205:
                    case 1206:
                    case 1207:
                    case 1208:
                    case 1209:
                    case 1300:
                    case 1301:
                    case 1302:
                    case 1303:
                    case 1304:
                    case 1305:
                    case 1306:
                    case 1307:
                    case 5200:
                        int value2 = decodeInt32(data, offset);
                        offset += 4;
                        testResult.put(Integer.valueOf(token), Integer.valueOf(value2));
                        Log.d(TAG, "value = " + value2);
                        continue;
                    case 200:
                    case 201:
                    case 202:
                    case 203:
                    case 204:
                    case 205:
                    case 211:
                    case 1210:
                    case 200011:
                    case 200012:
                    case 200013:
                    case 200014:
                    case 200015:
                    case 200016:
                    case 200017:
                    case 200022:
                    case 200023:
                        int size = decodeInt32(data, offset);
                        int offset2 = offset + 4;
                        String value3 = new String(data, offset2, size);
                        Log.d(TAG, "parse string = " + value3);
                        testResult.put(Integer.valueOf(token), value3);
                        offset = offset2 + size;
                        continue;
                    case 206:
                    case 207:
                    case 208:
                    case 209:
                    case 307:
                    case 408:
                    case 410:
                    case 700:
                    case 701:
                    case 705:
                    case 708:
                    case 712:
                    case 713:
                    case 714:
                    case 715:
                    case 1103:
                        int size2 = decodeInt32(data, offset);
                        offset += 4;
                        Log.d(TAG, "parse array size = " + size2);
                        if (size2 > 0) {
                            testResult.put(Integer.valueOf(token), Arrays.copyOfRange(data, offset, offset + size2));
                            offset += size2;
                            break;
                        } else {
                            continue;
                        }
                    case 210:
                        byte value4 = decodeInt8(data, offset);
                        offset++;
                        testResult.put(Integer.valueOf(token), Byte.valueOf(value4));
                        Log.d(TAG, "value = " + ((int) value4));
                        continue;
                    case 300:
                    case 310:
                    case 312:
                    case 313:
                    case 314:
                    case 706:
                    case 707:
                        short value5 = decodeInt16(data, offset);
                        offset += 2;
                        testResult.put(Integer.valueOf(token), Short.valueOf(value5));
                        Log.d(TAG, "value = " + ((int) value5));
                        continue;
                    case 301:
                        int size3 = decodeInt32(data, offset);
                        int offset3 = offset + 4;
                        double value6 = decodeDouble(data, offset3, size3);
                        testResult.put(Integer.valueOf(token), Double.valueOf(value6));
                        offset = offset3 + size3;
                        Log.d(TAG, "value = " + value6);
                        continue;
                    case 308:
                    case 309:
                        int size4 = decodeInt32(data, offset);
                        int offset4 = offset + 4;
                        float value7 = decodeFloat(data, offset4, size4);
                        testResult.put(Integer.valueOf(token), Float.valueOf(value7));
                        offset = offset4 + size4;
                        Log.d(TAG, "value = " + value7);
                        continue;
                    case 6000:
                    case 6001:
                    case 6002:
                    case 6003:
                    case 6005:
                    case 6007:
                    case 6008:
                    case 6009:
                    case 6010:
                    case 6011:
                    case 6012:
                    case 6013:
                    case 6014:
                    case 6015:
                    case 6016:
                    case PRODUCT_TEST_TOKEN_STATUS_BAR_HEIGHT /*{ENCODED_INT: 6052}*/:
                    case PRODUCT_TEST_TOKEN_IS_FULL_SCREEN /*{ENCODED_INT: 6053}*/:
                    case PRODUCT_TEST_TOKEN_IS_WHOLE_CIRCLE_PIC /*{ENCODED_INT: 6054}*/:
                    case PRODUCT_TEST_TOKEN_FEATURE_TYPE /*{ENCODED_INT: 6055}*/:
                    case PRODUCT_TEST_TOKEN_GAIN_TARGET /*{ENCODED_INT: 6056}*/:
                    case PRODUCT_TEST_TOKEN_DISABLE_SAVE_FLAG /*{ENCODED_INT: 6058}*/:
                    case DEBUG_TOOLS_TOKEN_ERROR_CODE /*{ENCODED_INT: 200000}*/:
                    case 200002:
                    case 200003:
                    case 200004:
                    case 200005:
                    case 200006:
                    case 200007:
                    case 200008:
                    case 200009:
                    case 200010:
                    case DEBUG_TOOLS_TOKEN_SAMPLE_FRAME_NUM /*{ENCODED_INT: 200024}*/:
                    case DEBUG_TOOLS_TOKEN_SAMPLE_RETRY_TIMES /*{ENCODED_INT: 200026}*/:
                    case DEBUG_TOOLS_TOKEN_COLLECT_RGB_STEP /*{ENCODED_INT: 200029}*/:
                    case DEBUG_TOOLS_TOKEN_MORPHOTYPE /*{ENCODED_INT: 200033}*/:
                    case DEBUG_TOOLS_TOKEN_CF_MARK /*{ENCODED_INT: 200034}*/:
                    case DEBUG_TOOLS_TOKEN_CF_MASK_TYPE /*{ENCODED_INT: 200035}*/:
                    case DEBUG_TOOLS_TOKEN_NORMAL_EXPO_GAIN /*{ENCODED_INT: 200038}*/:
                    case DEBUG_TOOLS_TOKEN_LONG_EXPO_GAIN /*{ENCODED_INT: 200039}*/:
                    case DEBUG_TOOLS_TOKEN_OSC_VALUE /*{ENCODED_INT: 200040}*/:
                    case DEBUG_TOOLS_TOKEN_BRIGHTNESS_LEVEL /*{ENCODED_INT: 200041}*/:
                    case DEBUG_TOOLS_TOKEN_SAMPLING_OBJECT /*{ENCODED_INT: 200042}*/:
                    case FRRFAR_TOOLS_TOKEN_ERROR_CODE /*{ENCODED_INT: 300000}*/:
                    case 300002:
                    case 300003:
                    case 300004:
                    case 300005:
                    case 300007:
                    case FRRFAR_TOOLS_TOKEN_FRR_TOTAL_NUM /*{ENCODED_INT: 300017}*/:
                    case FRRFAR_TOOLS_TOKEN_FRR_NO_MATCH /*{ENCODED_INT: 300018}*/:
                    case FRRFAR_TOOLS_TOKEN_FRR_NO_MATCH_FAKE /*{ENCODED_INT: 300019}*/:
                    case FRRFAR_TOOLS_TOKEN_FRR_MATCH /*{ENCODED_INT: 300020}*/:
                    case FRRFAR_TOOLS_TOKEN_FRR_MATCH_FAKE /*{ENCODED_INT: 300021}*/:
                    case FRRFAR_TOOLS_TOKEN_FAR_TOTAL_NUM /*{ENCODED_INT: 300022}*/:
                    case FRRFAR_TOOLS_TOKEN_FAR_NO_MATCH /*{ENCODED_INT: 300023}*/:
                    case FRRFAR_TOOLS_TOKEN_FAR_NO_MATCH_FAKE /*{ENCODED_INT: 300024}*/:
                    case FRRFAR_TOOLS_TOKEN_FAR_MATCH /*{ENCODED_INT: 300025}*/:
                    case FRRFAR_TOOLS_TOKEN_FAR_MATCH_FAKE /*{ENCODED_INT: 300026}*/:
                    case FRRFAR_TOOLS_TOKEN_FRRFAR_TOTAL_NUM /*{ENCODED_INT: 300027}*/:
                    case FRRFAR_TOOLS_TOKEN_FRRFAR_USED_NUM /*{ENCODED_INT: 300028}*/:
                    case FRRFAR_TOOLS_TOKEN_FRRFAR_FINISH /*{ENCODED_INT: 300029}*/:
                    case SENSOR_CONTROL_TOKEN_SENSOR_IDS /*{ENCODED_INT: 310001}*/:
                    case SENSOR_CONTROL_TOKEN_TOUCH_PRESS_X /*{ENCODED_INT: 310035}*/:
                    case SENSOR_CONTROL_TOKEN_TOUCH_PRESS_Y /*{ENCODED_INT: 310036}*/:
                    case SENSOR_CONTROL_TOKEN_LIGHT_RADIUS /*{ENCODED_INT: 310037}*/:
                    case SENSOR_CONTROL_TOKEN_DISPLAY_CONTROL_STATE /*{ENCODED_INT: 310039}*/:
                    case PREVIEW_CONTROL_TOKEN_BMP_DATA_WIDTH /*{ENCODED_INT: 310052}*/:
                    case PREVIEW_CONTROL_TOKEN_BMP_DATA_HEIGHT /*{ENCODED_INT: 310053}*/:
                    case PREVIEW_CONTROL_TOKEN_BCDS_IMAGE_INFO /*{ENCODED_INT: 310055}*/:
                    case PREVIEW_CONTROL_TOKEN_BCDS_GROUP_ID /*{ENCODED_INT: 310056}*/:
                        int value8 = TestResultParser.decodeInt32(data, offset);
                        offset += 4;
                        testResult.put(Integer.valueOf(token), Integer.valueOf(value8));
                        Log.d(TAG, "value = " + value8);
                        continue;
                    case 6004:
                    case 6006:
                    case 6017:
                    case 6018:
                    case 6019:
                    case 6020:
                    case 6021:
                    case 6022:
                    case 6023:
                    case 6024:
                    case 6025:
                    case 6026:
                    case 6027:
                    case 6028:
                    case 6029:
                    case 6030:
                    case 6031:
                    case PRODUCT_TEST_TOKEN_RESULT_CHART_DIRECTION /*{ENCODED_INT: 6032}*/:
                    case PRODUCT_TEST_TOKEN_RESULT_SIGNAL /*{ENCODED_INT: 6033}*/:
                    case PRODUCT_TEST_TOKEN_RESULT_SSNR /*{ENCODED_INT: 6034}*/:
                    case PRODUCT_TEST_TOKEN_RESULT_NOISE /*{ENCODED_INT: 6035}*/:
                    case PRODUCT_TEST_TOKEN_RESULT_SHAPENESS /*{ENCODED_INT: 6036}*/:
                    case PRODUCT_TEST_TOKEN_RESULT_SIGNAL_LPF /*{ENCODED_INT: 6037}*/:
                    case PRODUCT_TEST_TOKEN_RESULT_SSNR_LPF /*{ENCODED_INT: 6038}*/:
                    case PRODUCT_TEST_TOKEN_RESULT_NOISE_LPF /*{ENCODED_INT: 6039}*/:
                    case PRODUCT_TEST_TOKEN_RESULT_SHAPENESS_LPF /*{ENCODED_INT: 6040}*/:
                    case PRODUCT_TEST_TOKEN_RESULT_DARK_TNOISE /*{ENCODED_INT: 6041}*/:
                    case PRODUCT_TEST_TOKEN_RESULT_DARK_SNOISE /*{ENCODED_INT: 6042}*/:
                    case PRODUCT_TEST_TOKEN_RESULT_LIGHT_TNOISE /*{ENCODED_INT: 6043}*/:
                    case PRODUCT_TEST_TOKEN_RESULT_LIGHT_SNOISE /*{ENCODED_INT: 6044}*/:
                    case PRODUCT_TEST_TOKEN_RESULT_LIGHT_HIGH_MEAN /*{ENCODED_INT: 6045}*/:
                    case PRODUCT_TEST_TOKEN_CENTER_X_TO_CHIP /*{ENCODED_INT: 6046}*/:
                    case PRODUCT_TEST_TOKEN_CENTER_Y_TO_CHIP /*{ENCODED_INT: 6047}*/:
                    case PRODUCT_TEST_TOKEN_ANGLE_TO_CHIP /*{ENCODED_INT: 6048}*/:
                    case PRODUCT_TEST_TOKEN_CENTER_X_TO_SCREEN /*{ENCODED_INT: 6049}*/:
                    case PRODUCT_TEST_TOKEN_CENTER_Y_TO_SCREEN /*{ENCODED_INT: 6050}*/:
                    case PRODUCT_TEST_TOKEN_ANGLE_TO_SCREEN /*{ENCODED_INT: 6051}*/:
                    case PRODUCT_TEST_TOKEN_RESULT_TSNR /*{ENCODED_INT: 7000}*/:
                    case 200018:
                    case 200019:
                    case 200020:
                    case 200021:
                    case DEBUG_TOOLS_TOKEN_USER_FINGER_NAME_CONTENT /*{ENCODED_INT: 200025}*/:
                    case DEBUG_TOOLS_TOKEN_FINGER_DATA_CATEGORY_CONTENT /*{ENCODED_INT: 200027}*/:
                    case DEBUG_TOOLS_TOKEN_CALI_BMP_DATA /*{ENCODED_INT: 200032}*/:
                    case 300006:
                    case PREVIEW_CONTROL_TOKEN_BMP_DATA /*{ENCODED_INT: 310051}*/:
                        int size5 = TestResultParser.decodeInt32(data, offset);
                        offset += 4;
                        Log.d(TAG, "parse array size = " + size5);
                        if (size5 > 0) {
                            testResult.put(Integer.valueOf(token), Arrays.copyOfRange(data, offset, offset + size5));
                            offset += size5;
                            break;
                        } else {
                            continue;
                        }
                    case DEBUG_TOOLS_TOKEN_NORMAL_EXPO_TIME /*{ENCODED_INT: 200036}*/:
                    case DEBUG_TOOLS_TOKEN_LONG_EXPO_TIME /*{ENCODED_INT: 200037}*/:
                    case SENSOR_CONTROL_TOKEN_LIGHT_RADIUS_MM /*{ENCODED_INT: 310038}*/:
                        int size6 = decodeInt32(data, offset);
                        int offset5 = offset + 4;
                        float value9 = decodeFloat(data, offset5, size6);
                        testResult.put(Integer.valueOf(token), Float.valueOf(value9));
                        offset = offset5 + size6;
                        Log.d(TAG, "value = " + value9);
                        continue;
                    case DEBUG_TOOLS_TOKEN_FAKE /*{ENCODED_INT: 200044}*/:
                        byte value10 = decodeInt8(data, offset);
                        offset++;
                        testResult.put(Integer.valueOf(token), Byte.valueOf(value10));
                        Log.d(TAG, "DEBUG_TOOLS_TOKEN_FAKE value = " + ((int) value10));
                        continue;
                }
            } else {
                int size7 = decodeInt32(data, offset);
                int offset6 = offset + 4;
                float value11 = decodeFloat(data, offset6, size7);
                testResult.put(Integer.valueOf(token), Float.valueOf(value11));
                offset = offset6 + size7;
                Log.d(TAG, "value = " + value11);
            }
        }
        return testResult;
    }
}
