package com.goodix.fingerprint.utils;

import android.util.Log;
import java.util.Arrays;
import java.util.HashMap;

public class ShenzhenTestResultParser extends TestResultParser {
    private static final String TAG = "ShenzhenTestResultParser";
    public static final int TEST_TOKEN_AUTHENTICATE_RETRYCOUNT = 6025;
    public static final int TEST_TOKEN_BAD_POINT_NUM = 5503;
    public static final int TEST_TOKEN_BASE_BAD_POINT_NUM = 5410;
    public static final int TEST_TOKEN_BASE_CALIBRATE_SWITCH = 6014;
    public static final int TEST_TOKEN_BASE_DARK_NOISE_S = 5413;
    public static final int TEST_TOKEN_BASE_DARK_NOISE_T = 5411;
    public static final int TEST_TOKEN_BASE_LIGHT_NOISE_S = 5414;
    public static final int TEST_TOKEN_BASE_LIGHT_NOISE_T = 5412;
    public static final int TEST_TOKEN_BASE_P2P = 5416;
    public static final int TEST_TOKEN_BASE_SHARPNESS = 5417;
    public static final int TEST_TOKEN_BASE_SSNR = 5415;
    public static final int TEST_TOKEN_BMP_DATA_RAW = 753;
    public static final int TEST_TOKEN_BUBBLE_NUM = 1467;
    public static final int TEST_TOKEN_CALIBRATION_ALGO_FINISHED_FLAG = 5303;
    public static final int TEST_TOKEN_CALIBRATION_AUTO_FLAG = 5304;
    public static final int TEST_TOKEN_CALIBRATION_AUTO_SEND_DOWN_UP = 5305;
    public static final int TEST_TOKEN_CALIBRATION_AUTO_TEST_TYPE = 5306;
    public static final int TEST_TOKEN_CALIBRATION_BRIGHT_LEVEL = 5300;
    public static final int TEST_TOKEN_CALIBRATION_CUR_SAMPLE_COUNT = 5302;
    public static final int TEST_TOKEN_CALIBRATION_NUM_PER_LEVEL = 5301;
    public static final int TEST_TOKEN_CALIBRATION_STEP = 5307;
    public static final int TEST_TOKEN_CENTER_POINT_X = 5406;
    public static final int TEST_TOKEN_CENTER_POINT_Y = 5407;
    public static final int TEST_TOKEN_CENTRAL_CIRCLE_X = 5402;
    public static final int TEST_TOKEN_CENTRAL_CIRCLE_Y = 5403;
    public static final int TEST_TOKEN_CFG_UPDATE_MODE = 8011;
    public static final int TEST_TOKEN_CHART_DIRECTION_TARGET = 1422;
    public static final int TEST_TOKEN_CHART_DIRECTION_THD = 1421;
    public static final int TEST_TOKEN_CIRCLE_ANGLE = 5408;
    public static final int TEST_TOKEN_CIRCLE_IMAGE_TIME_STAMP = 5409;
    public static final int TEST_TOKEN_CURRENT_EXPOSUE_RAWDATA_MAX = 8014;
    public static final int TEST_TOKEN_CURRENT_EXPOSUE_TIME = 8013;
    public static final int TEST_TOKEN_DARK_NOISE_S = 5506;
    public static final int TEST_TOKEN_DARK_NOISE_T = 5504;
    public static final int TEST_TOKEN_EFF_REG_RAD = 1416;
    public static final int TEST_TOKEN_EFF_REG_RAD2 = 1417;
    public static final int TEST_TOKEN_ENHANCE_LEVEL = 6020;
    public static final int TEST_TOKEN_ENROLL_TEMPLATE_COUNT = 6024;
    public static final int TEST_TOKEN_EXPOSURE_VALUE = 1426;
    public static final int TEST_TOKEN_EXPO_AUTO_CALIBRATION_FLAG = 5308;
    public static final int TEST_TOKEN_FACTORY_BAD_POINT_NUM = 5336;
    public static final int TEST_TOKEN_FACTORY_CHART_DIRTY = 5345;
    public static final int TEST_TOKEN_FACTORY_CLUSTER_NUM = 5337;
    public static final int TEST_TOKEN_FACTORY_CROP_HEIGHT = 5335;
    public static final int TEST_TOKEN_FACTORY_CROP_WIDTH = 5334;
    public static final int TEST_TOKEN_FACTORY_FLESH_TOUCH_DIFF = 5323;
    public static final int TEST_TOKEN_FACTORY_FOV_DOWN = 5328;
    public static final int TEST_TOKEN_FACTORY_FOV_LEFT = 5325;
    public static final int TEST_TOKEN_FACTORY_FOV_RIGHT = 5326;
    public static final int TEST_TOKEN_FACTORY_FOV_UP = 5327;
    public static final int TEST_TOKEN_FACTORY_ILLUM_MAX_X = 5330;
    public static final int TEST_TOKEN_FACTORY_ILLUM_MAX_Y = 5331;
    public static final int TEST_TOKEN_FACTORY_LIGHT_LEAK_RATIO = 5324;
    public static final int TEST_TOKEN_FACTORY_PIXEL_OF_LARGEST_BAD_BUBBLE = 5344;
    public static final int TEST_TOKEN_FACTORY_PIXEL_OF_LARGEST_BAD_CLUSTER = 5338;
    public static final int TEST_TOKEN_FACTORY_PIXEL_OF_ORIENT_LARGEST_BAD_CLUSTER = 5343;
    public static final int TEST_TOKEN_FACTORY_RELATIVE_ILLUMINANCE = 5329;
    public static final int TEST_TOKEN_FACTORY_RMS = 5333;
    public static final int TEST_TOKEN_FACTORY_SCALE = 5332;
    public static final int TEST_TOKEN_FACTORY_SNOISE = 5321;
    public static final int TEST_TOKEN_FACTORY_TNOISE = 5322;
    public static final int TEST_TOKEN_FACTROY_CENTER_OFFSET = 5340;
    public static final int TEST_TOKEN_FACTROY_IMG_QUALITY = 5341;
    public static final int TEST_TOKEN_FACTROY_IMG_VALID_AREA = 5342;
    public static final int TEST_TOKEN_FACTROY_SCREEN_STRUCT_RATIO = 5339;
    public static final int TEST_TOKEN_FINGERPRINT_ACQUIRED_INFO = 1304;
    public static final int TEST_TOKEN_FINGERPRINT_ENUMERATING = 1307;
    public static final int TEST_TOKEN_FINGERPRINT_ENUMERATING_FID = 8012;
    public static final int TEST_TOKEN_FINGERPRINT_FID = 1305;
    public static final int TEST_TOKEN_FINGERPRINT_GID = 1306;
    public static final int TEST_TOKEN_FINGERPRINT_MESSAGE_TYPE = 1303;
    public static final int TEST_TOKEN_FINGERPRINT_PROGRESS = 1307;
    public static final int TEST_TOKEN_FLASH_ID = 5310;
    public static final int TEST_TOKEN_FRR_FAR_CALI_pCaliSig = 10018;
    public static final int TEST_TOKEN_FRR_FAR_CALI_pFilterData = 10019;
    public static final int TEST_TOKEN_FRR_FAR_CALI_pkuchHoleMask = 10020;
    public static final int TEST_TOKEN_FRR_FAR_CALI_preprocessParams = 10021;
    public static final int TEST_TOKEN_FRR_FAR_CALI_psPosMap = 10022;
    public static final int TEST_TOKEN_FRR_FAR_CALI_pusBaseUnit = 10023;
    public static final int TEST_TOKEN_FRR_FAR_CALI_pusBlack0 = 10024;
    public static final int TEST_TOKEN_FRR_FAR_CALI_pusKBCalidata = 10025;
    public static final int TEST_TOKEN_FRR_FAR_CALI_pusWtMap = 10026;
    public static final int TEST_TOKEN_FRR_FAR_CALI_pusbase = 10027;
    public static final int TEST_TOKEN_FRR_FAR_FINGER_ID = 10001;
    public static final int TEST_TOKEN_FRR_FAR_FUSION_DATA = 10003;
    public static final int TEST_TOKEN_FRR_FAR_FUSION_DATA_HEIGHT = 10011;
    public static final int TEST_TOKEN_FRR_FAR_FUSION_DATA_WIDTH = 10010;
    public static final int TEST_TOKEN_FRR_FAR_GROUP_ID = 10000;
    public static final int TEST_TOKEN_FRR_FAR_HOLE_MASK = 10009;
    public static final int TEST_TOKEN_FRR_FAR_LONG_EXPO_DATA = 10004;
    public static final int TEST_TOKEN_FRR_FAR_PUS_BASE = 10006;
    public static final int TEST_TOKEN_FRR_FAR_PUS_BASE_UNIT = 10007;
    public static final int TEST_TOKEN_FRR_FAR_PUS_KR = 10008;
    public static final int TEST_TOKEN_FRR_FAR_RAWFEATUREST_DATA = 10013;
    public static final int TEST_TOKEN_FRR_FAR_RAWFEATUREST_LEN = 10012;
    public static final int TEST_TOKEN_FRR_FAR_RAW_DATA_BUFFER = 10016;
    public static final int TEST_TOKEN_FRR_FAR_RAW_DATA_HEIGHT = 10015;
    public static final int TEST_TOKEN_FRR_FAR_RAW_DATA_RETRY_COUNT = 10017;
    public static final int TEST_TOKEN_FRR_FAR_RAW_DATA_WIDTH = 10014;
    public static final int TEST_TOKEN_FRR_FAR_SAVE_FINGER_PATH = 10002;
    public static final int TEST_TOKEN_FRR_FAR_SHORT_EXPO_DATA = 10005;
    public static final int TEST_TOKEN_FUSION_DATA = 8006;
    public static final int TEST_TOKEN_FUSION_HEIGHT = 8008;
    public static final int TEST_TOKEN_FUSION_RATIO = 6008;
    public static final int TEST_TOKEN_FUSION_WIDTH = 8007;
    public static final int TEST_TOKEN_FW_EXPOSE_TIME = 736;
    public static final int TEST_TOKEN_GREAT_CIRCLE_X = 5400;
    public static final int TEST_TOKEN_GREAT_CIRCLE_Y = 5401;
    public static final int TEST_TOKEN_LDC_SWITCH = 6015;
    public static final int TEST_TOKEN_LENS_VENSOR = 1428;
    public static final int TEST_TOKEN_LIGHT_NOISE_S = 5507;
    public static final int TEST_TOKEN_LIGHT_NOISE_T = 5505;
    public static final int TEST_TOKEN_LONG_EXPOSURE_DATA = 8000;
    public static final int TEST_TOKEN_LONG_EXPOSURE_HEIGHT = 8002;
    public static final int TEST_TOKEN_LONG_EXPOSURE_TIME_DISTANCE = 6021;
    public static final int TEST_TOKEN_LONG_EXPOSURE_WIDTH = 8001;
    public static final int TEST_TOKEN_LONG_FRAME_AVG_NUM = 6001;
    public static final int TEST_TOKEN_LONG_PAG_GAIN = 6002;
    public static final int TEST_TOKEN_LPF_SWITCH = 6018;
    public static final int TEST_TOKEN_LSC_SWITCH = 6019;
    public static final int TEST_TOKEN_MAX_BAD_BUBBLE = 1470;
    public static final int TEST_TOKEN_MAX_BAD_POINT_NUM = 1400;
    public static final int TEST_TOKEN_MAX_BUBBLE_NUM = 1468;
    public static final int TEST_TOKEN_MAX_CENTER_OFFSET = 1430;
    public static final int TEST_TOKEN_MAX_CHART_DIRTY = 1474;
    public static final int TEST_TOKEN_MAX_CLUSTER_NUM = 1401;
    public static final int TEST_TOKEN_MAX_DARK_SNOISE = 1431;
    public static final int TEST_TOKEN_MAX_DARK_TNOISE = 1432;
    public static final int TEST_TOKEN_MAX_EXPO_TIME = 1424;
    public static final int TEST_TOKEN_MAX_LARGEST_ORIENT = 1469;
    public static final int TEST_TOKEN_MAX_LENS_TILT_ANGLE = 1434;
    public static final int TEST_TOKEN_MAX_LENS_TILT_LEVEL = 1433;
    public static final int TEST_TOKEN_MAX_LIGHT_LEAK_RATIO = 1407;
    public static final int TEST_TOKEN_MAX_LIGHT_NOISES = 1404;
    public static final int TEST_TOKEN_MAX_LIGHT_NOISET = 1403;
    public static final int TEST_TOKEN_MAX_PIXEL_OF_LARGEST_BAD_CLUSTER = 1402;
    public static final int TEST_TOKEN_MAX_PIXEL_OF_LARGEST_ORIENT_BAD_CLUSTER = 1435;
    public static final int TEST_TOKEN_MAX_SCALE_RATIO = 1409;
    public static final int TEST_TOKEN_MAX_SCREEN_STRUCT_RATIO = 1423;
    public static final int TEST_TOKEN_MAX_SHELTER_AREA = 1460;
    public static final int TEST_TOKEN_MAX_SHELTER_RATIO = 1459;
    public static final int TEST_TOKEN_MAX_SNR_SCALE_RATIO = 1451;
    public static final int TEST_TOKEN_MAX_SUBLINE_BAD_BUBBLE = 1473;
    public static final int TEST_TOKEN_MAX_SUBLINE_BAD_POINT_NUM = 1441;
    public static final int TEST_TOKEN_MAX_SUBLINE_BUBBLE_NUM = 1471;
    public static final int TEST_TOKEN_MAX_SUBLINE_CHART_DIRTY = 1475;
    public static final int TEST_TOKEN_MAX_SUBLINE_CLUSTER_NUM = 1439;
    public static final int TEST_TOKEN_MAX_SUBLINE_DARK_SNOISE = 1438;
    public static final int TEST_TOKEN_MAX_SUBLINE_DARK_TNOISE = 1437;
    public static final int TEST_TOKEN_MAX_SUBLINE_EXPO_TIME = 1447;
    public static final int TEST_TOKEN_MAX_SUBLINE_LARGEST_ORIENT = 1472;
    public static final int TEST_TOKEN_MAX_SUBLINE_LIGHT_LEAK_RATIO = 1442;
    public static final int TEST_TOKEN_MAX_SUBLINE_LIGHT_NOISET = 1436;
    public static final int TEST_TOKEN_MAX_SUBLINE_PIXEL_OF_LARGEST_BAD_CLUSTER = 1440;
    public static final int TEST_TOKEN_MAX_SUBLINE_SCALE_RATIO = 1455;
    public static final int TEST_TOKEN_MAX_SUBLINE_SHELTER_AREA = 1463;
    public static final int TEST_TOKEN_MAX_SUBLINE_SHELTER_RATIO = 1462;
    public static final int TEST_TOKEN_MAX_SUBLINE_TILT_LEVEL = 1464;
    public static final int TEST_TOKEN_MAX_SUNLINE_SCREEN_STRUCT_RATIO = 1444;
    public static final int TEST_TOKEN_MAX_TILT_LEVEL = 1461;
    public static final int TEST_TOKEN_MCU_ID = 5309;
    public static final int TEST_TOKEN_MIN_CHART_CONSTRAST = 1415;
    public static final int TEST_TOKEN_MIN_EXPO_TIME = 1425;
    public static final int TEST_TOKEN_MIN_FLESH_TOUCH_DIFF = 1405;
    public static final int TEST_TOKEN_MIN_FOV_AREA = 1406;
    public static final int TEST_TOKEN_MIN_MASK_CROP_AREA = 1411;
    public static final int TEST_TOKEN_MIN_P2P = 1414;
    public static final int TEST_TOKEN_MIN_RELATIVE_ILLUMINANCE = 1408;
    public static final int TEST_TOKEN_MIN_SCALE_RATIO = 1410;
    public static final int TEST_TOKEN_MIN_SHAPENESS = 1413;
    public static final int TEST_TOKEN_MIN_SNR_P2P = 1448;
    public static final int TEST_TOKEN_MIN_SNR_SCALE_RATIO = 1450;
    public static final int TEST_TOKEN_MIN_SNR_SSNR = 1449;
    public static final int TEST_TOKEN_MIN_SSNR = 1412;
    public static final int TEST_TOKEN_MIN_SUBLINE_EXPO_TIME = 1446;
    public static final int TEST_TOKEN_MIN_SUBLINE_FLESH_TOUCH_DIFF = 1443;
    public static final int TEST_TOKEN_MIN_SUBLINE_P2P = 1452;
    public static final int TEST_TOKEN_MIN_SUBLINE_RELATIVE_ILLUMINANCE = 1445;
    public static final int TEST_TOKEN_MIN_SUBLINE_SCALE_RATIO = 1454;
    public static final int TEST_TOKEN_MIN_SUBLINE_SSNR = 1453;
    public static final int TEST_TOKEN_MOBILE_LIGHT_LUX = 6031;
    public static final int TEST_TOKEN_MOBILE_PITCH_ANGLE = 6029;
    public static final int TEST_TOKEN_MOBILE_ROLL_ANGLE = 6030;
    public static final int TEST_TOKEN_MODULE_VENDOR = 1427;
    public static final int TEST_TOKEN_OVER_SATURATED_PIXEL_COUNT = 1301;
    public static final int TEST_TOKEN_P2P = 5509;
    public static final int TEST_TOKEN_PERFORMANCE_CHART_CONTRAST = 5320;
    public static final int TEST_TOKEN_PERFORMANCE_CHART_TOUCH_DIFF = 5319;
    public static final int TEST_TOKEN_PERFORMANCE_MEAN_RIDGE = 5315;
    public static final int TEST_TOKEN_PERFORMANCE_MEAN_VALLEY = 5316;
    public static final int TEST_TOKEN_PERFORMANCE_NOISE = 5313;
    public static final int TEST_TOKEN_PERFORMANCE_P2P = 5312;
    public static final int TEST_TOKEN_PERFORMANCE_SHARPNESS = 5317;
    public static final int TEST_TOKEN_PERFORMANCE_SHARPNESS_ALL = 5318;
    public static final int TEST_TOKEN_PERFORMANCE_SSNR = 5314;
    public static final int TEST_TOKEN_PMIC_ID = 5311;
    public static final int TEST_TOKEN_POSITION_OFFSET_ANGLE = 5500;
    public static final int TEST_TOKEN_POSITION_OFFSET_X = 5501;
    public static final int TEST_TOKEN_POSITION_OFFSET_Y = 5502;
    public static final int TEST_TOKEN_PREPROCESS = 6009;
    public static final int TEST_TOKEN_RECT_BMP_COL = 6022;
    public static final int TEST_TOKEN_RECT_BMP_ROW = 6023;
    public static final int TEST_TOKEN_RECT_HEIGHT = 6013;
    public static final int TEST_TOKEN_RECT_WIDTH = 6012;
    public static final int TEST_TOKEN_RECT_X = 6010;
    public static final int TEST_TOKEN_RECT_Y = 6011;
    public static final int TEST_TOKEN_SATURATED_PIXEL_THRESHOLD = 1302;
    public static final int TEST_TOKEN_SATURAT_PIX_HIGH_THD = 1420;
    public static final int TEST_TOKEN_SCALE_RATIO_VALUE = 6000;
    public static final int TEST_TOKEN_SENSOR_COL = 6027;
    public static final int TEST_TOKEN_SENSOR_PREVIEW_ENHANCED = 6026;
    public static final int TEST_TOKEN_SENSOR_ROW = 6028;
    public static final int TEST_TOKEN_SERIAL_NUM = 1429;
    public static final int TEST_TOKEN_SET_GROUP_ID = 7100;
    public static final int TEST_TOKEN_SHARPNESS = 5510;
    public static final int TEST_TOKEN_SHELTER_AREA = 1457;
    public static final int TEST_TOKEN_SHELTER_RATIO = 1456;
    public static final int TEST_TOKEN_SHORT_EXPOSURE_DATA = 8003;
    public static final int TEST_TOKEN_SHORT_EXPOSURE_HEIGHT = 8005;
    public static final int TEST_TOKEN_SHORT_EXPOSURE_TIME = 6003;
    public static final int TEST_TOKEN_SHORT_EXPOSURE_WIDTH = 8004;
    public static final int TEST_TOKEN_SHORT_FRAME_AVG_NUM = 6004;
    public static final int TEST_TOKEN_SHORT_PAG_GAIN = 6005;
    public static final int TEST_TOKEN_SMALL_CIRCLE_X = 5404;
    public static final int TEST_TOKEN_SMALL_CIRCLE_Y = 5405;
    public static final int TEST_TOKEN_SPMT_BAD_PIX_THD = 1418;
    public static final int TEST_TOKEN_SPMT_BAD_PIX_THD2 = 1419;
    public static final int TEST_TOKEN_SPMT_CALIBRATION_PERFORMANCE = 1500;
    public static final int TEST_TOKEN_SSNR = 5508;
    public static final int TEST_TOKEN_SS_CALIBRATION = 8052;
    public static final int TEST_TOKEN_SS_EFS_UID = 8054;
    public static final int TEST_TOKEN_SS_IN_SYSTEM_HIGH_BRIGHTNESS = 8057;
    public static final int TEST_TOKEN_SS_IN_SYSTEM_LOW_BRIGHTNESS = 8059;
    public static final int TEST_TOKEN_SS_IN_SYSTEM_MID_BRIGHTNESS = 8058;
    public static final int TEST_TOKEN_SS_IN_SYSTEM_VERSION = 8056;
    public static final int TEST_TOKEN_SS_MT_CHECK = 8051;
    public static final int TEST_TOKEN_SS_PRODUCT_ID = 8050;
    public static final int TEST_TOKEN_SS_SENSOR_UID = 8055;
    public static final int TEST_TOKEN_SS_UID = 8053;
    public static final int TEST_TOKEN_STRIPE_STD = 1466;
    public static final int TEST_TOKEN_STRIPE_T = 1465;
    public static final int TEST_TOKEN_TILT_LEVEL = 1458;
    public static final int TEST_TOKEN_TNR_RESET_FLAG = 6017;
    public static final int TEST_TOKEN_TNR_RESET_THRESH = 6016;
    public static final int TEST_TOKEN_UNDER_SATURATED_PIXEL_COUNT = 1300;
    public static final int TEST_TOKEN_UNHIGHTHRESH = 6007;
    public static final int TEST_TOKEN_UNLOWERTHRESH = 6006;
    public static final int TEST_TOKEN_WEAK_DATA_HEIGHT = 8010;
    public static final int TEST_TOKEN_WEAK_DATA_WIDTH = 8009;

    public static HashMap<Integer, Object> parse(byte[] result) {
        HashMap<Integer, Object> testResult = new HashMap<>();
        int len = 0;
        if (result != null) {
            len = result.length;
        }
        int offset = 0;
        while (offset < len) {
            Log.d(TAG, "offset = " + offset);
            int token = TestResultParser.decodeInt32(result, offset);
            offset += 4;
            Log.d(TAG, "token = " + token);
            switch (token) {
                case 100:
                case 208:
                case 305:
                case 500:
                case 501:
                case 506:
                case 508:
                case 510:
                case 515:
                case TestResultParser.TEST_TOKEN_BMP_DATA_WIDTH /*{ENCODED_INT: 690}*/:
                case TestResultParser.TEST_TOKEN_BMP_DATA_HEIGHT /*{ENCODED_INT: 691}*/:
                case TestResultParser.TEST_TOKEN_FOV_AVG /*{ENCODED_INT: 692}*/:
                case TEST_TOKEN_FW_EXPOSE_TIME /*{ENCODED_INT: 736}*/:
                case 1303:
                case 1304:
                case 1305:
                case 1306:
                case 1307:
                case 1400:
                case 1401:
                case 1402:
                case 1406:
                case 1411:
                case 1416:
                case 1417:
                case 1418:
                case 1419:
                case 1420:
                case 1421:
                case 1422:
                case TEST_TOKEN_MAX_EXPO_TIME /*{ENCODED_INT: 1424}*/:
                case TEST_TOKEN_MIN_EXPO_TIME /*{ENCODED_INT: 1425}*/:
                case TEST_TOKEN_LENS_VENSOR /*{ENCODED_INT: 1428}*/:
                case TEST_TOKEN_SERIAL_NUM /*{ENCODED_INT: 1429}*/:
                case TEST_TOKEN_MAX_LENS_TILT_LEVEL /*{ENCODED_INT: 1433}*/:
                case TEST_TOKEN_MAX_LENS_TILT_ANGLE /*{ENCODED_INT: 1434}*/:
                case TEST_TOKEN_MAX_PIXEL_OF_LARGEST_ORIENT_BAD_CLUSTER /*{ENCODED_INT: 1435}*/:
                case TEST_TOKEN_MAX_SUBLINE_CLUSTER_NUM /*{ENCODED_INT: 1439}*/:
                case TEST_TOKEN_MAX_SUBLINE_PIXEL_OF_LARGEST_BAD_CLUSTER /*{ENCODED_INT: 1440}*/:
                case TEST_TOKEN_MAX_SUBLINE_BAD_POINT_NUM /*{ENCODED_INT: 1441}*/:
                case TEST_TOKEN_MIN_SUBLINE_EXPO_TIME /*{ENCODED_INT: 1446}*/:
                case TEST_TOKEN_MAX_SUBLINE_EXPO_TIME /*{ENCODED_INT: 1447}*/:
                case TEST_TOKEN_TILT_LEVEL /*{ENCODED_INT: 1458}*/:
                case TEST_TOKEN_MAX_TILT_LEVEL /*{ENCODED_INT: 1461}*/:
                case TEST_TOKEN_MAX_SUBLINE_TILT_LEVEL /*{ENCODED_INT: 1464}*/:
                case TEST_TOKEN_BUBBLE_NUM /*{ENCODED_INT: 1467}*/:
                case TEST_TOKEN_MAX_BUBBLE_NUM /*{ENCODED_INT: 1468}*/:
                case TEST_TOKEN_MAX_LARGEST_ORIENT /*{ENCODED_INT: 1469}*/:
                case TEST_TOKEN_MAX_BAD_BUBBLE /*{ENCODED_INT: 1470}*/:
                case TEST_TOKEN_MAX_SUBLINE_BUBBLE_NUM /*{ENCODED_INT: 1471}*/:
                case TEST_TOKEN_MAX_SUBLINE_LARGEST_ORIENT /*{ENCODED_INT: 1472}*/:
                case TEST_TOKEN_MAX_SUBLINE_BAD_BUBBLE /*{ENCODED_INT: 1473}*/:
                case TEST_TOKEN_MAX_CHART_DIRTY /*{ENCODED_INT: 1474}*/:
                case TEST_TOKEN_MAX_SUBLINE_CHART_DIRTY /*{ENCODED_INT: 1475}*/:
                case TEST_TOKEN_EXPO_AUTO_CALIBRATION_FLAG /*{ENCODED_INT: 5308}*/:
                case TEST_TOKEN_MCU_ID /*{ENCODED_INT: 5309}*/:
                case TEST_TOKEN_FLASH_ID /*{ENCODED_INT: 5310}*/:
                case TEST_TOKEN_PMIC_ID /*{ENCODED_INT: 5311}*/:
                case TEST_TOKEN_PERFORMANCE_P2P /*{ENCODED_INT: 5312}*/:
                case TEST_TOKEN_PERFORMANCE_NOISE /*{ENCODED_INT: 5313}*/:
                case TEST_TOKEN_PERFORMANCE_SSNR /*{ENCODED_INT: 5314}*/:
                case TEST_TOKEN_PERFORMANCE_MEAN_RIDGE /*{ENCODED_INT: 5315}*/:
                case TEST_TOKEN_PERFORMANCE_MEAN_VALLEY /*{ENCODED_INT: 5316}*/:
                case TEST_TOKEN_PERFORMANCE_SHARPNESS /*{ENCODED_INT: 5317}*/:
                case TEST_TOKEN_PERFORMANCE_SHARPNESS_ALL /*{ENCODED_INT: 5318}*/:
                case TEST_TOKEN_PERFORMANCE_CHART_TOUCH_DIFF /*{ENCODED_INT: 5319}*/:
                case TEST_TOKEN_PERFORMANCE_CHART_CONTRAST /*{ENCODED_INT: 5320}*/:
                case TEST_TOKEN_FACTORY_SNOISE /*{ENCODED_INT: 5321}*/:
                case TEST_TOKEN_FACTORY_TNOISE /*{ENCODED_INT: 5322}*/:
                case TEST_TOKEN_FACTORY_FLESH_TOUCH_DIFF /*{ENCODED_INT: 5323}*/:
                case TEST_TOKEN_FACTORY_LIGHT_LEAK_RATIO /*{ENCODED_INT: 5324}*/:
                case TEST_TOKEN_FACTORY_FOV_LEFT /*{ENCODED_INT: 5325}*/:
                case TEST_TOKEN_FACTORY_FOV_RIGHT /*{ENCODED_INT: 5326}*/:
                case TEST_TOKEN_FACTORY_FOV_UP /*{ENCODED_INT: 5327}*/:
                case TEST_TOKEN_FACTORY_FOV_DOWN /*{ENCODED_INT: 5328}*/:
                case TEST_TOKEN_FACTORY_ILLUM_MAX_X /*{ENCODED_INT: 5330}*/:
                case TEST_TOKEN_FACTORY_ILLUM_MAX_Y /*{ENCODED_INT: 5331}*/:
                case TEST_TOKEN_FACTORY_SCALE /*{ENCODED_INT: 5332}*/:
                case TEST_TOKEN_FACTORY_CROP_WIDTH /*{ENCODED_INT: 5334}*/:
                case TEST_TOKEN_FACTORY_CROP_HEIGHT /*{ENCODED_INT: 5335}*/:
                case TEST_TOKEN_FACTORY_BAD_POINT_NUM /*{ENCODED_INT: 5336}*/:
                case TEST_TOKEN_FACTORY_CLUSTER_NUM /*{ENCODED_INT: 5337}*/:
                case TEST_TOKEN_FACTORY_PIXEL_OF_LARGEST_BAD_CLUSTER /*{ENCODED_INT: 5338}*/:
                case TEST_TOKEN_FACTROY_SCREEN_STRUCT_RATIO /*{ENCODED_INT: 5339}*/:
                case TEST_TOKEN_FACTROY_IMG_QUALITY /*{ENCODED_INT: 5341}*/:
                case TEST_TOKEN_FACTROY_IMG_VALID_AREA /*{ENCODED_INT: 5342}*/:
                case TEST_TOKEN_FACTORY_PIXEL_OF_ORIENT_LARGEST_BAD_CLUSTER /*{ENCODED_INT: 5343}*/:
                case TEST_TOKEN_FACTORY_PIXEL_OF_LARGEST_BAD_BUBBLE /*{ENCODED_INT: 5344}*/:
                case TEST_TOKEN_FACTORY_CHART_DIRTY /*{ENCODED_INT: 5345}*/:
                case 5504:
                case 5506:
                case 6000:
                case 6002:
                case 6003:
                case 6005:
                case 6024:
                case 6027:
                case 6028:
                case 8001:
                case 8002:
                case TEST_TOKEN_SHORT_EXPOSURE_WIDTH /*{ENCODED_INT: 8004}*/:
                case TEST_TOKEN_SHORT_EXPOSURE_HEIGHT /*{ENCODED_INT: 8005}*/:
                case TEST_TOKEN_FUSION_WIDTH /*{ENCODED_INT: 8007}*/:
                case TEST_TOKEN_FUSION_HEIGHT /*{ENCODED_INT: 8008}*/:
                case TEST_TOKEN_WEAK_DATA_WIDTH /*{ENCODED_INT: 8009}*/:
                case TEST_TOKEN_WEAK_DATA_HEIGHT /*{ENCODED_INT: 8010}*/:
                case TEST_TOKEN_SS_MT_CHECK /*{ENCODED_INT: 8051}*/:
                case TEST_TOKEN_SS_CALIBRATION /*{ENCODED_INT: 8052}*/:
                case TEST_TOKEN_SS_IN_SYSTEM_HIGH_BRIGHTNESS /*{ENCODED_INT: 8057}*/:
                case TEST_TOKEN_SS_IN_SYSTEM_MID_BRIGHTNESS /*{ENCODED_INT: 8058}*/:
                case TEST_TOKEN_SS_IN_SYSTEM_LOW_BRIGHTNESS /*{ENCODED_INT: 8059}*/:
                case 10010:
                case TEST_TOKEN_FRR_FAR_FUSION_DATA_HEIGHT /*{ENCODED_INT: 10011}*/:
                case TEST_TOKEN_FRR_FAR_RAWFEATUREST_LEN /*{ENCODED_INT: 10012}*/:
                case TEST_TOKEN_FRR_FAR_RAW_DATA_WIDTH /*{ENCODED_INT: 10014}*/:
                case TEST_TOKEN_FRR_FAR_RAW_DATA_HEIGHT /*{ENCODED_INT: 10015}*/:
                case 10017:
                    int value = decodeInt32(result, offset);
                    offset += 4;
                    testResult.put(Integer.valueOf(token), Integer.valueOf(value));
                    Log.d(TAG, "value = " + value);
                    break;
                case 200:
                case 201:
                case 202:
                case 203:
                case 204:
                case 205:
                case TEST_TOKEN_SS_PRODUCT_ID /*{ENCODED_INT: 8050}*/:
                case TEST_TOKEN_SS_IN_SYSTEM_VERSION /*{ENCODED_INT: 8056}*/:
                    int size = decodeInt32(result, offset);
                    int offset2 = offset + 4;
                    String value2 = new String(result, offset2, size);
                    testResult.put(Integer.valueOf(token), value2);
                    offset = offset2 + size;
                    Log.d(TAG, "string value = " + value2);
                    break;
                case 206:
                case 207:
                case 209:
                case 215:
                case 216:
                case 701:
                case TEST_TOKEN_BMP_DATA_RAW /*{ENCODED_INT: 753}*/:
                case TEST_TOKEN_FACTORY_RELATIVE_ILLUMINANCE /*{ENCODED_INT: 5329}*/:
                case TEST_TOKEN_LONG_EXPOSURE_DATA /*{ENCODED_INT: 8000}*/:
                case TEST_TOKEN_SHORT_EXPOSURE_DATA /*{ENCODED_INT: 8003}*/:
                case TEST_TOKEN_FUSION_DATA /*{ENCODED_INT: 8006}*/:
                case TEST_TOKEN_FINGERPRINT_ENUMERATING_FID /*{ENCODED_INT: 8012}*/:
                case TEST_TOKEN_SS_UID /*{ENCODED_INT: 8053}*/:
                case TEST_TOKEN_SS_EFS_UID /*{ENCODED_INT: 8054}*/:
                case TEST_TOKEN_SS_SENSOR_UID /*{ENCODED_INT: 8055}*/:
                case 10003:
                case 10004:
                case 10005:
                case 10006:
                case 10007:
                case 10008:
                case 10009:
                case TEST_TOKEN_FRR_FAR_RAWFEATUREST_DATA /*{ENCODED_INT: 10013}*/:
                case TEST_TOKEN_FRR_FAR_RAW_DATA_BUFFER /*{ENCODED_INT: 10016}*/:
                    int size2 = decodeInt32(result, offset);
                    offset += 4;
                    if (size2 <= 0) {
                        break;
                    } else {
                        testResult.put(Integer.valueOf(token), Arrays.copyOfRange(result, offset, offset + size2));
                        offset += size2;
                        break;
                    }
                case 1403:
                case 1404:
                case 1405:
                case 1407:
                case 1408:
                case 1409:
                case 1410:
                case 1412:
                case 1413:
                case 1414:
                case 1415:
                case 1423:
                case TEST_TOKEN_MAX_CENTER_OFFSET /*{ENCODED_INT: 1430}*/:
                case TEST_TOKEN_MAX_DARK_SNOISE /*{ENCODED_INT: 1431}*/:
                case TEST_TOKEN_MAX_DARK_TNOISE /*{ENCODED_INT: 1432}*/:
                case TEST_TOKEN_MAX_SUBLINE_LIGHT_NOISET /*{ENCODED_INT: 1436}*/:
                case TEST_TOKEN_MAX_SUBLINE_DARK_TNOISE /*{ENCODED_INT: 1437}*/:
                case TEST_TOKEN_MAX_SUBLINE_DARK_SNOISE /*{ENCODED_INT: 1438}*/:
                case TEST_TOKEN_MAX_SUBLINE_LIGHT_LEAK_RATIO /*{ENCODED_INT: 1442}*/:
                case TEST_TOKEN_MIN_SUBLINE_FLESH_TOUCH_DIFF /*{ENCODED_INT: 1443}*/:
                case TEST_TOKEN_MAX_SUNLINE_SCREEN_STRUCT_RATIO /*{ENCODED_INT: 1444}*/:
                case TEST_TOKEN_MIN_SUBLINE_RELATIVE_ILLUMINANCE /*{ENCODED_INT: 1445}*/:
                case TEST_TOKEN_MIN_SNR_P2P /*{ENCODED_INT: 1448}*/:
                case TEST_TOKEN_MIN_SNR_SSNR /*{ENCODED_INT: 1449}*/:
                case TEST_TOKEN_MIN_SNR_SCALE_RATIO /*{ENCODED_INT: 1450}*/:
                case TEST_TOKEN_MAX_SNR_SCALE_RATIO /*{ENCODED_INT: 1451}*/:
                case TEST_TOKEN_MIN_SUBLINE_P2P /*{ENCODED_INT: 1452}*/:
                case TEST_TOKEN_MIN_SUBLINE_SSNR /*{ENCODED_INT: 1453}*/:
                case TEST_TOKEN_MIN_SUBLINE_SCALE_RATIO /*{ENCODED_INT: 1454}*/:
                case TEST_TOKEN_MAX_SUBLINE_SCALE_RATIO /*{ENCODED_INT: 1455}*/:
                case TEST_TOKEN_SHELTER_RATIO /*{ENCODED_INT: 1456}*/:
                case TEST_TOKEN_SHELTER_AREA /*{ENCODED_INT: 1457}*/:
                case TEST_TOKEN_MAX_SHELTER_RATIO /*{ENCODED_INT: 1459}*/:
                case TEST_TOKEN_MAX_SHELTER_AREA /*{ENCODED_INT: 1460}*/:
                case TEST_TOKEN_MAX_SUBLINE_SHELTER_RATIO /*{ENCODED_INT: 1462}*/:
                case TEST_TOKEN_MAX_SUBLINE_SHELTER_AREA /*{ENCODED_INT: 1463}*/:
                case TEST_TOKEN_STRIPE_T /*{ENCODED_INT: 1465}*/:
                case TEST_TOKEN_STRIPE_STD /*{ENCODED_INT: 1466}*/:
                    int size3 = decodeInt32(result, offset);
                    int offset3 = offset + 4;
                    float value3 = decodeFloat(result, offset3, size3);
                    testResult.put(Integer.valueOf(token), Float.valueOf(value3));
                    offset = offset3 + size3;
                    Log.d(TAG, "value = " + value3);
                    break;
                case TEST_TOKEN_FACTORY_RMS /*{ENCODED_INT: 5333}*/:
                    int size4 = decodeInt32(result, offset);
                    int offset4 = offset + 4;
                    double value4 = decodeDouble(result, offset4, size4);
                    testResult.put(Integer.valueOf(token), Double.valueOf(value4));
                    offset = offset4 + size4;
                    Log.d(TAG, "value = " + value4);
                    break;
                default:
                    Log.d(TAG, "ERROR! unknown token: " + token);
                    break;
            }
        }
        return testResult;
    }
}
