package com.samsung.android.sdk.dualscreen;

import android.util.Log;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.util.HashMap;

/* access modifiers changed from: package-private */
public class SDualScreenReflector {
    private static final boolean DEBUG = true;
    private static final String TAG = SDualScreenReflector.class.getSimpleName();
    private static HashMap<String, Method> mMethodMap = new HashMap<>();

    protected SDualScreenReflector() {
    }

    public static void putMethod(Class<?> cls, String methodName, Class<?>[] params) {
        try {
            Method m = cls.getMethod(methodName, params);
            StringBuilder b = new StringBuilder(256);
            b.append(methodName);
            b.append("(");
            if (params != null) {
                int paramSize = params.length;
                for (int i = 0; i < paramSize; i++) {
                    b.append(params[i].getSimpleName());
                    if (i < paramSize - 1) {
                        b.append(",");
                    }
                }
            }
            b.append(")");
            String methodNameWithParams = b.toString();
            String str = TAG;
            Log.d(str, cls.getSimpleName() + " : loaded method => " + methodNameWithParams);
            mMethodMap.put(methodNameWithParams, m);
        } catch (NoSuchMethodException e) {
            Log.e(TAG, "putMethod() : NoSuchFieldException !");
            e.printStackTrace();
        }
    }

    public static boolean checkMethod(String name) {
        if (mMethodMap.get(name) != null) {
            return true;
        }
        return false;
    }

    public static Object invoke(String name, Object instance, Object... args) {
        try {
            Method method = mMethodMap.get(name);
            if (method == null) {
                return null;
            }
            Log.d(TAG, "invoke : Method=" + method + " instance=" + instance);
            for (Object o : args) {
                Log.d(TAG, "invoke : arg=>" + o);
            }
            return method.invoke(instance, args);
        } catch (IllegalAccessException e) {
            Log.e(TAG, "invoke() : IllegalAccessException !");
            e.printStackTrace();
            return null;
        } catch (IllegalArgumentException e2) {
            Log.e(TAG, "invoke() : IllegalArgumentException !");
            e2.printStackTrace();
            return null;
        } catch (InvocationTargetException e3) {
            Log.e(TAG, "invoke() : InvocationTargetException !");
            e3.printStackTrace();
            return null;
        }
    }
}
