package com.sec.factory.aporiented;

import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import java.util.concurrent.LinkedBlockingDeque;

public class AtCommandInfo {
    private static final String CLASS_NAME = "AtCommandInfo";
    private static final int N_HISTORY_COMMAND_SIZE = 10;
    private static final int N_HISTORY_LOG_SIZE = 30;
    private static String mFailCommand;
    private static String mFailReason;
    private static AtCommandInfo mInstance = null;
    private LinkedBlockingDeque<String> mHistoryCommandStack = new LinkedBlockingDeque<>(10);
    private LinkedBlockingDeque<String> mHistoryLogStack = new LinkedBlockingDeque<>(30);

    public static AtCommandInfo getInstance() {
        if (mInstance == null) {
            mInstance = new AtCommandInfo();
        }
        return mInstance;
    }

    public String getFailHistroy() {
        return Support.Kernel.read(Support.Kernel.FACTORY_FAILHIST);
    }

    public boolean addCommandHistory(String cmd) {
        if (this.mHistoryCommandStack == null) {
            FtUtil.log_e(CLASS_NAME, "addCommandHistory", "mHistoryCommandStack is null");
            return false;
        } else if (cmd.contains("HWPARAMD")) {
            FtUtil.log_e(CLASS_NAME, "addCommandHistory", "HWPARAMD is skip");
            return false;
        } else {
            if (this.mHistoryCommandStack.size() >= 9) {
                this.mHistoryCommandStack.removeLast();
            }
            LinkedBlockingDeque<String> linkedBlockingDeque = this.mHistoryCommandStack;
            linkedBlockingDeque.push(cmd.replaceAll("\r\n", "") + "\r\n");
            return true;
        }
    }

    public String getCommandHistory() {
        if (this.mHistoryCommandStack == null) {
            FtUtil.log_e(CLASS_NAME, "getCommandHistory", "mHistoryCommandStack is null");
            return null;
        }
        StringBuilder sb = new StringBuilder();
        while (!this.mHistoryCommandStack.isEmpty()) {
            sb.append(this.mHistoryCommandStack.pop());
        }
        return sb.toString();
    }

    public boolean addLogHistory(String log) {
        LinkedBlockingDeque<String> linkedBlockingDeque = this.mHistoryLogStack;
        if (linkedBlockingDeque == null) {
            FtUtil.log_e(CLASS_NAME, "AddCommandHistory", "mHistoryLogStack is null");
            return false;
        }
        if (linkedBlockingDeque.size() >= 29) {
            this.mHistoryLogStack.removeLast();
        }
        try {
            LinkedBlockingDeque<String> linkedBlockingDeque2 = this.mHistoryLogStack;
            linkedBlockingDeque2.push(log + "\r\n");
            return true;
        } catch (IllegalStateException e) {
            FtUtil.log_e(e);
            return true;
        }
    }

    public String getLogHistory() {
        if (this.mHistoryLogStack == null) {
            FtUtil.log_e(CLASS_NAME, "getLogHistory", "mHistoryLogStack is null");
            return null;
        }
        StringBuilder sb = new StringBuilder();
        while (!this.mHistoryLogStack.isEmpty()) {
            sb.append(this.mHistoryLogStack.pop());
        }
        return sb.toString();
    }

    public boolean setFailInfo(String fail, String reason) {
        FtUtil.log_w(CLASS_NAME, "setFailInfo", "Command : " + fail + ", Reason : " + reason);
        mFailCommand = fail;
        mFailReason = reason;
        return true;
    }

    public String getFailInfo() {
        return "Command : " + mFailCommand + ", Reason : " + mFailReason;
    }

    public String getInformation() {
        FtUtil.log_d(CLASS_NAME, "getInformation");
        StringBuilder sb = new StringBuilder();
        sb.append("\r\n================== MSP Debug Information Start ==================");
        sb.append("\r\n\r\n=> FailHist info : \r\n" + getFailHistroy());
        sb.append("\r\n\r\n=> Failed command info : \r\n" + getFailInfo());
        sb.append("\r\n\r\n=> Histroy command info : \r\n" + getCommandHistory());
        sb.append("\r\n=> Histroy Log info : \r\n" + getLogHistory());
        sb.append("================== MSP Debug Information End ==================");
        FtUtil.log_d(CLASS_NAME, sb.toString());
        return sb.toString();
    }
}
