package com.sec.factory.aporiented;

import android.app.Service;
import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Handler;
import android.os.IBinder;
import com.sec.factory.modules.ModulePower;
import com.sec.factory.support.FtUtil;
import com.sec.factory.support.Status;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class DigitizerElectricService extends Service {
    public static final String ACTION_DIGITIZER_ELECTRIC_RESULT = "com.sec.factory.aporiented.DigitizerElectricService.DIGITIZER_ELECTRIC_RESULT";
    private final String CLASS_NAME = "DigitizerElectricService";
    private String mCmdExecuteResult = "";
    private String mCmdExecuteResultFinal = "";
    private boolean mDigitizerForceOn = false;
    private Handler mHandler = new Handler();
    private ModulePower mModulePower;
    private boolean mPreScreenState = false;
    private boolean mRetResult = false;
    private Status mTestResult = Status.NOTEST;

    public void onCreate() {
        super.onCreate();
        FtUtil.log_d("DigitizerElectricService", "onCreate");
        this.mModulePower = ModulePower.instance(this);
    }

    public int onStartCommand(Intent intent, int flags, int startId) {
        FtUtil.log_d("DigitizerElectricService", "onStartCommand");
        this.mRetResult = intent.getBooleanExtra("retResult", false);
        new Thread(new Runnable() {
            /* class com.sec.factory.aporiented.DigitizerElectricService.AnonymousClass1 */

            public void run() {
                FtUtil.Sleep.sleep(1000);
                DigitizerElectricService.this.showSpecVersion();
                if (!DigitizerElectricService.this.doTest()) {
                    DigitizerElectricService.this.mTestResult = Status.FAIL_AbnormalFinish;
                }
                if (DigitizerElectricService.this.mDigitizerForceOn) {
                    Support.Kernel.write(Support.Kernel.EPEN_ENABLE, "0");
                }
                if (DigitizerElectricService.this.mPreScreenState) {
                    DigitizerElectricService.this.mModulePower.setLCDState(true);
                }
                DigitizerElectricService.this.mHandler.post(new Runnable() {
                    /* class com.sec.factory.aporiented.DigitizerElectricService.AnonymousClass1.AnonymousClass1 */

                    public void run() {
                        DigitizerElectricService.this.onResult();
                    }
                });
            }
        }).start();
        return 2;
    }

    public IBinder onBind(Intent intent) {
        return null;
    }

    public void onDestroy() {
        FtUtil.log_d("DigitizerElectricService", "onDestroy");
        super.onDestroy();
    }

    private boolean checkCmdStatus(int maxCheckCnt, int checkDelayTime) {
        for (int i = 0; i < maxCheckCnt; i++) {
            String cmdStatus = Support.Kernel.read(Support.Kernel.EPEN_CMD_STATUS);
            FtUtil.log_d("DigitizerElectricService", "checkCmdStatus", " cmdStatus:" + cmdStatus);
            if ("OK".equals(cmdStatus)) {
                this.mCmdExecuteResult = Support.Kernel.read(Support.Kernel.EPEN_CMD_RESULT);
                FtUtil.log_d("DigitizerElectricService", "checkCmdStatus", " mCmdExecuteResult:" + this.mCmdExecuteResult);
                return true;
            }
            FtUtil.Sleep.sleep((long) checkDelayTime);
        }
        FtUtil.log_d("DigitizerElectricService", "checkCmdStatus", "Fail - mCmdExecuteResult:" + this.mCmdExecuteResult);
        return false;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void showSpecVersion() {
        FtUtil.log_d("DigitizerElectricService", "showSpecVersion", "cmd: get_elec_test_ver");
        if (Support.Kernel.write(Support.Kernel.EPEN_CMD, "get_elec_test_ver")) {
            int i = 0;
            while (true) {
                if (i >= 5) {
                    break;
                }
                String cmdStatus = Support.Kernel.read(Support.Kernel.EPEN_CMD_STATUS);
                FtUtil.log_d("DigitizerElectricService", "showSpecVersion", " cmdStatus:" + cmdStatus);
                if ("OK".equals(cmdStatus)) {
                    String specVersion = Support.Kernel.read(Support.Kernel.EPEN_CMD_RESULT);
                    FtUtil.log_d("DigitizerElectricService", "showSpecVersion", "specVersion:" + specVersion);
                    break;
                }
                FtUtil.Sleep.sleep(500);
                i++;
            }
        }
        FtUtil.log_d("DigitizerElectricService", "showSpecVersion", "result:" + false);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean doTest() {
        this.mPreScreenState = this.mModulePower.isScreenOn();
        this.mModulePower.setLCDState(false);
        FtUtil.Sleep.sleep(1000);
        if ("0".equals(Support.Kernel.read(Support.Kernel.EPEN_ENABLE))) {
            this.mDigitizerForceOn = true;
            Support.Kernel.write(Support.Kernel.EPEN_ENABLE, EgisFingerprint.MAJOR_VERSION);
            FtUtil.log_d("DigitizerElectricService", "doTest", "Digitizer: dead -> alive");
        }
        FtUtil.log_d("DigitizerElectricService", "doTest", "dummy EPEN_CMD_RESULT:" + Support.Kernel.read(Support.Kernel.EPEN_CMD_RESULT));
        FtUtil.log_d("DigitizerElectricService", "doTest", "dummy:EPEN_CMD_STATUS:" + Support.Kernel.read(Support.Kernel.EPEN_CMD_STATUS));
        Support.Kernel.write(Support.Kernel.EPEN_CMD, "ready_elec_test,1");
        if (!checkCmdStatus(5, 1000)) {
            return false;
        }
        FtUtil.Sleep.sleep(50);
        if (Support.Kernel.write(Support.Kernel.EPEN_CMD, "run_elec_test")) {
            if (!checkCmdStatus(5, 1000)) {
                return false;
            }
            this.mCmdExecuteResultFinal = this.mCmdExecuteResult;
        }
        Support.Kernel.write(Support.Kernel.EPEN_CMD, "ready_elec_test,0");
        if (!checkCmdStatus(5, 1000)) {
            return false;
        }
        FtUtil.Sleep.sleep(50);
        if (this.mDigitizerForceOn) {
            Support.Kernel.write(Support.Kernel.EPEN_ENABLE, "0");
        }
        if (this.mPreScreenState) {
            this.mModulePower.setLCDState(true);
        }
        return true;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void onResult() {
        FtUtil.log_d("DigitizerElectricService", "onResult", " mCmdExecuteResultFinal:" + this.mCmdExecuteResultFinal);
        if (this.mTestResult != Status.FAIL_AbnormalFinish) {
            String[] temp = this.mCmdExecuteResultFinal.split(":", 2);
            if (temp.length < 2 || !temp[1].contains("_")) {
                this.mTestResult = Status.FAIL_AbnormalData;
            } else {
                String[] totalTestResult = temp[1].split("_");
                String[] shortTestResult = totalTestResult[0].split(",");
                String[] openTestResult = totalTestResult[1].split(",");
                int shortTestFailCnt = Integer.parseInt(shortTestResult[0]);
                int openTestFailCnt = Integer.parseInt(openTestResult[0]);
                if (shortTestFailCnt == 0 && openTestFailCnt == 0) {
                    this.mTestResult = Status.PASS;
                } else {
                    this.mTestResult = Status.FAIL;
                    FtUtil.log_d("DigitizerElectricService", "onResult", "shortTestFailCnt:" + shortTestFailCnt + " ,openTestFailCnt:" + openTestFailCnt);
                }
                SharedPreferences.Editor editor = getSharedPreferences("DIGITIZER_ELECTRIC_TEST_RESULT", 0).edit();
                editor.putBoolean("TestResult", this.mTestResult == Status.PASS);
                editor.putInt("ShortTestFailCnt", shortTestFailCnt);
                editor.putInt("OpenTestFailCnt", openTestFailCnt);
                editor.putString("RawData", totalTestResult[3].substring(0, totalTestResult[3].length() - 1));
                editor.putInt(Support.Version.TAG, 1);
                editor.apply();
            }
        }
        FtUtil.log_d("DigitizerElectricService", "onResult", "TestResult:" + this.mTestResult);
        if (this.mTestResult == Status.PASS) {
            if (this.mRetResult) {
                broadcastUpdate(true);
            }
        } else if (this.mRetResult) {
            broadcastUpdate(false);
        }
        stopSelf();
    }

    private void broadcastUpdate(boolean result) {
        Intent intent = new Intent(ACTION_DIGITIZER_ELECTRIC_RESULT);
        intent.putExtra("result", result);
        FtUtil.log_d("DigitizerElectricService", "broadcastUpdate", "action: " + intent.getAction());
        sendBroadcast(intent);
    }
}
