package com.sec.factory.aporiented;

import android.app.Service;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.ServiceConnection;
import android.media.MediaScannerConnection;
import android.net.Uri;
import android.os.Bundle;
import android.os.Environment;
import android.os.Handler;
import android.os.IBinder;
import android.os.Message;
import android.os.Messenger;
import android.os.PowerManager;
import android.os.RemoteException;
import android.os.SystemProperties;
import android.util.Log;
import android.widget.Toast;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import java.io.ByteArrayOutputStream;
import java.io.DataOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.text.DecimalFormat;
import java.util.Calendar;

public class FailDumpService extends Service {
    private static final int ACQUIRE_WAKE_LOCK = 1005;
    private static final String CLASS_NAME = "FailDumpService";
    private static final int DO_COPY_DUMPFILES = 1008;
    private static final String DUMP_DESTPATH = "/data/log";
    static final String FACTORY_CMD_PROPERTY = "ril.factory_cmd";
    private static final int ISEOS2_MODEMLOG_DONE = 1013;
    private static final int QUERY_APLOG_DONE_FAIL = 1016;
    private static final int QUERY_APLOG_DONE_SUCCESS = 1015;
    private static final int QUERY_COPY_LOG_DONE = 1007;
    private static final int QUERY_MODEMLOG_DONE = 1014;
    private static final int RELEASE_WAKE_LOCK = 1006;
    static final String STAGE_PROPERTY = "ril.factory_mode";
    private String PastMainCMD;
    private String argu;
    private String currentStage;
    private String filename;
    private boolean isEOS2;
    private boolean mAPLogsDoneFlag;
    private boolean mCPLogsDoneFlag;
    private boolean mConnectionSuccess;
    private boolean mCopyLogDoneFlag;
    public Handler mHandler;
    private ServiceConnection mSecPhoneServiceConnection;
    private Messenger mServiceMessenger = null;
    private Messenger mSvcModeMessenger;
    private PowerManager.WakeLock mWakeLock;
    private String sysdump_time;

    public FailDumpService() {
        boolean z = false;
        this.mAPLogsDoneFlag = false;
        this.mCPLogsDoneFlag = false;
        this.mCopyLogDoneFlag = false;
        this.mWakeLock = null;
        this.mConnectionSuccess = false;
        this.PastMainCMD = "00";
        this.filename = "NONE";
        this.argu = "NONE";
        this.isEOS2 = (SystemProperties.get("ro.board.platform", Support.Properties.PROPERTIES_DEFAULT_STRING).trim().startsWith("EOS2") || SystemProperties.get("ro.board.platform", Support.Properties.PROPERTIES_DEFAULT_STRING).trim().startsWith("u2")) ? true : z;
        this.mSecPhoneServiceConnection = new ServiceConnection() {
            /* class com.sec.factory.aporiented.FailDumpService.AnonymousClass1 */

            public void onServiceConnected(ComponentName className, IBinder service) {
                FtUtil.log_d(FailDumpService.CLASS_NAME, "onServiceConnected()", "");
                FailDumpService.this.mServiceMessenger = new Messenger(service);
            }

            public void onServiceDisconnected(ComponentName className) {
                FtUtil.log_d(FailDumpService.CLASS_NAME, "onServiceDisconnected()", "");
                FailDumpService.this.mServiceMessenger = null;
            }
        };
        this.mHandler = new Handler() {
            /* class com.sec.factory.aporiented.FailDumpService.AnonymousClass2 */

            public void handleMessage(Message msg) {
                switch (msg.what) {
                    case 1005:
                        FtUtil.log_d(FailDumpService.CLASS_NAME, "faildumphandler : ACQUIRE_WAKE_LOCK ", "");
                        FailDumpService.this.doWakeLock(true);
                        return;
                    case 1006:
                        FtUtil.log_d(FailDumpService.CLASS_NAME, "faildumphandler : RELEASE_WAKE_LOCK ", "");
                        FailDumpService.this.doWakeLock(false);
                        return;
                    case 1007:
                        Toast.makeText(FailDumpService.this, "Get Copy log done - success", 0).show();
                        FtUtil.log_d(FailDumpService.CLASS_NAME, "QUERY_COPY_LOG_DONE", "");
                        FailDumpService.this.mCopyLogDoneFlag = true;
                        break;
                    case 1008:
                        FailDumpService.this.getCopyLog();
                        FtUtil.log_d(FailDumpService.CLASS_NAME, "DO_COPY_DUMPFILES", "");
                        break;
                    case 1013:
                        FtUtil.log_d(FailDumpService.CLASS_NAME, "MODEMLOG_DONE Success, ", "isEOS2=true");
                        Toast.makeText(FailDumpService.this, "Get modem log done - success", 0).show();
                        FailDumpService.this.mCPLogsDoneFlag = true;
                        break;
                    case 1014:
                        if (msg.getData().getInt("error") == 0) {
                            FtUtil.log_d(FailDumpService.CLASS_NAME, "MODEMLOG_DONE Success ", "");
                            Toast.makeText(FailDumpService.this, "Get modem log done - success", 0).show();
                        } else {
                            Toast.makeText(FailDumpService.this, "Get modem log done - fail", 0).show();
                            FtUtil.log_d(FailDumpService.CLASS_NAME, "MODEMLOG_DONE Fail ", "");
                        }
                        FailDumpService.this.mCPLogsDoneFlag = true;
                        break;
                    case 1015:
                        Toast.makeText(FailDumpService.this, "Get AP log done - success", 0).show();
                        FtUtil.log_d(FailDumpService.CLASS_NAME, "AP LOG Success", "");
                        FailDumpService.this.mAPLogsDoneFlag = true;
                        break;
                    case 1016:
                        Toast.makeText(FailDumpService.this, "Get AP log done - fail", 0).show();
                        FtUtil.log_d(FailDumpService.CLASS_NAME, "AP LOG Fail", "");
                        break;
                }
                if (FailDumpService.this.mAPLogsDoneFlag && FailDumpService.this.mCopyLogDoneFlag && !FailDumpService.this.mConnectionSuccess) {
                    sendEmptyMessageDelayed(1006, 1000);
                    FailDumpService.this.mAPLogsDoneFlag = false;
                    Intent FailDumpDoneIntent = new Intent("com.android.sec.FAILDUMP.DONE");
                    FailDumpDoneIntent.putExtra("result", FailDumpService.this.filename + ".zip");
                    FailDumpDoneIntent.putExtra("argu", FailDumpService.this.argu);
                    FailDumpService failDumpService = FailDumpService.this;
                    if (failDumpService != null) {
                        failDumpService.sendBroadcast(FailDumpDoneIntent);
                        FailDumpService.this.stopSelf();
                    }
                } else if (FailDumpService.this.mAPLogsDoneFlag && FailDumpService.this.mCPLogsDoneFlag && FailDumpService.this.mCopyLogDoneFlag) {
                    sendEmptyMessageDelayed(1006, 1000);
                    FailDumpService.this.mAPLogsDoneFlag = false;
                    FailDumpService.this.mCPLogsDoneFlag = false;
                    FailDumpService.this.mCopyLogDoneFlag = false;
                    Intent FailDumpDoneIntent2 = new Intent("com.android.sec.FAILDUMP.DONE");
                    FailDumpDoneIntent2.putExtra("result", FailDumpService.this.filename + ".zip");
                    FailDumpDoneIntent2.putExtra("argu", FailDumpService.this.argu);
                    FailDumpService failDumpService2 = FailDumpService.this;
                    if (failDumpService2 != null) {
                        failDumpService2.sendBroadcast(FailDumpDoneIntent2);
                        FailDumpService.this.stopSelf();
                    }
                }
            }
        };
        this.mSvcModeMessenger = new Messenger(this.mHandler);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void sendMessage(byte[] data, Message response) {
        Bundle req = response.getData();
        req.putByteArray("request", data);
        response.setData(req);
        response.replyTo = this.mSvcModeMessenger;
        for (int cnt = 0; cnt < 10; cnt++) {
            try {
                Messenger messenger = this.mServiceMessenger;
                if (messenger != null) {
                    messenger.send(response);
                    return;
                }
                try {
                    FtUtil.log_d(CLASS_NAME, "mServiceMessenger is NULL ", "");
                    Thread.sleep(200);
                } catch (InterruptedException ie) {
                    ie.printStackTrace();
                }
            } catch (RemoteException e) {
                return;
            }
        }
    }

    public IBinder onBind(Intent arg0) {
        return null;
    }

    public void onCreate() {
        FtUtil.log_d(CLASS_NAME, "onCreate()", "");
        connectToRilService();
    }

    public int onStartCommand(Intent intent, int flags, int startId) {
        FtUtil.log_d(CLASS_NAME, "onStartCommand()", "");
        final boolean hasCP = intent == null ? true : intent.getBooleanExtra("has_modem", true);
        this.argu = intent == null ? "NONE" : intent.getExtras().getString("argu");
        doWakeLock(true);
        this.currentStage = SystemProperties.get(STAGE_PROPERTY, "none");
        this.PastMainCMD = SystemProperties.get(FACTORY_CMD_PROPERTY, "00");
        if (!this.currentStage.matches("[0-9a-zA-Z]+") || !this.PastMainCMD.matches("[0-9a-zA-Z]+")) {
            FtUtil.log_d(CLASS_NAME, "generateAPDumpFileName", "Invalid Input");
            stopSelf();
            return 2;
        }
        this.filename = generateAPDumpFileName();
        String str = this.argu;
        if (!(str == null || str.indexOf("3,") == -1)) {
            StringBuilder sb = new StringBuilder();
            sb.append("[");
            String str2 = this.argu;
            sb.append(str2.substring(str2.indexOf("3,") + 2));
            sb.append("]");
            sb.append(this.filename);
            this.filename = sb.toString();
        }
        this.mAPLogsDoneFlag = false;
        this.mCPLogsDoneFlag = false;
        this.mCopyLogDoneFlag = false;
        notifyStartDumpstate();
        new Thread(new Runnable() {
            /* class com.sec.factory.aporiented.FailDumpService.AnonymousClass3 */

            public void run() {
                if (!hasCP) {
                    FailDumpService.this.mCPLogsDoneFlag = true;
                    FtUtil.log_d(FailDumpService.CLASS_NAME, "onStartCommand(), No CP");
                } else if (FailDumpService.this.isEOS2) {
                    SystemProperties.set("sys.trace.control", "path=dump");
                    FailDumpService.this.mHandler.sendEmptyMessage(1013);
                } else {
                    FailDumpService failDumpService = FailDumpService.this;
                    failDumpService.sendMessage(failDumpService.getModemLogIPC(), FailDumpService.this.mHandler.obtainMessage(1014));
                }
                FailDumpService failDumpService2 = FailDumpService.this;
                if (failDumpService2.DoShellCmd("bugreportz -s > /data/log/" + FailDumpService.this.filename + ".zip")) {
                    FailDumpService.this.mHandler.sendEmptyMessage(1015);
                } else {
                    FailDumpService.this.mHandler.sendEmptyMessage(1016);
                }
                FailDumpService.this.mHandler.sendEmptyMessageDelayed(1008, 3000);
            }
        }).start();
        return 2;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void getCopyLog() {
        FtUtil.log_d(CLASS_NAME, "getCopyLog");
        if (!"mounted".equals(Environment.getExternalStorageState())) {
            Toast.makeText(this, "External SD Card UnMounted!!\nplease check if USB cable is connected or SD card is not inserted", 1).show();
        } else {
            new Thread(new Runnable() {
                /* class com.sec.factory.aporiented.FailDumpService.AnonymousClass4 */

                public void run() {
                    File dataLogDirectory = new File(FailDumpService.DUMP_DESTPATH);
                    File dataCPLogDirectory = new File("/data/log/err");
                    File dataCPLogDirectoryEfs = new File(Support.Kernel.getFilePath(Support.Kernel.SECEFS_CPLOG_DIRECTORY));
                    File dataCPCrashLogDirectory = new File("/tombstones/mdm");
                    File dataVendorAboxDirectory = new File("/data/vendor/log/abox");
                    File sdcardLogDirectory = new File("/mnt/sdcard/log");
                    File sdcardCPCrashLogDirectory = new File("/mnt/sdcard/log/cp");
                    File sdcardLogAboxDirectory = new File(sdcardLogDirectory + "/abox");
                    File btlog = new File("/data/app/bt.log");
                    FailDumpService.this.copyDirectory(dataLogDirectory, sdcardLogDirectory);
                    FailDumpService.this.copyDirectory(dataCPCrashLogDirectory, sdcardCPCrashLogDirectory);
                    FailDumpService.this.copyDirectory(dataVendorAboxDirectory, sdcardLogAboxDirectory);
                    if (!dataCPLogDirectory.getPath().contains(dataLogDirectory.getPath())) {
                        FailDumpService.this.copyDirectory(dataCPLogDirectory, sdcardLogDirectory);
                    }
                    if (!dataCPLogDirectoryEfs.getPath().contains(dataLogDirectory.getPath())) {
                        FailDumpService.this.copyDirectory(dataCPLogDirectoryEfs, sdcardLogDirectory);
                    }
                    File dataCPLogDirectory_Vendor = new File("/data/vendor/log/err");
                    File sdcardCPLogDirectory_Vendor = new File(sdcardLogDirectory + "/err");
                    if (dataCPLogDirectory_Vendor.exists()) {
                        FtUtil.log_d(FailDumpService.CLASS_NAME, "dataCPLogDirectory_Vendor.exists == true");
                        FailDumpService.this.copyDirectory(dataCPLogDirectory_Vendor, sdcardCPLogDirectory_Vendor);
                    }
                    if (btlog.exists()) {
                        FtUtil.log_d(FailDumpService.CLASS_NAME, "btlog.exists == true");
                        FailDumpService.this.WriteToSDcard("/data/app/bt.log", "/mnt/sdcard/log/bt.log", "bt.log");
                    }
                    FtUtil.log_d(FailDumpService.CLASS_NAME, "broadcast media mounted = ", Environment.getExternalStorageDirectory().getPath());
                    try {
                        FtUtil.log_d(FailDumpService.CLASS_NAME, "getCopyLog", "request to scan");
                        Context applicationContext = FailDumpService.this.getApplicationContext();
                        MediaScannerConnection.scanFile(applicationContext, new String[]{Environment.getExternalStorageDirectory().getPath() + "/log"}, null, new MediaScanCompletedListner());
                    } catch (Exception e) {
                        e.printStackTrace();
                    }
                    FailDumpService.this.mHandler.sendEmptyMessageDelayed(1007, 10000);
                }
            }).start();
        }
    }

    private class MediaScanCompletedListner implements MediaScannerConnection.OnScanCompletedListener {
        private MediaScanCompletedListner() {
        }

        public void onScanCompleted(String path, Uri uri) {
            FtUtil.log_d(FailDumpService.CLASS_NAME, "onScanCompleted", "onScanCompleted");
        }
    }

    public void onDestroy() {
        FtUtil.log_d(CLASS_NAME, "onDestroy()", "");
        unbindService(this.mSecPhoneServiceConnection);
        this.mSecPhoneServiceConnection = null;
    }

    private void connectToRilService() {
        FtUtil.log_d(CLASS_NAME, "connectToRilService", "");
        Intent intent = new Intent();
        intent.setClassName("com.sec.phone", "com.sec.phone.SecPhoneService");
        this.mConnectionSuccess = bindService(intent, this.mSecPhoneServiceConnection, 1);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private byte[] getModemLogIPC() {
        ByteArrayOutputStream bos = new ByteArrayOutputStream();
        DataOutputStream dos = new DataOutputStream(bos);
        try {
            dos.writeByte(7);
            dos.writeByte(18);
            dos.writeShort(5);
            dos.writeByte(0);
            try {
                dos.close();
            } catch (Exception e) {
                e.printStackTrace();
            }
            return bos.toByteArray();
        } catch (IOException e2) {
            FtUtil.log_d(CLASS_NAME, "IOException in getModemLogIPC: ", "e");
            try {
                dos.close();
            } catch (Exception e3) {
                e3.printStackTrace();
            }
            return null;
        } catch (Throwable th) {
            try {
                dos.close();
            } catch (Exception e4) {
                e4.printStackTrace();
            }
            throw th;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean DoShellCmd(String cmd) {
        FtUtil.log_d(CLASS_NAME, "DoShellCmd : ", "cmd");
        String[] shell_command = {"/system/bin/sh", "-c", cmd};
        try {
            FtUtil.log_i(CLASS_NAME, "exec command");
            Runtime.getRuntime().exec(shell_command).waitFor();
            FtUtil.log_i(CLASS_NAME, "exec done");
            FtUtil.log_i(CLASS_NAME, "DoShellCmd done");
            return true;
        } catch (IOException e) {
            FtUtil.log_e(CLASS_NAME, "DoShellCmd - IOException");
            return false;
        } catch (SecurityException e2) {
            FtUtil.log_e(CLASS_NAME, "DoShellCmd - SecurityException");
            return false;
        } catch (InterruptedException e3) {
            FtUtil.log_e(CLASS_NAME, "DoShellCmd - InterruptedException");
            e3.printStackTrace();
            return false;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void copyDirectory(File src, File dest) {
        FtUtil.log_d(CLASS_NAME, "copyDirectory : ", src + " / " + dest);
        if (src.isDirectory()) {
            if (!dest.exists()) {
                dest.mkdir();
            }
            String[] fileList = src.list();
            if (fileList != null && fileList.length > 0) {
                for (int i = 0; i < fileList.length; i++) {
                    copyDirectory(new File(src, fileList[i]), new File(dest, fileList[i]));
                }
                return;
            }
            return;
        }
        FileInputStream fin = null;
        FileOutputStream fout = null;
        try {
            FileInputStream fin2 = new FileInputStream(src);
            FileOutputStream fout2 = new FileOutputStream(dest);
            byte[] buffer = new byte[1024];
            while (true) {
                int len = fin2.read(buffer);
                if (len <= 0) {
                    break;
                }
                fout2.write(buffer, 0, len);
            }
            fout2.flush();
            try {
                fin2.close();
            } catch (Exception e) {
                FtUtil.log_d(CLASS_NAME, "Exception : ", Log.getStackTraceString(e));
            }
            try {
                fout2.close();
            } catch (Exception e2) {
                FtUtil.log_d(CLASS_NAME, "Exception : ", Log.getStackTraceString(e2));
            }
        } catch (FileNotFoundException fnfe) {
            System.err.println("// Exception from");
            FtUtil.log_d(CLASS_NAME, "FileNotFoundException : ", Log.getStackTraceString(fnfe));
            if (0 != 0) {
                try {
                    fin.close();
                } catch (Exception e3) {
                    FtUtil.log_d(CLASS_NAME, "Exception : ", Log.getStackTraceString(e3));
                }
            }
            if (0 != 0) {
                fout.close();
            }
        } catch (Exception e4) {
            FtUtil.log_d(CLASS_NAME, "Exception : ", Log.getStackTraceString(e4));
            if (0 != 0) {
                try {
                    fin.close();
                } catch (Exception e5) {
                    FtUtil.log_d(CLASS_NAME, "Exception : ", Log.getStackTraceString(e5));
                }
            }
            if (0 != 0) {
                fout.close();
            }
        } catch (Throwable th) {
            if (0 != 0) {
                try {
                    fin.close();
                } catch (Exception e6) {
                    FtUtil.log_d(CLASS_NAME, "Exception : ", Log.getStackTraceString(e6));
                }
            }
            if (0 != 0) {
                try {
                    fout.close();
                } catch (Exception e7) {
                    FtUtil.log_d(CLASS_NAME, "Exception : ", Log.getStackTraceString(e7));
                }
            }
            throw th;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean WriteToSDcard(String in, String out, String DumpType) {
        FtUtil.log_i(CLASS_NAME, "write to sdcard DumpType : ", DumpType);
        boolean result = true;
        FileInputStream fis = null;
        FileOutputStream fos = null;
        try {
            FileInputStream fis2 = new FileInputStream(in);
            FileOutputStream fos2 = new FileOutputStream(out);
            byte[] buffer = new byte[1024];
            while (true) {
                int n = fis2.read(buffer);
                if (n <= -1) {
                    break;
                }
                fos2.write(buffer, 0, n);
            }
            fos2.flush();
            try {
                fos2.getFD().sync();
            } catch (Exception e) {
                FtUtil.log_e(CLASS_NAME, "Exception : ", Log.getStackTraceString(e));
            }
            try {
                fos2.close();
            } catch (Exception e2) {
                FtUtil.log_e(CLASS_NAME, "Exception : ", Log.getStackTraceString(e2));
            }
            try {
                fis2.close();
            } catch (Exception e3) {
                FtUtil.log_e(CLASS_NAME, "Exception : ", Log.getStackTraceString(e3));
            }
        } catch (FileNotFoundException fnfe) {
            FtUtil.log_e(CLASS_NAME, "fnfe : ", fnfe.getMessage());
            result = false;
            System.err.println("// Exception from");
            FtUtil.log_e(CLASS_NAME, "Exception : ", Log.getStackTraceString(fnfe));
            if (0 != 0) {
                try {
                    fos.getFD().sync();
                } catch (Exception e4) {
                    FtUtil.log_e(CLASS_NAME, "Exception : ", Log.getStackTraceString(e4));
                }
                try {
                    fos.close();
                } catch (Exception e5) {
                    FtUtil.log_e(CLASS_NAME, "Exception : ", Log.getStackTraceString(e5));
                }
            }
            if (0 != 0) {
                fis.close();
            }
        } catch (Exception e6) {
            result = false;
            FtUtil.log_e(CLASS_NAME, "Exception : ", Log.getStackTraceString(e6));
            if (0 != 0) {
                try {
                    fos.getFD().sync();
                } catch (Exception e7) {
                    FtUtil.log_e(CLASS_NAME, "Exception : ", Log.getStackTraceString(e7));
                }
                try {
                    fos.close();
                } catch (Exception e8) {
                    FtUtil.log_e(CLASS_NAME, "Exception : ", Log.getStackTraceString(e8));
                }
            }
            if (0 != 0) {
                try {
                    fis.close();
                } catch (Exception e9) {
                    FtUtil.log_e(CLASS_NAME, "Exception : ", Log.getStackTraceString(e9));
                }
            }
        } catch (Throwable th) {
            if (0 != 0) {
                try {
                    fos.getFD().sync();
                } catch (Exception e10) {
                    FtUtil.log_e(CLASS_NAME, "Exception : ", Log.getStackTraceString(e10));
                }
                try {
                    fos.close();
                } catch (Exception e11) {
                    FtUtil.log_e(CLASS_NAME, "Exception : ", Log.getStackTraceString(e11));
                }
            }
            if (0 != 0) {
                try {
                    fis.close();
                } catch (Exception e12) {
                    FtUtil.log_e(CLASS_NAME, "Exception : ", Log.getStackTraceString(e12));
                }
            }
            throw th;
        }
        return result;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void doWakeLock(boolean wake) {
        FtUtil.log_i(CLASS_NAME, "doWakeLock : ", "wake=" + wake);
        if (wake) {
            if (this.mWakeLock == null) {
                this.mWakeLock = ((PowerManager) getSystemService("power")).newWakeLock(805306394, CLASS_NAME);
            }
            if (!this.mWakeLock.isHeld()) {
                this.mWakeLock.acquire();
                FtUtil.log_i(CLASS_NAME, "doWakeLock : ", "FULL WAKELOCK ON");
                return;
            }
            return;
        }
        PowerManager.WakeLock wakeLock = this.mWakeLock;
        if (wakeLock != null) {
            if (wakeLock.isHeld()) {
                this.mWakeLock.release();
                FtUtil.log_i(CLASS_NAME, "doWakeLock : ", "FULL WAKELOCK OFF");
            }
            this.mWakeLock = null;
        }
    }

    private String generateAPDumpFileName() {
        Calendar cal = Calendar.getInstance();
        FtUtil.log_d(CLASS_NAME, "generateAPDumpFileName", "getFailDump() : " + this.currentStage);
        this.sysdump_time = cal.get(1) + new DecimalFormat("00").format((long) (cal.get(2) + 1)) + new DecimalFormat("00").format((long) cal.get(5)) + new DecimalFormat("00").format((long) cal.get(11)) + new DecimalFormat("00").format((long) cal.get(12)) + new DecimalFormat("00").format((long) cal.get(13));
        String dumpfilename = "factory_" + this.currentStage + "_" + this.PastMainCMD + "_dumpState_" + this.sysdump_time;
        File dataLogDirectory = new File(DUMP_DESTPATH);
        if (!dataLogDirectory.exists()) {
            dataLogDirectory.mkdir();
        }
        FtUtil.log_d(CLASS_NAME, "generateAPDumpFileName", dumpfilename);
        return dumpfilename;
    }

    private void notifyStartDumpstate() {
        if (FtUtil.isFactoryBinary()) {
            FtUtil.log_d(CLASS_NAME, "notifyStartDumpstate", "");
            sendBroadcast(new Intent("com.sec.factory.app.ui.DumpStart"));
        }
    }
}
