package com.sec.factory.aporiented;

import android.app.Notification;
import android.app.NotificationManager;
import android.app.PendingIntent;
import android.app.Service;
import android.content.Context;
import android.content.Intent;
import android.os.Handler;
import android.os.IBinder;
import android.os.Message;
import com.qualcomm.qti.biometrics.fingerprint.QFSEvent;
import com.sec.factory.R;
import com.sec.factory.entry.FactoryNotification;
import com.sec.factory.modules.ModuleCommon;
import com.sec.factory.support.FtUtil;

public class ForegroundService extends Service {
    private static final int CHECK_FINISH = 103;
    public static final String CLASS_NAME = "ForegroundService";
    private int count = 20;
    private Context mContext;
    private Handler mHandler = new Handler() {
        /* class com.sec.factory.aporiented.ForegroundService.AnonymousClass1 */

        public void handleMessage(Message msg) {
            switch (msg.what) {
                case 103:
                    if (ModuleCommon.instance(ForegroundService.this.mContext).isRunningFtClient() || ForegroundService.this.count == 0) {
                        ForegroundService.this.mHandler.removeMessages(103);
                        ForegroundService.this.stopSelf();
                        return;
                    }
                    ForegroundService.access$110(ForegroundService.this);
                    ForegroundService.this.mHandler.sendEmptyMessageDelayed(103, 5000);
                    return;
                default:
                    return;
            }
        }
    };

    static /* synthetic */ int access$110(ForegroundService x0) {
        int i = x0.count;
        x0.count = i - 1;
        return i;
    }

    public IBinder onBind(Intent intent) {
        return null;
    }

    public void onCreate() {
        FtUtil.log_d(CLASS_NAME, "onCreate", "Create ForegroundService");
        this.mContext = getApplicationContext();
        setPendingIntent();
        this.mHandler.sendEmptyMessageDelayed(103, 5000);
    }

    public int onStartCommand(Intent intent, int flags, int startId) {
        FtUtil.log_d(CLASS_NAME, "onStartCommand", "...");
        return 2;
    }

    public void onDestroy() {
        super.onDestroy();
        FtUtil.log_d(CLASS_NAME, "onDestroy", "Destroy ForegroundService");
    }

    private void setPendingIntent() {
        FtUtil.log_i(CLASS_NAME, "setPendingIntent");
        PendingIntent pI = PendingIntent.getBroadcast(this.mContext, 0, new Intent("factory"), QFSEvent.QUALITY_PARTIAL_TOUCH);
        Context context = this.mContext;
        Notification.Builder notificationBuilder = new Notification.Builder(context, FactoryNotification.instance(context).getId());
        notificationBuilder.setSmallIcon(R.drawable.reset_star).setWhen(System.currentTimeMillis() + 1000000).setContentTitle("FT Service").setTicker("SecPhone ready").setContentText("Set to foreground").setContentIntent(pI);
        Notification noti = notificationBuilder.getNotification();
        ((NotificationManager) this.mContext.getSystemService("notification")).notify(5555, noti);
        startForeground(5555, noti);
    }
}
