package com.sec.factory.aporiented;

import android.app.ActivityManager;
import android.app.Notification;
import android.app.NotificationManager;
import android.app.PendingIntent;
import android.app.Service;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.content.SharedPreferences;
import android.net.LocalSocket;
import android.net.LocalSocketAddress;
import android.os.Environment;
import android.os.Handler;
import android.os.IBinder;
import android.os.Message;
import android.os.Process;
import android.os.SystemProperties;
import android.support.v4.os.EnvironmentCompat;
import android.util.Slog;
import com.qualcomm.qti.biometrics.fingerprint.QFSEvent;
import com.sec.factory.R;
import com.sec.factory.entry.DisplayNotiBar;
import com.sec.factory.entry.FactoryNotification;
import com.sec.factory.modules.ModuleCommon;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.modules.ModulePower;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import com.sec.xmldata.support.XMLDataStorage;
import egis.client.api.EgisFingerprint;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;

public class FtClient extends Service {
    public static final String ACTION_BYPASS_TO_UART = "com.sec.factory.ACTION_BYPASS_TO_UART";
    public static final String ACTION_EM_AT_ACTIVATION_RESPONSE = "com.sec.atd.em_at_activation_response";
    public static final String ACTION_SEND_BOOT_COMPLETED = "com.sec.factory.ACTION_SEND_BOOT_COMPLETED";
    public static final String ACTION_SEND_TO_RIL = "com.sec.factory.SEND_TO_RIL";
    public static final String ACTION_SIM_SWITCH = "com.sec.factory.SIM_SWITCH_TEST";
    private static final int AT_D_WAIT_PERIOD = 50;
    private static final int AT_D_WAIT_TIMEOUT = 5000;
    public static final String CLASS_NAME = "FtClient";
    private static final int CONTINUE_WITHOUT_SIMSWITCH_SECOND = 10;
    public static final String CSC_MODEM_SETTING = "com.samsung.intent.action.CSC_MODEM_SETTING";
    public static final String CSC_MODEM_SETTING_FACTORY = "com.samsung.intent.action.CSC_MODEM_SETTING_FACTORY";
    public static String FTCLIENT_USAGE_PREF = "ModemSettingForFTClient";
    private static final int HANDLER_DELAY_MS = 1000;
    private static final int MAX_TIME_OUT_SECOND = 30;
    private static final int MODE = 0;
    private static final int MSG_BOOTING_PASS = 5;
    private static final int MSG_CHECK_NFC_FW_UPDATE = 1;
    private static final int MSG_CHECK_PMIC_TYPE = 3;
    private static final int MSG_CHECK_RIL_SW_VER = 2;
    private static final int MSG_CHECK_SOCKET_CONNECTION = 0;
    private static final String NOTI_BAR_BODY_BOOT = "Booting is completed";
    private static final String NOTI_BAR_TITLE_BOOT = "Boot Completed";
    private static boolean mIsReceivedCscModemSetting = false;
    private static boolean mIsReceivedMediaScanningFinishedExternalMem = false;
    private LocalSocket clientSocket_recv;
    private LocalSocket clientSocket_send;
    private ConnectionThread connectionThread;
    private String extSDcardPath = "/storage/extSdCard";
    SharedPreferences ftc_prefs;
    private Handler mBootHandler = new Handler() {
        /* class com.sec.factory.aporiented.FtClient.AnonymousClass2 */
        int testTimeLimitOfSecondUnit = 0;

        public void handleMessage(Message msg) {
            if (msg.what != 5) {
                int i = this.testTimeLimitOfSecondUnit;
                this.testTimeLimitOfSecondUnit = i + 1;
                if (i >= 30) {
                    FtUtil.log_e(FtClient.CLASS_NAME, "mBootHandler.handleMessage", FtUtil.setMspSeqMessage(0, "BOOTING COMPLETED", "FAIL : " + converIntToString(msg.what)));
                    return;
                }
            }
            if (msg.what == 0) {
                if (FtClient.this.checkSocketConnection()) {
                    sendEmptyMessage(3);
                } else {
                    sendEmptyMessageDelayed(0, 1000);
                }
            } else if (msg.what == 3) {
                FtClient.this.checkPmicType();
                sendEmptyMessage(1);
            } else if (msg.what == 1) {
                if (!FtClient.this.checkNfcFirmwareUpdated()) {
                    sendEmptyMessageDelayed(1, 1000);
                } else if (ModuleCommon.instance(FtClient.this.getApplicationContext()).isConnectionModeNone()) {
                    sendEmptyMessage(5);
                } else {
                    this.testTimeLimitOfSecondUnit -= 80;
                    sendEmptyMessage(2);
                }
            } else if (msg.what == 2) {
                if (FtClient.this.checkRilSwVerProp()) {
                    sendEmptyMessage(5);
                } else {
                    sendEmptyMessageDelayed(2, 1000);
                }
            } else if (msg.what == 5) {
                FtUtil.log_d(FtClient.CLASS_NAME, "mBootHandler.handleMessage", FtUtil.setMspSeqMessage(0, "BOOTING COMPLETED", "ING : Checking Sequence is pass"));
                Slog.i(FtClient.CLASS_NAME, "!@Boot: Factory Process [Boot Completed]");
                if (FtUtil.isFactoryBinary()) {
                    DisplayNotiBar.createNotification(FtClient.this.mContext, "Boot Completed : " + getBootStatTime() + " ms", FtClient.NOTI_BAR_BODY_BOOT);
                }
                if (ModuleCommon.instance(FtClient.this.getApplicationContext()).isConnectionModeNone()) {
                    FtClient.this.sendBootCompletedForWifiModel();
                } else {
                    FtClient.this.sendBootCompletedForPhoneModel();
                }
            }
        }

        private String getBootStatTime() {
            File file = new File("/proc/boot_stat");
            if (!file.exists()) {
                return EnvironmentCompat.MEDIA_UNKNOWN;
            }
            try {
                InputStream fileStream = new FileInputStream(file);
                try {
                    BufferedReader inFile = new BufferedReader(new InputStreamReader(fileStream, "UTF-8"));
                    while (true) {
                        try {
                            String sLine = inFile.readLine();
                            if (sLine == null) {
                                inFile.close();
                                fileStream.close();
                                return EnvironmentCompat.MEDIA_UNKNOWN;
                            } else if (sLine.contains("Factory Process")) {
                                String[] array = sLine.split("\\s+");
                                if (array.length != 0) {
                                    for (int i = 0; i < array.length; i++) {
                                        if (array[i].matches("\\d*(\\.\\d+)?")) {
                                            String str = array[i];
                                            inFile.close();
                                            fileStream.close();
                                            return str;
                                        }
                                    }
                                    continue;
                                } else {
                                    continue;
                                }
                            }
                        } catch (Throwable th) {
                            th.addSuppressed(th);
                        }
                    }
                } catch (Throwable th2) {
                    th.addSuppressed(th2);
                }
            } catch (IOException e) {
                FtUtil.log_e(e);
                return EnvironmentCompat.MEDIA_UNKNOWN;
            }
            throw th;
            throw th;
        }

        private String converIntToString(int msg) {
            switch (msg) {
                case 0:
                    return "SOCKET_CONNECTION";
                case 1:
                    return "NFC_FW_UPDATE";
                case 2:
                    return "RIL_SW_VER";
                default:
                    return "";
            }
        }
    };
    private BroadcastReceiver mBroadcastReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.aporiented.FtClient.AnonymousClass1 */

        public synchronized void onReceive(Context context, Intent intent) {
            String action = intent.getAction();
            FtUtil.log_d(FtClient.CLASS_NAME, "mBroadcastReceiver", "action= = " + action);
            if (action.equals(FtClient.ACTION_SEND_TO_RIL)) {
                final String message = intent.getStringExtra("message");
                if (message == null) {
                    FtUtil.log_d(FtClient.CLASS_NAME, "mBroadcastReceiver ACTION_SEND_TO_RIL", "Empty Message!");
                    return;
                }
                FtClient.this.mHandler.post(new Runnable() {
                    /* class com.sec.factory.aporiented.FtClient.AnonymousClass1.AnonymousClass1 */

                    public void run() {
                        if (!FtClient.this.clientSocket_recv.isConnected() || !FtClient.this.clientSocket_send.isConnected()) {
                            FtUtil.log_d(FtClient.CLASS_NAME, "mBroadcastReceiver ACTION_SEND_TO_RIL", "clientSocket is not Ready:" + message);
                            FtClient.this.mHandler.postDelayed(this, 1000);
                            return;
                        }
                        FtUtil.log_d(FtClient.CLASS_NAME, "mBroadcastReceiver ACTION_SEND_TO_RIL", message);
                        FtClient.this.writer.write(message);
                    }
                });
            } else if ("android.intent.action.MEDIA_SCANNER_FINISHED".equalsIgnoreCase(action)) {
                String path = intent.getData().getPath();
                FtUtil.log_d(FtClient.CLASS_NAME, "mBroadcastReceiver", "ACTION_MEDIA_SCANNER_FINISHED = " + path);
                context.sendBroadcast(new Intent("com.android.autosemitest.refcopy.MEDIA_SCANNER_FINISHED"));
                if (Environment.getExternalStorageDirectory().getPath().equalsIgnoreCase(path) || FtClient.this.extSDcardPath.equalsIgnoreCase(path)) {
                    if (!FtClient.mIsReceivedMediaScanningFinishedExternalMem && !FtUtil.isFactoryBinary()) {
                        FtClient.this.sendBootCompleted();
                    }
                    boolean unused = FtClient.mIsReceivedMediaScanningFinishedExternalMem = true;
                    if (!FtClient.mIsReceivedCscModemSetting || !ModuleCommon.instance(context).isFirstBoot()) {
                        FtUtil.log_d(FtClient.CLASS_NAME, "mBroadcastReceiver", "mIsReceivedCscModemSetting = " + FtClient.mIsReceivedCscModemSetting);
                    } else {
                        FtClient.this.sendResetCompleted();
                        ModuleCommon.instance(context).setFirstBoot();
                    }
                    if (Support.Feature.getBoolean(Support.Feature.SUPPORT_BOOST_MEDIASCAN)) {
                        FtUtil.log_i(FtClient.CLASS_NAME, "onReceived-ACTION_MEDIA_SCANNER_FINISHED", Support.Feature.SUPPORT_BOOST_MEDIASCAN);
                        ModulePower.instance(context).doMediaScanWakeLock(false);
                    }
                } else {
                    FtUtil.log_d(FtClient.CLASS_NAME, "mBroadcastReceiver", "ACTION_MEDIA_SCANNER_FINISHED = Ignored");
                }
            } else if ((action.equals(FtClient.CSC_MODEM_SETTING) || action.equals(FtClient.CSC_MODEM_SETTING_FACTORY)) && ModuleCommon.instance(context).isConnectionModeNone()) {
                boolean unused2 = FtClient.mIsReceivedCscModemSetting = true;
                if (!FtClient.mIsReceivedMediaScanningFinishedExternalMem || !ModuleCommon.instance(context).isFirstBoot()) {
                    FtUtil.log_d(FtClient.CLASS_NAME, "mBroadcastReceiver", "mIsReceivedMediaScanningFinishedExternalMem = " + FtClient.mIsReceivedMediaScanningFinishedExternalMem);
                } else {
                    FtClient.this.sendResetCompleted();
                    ModuleCommon.instance(context).setFirstBoot();
                }
            } else if (FtClient.ACTION_BYPASS_TO_UART.equals(action)) {
                if (FtClient.this.writer != null) {
                    String strData = intent.getStringExtra("DATA");
                    if (strData != null) {
                        FtUtil.log_d(FtClient.CLASS_NAME, "mBroadcastReceiver", "data : " + strData);
                        ResponseWriter responseWriter = FtClient.this.writer;
                        responseWriter.write(strData + "\r\n");
                    } else {
                        FtUtil.log_d(FtClient.CLASS_NAME, "mBroadcastReceiver", "data is null");
                    }
                } else {
                    FtUtil.log_d(FtClient.CLASS_NAME, "mBroadcastReceiver", "writer is not prepared yet");
                }
            } else if (FtClient.ACTION_SEND_BOOT_COMPLETED.equals(action)) {
                FtClient.this.sendBootCompleted();
            } else if ("android.intent.action.MEDIA_SCANNER_STARTED".equalsIgnoreCase(action) && FtUtil.isFactoryBinary()) {
                FtUtil.log_d(FtClient.CLASS_NAME, "onReceive", "fuse completed");
                if (!EgisFingerprint.MAJOR_VERSION.equalsIgnoreCase(SystemProperties.get("ro.factory.fusecompleted", "0"))) {
                    SystemProperties.set("ro.factory.fusecompleted", EgisFingerprint.MAJOR_VERSION);
                }
                Intent i = new Intent("com.sec.factory.rdm_model_info");
                i.addFlags(16777216);
                context.sendBroadcast(i);
            }
        }
    };
    private Context mContext;
    private Handler mHandler = new Handler();
    private boolean mIsFirstCmd = false;
    private boolean mSendResponse = false;
    public AtParser parser;
    public ResponseWriter writer;

    public IBinder onBind(Intent intent) {
        return null;
    }

    public int onStartCommand(Intent intent, int flags, int startId) {
        if (intent == null) {
            return 1;
        }
        this.mSendResponse = intent.getBooleanExtra("SEND_RESPONSE", false);
        FtUtil.log_d(CLASS_NAME, "onStartCommand", "... mSendResponse : " + this.mSendResponse);
        return 1;
    }

    public void onCreate() {
        int wait_count = 0;
        this.mContext = getApplicationContext();
        FtUtil.log_d(CLASS_NAME, "onCreate", "Create FtClient service");
        if (!XMLDataStorage.instance().parseXML(getApplicationContext())) {
            FtUtil.log_i(CLASS_NAME, "onCreate", "FtClient => XML data parsing was failed.");
        }
        while (true) {
            if ("running".equals(SystemProperties.get("init.svc.at_distributor", Support.Properties.PROPERTIES_DEFAULT_STRING))) {
                break;
            } else if (wait_count * 50 >= 5000) {
                try {
                    FtUtil.log_e(CLASS_NAME, "onCreate", "at_distributor does not running -> socket connection error");
                    break;
                } catch (InterruptedException e) {
                    e.printStackTrace();
                }
            } else {
                FtUtil.log_d(CLASS_NAME, "onCreate", "wait until at_distributor is running");
                Thread.sleep(50);
                wait_count++;
            }
        }
        this.clientSocket_recv = new LocalSocket();
        this.clientSocket_send = new LocalSocket();
        ConnectionThread connectionThread2 = new ConnectionThread(this);
        this.connectionThread = connectionThread2;
        connectionThread2.start();
        this.ftc_prefs = this.mContext.getSharedPreferences(FTCLIENT_USAGE_PREF, 0);
        FtUtil.log_d(CLASS_NAME, "onCreate", "registBroadCastReceiver");
        IntentFilter intentFilter = new IntentFilter();
        intentFilter.addAction(CSC_MODEM_SETTING);
        intentFilter.addAction(ACTION_SEND_TO_RIL);
        intentFilter.addAction(CSC_MODEM_SETTING_FACTORY);
        intentFilter.addAction(ACTION_BYPASS_TO_UART);
        if (FtUtil.isFactoryBinary()) {
            intentFilter.addAction(ACTION_SEND_BOOT_COMPLETED);
            IntentFilter intentFilterForMediaScan = new IntentFilter();
            intentFilterForMediaScan.addDataScheme("file");
            intentFilterForMediaScan.addAction("android.intent.action.MEDIA_SCANNER_STARTED");
            registerReceiver(this.mBroadcastReceiver, intentFilterForMediaScan);
        }
        registerReceiver(this.mBroadcastReceiver, intentFilter);
    }

    public void onDestroy() {
        super.onDestroy();
        FtUtil.log_d(CLASS_NAME, "onDestroy", "Destroy FtClient service");
        AtParser atParser = this.parser;
        if (atParser != null) {
            atParser.terminateThreads();
        }
        this.connectionThread.kill();
        unregisterReceiver(this.mBroadcastReceiver);
        LocalSocket localSocket = this.clientSocket_recv;
        if (localSocket != null) {
            try {
                localSocket.shutdownInput();
                this.clientSocket_recv.close();
                FtUtil.log_i(CLASS_NAME, "onDestroy", "Close client socket(receiver)");
            } catch (IOException e) {
                FtUtil.log_e(e);
            }
        }
        LocalSocket localSocket2 = this.clientSocket_send;
        if (localSocket2 != null) {
            try {
                localSocket2.close();
                FtUtil.log_i(CLASS_NAME, "onDestroy", "Close client socket(sender)");
            } catch (IOException e2) {
                FtUtil.log_e(e2);
            }
        }
        Handler handler = this.mBootHandler;
        if (handler != null) {
            handler.removeCallbacksAndMessages(null);
        }
        if (Support.Feature.getBoolean(Support.Feature.SUPPORT_BOOST_MEDIASCAN)) {
            FtUtil.log_i(CLASS_NAME, "onDestroy", Support.Feature.SUPPORT_BOOST_MEDIASCAN);
            ModulePower.instance(this).doMediaScanWakeLock(false);
        }
    }

    private void runBootingCheckFunction() {
        String JigConnection = Support.Kernel.read(Support.Kernel.JIG_CONNECTION_CHECK);
        String OctaConnection = Support.Kernel.read(Support.Kernel.OCTA_CONNECTION_CHECK);
        if (!"0 0 0".equals(OctaConnection) && !"00 00 00".equals(OctaConnection) && !"ff ff ff".equals(OctaConnection)) {
            return;
        }
        if (JigConnection != null && JigConnection.contains("JIG")) {
            FtUtil.log_i(CLASS_NAME, "BOOT_CHECK_TOUCHKEYLED", "Jig connected");
        } else if (Support.Feature.getBoolean(Support.Feature.BOOT_CHECK_TOUCHKEY_WO_SVCLED)) {
            startServiceTouchkeyLED();
        } else {
            startServiceBatterLED();
        }
    }

    private void startServiceBatterLED() {
        FtUtil.log_i(CLASS_NAME, "startServiceBatteryLED", "Start ServiceBatteryLED");
        Intent intent = new Intent();
        intent.setClassName("com.sec.factory", "com.sec.factory.app.service.ServiceBatteryLED");
        this.mContext.startService(intent);
    }

    private void startServiceTouchkeyLED() {
        FtUtil.log_i(CLASS_NAME, "startServiceTouchkeyLED", "Start ServiceTouchkeyLED");
        Intent intent = new Intent();
        intent.setClassName("com.sec.factory", "com.sec.factory.app.service.ServiceTouchkeyLED");
        this.mContext.startService(intent);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void sendBootCompleted() {
        this.mBootHandler.sendEmptyMessage(0);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void sendBootCompletedForWifiModel() {
        FtUtil.log_d(CLASS_NAME, "sendBootCompletedForWifiModel", FtUtil.setMspSeqMessage(0, "BOOTING COMPLETED", "PASS : The Message was sent successfully"));
        this.writer.write("BOOTING COMPLETED\r\n");
        runBootingCheckFunction();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void sendBootCompletedForPhoneModel() {
        FtUtil.log_d(CLASS_NAME, "sendBootCompletedForPhoneModel", FtUtil.setMspSeqMessage(0, "BOOTING COMPLETED", "ING : Waiting SecPhoneService"));
        new IPCWriterToSecPhoneService(this);
        runBootingCheckFunction();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean checkSocketConnection() {
        FtUtil.log_d(CLASS_NAME, "checkSocketConnection", "checkSocketConnection");
        if (!this.clientSocket_recv.isConnected() || !this.clientSocket_send.isConnected()) {
            return false;
        }
        FtUtil.log_d(CLASS_NAME, "checkSocketConnection", "checkSocketConnection - Pass");
        return true;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void checkPmicType() {
        FtUtil.log_d(CLASS_NAME, "checkPmicType", "show Setting type : " + "NONE");
        this.writer.write(String.format("SETTING TYPE : %s%n", "NONE"));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean checkNfcFirmwareUpdated() {
        if (!FtUtil.isFactoryBinary() || !getPackageManager().hasSystemFeature("android.hardware.nfc") || !Support.Feature.getBoolean(Support.Feature.SUPPORT_NFC_CHECK_WHEN_ENTER_15)) {
            FtUtil.log_d(CLASS_NAME, "checkNfcFirmwareUpdated", "Skip NfcFirmware");
            return true;
        }
        boolean completedNfcFw = SystemProperties.get("persist.nfc.fw.download_complete", "false").equalsIgnoreCase("true");
        if (completedNfcFw) {
            FtUtil.log_d(CLASS_NAME, "checkNfcFirmwareUpdated", "NFC FIRMWARE HAS BEEN UPDATED...");
            this.writer.write("NFC FIRMWARE HAS BEEN UPDATED...\r\n");
        } else {
            FtUtil.log_d(CLASS_NAME, "checkNfcFirmwareUpdated", "NFC FIRMWARE IS UPDATING...");
            this.writer.write("NFC FIRMWARE IS UPDATING...\r\n");
        }
        return completedNfcFw;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean checkRilSwVerProp() {
        boolean readyRilSwVerProp = !SystemProperties.get("ril.sw_ver", "false").equalsIgnoreCase("false");
        if (readyRilSwVerProp) {
            FtUtil.log_d(CLASS_NAME, "checkRilSwVerProp", "ril.sw_ver (secPhone Prop) has ready.");
            this.writer.write("RIL_SW_VER PROP HAS READY\r\n");
        } else {
            FtUtil.log_d(CLASS_NAME, "checkRilSwVerProp", "ril.sw_ver (secPhone Prop) is not ready.");
            this.writer.write("RIL_SW_VER PROP IS NOT READY\r\n");
        }
        return readyRilSwVerProp;
    }

    private boolean checkEsimTestDone() {
        int simSwitchSlot = ModuleDevice.instance(this).getSupportSimSwitch();
        boolean isCPoffBinary = SystemProperties.get("ro.build.interposer", "0").equalsIgnoreCase(EgisFingerprint.MAJOR_VERSION);
        if (!FtUtil.isFactoryBinary() || simSwitchSlot == 0 || isCPoffBinary || Support.Feature.getBoolean(Support.Feature.SUPPORT_NO_CHECK_SIM_STATE_CHANGED)) {
            return true;
        }
        boolean updatedSwitchSim = Boolean.parseBoolean(SystemProperties.get("ro.factory.switchsimupdated", "false"));
        if (updatedSwitchSim) {
            FtUtil.log_d(CLASS_NAME, "checkEsimTestDone", "SWITCH SIM IS UPDATED!!!");
        } else {
            FtUtil.log_d(CLASS_NAME, "checkEsimTestDone", "SWITCH SIM IS UPDATING...");
        }
        return updatedSwitchSim;
    }

    /* access modifiers changed from: private */
    public class ConnectionThread extends Thread {
        private boolean active = true;
        private final Context context;
        private BufferedReader in;

        public ConnectionThread(Context context2) {
            this.context = context2;
        }

        public void run() {
            FtUtil.log_d(FtClient.CLASS_NAME, "run", "ConnectionThread start");
            boolean connected = false;
            int garbage_count = 0;
            LocalSocketAddress lsa_recv = new LocalSocketAddress("FactoryClientRecv");
            LocalSocketAddress lsa_send = new LocalSocketAddress("FactoryClientSend");
            while (!connected) {
                try {
                    if (!FtClient.this.clientSocket_recv.isConnected()) {
                        FtClient.this.clientSocket_recv.connect(lsa_recv);
                        FtUtil.log_i(FtClient.CLASS_NAME, "run", "Connect client socket(receiver)");
                    }
                    if (!FtClient.this.clientSocket_send.isConnected()) {
                        FtClient.this.clientSocket_send.connect(lsa_send);
                        FtUtil.log_i(FtClient.CLASS_NAME, "run", "Connect client socket(sender)");
                    }
                } catch (IOException e) {
                    if (FtUtil.isFactoryBinary()) {
                        FtUtil.log_e(e);
                    }
                }
                if (!FtClient.this.clientSocket_recv.isConnected() || !FtClient.this.clientSocket_send.isConnected()) {
                    connected = false;
                    try {
                        Thread.sleep(3000);
                        continue;
                    } catch (InterruptedException e2) {
                        FtUtil.log_e(e2);
                        continue;
                    }
                } else {
                    connected = true;
                    FtUtil.log_i(FtClient.CLASS_NAME, "run", "Client socket connect success");
                    continue;
                }
                if (connected) {
                    FtUtil.log_i(FtClient.CLASS_NAME, "run", "Connected to AT Core");
                    FtUtil.log_d(FtClient.CLASS_NAME, "run", FtUtil.setMspSeqMessage(0, "BOOTING COMPLETED", "ING : connected FtClient -> waiting regist AtHandlers"));
                    this.active = true;
                    if (FtClient.this.writer == null) {
                        FtClient.this.writer = new ResponseWriter(FtClient.this.clientSocket_send);
                    }
                    if (FtClient.this.parser == null) {
                        FtClient.this.parser = new AtParser();
                        FtClient.this.parser.registerAllHandler(this.context, FtClient.this.writer);
                    }
                    try {
                        this.in = new BufferedReader(new InputStreamReader(FtClient.this.clientSocket_recv.getInputStream()));
                    } catch (IOException e3) {
                        FtUtil.log_e(e3);
                        this.active = false;
                        connected = false;
                    }
                    if (FtUtil.isFactoryBinary()) {
                        if (ModuleCommon.instance(FtClient.this.mContext).isStartNADTest()) {
                            FtUtil.log_d(FtClient.CLASS_NAME, "mBroadcastReceiver", FtUtil.setMspSeqMessage(0, "BOOTING COMPLETED", "PASS : NAD Test - do not send Boot Completed Msg"));
                        } else {
                            FtClient.this.sendBootCompleted();
                        }
                        boolean unused = FtClient.mIsReceivedMediaScanningFinishedExternalMem = true;
                        if (!FtClient.mIsReceivedCscModemSetting || !ModuleCommon.instance(this.context).isFirstBoot()) {
                            FtUtil.log_d(FtClient.CLASS_NAME, "mBroadcastReceiver", "mIsReceivedCscModemSetting = " + FtClient.mIsReceivedCscModemSetting);
                        } else {
                            FtClient.this.sendResetCompleted();
                            ModuleCommon.instance(this.context).setFirstBoot();
                        }
                    } else {
                        FtClient.this.mHandler.postDelayed(new Runnable() {
                            /* class com.sec.factory.aporiented.FtClient.ConnectionThread.AnonymousClass1 */

                            public void run() {
                                FtClient.this.sendBootCompleted();
                                boolean unused = FtClient.mIsReceivedMediaScanningFinishedExternalMem = true;
                                boolean mHasReceivedCscModemSetting = FtClient.this.ftc_prefs.getBoolean("hasReceivedCSCModemSetting", false);
                                if (FtClient.mIsReceivedCscModemSetting && ModuleCommon.instance(ConnectionThread.this.context).isFirstBoot()) {
                                    FtClient.this.sendResetCompleted();
                                    ModuleCommon.instance(ConnectionThread.this.context).setFirstBoot();
                                } else if (!mHasReceivedCscModemSetting || !ModuleCommon.instance(ConnectionThread.this.context).isConnectionModeNone() || !ModuleCommon.instance(ConnectionThread.this.context).isFirstBoot()) {
                                    FtUtil.log_d(FtClient.CLASS_NAME, "mBroadcastReceiver", "mIsReceivedCscModemSetting = " + FtClient.mIsReceivedCscModemSetting);
                                    FtUtil.log_d(FtClient.CLASS_NAME, "mBroadcastReceiver", "mHasReceivedCscModemSetting = " + mHasReceivedCscModemSetting);
                                } else {
                                    FtClient.this.sendResetCompleted();
                                    ModuleCommon.instance(ConnectionThread.this.context).setFirstBoot();
                                }
                            }
                        }, 5000);
                    }
                    if (FtClient.this.mSendResponse) {
                        FtClient.this.sendStartResponse("OK");
                    }
                    while (this.active) {
                        try {
                            String incoming = this.in.readLine();
                            if (incoming == null) {
                                garbage_count++;
                                FtUtil.log_i(FtClient.CLASS_NAME, "run", "Garbage data incoming...");
                                if (garbage_count > 10) {
                                    FtUtil.log_i(FtClient.CLASS_NAME, "run", "Stop FtClient(Garbage data count=" + garbage_count + ")");
                                    this.active = false;
                                    connected = false;
                                }
                            } else if (FtClient.this.parser.process(incoming, FtClient.this.writer) && !FtClient.this.mIsFirstCmd) {
                                FtClient.this.setForeGroundService();
                                FtClient.this.setPendingIntent();
                                ModuleCommon.instance(FtClient.this.mContext).enableFtClient();
                                FtClient.this.mIsFirstCmd = true;
                                FtUtil.log_i(FtClient.CLASS_NAME, "handleMessage", "FirstCMDReceived: Noti ON");
                            }
                        } catch (IOException e4) {
                            FtUtil.log_e(e4);
                            this.active = false;
                            connected = false;
                        }
                    }
                    FtUtil.log_d(FtClient.CLASS_NAME, "killed thread", "connected value : " + connected);
                    ModuleCommon.instance(FtClient.this.mContext).setFtClientState(false);
                    return;
                }
            }
        }

        public void kill() {
            this.active = false;
            FtClient.this.connectionThread.interrupt();
            FtUtil.log_d(FtClient.CLASS_NAME, "run", "Kill ConnectionThread");
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setForeGroundService() {
        FtUtil.log_i(CLASS_NAME, "setForeGroundService");
        ((ActivityManager) getApplicationContext().getSystemService("activity")).semSetProcessImportant(onBind(null), Process.myPid(), true);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setPendingIntent() {
        FtUtil.log_i(CLASS_NAME, "setPendingIntent");
        PendingIntent pI = PendingIntent.getBroadcast(this.mContext, 0, new Intent("factory"), QFSEvent.QUALITY_PARTIAL_TOUCH);
        Context context = this.mContext;
        Notification.Builder NotiBuilder = new Notification.Builder(context, FactoryNotification.instance(context).getId());
        NotiBuilder.setSmallIcon(R.drawable.reset_star).setWhen(System.currentTimeMillis() + 1000000).setContentTitle("FT Service").setTicker("on Factory command").setContentText("on Factory mode").setContentIntent(pI);
        Notification noti = NotiBuilder.getNotification();
        ((NotificationManager) this.mContext.getSystemService("notification")).notify(5555, noti);
        startForeground(5555, noti);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void sendResetCompleted() {
        this.mHandler.post(new Runnable() {
            /* class com.sec.factory.aporiented.FtClient.AnonymousClass3 */

            public void run() {
                if (!FtClient.this.clientSocket_recv.isConnected() || !FtClient.this.clientSocket_send.isConnected()) {
                    FtUtil.log_d(FtClient.CLASS_NAME, "mBroadcastReceiver", "clientSocket is not Ready");
                    FtClient.this.mHandler.postDelayed(this, 1000);
                    return;
                }
                FtUtil.log_d(FtClient.CLASS_NAME, "mBroadcastReceiver", "RESET COMPLETED!!");
                FtClient.this.writer.write("RESET COMPLETED\r\n");
            }
        });
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void sendStartResponse(String result) {
        FtUtil.log_w(CLASS_NAME, "sendStartResponse", "result = " + result);
        FtUtil.log_e(CLASS_NAME, "sendStartResponse", "result = " + result);
        Intent intent = new Intent(ACTION_EM_AT_ACTIVATION_RESPONSE);
        intent.putExtra("result", result);
        sendBroadcast(intent);
    }

    private void sendSimStatIntent() {
        FtUtil.log_d(CLASS_NAME, "sendSimStatIntent", "Send an intent for Sim Switching");
        if (!FtUtil.isFactoryBinary()) {
            FtUtil.log_d(CLASS_NAME, "sendSimStatIntent", "User binary don't send an intent for sim switching");
        } else if (Support.Feature.getBoolean(Support.Feature.SUPPORT_NO_CHECK_SIM_STATE_CHANGED)) {
            FtUtil.log_d(CLASS_NAME, "sendSimStatIntent", "No checking for sim state changed");
        } else {
            Intent simSwitchIntent = new Intent(ACTION_SIM_SWITCH);
            simSwitchIntent.addFlags(16777216);
            sendBroadcast(simSwitchIntent);
        }
    }
}
