package com.sec.factory.aporiented;

import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.ServiceConnection;
import android.os.Bundle;
import android.os.Handler;
import android.os.IBinder;
import android.os.Message;
import android.os.Messenger;
import android.os.RemoteException;
import com.sec.factory.support.FtUtil;
import java.io.ByteArrayOutputStream;
import java.io.DataOutputStream;
import java.io.IOException;
import java.util.Timer;
import java.util.TimerTask;

public class IPCWriterToSecPhoneService {
    public static final int BASIC_FILE_SIZE = 6;
    private static final int BOOT_COMPLETED_MSG = 1000;
    public static final String CLASS_NAME = "IPCWriterToSecPhoneService";
    public static final int COMMAND_RECEIVE_FAIL = 255;
    public static final int COMMAND_RECEIVE_SUCCESS = 1;
    private static final int CP_MODEM_SYSDUMP_SUCCESS = 104;
    private static final int DFMS_CONFIRM_SENT_SUCCESS = 100;
    private static final int DFMS_EVENT_SENT_SUCCESS = 101;
    private static final int DFT_CONFIRM_SENT_SUCCESS = 102;
    private static final int DFT_EVENT_SENT_SUCCESS = 103;
    public static final int OEM_DFT_CFRM = 6;
    public static final int OEM_DFT_EVENT = 5;
    public static final int OEM_DFT_LENGTH = 1;
    public static final int OEM_FACTORY_CFRM = 2;
    public static final int OEM_FACTORY_CFRM_FILESIZE = 5;
    public static final int OEM_FACTORY_EVENT = 1;
    public static final int OEM_FACTORY_LENGTH = 2;
    public static final int OEM_FUNCTION_ID_FACTORY = 18;
    private Context mContext;
    private ServiceConnection mFactoryTestServiceConnection;
    private final Handler mHandler;
    public Messenger mResoponseMessenger;
    private Message mResponse;
    private Messenger mSecPhoneServiceMessenger;

    public IPCWriterToSecPhoneService(Context context) {
        this.mResoponseMessenger = null;
        this.mResponse = null;
        this.mContext = null;
        this.mSecPhoneServiceMessenger = null;
        this.mFactoryTestServiceConnection = new ServiceConnection() {
            /* class com.sec.factory.aporiented.IPCWriterToSecPhoneService.AnonymousClass1 */

            public void onServiceConnected(ComponentName className, IBinder service) {
                FtUtil.log_d(IPCWriterToSecPhoneService.CLASS_NAME, "onServiceConnected", FtUtil.setMspSeqMessage(0, "BOOTING COMPLETED", "ING : connected SecPhoneService -> waiting sending IPC to RIL"));
                IPCWriterToSecPhoneService.this.mSecPhoneServiceMessenger = new Messenger(service);
                IPCWriterToSecPhoneService.this.sendRILBootMsg();
                new Timer().schedule(new TimerTask() {
                    /* class com.sec.factory.aporiented.IPCWriterToSecPhoneService.AnonymousClass1.AnonymousClass1 */

                    public void run() {
                        IPCWriterToSecPhoneService.this.disConnectSecPhoneService();
                    }
                }, 3000);
            }

            public void onServiceDisconnected(ComponentName className) {
                FtUtil.log_i(IPCWriterToSecPhoneService.CLASS_NAME, "onServiceDisconnected", "disconnected done");
                IPCWriterToSecPhoneService.this.mSecPhoneServiceMessenger = null;
            }
        };
        AnonymousClass2 r0 = new Handler() {
            /* class com.sec.factory.aporiented.IPCWriterToSecPhoneService.AnonymousClass2 */

            public void handleMessage(Message msg) {
                switch (msg.what) {
                    case 100:
                        FtUtil.log_d(IPCWriterToSecPhoneService.CLASS_NAME, "handleMessage", "DFMS Confirm received");
                        return;
                    case 101:
                        FtUtil.log_d(IPCWriterToSecPhoneService.CLASS_NAME, "handleMessage", "DFMS Event received");
                        return;
                    case 102:
                        FtUtil.log_d(IPCWriterToSecPhoneService.CLASS_NAME, "handleMessage", "DFT Confirm received");
                        return;
                    case 103:
                        FtUtil.log_d(IPCWriterToSecPhoneService.CLASS_NAME, "handleMessage", "DFT Event received");
                        return;
                    case 104:
                        FtUtil.log_d(IPCWriterToSecPhoneService.CLASS_NAME, "handleMessage", "CP Sysdump done");
                        return;
                    case 1000:
                        FtUtil.log_d(IPCWriterToSecPhoneService.CLASS_NAME, "handleMessage", FtUtil.setMspSeqMessage(0, "BOOTING COMPLETED", "PASS : sent IPC to RIL. The Message was sent successfully"));
                        return;
                    default:
                        return;
                }
            }
        };
        this.mHandler = r0;
        FtUtil.log_d(CLASS_NAME, ResponseWriter.CLASS_NAME, "Create IPCWriterToSecPhoneService");
        if (context != null) {
            this.mContext = context;
            this.mResoponseMessenger = new Messenger(r0);
            connectToSecPhoneService();
            return;
        }
        FtUtil.log_e(CLASS_NAME, CLASS_NAME, "messenger is not available");
    }

    public IPCWriterToSecPhoneService() {
        this.mResoponseMessenger = null;
        this.mResponse = null;
        this.mContext = null;
        this.mSecPhoneServiceMessenger = null;
        this.mFactoryTestServiceConnection = new ServiceConnection() {
            /* class com.sec.factory.aporiented.IPCWriterToSecPhoneService.AnonymousClass1 */

            public void onServiceConnected(ComponentName className, IBinder service) {
                FtUtil.log_d(IPCWriterToSecPhoneService.CLASS_NAME, "onServiceConnected", FtUtil.setMspSeqMessage(0, "BOOTING COMPLETED", "ING : connected SecPhoneService -> waiting sending IPC to RIL"));
                IPCWriterToSecPhoneService.this.mSecPhoneServiceMessenger = new Messenger(service);
                IPCWriterToSecPhoneService.this.sendRILBootMsg();
                new Timer().schedule(new TimerTask() {
                    /* class com.sec.factory.aporiented.IPCWriterToSecPhoneService.AnonymousClass1.AnonymousClass1 */

                    public void run() {
                        IPCWriterToSecPhoneService.this.disConnectSecPhoneService();
                    }
                }, 3000);
            }

            public void onServiceDisconnected(ComponentName className) {
                FtUtil.log_i(IPCWriterToSecPhoneService.CLASS_NAME, "onServiceDisconnected", "disconnected done");
                IPCWriterToSecPhoneService.this.mSecPhoneServiceMessenger = null;
            }
        };
        this.mHandler = new Handler() {
            /* class com.sec.factory.aporiented.IPCWriterToSecPhoneService.AnonymousClass2 */

            public void handleMessage(Message msg) {
                switch (msg.what) {
                    case 100:
                        FtUtil.log_d(IPCWriterToSecPhoneService.CLASS_NAME, "handleMessage", "DFMS Confirm received");
                        return;
                    case 101:
                        FtUtil.log_d(IPCWriterToSecPhoneService.CLASS_NAME, "handleMessage", "DFMS Event received");
                        return;
                    case 102:
                        FtUtil.log_d(IPCWriterToSecPhoneService.CLASS_NAME, "handleMessage", "DFT Confirm received");
                        return;
                    case 103:
                        FtUtil.log_d(IPCWriterToSecPhoneService.CLASS_NAME, "handleMessage", "DFT Event received");
                        return;
                    case 104:
                        FtUtil.log_d(IPCWriterToSecPhoneService.CLASS_NAME, "handleMessage", "CP Sysdump done");
                        return;
                    case 1000:
                        FtUtil.log_d(IPCWriterToSecPhoneService.CLASS_NAME, "handleMessage", FtUtil.setMspSeqMessage(0, "BOOTING COMPLETED", "PASS : sent IPC to RIL. The Message was sent successfully"));
                        return;
                    default:
                        return;
                }
            }
        };
        FtUtil.log_d(CLASS_NAME, ResponseWriter.CLASS_NAME, "Create IPCWriterToSecPhoneService Without Messenger");
    }

    public void write(byte[] data) {
        FtUtil.log_d(CLASS_NAME, "write", "Send Response Message to SecPhone");
        FtUtil.log_d(CLASS_NAME, "write", "Response " + new String(data));
        Bundle req = new Bundle();
        req.putByteArray("request", data);
        Message response = this.mResponse;
        this.mResponse = null;
        response.setData(req);
        response.replyTo = this.mResoponseMessenger;
        try {
            Messenger messenger = this.mSecPhoneServiceMessenger;
            if (messenger != null) {
                messenger.send(response);
            } else {
                FtUtil.log_e(CLASS_NAME, "write", "send failed!!!");
            }
        } catch (RemoteException e) {
            e.printStackTrace();
        }
    }

    public void connectToSecPhoneService() {
        FtUtil.log_i(CLASS_NAME, "connectToSecPhoneService", " ");
        Intent intent = new Intent();
        intent.setClassName("com.sec.phone", "com.sec.phone.SecPhoneService");
        this.mContext.bindService(intent, this.mFactoryTestServiceConnection, 1);
    }

    public void disConnectSecPhoneService() {
        FtUtil.log_i(CLASS_NAME, "disConnectSecPhoneService", " ");
        try {
            this.mContext.unbindService(this.mFactoryTestServiceConnection);
        } catch (Exception e) {
        }
    }

    public boolean sendRILBootMsg() {
        ByteArrayOutputStream bos = new ByteArrayOutputStream();
        DataOutputStream dos = new DataOutputStream(bos);
        byte[] command = {6, 5};
        short length = (short) (command.length + 2);
        try {
            dos.write(command, 0, command.length);
            dos.writeShort(length);
            dos.flush();
            try {
                dos.close();
                bos.close();
            } catch (IOException e) {
                e.printStackTrace();
            }
            this.mResponse = this.mHandler.obtainMessage(1000);
            write(bos.toByteArray());
            return true;
        } catch (IOException e2) {
            try {
                dos.close();
                bos.close();
            } catch (IOException e3) {
                e3.printStackTrace();
            }
            return false;
        } catch (Throwable th) {
            try {
                dos.close();
                bos.close();
            } catch (IOException e4) {
                e4.printStackTrace();
            }
            throw th;
        }
    }
}
