package com.sec.factory.aporiented;

import android.content.Context;
import com.sec.factory.aporiented.athandler.AtBGlucose;
import com.sec.factory.aporiented.athandler.AtBattcali;
import com.sec.factory.aporiented.athandler.AtBtmlayer;
import com.sec.factory.aporiented.athandler.AtCameauto;
import com.sec.factory.aporiented.athandler.AtChargeic;
import com.sec.factory.aporiented.athandler.AtCodecchk;
import com.sec.factory.aporiented.athandler.AtColorbts;
import com.sec.factory.aporiented.athandler.AtCommandHandler;
import com.sec.factory.aporiented.athandler.AtCorectrl;
import com.sec.factory.aporiented.athandler.AtCurrcons;
import com.sec.factory.aporiented.athandler.AtDcictest;
import com.sec.factory.aporiented.athandler.AtDhrtestt;
import com.sec.factory.aporiented.athandler.AtDpswicts;
import com.sec.factory.aporiented.athandler.AtEthernet;
import com.sec.factory.aporiented.athandler.AtFcestest;
import com.sec.factory.aporiented.athandler.AtFcmptest;
import com.sec.factory.aporiented.athandler.AtFlickers;
import com.sec.factory.aporiented.athandler.AtGetDoTestNV1;
import com.sec.factory.aporiented.athandler.AtHdmitest;
import com.sec.factory.aporiented.athandler.AtInittest;
import com.sec.factory.aporiented.athandler.AtIsdbtest;
import com.sec.factory.aporiented.athandler.AtKeyshort;
import com.sec.factory.aporiented.athandler.AtKeyulock;
import com.sec.factory.aporiented.athandler.AtLdustchk;
import com.sec.factory.aporiented.athandler.AtLeaktest;
import com.sec.factory.aporiented.athandler.AtLedctrlt;
import com.sec.factory.aporiented.athandler.AtLinespec;
import com.sec.factory.aporiented.athandler.AtMagtdata;
import com.sec.factory.aporiented.athandler.AtMainmenu;
import com.sec.factory.aporiented.athandler.AtMulfuncf;
import com.sec.factory.aporiented.athandler.AtNadcheck;
import com.sec.factory.aporiented.athandler.AtOndevbps;
import com.sec.factory.aporiented.athandler.AtOtggtest;
import com.sec.factory.aporiented.athandler.AtPdicchip;
import com.sec.factory.aporiented.athandler.AtPmictest;
import com.sec.factory.aporiented.athandler.AtPtestapp;
import com.sec.factory.aporiented.athandler.AtQchargei;
import com.sec.factory.aporiented.athandler.AtQrpopupd;
import com.sec.factory.aporiented.athandler.AtRasensor;
import com.sec.factory.aporiented.athandler.AtResofreq;
import com.sec.factory.aporiented.athandler.AtRfbkoffc;
import com.sec.factory.aporiented.athandler.AtScrecord;
import com.sec.factory.aporiented.athandler.AtSetDoTestNV1;
import com.sec.factory.aporiented.athandler.AtSlidctrl;
import com.sec.factory.aporiented.athandler.AtTdmbtest;
import com.sec.factory.aporiented.athandler.AtTeaching;
import com.sec.factory.aporiented.athandler.AtTouchkey;
import com.sec.factory.aporiented.athandler.AtUsbmodec;
import com.sec.factory.aporiented.athandler.AtUsbtdata;
import com.sec.factory.aporiented.athandler.AtVdflinfo;
import com.sec.factory.aporiented.athandler.AtVibstest;
import com.sec.factory.aporiented.athandler.AtWPCCScmd;
import com.sec.factory.aporiented.athandler.AtWdeteccc;
import com.sec.factory.aporiented.athandler.AtWidcount;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import java.util.HashMap;

public class RegisterFactoryBinHandler extends RegisterCommonHandler {
    public static final String CLASS_NAME = "RegisterFactoryBinHandler";

    public RegisterFactoryBinHandler(HashMap<String, AtCommandHandler> atHandlers, Context context, ResponseWriter writer) {
        super(atHandlers, context, writer);
    }

    @Override // com.sec.factory.aporiented.RegisterCommonHandler
    public void registerSpecificHandler() {
        FtUtil.log_d(CLASS_NAME, "registerSpecificHandler", "Register AT command handler for FACTORY BIN specific!");
        this.mAtHandlers.put("AT+BATTCALI", new AtBattcali(this.mContext));
        this.mAtHandlers.put("AT+BGLUCOSE", new AtBGlucose(this.mContext));
        this.mAtHandlers.put("AT+BTMLAYER", new AtBtmlayer(this.mContext));
        this.mAtHandlers.put("AT+CAMEAUTO", new AtCameauto(this.mContext, this.mWriter));
        this.mAtHandlers.put("AT+CHARGEIC", new AtChargeic(this.mContext));
        this.mAtHandlers.put("AT+CODECCHK", new AtCodecchk(this.mContext));
        this.mAtHandlers.put("AT+COLORBTS", new AtColorbts(this.mContext));
        this.mAtHandlers.put("AT+CORECTRL", new AtCorectrl(this.mContext));
        this.mAtHandlers.put("AT+CURRCONS", new AtCurrcons(this.mContext));
        this.mAtHandlers.put("AT+DCICTEST", new AtDcictest(this.mContext));
        this.mAtHandlers.put("AT+DHRTESTT", new AtDhrtestt(this.mContext, this.mWriter));
        this.mAtHandlers.put("AT+DPSWICTS", new AtDpswicts(this.mContext));
        this.mAtHandlers.put("AT+ETHERNET", new AtEthernet(this.mContext));
        this.mAtHandlers.put("AT+FCESTEST", new AtFcestest(this.mContext));
        this.mAtHandlers.put("AT+FCMPTEST", new AtFcmptest(this.mContext));
        this.mAtHandlers.put("AT+FLICKERS", new AtFlickers(this.mContext, this.mWriter));
        this.mAtHandlers.put("AT+GETDOTESTNV1", new AtGetDoTestNV1(this.mContext));
        this.mAtHandlers.put("AT+HDMITEST", new AtHdmitest(this.mContext));
        this.mAtHandlers.put("AT+INITTEST", new AtInittest(this.mContext));
        this.mAtHandlers.put("AT+KEYSHORT", new AtKeyshort(this.mContext));
        this.mAtHandlers.put("AT+KEYULOCK", new AtKeyulock(this.mContext));
        this.mAtHandlers.put("AT+LDUSTCHK", new AtLdustchk(this.mContext));
        this.mAtHandlers.put("AT+LEAKTEST", new AtLeaktest(this.mContext));
        this.mAtHandlers.put("AT+LEDCTRLT", new AtLedctrlt(this.mContext));
        this.mAtHandlers.put("AT+LINESPEC", new AtLinespec(this.mContext));
        this.mAtHandlers.put("AT+MAGTDATA", new AtMagtdata(this.mContext));
        this.mAtHandlers.put("AT+MAINMENU", new AtMainmenu(this.mContext));
        this.mAtHandlers.put("AT+MULFUNCF", new AtMulfuncf(this.mContext, this.mWriter));
        this.mAtHandlers.put("AT+NADCHECK", new AtNadcheck(this.mContext, this.mWriter));
        this.mAtHandlers.put("AT+ONDEVBPS", new AtOndevbps(this.mContext, this.mWriter));
        this.mAtHandlers.put("AT+OTGGTEST", new AtOtggtest(this.mContext, this.mWriter));
        this.mAtHandlers.put("AT+PDICCHIP", new AtPdicchip(this.mContext));
        this.mAtHandlers.put("AT+PMICTEST", new AtPmictest(this.mContext));
        this.mAtHandlers.put("AT+PTESTAPP", new AtPtestapp(this.mContext));
        this.mAtHandlers.put("AT+QCHARGEI", new AtQchargei(this.mContext));
        this.mAtHandlers.put("AT+QRPOPUPD", new AtQrpopupd(this.mContext));
        this.mAtHandlers.put("AT+RASENSOR", new AtRasensor(this.mContext));
        this.mAtHandlers.put("AT+RESOFREQ", new AtResofreq(this.mContext, this.mWriter));
        this.mAtHandlers.put("AT+RFBKOFFC", new AtRfbkoffc(this.mContext));
        this.mAtHandlers.put("AT+SCRECORD", new AtScrecord(this.mContext, this.mWriter));
        this.mAtHandlers.put("AT+SETDOTESTNV1", new AtSetDoTestNV1(this.mContext));
        this.mAtHandlers.put("AT+SLIDCTRL", new AtSlidctrl(this.mContext));
        this.mAtHandlers.put("AT+TDMBTEST", new AtTdmbtest(this.mContext, this.mWriter));
        this.mAtHandlers.put("AT+TEACHING", new AtTeaching(this.mContext));
        this.mAtHandlers.put("AT+TOUCHKEY", new AtTouchkey(this.mContext));
        this.mAtHandlers.put("AT+USBMODEC", new AtUsbmodec(this.mContext));
        this.mAtHandlers.put("AT+USBTTEST", new AtUsbtdata(this.mContext));
        this.mAtHandlers.put("AT+VDFLINFO", new AtVdflinfo(this.mContext));
        this.mAtHandlers.put("AT+VIBSTEST", new AtVibstest(this.mContext, this.mWriter));
        this.mAtHandlers.put("AT+WDETECCC", new AtWdeteccc(this.mContext));
        this.mAtHandlers.put("AT+WIDCOUNT", new AtWidcount(this.mContext, this.mWriter));
        this.mAtHandlers.put("AT+WPCCSCMD", new AtWPCCScmd(this.mContext));
        if (Support.TestCase.getEnabled(Support.TestCase.AT_ISDBTEST)) {
            this.mAtHandlers.put("AT+ISDBTEST", new AtIsdbtest(this.mContext, this.mWriter));
        }
    }
}
