package com.sec.factory.aporiented;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.os.PowerManager;
import com.sec.factory.support.FtUtil;

public class WakeUpService extends BroadcastReceiver {
    public static final String ACTION_WAKE_UP = "com.sec.factory.aporiented.athandler.AtSensorHb.WakeUp";
    private static final String TAG = "WakeUpService";
    private PowerManager.WakeLock mWakeUp = null;

    public void onReceive(Context context, Intent intent) {
        String action = intent.getAction();
        boolean isAcquireWakelock = false;
        if (intent.getExtras() != null) {
            isAcquireWakelock = intent.getExtras().getBoolean("isAcquireWakelock");
            FtUtil.log_d(TAG, "onReceive", "onReceive action=" + action);
        }
        if (action.equals(ACTION_WAKE_UP) && this.mWakeUp == null) {
            PowerManager pm = (PowerManager) context.getSystemService("power");
            this.mWakeUp = pm.newWakeLock(805306394, TAG);
            if (!pm.isScreenOn() && !this.mWakeUp.isHeld()) {
                this.mWakeUp.acquire();
                FtUtil.log_i(TAG, "ACTION_WAKE_UP", "Wake up by sensorHub test cmd");
                if (!isAcquireWakelock) {
                    this.mWakeUp.release();
                    FtUtil.log_i(TAG, "ACTION_WAKE_UP", "FULL WAKELOCK OFF");
                }
                this.mWakeUp = null;
            }
        }
    }
}
