package com.sec.factory.aporiented.athandler;

import android.content.Context;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.optical.client.api.EgisFingerprint;

public class AtApMemCrc extends AtCommandHandler {
    public AtApMemCrc(Context context) {
        super(context);
        this.CMD_NAME = "APMEMCRC";
        this.CLASS_NAME = "AtApMemCrc";
        this.NUM_ARGS = 3;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData = responseNA();
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return resData;
        }
        if (!FtUtil.isFactoryBinary()) {
            return resData;
        }
        if (checkArgu(argu, new String[]{"0", "0", "0"})) {
            FtUtil.log_i(this.CLASS_NAME, "eMMC CRC", "Start");
            String mmc_data = Support.Kernel.read(Support.Kernel.MMC_DATA);
            if (mmc_data == null) {
                return resData;
            }
            String str = this.CLASS_NAME;
            FtUtil.log_i(str, "eMMC CRC", "mmc_data" + mmc_data);
            int idx = mmc_data.indexOf("CRC");
            if (idx == -1) {
                return resData;
            }
            String crc_count = mmc_data.substring(idx).split("[^0-9A-Z]")[3];
            if (crc_count.compareTo(EgisFingerprint.MAJOR_VERSION) >= 0) {
                resData = responseString("0,NG," + crc_count);
            } else {
                resData = responseString("0,OK," + crc_count);
            }
        }
        return resData;
    }
}
