package com.sec.factory.aporiented.athandler;

import android.content.Context;
import android.os.SystemProperties;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.util.ArrayList;
import org.json.JSONException;
import org.json.JSONObject;

public class AtApchiptt extends AtCommandHandler {
    private final String NOT_SUPPORTED = "NOT SUPPORTED";
    private final String PATH_APCHIP_DATA_LSI = "/sys/power/asv_group_info";
    private final String PATH_APCHIP_DATA_QCOMM = "/sys/class/sec/sec_misc/msm_apc_avs_info";
    private String PATH_APCHIP_DATA_QCOMM_AVS = getAvsPath();
    private String[] avs_key = getAvsKey();
    private boolean isQualcomm = "qualcomm".equalsIgnoreCase(Support.Feature.getString(Support.Feature.CHIPSET_MANUFACTURE));
    private String mAPName = Support.Feature.getString(Support.Feature.CHIPSET_NAME);

    public AtApchiptt(Context context) {
        super(context);
        this.CMD_NAME = "APCHIPTT";
        this.CLASS_NAME = "AtApchiptt";
        this.NUM_ARGS = 3;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String valueTemp;
        String resData;
        String resData2 = null;
        boolean isFusing = true;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (!FtUtil.isFactoryBinary() && (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "0"}) || checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0"}) || checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", EgisFingerprint.MAJOR_VERSION}) || checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "2"}) || checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION}) || checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "4"}) || checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "5"}) || checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "6"}) || checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, "0"}) || checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION}) || checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, "2"}) || checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, "4"}) || checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, "7"}) || checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0"}))) {
            return "NOT_APPLICABLE";
        }
        if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "0"})) {
            String value = Support.Kernel.read(Support.Kernel.AP_CHIP_CHECK);
            if ("OK".equalsIgnoreCase(value)) {
                resData = responseString(argu[0], value);
            } else if ("NG".equalsIgnoreCase(value)) {
                resData = responseNG(argu[0]);
            } else {
                resData = responseNA();
            }
            return resData;
        }
        if (checkArgu(argu, new String[]{"0", "2", "0"})) {
            if (!Support.Kernel.writeToPath("/sys/power/wake_unlock", "llc_test") || !Support.Kernel.writeToPath("/sys/devices/platform/exynos-sci_dbg/sci_dbg_attr/debug_mode", "0") || !Support.Kernel.writeToPath("/sys/devices/platform/exynos-sci/sci_attr/llc_gov_en", EgisFingerprint.MAJOR_VERSION) || !Support.Kernel.writeToPath("/sys/devices/platform/exynos-sci/sci_attr/llc_enable", "0")) {
                resData2 = responseNG(argu[0]);
            } else {
                resData2 = responseOK(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", "2", EgisFingerprint.MAJOR_VERSION})) {
            if (!Support.Kernel.writeToPath("/sys/power/wake_lock", "llc_test") || !Support.Kernel.writeToPath("/sys/devices/platform/exynos-sci_dbg/sci_dbg_attr/debug_mode", EgisFingerprint.MAJOR_VERSION) || !Support.Kernel.writeToPath("/sys/devices/platform/exynos-sci/sci_attr/llc_gov_en", "0") || !Support.Kernel.writeToPath("/sys/devices/platform/exynos-sci/sci_attr/llc_enable", EgisFingerprint.MAJOR_VERSION)) {
                resData2 = responseNG(argu[0]);
            } else {
                resData2 = responseOK(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", "2", "2"})) {
            if (!Support.Kernel.writeToPath("/sys/power/wake_lock", "llc_test") || !Support.Kernel.writeToPath("/sys/devices/platform/exynos-sci_dbg/sci_dbg_attr/debug_mode", EgisFingerprint.MAJOR_VERSION) || !Support.Kernel.writeToPath("/sys/devices/platform/exynos-sci/sci_attr/llc_gov_en", "0") || !Support.Kernel.writeToPath("/sys/devices/platform/exynos-sci/sci_attr/llc_enable", "0")) {
                resData2 = responseNG(argu[0]);
            } else {
                resData2 = responseOK(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0"})) {
            String value2 = "";
            if (this.isQualcomm) {
                if (Support.Kernel.isExistFilePath("/sys/class/sec/sec_misc/msm_apc_avs_info") && !FtUtil.containsIgnoreCase(Support.Kernel.readFromPath("/sys/class/sec/sec_misc/msm_apc_avs_info", true), "NOT SUPPORTED")) {
                    String valueTemp2 = Support.Kernel.readFromPath("/sys/class/sec/sec_misc/msm_apc_avs_info", true);
                    if (valueTemp2 != null) {
                        String[] valueArray = valueTemp2.split(",");
                        if (valueArray.length == 3) {
                            value2 = (Float.parseFloat(valueArray[0]) / 1000.0f) + "," + valueArray[1] + "," + valueArray[2];
                        }
                    }
                } else if (Support.Kernel.isExistFilePath(this.PATH_APCHIP_DATA_QCOMM_AVS) && (valueTemp = Support.Kernel.readFromPath(this.PATH_APCHIP_DATA_QCOMM_AVS, true)) != null) {
                    try {
                        JSONObject avs_map = new JSONObject("{".concat(valueTemp).concat("}"));
                        int i = 0;
                        while (true) {
                            String[] strArr = this.avs_key;
                            if (i >= strArr.length) {
                                break;
                            }
                            value2 = value2.concat(avs_map.getString(strArr[i]));
                            if (i != this.avs_key.length - 1) {
                                value2 = value2.concat(",");
                            }
                            i++;
                        }
                    } catch (JSONException e) {
                        e.printStackTrace();
                    }
                }
            } else if (Support.Feature.getBoolean(Support.Feature.SUPPORT_APCHIP_DATA_EXYNOS)) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "AtChiptt=1,0,0 Exynos");
                String data = Support.Kernel.readFromPath(getApChipDataExynosPath(), true);
                if (data == null || data.isEmpty()) {
                    FtUtil.log_e(this.CLASS_NAME, "handleCommand", "NG: sysfs read failed");
                    return responseNG(argu[0]);
                }
                String[] dataSet = data.split(" ");
                if (dataSet.length < 2 || dataSet[1].length() < 3) {
                    FtUtil.log_e(this.CLASS_NAME, "handleCommand", "NG: not found CPU data");
                    return responseNG(argu[0]);
                }
                String value3 = ((("" + Integer.parseInt(dataSet[1].substring(0, 1), 16)) + "," + Integer.parseInt(dataSet[1].substring(1, 2), 16)) + "," + Integer.parseInt(dataSet[1].substring(2, 3), 16)) + "," + dataSet[0];
                value2 = dataSet.length > 3 ? value3 + "," + dataSet[3] : value3 + ",0";
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "OK: cmd result=" + value2);
                responseString(argu[0], value2);
            } else {
                String data2 = Support.Kernel.readFromPath("/sys/power/asv_group_info", true);
                if (data2 == null || data2.equals("")) {
                    FtUtil.log_e(this.CLASS_NAME, "handleCommand", "NG: Sysfs File Not Found");
                } else {
                    String[] dataSet2 = data2.split(" ");
                    value2 = dataSet2[6] + "," + dataSet2[0] + "," + dataSet2[4] + "," + dataSet2[2];
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand_LSI", "LSI : data=" + data2 + " resultValue=" + value2);
                }
            }
            if ("".equals(value2)) {
                resData2 = responseNG(argu[0]);
            } else {
                resData2 = responseString(argu[0], value2);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", EgisFingerprint.MAJOR_VERSION})) {
            if (Support.Feature.getBoolean(Support.Feature.SUPPORT_APCHIP_DATA_EXYNOS)) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "AtChiptt=1,0,1 Exynos");
                String data3 = Support.Kernel.readFromPath(getApChipDataExynosPath(), true);
                if (data3 == null || data3.isEmpty()) {
                    FtUtil.log_e(this.CLASS_NAME, "handleCommand", "NG: sysfs read failed");
                    return responseNG(argu[0]);
                }
                String[] dataSet3 = data3.split(" ");
                if (dataSet3.length < 3 || dataSet3[2].length() < 3) {
                    FtUtil.log_e(this.CLASS_NAME, "handleCommand", "NG: not found GPU data");
                    return responseNG(argu[0]);
                }
                String value4 = (("" + Integer.parseInt(dataSet3[2].substring(0, 1), 16)) + "," + Integer.parseInt(dataSet3[2].substring(1, 2), 16)) + "," + Integer.parseInt(dataSet3[2].substring(2, 3), 16);
                String value5 = dataSet3.length > 4 ? value4 + "," + dataSet3[4] : value4 + ",0";
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "OK: cmd result=" + value5);
                resData2 = responseString(argu[0], value5);
            } else {
                FtUtil.log_e(this.CLASS_NAME, "handleCommand", "NG: cmd not used");
                resData2 = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "2"})) {
            String evt_ver = Support.Kernel.read(Support.Kernel.AP_CHIP_EVT_REVISION);
            if (evt_ver != null) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "OK: cmd result=" + evt_ver);
                resData2 = responseString(argu[0], evt_ver);
            } else {
                FtUtil.log_e(this.CLASS_NAME, "handleCommand", "NG: value is wrong");
                resData2 = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
            resData2 = "NOT_APPLICABLE";
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "4"})) {
            String data4 = Support.Properties.get(Support.Properties.AP_FUSING_VALUE);
            if (data4 == null || data4.isEmpty()) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "fusing value is empty");
                resData2 = responseNG(argu[0]);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "fusing value: " + data4);
                if ("0".equals(data4)) {
                    resData2 = responseString(argu[0], "00");
                } else if (EgisFingerprint.MAJOR_VERSION.equals(data4)) {
                    resData2 = responseString(argu[0], "01");
                } else if ("2".equals(data4)) {
                    resData2 = responseString(argu[0], "10");
                } else if (egis.optical.client.api.EgisFingerprint.MAJOR_VERSION.equals(data4)) {
                    resData2 = responseString(argu[0], "11");
                } else if ("4".equals(data4)) {
                    resData2 = responseString(argu[0], "0100");
                } else if ("8".equals(data4)) {
                    resData2 = responseString(argu[0], "1000");
                } else if ("12".equals(data4)) {
                    resData2 = responseString(argu[0], "1100");
                } else {
                    resData2 = responseNG(argu[0]);
                }
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "5"})) {
            resData2 = "NOT_APPLICABLE";
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "6"})) {
            resData2 = "NOT_APPLICABLE";
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "8"})) {
            resData2 = "NOT_APPLICABLE";
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", egis.optical.client.api.EgisFingerprint.JAR_VERSION})) {
            resData2 = "NOT_APPLICABLE";
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, "0"})) {
            FtUtil.log_e(this.CLASS_NAME, "handleCommand", "NG: cmd not used");
            resData2 = responseNG(argu[0]);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "AtChiptt=1,1,1 for JAVA chipset");
            String data5 = Support.Kernel.read(Support.Kernel.AP_CHIP_FUSING_BIT);
            if (data5 == null || data5.isEmpty()) {
                FtUtil.log_e(this.CLASS_NAME, "handleCommand", "NG: fusing bit read failed");
                resData2 = responseNG(argu[0]);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "OK: cmd result=" + data5);
                resData2 = responseString(argu[0], data5);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, "2"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "AT+APCHIPTT=1,1,2 Exynos / mAPName : " + this.mAPName);
            boolean errorOccured = false;
            ArrayList<Integer> dvfsTableList = new ArrayList<>();
            ArrayList<Integer> asvGValueList = new ArrayList<>();
            try {
                if ("EXYNOS990".equalsIgnoreCase(this.mAPName) || "EXYNOS2100".equalsIgnoreCase(this.mAPName) || "EXYNOS2200".equalsIgnoreCase(this.mAPName)) {
                    dvfsTableList.add(Integer.valueOf(Support.Kernel.readFromPath("/sys/kernel/asv-g/cpucl0_grp_volt", true)));
                    asvGValueList.add(Integer.valueOf(Support.Kernel.readFromPath("/sys/kernel/asv-g/cpucl0_fused_volt", true)));
                    dvfsTableList.add(Integer.valueOf(Support.Kernel.readFromPath("/sys/kernel/asv-g/cpucl1_grp_volt", true)));
                    asvGValueList.add(Integer.valueOf(Support.Kernel.readFromPath("/sys/kernel/asv-g/cpucl1_fused_volt", true)));
                    dvfsTableList.add(Integer.valueOf(Support.Kernel.readFromPath("/sys/kernel/asv-g/cpucl2_grp_volt", true)));
                    asvGValueList.add(Integer.valueOf(Support.Kernel.readFromPath("/sys/kernel/asv-g/cpucl2_fused_volt", true)));
                    dvfsTableList.add(Integer.valueOf(Support.Kernel.readFromPath("/sys/kernel/asv-g/g3d_grp_volt", true)));
                    asvGValueList.add(Integer.valueOf(Support.Kernel.readFromPath("/sys/kernel/asv-g/g3d_fused_volt", true)));
                }
                if ("EXYNOS2100".equalsIgnoreCase(this.mAPName) || "EXYNOS2200".equalsIgnoreCase(this.mAPName)) {
                    dvfsTableList.add(Integer.valueOf(Support.Kernel.readFromPath("/sys/kernel/asv-g/mif_grp_volt", true)));
                    asvGValueList.add(Integer.valueOf(Support.Kernel.readFromPath("/sys/kernel/asv-g/mif_fused_volt", true)));
                    dvfsTableList.add(Integer.valueOf(Support.Kernel.readFromPath("/sys/kernel/asv-g/dsu_grp_volt", true)));
                    asvGValueList.add(Integer.valueOf(Support.Kernel.readFromPath("/sys/kernel/asv-g/dsu_fused_volt", true)));
                    dvfsTableList.add(Integer.valueOf(Support.Kernel.readFromPath("/sys/kernel/asv-g/intsci_grp_volt", true)));
                    asvGValueList.add(Integer.valueOf(Support.Kernel.readFromPath("/sys/kernel/asv-g/intsci_fused_volt", true)));
                    dvfsTableList.add(Integer.valueOf(Support.Kernel.readFromPath("/sys/kernel/asv-g/modem_grp_volt", true)));
                    asvGValueList.add(Integer.valueOf(Support.Kernel.readFromPath("/sys/kernel/asv-g/modem_fused_volt", true)));
                }
                if ("EXYNOS8825".equalsIgnoreCase(this.mAPName)) {
                    dvfsTableList.add(Integer.valueOf(Support.Kernel.readFromPath("/sys/kernel/asv-g/cpucl0_grp_volt", true)));
                    asvGValueList.add(Integer.valueOf(Support.Kernel.readFromPath("/sys/kernel/asv-g/cpucl0_fused_volt", true)));
                    dvfsTableList.add(Integer.valueOf(Support.Kernel.readFromPath("/sys/kernel/asv-g/cpucl1_grp_volt", true)));
                    asvGValueList.add(Integer.valueOf(Support.Kernel.readFromPath("/sys/kernel/asv-g/cpucl1_fused_volt", true)));
                    dvfsTableList.add(Integer.valueOf(Support.Kernel.readFromPath("/sys/kernel/asv-g/g3d_grp_volt", true)));
                    asvGValueList.add(Integer.valueOf(Support.Kernel.readFromPath("/sys/kernel/asv-g/g3d_fused_volt", true)));
                }
            } catch (NumberFormatException ne) {
                FtUtil.log_e(ne);
                errorOccured = true;
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "AT+APCHIPTT=1,1,2 Exynos, handle sysfs error");
                resData2 = responseNG(argu[0]);
            }
            if (!errorOccured) {
                StringBuilder resultStringBuilder = new StringBuilder();
                boolean resultHeader = true;
                for (int i2 = 0; i2 < asvGValueList.size(); i2++) {
                    if (asvGValueList.get(i2).intValue() > dvfsTableList.get(i2).intValue()) {
                        resultHeader = false;
                    }
                    resultStringBuilder.append(asvGValueList.get(i2));
                    resultStringBuilder.append(",");
                }
                if (resultStringBuilder.length() > 0) {
                    resultStringBuilder.deleteCharAt(resultStringBuilder.length() - 1);
                }
                if (!resultHeader || resultStringBuilder.length() <= 0) {
                    resultStringBuilder.insert(0, "NG_");
                } else {
                    resultStringBuilder.insert(0, "OK_");
                }
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "AT+APCHIPTT=1,1,2 Exynos result:" + resultStringBuilder.toString());
                resData2 = responseString(argu[0], resultStringBuilder.toString());
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
            resData2 = "NOT_APPLICABLE";
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, "4"})) {
            String data6 = Support.Properties.get(Support.Properties.AP_FUSING_DATA);
            if (data6 == null || data6.isEmpty()) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "fusing value is empty");
                resData2 = responseNG(argu[0]);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "fusing value: " + data6);
                resData2 = responseString(argu[0], data6);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, "5"})) {
            String data7 = Support.Properties.get(Support.Properties.ASB_VERSION);
            if (data7 == null || data7.isEmpty()) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "asb version is empty");
                resData2 = responseNG(argu[0]);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "asb version: " + data7);
                resData2 = responseString(argu[0], data7);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, "6"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "AtChiptt=1,1,6 Exynos/mAPName : " + this.mAPName);
            if ("EXYNOS2100".equals(this.mAPName)) {
                String data8 = Support.Kernel.readFromPath("/sys/class/sec/pmg/pmg_info", true);
                if (data8 == null || data8.isEmpty()) {
                    FtUtil.log_e(this.CLASS_NAME, "handleCommand", "NG: failure to read GFX Power Group Index");
                    resData2 = responseNG(argu[0]);
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "OK: cmd result=" + data8);
                    resData2 = responseString(argu[0], data8);
                }
            } else if ("EXYNOS2200".equals(this.mAPName)) {
                String dataManhattan = Support.Kernel.readFromPath("/sys/kernel/asv/power_model_3", true);
                String dataDoU = Support.Kernel.readFromPath("/sys/kernel/asv/power_model_0", true);
                String dataCamera = Support.Kernel.readFromPath("/sys/kernel/asv/power_model_2", true);
                String dataGame = Support.Kernel.readFromPath("/sys/kernel/asv/power_model_1", true);
                if (dataManhattan == null || dataDoU == null || dataCamera == null || dataGame == null) {
                    FtUtil.log_e(this.CLASS_NAME, "handleCommand", "NG: failure to read GFX Power Group Index");
                    resData2 = responseNG(argu[0]);
                } else {
                    resData2 = responseString(argu[0], dataManhattan + "," + dataDoU + "," + dataCamera + "," + dataGame);
                }
            } else if ("EXYNOS8825".equals(this.mAPName)) {
                String dataManhattan2 = Support.Kernel.readFromPath("/sys/kernel/asv/power_model_2", true);
                if (dataManhattan2 != null) {
                    resData2 = responseString(argu[0], dataManhattan2);
                } else {
                    FtUtil.log_e(this.CLASS_NAME, "handleCommand", "NG: failure to read GFX Power Group Index");
                    resData2 = responseNG(argu[0]);
                }
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "NG: cmd not used");
                resData2 = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, "7"})) {
            String data9 = Support.Kernel.readFromPath("/sys/devices/system/chip-id/gub_info", true);
            if (data9 == null || data9.isEmpty()) {
                FtUtil.log_e(this.CLASS_NAME, "handleCommand", "NG: failure to read AP grade");
                resData2 = responseNG(argu[0]);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "OK: AP GRADE =" + data9);
                resData2 = responseString(argu[0], data9);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "2", "0"})) {
            String data10 = SystemProperties.get("ro.boot.dram_info");
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "data : " + data10);
            if (data10 == null || data10.isEmpty()) {
                FtUtil.log_e(this.CLASS_NAME, "handleCommand", "NG: property read failed");
                return responseNG(argu[0]);
            }
            String data11 = data10.replace(" ", "");
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "OK: cmd result=" + data11);
            resData2 = responseString(argu[0], 1 + "," + data11);
        } else if (!checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0"})) {
            resData2 = responseNA();
        } else if (Support.Kernel.isExistFile(Support.Kernel.AP_CHIP_DOU_FUSING_REV)) {
            String temp = Support.Kernel.read(Support.Kernel.AP_CHIP_DOU_FUSING_REV);
            if (FtUtil.containsIgnoreCase(temp, "NOT SUPPORTED")) {
                isFusing = false;
            } else if (Integer.parseInt(temp, 10) == 0) {
                isFusing = false;
            }
            if (isFusing) {
                String bins = Integer.toBinaryString(Integer.parseInt(Support.Kernel.read(Support.Kernel.AP_CHIP_DOU_FUSING_BINS), 10));
                if (bins.length() < 2) {
                    bins = "0" + bins;
                }
                FtUtil.log_e(this.CLASS_NAME, "handleCommand", "Read DoU fusing bins : " + bins);
                return responseString(argu[0], "OK_" + bins);
            }
            FtUtil.log_e(this.CLASS_NAME, "handleCommand", "DoU fusing bit does not set");
            return responseString(argu[0], "NONE");
        } else {
            String temp2 = Support.Kernel.readFromPath(this.PATH_APCHIP_DATA_QCOMM_AVS, true);
            if (temp2 != null) {
                try {
                    JSONObject infoMap = new JSONObject("{".concat(temp2).concat("}"));
                    if (!"0".equals(infoMap.getString("DOUR"))) {
                        String doub = Integer.toBinaryString(Integer.parseInt(infoMap.getString("DOUB")));
                        return responseString(argu[0], "OK_" + String.format("%2s", doub).replaceAll(" ", "0"));
                    }
                } catch (JSONException e2) {
                    e2.printStackTrace();
                }
            }
            FtUtil.log_e(this.CLASS_NAME, "handleCommand", "DoU fusing bit does not set");
            return responseString(argu[0], "NONE");
        }
        return resData2;
    }

    private String getApChipDataExynosPath() {
        String value = Support.Kernel.readFromPath("/sys/power/asv_info", true);
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "getApChipDataExynosPath, ", "value : " + value);
        if (value == null) {
            return "/sys/class/sec/asv/asv_info";
        }
        return "/sys/power/asv_info";
    }

    private String getAvsPath() {
        return "/sys/class/sec/ap_pmic/ap_info";
    }

    private String[] getAvsKey() {
        return new String[]{"GC_OPV_3", "GC_PRM", "SC_OPV_3", "SC_PRM"};
    }
}
