package com.sec.factory.aporiented.athandler;

import android.content.Context;
import egis.client.api.EgisFingerprint;

public class AtBGlucose extends AtCommandHandler {
    public AtBGlucose(Context context) {
        super(context);
        this.CMD_NAME = "BGLUCOSE";
        this.CLASS_NAME = "AtBGlucose";
        this.NUM_ARGS = 3;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", "0", "0"})) {
            resData = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "0"})) {
            resData = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", "2", "0"})) {
            resData = responseString(argu[0], "DATA");
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0"})) {
            resData = responseString(argu[0], "SerialNo");
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, "0"})) {
            resData = responseString(argu[0], "DATA");
        } else {
            resData = responseNA();
        }
        return resData;
    }
}
