package com.sec.factory.aporiented.athandler;

import android.content.Context;
import android.os.Handler;
import android.os.Message;
import android.os.PowerManager;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;

public class AtBakupchk extends AtCommandHandler {
    static final int I_NVBACKUP = 0;
    static final int I_NVERASE = 2;
    static final int I_NVRESTORE = 1;
    static final String NVBACKUP = "nvbackup";
    static final String NVERASE = "nverase";
    static final String NVRECOVERY = "nvrecovery";
    static final String NVRESTORE = "nvrestore";
    static final String REBOOT = "reboot";
    private int mNResult;

    public AtBakupchk(Context context) {
        super(context);
        this.CMD_NAME = "BAKUPCHK";
        this.CLASS_NAME = "AtBakupchk";
        this.NUM_ARGS = 2;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData = null;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", "0"})) {
            setProperties(NVRECOVERY);
            resData = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION})) {
            doSystemCall(2);
            resData = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", "2"})) {
            doSystemCall(1);
            resData = responseOK(argu[0]);
        } else if (!checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0"}) && !checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION}) && !checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "2"})) {
            resData = responseNA();
        }
        return resData;
    }

    private boolean setProperties(String cmd) {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "setProperties", "cmd = " + cmd);
        Support.Properties.set(Support.Properties.CPNV_BACKUP_CMD, cmd);
        return true;
    }

    private void doSystemCall(int cmd) {
        new Handler(this.context.getMainLooper()) {
            /* class com.sec.factory.aporiented.athandler.AtBakupchk.AnonymousClass1 */

            public void handleMessage(Message msg) {
                PowerManager pm = (PowerManager) AtBakupchk.this.context.getSystemService("power");
                switch (msg.what) {
                    case 0:
                        FtUtil.log_d(AtBakupchk.this.CLASS_NAME, "nvBackupHandler", "I_NVBACKUP ");
                        pm.reboot(AtBakupchk.NVBACKUP);
                        String str = AtBakupchk.this.CLASS_NAME;
                        FtUtil.log_d(str, "nvBackupHandler", "NVBACKUP done, mNResult=" + AtBakupchk.this.mNResult);
                        return;
                    case 1:
                        FtUtil.log_d(AtBakupchk.this.CLASS_NAME, "nvBackupHandler", "I_NVRESTORE ");
                        pm.reboot(AtBakupchk.NVRESTORE);
                        String str2 = AtBakupchk.this.CLASS_NAME;
                        FtUtil.log_d(str2, "nvBackupHandler", "NVRESTORE done, mNResult=" + AtBakupchk.this.mNResult);
                        return;
                    case 2:
                        FtUtil.log_d(AtBakupchk.this.CLASS_NAME, "nvBackupHandler", "I_NVBACKUP ");
                        pm.reboot(AtBakupchk.NVERASE);
                        String str3 = AtBakupchk.this.CLASS_NAME;
                        FtUtil.log_d(str3, "nvBackupHandler", "NVERASE done, mNResult=" + AtBakupchk.this.mNResult);
                        return;
                    default:
                        return;
                }
            }
        }.sendEmptyMessage(cmd);
    }

    /* access modifiers changed from: package-private */
    public int DoShellCmd(String cmd) {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "DoShellCmd", "cmd = " + cmd);
        String[] shell_command = {"/system/bin/sh", "-c", cmd};
        try {
            FtUtil.log_d(this.CLASS_NAME, "DoShellCmd", "exec command");
            Process p = Runtime.getRuntime().exec(shell_command);
            p.waitFor();
            Reader err = new Reader(p.getErrorStream());
            Reader output = new Reader(p.getInputStream());
            err.start();
            output.start();
            FtUtil.log_d(this.CLASS_NAME, "DoShellCmd", "exec done");
            FtUtil.log_d(this.CLASS_NAME, "DoShellCmd", "DoShellCmd done");
            return 1;
        } catch (IOException exception) {
            String str2 = this.CLASS_NAME;
            FtUtil.log_e(str2, "DoShellCmd", "DoShellCmd - IOException" + exception);
            return -1;
        } catch (SecurityException exception2) {
            String str3 = this.CLASS_NAME;
            FtUtil.log_e(str3, "DoShellCmd", "SecurityException" + exception2);
            return -1;
        } catch (InterruptedException e) {
            String str4 = this.CLASS_NAME;
            FtUtil.log_e(str4, "DoShellCmd", "InterruptedException" + e);
            return -1;
        }
    }

    class Reader extends Thread {
        InputStream is;

        Reader(InputStream is2) {
            this.is = is2;
        }

        public void run() {
            try {
                BufferedReader br = new BufferedReader(new InputStreamReader(this.is));
                while (true) {
                    String line = br.readLine();
                    if (line != null) {
                        String str = AtBakupchk.this.CLASS_NAME;
                        FtUtil.log_d(str, "Reader", "out = " + line);
                    } else {
                        return;
                    }
                }
            } catch (IOException ex) {
                ex.printStackTrace();
            }
        }
    }
}
