package com.sec.factory.aporiented.athandler;

import android.app.BarBeamFactory;
import android.app.Hop;
import android.content.Context;
import android.os.SystemProperties;
import com.google.common.primitives.UnsignedBytes;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.FactoryTestPhone;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class AtBarcodeE extends AtCommandHandler {
    public static int Barquietzone = 10;
    private static final byte[][] barcodeByte = {new byte[]{-1, -84, -37, 33, FactoryTestManager.TEST_QUICK_CHARGE, -99, FactoryTestManager.TEST_LOOPBACK2_SPK, -82, -37, -117, 26, FactoryTestManager.TEST_MOTOR, -102, -1}, new byte[]{-1, -84, -37, 33, FactoryTestManager.TEST_QUICK_CHARGE, -99, FactoryTestManager.TEST_LOOPBACK2_SPK, -82, -37, -117, 26, FactoryTestManager.TEST_MOTOR, -102, -1}, new byte[]{-1, -83, -112, -79, 78, -11, -70, -83, -59, -115, FactoryTestManager.TEST_BARCODE_EMUL, 77, -70, -1}, new byte[]{-1, -21, FactoryTestManager.TEST_DMB3, -56, 87, 42, -59, FactoryTestManager.TEST_WIRELESS_AF_CHARGE, -79, -85, -1}, new byte[]{-1, -9, FactoryTestManager.TEST_AlWAYS_MIC_ON, 81, 23, 81, 69, -43, 29, 17, 71, 87, 81, 17, 29, FactoryTestManager.TEST_RECORD, FactoryTestManager.TEST_MST_TEST, 87, FactoryTestManager.TEST_AlWAYS_MIC_ON, FactoryTestManager.TEST_ECHO_TEST, -1}, new byte[]{-1, -53, FactoryTestManager.TEST_WIRELESS_AF_CHARGE, -71, 112, -81, FactoryTestManager.TEST_TSP_SIDE_TEST, 55, -78, FactoryTestManager.TEST_DMB3, FactoryTestManager.TEST_BARCODE_EMUL, FactoryTestManager.TEST_AF_CHARGE, 69, -104, -39, 56, -89, -1}, new byte[]{-1, -11, FactoryTestManager.TEST_KEY2, 76, -106, -78, -51, 90, -103, FactoryTestManager.TEST_SIM_CARD2, -1}, new byte[]{-1, -23, -75, 77, 90, 77, FactoryTestManager.TEST_RECORD, -76, -83, 106, 90, FactoryTestManager.TEST_FINGERPRINT_INT_CHECK, FactoryTestManager.TEST_RECORD, -75, FactoryTestManager.TEST_FINGERPRINT_INT_CHECK, FactoryTestManager.TEST_CAPTURE, FactoryTestManager.TEST_IDDETECT, -1}, new byte[]{-34, -69, -56, 7, -90, FactoryTestManager.TEST_CHARGE_TEST, 17, -67, -38, 31, -116, -10, -28, UnsignedBytes.MAX_POWER_OF_TWO, -93, FactoryTestPhone.OEM_MISC_GET_RF_MIPI_INFO, -21}};
    private static String[] barcodeType = {"EAN_13", "UPC_1", "EAN", "EAN_8", "CODE_39", "CODE_128", "INTERLEAVED2of5", "CODABAR", "DATABAR"};
    private final String FLIP_STATE_MAIN = EgisFingerprint.MAJOR_VERSION;
    private final String FLIP_STATE_NORMAL = "0";
    private final String FLIP_STATE_SUB = "2";
    private Hop[] hopSequenceArray = {new Hop(0, 50, 50, 20, 31), new Hop(20, 20, 50, 10, 31), new Hop(2, 50, 50, 12, 31), new Hop(8, 50, 50, 10, 31), new Hop(12, 30, 50, 10, 31), new Hop(1, 50, 50, 16, 31), new Hop(14, 30, 50, 10, 31), new Hop(4, 50, 50, 10, 31), new Hop(10, 40, 50, 10, 31), new Hop(6, 50, 50, 10, 31)};

    public AtBarcodeE(Context context) {
        super(context);
        this.CMD_NAME = "BARCODEE";
        this.CLASS_NAME = "AtBarcodeE";
        this.NUM_ARGS = 3;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        int firstApiLevel = SystemProperties.getInt("ro.product.first_api_level", 0);
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "handleCommand", "firstApiLevel:" + firstApiLevel);
        try {
            BarBeamFactory barbeamFactory = new BarBeamFactory(this.context);
            if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
                return responseNA();
            }
            if (FtUtil.isFactoryBinary() && checkArgu(argu, new String[]{"0", "0", "0"})) {
                FtUtil.log_i(this.CLASS_NAME, "handleCommand", "start Barcode Emul self test");
                try {
                    String result = mModuleDevice.readModuleFirmwareVersion(6);
                    String str2 = this.CLASS_NAME;
                    FtUtil.log_i(str2, "handleCommand", "Barcode Emulator firmware version: " + result);
                    if (result.length() != 0) {
                        String str3 = argu[0];
                        resData = responseString(str3, "OK_" + result);
                    } else {
                        resData = responseNG(argu[0]);
                    }
                } catch (Exception e) {
                    FtUtil.log_i(this.CLASS_NAME, "handleCommand", "Barcode Emul self test is fail!!");
                    resData = responseNG(argu[0]);
                }
            } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION})) {
                if (FtUtil.isFactoryBinary() || firstApiLevel >= 28) {
                    if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                        Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, EgisFingerprint.MAJOR_VERSION);
                    }
                    try {
                        int type = Integer.parseInt(argu[2]);
                        try {
                            barbeamFactory.setHopSequence(this.hopSequenceArray);
                            if (type >= barcodeType.length || type <= 0) {
                                FtUtil.log_i(this.CLASS_NAME, "handleCommand", "Barcode type is invalid - out of index");
                                return responseNA();
                            }
                            try {
                                if (barbeamFactory.StartBarBeamFactory(barcodeByte[type])) {
                                    String str4 = this.CLASS_NAME;
                                    FtUtil.log_i(str4, "handleCommand", "Success to startBarBeamFactory - type: " + barcodeType[type]);
                                    resData = responseString(argu[0], "OK");
                                } else {
                                    resData = responseNG(argu[0]);
                                }
                            } catch (Exception e2) {
                                FtUtil.log_i(this.CLASS_NAME, "handleCommand", "Fail to startBarBeamFactory");
                                resData = responseNG(argu[0]);
                            }
                            if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                                Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, "0");
                            }
                        } catch (Exception e3) {
                            FtUtil.log_i(this.CLASS_NAME, "handleCommand", "Fail to setHopSequence");
                            return responseNA();
                        }
                    } catch (Exception e4) {
                        String str5 = this.CLASS_NAME;
                        FtUtil.log_i(str5, "handleCommand", "Barcode type is invalid type: " + argu[2]);
                        return responseNA();
                    }
                } else {
                    return responseNA();
                }
            } else if (checkArgu(argu, new String[]{"0", "2", "0"})) {
                if (FtUtil.isFactoryBinary() || firstApiLevel >= 28) {
                    if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                        Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, EgisFingerprint.MAJOR_VERSION);
                    }
                    try {
                        if (barbeamFactory.StopBarBeamFactory()) {
                            resData = responseString(argu[0], "OK");
                        } else {
                            resData = responseNG(argu[0]);
                        }
                    } catch (Exception e5) {
                        FtUtil.log_i(this.CLASS_NAME, "handleCommand", "Fail to stopBarBeamFactory");
                        resData = responseNG(argu[0]);
                    }
                    if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                        Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, "0");
                    }
                } else {
                    return responseNA();
                }
            } else if (FtUtil.isFactoryBinary() && checkArgu(argu, new String[]{"0", "2", EgisFingerprint.MAJOR_VERSION})) {
                if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                    Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, "2");
                }
                try {
                    if (barbeamFactory.StopBarBeamFactory()) {
                        resData = responseString(argu[0], "OK");
                    } else {
                        resData = responseNG(argu[0]);
                    }
                } catch (Exception e6) {
                    FtUtil.log_i(this.CLASS_NAME, "handleCommand", "Fail to stopBarBeamFactory");
                    resData = responseNG(argu[0]);
                }
                if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                    Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, "0");
                }
            } else if (!FtUtil.isFactoryBinary() || !checkArgu(argu, new String[]{"0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
                resData = responseNA();
            } else {
                if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                    Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, "2");
                }
                try {
                    int type2 = Integer.parseInt(argu[2]);
                    try {
                        barbeamFactory.setHopSequence(this.hopSequenceArray);
                        if (type2 >= barcodeType.length || type2 <= 0) {
                            FtUtil.log_i(this.CLASS_NAME, "handleCommand", "Barcode type is invalid - out of index");
                            return responseNA();
                        }
                        try {
                            if (barbeamFactory.StartBarBeamFactory(barcodeByte[type2])) {
                                String str6 = this.CLASS_NAME;
                                FtUtil.log_i(str6, "handleCommand", "Success to startBarBeamFactory - type: " + barcodeType[type2]);
                                resData = responseString(argu[0], "OK");
                            } else {
                                resData = responseNG(argu[0]);
                            }
                        } catch (Exception e7) {
                            FtUtil.log_i(this.CLASS_NAME, "handleCommand", "Fail to startBarBeamFactory");
                            resData = responseNG(argu[0]);
                        }
                        if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                            Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, "0");
                        }
                    } catch (Exception e8) {
                        FtUtil.log_i(this.CLASS_NAME, "handleCommand", "Fail to setHopSequence");
                        return responseNA();
                    }
                } catch (Exception e9) {
                    String str7 = this.CLASS_NAME;
                    FtUtil.log_i(str7, "handleCommand", "Barcode type is invalid type: " + argu[2]);
                    return responseNA();
                }
            }
            return resData;
        } catch (Exception e10) {
            FtUtil.log_i(this.CLASS_NAME, "handleCommand", "Fail to get BarBeamFactory instance");
            return responseNA();
        }
    }
}
