package com.sec.factory.aporiented.athandler;

import android.content.Context;
import android.os.Handler;
import android.os.Message;
import com.sec.factory.aporiented.ResponseWriter;
import com.sec.factory.modules.ModuleSensor;
import com.sec.factory.modules.ModuleTouchScreen;
import com.sec.factory.modules.SensorDeviceInfo;
import com.sec.factory.modules.SensorFeature;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.NVAccessor;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.File;
import java.text.DecimalFormat;

public class AtBaromete extends AtCommandHandler {
    private static final int NV_WATER_PROOF = 147;
    public static final String PREF_KEY = "WATER_PROOF";
    public static final String PREF_NAME = "UIBarometerWaterProofTest";
    public static final String PRE_PREF_KEY = "PRE_WATER_PROOF";
    private int WHAT_GET_DATA = 2;
    private int WHAT_UPDATE = 1;
    private String mCommonData = "";
    public int mCurrentIndex = 0;
    private boolean mFlag = false;
    float[] mPressureValue = new float[5];
    int[] mSenserID = {ModuleSensor.ID_MANAGER_BAROMETER, ModuleSensor.ID_FILE____BAROMETER_EEPROM};
    private boolean mWaitFlag = false;

    public AtBaromete(Context context, ResponseWriter writer) {
        super(context);
        this.CMD_NAME = "BAROMETE";
        this.CLASS_NAME = "AtBaromete";
        this.NUM_ARGS = 3;
        if (!new File(Support.Kernel.getFilePath(Support.Kernel.BAROMETE_DELTA)).exists()) {
            mModuleCommon.writemBaroDelta("0");
            Support.Kernel.setPermission(Support.Kernel.getFilePath(Support.Kernel.BAROMETE_DELTA), true, true, true, true, true, false);
            FtUtil.log_d(this.CLASS_NAME, "AtBaromete", "BAROMETE_DELTA is created...");
        } else {
            FtUtil.log_d(this.CLASS_NAME, "AtBaromete", "BAROMETE_DELTAis already existed...");
        }
        this.writer = writer;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData = null;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", "0", "0"})) {
            mModuleSensor.SensorOff(this.mSenserID);
            if (mModuleSensor.isSensorOn(ModuleSensor.ID_MANAGER_BAROMETER)) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "0,0 - Sensor Off : NG");
                resData = responseNG(argu[0]);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "0,0 - Sensor Off : OK");
                resData = responseOK(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "0"})) {
            mModuleCommon.writemBaroDelta("0");
            mModuleSensor.SensorOn(this.mSenserID);
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "0,1,0 ");
            FtUtil.Sleep.sleep(500);
            if (mModuleSensor.isSensorOn(ModuleSensor.ID_MANAGER_BAROMETER)) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "0,1 - Sensor ON : OK");
                resData = responseOK(argu[0]);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "0,1 - Sensor ON : NG");
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0"})) {
            if (mModuleSensor.isSensorOn(ModuleSensor.ID_FILE____BAROMETER_EEPROM)) {
                String[] result = mModuleSensor.getData(ModuleSensor.ID_FILE____BAROMETER_EEPROM);
                if (result != null) {
                    String str = this.CLASS_NAME;
                    FtUtil.log_d(str, "handleCommand", "1,0 - Total Read : " + result[1]);
                    if (result[2].equals(EgisFingerprint.MAJOR_VERSION)) {
                        resData = responseOK(argu[0]);
                    } else {
                        resData = responseNG(argu[0]);
                    }
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "1,0 - Total Read : NG (null)");
                    resData = responseNG(argu[0]);
                }
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "1,0 - Total Read : NG (Sensor off)");
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, "0"})) {
            if (mModuleSensor.isSensorOn(ModuleSensor.ID_MANAGER_BAROMETER)) {
                try {
                    Thread.sleep(500);
                } catch (InterruptedException e) {
                    e.printStackTrace();
                }
                for (int i = 0; i < 20 && !mModuleSensor.isSensorReady(ModuleSensor.ID_MANAGER_BAROMETER); i++) {
                    FtUtil.Sleep.sleep(100);
                }
                String[] result2 = mModuleSensor.getData(ModuleSensor.ID_MANAGER_BAROMETER);
                String tempTemperature = Support.Kernel.read(Support.Kernel.BAROMETE_TEMPERATURE);
                if (tempTemperature != null) {
                    resData = responseString(argu[0], tempTemperature);
                    String str2 = this.CLASS_NAME;
                    FtUtil.log_d(str2, "handleCommand", "1,1 - Test result : Temperature = " + tempTemperature);
                } else if (result2 != null) {
                    resData = responseString(argu[0], result2[4]);
                    String str3 = this.CLASS_NAME;
                    FtUtil.log_d(str3, "handleCommand", "1,1 - Test result : Temperature = " + result2[4]);
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "1,1 - Test result : NG (null)");
                    resData = responseNG(argu[0]);
                }
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "1,1 - Test result : NG (Sensor Off)");
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "2", "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "1,2,0 ");
            if (mModuleSensor.isSensorOn(ModuleSensor.ID_MANAGER_BAROMETER)) {
                try {
                    Thread.sleep(500);
                } catch (InterruptedException e2) {
                    e2.printStackTrace();
                }
                for (int i2 = 0; i2 < 20 && !mModuleSensor.isSensorReady(ModuleSensor.ID_MANAGER_BAROMETER); i2++) {
                    FtUtil.Sleep.sleep(100);
                }
                if (mModuleSensor.getData(ModuleSensor.ID_MANAGER_BAROMETER) != null) {
                    getDataBaroHandler();
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "1,2 - Test result : NG (null)");
                    resData = responseNG(argu[0]);
                }
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "1,2 - Test result : NG (Sensor Off)");
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0"})) {
            String value = mModuleCommon.readmBaroDelta();
            String vendor2 = Support.Kernel.read(Support.Kernel.BAROMETE_VENDOR);
            String str4 = this.CLASS_NAME;
            FtUtil.log_i(str4, "readmBaroDelta", "vendor=" + vendor2);
            float result3 = Float.parseFloat(value) / ((float) getBarometerResolution());
            String str5 = this.CLASS_NAME;
            FtUtil.log_i(str5, "readmBaroDelta", "result=" + result3);
            resData = responseString(argu[0], Float.toString(result3));
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "4", "0"})) {
            resData = responseString(argu[0], getWaterProofTestData());
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "5", "0"})) {
            resData = responseString(argu[0], getWaterProofTestDataFromFTA());
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "6", "0"}) && FtUtil.isFactoryBinary()) {
            resData = responseString(argu[0], getPreWaterProofTestDataFromFTA());
        } else if (checkArgu(argu, new String[]{"2", "0"})) {
            Support.Kernel.read(Support.Kernel.BAROMETE_VENDOR);
            mModuleCommon.writemBaroDelta(Integer.toString((int) (Float.parseFloat(argu[2]) * ((float) getBarometerResolution()))));
            resData = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"2", EgisFingerprint.MAJOR_VERSION})) {
            this.mWaitFlag = true;
            this.mFlag = false;
            mModuleCommon.writemBaroDelta("0");
            turnOnBarometer();
            FtUtil.Sleep.sleep(500);
            if (mModuleSensor.isSensorOn(ModuleSensor.ID_MANAGER_BAROMETER)) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Sensor ON : OK");
                SensorReady();
                String[] baroData = mModuleSensor.getData(ModuleSensor.ID_MANAGER_BAROMETER);
                String tempTemperature2 = Support.Kernel.read(Support.Kernel.BAROMETE_TEMPERATURE);
                if (baroData != null) {
                    getDataBaroHandler();
                    while (!this.mFlag) {
                        FtUtil.Sleep.sleep(100);
                    }
                    this.mFlag = false;
                    String[] InputValues = argu[2].split("_");
                    float referenceData = Float.parseFloat(InputValues[0]);
                    float offsetSpec = Float.parseFloat(InputValues[1]);
                    float offsetData = referenceData - Float.parseFloat(this.mCommonData);
                    if (isOffsetDataInSpec(offsetData, offsetSpec)) {
                        StartCal(-1.0f * offsetData);
                        turnOffBarometer();
                        turnOnBarometer();
                        SensorReady();
                        String[] baroData2 = mModuleSensor.getData(ModuleSensor.ID_MANAGER_BAROMETER);
                        if (baroData2 != null) {
                            FtUtil.Sleep.sleep(300);
                            getDataBaroHandler();
                            while (!this.mFlag) {
                                FtUtil.Sleep.sleep(100);
                            }
                            this.mFlag = false;
                            turnOffBarometer();
                            if (mModuleSensor.isSensorOn(ModuleSensor.ID_MANAGER_BAROMETER)) {
                                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Test result : Sensor Off Fail");
                                resData = responseString(argu[0], "NG_SENSOR OFF");
                            } else {
                                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Test result : Sensor Off Pass");
                                if (tempTemperature2 != null) {
                                    resData = responseString(argu[0], String.format("OK,%s,%.3f,%.2f", this.mCommonData, Float.valueOf(offsetData), Float.valueOf(Float.parseFloat(tempTemperature2))));
                                } else {
                                    resData = responseString(argu[0], String.format("OK,%s,%.3f,%.2f", this.mCommonData, Float.valueOf(offsetData), Float.valueOf(Float.parseFloat(baroData2[4]))));
                                }
                            }
                        } else {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Test result : NG (TEMP)");
                            resData = responseString(argu[0], "NG_TEMP");
                        }
                    } else {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Test result : NG (offsetData is Spec Out)");
                        resData = responseString(argu[0], String.format("NG_OFFSET OUT,%.3f", Float.valueOf(offsetData)));
                    }
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Test result : NG (baroData is null)");
                    resData = responseString(argu[0], "NG_READ VALUE");
                }
                turnOffBarometer();
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Sensor ON NG");
                resData = responseString(argu[0], "NG_SENSOR ON");
            }
            this.mWaitFlag = false;
        } else if (checkArgu(argu, new String[]{"2", "4"})) {
            String selftestResult = Support.Kernel.read(Support.Kernel.BAROMETE_SELFTEST);
            if (selftestResult == null) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Selftest result is NULL");
                resData = responseNG(argu[0]);
            } else if ("0".equalsIgnoreCase(selftestResult)) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Selftest result is fail");
                resData = responseString(argu[0], "NG_STUCK");
            } else if (EgisFingerprint.MAJOR_VERSION.equalsIgnoreCase(selftestResult)) {
                this.mWaitFlag = true;
                this.mFlag = false;
                turnOnBarometer();
                FtUtil.Sleep.sleep(500);
                if (mModuleSensor.isSensorOn(ModuleSensor.ID_MANAGER_BAROMETER)) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Sensor ON : OK");
                    SensorReady();
                    String[] baroData3 = mModuleSensor.getData(ModuleSensor.ID_MANAGER_BAROMETER);
                    String tempTemperature3 = Support.Kernel.read(Support.Kernel.BAROMETE_TEMPERATURE);
                    if (baroData3 != null) {
                        getDataBaroHandler();
                        while (!this.mFlag) {
                            FtUtil.Sleep.sleep(100);
                        }
                        this.mFlag = false;
                        turnOffBarometer();
                        String[] InputValues2 = argu[2].split("_");
                        float referenceData2 = Float.parseFloat(InputValues2[0]);
                        float offsetSpec2 = Float.parseFloat(InputValues2[1]);
                        float offsetData2 = referenceData2 - Float.parseFloat(this.mCommonData);
                        if (!isOffsetDataInSpec(offsetData2, offsetSpec2)) {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Test result : NG (offsetData is Spec Out)");
                            resData = responseString(argu[0], String.format("NG_OFFSET OUT,%.3f", Float.valueOf(offsetData2)));
                        } else if (mModuleSensor.isSensorOn(ModuleSensor.ID_MANAGER_BAROMETER)) {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Test result : Sensor Off Fail");
                            resData = responseString(argu[0], "NG_SENSOR OFF");
                        } else {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Test result : Sensor Off Pass");
                            if (tempTemperature3 != null) {
                                resData = responseString(argu[0], String.format("OK,%s,%.3f,%.2f", this.mCommonData, Float.valueOf(offsetData2), Float.valueOf(Float.parseFloat(tempTemperature3))));
                            } else {
                                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Test result : NG (TEMP)");
                                resData = responseString(argu[0], "NG_TEMP");
                            }
                        }
                    } else {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Test result : NG (baroData is null)");
                        resData = responseString(argu[0], "NG_READ VALUE");
                    }
                    turnOffBarometer();
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Sensor ON NG");
                    resData = responseString(argu[0], "NG_SENSOR ON");
                }
                this.mWaitFlag = false;
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Selftest result is unknown value");
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0"})) {
            String feature = SensorDeviceInfo.getSensorName(SensorDeviceInfo.TYPE_BAROMETER, SensorDeviceInfo.TARGET_FILE);
            if (feature != null) {
                resData = responseString(argu[0], feature);
            } else {
                resData = responseString(argu[0], "NONE");
            }
        } else {
            resData = responseNA();
        }
        return resData;
    }

    private void turnOnBarometer() {
        FtUtil.log_i(this.CLASS_NAME, "turnOnBarometer()", "turnOnBarometer");
        if (!mModuleSensor.isSensorOn(ModuleSensor.ID_MANAGER_BAROMETER)) {
            mModuleSensor.SensorOn(this.mSenserID);
            FtUtil.log_d(this.CLASS_NAME, "turnOnBarometer()", "Sensor ON Done");
        }
    }

    private void turnOffBarometer() {
        FtUtil.log_i(this.CLASS_NAME, "turnOffBarometer()", "turnOffBarometer");
        if (mModuleSensor.isSensorOn(ModuleSensor.ID_MANAGER_BAROMETER)) {
            mModuleSensor.SensorOff(this.mSenserID);
            FtUtil.log_d(this.CLASS_NAME, "turnOffBarometer()", "Sensor OFF Done");
        }
    }

    private boolean isOffsetDataInSpec(float offsetdata, float offsetSpec) {
        boolean result = -1.0f * offsetSpec <= offsetdata && offsetdata <= offsetSpec;
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "isOffsetDataInSpec()", "result: " + result);
        return result;
    }

    private void getDataBaroHandler() {
        Handler mHandler = new Handler(this.context.getMainLooper()) {
            /* class com.sec.factory.aporiented.athandler.AtBaromete.AnonymousClass1 */

            public void handleMessage(Message msg) {
                if (msg.what == AtBaromete.this.WHAT_GET_DATA) {
                    AtBaromete.this.getDataBaro();
                } else if (msg.what == AtBaromete.this.WHAT_UPDATE) {
                    FtUtil.log_d(AtBaromete.this.CLASS_NAME, "mHandler.handleMessage", "WHAT_UPDATE");
                    AtBaromete.this.getPressureResultUpdate();
                    AtBaromete.this.mCurrentIndex = 0;
                }
            }
        };
        mHandler.sendEmptyMessageDelayed(this.WHAT_GET_DATA, 100);
        mHandler.sendEmptyMessageDelayed(this.WHAT_GET_DATA, 200);
        mHandler.sendEmptyMessageDelayed(this.WHAT_GET_DATA, 300);
        mHandler.sendEmptyMessageDelayed(this.WHAT_GET_DATA, 400);
        mHandler.sendEmptyMessageDelayed(this.WHAT_GET_DATA, 500);
        mHandler.sendEmptyMessageDelayed(this.WHAT_UPDATE, 600);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void getDataBaro() {
        String[] mData = mModuleSensor.getData(ModuleSensor.ID_MANAGER_BAROMETER);
        if (mData != null) {
            this.mPressureValue[this.mCurrentIndex] = Float.valueOf(mData[2]).floatValue();
            FtUtil.log_i(this.CLASS_NAME, "getDataBaro : " + this.mCurrentIndex, "mPressureValue:" + this.mPressureValue[this.mCurrentIndex]);
            this.mCurrentIndex = this.mCurrentIndex + 1;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void getPressureResultUpdate() {
        float total = 0.0f;
        int length = this.mPressureValue.length;
        for (int i = 0; i < length; i++) {
            total += this.mPressureValue[i];
        }
        String resData = String.valueOf(new DecimalFormat("#.000").format((double) (total / ((float) length)))).replace(",", ".");
        this.mCommonData = resData;
        this.mFlag = true;
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "getPressureResultUpdate", "result :" + resData);
        if (!this.mWaitFlag) {
            this.writer.write(responseString(EgisFingerprint.MAJOR_VERSION, resData));
        }
    }

    private String getWaterProofTestData() {
        FtUtil.log_d(this.CLASS_NAME, "getWaterProofTestData");
        String result = Support.Kernel.readFromPath("/data/data/com.sec.android.app.hwmoduletest/files/barometerData", true);
        if (result == null || result.isEmpty()) {
            String result2 = "";
            for (int i = 0; i < 22; i++) {
                result2 = result2 + "-1.00,";
            }
            result = result2 + "-1.00";
        }
        FtUtil.log_i(this.CLASS_NAME, "getWaterProofTestData", "result : " + result);
        return result;
    }

    private String getWaterProofTestDataFromFTA() {
        String result = "";
        switch (NVAccessor.getNV(147)) {
            case 69:
            case 78:
                return "NG_-1.00,-1.00";
            case 70:
                result = result + "NG_";
                break;
            case 80:
                result = result + "OK_";
                break;
        }
        return ((result + Support.Kernel.read(Support.Kernel.EFS_WATERPROOF_LLEAK_PATH)) + ",") + Support.Kernel.read(Support.Kernel.EFS_WATERPROOF_SLEAK_PATH);
    }

    private String getPreWaterProofTestDataFromFTA() {
        String result;
        String strPrewpTestResult = Support.Kernel.read(Support.Kernel.EFS_PRE_WATERPROOF_LEAK_RESULT);
        if (strPrewpTestResult == null) {
            return "NG_-1.00";
        }
        if (strPrewpTestResult.equals("pass")) {
            result = "" + "OK_";
        } else {
            result = "" + "NG_";
        }
        return result + Support.Kernel.read(Support.Kernel.EFS_PRE_WATERPROOF_LEAK_PATH);
    }

    private void SensorReady() {
        for (int i = 0; i < 20; i++) {
            if (mModuleSensor.isSensorReady(ModuleSensor.ID_MANAGER_BAROMETER)) {
                FtUtil.log_i(this.CLASS_NAME, "SensorReady", "SensorReady is okay");
                return;
            } else {
                FtUtil.Sleep.sleep(100);
            }
        }
    }

    private void StartCal(float offset) {
        mModuleCommon.writemBaroDelta(Integer.toString((int) (offset * ((float) getBarometerResolution()))));
    }

    private int getBarometerResolution() {
        String vendor2 = Support.Kernel.read(Support.Kernel.BAROMETE_VENDOR);
        String chipName = Support.Kernel.read(Support.Kernel.BAROMETE_NAME);
        if (ModuleTouchScreen.TSP_VENDOR_NAME__STM.equals(vendor2)) {
            return 4096;
        }
        if (!"BOCH".equals(vendor2) && !SensorFeature.FEATURE_GYROSCOP_BOSCH.equals(vendor2)) {
            return 0;
        }
        if ("BMP580".equalsIgnoreCase(chipName)) {
            return 6400;
        }
        return 100;
    }
}
