package com.sec.factory.aporiented.athandler;

import android.content.Context;
import egis.client.api.EgisFingerprint;

public class AtBattcali extends AtCommandHandler {
    public AtBattcali(Context context) {
        super(context);
        this.CMD_NAME = "BATTCALI";
        this.CLASS_NAME = "AtBattcali";
        this.NUM_ARGS = 3;
        setCalibrationOnBoot();
    }

    private void setCalibrationOnBoot() {
        String battVal = mModulePower.readBatteryCal();
        if (battVal != null && battVal.length() > 0) {
            mModulePower.writeBatteryAdcCal(battVal);
        }
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0"})) {
            String adc = mModulePower.readBatteryAdcCal();
            mModulePower.writeBatteryAdcCal(adc);
            resData = responseString(argu[0], adc);
        } else if (checkArgu(argu, new String[]{"2"})) {
            mModulePower.writeBatteryCal(argu[2]);
            resData = responseString(argu[0], argu[2]);
        } else {
            resData = responseNA();
        }
        return resData;
    }
}
