package com.sec.factory.aporiented.athandler;

import android.content.Context;
import android.content.Intent;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class AtBootmode extends AtCommandHandler {
    public AtBootmode(Context context) {
        super(context);
        this.CMD_NAME = "BOOTMODE";
        this.CLASS_NAME = "AtBootmode";
        this.NUM_ARGS = 2;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0"})) {
            if (argu[1].equalsIgnoreCase("LC")) {
                FtUtil.log_d(this.CLASS_NAME, "Power Off Leakage Current Check Mode ");
                Support.Kernel.write(Support.Kernel.USB_FACTORY_MODE, "LC");
                resData = responseOK(argu[0]);
            } else if (argu[1].equalsIgnoreCase("DL")) {
                FtUtil.log_d(this.CLASS_NAME, "Enter Download Mode");
                Support.Kernel.write(Support.Kernel.USB_FACTORY_MODE, "DL");
                resData = responseOK(argu[0]);
                mModulePower.reboot((byte) 1);
            } else if (argu[1].equalsIgnoreCase("OB")) {
                FtUtil.log_d(this.CLASS_NAME, "Booting or Enter Factory Mode / Out Battery");
                if (Support.Kernel.write(Support.Kernel.BATT_FACTORY_MODE, EgisFingerprint.MAJOR_VERSION)) {
                    Support.Kernel.write(Support.Kernel.USB_FACTORY_MODE, "OB");
                    this.context.sendBroadcast(new Intent("com.sec.factory.UPDATE_BATT_FACTORY_MODE"));
                    resData = responseOK(argu[0]);
                } else {
                    resData = responseNG(argu[0]);
                }
            } else if (argu[1].equalsIgnoreCase("IB")) {
                FtUtil.log_d(this.CLASS_NAME, "Booting or Enter Factory Mode / In Battery");
                if (Support.Kernel.write(Support.Kernel.BATT_FACTORY_MODE, "0")) {
                    Support.Kernel.write(Support.Kernel.USB_FACTORY_MODE, "IB");
                    this.context.sendBroadcast(new Intent("com.sec.factory.UPDATE_BATT_FACTORY_MODE"));
                    resData = responseOK(argu[0]);
                } else {
                    resData = responseNG(argu[0]);
                }
            } else {
                resData = responseNA();
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0"})) {
            String result = Support.Kernel.read(Support.Kernel.BATT_FACTORY_MODE, true);
            if ("0".equals(result)) {
                resData = responseString(argu[0], "OK,IB");
            } else if (EgisFingerprint.MAJOR_VERSION.equals(result)) {
                resData = responseString(argu[0], "OK,OB");
            } else {
                resData = responseNG(argu[0]);
            }
        } else {
            resData = responseNA();
        }
        return resData;
    }
}
