package com.sec.factory.aporiented.athandler;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import com.sec.factory.aporiented.ResponseWriter;
import com.sec.factory.modules.ModuleCommunication;
import com.sec.factory.support.FtUtil;
import egis.client.api.EgisFingerprint;

public class AtBtidtest extends AtCommandHandler {
    static final String SYS_BLTH_ADDR = "ril.bt_macaddr";
    public BroadcastReceiver mReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.aporiented.athandler.AtBtidtest.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            String resData = intent.getStringExtra("S_DATA");
            AtBtidtest atBtidtest = AtBtidtest.this;
            atBtidtest.stopReceiver(atBtidtest.mReceiver);
            if (resData.equals("OK")) {
                FtUtil.log_d(AtBtidtest.this.CLASS_NAME, "mReceiver.onReceive", FtUtil.setMspSeqMessage(3, AtBtidtest.this.CMD_NAME + "=2,BTID", "Pass"));
                FtUtil.Sleep.sleep(50);
                if ("boot".equals(AtBtidtest.this.subString)) {
                    FtUtil.log_i(AtBtidtest.this.CLASS_NAME, "mReceiver.onReceive", "BT Read Boot Setting");
                    return;
                }
                ResponseWriter responseWriter = AtBtidtest.this.writer;
                AtBtidtest atBtidtest2 = AtBtidtest.this;
                responseWriter.write(atBtidtest2.responseString(atBtidtest2.subString, resData));
            } else if (resData.equals("NG")) {
                FtUtil.log_d(AtBtidtest.this.CLASS_NAME, "mReceiver.onReceive", FtUtil.setMspSeqMessage(3, AtBtidtest.this.CMD_NAME + "=1,0/2,BTID", "Fail - response of BT is NG"));
                if ("boot".equals(AtBtidtest.this.subString)) {
                    FtUtil.log_i(AtBtidtest.this.CLASS_NAME, "mReceiver.onReceive", "BT Write Boot Setting");
                    return;
                }
                ResponseWriter responseWriter2 = AtBtidtest.this.writer;
                AtBtidtest atBtidtest3 = AtBtidtest.this;
                responseWriter2.write(atBtidtest3.responseString(atBtidtest3.subString, resData));
            } else {
                String mData = "";
                FtUtil.log_i(AtBtidtest.this.CLASS_NAME, "mReceiver.onReceive", "resData: " + resData);
                String[] splitdata = resData.split(":");
                for (int i = 0; i < splitdata.length; i++) {
                    mData = mData + splitdata[i];
                }
                FtUtil.log_d(AtBtidtest.this.CLASS_NAME, "mReceiver.onReceive", FtUtil.setMspSeqMessage(3, AtBtidtest.this.CMD_NAME + "=1,0", "Pass"));
                ResponseWriter responseWriter3 = AtBtidtest.this.writer;
                AtBtidtest atBtidtest4 = AtBtidtest.this;
                responseWriter3.write(atBtidtest4.responseString(atBtidtest4.subString, mData));
            }
        }
    };
    private String subString = null;

    public AtBtidtest(Context context, ResponseWriter writer) {
        super(context);
        this.CMD_NAME = "BTIDTEST";
        this.CLASS_NAME = "AtBtidtest";
        this.NUM_ARGS = 2;
        this.writer = writer;
        this.subString = "boot";
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public void startReceiver() {
        IntentFilter filter = new IntentFilter();
        filter.addAction(ModuleCommunication.ACTION_BT_ID_RESPONSE);
        this.context.registerReceiver(this.mReceiver, filter);
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData = null;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        this.subString = argu[0];
        if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0"})) {
            startReceiver();
            mModuleCommunication.readBtId();
        } else if (!checkArgu(argu, new String[]{"2"})) {
            resData = responseNA();
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - NOT registered index"));
        } else if (argu[1].length() != 12) {
            resData = responseNG(argu[0]);
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=2,BTID", "Fail - ID length is not 12"));
        } else {
            startReceiver();
            mModuleCommunication.writeBtId(argu[1]);
        }
        return resData;
    }
}
