package com.sec.factory.aporiented.athandler;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import com.sec.factory.aporiented.ResponseWriter;
import com.sec.factory.modules.ModuleCommunication;
import com.sec.factory.support.FtUtil;
import egis.client.api.EgisFingerprint;

public class AtBtletest extends AtCommandHandler {
    private static String first_argu = null;

    public AtBtletest(Context context, ResponseWriter writer) {
        super(context);
        this.CMD_NAME = "BTLETEST";
        this.CLASS_NAME = "AtBtletest";
        this.NUM_ARGS = 4;
        this.writer = writer;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public void startReceiver() {
        this.context.registerReceiver(new BroadcastReceiver() {
            /* class com.sec.factory.aporiented.athandler.AtBtletest.AnonymousClass1 */

            public void onReceive(Context context, Intent intent) {
                if (ModuleCommunication.ACTION_BT_SERVICE_RESPONSE.equals(intent.getAction())) {
                    String result = intent.getStringExtra("result");
                    String str = AtBtletest.this.CLASS_NAME;
                    FtUtil.log_i(str, "btReceiver.onReceive", "EXTRA_KEY_BT_SERVICE_RESPONSE result=" + result);
                    AtBtletest.this.writer.write(AtBtletest.this.responseString(AtBtletest.first_argu, result));
                    AtBtletest.this.stopReceiver(this);
                }
            }
        }, new IntentFilter(ModuleCommunication.ACTION_BT_SERVICE_RESPONSE));
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData = null;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        first_argu = argu[0];
        int third_argu = Integer.parseInt(argu[3]);
        if (checkArgu(argu, new String[]{"0", "0", "0"})) {
            startReceiver();
            mModuleCommunication.setBtLeTxOutputCh(third_argu);
        } else if (checkArgu(argu, new String[]{"0", "0", EgisFingerprint.MAJOR_VERSION})) {
            startReceiver();
            mModuleCommunication.setBtLeTxMod0FCh(third_argu);
        } else if (checkArgu(argu, new String[]{"0", "0", "2"})) {
            startReceiver();
            mModuleCommunication.setBtLeTxModAACh(third_argu);
        } else if (checkArgu(argu, new String[]{"0", "0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
            startReceiver();
            mModuleCommunication.setBtLeTxCarrierCh(third_argu);
        } else if (checkArgu(argu, new String[]{"0", "0", "4"})) {
            startReceiver();
            mModuleCommunication.setBtLeTxInbandCh(third_argu);
        } else if (checkArgu(argu, new String[]{"0", "0", "5"})) {
            startReceiver();
            mModuleCommunication.setBtLeRxCh(third_argu);
        } else if (checkArgu(argu, new String[]{"0", "0", "6"})) {
            startReceiver();
            mModuleCommunication.setBtLeRxPhyCh(third_argu);
        } else if (checkArgu(argu, new String[]{"0", "0", "7"})) {
            startReceiver();
            mModuleCommunication.setBtLeRxModeIndexCh(third_argu);
        } else if (checkArgu(argu, new String[]{"0", "0", "8"})) {
            startReceiver();
            mModuleCommunication.setBtLeTxModPhyCh(third_argu);
        } else if (checkArgu(argu, new String[]{"0", "0", egis.optical.client.api.EgisFingerprint.JAR_VERSION})) {
            startReceiver();
            mModuleCommunication.setBtLeTxModCh(third_argu);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0"})) {
            startReceiver();
            mModuleCommunication.btLeRxTestResult(third_argu);
        } else {
            resData = responseNA();
        }
        return resData;
    }
}
