package com.sec.factory.aporiented.athandler;

import android.app.ActivityManager;
import android.content.Context;
import android.content.Intent;
import com.google.common.primitives.UnsignedBytes;
import com.sec.factory.app.service.ServiceBottomLayer;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.optical.client.api.EgisFingerprint;
import java.io.File;
import java.security.MessageDigest;

public class AtBtmlayer extends AtCommandHandler {
    public static final int MARGINE_COMMAND_LENGTH = 4;
    private Intent mIntent;

    public AtBtmlayer(Context context) {
        super(context);
        this.CMD_NAME = "BTMLAYER";
        this.CLASS_NAME = "AtBtmlayer";
        this.NUM_ARGS = 3;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData = null;
        if (argu.length < this.NUM_ARGS) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", "0"})) {
            if (argu.length != 3) {
                return responseNA();
            } else if (argu[2] != null) {
                String data = argu[2];
                if (data.contains("[CHK=")) {
                    String str = this.CLASS_NAME;
                    FtUtil.log_d(str, "handleCommand", "DATA : " + data);
                    String datachecksum = data.substring(data.length() + -33, data.length() - 1);
                    String str2 = this.CLASS_NAME;
                    FtUtil.log_d(str2, "handleCommand", "PGM Checksum : " + datachecksum);
                    String data2 = data.substring(0, data.length() + -38);
                    String str3 = this.CLASS_NAME;
                    FtUtil.log_d(str3, "handleCommand", "testitem : " + data2);
                    String checksum = createChecksum(data2);
                    if (!checksum.equalsIgnoreCase(datachecksum) || data2.length() <= 4) {
                        String str4 = this.CLASS_NAME;
                        String str5 = this.CMD_NAME;
                        FtUtil.log_d(str4, "handleCommand", FtUtil.setMspSeqMessage(3, str5, "Checksum Check Fail - PGM : " + datachecksum + " Phone : " + checksum));
                        return responseNG(argu[0]);
                    }
                    Intent intent = new Intent(this.context, ServiceBottomLayer.class);
                    this.mIntent = intent;
                    intent.putExtra("data", data2);
                    this.context.startService(this.mIntent);
                    return responseOK(argu[0]);
                }
                responseNG(argu[0]);
            } else {
                return responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.JAR_VERSION})) {
            if (argu[2] != null) {
                String checksum2 = createChecksum(argu[2]);
                String str6 = argu[0];
                resData = responseString(str6, "[CHK=" + checksum2 + "]");
            } else {
                return responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{egis.client.api.EgisFingerprint.MAJOR_VERSION, "0", "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Bottom Layer Test Data Read"));
            File dataResultFile = new File("data/log/BtmLayerResult.log");
            if (dataResultFile.exists()) {
                String resData2 = Support.Kernel.readFromPath(dataResultFile.getPath(), true);
                String str7 = this.CLASS_NAME;
                String str8 = this.CMD_NAME;
                FtUtil.log_d(str7, "handleCommand", FtUtil.setMspSeqMessage(3, str8, "Bottom Layer Result : " + resData2));
                resData = responseString(argu[0], resData2);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - Bottom Layer Result file is empty(BtmLayerResult.log)"));
                resData = responseString(argu[0], "NONE");
            }
        } else if (checkArgu(argu, new String[]{egis.client.api.EgisFingerprint.MAJOR_VERSION, egis.client.api.EgisFingerprint.MAJOR_VERSION, "0"})) {
            if (isServiceRunning()) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Bottom Layer is TESTING"));
                resData = responseString(argu[0], "TESTING");
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Bottom Layer TEST DONE"));
                resData = responseString(argu[0], "DONE");
            }
        }
        return resData;
    }

    public boolean isServiceRunning() {
        for (ActivityManager.RunningServiceInfo mRunningServiceInfo : ((ActivityManager) this.context.getSystemService("activity")).getRunningServices(Integer.MAX_VALUE)) {
            if ("com.sec.factory.app.service.ServiceBottomLayer".equals(mRunningServiceInfo.service.getClassName())) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "isServiceRunning");
                return true;
            }
        }
        return false;
    }

    public String createChecksum(String data) {
        try {
            MessageDigest complete = MessageDigest.getInstance("MD5");
            complete.update(data.getBytes());
            byte[] byteData = complete.digest();
            StringBuffer sb = new StringBuffer();
            for (byte b : byteData) {
                sb.append(Integer.toString((b & UnsignedBytes.MAX_VALUE) + 256, 16).substring(1));
            }
            String MD5 = sb.toString();
            FtUtil.log_d(this.CLASS_NAME, "createChecksum", MD5);
            return MD5;
        } catch (Exception e) {
            e.printStackTrace();
            return "";
        }
    }
}
