package com.sec.factory.aporiented.athandler;

import android.content.Context;
import com.sec.factory.support.FtUtil;
import egis.client.api.EgisFingerprint;

public class AtCalidate extends AtCommandHandler {
    public AtCalidate(Context context) {
        super(context);
        this.CMD_NAME = "CALIDATE";
        this.CLASS_NAME = "AtCalidate";
        this.NUM_ARGS = 4;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0", "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Read cal date"));
            resData = responseString(argu[0], mModuleCommon.getCalDate());
        } else if (checkArgu(argu, new String[]{"2"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Write cal date"));
            mModuleCommon.setCalDate(argu[1] + argu[2] + argu[3]);
            resData = responseOK(argu[0]);
        } else {
            resData = responseNA();
        }
        return resData;
    }
}
