package com.sec.factory.aporiented.athandler;

import android.content.Context;
import android.os.PowerManager;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.ModuleCommunicationService;
import com.sec.xmldata.support.Support;
import egis.optical.client.api.EgisFingerprint;

public class AtChargeic extends AtCommandHandler {
    protected static final int IDT_OTP_FIRMWARE_UPDATE_CHECK_MAX_COUNT = 40;
    private static final String MST_UNO_SWITCH_OFF = "0";
    private static final String MST_UNO_SWITCH_ON = "1";
    private static final byte[] OTG_MUIC_OFF = {FactoryTestManager.TEST_SENSORHUB, 0};
    private static final byte[] OTG_MUIC_ON = {FactoryTestManager.MACRO_AF, 0};
    private static final byte[] OTG_TEST_OFF = {FactoryTestManager.TEST_OTG3, 70, 70, 0};
    private static final byte[] OTG_TEST_ON = {FactoryTestManager.TEST_OTG3, 78, 0};
    protected boolean mDetected;
    PowerManager.WakeLock mWakeLock;

    public AtChargeic(Context context) {
        super(context);
        this.CMD_NAME = "CHARGEIC";
        this.CLASS_NAME = "AtChargeic";
        this.NUM_ARGS = 4;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData = null;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{MST_UNO_SWITCH_OFF, MST_UNO_SWITCH_OFF, "1", MST_UNO_SWITCH_OFF})) {
            if (Support.Kernel.isExistFile(Support.Kernel.OTG_TEST_MODE)) {
                Support.Kernel.write(Support.Kernel.OTG_TEST_MODE, OTG_TEST_OFF);
                try {
                    Thread.sleep(300);
                } catch (InterruptedException ie) {
                    ie.printStackTrace();
                }
                if (Support.Kernel.isExistFile(Support.Kernel.OTG_MUIC_SET)) {
                    Support.Kernel.write(Support.Kernel.OTG_MUIC_SET, OTG_MUIC_OFF);
                    resData = responseOK(argu[0]);
                } else {
                    resData = responseNG(argu[0]);
                }
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{MST_UNO_SWITCH_OFF, MST_UNO_SWITCH_OFF, "1", "1"})) {
            if (Support.Kernel.isExistFile(Support.Kernel.OTG_MUIC_SET)) {
                Support.Kernel.write(Support.Kernel.OTG_MUIC_SET, OTG_MUIC_ON);
                try {
                    Thread.sleep(300);
                } catch (InterruptedException ie2) {
                    ie2.printStackTrace();
                }
                if (Support.Kernel.isExistFile(Support.Kernel.OTG_TEST_MODE)) {
                    Support.Kernel.write(Support.Kernel.OTG_TEST_MODE, OTG_TEST_ON);
                    resData = responseOK(argu[0]);
                } else {
                    resData = responseNG(argu[0]);
                }
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{MST_UNO_SWITCH_OFF, MST_UNO_SWITCH_OFF, "2", MST_UNO_SWITCH_OFF})) {
            if (Support.Kernel.isExistFile(Support.Kernel.IDT_OTP_ON_OFF)) {
                Support.Kernel.write(Support.Kernel.IDT_OTP_ON_OFF, MST_UNO_SWITCH_OFF);
                try {
                    Thread.sleep(200);
                } catch (InterruptedException ie3) {
                    ie3.printStackTrace();
                }
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{MST_UNO_SWITCH_OFF, MST_UNO_SWITCH_OFF, "2", "1"})) {
            if (Support.Kernel.isExistFile(Support.Kernel.IDT_OTP_ON_OFF)) {
                Support.Kernel.write(Support.Kernel.IDT_OTP_ON_OFF, "1");
                try {
                    Thread.sleep(200);
                } catch (InterruptedException ie4) {
                    ie4.printStackTrace();
                }
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{MST_UNO_SWITCH_OFF, MST_UNO_SWITCH_OFF, EgisFingerprint.MAJOR_VERSION, MST_UNO_SWITCH_OFF})) {
            int count = 0;
            if (Support.Kernel.isExistFile(Support.Kernel.IDT_OTP_FIRMWARE_UPDATE)) {
                new Thread(new Runnable() {
                    /* class com.sec.factory.aporiented.athandler.AtChargeic.AnonymousClass1 */

                    public void run() {
                        Support.Kernel.write(Support.Kernel.IDT_OTP_FIRMWARE_UPDATE, "1");
                    }
                }).start();
                try {
                    Thread.sleep(20000);
                } catch (InterruptedException ie5) {
                    ie5.printStackTrace();
                }
                while (true) {
                    if ("1".equalsIgnoreCase(Support.Kernel.read(Support.Kernel.IDT_OTP_FIRMWARE_UPDATE_STATUS))) {
                        break;
                    }
                    int count2 = count + 1;
                    if (count >= 40) {
                        break;
                    }
                    try {
                        Thread.sleep(1000);
                    } catch (InterruptedException ie6) {
                        ie6.printStackTrace();
                    }
                    count = count2;
                }
                if ("1".equalsIgnoreCase(Support.Kernel.read(Support.Kernel.IDT_OTP_FIRMWARE_UPDATE_STATUS))) {
                    resData = responseOK(argu[0]);
                } else {
                    String str = argu[0];
                    resData = responseString(str, "NG," + Support.Kernel.read(Support.Kernel.IDT_OTP_FIRMWARE_UPDATE_STATUS));
                }
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{MST_UNO_SWITCH_OFF, MST_UNO_SWITCH_OFF, "4", MST_UNO_SWITCH_OFF})) {
            if (!Support.Kernel.isExistFile(Support.Kernel.BATT_SLATE_MODE)) {
                resData = responseNG(argu[0]);
            } else if (Support.Kernel.write(Support.Kernel.BATT_SLATE_MODE, "2")) {
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{MST_UNO_SWITCH_OFF, MST_UNO_SWITCH_OFF, "4", "1"})) {
            if (!Support.Kernel.isExistFile(Support.Kernel.BATT_SLATE_MODE)) {
                resData = responseNG(argu[0]);
            } else if (Support.Kernel.write(Support.Kernel.BATT_SLATE_MODE, MST_UNO_SWITCH_OFF)) {
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"1", MST_UNO_SWITCH_OFF, "1", MST_UNO_SWITCH_OFF})) {
            if ("1".equalsIgnoreCase(Support.Kernel.read(Support.Kernel.DUAL_CHARGER_SLAVE_ERDY))) {
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"1", MST_UNO_SWITCH_OFF, "2", MST_UNO_SWITCH_OFF})) {
            String idt_IC_fw_version = Support.Kernel.read(Support.Kernel.IDT_OTP_FIRMWARE_VERSION);
            String idt_bin_fw_version = Support.Kernel.read(Support.Kernel.IDT_PACKAGING_FIRMWARE_VERSION);
            if (idt_IC_fw_version == null || idt_bin_fw_version == null) {
                resData = responseNG(argu[0]);
            } else if (idt_IC_fw_version.equalsIgnoreCase(idt_bin_fw_version)) {
                resData = responseOK(argu[0]);
            } else {
                resData = responseString(argu[0], "NG_CS");
            }
        } else if (checkArgu(argu, new String[]{"1", MST_UNO_SWITCH_OFF, EgisFingerprint.MAJOR_VERSION, MST_UNO_SWITCH_OFF})) {
            if (Support.Kernel.isExistFile(Support.Kernel.MST_DATA_TRANSMIT_PATH)) {
                Support.Kernel.write(Support.Kernel.MST_DATA_TRANSMIT_PATH, "1");
            } else {
                Support.Kernel.write(Support.Kernel.IDT_OTP_ON_OFF, "1");
            }
            try {
                Thread.sleep(300);
            } catch (InterruptedException ie7) {
                ie7.printStackTrace();
            }
            String mfc_IC_fw_version = Support.Kernel.read(Support.Kernel.IDT_OTP_FIRMWARE_VERSION);
            if (Support.Kernel.isExistFile(Support.Kernel.MST_DATA_TRANSMIT_PATH)) {
                Support.Kernel.write(Support.Kernel.MST_DATA_TRANSMIT_PATH, MST_UNO_SWITCH_OFF);
            } else {
                Support.Kernel.write(Support.Kernel.IDT_OTP_ON_OFF, MST_UNO_SWITCH_OFF);
            }
            if (mfc_IC_fw_version == null || ModuleCommunicationService.SMD_NOK.equals(mfc_IC_fw_version) || "ffffffff".equals(mfc_IC_fw_version)) {
                resData = responseNG(argu[0]);
            } else {
                resData = responseString(argu[0], mfc_IC_fw_version);
            }
        }
        return resData;
    }
}
