package com.sec.factory.aporiented.athandler;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.SystemProperties;
import com.sec.factory.aporiented.ResponseWriter;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.IOException;

public class AtChipIdtt extends AtCommandHandler {
    private static String returnArgu = EgisFingerprint.MAJOR_VERSION;
    public BroadcastReceiver mReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.aporiented.athandler.AtChipIdtt.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            AtChipIdtt atChipIdtt = AtChipIdtt.this;
            atChipIdtt.stopReceiver(atChipIdtt.mReceiver);
            String mAction = intent.getAction();
            String str = AtChipIdtt.this.CLASS_NAME;
            FtUtil.log_d(str, "onReceive", "mAction : " + mAction);
            if ("com.sec.factory.camera.ACTION_TEST_STATUS".equals(mAction)) {
                FtUtil.log_d(AtChipIdtt.this.CLASS_NAME, "onReceive", "ACTION_TEST_STATUS");
                String actionResult = intent.getStringExtra("result");
                String str2 = AtChipIdtt.this.CLASS_NAME;
                FtUtil.log_d(str2, "onReceive", "actionResult : " + actionResult);
                AtChipIdtt.this.writer.write(AtChipIdtt.this.responseString(AtChipIdtt.returnArgu, actionResult));
            }
        }
    };

    public AtChipIdtt(Context context, ResponseWriter writer) {
        super(context);
        this.CMD_NAME = "CHIPIDTT";
        this.CLASS_NAME = "AtChipIdtt";
        this.NUM_ARGS = 4;
        this.writer = writer;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public void startReceiver() {
        IntentFilter mFilter = new IntentFilter();
        FtUtil.log_d(this.CLASS_NAME, "startReceiver", "User binary Test");
        mFilter.addAction("com.sec.factory.camera.ACTION_TEST_STATUS");
        FtUtil.log_d(this.CLASS_NAME, "startReceiver", "request to register mReceiver - start");
        this.context.registerReceiver(this.mReceiver, mFilter);
        FtUtil.log_d(this.CLASS_NAME, "startReceiver", "request to register mReceiver - done");
    }

    private void sendCameraBroadcast(String[] arg) {
        returnArgu = arg[0];
        Intent i = new Intent("com.sec.samsungtest.ACTION_CAMERATEST");
        i.putExtra("testtype", "CHIPIDTT");
        i.putExtra("arg1", arg[0]);
        i.putExtra("arg2", arg[1]);
        i.putExtra("arg3", arg[2]);
        i.putExtra("arg4", arg[3]);
        i.addFlags(268435456);
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "sendCameraBroadcast", "CHIPIDTT=" + arg[0] + "," + arg[1] + "," + arg[2] + "," + arg[3]);
        this.context.sendBroadcast(i, "com.sec.factory.cameralyzer.PERMISSION_CAMERASCRIPT");
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData = null;
        int firstApiLevel = SystemProperties.getInt("ro.product.first_api_level", 0);
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "handleCommand", "firstApiLevel:" + firstApiLevel);
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        } else if (FtUtil.isFactoryBinary() || firstApiLevel >= 28) {
            if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0", "0"})) {
                startReceiver();
                sendCameraBroadcast(argu);
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0", EgisFingerprint.MAJOR_VERSION})) {
                startReceiver();
                sendCameraBroadcast(argu);
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0", "2"})) {
                startReceiver();
                sendCameraBroadcast(argu);
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
                startReceiver();
                sendCameraBroadcast(argu);
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0", "4"})) {
                startReceiver();
                sendCameraBroadcast(argu);
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", EgisFingerprint.MAJOR_VERSION, "0"})) {
                String octaId = mModuleCommon.getOctaID();
                resData = octaId != null ? responseString(argu[0], octaId) : responseNG(argu[0]);
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
                String subOctaId = mModuleCommon.getSubOctaID();
                resData = subOctaId != null ? responseString(argu[0], subOctaId) : responseNG(argu[0]);
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", EgisFingerprint.MAJOR_VERSION, "2"})) {
                if (FtUtil.isFactoryBinary()) {
                    String DDIChipId = mModuleCommon.getDDIChipID();
                    resData = DDIChipId != null ? responseString(argu[0], DDIChipId) : responseNG(argu[0]);
                } else {
                    resData = responseNA();
                }
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
                if (FtUtil.isFactoryBinary()) {
                    String DDIChipId2 = mModuleCommon.getDDIChipID2();
                    resData = DDIChipId2 != null ? responseString(argu[0], DDIChipId2) : responseNG(argu[0]);
                } else {
                    resData = responseNA();
                }
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "2", "0"})) {
                String apChipId = mModuleCommon.getApChipID();
                resData = apChipId != null ? responseString(argu[0], apChipId) : responseNG(argu[0]);
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "2", EgisFingerprint.MAJOR_VERSION})) {
                String apChipId2 = mModuleCommon.getApChipID2();
                resData = apChipId2 != null ? responseString(argu[0], apChipId2) : responseNG(argu[0]);
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "2", "2"})) {
                String apChipLotId = mModuleCommon.getApChipLotID();
                resData = apChipLotId != null ? responseString(argu[0], apChipLotId) : responseNG(argu[0]);
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0"})) {
                String strInBattManufacture = Support.Kernel.read(Support.Kernel.FACTORY_BATT_TYPE);
                resData = (strInBattManufacture == null || strInBattManufacture.equals("")) ? responseNG(argu[0]) : responseString(argu[0], strInBattManufacture);
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "4", "2"})) {
                startReceiver();
                sendCameraBroadcast(argu);
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "5", EgisFingerprint.MAJOR_VERSION})) {
                startReceiver();
                sendCameraBroadcast(argu);
            } else {
                resData = checkArgu(argu, new String[]{"2", "0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION}) ? Support.Kernel.writeNsync(Support.Kernel.FACTORY_BATT_TYPE, argu[3]) ? responseOK(argu[0]) : responseNG(argu[0]) : checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "7"}) ? "NOT_APPLICABLE" : responseNA();
            }
            return resData;
        } else {
            return responseNA();
        }
    }

    /* access modifiers changed from: package-private */
    public int DoShellCmd(String cmd) {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "DoShellCmd", "cmd = " + cmd);
        String[] shell_command = {"/system/bin/sh", "-c", cmd};
        try {
            FtUtil.log_d(this.CLASS_NAME, "DoShellCmd", "exec command");
            Runtime.getRuntime().exec(shell_command).waitFor();
            FtUtil.log_d(this.CLASS_NAME, "DoShellCmd", "exec done");
            FtUtil.log_d(this.CLASS_NAME, "DoShellCmd", "DoShellCmd done");
            return 1;
        } catch (IOException exception) {
            String str2 = this.CLASS_NAME;
            FtUtil.log_e(str2, "DoShellCmd", "DoShellCmd - IOException" + exception);
            return -1;
        } catch (SecurityException exception2) {
            String str3 = this.CLASS_NAME;
            FtUtil.log_e(str3, "DoShellCmd", "SecurityException" + exception2);
            return -1;
        } catch (InterruptedException e) {
            String str4 = this.CLASS_NAME;
            FtUtil.log_e(str4, "DoShellCmd", "InterruptedException" + e);
            return -1;
        }
    }
}
