package com.sec.factory.aporiented.athandler;

import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import com.sec.factory.app.ui.VoiceAlwaysWakeOnTest;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.File;

public class AtCodecchk extends AtCommandHandler {
    private static ComponentName mAlwaysMicOnServiceComponentName = null;
    private final String PASS = EgisFingerprint.MAJOR_VERSION;
    private File vaDataFile;

    public AtCodecchk(Context context) {
        super(context);
        this.CMD_NAME = "CODECCHK";
        this.CLASS_NAME = "AtCodecchk";
        this.NUM_ARGS = 4;
        this.vaDataFile = new File("data/log/VA_Data.log");
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (argu.length < this.NUM_ARGS) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", "0", "0", "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,0,0,0", "Check audio codec IC driver"));
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Check audio codec IC driver");
            String path = Support.Kernel.getFilePath(Support.Kernel.AUDIO_CODEC_IC_DRIVER);
            boolean result = false;
            for (int i = 0; i <= 3; i++) {
                String filePath = path + String.valueOf(i);
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Check filePath : " + filePath);
                if (Support.Kernel.isExistFilePath(filePath)) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "filePath exist : " + filePath);
                    result = true;
                }
            }
            if (result) {
                resData = responseOK(argu[0]);
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,0,0,0", "Pass - filepath is exist"));
            } else {
                resData = responseNG(argu[0]);
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,0,0,0", "Fail - filepath is NOT exist"));
            }
        } else if (checkArgu(argu, new String[]{"0", "0", EgisFingerprint.MAJOR_VERSION, "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,0,1,0", "QC codec VA Test"));
            if (startVoiceAlwaysWakeOnService()) {
                resData = responseOK(argu[0]);
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,0,1,0", "Pass - QC codec VA Test Start"));
            } else {
                resData = responseNG(argu[0]);
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,0,1,0", "Fail - QC codec VA Test Start"));
            }
        } else if (checkArgu(argu, new String[]{"0", "0", EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,0,1,1", "QC WDSP Register Read"));
            resData = responseString(argu[0], Support.Kernel.readFromPath(this.vaDataFile.getPath(), true));
        } else {
            resData = responseNA();
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "N/A - NOT registerd index"));
        }
        return resData;
    }

    private boolean startVoiceAlwaysWakeOnService() {
        FtUtil.log_i(this.CLASS_NAME, "startAlwaysMicOnService", null);
        ComponentName startService = this.context.startService(new Intent(this.context, VoiceAlwaysWakeOnTest.class));
        mAlwaysMicOnServiceComponentName = startService;
        if (startService != null) {
            return true;
        }
        return false;
    }
}
