package com.sec.factory.aporiented.athandler;

import android.content.Context;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class AtCofpdata extends AtCommandHandler {
    public AtCofpdata(Context context) {
        super(context);
        this.CMD_NAME = "COFPDATA";
        this.CLASS_NAME = "AtCofpdata";
        this.NUM_ARGS = 4;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData = null;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0", "0"})) {
            String country = Support.Kernel.read(Support.Kernel.COUNTRY_PRODUCTION);
            if (country == null) {
                country = "NONE";
            }
            resData = responseString(argu[0], country);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", EgisFingerprint.MAJOR_VERSION, "0"})) {
            String plant = Support.Kernel.read(Support.Kernel.PLANT_PRODUCTION);
            if (plant == null) {
                plant = "NONE";
            }
            resData = responseString(argu[0], plant);
        } else if (checkArgu(argu, new String[]{"2", "0", "0"})) {
            if (argu[3] == null || argu[3].length() > 255) {
                resData = responseNG(argu[0]);
            } else if (Support.Kernel.write(Support.Kernel.COUNTRY_PRODUCTION, argu[3])) {
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"2", "0", EgisFingerprint.MAJOR_VERSION})) {
            if (argu[3] == null || argu[3].length() > 255) {
                resData = responseNG(argu[0]);
            } else if (Support.Kernel.write(Support.Kernel.PLANT_PRODUCTION, argu[3])) {
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        }
        return resData;
    }
}
