package com.sec.factory.aporiented.athandler;

import android.content.Context;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class AtColorbts extends AtCommandHandler {
    public AtColorbts(Context context) {
        super(context);
        this.CMD_NAME = "COLORBTS";
        this.CLASS_NAME = "AtColorbts";
        this.NUM_ARGS = 4;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (argu.length < this.NUM_ARGS) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0", "0"})) {
            if (!Support.Kernel.isExistFilePath(Support.Kernel.getFilePath(Support.Kernel.COLOUR_BALANCE_EFS))) {
                resData = responseString(argu[0], "NONE");
            } else {
                try {
                    String[] rawValueEFS = Support.Kernel.read(Support.Kernel.COLOUR_BALANCE_EFS).split(" ");
                    String str = argu[0];
                    resData = responseString(str, Integer.parseInt(rawValueEFS[0]) + "," + Integer.parseInt(rawValueEFS[1]) + "," + Integer.parseInt(rawValueEFS[2]));
                } catch (NumberFormatException e) {
                    FtUtil.log_d(this.CLASS_NAME, "NumberFormatException");
                    resData = responseNG(argu[0]);
                }
            }
        } else if (!checkArgu(argu, new String[]{"2", "0", "0"})) {
            resData = responseNA();
        } else if (argu.length != 6) {
            resData = responseNG(argu[0]);
        } else {
            try {
                int redOffset = Integer.parseInt(argu[3]);
                int greenOffset = Integer.parseInt(argu[4]);
                int blueOffset = Integer.parseInt(argu[5]);
                String path = Support.Kernel.getFilePath(Support.Kernel.COLOUR_BALANCE_EFS);
                String str2 = this.CLASS_NAME;
                FtUtil.log_d(str2, "redOffset = " + redOffset + ", greenOffset = " + greenOffset + ", blueOffset = " + blueOffset);
                if (redOffset >= -8 && greenOffset >= -8 && blueOffset >= -8 && redOffset <= 0 && greenOffset <= 0) {
                    if (blueOffset <= 0) {
                        if (Support.Kernel.writeNsync(Support.Kernel.COLOUR_BALANCE_EFS, redOffset + " " + greenOffset + " " + blueOffset) && Support.Kernel.setPermission(path, true, true, true, true, true, false)) {
                            if (Support.Kernel.write(Support.Kernel.COLOUR_BALANCE_KERNEL, redOffset + " " + greenOffset + " " + blueOffset)) {
                                FtUtil.log_d(this.CLASS_NAME, "Successfully write the offset");
                                resData = responseOK(argu[0]);
                            }
                        }
                        FtUtil.log_d(this.CLASS_NAME, "Fail occured in writing offset");
                        resData = responseNG(argu[0]);
                    }
                }
                FtUtil.log_d(this.CLASS_NAME, "Out of input range");
                resData = responseNG(argu[0]);
            } catch (NumberFormatException e2) {
                FtUtil.log_d(this.CLASS_NAME, "NumberFormatException");
                resData = responseNG(argu[0]);
            }
        }
        return resData;
    }
}
