package com.sec.factory.aporiented.athandler;

import android.content.BroadcastReceiver;
import android.content.Context;
import com.sec.factory.aporiented.AtCommandInfo;
import com.sec.factory.aporiented.ResponseWriter;
import com.sec.factory.modules.ModuleAudio;
import com.sec.factory.modules.ModuleCommon;
import com.sec.factory.modules.ModuleCommunication;
import com.sec.factory.modules.ModuleDFT;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.modules.ModuleForceTouch;
import com.sec.factory.modules.ModulePower;
import com.sec.factory.modules.ModuleSensor;
import com.sec.factory.modules.ModuleTouchScreen;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.util.Arrays;

public abstract class AtCommandHandler {
    public static final int COMMAND_TYPE_UART = 0;
    public static final int COMMAND_TYPE_USB = 1;
    protected static final String NG_RESPONE_STRING = "NG";
    public static final String NOT_APPLICABLE = "NOT_APPLICABLE";
    public static final int N_ACK_DFT_RESPONSE = 7;
    public static final int N_ACK_RESPONSE = 0;
    public static final int N_NACK_DFT_RESPONSE = 8;
    public static final int N_NACK_RESPONSE = 1;
    public static final int N_NA_RESPONSE = 5;
    public static final int N_NG_RESPONSE = 4;
    public static final int N_NON_RESULT_RESPONSE = 3;
    public static final int N_NO_ARG_RESPONSE = 6;
    public static int N_RESULT = -1;
    public static final int N_RESULT_CP_SYSDUMP = 11;
    public static final int N_RESULT_DFTKEY_RESPONSE = 9;
    public static final int N_RESULT_DFT_RESPONSE = 10;
    public static final int N_RESULT_RESPONSE = 2;
    protected static final String OK_RESPONE_STRING = "OK";
    public static boolean STAGE_PARALLEL = false;
    public static final int TYPE_APO = 1;
    protected static ModuleAudio mModuleAudio = null;
    protected static ModuleCommon mModuleCommon = null;
    protected static ModuleCommunication mModuleCommunication = null;
    protected static ModuleDFT mModuleDFT = null;
    protected static ModuleDevice mModuleDevice = null;
    protected static ModuleForceTouch mModuleForceTouch = null;
    protected static ModulePower mModulePower = null;
    protected static ModuleSensor mModuleSensor = null;
    protected static ModuleTouchScreen mModuleTouchScreen = null;
    protected String CLASS_NAME = "AtCommandHandler";
    protected String CMD_NAME = "CMD_NAME";
    public int CMD_TYPE = 1;
    protected final String DELIMITER = ",";
    public int NUM_ARGS = 0;
    public String PARALLEL_CMD_INDEX = null;
    protected Context context;
    protected int mCommandType = 0;
    protected BroadcastReceiver mReceiver;
    public int mResult = -1;
    protected ResponseWriter writer;

    /* access modifiers changed from: protected */
    public void startReceiver() {
    }

    /* access modifiers changed from: protected */
    public void stopReceiver(BroadcastReceiver mReceiver2) {
        FtUtil.log_i(this.CLASS_NAME, "stopReceiver");
        if (mReceiver2 != null) {
            try {
                this.context.unregisterReceiver(mReceiver2);
            } catch (IllegalArgumentException e) {
                FtUtil.log_e(e);
                FtUtil.log_e(this.CLASS_NAME, "stopReceiver", "Can not unregisterReceiver");
            }
        }
    }

    public AtCommandHandler(Context context2) {
        this.context = context2;
        this.writer = null;
        ModuleAudio moduleAudio = mModuleAudio;
        mModuleAudio = moduleAudio == null ? ModuleAudio.instance(context2) : moduleAudio;
        ModuleCommon moduleCommon = mModuleCommon;
        mModuleCommon = moduleCommon == null ? ModuleCommon.instance(context2) : moduleCommon;
        ModuleCommunication moduleCommunication = mModuleCommunication;
        mModuleCommunication = moduleCommunication == null ? ModuleCommunication.instance(context2) : moduleCommunication;
        ModuleDevice moduleDevice = mModuleDevice;
        mModuleDevice = moduleDevice == null ? ModuleDevice.instance(context2) : moduleDevice;
        ModuleDFT moduleDFT = mModuleDFT;
        mModuleDFT = moduleDFT == null ? ModuleDFT.instance(context2) : moduleDFT;
        ModulePower modulePower = mModulePower;
        mModulePower = modulePower == null ? ModulePower.instance(context2) : modulePower;
        ModuleSensor moduleSensor = mModuleSensor;
        mModuleSensor = moduleSensor == null ? ModuleSensor.instance(context2) : moduleSensor;
        ModuleTouchScreen moduleTouchScreen = mModuleTouchScreen;
        mModuleTouchScreen = moduleTouchScreen == null ? ModuleTouchScreen.instance(context2) : moduleTouchScreen;
        ModuleForceTouch moduleForceTouch = mModuleForceTouch;
        mModuleForceTouch = moduleForceTouch == null ? ModuleForceTouch.instance(context2) : moduleForceTouch;
    }

    public synchronized String handleCommand(String[] argu) {
        return null;
    }

    public void setCmdType(int type) {
        this.CMD_TYPE = type;
    }

    public void setCmdName(String cmdName) {
        this.CMD_NAME = cmdName;
    }

    public int getCmdType() {
        return this.CMD_TYPE;
    }

    public void setResultType(int type) {
        N_RESULT = type;
    }

    public int getResultType() {
        return N_RESULT;
    }

    /* access modifiers changed from: protected */
    public boolean checkArgu(String[] argu, String[] argv) {
        for (int i = 0; i < argv.length; i++) {
            if (!argu[i].equalsIgnoreCase(argv[i])) {
                return false;
            }
        }
        if (STAGE_PARALLEL) {
            this.PARALLEL_CMD_INDEX = argu[argu.length - 1];
            String str = this.CLASS_NAME;
            FtUtil.log_i(str, "checkArgu", "This stage is parallel stage, index = " + this.PARALLEL_CMD_INDEX);
        }
        return true;
    }

    /* access modifiers changed from: protected */
    public boolean checkArgu(String[] argu, String[] argv, boolean isParallel) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "checkArgu", "isParallel = " + isParallel);
        if (isParallel) {
            return checkArgu(argu, argv);
        }
        for (int i = 0; i < argv.length; i++) {
            if (!argu[i].equalsIgnoreCase(argv[i])) {
                return false;
            }
        }
        return true;
    }

    /* access modifiers changed from: protected */
    public String echoString(String[] arg) {
        if (arg == null) {
            FtUtil.log_w(this.CLASS_NAME, "echoString", "arg is null");
            return "NA";
        }
        String result = Arrays.toString(arg);
        if (result == null || result.length() < 2) {
            FtUtil.log_w(this.CLASS_NAME, "echoString", "arg is null");
            return "NA";
        }
        return "AT+" + this.CMD_NAME + "=" + result.substring(1, result.length() - 1).replaceAll(" ", "") + "\r\n";
    }

    /* access modifiers changed from: protected */
    public String responseString(String str) {
        if (STAGE_PARALLEL) {
            return "\r\n+" + this.CMD_NAME + ":" + str + "," + this.PARALLEL_CMD_INDEX + "\r\n\r\nOK\r\n";
        }
        String result = "\r\n+" + this.CMD_NAME + ":" + str + "\r\n\r\nOK\r\n";
        AtCommandInfo.getInstance().addCommandHistory(result);
        return result;
    }

    /* access modifiers changed from: protected */
    public String responseString(String arg, String input) {
        if (STAGE_PARALLEL) {
            return "\r\n+" + this.CMD_NAME + ":" + arg + "," + input + "," + this.PARALLEL_CMD_INDEX + "\r\n\r\nOK\r\n";
        }
        String result = "\r\n+" + this.CMD_NAME + ":" + arg + "," + input + "\r\n\r\nOK\r\n";
        AtCommandInfo.getInstance().addCommandHistory(result);
        if (!result.contains("NG") || this.CMD_NAME == "HWPARAMD") {
            return result;
        }
        AtCommandInfo.getInstance().setFailInfo(this.CMD_NAME, input);
        return result;
    }

    /* access modifiers changed from: protected */
    public String responseNG(String arg) {
        if (STAGE_PARALLEL) {
            return "\r\n+" + this.CMD_NAME + ":" + arg + ",NG," + this.PARALLEL_CMD_INDEX + "\r\n\r\nOK\r\n";
        }
        String result = "\r\n+" + this.CMD_NAME + ":" + arg + ",NG\r\n\r\nOK\r\n";
        AtCommandInfo.getInstance().addCommandHistory(result);
        AtCommandInfo.getInstance().setFailInfo(this.CMD_NAME, Support.Properties.PROPERTIES_DEFAULT_STRING);
        return result;
    }

    /* access modifiers changed from: protected */
    public String responseOK(String arg) {
        if (STAGE_PARALLEL) {
            return "\r\n+" + this.CMD_NAME + ":" + arg + ",OK," + this.PARALLEL_CMD_INDEX + "\r\n\r\nOK\r\n";
        }
        String result = "\r\n+" + this.CMD_NAME + ":" + arg + ",OK\r\n\r\nOK\r\n";
        AtCommandInfo.getInstance().addCommandHistory(result);
        return result;
    }

    /* access modifiers changed from: protected */
    public String responseOKNoNewLine(String arg) {
        if (STAGE_PARALLEL) {
            return "\r\n+" + this.CMD_NAME + ":" + arg + ",OK," + this.PARALLEL_CMD_INDEX + "\r\n\r\nOK";
        }
        String result = "\r\n+" + this.CMD_NAME + ":" + arg + ",OK\r\n\r\nOK";
        AtCommandInfo.getInstance().addCommandHistory(result);
        return result;
    }

    /* access modifiers changed from: protected */
    public String responseNA() {
        if (STAGE_PARALLEL) {
            return "\r\n+CME Error:NA," + this.PARALLEL_CMD_INDEX + "\r\n\r\nOK\r\n";
        }
        AtCommandInfo.getInstance().addCommandHistory("\r\n+CME Error:NA\r\n\r\nOK\r\n");
        return "\r\n+CME Error:NA\r\n\r\nOK\r\n";
    }

    /* access modifiers changed from: protected */
    public String readOneLine(String filepath) {
        String result = "";
        BufferedReader buf = null;
        try {
            BufferedReader buf2 = new BufferedReader(new FileReader(filepath), 8096);
            String bufline = buf2.readLine();
            if (bufline != null) {
                result = bufline.trim();
            }
            try {
                buf2.close();
            } catch (IOException e) {
                e.printStackTrace();
            }
        } catch (FileNotFoundException ex) {
            ex.printStackTrace();
            if (0 != 0) {
                buf.close();
            }
        } catch (IOException e2) {
            e2.printStackTrace();
            if (0 != 0) {
                buf.close();
            }
        } catch (NullPointerException e3) {
            e3.printStackTrace();
            if (0 != 0) {
                buf.close();
            }
        } catch (Throwable th) {
            if (0 != 0) {
                try {
                    buf.close();
                } catch (IOException e4) {
                    e4.printStackTrace();
                }
            }
            throw th;
        }
        return result;
    }

    /* access modifiers changed from: protected */
    public boolean writeFile(String filepath, String value) {
        FileWriter fw = null;
        try {
            fw = new FileWriter(filepath);
            fw.write(value);
            fw.flush();
            try {
                fw.close();
                return true;
            } catch (IOException e) {
                e.printStackTrace();
                return false;
            }
        } catch (IOException e2) {
            FtUtil.log_e(e2);
            if (fw == null) {
                return false;
            }
            fw.close();
            return false;
        } catch (Throwable th) {
            if (fw != null) {
                try {
                    fw.close();
                } catch (IOException e3) {
                    e3.printStackTrace();
                }
            }
            throw th;
        }
    }

    public boolean syncFS() {
        String[] shell_command = {"/system/bin/sh", "-c", "sync"};
        FtUtil.log_i(this.CLASS_NAME, "syncFS", "exec start");
        try {
            Runtime.getRuntime().exec(shell_command).waitFor();
            FtUtil.log_i(this.CLASS_NAME, "syncFS", "exec done");
            return true;
        } catch (IOException e) {
            FtUtil.log_e(this.CLASS_NAME, "syncFS", "DoShellCmd - IOException");
            return false;
        } catch (SecurityException e2) {
            FtUtil.log_e(this.CLASS_NAME, "syncFS", "DoShellCmd - SecurityException");
            return false;
        } catch (InterruptedException e3) {
            e3.printStackTrace();
            return false;
        }
    }
}
