package com.sec.factory.aporiented.athandler;

import android.content.Context;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.File;

public class AtControlN extends AtCommandHandler {
    public AtControlN(Context context) {
        super(context);
        this.CMD_NAME = "CONTROLN";
        this.CLASS_NAME = "AtControlN";
        this.NUM_ARGS = 2;
        String path = Support.Kernel.getFilePath(Support.Kernel.CONTROL_NO);
        if (!Support.Kernel.isExistFilePath(path)) {
            mModuleDevice.writeControlNo("0000000000000");
            Support.Kernel.setPermission(path, true, true, true, true, true, false);
        }
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (argu.length < this.NUM_ARGS) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, "0"})) {
            resData = responseString(argu[0], mModuleDevice.readControlNo());
        } else if (checkArgu(argu, new String[]{"2", EgisFingerprint.MAJOR_VERSION})) {
            StringBuilder control_no = new StringBuilder();
            for (int i = 2; i < argu.length; i++) {
                control_no.append(argu[i]);
                control_no.append(",");
            }
            control_no.deleteCharAt(control_no.length() - 1);
            if (!mModuleDevice.writeControlNo(control_no.toString())) {
                resData = responseNG(argu[0]);
            } else {
                resData = responseOK(argu[0]);
            }
            if (!Support.Kernel.write(Support.Kernel.HWPARAM_PCB_INFO_PATH, control_no.toString())) {
                String str = this.CLASS_NAME;
                FtUtil.log_e(str, "setPcbBarcode", "write fail. setPcbBarcode=" + control_no.toString());
            }
        } else {
            resData = responseNA();
        }
        return resData;
    }

    public boolean isFileExist(String aFile) {
        return new File(aFile).exists();
    }
}
