package com.sec.factory.aporiented.athandler;

import android.app.ActivityManager;
import android.content.ActivityNotFoundException;
import android.content.Context;
import android.content.Intent;
import android.content.pm.PackageManager;
import android.os.CustomFrequencyManager;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Iterator;

public class AtCorectrl extends AtCommandHandler {
    private static final int MP_DECISION_STOP_TIME = 200;
    public final String QBLIZARD_PACKAGE_NAME = "com.mithun.launchtest";
    public CustomFrequencyManager mCustomFreqManager;
    protected boolean mDetected;

    public AtCorectrl(Context context) {
        super(context);
        this.CMD_NAME = "CORECTRL";
        this.CLASS_NAME = "AtCorectrl";
        this.NUM_ARGS = 3;
        this.mCustomFreqManager = (CustomFrequencyManager) context.getSystemService("CustomFrequencyManagerService");
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", "0", "0"})) {
            if (killProcess("com.mithun.launchtest")) {
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", "0", EgisFingerprint.MAJOR_VERSION})) {
            String chipsetName = Support.Feature.getString(Support.Feature.CHIPSET_NAME);
            if (!"MSM8974PRO".equalsIgnoreCase(chipsetName) && !"MSM8974".equalsIgnoreCase(chipsetName) && !"APQ8074".equalsIgnoreCase(chipsetName) && !"MSM8274".equalsIgnoreCase(chipsetName) && !"MSM8928".equalsIgnoreCase(chipsetName) && !"MSM8228".equalsIgnoreCase(chipsetName) && !"APQ8064".equalsIgnoreCase(chipsetName) && !"MSM8674".equalsIgnoreCase(chipsetName) && !"MSM8674PRO".equalsIgnoreCase(chipsetName) && !"MSM8026".equalsIgnoreCase(chipsetName) && !"MSM8226".equalsIgnoreCase(chipsetName) && !"MSM8626".equalsIgnoreCase(chipsetName) && !"MSM8926".equalsIgnoreCase(chipsetName) && !"MSM8216".equalsIgnoreCase(chipsetName) && !"MSM8916".equalsIgnoreCase(chipsetName) && !"MSM8909".equalsIgnoreCase(chipsetName) && !"APQ8084".equalsIgnoreCase(chipsetName) && !"SC7735".equalsIgnoreCase(chipsetName)) {
                try {
                    Intent i = new Intent();
                    i.setClassName("com.mithun.launchtest", "com.mithun.launchtest.MainActivity");
                    i.setFlags(335544320);
                    this.context.startActivity(i);
                    resData = responseOK(argu[0]);
                } catch (ActivityNotFoundException ae) {
                    FtUtil.log_e(ae);
                    resData = responseNG(argu[0]);
                }
            } else if (DoShellCmd("/system/bin/launch_test.sh")) {
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0"})) {
            if (isRunningProcess()) {
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "4", "0"})) {
            String dvfs = Support.Kernel.read(Support.Kernel.DVFS_PATH);
            String str = this.CLASS_NAME;
            FtUtil.log_i(str, "DVFS read", "dvfs: " + dvfs);
            if ("interactive".equals(dvfs) || "ondemand".equals(dvfs) || "schedutil".equals(dvfs) || "energy_step".equals(dvfs) || "energy_aware".equals(dvfs) || "walt".equals(dvfs)) {
                resData = responseString(argu[0], "ON");
            } else {
                resData = responseString(argu[0], "OFF");
            }
        } else {
            resData = responseNA();
        }
        return resData;
    }

    private boolean isRunningProcess(String name) {
        try {
            for (ActivityManager.RunningAppProcessInfo pi : ((ActivityManager) this.context.getSystemService("activity")).getRunningAppProcesses()) {
                String processName = pi.processName;
                FtUtil.log_i(this.CLASS_NAME, "Running Process name = ", processName);
                if (name.equalsIgnoreCase(processName)) {
                    return true;
                }
            }
            return false;
        } catch (SecurityException se) {
            String str = this.CLASS_NAME;
            FtUtil.log_e(str, "Exception : " + se);
            return false;
        }
    }

    private boolean isRunningProcess() {
        String PROCESS_NAME = "QBlizzardLnxCons";
        if ("MSM8930".equalsIgnoreCase(Support.Feature.getString(Support.Feature.CHIPSET_NAME))) {
            PROCESS_NAME = "QblizzardLnxEx";
        }
        BufferedReader reader = null;
        String result = new String();
        String[] command = {"/system/bin/sh", "-c", "ps QBlizzard"};
        FtUtil.log_d(this.CLASS_NAME, "isRunningProcess : " + command);
        try {
            BufferedReader reader2 = new BufferedReader(new InputStreamReader(Runtime.getRuntime().exec(command).getInputStream()));
            while (true) {
                String line = reader2.readLine();
                if (line != null) {
                    FtUtil.log_d(this.CLASS_NAME, ": ps " + line);
                    result = result + line;
                } else {
                    try {
                        break;
                    } catch (IOException e) {
                        FtUtil.log_e(e);
                    }
                }
            }
            reader2.close();
        } catch (IOException exception) {
            FtUtil.log_e(exception);
            if (0 != 0) {
                reader.close();
            }
        } catch (SecurityException exception2) {
            FtUtil.log_e(exception2);
            if (0 != 0) {
                reader.close();
            }
        } catch (Exception e2) {
            FtUtil.log_e(e2);
            if (0 != 0) {
                try {
                    reader.close();
                } catch (IOException e3) {
                    FtUtil.log_e(e3);
                }
            }
        } catch (Throwable th) {
            if (0 != 0) {
                try {
                    reader.close();
                } catch (IOException e4) {
                    FtUtil.log_e(e4);
                }
            }
            throw th;
        }
        FtUtil.log_d(this.CLASS_NAME, "result " + result);
        if (!result.contains(PROCESS_NAME)) {
            return false;
        }
        FtUtil.log_d(this.CLASS_NAME, "QBlizzardLnxCons ", " found");
        return true;
    }

    private boolean killProcess(String name) {
        PackageManager packageManager = this.context.getPackageManager();
        if (isRunningProcess(name)) {
            packageManager.setApplicationEnabledSetting(name, 2, 0);
            packageManager.setApplicationEnabledSetting(name, 1, 0);
            String str = this.CLASS_NAME;
            FtUtil.log_i(str, "killProcess", "Disable(Kill) and then Enable package(" + name + ")");
            try {
                Thread.sleep(500);
            } catch (InterruptedException e) {
                e.printStackTrace();
            }
            if (!isRunningProcess(name)) {
                return true;
            }
            String str2 = this.CLASS_NAME;
            FtUtil.log_i(str2, "killProcess", "Can't stop pacakge(" + name + ")");
            return false;
        }
        String str3 = this.CLASS_NAME;
        FtUtil.log_i(str3, "killProcess", "Can not stop process(" + name + ")");
        return false;
    }

    public boolean DoShellCmd(String cmd) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "DoShellCmd", "DoShellCmd : " + cmd);
        String[] shell_command = {"/system/bin/sh", "-c", cmd};
        try {
            FtUtil.log_i(this.CLASS_NAME, "DoShellCmd", "exec command");
            Runtime.getRuntime().exec(shell_command).waitFor();
            FtUtil.log_i(this.CLASS_NAME, "DoShellCmd", "exec done");
            FtUtil.log_i(this.CLASS_NAME, "DoShellCmd", "DoShellCmd done");
            return true;
        } catch (IOException e) {
            FtUtil.log_e(this.CLASS_NAME, "DoShellCmd", "DoShellCmd - IOException");
            return false;
        } catch (SecurityException e2) {
            FtUtil.log_e(this.CLASS_NAME, "DoShellCmd", "DoShellCmd - SecurityException");
            return false;
        } catch (InterruptedException e3) {
            e3.printStackTrace();
            return false;
        }
    }

    private static class CpuOnlineParser {
        private String[] mActivMark;

        public CpuOnlineParser() {
            this.mActivMark = new String[0];
        }

        public CpuOnlineParser(String[] activeMarkArr) {
            this.mActivMark = activeMarkArr;
        }

        public void setActiveMark(String[] activeMarkArr) {
            this.mActivMark = activeMarkArr;
        }

        public String parse(String onlineValue) {
            boolean[] bActive = new boolean[this.mActivMark.length];
            Arrays.fill(bActive, Boolean.FALSE.booleanValue());
            if (onlineValue != null) {
                if (!onlineValue.isEmpty()) {
                    String[] items = onlineValue.split(",");
                    ArrayList<Integer> activeCoreList = new ArrayList<>();
                    for (String item : items) {
                        if (item.contains("-")) {
                            String[] fromToIdx = item.split("-");
                            if (fromToIdx.length == 2) {
                                int fromIdx = Integer.parseInt(fromToIdx[0]);
                                int toIdx = Integer.parseInt(fromToIdx[1]);
                                if (fromIdx < toIdx) {
                                    for (int coreIdx = fromIdx; coreIdx <= toIdx; coreIdx++) {
                                        activeCoreList.add(Integer.valueOf(coreIdx));
                                    }
                                } else {
                                    throw new IllegalArgumentException(onlineValue);
                                }
                            } else {
                                throw new IllegalArgumentException(onlineValue);
                            }
                        } else {
                            activeCoreList.add(Integer.valueOf(Integer.parseInt(item)));
                        }
                    }
                    Iterator<Integer> it = activeCoreList.iterator();
                    while (it.hasNext()) {
                        bActive[it.next().intValue()] = true;
                    }
                    activeCoreList.clear();
                }
                StringBuilder sb = new StringBuilder();
                for (int i = 0; i < bActive.length; i++) {
                    String mark = this.mActivMark[i];
                    if (!bActive[i]) {
                        mark = mark.replaceAll(".", "0");
                    }
                    sb.insert(0, mark);
                }
                return sb.toString();
            }
            throw new NullPointerException();
        }
    }

    private static class HmpCoreController {
        private static String PATH_ONLINE = "/sys/devices/system/cpu/cpu#/online";
        private static final String REPLACE_CHAR = "#";

        private HmpCoreController() {
        }

        public static void setPath(String path) {
            PATH_ONLINE = path;
        }

        private static boolean runCommandEachCore(String command, int... cores) {
            boolean result = true;
            for (int core : cores) {
                String path = PATH_ONLINE.replace(REPLACE_CHAR, String.valueOf(core));
                if (!command.equals(Support.Kernel.readFromPath(path, true)) && !(result = Support.Kernel.writeToPath(path, command))) {
                    FtUtil.log_d("AtCorectrl", "runCommandEachCore", "result:" + result + ", path: " + path + ", cmd: " + command);
                    return result;
                }
            }
            return result;
        }

        private static int readCommandEachCore(int... cores) {
            int result = 0;
            for (int core : cores) {
                String path = PATH_ONLINE.replace(REPLACE_CHAR, String.valueOf(core));
                if (EgisFingerprint.MAJOR_VERSION.equals(Support.Kernel.readFromPath(path, true))) {
                    result++;
                    FtUtil.log_d("AtCorectrl", "readCommandEachCore", "result:" + result + ", path: " + path);
                }
            }
            return result;
        }

        private static String convertFromHotplugToHMP() {
            String result = "";
            int numOfApCore = Support.Feature.getInt(Support.Feature.NUMBER_OF_AP_CORE);
            for (int coreIndex = 0; coreIndex < numOfApCore; coreIndex++) {
                String path = PATH_ONLINE.replace(REPLACE_CHAR, String.valueOf(coreIndex));
                if (EgisFingerprint.MAJOR_VERSION.equals(Support.Kernel.readFromPath(path, true))) {
                    result = result + Integer.toString(coreIndex);
                    FtUtil.log_d("AtCorectrl", "readCommandEachCore", "result:" + result + ", path: " + path);
                }
                if (numOfApCore - 1 != coreIndex) {
                    result = result + ",";
                }
            }
            return result;
        }

        public static boolean activate(int... cores) {
            return runCommandEachCore(EgisFingerprint.MAJOR_VERSION, cores);
        }

        public static boolean deactivate(int... cores) {
            return runCommandEachCore("0", cores);
        }
    }
}
