package com.sec.factory.aporiented.athandler;

import android.content.Context;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.optical.client.api.EgisFingerprint;
import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;

public class AtCountrst extends AtCommandHandler {
    private static final String NOT_APPLICABLE = "NA";
    private static final String RESET_VALUE = "0";
    private static final String VERSION = "1";
    Context mContext;

    public AtCountrst(Context context) {
        super(context);
        this.mContext = context;
        this.CMD_NAME = "COUNTRST";
        this.CLASS_NAME = "AtCountrst";
        this.NUM_ARGS = 3;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - NUM_ARGS ERROR"));
            return responseNA();
        }
        if (checkArgu(argu, new String[]{RESET_VALUE, RESET_VALUE, RESET_VALUE})) {
            resetFileCounter(Support.Kernel.getFilePath(Support.Kernel.SECEFS_PATH_TA_COUNTER));
            resetFileCounter(Support.Kernel.getFilePath(Support.Kernel.SECEFS_PATH_EPEN_COUNTER));
            resetFileCounter(Support.Kernel.getFilePath(Support.Kernel.SECEFS_PATH_EARJACK_COUNTER));
            resetFileCounter(Support.Kernel.getFilePath(Support.Kernel.SECEFS_PATH_QWERTY_COUNTER));
            resetFileCounter(Support.Kernel.getFilePath(Support.Kernel.SECEFS_PATH_FLASHPOPUP_COUNTER));
            resetFileCounter(Support.Kernel.getFilePath(Support.Kernel.SECEFS_PATH_TDMB_COUNTER));
            resData = responseOK(argu[0]);
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,0,0", "Pass"));
        } else if (checkArgu(argu, new String[]{RESET_VALUE, RESET_VALUE, "1"})) {
            if (resetFileCounter(Support.Kernel.getFilePath(Support.Kernel.SECEFS_PATH_TA_COUNTER))) {
                resData = responseOK(argu[0]);
                String str2 = this.CLASS_NAME;
                FtUtil.log_d(str2, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,0,1", "Pass"));
            } else {
                resData = responseNA();
                String str3 = this.CLASS_NAME;
                FtUtil.log_d(str3, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,0,1", "Fail - Not available"));
            }
        } else if (checkArgu(argu, new String[]{RESET_VALUE, RESET_VALUE, "2"})) {
            if (resetFileCounter(Support.Kernel.getFilePath(Support.Kernel.SECEFS_PATH_EPEN_COUNTER))) {
                resData = responseOK(argu[0]);
                String str4 = this.CLASS_NAME;
                FtUtil.log_d(str4, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,0,2", "Pass"));
            } else {
                resData = responseNA();
                String str5 = this.CLASS_NAME;
                FtUtil.log_d(str5, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,0,2", "Fail - Not available"));
            }
        } else if (checkArgu(argu, new String[]{RESET_VALUE, RESET_VALUE, EgisFingerprint.MAJOR_VERSION})) {
            if (resetFileCounter(Support.Kernel.getFilePath(Support.Kernel.SECEFS_PATH_EARJACK_COUNTER))) {
                resData = responseOK(argu[0]);
                String str6 = this.CLASS_NAME;
                FtUtil.log_d(str6, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,0,3", "Pass"));
            } else {
                resData = responseNA();
                String str7 = this.CLASS_NAME;
                FtUtil.log_d(str7, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,0,3", "Fail - Not available"));
            }
        } else if (checkArgu(argu, new String[]{RESET_VALUE, RESET_VALUE, "4"})) {
            if (resetFileCounter(Support.Kernel.getFilePath(Support.Kernel.SECEFS_PATH_QWERTY_COUNTER))) {
                resData = responseOK(argu[0]);
                String str8 = this.CLASS_NAME;
                FtUtil.log_d(str8, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,0,4", "Pass"));
            } else {
                resData = responseNA();
                String str9 = this.CLASS_NAME;
                FtUtil.log_d(str9, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,0,4", "Fail - Not available"));
            }
        } else if (checkArgu(argu, new String[]{RESET_VALUE, RESET_VALUE, "5"})) {
            if (resetFileCounter(Support.Kernel.getFilePath(Support.Kernel.SECEFS_PATH_FLASHPOPUP_COUNTER))) {
                resData = responseOK(argu[0]);
                String str10 = this.CLASS_NAME;
                FtUtil.log_d(str10, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,0,5", "Pass"));
            } else {
                resData = responseNA();
                String str11 = this.CLASS_NAME;
                FtUtil.log_d(str11, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,0,5", "Fail - Not available"));
            }
        } else if (checkArgu(argu, new String[]{RESET_VALUE, RESET_VALUE, "6"})) {
            if (resetFileCounter(Support.Kernel.getFilePath(Support.Kernel.SECEFS_PATH_TDMB_COUNTER))) {
                resData = responseOK(argu[0]);
                String str12 = this.CLASS_NAME;
                FtUtil.log_d(str12, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,0,6", "Pass"));
            } else {
                resData = responseNA();
                String str13 = this.CLASS_NAME;
                FtUtil.log_d(str13, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,0,6", "Fail - Not available"));
            }
        } else if (checkArgu(argu, new String[]{"1", RESET_VALUE, RESET_VALUE})) {
            StringBuffer tempResult = new StringBuffer(15);
            String countA = loadFileCounter(Support.Kernel.getFilePath(Support.Kernel.SECEFS_PATH_TA_COUNTER));
            String countB = loadFileCounter(Support.Kernel.getFilePath(Support.Kernel.SECEFS_PATH_EPEN_COUNTER));
            String countC = loadFileCounter(Support.Kernel.getFilePath(Support.Kernel.SECEFS_PATH_EARJACK_COUNTER));
            String countD = loadFileCounter(Support.Kernel.getFilePath(Support.Kernel.SECEFS_PATH_QWERTY_COUNTER));
            String countE = loadFileCounter(Support.Kernel.getFilePath(Support.Kernel.SECEFS_PATH_FLASHPOPUP_COUNTER));
            String countF = loadFileCounter(Support.Kernel.getFilePath(Support.Kernel.SECEFS_PATH_TDMB_COUNTER));
            tempResult.append("1");
            tempResult.append(',');
            tempResult.append(countA);
            tempResult.append(',');
            tempResult.append(countB);
            tempResult.append(',');
            tempResult.append(countC);
            tempResult.append(',');
            tempResult.append(countD);
            tempResult.append(',');
            tempResult.append(countE);
            tempResult.append(',');
            tempResult.append(countF);
            String resData2 = responseString(argu[0], tempResult.toString());
            String str14 = this.CLASS_NAME;
            FtUtil.log_d(str14, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,0,0", "Pass"));
            resData = resData2;
        } else if (checkArgu(argu, new String[]{"1", RESET_VALUE, "1"})) {
            String countA2 = loadFileCounter(Support.Kernel.getFilePath(Support.Kernel.SECEFS_PATH_TA_COUNTER));
            if (!countA2.equalsIgnoreCase("NA")) {
                resData = responseString(argu[0], countA2);
                String str15 = this.CLASS_NAME;
                FtUtil.log_d(str15, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,0,1", "Pass"));
            } else {
                resData = responseNA();
                String str16 = this.CLASS_NAME;
                FtUtil.log_d(str16, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,0,1", "Fail - Not available"));
            }
        } else if (checkArgu(argu, new String[]{"1", RESET_VALUE, "2"})) {
            String countB2 = loadFileCounter(Support.Kernel.getFilePath(Support.Kernel.SECEFS_PATH_EPEN_COUNTER));
            if (!countB2.equalsIgnoreCase("NA")) {
                resData = responseString(argu[0], countB2);
                String str17 = this.CLASS_NAME;
                FtUtil.log_d(str17, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,0,2", "Pass"));
            } else {
                resData = responseNA();
                String str18 = this.CLASS_NAME;
                FtUtil.log_d(str18, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,0,2", "Fail - Not available"));
            }
        } else if (checkArgu(argu, new String[]{"1", RESET_VALUE, EgisFingerprint.MAJOR_VERSION})) {
            String countC2 = loadFileCounter(Support.Kernel.getFilePath(Support.Kernel.SECEFS_PATH_EARJACK_COUNTER));
            if (!countC2.equalsIgnoreCase("NA")) {
                resData = responseString(argu[0], countC2);
                String str19 = this.CLASS_NAME;
                FtUtil.log_d(str19, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,0,3", "Pass"));
            } else {
                resData = responseNA();
                String str20 = this.CLASS_NAME;
                FtUtil.log_d(str20, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,0,3", "Fail - Not available"));
            }
        } else if (checkArgu(argu, new String[]{"1", RESET_VALUE, "4"})) {
            String countD2 = loadFileCounter(Support.Kernel.getFilePath(Support.Kernel.SECEFS_PATH_QWERTY_COUNTER));
            if (!countD2.equalsIgnoreCase("NA")) {
                resData = responseString(argu[0], countD2);
                String str21 = this.CLASS_NAME;
                FtUtil.log_d(str21, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,0,4", "Pass"));
            } else {
                resData = responseNA();
                String str22 = this.CLASS_NAME;
                FtUtil.log_d(str22, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,0,4", "Fail - Not available"));
            }
        } else if (checkArgu(argu, new String[]{"1", RESET_VALUE, "5"})) {
            String countE2 = loadFileCounter(Support.Kernel.getFilePath(Support.Kernel.SECEFS_PATH_FLASHPOPUP_COUNTER));
            if (!countE2.equalsIgnoreCase("NA")) {
                resData = responseString(argu[0], countE2);
                String str23 = this.CLASS_NAME;
                FtUtil.log_d(str23, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,0,5", "Pass"));
            } else {
                resData = responseNA();
                String str24 = this.CLASS_NAME;
                FtUtil.log_d(str24, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,0,5", "Fail - Not available"));
            }
        } else if (checkArgu(argu, new String[]{"1", RESET_VALUE, "6"})) {
            String countF2 = loadFileCounter(Support.Kernel.getFilePath(Support.Kernel.SECEFS_PATH_TDMB_COUNTER));
            if (!countF2.equalsIgnoreCase("NA")) {
                resData = responseString(argu[0], countF2);
                String str25 = this.CLASS_NAME;
                FtUtil.log_d(str25, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,0,6", "Pass"));
            } else {
                resData = responseNA();
                String str26 = this.CLASS_NAME;
                FtUtil.log_d(str26, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,0,6", "Fail - Not available"));
            }
        } else {
            resData = responseNA();
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - NOT registerd index"));
        }
        return resData;
    }

    private String loadFileCounter(String filepath) {
        String result = RESET_VALUE;
        BufferedReader buf = null;
        FileReader fr = null;
        try {
            FileReader fr2 = new FileReader(filepath);
            BufferedReader buf2 = new BufferedReader(fr2, 8096);
            String counter = buf2.readLine();
            if (counter != null) {
                result = counter.trim();
            }
            try {
                fr2.close();
                buf2.close();
            } catch (IOException e) {
                FtUtil.log_e(this.CLASS_NAME, "loadFileCounter", "IOException");
            }
        } catch (FileNotFoundException e2) {
            FtUtil.log_e(this.CLASS_NAME, "loadFileCounter", "FileNotFoundException");
            result = (!filepath.equals(Support.Kernel.getFilePath(Support.Kernel.SECEFS_PATH_EPEN_COUNTER)) || !isSpenInsertSupported()) ? "NA" : RESET_VALUE;
            if (0 != 0) {
                fr.close();
            }
            if (0 != 0) {
                buf.close();
            }
        } catch (IOException e3) {
            FtUtil.log_e(this.CLASS_NAME, "loadFileCounter", "IOException");
            result = "NA";
            if (0 != 0) {
                fr.close();
            }
            if (0 != 0) {
                buf.close();
            }
        } catch (NullPointerException e4) {
            FtUtil.log_e(this.CLASS_NAME, "loadFileCounter", "NullPointerException");
            result = "NA";
            if (0 != 0) {
                fr.close();
            }
            if (0 != 0) {
                buf.close();
            }
        } catch (NumberFormatException e5) {
            FtUtil.log_e(this.CLASS_NAME, "loadFileCounter", "NumberFormatException");
            result = "NA";
            if (0 != 0) {
                fr.close();
            }
            if (0 != 0) {
                buf.close();
            }
        } catch (Throwable th) {
            if (0 != 0) {
                try {
                    fr.close();
                } catch (IOException e6) {
                    FtUtil.log_e(this.CLASS_NAME, "loadFileCounter", "IOException");
                    throw th;
                }
            }
            if (0 != 0) {
                buf.close();
            }
            throw th;
        }
        return result;
    }

    /* access modifiers changed from: protected */
    public boolean resetFileCounter(String filepath) {
        if (Support.Kernel.isExistFilePath(filepath)) {
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "resetFileCounter", "write and sync routine, filepath:" + filepath + ", value:" + RESET_VALUE);
            return Support.Kernel.writeToPathNsync(filepath, RESET_VALUE);
        }
        String str2 = this.CLASS_NAME;
        FtUtil.log_d(str2, "resetFileCounter", "File does not exist, filepath:" + filepath);
        return false;
    }

    private boolean isSpenInsertSupported() {
        return Support.Feature.getBoolean(Support.Feature.SUPPORT_EPEN) && !Support.Feature.getBoolean(Support.Feature.SUPPORT_EPEN_WITHOUT_INSERT);
    }
}
