package com.sec.factory.aporiented.athandler;

import android.content.Context;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.File;

public class AtCteicode extends AtCommandHandler {
    private static final String DEFAULT_CTEICODE = "";

    public AtCteicode(Context context) {
        super(context);
        this.CMD_NAME = "CTEICODE";
        this.CLASS_NAME = "AtCteicode";
        this.NUM_ARGS = 2;
        String path = Support.Kernel.getFilePath(Support.Kernel.SECEFS_CTEICODE);
        if (!Support.Kernel.isExistFilePath(path)) {
            mModuleDevice.writeCteiCode("");
            Support.Kernel.setPermission(path, true, true, true, true, true, false);
        }
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (argu.length < this.NUM_ARGS) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0"})) {
            resData = responseString(argu[0], mModuleDevice.readCteiCode());
        } else if (!checkArgu(argu, new String[]{"2"})) {
            resData = responseNA();
        } else if (!mModuleDevice.writeCteiCode(argu[1])) {
            resData = responseNG(argu[0]);
        } else {
            resData = responseOK(argu[0]);
        }
        return resData;
    }

    public boolean isFileExist(String aFile) {
        return new File(aFile).exists();
    }
}
