package com.sec.factory.aporiented.athandler;

import android.content.Context;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.File;

public class AtDcictest extends AtCommandHandler {
    public AtDcictest(Context context) {
        super(context);
        this.CMD_NAME = "DCICTEST";
        this.CLASS_NAME = "AtDcictest";
        this.NUM_ARGS = 2;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", "0"})) {
            if (Support.Kernel.isExistFile(Support.Kernel.VSAFE_REGISTER_STATUS)) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "VSafe Register is exist");
                String value = Support.Kernel.read(Support.Kernel.VSAFE_REGISTER_STATUS);
                String str = this.CLASS_NAME;
                FtUtil.log_d(str, "handleCommand", "value: " + value);
                if ("0".equals(value)) {
                    resData = responseOK(argu[0]);
                } else {
                    resData = responseNG(argu[0]);
                }
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "VSafe Register is not exist");
                resData = responseNA();
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "D2D Charge Data Read"));
            File dataAvgFile = new File("data/log/D2DChargeData.log");
            if (dataAvgFile.exists()) {
                resData = responseString(argu[0], Support.Kernel.readFromPath(dataAvgFile.getPath(), true));
                String str2 = this.CLASS_NAME;
                String str3 = this.CMD_NAME;
                FtUtil.log_i(str2, str3, "D2D Charge Data : " + Support.Kernel.readFromPath(dataAvgFile.getPath(), true));
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - D2D Charge Read data file is empty(D2DChargeData.log)"));
                resData = responseString(argu[0], "NONE");
            }
        } else {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - NOT registered index"));
            resData = responseNA();
        }
        return resData;
    }
}
