package com.sec.factory.aporiented.athandler;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Environment;
import com.sec.factory.aporiented.ResponseWriter;
import com.sec.factory.modules.SensorRead;
import com.sec.factory.support.FtUtil;
import egis.client.api.EgisFingerprint;
import java.io.File;
import java.io.FileInputStream;
import java.util.Timer;
import java.util.TimerTask;
import org.apache.poi.hssf.usermodel.HSSFCell;
import org.apache.poi.hssf.usermodel.HSSFRow;
import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.apache.poi.poifs.filesystem.POIFSFileSystem;
import org.json.JSONObject;

public class AtDhrtestt extends AtCommandHandler {
    private final String ACTION_HQM_START_APP_REQ = "com.sec.android.intent.action.HQM_START_APP_REQ";
    private final String ACTION_HQM_START_APP_RESPONSE = "com.sec.android.intent.action.HQM_START_APP_RESPONSE";
    private final String DEVICE_HEALTH_REPORT = "DeviceHealthReport";
    private final String NG = "NG";
    private final int TIMEOUT = 10000;
    public BroadcastReceiver mReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.aporiented.athandler.AtDhrtestt.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            String mAction = intent.getAction();
            FtUtil.log_d(AtDhrtestt.this.CLASS_NAME, "onReceive", mAction);
            if ("com.sec.android.intent.action.HQM_START_APP_RESPONSE".equals(mAction)) {
                if (intent.getBooleanExtra("result", false)) {
                    AtDhrtestt.this.writer.write(AtDhrtestt.this.responseOK("0"));
                } else {
                    AtDhrtestt.this.writer.write(AtDhrtestt.this.responseNG("0"));
                }
                AtDhrtestt atDhrtestt = AtDhrtestt.this;
                atDhrtestt.stopReceiver(atDhrtestt.mReceiver);
                AtDhrtestt.this.mTimeoutTask.cancel();
                AtDhrtestt.this.mTimeoutTimer.cancel();
                AtDhrtestt.this.mTimeoutTimer.purge();
                AtDhrtestt.this.misDHRAppRunning = false;
            }
        }
    };
    private TimeoutTask mTimeoutTask;
    private Timer mTimeoutTimer;
    private boolean misDHRAppRunning;

    public AtDhrtestt(Context context, ResponseWriter writer) {
        super(context);
        this.context = context;
        this.CMD_NAME = "DHRTESTT";
        this.CLASS_NAME = "AtDhrtestt";
        this.NUM_ARGS = 4;
        this.writer = writer;
        this.misDHRAppRunning = false;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public void startReceiver() {
        IntentFilter mFilter = new IntentFilter();
        mFilter.addAction("com.sec.android.intent.action.HQM_START_APP_RESPONSE");
        this.context.registerReceiver(this.mReceiver, mFilter);
        FtUtil.log_d(this.CLASS_NAME, "startReceiver", "");
    }

    /* access modifiers changed from: package-private */
    public class TimeoutTask extends TimerTask {
        TimeoutTask() {
        }

        public void run() {
            try {
                AtDhrtestt.this.misDHRAppRunning = false;
                AtDhrtestt.this.writer.write(AtDhrtestt.this.responseNG("0"));
                AtDhrtestt.this.mTimeoutTask.cancel();
                AtDhrtestt.this.mTimeoutTimer.cancel();
                AtDhrtestt.this.mTimeoutTimer.purge();
                AtDhrtestt atDhrtestt = AtDhrtestt.this;
                atDhrtestt.stopReceiver(atDhrtestt.mReceiver);
            } catch (Exception e) {
                e.printStackTrace();
            }
            FtUtil.log_d(AtDhrtestt.this.CLASS_NAME, "run", "timeout task finish");
        }
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData = null;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", "0", EgisFingerprint.MAJOR_VERSION, "0"})) {
            if (this.misDHRAppRunning) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "DHR App Already Running");
                resData = responseNG(argu[0]);
            } else {
                this.misDHRAppRunning = true;
                Intent intent = new Intent();
                intent.setAction("com.sec.android.intent.action.HQM_START_APP_REQ");
                intent.putExtra("ATCMD", true);
                this.context.sendBroadcast(intent);
                startReceiver();
                try {
                    this.mTimeoutTimer = new Timer();
                    TimeoutTask timeoutTask = new TimeoutTask();
                    this.mTimeoutTask = timeoutTask;
                    this.mTimeoutTimer.schedule(timeoutTask, 10000);
                } catch (Exception e) {
                    FtUtil.log_e(e);
                }
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", EgisFingerprint.MAJOR_VERSION, "0"})) {
            String strDHRResult = getDHRResult();
            resData = strDHRResult == null ? responseNG(argu[0]) : responseString(argu[0], strDHRResult);
        } else {
            resData = responseNA();
        }
        return resData;
    }

    public File getDHRFile(String _strPath) {
        File fileDHR = null;
        FtUtil.log_i(this.CLASS_NAME, "getDHRFile", _strPath);
        File[] files = new File(_strPath).listFiles();
        if (files == null) {
            FtUtil.log_i(this.CLASS_NAME, "getDHRFile", "not exist list Files");
            return null;
        }
        for (int i = 0; i < files.length; i++) {
            if (files[i].getName().contains("DeviceHealthReport")) {
                fileDHR = files[i];
                String str = this.CLASS_NAME;
                FtUtil.log_i(str, "getDHRFile", "find DHR file : " + files[i].getName());
            }
        }
        return fileDHR;
    }

    /* JADX WARNING: Removed duplicated region for block: B:41:0x0152 A[ORIG_RETURN, RETURN, SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:47:? A[RETURN, SYNTHETIC] */
    public String getDHRResult() {
        String result;
        String result2;
        Exception e;
        POIFSFileSystem poiFS;
        FileInputStream fis;
        File fileDHR;
        String result3 = null;
        try {
            File fileDHR2 = getDHRFile(Environment.getExternalStorageDirectory().getCanonicalPath() + "/log");
            if (fileDHR2 == null) {
                return null;
            }
            FileInputStream fis2 = new FileInputStream(fileDHR2);
            POIFSFileSystem poiFS2 = new POIFSFileSystem(fis2);
            HSSFSheet sheet = new HSSFWorkbook(poiFS2).getSheetAt(0);
            int maxRows = sheet.getPhysicalNumberOfRows();
            JSONObject objDHRResult = new JSONObject();
            FtUtil.log_i(this.CLASS_NAME, "getDHRResult", "max row : " + maxRows);
            String curCompID = null;
            String curStatus = null;
            int curRow = 3;
            while (curRow < maxRows) {
                HSSFRow row = sheet.getRow(curRow);
                result2 = result3;
                if (row != null) {
                    fileDHR = fileDHR2;
                    try {
                        HSSFCell cellCompID = row.getCell(2);
                        fis = fis2;
                        HSSFCell cellStatus = row.getCell(13);
                        if (cellCompID == null || cellCompID.getStringCellValue() == null) {
                            poiFS = poiFS2;
                        } else {
                            if (curCompID != null) {
                                poiFS = poiFS2;
                                FtUtil.log_i(this.CLASS_NAME, "getDHRResult", "COMP ID : " + curCompID + " status :" + curStatus);
                                objDHRResult.put(curCompID, curStatus);
                            } else {
                                poiFS = poiFS2;
                            }
                            curStatus = "Pass";
                            curCompID = cellCompID.getStringCellValue();
                            FtUtil.log_i(this.CLASS_NAME, "getDHRResult", "cur COMP ID : " + curCompID);
                        }
                        if (cellStatus != null && "Fail".equals(cellStatus.getStringCellValue())) {
                            curStatus = "Fail";
                        }
                    } catch (Exception e2) {
                        e = e2;
                        FtUtil.log_e(e);
                        result = result2;
                        if (result == null) {
                        }
                    }
                } else {
                    fileDHR = fileDHR2;
                    fis = fis2;
                    poiFS = poiFS2;
                }
                curRow++;
                result3 = result2;
                fileDHR2 = fileDHR;
                fis2 = fis;
                poiFS2 = poiFS;
            }
            if (curCompID != null) {
                FtUtil.log_i(this.CLASS_NAME, "getDHRResult", "COMP ID : " + curCompID + " status :" + curStatus);
                objDHRResult.put(curCompID, curStatus);
            }
            FtUtil.log_i(this.CLASS_NAME, "getDHRResult", "objDHRResult.length() : " + objDHRResult.length());
            if (objDHRResult.length() != 0) {
                result = objDHRResult.toString();
            } else {
                result = result3;
            }
            if (result == null) {
                return SensorRead.RETURN_DATA_ARRAY_INDEX_1_NONE;
            }
            return result;
        } catch (Exception e3) {
            e = e3;
            result2 = null;
            FtUtil.log_e(e);
            result = result2;
            if (result == null) {
            }
        }
    }
}
