package com.sec.factory.aporiented.athandler;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Binder;
import android.os.Handler;
import android.os.IBinder;
import android.os.Looper;
import android.os.Message;
import android.os.PowerManager;
import com.sec.factory.aporiented.ResponseWriter;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.app.ui.UIDisptestActivity;
import com.sec.factory.app.ui.UILcdALPMTest;
import com.sec.factory.app.ui.UILcdHLPMAlphabetMain;
import com.sec.factory.app.ui.UIMcd;
import com.sec.factory.app.ui.UIMicroCrack;
import com.sec.factory.app.ui.UIOctaCellIdReadForFoolproof;
import com.sec.factory.app.ui.UIOctaDDIDSCDecoderTest;
import com.sec.factory.app.ui.UIOctaXTalkTest;
import com.sec.factory.app.ui.UISPICheckTest;
import com.sec.factory.app.ui.UIVrrDisptestActivity;
import com.sec.factory.modules.ModuleCommunicationService;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.modules.ModulePower;
import com.sec.factory.modules.SubDisplayPresentation;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.lang.reflect.Array;
import java.util.ArrayList;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class AtDisptest extends AtCommandHandler {
    private static final String ADAPTIVE_HIGH_SPEED = "A";
    private static final int ALPM_MODE = 2;
    private static final String ALWAYS_HIGH_SPEED = "H";
    private static final int BRIGHTNESS_AVG = 140;
    private static final int BRIGHTNESS_MAX = 255;
    private static final int BRIGHTNESS_MIN = 30;
    private static final int DDI_DSC_DECODER_TEST = 5;
    private static final int DISPLAY_BENEATH_HILL = 5;
    private static final int DISPLAY_BLACK = 4;
    private static final int DISPLAY_BLUE = 2;
    private static final int DISPLAY_CROSSTALK = 8;
    private static final int DISPLAY_GRAY128 = 7;
    private static final int DISPLAY_GREEN = 1;
    private static final int DISPLAY_LCD_ALPM_HIGH = 102;
    private static final int DISPLAY_LCD_ALPM_LOW = 101;
    private static final int DISPLAY_LCD_HLPM_HIGH = 103;
    private static final int DISPLAY_LCD_HLPM_LOW = 104;
    private static final int DISPLAY_LCD_MCD = 100;
    private static final int DISPLAY_LCD_MICRO_CRACK = 105;
    private static final int DISPLAY_OCTA_XTALK = 106;
    private static final int DISPLAY_ON_OFF = 107;
    private static final String DISPLAY_PMIC_SENSING_START = "com.samsung.intent.action.DISPLAY_PMIC_SENSING_START";
    private static final String DISPLAY_PMIC_SENSING_STOP = "com.samsung.intent.action.DISPLAY_PMIC_SENSING_STOP";
    private static final int DISPLAY_RED = 0;
    private static final int DISPLAY_SUB_LCD_HLPM_HIGH = 108;
    private static final int DISPLAY_WHITE = 3;
    private static final int HLPM_MODE = 8;
    private static final int LCD_CURRENT_CHECK_TIMEOUT = 5000;
    private static final int MCD_MODE = 0;
    private static final int MCD_MODE_2 = 1;
    private static final int MICRO_CRACK_MODE = 9;
    private static final int MODULE_NUM_MAX = 8;
    private static final int MSG_LCD_CURRENT_CHECK_TIMEOUT = 31;
    private static final String NORMAL_SPEED = "N";
    private static final int NO_FILE = -1;
    private static final int NO_TYPE = -1;
    private static final int NO_VALUE = -1;
    private static final int OCTA_CELL_ID_READ_FOR_FOOLPROOF = 10;
    private static final int SENSING_COUNT = 2;
    private static final int SPI_CHECK_MODE = 3;
    private static final int SUB_PRESENTATION_MCD_MODE = 6;
    private static final int SUB_PRESENTATION_SHARPNESS_MODE = 7;
    private static final int VISION = 4;
    private static final IBinder mBinder = new Binder();
    private final String ACTION_RECEIVE_DDI_DSC_DECODER_RESULT;
    private final String ACTION_RECEIVE_SPICHECK_RESULT;
    private final int MSG_LCD_OFF;
    private final int MSG_LCD_ON;
    private final int MSG_READ_COPR;
    private final int MSG_READ_MOSI_MISO;
    private final int MSG_RESULT_FAIL;
    private final int MSG_RESULT_PASS;
    private final int MSG_RESULT_VIEW;
    private final int MSG_TEST_START;
    private final int SHOW_IMAGE_DELAY;
    private final int SHOW_RESULT_DELAY;
    private String blueOffset;
    private String[] copr_val;
    private String greenOffset;
    private boolean isDisplayInputCurrentPass;
    private boolean[] isPass;
    private final Context mContext;
    private int mCount;
    private int[][] mDisplayInputCurrent;
    private int[] mDisplayInputCurrentSum;
    private Handler mHandler;
    private int mIndex;
    private String[] mOffsetList;
    private PowerManager mPowerManager;
    private BroadcastReceiver mResultReceiver;
    private String mValueList;
    private String redOffset;

    public AtDisptest(Context context, ResponseWriter writer) {
        super(context);
        this.mResultReceiver = new BroadcastReceiver() {
            /* class com.sec.factory.aporiented.athandler.AtDisptest.AnonymousClass1 */

            public void onReceive(Context context, Intent intent) {
                String action = intent.getAction();
                if ("com.android.samsungtest.RECEIVE_SPICHECK_RESULT".equals(action)) {
                    boolean result = intent.getBooleanExtra("RESULT", false);
                    String data = intent.getStringExtra("DATA");
                    String str = AtDisptest.this.CLASS_NAME;
                    FtUtil.log_d(str, "onReceive", "result : " + result + ", data : " + data);
                    if (result) {
                        ResponseWriter responseWriter = AtDisptest.this.writer;
                        AtDisptest atDisptest = AtDisptest.this;
                        responseWriter.write(atDisptest.responseString("4", "OK," + data));
                    } else {
                        ResponseWriter responseWriter2 = AtDisptest.this.writer;
                        AtDisptest atDisptest2 = AtDisptest.this;
                        responseWriter2.write(atDisptest2.responseString("4", "NG," + data));
                    }
                } else if ("com.android.samsungtest.RECEIVE_DDI_DSC_DECODER_RESULT".equals(action)) {
                    boolean result2 = intent.getBooleanExtra("RESULT", false);
                    String data2 = intent.getStringExtra("DATA");
                    String str2 = AtDisptest.this.CLASS_NAME;
                    FtUtil.log_d(str2, "onReceive", "result : " + result2 + ", data : " + data2);
                    if (result2) {
                        ResponseWriter responseWriter3 = AtDisptest.this.writer;
                        AtDisptest atDisptest3 = AtDisptest.this;
                        responseWriter3.write(atDisptest3.responseString("4", "OK," + data2));
                    } else {
                        ResponseWriter responseWriter4 = AtDisptest.this.writer;
                        AtDisptest atDisptest4 = AtDisptest.this;
                        responseWriter4.write(atDisptest4.responseString("4", "NG," + data2));
                    }
                } else if (AtDisptest.DISPLAY_PMIC_SENSING_STOP.equals(action)) {
                    FtUtil.log_d(AtDisptest.this.CLASS_NAME, "onReceive", "DISPLAY_PMIC_SENSING_STOP - remove timeout message");
                    AtDisptest.this.mHandler.removeMessages(31);
                    String readData = AtDisptest.this.readDisplayPmicPower();
                    String str3 = AtDisptest.this.CLASS_NAME;
                    FtUtil.log_d(str3, "onReceive", "DISPLAY_PMIC_SENSING_STOP - readData: " + readData);
                    if (readData == null) {
                        AtDisptest.this.writer.write(AtDisptest.this.responseNG(EgisFingerprint.MAJOR_VERSION));
                    } else {
                        ResponseWriter responseWriter5 = AtDisptest.this.writer;
                        AtDisptest atDisptest5 = AtDisptest.this;
                        responseWriter5.write(atDisptest5.responseString(EgisFingerprint.MAJOR_VERSION, "OK," + readData));
                    }
                }
                AtDisptest.this.stopReceiver();
            }
        };
        this.ACTION_RECEIVE_SPICHECK_RESULT = "com.android.samsungtest.RECEIVE_SPICHECK_RESULT";
        this.ACTION_RECEIVE_DDI_DSC_DECODER_RESULT = "com.android.samsungtest.RECEIVE_DDI_DSC_DECODER_RESULT";
        this.mIndex = -1;
        this.mValueList = null;
        this.mOffsetList = null;
        this.redOffset = "0";
        this.greenOffset = "0";
        this.blueOffset = "0";
        this.MSG_TEST_START = 0;
        this.MSG_READ_COPR = 1;
        this.MSG_READ_MOSI_MISO = 2;
        this.MSG_LCD_OFF = 20;
        this.MSG_LCD_ON = 21;
        this.MSG_RESULT_VIEW = 10;
        this.MSG_RESULT_PASS = 11;
        this.MSG_RESULT_FAIL = 12;
        this.SHOW_IMAGE_DELAY = 2000;
        this.SHOW_RESULT_DELAY = 2000;
        this.mPowerManager = null;
        this.mDisplayInputCurrent = (int[][]) Array.newInstance(int.class, 8, 2);
        this.mDisplayInputCurrentSum = new int[2];
        this.mCount = 0;
        this.isDisplayInputCurrentPass = true;
        this.mHandler = new Handler(Looper.getMainLooper()) {
            /* class com.sec.factory.aporiented.athandler.AtDisptest.AnonymousClass2 */

            public void handleMessage(Message msg) {
                switch (msg.what) {
                    case 31:
                        FtUtil.log_d(AtDisptest.this.CLASS_NAME, "handleMessage", "MSG_LCD_CURRENT_CHECK_TIMEOUT - unregister Receiver");
                        AtDisptest.this.stopReceiver();
                        FtUtil.log_d(AtDisptest.this.CLASS_NAME, "handleMessage", "MSG_LCD_CURRENT_CHECK_TIMEOUT - write responseNG");
                        AtDisptest.this.writer.write(AtDisptest.this.responseNG(EgisFingerprint.MAJOR_VERSION));
                        return;
                    default:
                        return;
                }
            }
        };
        this.CMD_NAME = "DISPTEST";
        this.CLASS_NAME = "AtDisptest";
        this.NUM_ARGS = 2;
        this.mContext = context;
        this.writer = writer;
        String string = Support.Spec.getString(Support.Spec.COLOR_BALANCE_VALUE_LIST);
        this.mValueList = string;
        this.mOffsetList = string.split(" ");
    }

    public AtDisptest(Context context, ResponseWriter writer, int commandType) {
        super(context);
        this.mResultReceiver = new BroadcastReceiver() {
            /* class com.sec.factory.aporiented.athandler.AtDisptest.AnonymousClass1 */

            public void onReceive(Context context, Intent intent) {
                String action = intent.getAction();
                if ("com.android.samsungtest.RECEIVE_SPICHECK_RESULT".equals(action)) {
                    boolean result = intent.getBooleanExtra("RESULT", false);
                    String data = intent.getStringExtra("DATA");
                    String str = AtDisptest.this.CLASS_NAME;
                    FtUtil.log_d(str, "onReceive", "result : " + result + ", data : " + data);
                    if (result) {
                        ResponseWriter responseWriter = AtDisptest.this.writer;
                        AtDisptest atDisptest = AtDisptest.this;
                        responseWriter.write(atDisptest.responseString("4", "OK," + data));
                    } else {
                        ResponseWriter responseWriter2 = AtDisptest.this.writer;
                        AtDisptest atDisptest2 = AtDisptest.this;
                        responseWriter2.write(atDisptest2.responseString("4", "NG," + data));
                    }
                } else if ("com.android.samsungtest.RECEIVE_DDI_DSC_DECODER_RESULT".equals(action)) {
                    boolean result2 = intent.getBooleanExtra("RESULT", false);
                    String data2 = intent.getStringExtra("DATA");
                    String str2 = AtDisptest.this.CLASS_NAME;
                    FtUtil.log_d(str2, "onReceive", "result : " + result2 + ", data : " + data2);
                    if (result2) {
                        ResponseWriter responseWriter3 = AtDisptest.this.writer;
                        AtDisptest atDisptest3 = AtDisptest.this;
                        responseWriter3.write(atDisptest3.responseString("4", "OK," + data2));
                    } else {
                        ResponseWriter responseWriter4 = AtDisptest.this.writer;
                        AtDisptest atDisptest4 = AtDisptest.this;
                        responseWriter4.write(atDisptest4.responseString("4", "NG," + data2));
                    }
                } else if (AtDisptest.DISPLAY_PMIC_SENSING_STOP.equals(action)) {
                    FtUtil.log_d(AtDisptest.this.CLASS_NAME, "onReceive", "DISPLAY_PMIC_SENSING_STOP - remove timeout message");
                    AtDisptest.this.mHandler.removeMessages(31);
                    String readData = AtDisptest.this.readDisplayPmicPower();
                    String str3 = AtDisptest.this.CLASS_NAME;
                    FtUtil.log_d(str3, "onReceive", "DISPLAY_PMIC_SENSING_STOP - readData: " + readData);
                    if (readData == null) {
                        AtDisptest.this.writer.write(AtDisptest.this.responseNG(EgisFingerprint.MAJOR_VERSION));
                    } else {
                        ResponseWriter responseWriter5 = AtDisptest.this.writer;
                        AtDisptest atDisptest5 = AtDisptest.this;
                        responseWriter5.write(atDisptest5.responseString(EgisFingerprint.MAJOR_VERSION, "OK," + readData));
                    }
                }
                AtDisptest.this.stopReceiver();
            }
        };
        this.ACTION_RECEIVE_SPICHECK_RESULT = "com.android.samsungtest.RECEIVE_SPICHECK_RESULT";
        this.ACTION_RECEIVE_DDI_DSC_DECODER_RESULT = "com.android.samsungtest.RECEIVE_DDI_DSC_DECODER_RESULT";
        this.mIndex = -1;
        this.mValueList = null;
        this.mOffsetList = null;
        this.redOffset = "0";
        this.greenOffset = "0";
        this.blueOffset = "0";
        this.MSG_TEST_START = 0;
        this.MSG_READ_COPR = 1;
        this.MSG_READ_MOSI_MISO = 2;
        this.MSG_LCD_OFF = 20;
        this.MSG_LCD_ON = 21;
        this.MSG_RESULT_VIEW = 10;
        this.MSG_RESULT_PASS = 11;
        this.MSG_RESULT_FAIL = 12;
        this.SHOW_IMAGE_DELAY = 2000;
        this.SHOW_RESULT_DELAY = 2000;
        this.mPowerManager = null;
        this.mDisplayInputCurrent = (int[][]) Array.newInstance(int.class, 8, 2);
        this.mDisplayInputCurrentSum = new int[2];
        this.mCount = 0;
        this.isDisplayInputCurrentPass = true;
        this.mHandler = new Handler(Looper.getMainLooper()) {
            /* class com.sec.factory.aporiented.athandler.AtDisptest.AnonymousClass2 */

            public void handleMessage(Message msg) {
                switch (msg.what) {
                    case 31:
                        FtUtil.log_d(AtDisptest.this.CLASS_NAME, "handleMessage", "MSG_LCD_CURRENT_CHECK_TIMEOUT - unregister Receiver");
                        AtDisptest.this.stopReceiver();
                        FtUtil.log_d(AtDisptest.this.CLASS_NAME, "handleMessage", "MSG_LCD_CURRENT_CHECK_TIMEOUT - write responseNG");
                        AtDisptest.this.writer.write(AtDisptest.this.responseNG(EgisFingerprint.MAJOR_VERSION));
                        return;
                    default:
                        return;
                }
            }
        };
        this.CMD_NAME = "DISPTEST";
        this.CLASS_NAME = "AtDisptest";
        this.NUM_ARGS = 2;
        this.mContext = context;
        this.writer = writer;
        String string = Support.Spec.getString(Support.Spec.COLOR_BALANCE_VALUE_LIST);
        this.mValueList = string;
        this.mOffsetList = string.split(" ");
        this.mCommandType = commandType;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public void startReceiver() {
        FtUtil.log_d(this.CLASS_NAME, "startReceiver", "");
        this.context.registerReceiver(this.mResultReceiver, new IntentFilter("com.android.samsungtest.RECEIVE_SPICHECK_RESULT"));
        this.context.registerReceiver(this.mResultReceiver, new IntentFilter("com.android.samsungtest.RECEIVE_DDI_DSC_DECODER_RESULT"));
        this.context.registerReceiver(this.mResultReceiver, new IntentFilter(DISPLAY_PMIC_SENSING_STOP));
    }

    public void stopReceiver() {
        FtUtil.log_d(this.CLASS_NAME, "stopReceiver", "");
        this.context.unregisterReceiver(this.mResultReceiver);
    }

    public enum LfdCommand {
        DEFAULT("0", "client=fac scope=normal fix=0"),
        FIX_FREQ_MAX(EgisFingerprint.MAJOR_VERSION, "client=fac scope=normal fix=1"),
        FIX_FREQ_MIN("2", "client=fac scope=normal fix=2");
        
        public String mCommand;
        public String mCommandID;

        private LfdCommand(String id, String command) {
            this.mCommandID = id;
            this.mCommand = command;
        }

        public String getId() {
            return this.mCommandID;
        }

        public String getCommand() {
            return this.mCommand;
        }
    }

    /* JADX DEBUG: Failed to insert an additional move for type inference into block B:586:0x0de1 */
    /* JADX DEBUG: Failed to insert an additional move for type inference into block B:375:0x0cc8 */
    /* JADX DEBUG: Multi-variable search result rejected for r8v65, resolved type: java.lang.StringBuilder */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r9v36 */
    /* JADX WARN: Type inference failed for: r9v39 */
    /* JADX WARN: Type inference failed for: r9v42 */
    /* JADX WARN: Type inference failed for: r9v46, types: [java.lang.String] */
    /* JADX WARN: Type inference failed for: r9v48, types: [java.util.regex.Matcher] */
    /* JADX WARN: Type inference failed for: r9v92 */
    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        String resData2;
        Exception e;
        String resData3;
        String str;
        StringBuilder sb;
        String resultString;
        int modeNum;
        Matcher m;
        int i;
        Pattern resultP;
        String readData;
        String VERSION;
        String resultModeNumPattern;
        String resultString2;
        StringBuilder sb2;
        String checkResult;
        String resData4 = null;
        boolean z = true;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", "0"})) {
            startDisptest(0, -1);
            resData4 = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION})) {
            startDisptest(1, -1);
            resData4 = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", "2"})) {
            startDisptest(2, -1);
            resData4 = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
            lcdOn();
            resData4 = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", "4"})) {
            lcdOff();
            resData4 = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", "5"})) {
            if (Support.Feature.getBoolean(Support.Feature.NEED_LPA_MODE_SET, true)) {
                mModuleDevice.setLPAmode(ModuleDevice.LPA_MODE_DISABLE);
            }
            mModulePower.doWakeLock(true);
            mModulePower.doPartialWakeLock(false);
            mModulePower.setScreenState(true);
            mModulePower.setBrightness(6);
            resData4 = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", "6"})) {
            startDisptest(3, -1);
            resData4 = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", "7"})) {
            resData4 = responseNA();
        } else if (checkArgu(argu, new String[]{"0", "8"})) {
            String OctaConnection = Support.Kernel.read(Support.Kernel.WINDOW_TYPE);
            resData4 = ("0 0 0".equals(OctaConnection) || "00 00 00".equals(OctaConnection) || "ff ff ff".equals(OctaConnection)) ? responseNG(argu[0]) : responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", egis.optical.client.api.EgisFingerprint.JAR_VERSION})) {
            startDisptest(4, -1);
            resData4 = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", "10"})) {
            Intent i2 = new Intent(this.mContext.getApplicationContext(), SubDisplayPresentation.class);
            i2.setFlags(335544320);
            i2.putExtra("test_mode", "PRESENTATION_OFF");
            this.mContext.startActivity(i2);
            resData4 = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", "12"})) {
            resData4 = startDisptest(105, 9) ? responseOK(argu[0]) : responseNG(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", "13"})) {
            resData4 = startDisptest(-1, 10) ? responseOK(argu[0]) : responseNG(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", "14"})) {
            resData4 = EgisFingerprint.MAJOR_VERSION.equals(Support.Kernel.read(Support.Kernel.LCD_TE_SIGNAL_CHECK_MAIN)) ? responseOK(argu[0]) : responseNG(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", Support.HwTestMenu.LCD_TEST_GRIP})) {
            resData4 = EgisFingerprint.MAJOR_VERSION.equals(Support.Kernel.read(Support.Kernel.LCD_TE_SIGNAL_CHECK_SUB)) ? responseOK(argu[0]) : responseNG(argu[0]);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
            String result = null;
            if (Support.Kernel.isExistFilePath(Support.Kernel.getFilePath(Support.Kernel.COLOUR_BALANCE_EFS_2))) {
                String[] values = Support.Kernel.read(Support.Kernel.COLOUR_BALANCE_EFS_2).split(" ");
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "values[0] : " + values[0]);
                for (int i3 = 0; i3 < this.mOffsetList.length; i3++) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "mOffsetList[" + i3 + "] = " + this.mOffsetList[i3]);
                    if (values[0].equals(this.mOffsetList[i3])) {
                        result = Integer.toString(i3);
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", "result : " + result);
                    }
                }
                resData4 = result != null ? responseString(argu[0], result) : responseNG(argu[0]);
            } else {
                resData4 = responseString(argu[0], "NONE");
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "2"})) {
            String result2 = null;
            if (Support.Kernel.isExistFilePath(Support.Kernel.getFilePath(Support.Kernel.COLOUR_BALANCE_EFS))) {
                String[] values2 = Support.Kernel.read(Support.Kernel.COLOUR_BALANCE_EFS).split(" ");
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "values[0] : " + values2[0]);
                for (int i4 = 0; i4 < this.mOffsetList.length; i4++) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "mOffsetList[" + i4 + "] = " + this.mOffsetList[i4]);
                    if (values2[0].equals(this.mOffsetList[i4])) {
                        result2 = Integer.toString(i4);
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", "result : " + result2);
                    }
                }
                resData4 = result2 != null ? responseString(argu[0], result2) : responseNG(argu[0]);
            } else {
                resData4 = responseString(argu[0], "NONE");
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
            startDisptest(5, -1);
            resData4 = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "4"})) {
            startDisptest(106, 4);
            resData4 = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "8"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "LCD Current Check - send DISPLAY_PMIC_SENSING_START intent");
            this.mContext.sendBroadcast(new Intent(DISPLAY_PMIC_SENSING_START));
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "LCD Current Check - register Receiver");
            startReceiver();
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "LCD Current Check - send timeout msg, timeout: 5000");
            this.mHandler.sendEmptyMessageDelayed(31, 5000);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.JAR_VERSION})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "LCD Current Check Data Read");
            String readData2 = readDisplayPmicPower();
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "LCD Current Check Data Read - readData:" + readData2);
            resData4 = readData2 == null ? responseNG(argu[0]) : responseString(argu[0], "OK," + readData2);
        } else if (checkArgu(argu, new String[]{"2", "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Display PMIC FD On");
            resData4 = Support.Kernel.write(Support.Kernel.LCD_FAST_DISCHARGE, EgisFingerprint.MAJOR_VERSION) ? responseOK(argu[0]) : Support.Kernel.write(Support.Kernel.LCD_FAST_DISCHARGE_2ND, EgisFingerprint.MAJOR_VERSION) ? responseOK(argu[0]) : responseNG(argu[0]);
        } else if (checkArgu(argu, new String[]{"2", EgisFingerprint.MAJOR_VERSION})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Display PMIC FD Off");
            resData4 = Support.Kernel.write(Support.Kernel.LCD_FAST_DISCHARGE, "0") ? responseOK(argu[0]) : Support.Kernel.write(Support.Kernel.LCD_FAST_DISCHARGE_2ND, "0") ? responseOK(argu[0]) : responseNG(argu[0]);
        } else if (checkArgu(argu, new String[]{"2", "2"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Display PMIC FD Read");
            try {
                resData4 = Support.Kernel.read(Support.Kernel.LCD_FAST_DISCHARGE, true).equals("enabled") ? responseString(argu[0], "ON") : responseString(argu[0], "OFF");
            } catch (Exception e2) {
                resData4 = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"2", "4"})) {
            resData4 = startDisptest(100, 1) ? responseOK(argu[0]) : responseNG(argu[0]);
        } else if (checkArgu(argu, new String[]{"2", "5"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "CCD Check");
            resData4 = EgisFingerprint.MAJOR_VERSION.equals(Support.Kernel.read(Support.Kernel.CCD_STATUS_NODE, true)) ? responseOK(argu[0]) : responseNG(argu[0]);
        } else if (checkArgu(argu, new String[]{"2", "6"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Sub Display CCD Check");
            resData4 = EgisFingerprint.MAJOR_VERSION.equals(Support.Kernel.read(Support.Kernel.CCD_STATUS_NODE_2, true)) ? responseOK(argu[0]) : responseNG(argu[0]);
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "5"})) {
            resData4 = startDisptest(100, 0) ? responseOK(argu[0]) : responseNG(argu[0]);
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "6"})) {
            resData4 = startDisptest(101, 2) ? responseOK(argu[0]) : responseNG(argu[0]);
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "7"})) {
            resData4 = startDisptest(102, 2) ? responseOK(argu[0]) : responseNG(argu[0]);
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "8"})) {
            resData4 = startDisptest(103, 2) ? responseOK(argu[0]) : responseNG(argu[0]);
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.JAR_VERSION})) {
            resData4 = startDisptest(104, 2) ? responseOK(argu[0]) : responseNG(argu[0]);
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "10"})) {
            resData4 = startDisptest(-1, 6) ? responseOK(argu[0]) : responseNG(argu[0]);
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "11"})) {
            resData4 = startDisptest(-1, 7) ? responseOK(argu[0]) : responseNG(argu[0]);
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "12"})) {
            resData4 = startDisptest(107, 8) ? responseOK(argu[0]) : responseNG(argu[0]);
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "13"})) {
            resData4 = startDisptest(108, 2) ? responseOK(argu[0]) : responseNG(argu[0]);
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "14"})) {
            try {
                resData4 = Support.Kernel.write(Support.Kernel.LCD_BRIGHTDOT, "0") ? responseOK(argu[0]) : responseNG(argu[0]);
            } catch (Exception e3) {
                resData4 = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, Support.HwTestMenu.LCD_TEST_GRIP})) {
            try {
                resData4 = Support.Kernel.write(Support.Kernel.LCD_BRIGHTDOT, EgisFingerprint.MAJOR_VERSION) ? responseOK(argu[0]) : responseNG(argu[0]);
            } catch (Exception e4) {
                resData4 = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "16"})) {
            int Check_HBM = -1;
            PowerManager powerManager = (PowerManager) this.mContext.getSystemService("power");
            this.mPowerManager = powerManager;
            if (powerManager != null) {
                Check_HBM = powerManager.getMaximumScreenBrightnessExtended();
                ModulePower.instance(this.mContext).setBrightness(Check_HBM);
            }
            if (Check_HBM > -1) {
                try {
                    resData4 = responseOK(argu[0]);
                } catch (Exception e5) {
                    resData4 = responseNG(argu[0]);
                }
            } else {
                resData4 = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "17"})) {
            try {
                resData4 = Support.Kernel.write(Support.Kernel.DISPLAY_LINEAR_TEST_NODE, "0") ? responseOK(argu[0]) : responseNG(argu[0]);
            } catch (Exception e6) {
                resData4 = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, Support.HwTestMenu.HDMI_TYPE})) {
            try {
                resData4 = Support.Kernel.write(Support.Kernel.DISPLAY_LINEAR_TEST_NODE, EgisFingerprint.MAJOR_VERSION) ? responseOK(argu[0]) : responseNG(argu[0]);
            } catch (Exception e7) {
                resData4 = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"4", EgisFingerprint.MAJOR_VERSION})) {
            resData4 = mModuleDevice.setACL(true) ? responseOK(argu[0]) : responseNG(argu[0]);
        } else if (checkArgu(argu, new String[]{"4", "2"})) {
            resData4 = mModuleDevice.setACL(false) ? responseOK(argu[0]) : responseNG(argu[0]);
        } else if (checkArgu(argu, new String[]{"4", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "SPI Check Test");
            startReceiver();
            startDisptest(3);
        } else if (checkArgu(argu, new String[]{"4", "4"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Sleep -> Display On");
            lcdOff();
            FtUtil.Sleep.sleep(700);
            lcdOn();
            resData4 = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"4", "5"})) {
            if (Support.Kernel.write(Support.Kernel.LCD_DDI_TEST, EgisFingerprint.MAJOR_VERSION)) {
                String result3 = Support.Kernel.read(Support.Kernel.LCD_DDI_TEST);
                String[] mCheckSum = new String[4];
                if (result3.length() >= 12) {
                    String checkResult2 = result3.substring(0, 1);
                    mCheckSum[3] = result3.substring(4, 6);
                    mCheckSum[2] = result3.substring(6, 8);
                    mCheckSum[1] = result3.substring(8, 10);
                    mCheckSum[0] = result3.substring(10, 12);
                    checkResult = checkResult2;
                } else {
                    checkResult = "";
                }
                String responseResult = "";
                for (int i5 = 0; i5 < 4; i5++) {
                    responseResult = responseResult + mCheckSum[i5] + ",";
                }
                String responseResult2 = responseResult.substring(0, responseResult.length() - 1);
                if (EgisFingerprint.MAJOR_VERSION.equalsIgnoreCase(checkResult)) {
                    resData4 = responseString(argu[0], "OK," + responseResult2);
                } else {
                    resData4 = responseString(argu[0], "NG," + responseResult2);
                }
                lcdOff();
                FtUtil.Sleep.sleep(700);
                lcdOn();
            } else {
                resData4 = responseNA();
            }
        } else if (checkArgu(argu, new String[]{"4", "6"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "OCTA DDI DSD Decoder Test");
            startReceiver();
            startDisptest(5);
        } else if (checkArgu(argu, new String[]{"4", "7"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Display Input Current Test Start");
            this.isDisplayInputCurrentPass = true;
            this.mCount = 0;
            Support.Kernel.write(Support.Kernel.DISPLAY_INPUT_CURRENT_MODE, EgisFingerprint.MAJOR_VERSION);
            measureCurrent();
            FtUtil.Sleep.sleep(10000);
            measureCurrent();
            Support.Kernel.write(Support.Kernel.DISPLAY_INPUT_CURRENT_MODE, "2");
            String mValidity = Support.Kernel.read(Support.Kernel.DISPLAY_INPUT_CURRENT_VALIDITY);
            if (mValidity == null) {
                mValidity = ModuleCommunicationService.SMD_NOK;
                this.isDisplayInputCurrentPass = false;
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Validity is invalid");
            }
            String mData = this.mDisplayInputCurrent[0][1] + "," + this.mDisplayInputCurrent[2][1] + "," + this.mDisplayInputCurrent[3][1] + "," + this.mDisplayInputCurrent[4][1] + "," + this.mDisplayInputCurrent[7][1] + "," + mValidity;
            boolean res = Support.Kernel.writeNsync(Support.Kernel.DISPLAY_INPUT_CURRENT_EFS, mData);
            boolean resForBigdata = Support.Kernel.writeNsync(Support.Kernel.SECEFS_DISPLAY_PMIC_CURRENT_FOR_BIGDATA, "\"Current\":\"" + this.mDisplayInputCurrentSum[1] + "\",\"CH3\":\"" + this.mDisplayInputCurrent[3][1] + "\",\"CH0\":\"" + this.mDisplayInputCurrent[0][1] + "\",\"CH1\":\"" + this.mDisplayInputCurrent[1][1] + "\",\"CH2\":\"" + this.mDisplayInputCurrent[2][1] + "\",\"Valid\":\"" + mValidity + "\",\"CH4\":\"" + this.mDisplayInputCurrent[4][1] + "\",\"CH5\":\"" + this.mDisplayInputCurrent[5][1] + "\",\"CH6\":\"" + this.mDisplayInputCurrent[6][1] + "\",\"CH7\":\"" + this.mDisplayInputCurrent[7][1] + "\"");
            boolean z2 = !res;
            if (resForBigdata) {
                z = false;
            }
            if (z || z2) {
                this.isDisplayInputCurrentPass = false;
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "EFS write fail");
            }
            resData4 = this.isDisplayInputCurrentPass ? responseString(argu[0], "OK," + Support.Feature.getString(Support.Feature.DISPLAY_INPUT_CURRENT_VERSION) + "," + mData) : responseNG(argu[0]);
        } else if (checkArgu(argu, new String[]{"4", "8"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Display Input Current Test Data Read");
            this.isDisplayInputCurrentPass = true;
            String mData2 = Support.Kernel.read(Support.Kernel.DISPLAY_INPUT_CURRENT_EFS);
            if (mData2 == null) {
                this.isDisplayInputCurrentPass = false;
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "EFS read fail");
            }
            String[] temp = mData2.split(",");
            if (ModuleCommunicationService.SMD_NOK.equals(temp[temp.length - 1])) {
                this.isDisplayInputCurrentPass = false;
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Validity is invalid");
            }
            resData4 = this.isDisplayInputCurrentPass ? responseString(argu[0], "OK," + Support.Feature.getString(Support.Feature.DISPLAY_INPUT_CURRENT_VERSION) + "," + mData2) : responseNG(argu[0]);
        } else if (checkArgu(argu, new String[]{"4", egis.optical.client.api.EgisFingerprint.JAR_VERSION})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Gamma Code Flash Write");
            resData4 = Support.Kernel.writeNsync(Support.Kernel.GAMMA_CODE_FLASH, EgisFingerprint.MAJOR_VERSION) ? responseOK(argu[0]) : responseNG(argu[0]);
        } else if (checkArgu(argu, new String[]{"4", "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Gamma Code Flash Read");
            String VERSION2 = "2";
            String readData3 = Support.Kernel.readFromFile(Support.Kernel.GAMMA_CODE_FLASH);
            String resultModeNumPattern2 = "^(\\d)\\v";
            Pattern modeNumP = Pattern.compile(resultModeNumPattern2, 2);
            Pattern resultP2 = Pattern.compile("([-]?\\d)((\\h[a-zA-Z0-9]+)+)", 2);
            Pattern resultPChksum = Pattern.compile("\\h[a-zA-Z0-9]+", 2);
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "readData :  " + readData3);
            Matcher m2 = modeNumP.matcher(readData3);
            String resultString3 = "";
            try {
                if (m2.find()) {
                    int modeNum2 = Integer.parseInt(m2.group(1));
                    try {
                        str = this.CLASS_NAME;
                        try {
                            sb = new StringBuilder();
                        } catch (Exception e8) {
                            e = e8;
                            e.printStackTrace();
                            resData4 = responseNG(argu[0]);
                            return resData4;
                        }
                    } catch (Exception e9) {
                        e = e9;
                        e.printStackTrace();
                        resData4 = responseNG(argu[0]);
                        return resData4;
                    }
                    try {
                        sb.append("modeNum  : ");
                        sb.append(modeNum2);
                        FtUtil.log_d(str, "handleCommand", sb.toString());
                        boolean testPassFlag = true;
                        ArrayList<String> resultData = new ArrayList<>();
                        Pattern resultP3 = resultP2;
                        try {
                            Matcher m3 = resultP3.matcher(readData3);
                            int i6 = 0;
                            Matcher m4 = readData3;
                            while (true) {
                                if (i6 >= modeNum2) {
                                    resultString = resultString3;
                                    modeNum = modeNum2;
                                    m = m3;
                                    i = 1;
                                    break;
                                }
                                try {
                                    if (m3.find()) {
                                        resultString = resultString3;
                                        try {
                                            resultString2 = this.CLASS_NAME;
                                            modeNum = modeNum2;
                                            VERSION = VERSION2;
                                            try {
                                                sb2 = new StringBuilder();
                                                readData = m4;
                                                m4 = "result match : ";
                                            } catch (Exception e10) {
                                                e = e10;
                                                e.printStackTrace();
                                                resData4 = responseNG(argu[0]);
                                                return resData4;
                                            }
                                        } catch (Exception e11) {
                                            e = e11;
                                            e.printStackTrace();
                                            resData4 = responseNG(argu[0]);
                                            return resData4;
                                        }
                                        try {
                                            sb2.append((String) m4);
                                            resultP = resultP3;
                                            m4 = m3;
                                            resultModeNumPattern = resultModeNumPattern2;
                                            try {
                                                sb2.append(m4.group(0));
                                                FtUtil.log_d(resultString2, "handleCommand", sb2.toString());
                                                if ("0".equals(m4.group(1))) {
                                                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "mode " + i6 + " test not finished");
                                                    i = 0;
                                                    m = m4;
                                                    break;
                                                }
                                                if (!EgisFingerprint.MAJOR_VERSION.equals(m4.group(1))) {
                                                    testPassFlag = false;
                                                }
                                                m4.group(1);
                                                String resultMatchString = m4.group(2);
                                                FtUtil.log_d(this.CLASS_NAME, "readValues", "resultMatchString:" + resultMatchString);
                                                Matcher m1 = resultPChksum.matcher(resultMatchString);
                                                while (m1.find()) {
                                                    resultData.add(m1.group().substring(m1.group().length() - 4, m1.group().length()));
                                                }
                                                testPassFlag = testPassFlag;
                                            } catch (Exception e12) {
                                                e = e12;
                                                e.printStackTrace();
                                                resData4 = responseNG(argu[0]);
                                                return resData4;
                                            }
                                        } catch (Exception e13) {
                                            e = e13;
                                            e.printStackTrace();
                                            resData4 = responseNG(argu[0]);
                                            return resData4;
                                        }
                                    } else {
                                        resultString = resultString3;
                                        modeNum = modeNum2;
                                        VERSION = VERSION2;
                                        readData = m4;
                                        resultP = resultP3;
                                        m4 = m3;
                                        resultModeNumPattern = resultModeNumPattern2;
                                    }
                                    i6++;
                                    resultModeNumPattern2 = resultModeNumPattern;
                                    resultString3 = resultString;
                                    modeNum2 = modeNum;
                                    VERSION2 = VERSION;
                                    resultP3 = resultP;
                                    m3 = m4;
                                    m4 = readData;
                                } catch (Exception e14) {
                                    e = e14;
                                    e.printStackTrace();
                                    resData4 = responseNG(argu[0]);
                                    return resData4;
                                }
                            }
                            if (i != 0) {
                                FtUtil.log_i(this.CLASS_NAME, "handleCommand", "gamma flash read finished");
                                String resultString4 = resultString;
                                for (int i7 = 0; i7 < resultData.size() - 1; i7++) {
                                    try {
                                        resultString4 = (resultString4 + resultData.get(i7)) + ",";
                                    } catch (Exception e15) {
                                        e = e15;
                                        e.printStackTrace();
                                        resData4 = responseNG(argu[0]);
                                        return resData4;
                                    }
                                }
                                String resultString5 = resultString4 + resultData.get(resultData.size() - 1);
                                if (testPassFlag) {
                                    try {
                                        resData3 = responseString(argu[0], "OK,2," + resultString5);
                                    } catch (Exception e16) {
                                        e = e16;
                                        e.printStackTrace();
                                        resData4 = responseNG(argu[0]);
                                        return resData4;
                                    }
                                } else {
                                    resData3 = responseString(argu[0], "NG,2," + resultString5);
                                }
                            } else {
                                FtUtil.log_i(this.CLASS_NAME, "handleCommand", "gamma flash read not finished");
                                resData3 = responseString(argu[0], "TEST");
                            }
                        } catch (Exception e17) {
                            e = e17;
                            e.printStackTrace();
                            resData4 = responseNG(argu[0]);
                            return resData4;
                        }
                    } catch (Exception e18) {
                        e = e18;
                        e.printStackTrace();
                        resData4 = responseNG(argu[0]);
                        return resData4;
                    }
                } else {
                    try {
                        FtUtil.log_i(this.CLASS_NAME, "handleCommand", "mode number parsing error");
                        resData3 = responseNG(argu[0]);
                    } catch (Exception e19) {
                        e = e19;
                        e.printStackTrace();
                        resData4 = responseNG(argu[0]);
                        return resData4;
                    }
                }
                resData4 = resData3;
            } catch (Exception e20) {
                e = e20;
                e.printStackTrace();
                resData4 = responseNG(argu[0]);
                return resData4;
            }
        } else if (checkArgu(argu, new String[]{"5"})) {
            this.mIndex = Integer.parseInt(argu[1]);
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "mValueList : " + this.mValueList);
            resData4 = offsetReddish(this.mIndex, 0) ? responseOK(argu[0]) : responseNG(argu[0]);
        } else if (checkArgu(argu, new String[]{"6"})) {
            this.mIndex = Integer.parseInt(argu[1]);
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "mValueList : " + this.mValueList);
            resData4 = offsetReddish(this.mIndex, 1) ? responseOK(argu[0]) : responseNG(argu[0]);
        } else if (egis.optical.client.api.EgisFingerprint.MAJOR_VERSION.equals(argu[0])) {
            if ("0".equals(argu[1])) {
                mModulePower.setBrightness(255);
            } else if (EgisFingerprint.MAJOR_VERSION.equals(argu[1])) {
                mModulePower.setBrightness(140);
            } else if ("2".equals(argu[1])) {
                mModulePower.setBrightness(30);
            } else if (egis.optical.client.api.EgisFingerprint.MAJOR_VERSION.equals(argu[1])) {
                startDisptest(7, -1);
            } else if ("4".equals(argu[1])) {
                startDisptest(8, -1);
            }
            resData4 = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"7", "4"})) {
            String readData4 = Support.Kernel.read(Support.Kernel.OCTA_DDI_SELF_MASK_CHECK);
            String crcVar = "";
            if (readData4 != null) {
                String[] resultArray = readData4.split(" ");
                String checkResult3 = resultArray[0];
                for (int i8 = 0; i8 < resultArray.length; i8++) {
                    if (i8 != 0) {
                        crcVar = crcVar + resultArray[i8];
                    }
                }
                if (EgisFingerprint.MAJOR_VERSION.equalsIgnoreCase(checkResult3)) {
                    resData4 = responseString(argu[0], "OK," + crcVar);
                } else if ("0".equalsIgnoreCase(checkResult3)) {
                    resData4 = responseString(argu[0], "NG," + crcVar);
                } else {
                    resData4 = responseNA();
                }
            } else {
                resData4 = responseNA();
            }
        } else if (checkArgu(argu, new String[]{"7", "5"})) {
            String readData5 = Support.Kernel.read(Support.Kernel.OCTA_MAFPC_CHECK);
            String crcVar2 = "";
            if (readData5 != null) {
                String[] resultArray2 = readData5.split(" ");
                String checkResult4 = resultArray2[0];
                for (int i9 = 0; i9 < resultArray2.length; i9++) {
                    if (i9 != 0) {
                        crcVar2 = crcVar2 + "," + resultArray2[i9];
                    }
                }
                if (EgisFingerprint.MAJOR_VERSION.equalsIgnoreCase(checkResult4)) {
                    resData2 = responseString(argu[0], "OK" + crcVar2);
                } else if ("0".equalsIgnoreCase(checkResult4)) {
                    resData2 = responseString(argu[0], "NG" + crcVar2);
                } else {
                    resData2 = responseNA();
                }
                mModulePower.doWakeLock(true);
                mModulePower.doPartialWakeLock(false);
                mModulePower.setScreenState(true);
                resData4 = resData2;
            } else {
                resData4 = responseNA();
            }
        } else if (checkArgu(argu, new String[]{"7", "6"})) {
            resData4 = EgisFingerprint.MAJOR_VERSION.equals(Support.Kernel.read(Support.Kernel.OCTA_ERROR_CORRECTION)) ? responseOK(argu[0]) : responseNG(argu[0]);
        } else if (checkArgu(argu, new String[]{"7", egis.optical.client.api.EgisFingerprint.JAR_VERSION})) {
            resData4 = EgisFingerprint.MAJOR_VERSION.equals(Support.Kernel.read(Support.Kernel.OCTA_SOURCE_SELF_REPAIR)) ? responseOK(argu[0]) : responseNG(argu[0]);
        } else if (checkArgu(argu, new String[]{"8"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "mValueList : " + this.mValueList);
            String data = argu[1];
            int speed = -1;
            if (data != null) {
                try {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "argu[1] is not null");
                    String[] dataArray = data.split("_");
                    if (dataArray.length > 2) {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", "argument parsing start");
                        int rate = Integer.parseInt(dataArray[0]);
                        if (NORMAL_SPEED.equalsIgnoreCase(dataArray[1])) {
                            speed = 0;
                        } else if (ADAPTIVE_HIGH_SPEED.equalsIgnoreCase(dataArray[1])) {
                            speed = 1;
                        } else if (ALWAYS_HIGH_SPEED.equalsIgnoreCase(dataArray[1])) {
                            speed = 2;
                        }
                        String fileName = dataArray[2];
                        Intent dispIntent = new Intent(this.mContext, UIVrrDisptestActivity.class);
                        dispIntent.putExtra("TEST_SPEED", speed);
                        dispIntent.putExtra("TEST_RATE", rate);
                        dispIntent.putExtra("TEST_FILENAME", fileName);
                        dispIntent.addFlags(805306368);
                        this.mContext.startActivity(dispIntent);
                        resData = responseOK(argu[0]);
                    } else {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", "wrong argument");
                        resData = responseNG(argu[0]);
                    }
                    resData4 = resData;
                } catch (Exception e21) {
                    e21.printStackTrace();
                    resData4 = null;
                }
            } else {
                resData4 = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.JAR_VERSION, "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "mValueList : " + this.mValueList);
            this.mContext.sendBroadcast(new Intent(UIVrrDisptestActivity.VRRDISPTEST_END));
            resData4 = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"10"})) {
            try {
                String data2 = argu[1];
                boolean isFind = false;
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "argument : " + data2);
                LfdCommand[] values3 = LfdCommand.values();
                int length = values3.length;
                int i10 = 0;
                while (true) {
                    if (i10 >= length) {
                        break;
                    }
                    LfdCommand lfdCmd = values3[i10];
                    if (lfdCmd.getId().equalsIgnoreCase(data2)) {
                        Support.Kernel.write(Support.Kernel.LCD_VARIABLE_RATE_LFD, lfdCmd.getCommand());
                        isFind = true;
                        break;
                    }
                    i10++;
                }
                resData4 = isFind ? responseOK(argu[0]) : responseNG(argu[0]);
            } catch (Exception e22) {
                e22.printStackTrace();
                resData4 = responseNG(argu[0]);
            }
        } else {
            resData4 = responseNA();
        }
        return resData4;
    }

    public void lcdOn() {
        mModulePower.doWakeLock(true);
        mModulePower.doPartialWakeLock(false);
        mModulePower.setScreenState(true);
        mModulePower.setBrightness(255);
    }

    public void lcdOff() {
        mModulePower.doPartialWakeLock(true);
        mModulePower.doWakeLock(false);
        if (Support.Feature.getBoolean(Support.Feature.NEED_LPA_MODE_SET, true)) {
            mModuleDevice.setLPAmode(ModuleDevice.LPA_MODE_DISABLE);
        }
        mModulePower.setScreenState(false);
    }

    private boolean offsetReddish(int offset, int device) {
        try {
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "offsetReddish", "mOffsetList[mIndex] : " + this.mOffsetList[this.mIndex]);
            String str2 = this.CLASS_NAME;
            FtUtil.log_d(str2, "offsetReddish", "device : " + device);
            String[] strArr = this.mOffsetList;
            this.redOffset = strArr[offset];
            this.greenOffset = "0";
            this.blueOffset = strArr[offset];
            String str3 = this.CLASS_NAME;
            FtUtil.log_d(str3, "offsetReddish", this.redOffset + " " + this.greenOffset + " " + this.blueOffset);
            if (device == 0) {
                Support.Kernel.writeNsync(Support.Kernel.COLOUR_BALANCE_EFS, this.redOffset + " " + this.greenOffset + " " + this.blueOffset);
                Support.Kernel.write(Support.Kernel.COLOUR_BALANCE_KERNEL, this.redOffset + " " + this.greenOffset + " " + this.blueOffset);
            } else if (device == 1) {
                Support.Kernel.writeNsync(Support.Kernel.COLOUR_BALANCE_EFS_2, this.redOffset + " " + this.greenOffset + " " + this.blueOffset);
                Support.Kernel.write(Support.Kernel.COLOUR_BALANCE_KERNEL_2, this.redOffset + " " + this.greenOffset + " " + this.blueOffset);
            }
            return true;
        } catch (Exception e) {
            FtUtil.log_d(this.CLASS_NAME, "offsetReddish", e.toString());
            return false;
        }
    }

    private boolean startDisptest(int value) {
        return startDisptest(-1, value);
    }

    private boolean startDisptest(int type, int value) {
        return startDisptest(type, value, -1);
    }

    private boolean startDisptest(int type, int value, int file) {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "startDisptest", "type=" + type + ", value=" + value);
        Intent dispIntent = null;
        if (value == -1) {
            if (file != -1) {
                value = file;
            }
            dispIntent = new Intent(this.mContext, UIDisptestActivity.class);
            dispIntent.putExtra("TEST_TYPE", type);
            dispIntent.putExtra("VALUE", value);
        } else if (value == 0) {
            dispIntent = new Intent(this.mContext, UIMcd.class);
            dispIntent.putExtra("test_mode", type);
        } else if (value == 1) {
            dispIntent = new Intent(this.mContext, UIMcd.class);
            dispIntent.putExtra("testid", 192);
            dispIntent.putExtra("test_mode", type);
        } else if (value == 2) {
            dispIntent = new Intent(this.mContext, UILcdALPMTest.class);
            dispIntent.putExtra("test_mode", type);
        } else if (value == 8) {
            dispIntent = new Intent(this.mContext, UILcdHLPMAlphabetMain.class);
            dispIntent.putExtra("test_mode", type);
        } else if (value == 3) {
            dispIntent = new Intent(this.mContext, UISPICheckTest.class);
            dispIntent.putExtra("FROM_ATCMD", true);
        } else if (value == 4) {
            dispIntent = new Intent(this.mContext, UIOctaXTalkTest.class);
            dispIntent.putExtra("FROM_ATCMD", true);
        } else if (value == 5) {
            dispIntent = new Intent(this.mContext, UIOctaDDIDSCDecoderTest.class);
            dispIntent.putExtra("FROM_ATCMD", true);
        } else if (value == 6) {
            dispIntent = new Intent(this.mContext, UIMcd.class);
            dispIntent.putExtra("testid", FactoryTestManager.TEST_SUB_MCD_PRESENTATION);
        } else if (value == 7) {
            dispIntent = new Intent(this.mContext.getApplicationContext(), SubDisplayPresentation.class);
            dispIntent.setFlags(335544320);
            dispIntent.putExtra("test_mode", "SUB_PRESENTATION_SHARPNESS");
        } else if (value == 9) {
            dispIntent = new Intent(this.mContext, UIMicroCrack.class);
            dispIntent.putExtra("test_mode", type);
        } else if (value == 10) {
            dispIntent = new Intent(this.mContext, UIOctaCellIdReadForFoolproof.class);
            dispIntent.putExtra("testid", FactoryTestManager.TEST_OCTA_CELL_ID_READ_FOR_FOOLPROOF);
        }
        if (dispIntent == null) {
            return false;
        }
        if (value == 9) {
            dispIntent.addFlags(268435456);
        } else {
            dispIntent.addFlags(335544320);
        }
        this.mContext.startActivity(dispIntent);
        return true;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private String readDisplayPmicPower() {
        FtUtil.log_d(this.CLASS_NAME, "readDisplayPmicPower", null);
        String result = null;
        String secefsDisplayPmicPowerValue = Support.Kernel.getFilePath(Support.Kernel.SECEFS_DISPLAY_PMIC_POWER_VALUE);
        if (Support.Kernel.isExistFilePath(secefsDisplayPmicPowerValue)) {
            String readValue = Support.Kernel.readFromPath(secefsDisplayPmicPowerValue, true);
            try {
                String[] splitValue = readValue.split(",");
                if (splitValue.length >= 2) {
                    String pmicPowerValue = splitValue[0].split(":")[1];
                    String validityValue = splitValue[1].split(":")[1];
                    String pmicPowerValue2 = pmicPowerValue.replaceAll("\"", "").trim();
                    String validityValue2 = validityValue.replaceAll("\"", "").trim();
                    String str = this.CLASS_NAME;
                    FtUtil.log_d(str, "readDisplayPmicPower", "pmicPowerValue: " + pmicPowerValue2 + ", validityValue: " + validityValue2);
                    StringBuilder sb = new StringBuilder();
                    sb.append(pmicPowerValue2);
                    sb.append(",");
                    sb.append(validityValue2);
                    result = sb.toString();
                    String str2 = this.CLASS_NAME;
                    FtUtil.log_d(str2, "readDisplayPmicPower", "result: " + result);
                    return result;
                }
                String str3 = this.CLASS_NAME;
                FtUtil.log_d(str3, "readDisplayPmicPower", "cmd NG: read value is wrong format, readValue:" + readValue);
                return null;
            } catch (Exception e) {
                FtUtil.log_e(this.CLASS_NAME, "readDisplayPmicPower", e.toString());
            }
        } else {
            FtUtil.log_d(this.CLASS_NAME, "readDisplayPmicPower", "display_pmic_power file is NOT exsit");
            return null;
        }
    }

    private void measureCurrent() {
        FtUtil.log_i(this.CLASS_NAME, "measureCurrent", "mCount : " + Integer.toString(this.mCount));
        String tempAll = Support.Kernel.readAllFromPath(Support.Kernel.getFilePath(Support.Kernel.DISPLAY_INPUT_CURRENT_VALUE), true).replace("\n", "");
        if (tempAll == null) {
            this.isDisplayInputCurrentPass = false;
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Read current value is null");
        }
        String[] temp = tempAll.split(":|uA");
        int count = 0;
        for (int i = 0; i < temp.length; i++) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "value is : " + temp[i]);
            if (!temp[i].contains("CH") && !temp[i].contains("(")) {
                this.mDisplayInputCurrent[count][this.mCount] = Integer.parseInt(temp[i].trim());
                count++;
            }
        }
        if (count != 8) {
            this.isDisplayInputCurrentPass = false;
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Read current value is invalid" + count);
        }
        this.mDisplayInputCurrentSum[this.mCount] = 0;
        for (int j = 0; j < count; j++) {
            int[] iArr = this.mDisplayInputCurrentSum;
            int i2 = this.mCount;
            iArr[i2] = iArr[i2] + (this.mDisplayInputCurrent[j][i2] / 1000);
        }
        this.mCount++;
    }
}
