package com.sec.factory.aporiented.athandler;

import android.content.Context;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class AtDpswicts extends AtCommandHandler {
    public AtDpswicts(Context context) {
        super(context);
        this.CMD_NAME = "DPSWICTS";
        this.CLASS_NAME = "AtDpswicts";
        this.NUM_ARGS = 4;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (argu.length < this.NUM_ARGS) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", "0", "0", "0"})) {
            if (Support.Kernel.write(Support.Kernel.DPSWITCH_CCIC_CONTROL, EgisFingerprint.MAJOR_VERSION)) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,0,0,0 ", "Pass"));
                resData = responseOK(argu[0]);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,0,0,0 ", "Fail"));
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", "0", "0", EgisFingerprint.MAJOR_VERSION})) {
            if (Support.Kernel.write(Support.Kernel.DPSWITCH_CCIC_CONTROL, "0")) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,0,0,1 ", "Pass"));
                resData = responseOK(argu[0]);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,0,0,1 ", "Fail"));
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", "0", EgisFingerprint.MAJOR_VERSION, "0"})) {
            boolean set_mode = Support.Kernel.write(Support.Kernel.DPSWITCH_SET_MODE, "1,1");
            boolean set_mode_ccic = Support.Kernel.write(Support.Kernel.DPSWITCH_SET_MODE_CCIC, "1,1");
            if (set_mode || set_mode_ccic) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,0,1,0 ", "Pass"));
                resData = responseOK(argu[0]);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,0,1,0 ", "Fail"));
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", "0", EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
            boolean set_mode2 = Support.Kernel.write(Support.Kernel.DPSWITCH_SET_MODE, "1,0");
            boolean set_mode_ccic2 = Support.Kernel.write(Support.Kernel.DPSWITCH_SET_MODE_CCIC, "1,0");
            if (set_mode2 || set_mode_ccic2) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,0,1,1 ", "Pass"));
                resData = responseOK(argu[0]);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,0,1,1 ", "Fail"));
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", "0", EgisFingerprint.MAJOR_VERSION, "2"})) {
            boolean set_mode3 = Support.Kernel.write(Support.Kernel.DPSWITCH_SET_MODE, "0,0");
            boolean set_mode_ccic3 = Support.Kernel.write(Support.Kernel.DPSWITCH_SET_MODE_CCIC, "0,0");
            if (set_mode3 || set_mode_ccic3) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,0,1,2 ", "Pass"));
                resData = responseOK(argu[0]);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,0,1,2 ", "Fail"));
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", "0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0"})) {
            if (Support.Kernel.write(Support.Kernel.DPSWITCH_CCIC_SBU_ADC, EgisFingerprint.MAJOR_VERSION)) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,0,3,0 ", "Pass"));
                int waitTime = "max77705".equals(Support.Kernel.read(Support.Kernel.PDIC_CHIP_NAME)) ? 5 : 5;
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,0,3,0 ", "waitTime : " + waitTime));
                resData = responseString(argu[0], "" + waitTime);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,0,3,0 ", "Fail"));
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", EgisFingerprint.MAJOR_VERSION, "0"})) {
            String result = "";
            String mSbuStatus = Support.Kernel.read(Support.Kernel.DPSWITCH_CCIC_CONTROL);
            if (mSbuStatus != null) {
                String[] mSbuData = mSbuStatus.trim().split(" ");
                for (int i = 0; i < mSbuData.length; i++) {
                    if (mSbuData[i].equals("0")) {
                        mSbuData[i] = "L";
                    } else if (mSbuData[i].equals(EgisFingerprint.MAJOR_VERSION)) {
                        mSbuData[i] = "H";
                    }
                    result = result + mSbuData[i];
                    if (i != mSbuData.length - 1) {
                        result = result + ",";
                    }
                }
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,0,1,0 ", "Pass"));
                resData = responseString(argu[0], result);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,0,1,0 ", "Fail"));
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "2", "0"})) {
            String mSbuDryStatus = Support.Kernel.read(Support.Kernel.DPSWITCH_CHECK_SBU_DRY);
            if (mSbuDryStatus == null) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,0,2,0 ", "Fail - There is no sysfs"));
                resData = responseNG(argu[0]);
            } else if (EgisFingerprint.MAJOR_VERSION.equalsIgnoreCase(mSbuDryStatus)) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,0,2,0 ", "Pass - SBU : Dry status"));
                resData = responseOK(argu[0]);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,0,2,0 ", "Fail - SBU : Wet status"));
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "2", EgisFingerprint.MAJOR_VERSION})) {
            String mSbuAdc = Support.Kernel.read(Support.Kernel.DPSWITCH_CHECK_SBU_ADC);
            if (mSbuAdc != null) {
                String mSbuAdc2 = mSbuAdc.replace(" ", ",");
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,0,2,1 ", "Pass"));
                resData = responseString(argu[0], mSbuAdc2);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,0,2,1 ", "Fail - There is no sysfs"));
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0"})) {
            String result2 = null;
            String data = Support.Kernel.read(Support.Kernel.DPSWITCH_CCIC_SBU_ADC);
            if (data != null) {
                int cc_spec_min = Support.Spec.getInt(Support.Spec.DPSWITCH_CCIC_SPEC_MIN);
                int cc_spec_max = Support.Spec.getInt(Support.Spec.DPSWITCH_CCIC_SPEC_MAX);
                int sbu_spec_min = Support.Spec.getInt(Support.Spec.DPSWITCH_SBU_SPEC_MIN);
                int sbu_spec_max = Support.Spec.getInt(Support.Spec.DPSWITCH_SBU_SPEC_MAX);
                String data2 = data.replace(" ", ",");
                String[] results = data2.split(",");
                for (int i2 = 0; i2 < results.length && result2 == null; i2++) {
                    int adc = Integer.parseInt(results[i2]);
                    if (i2 < 2) {
                        if (adc < cc_spec_min || adc > cc_spec_max) {
                            result2 = "NG_CC" + (i2 + 1);
                        }
                    } else if (adc < sbu_spec_min || adc > sbu_spec_max) {
                        StringBuilder sb = new StringBuilder();
                        sb.append("NG_SBU");
                        sb.append(i2 - 1);
                        result2 = sb.toString();
                    }
                }
                if (result2 == null) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,0,3,0 ", "All Pass"));
                    resData = responseString(argu[0], "OK," + "1," + data2);
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,0,3,0 ", result2));
                    resData = responseString(argu[0], result2 + "," + "1," + data2);
                }
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,0,3,0 ", "Fail - ccic, sbu adc data NULL"));
                resData = responseString(argu[0], "NONE");
            }
        } else {
            resData = responseNA();
        }
        return resData;
    }
}
