package com.sec.factory.aporiented.athandler;

import android.content.Context;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.util.Locale;

public class AtEmemtest extends AtCommandHandler {
    public AtEmemtest(Context context) {
        super(context);
        this.CMD_NAME = "EMEMTEST";
        this.CLASS_NAME = "AtEmemtest";
        this.NUM_ARGS = 2;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        String str;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0"})) {
            String mState = mModuleDevice.getStateExternalMemory();
            if (mState != null) {
                mState = mState.toUpperCase(Locale.ENGLISH);
            }
            if ("INSERT".equalsIgnoreCase(mState)) {
                resData = responseOK(argu[0]);
            } else if (!"NOTRAY".equalsIgnoreCase(mState) || !Support.Feature.getBoolean(Support.Feature.SUPPORT_CHECK_SDCARD_TRAY)) {
                String str2 = this.CLASS_NAME;
                FtUtil.log_i(str2, "handleCommand", "mState : " + mState);
                resData = responseNG(argu[0]);
            } else {
                resData = responseString(argu[0], mState);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
            if (mModuleDevice.isMountedStorage(1)) {
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "2"})) {
            if (mModuleDevice.isMountedStorage(1)) {
                str = responseString(argu[0], mModuleDevice.int_extMEMOSize(1, true));
            } else {
                str = responseNG(argu[0]);
            }
            resData = str;
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "5"})) {
            String hostSpeed = Support.Kernel.read(Support.Kernel.HOST_SPEED_MODE);
            String sdSpeed = Support.Kernel.read(Support.Kernel.SD_SPEED_MODE);
            if (hostSpeed == null || sdSpeed == null) {
                resData = responseNG(argu[0]);
            } else {
                String str3 = this.CLASS_NAME;
                FtUtil.log_i(str3, "handleCommand", "High Speed SD Card hostSpeed : " + hostSpeed + ", sdSpeed : " + sdSpeed);
                if (hostSpeed.equals(sdSpeed)) {
                    if (mModuleDevice.checkSDCardMount()) {
                        resData = responseString(argu[0], String.format("OK,%s,%s", hostSpeed, sdSpeed));
                    } else {
                        resData = responseString(argu[0], String.format("NG_UM,%s,%s", hostSpeed, sdSpeed));
                    }
                } else if (mModuleDevice.checkSDCardMount()) {
                    resData = responseString(argu[0], String.format("NG_MM,%s,%s", hostSpeed, sdSpeed));
                } else {
                    resData = responseString(argu[0], String.format("NG_UM,%s,%s", hostSpeed, sdSpeed));
                }
            }
        } else {
            resData = responseNA();
        }
        return resData;
    }
}
