package com.sec.factory.aporiented.athandler;

import android.content.Context;
import com.sec.factory.modules.ModuleCommunication;
import egis.client.api.EgisFingerprint;
import java.util.Objects;

public class AtEthernet extends AtCommandHandler {
    public AtEthernet(Context context) {
        super(context);
        this.CMD_NAME = "ETHERNET";
        this.CLASS_NAME = "AtEthernet";
        this.NUM_ARGS = 3;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"2", "0"})) {
            if (mModuleCommunication.WriteEthernetMac(argu[2])) {
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0"})) {
            resData = responseString(argu[0], mModuleCommunication.ReadEthernetMac());
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "0"})) {
            ModuleCommunication moduleCommunication = mModuleCommunication;
            Objects.requireNonNull(mModuleCommunication);
            if (moduleCommunication.ConnectionCheckEthernet(0)) {
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", "0", "0"})) {
            ModuleCommunication moduleCommunication2 = mModuleCommunication;
            Objects.requireNonNull(mModuleCommunication);
            if (moduleCommunication2.ConnectionCheckEthernet(1)) {
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        } else {
            resData = responseNA();
        }
        return resData;
    }
}
