package com.sec.factory.aporiented.athandler;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import com.sec.factory.aporiented.ResponseWriter;
import com.sec.factory.support.FtUtil;
import egis.client.api.EgisFingerprint;

public class AtFacmtest extends AtCommandHandler {
    private static String tagId = null;
    public BroadcastReceiver mReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.aporiented.athandler.AtFacmtest.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            AtFacmtest atFacmtest = AtFacmtest.this;
            atFacmtest.stopReceiver(atFacmtest.mReceiver);
            String mAction = intent.getAction();
            String result = intent.getStringExtra("result");
            String str = AtFacmtest.this.CLASS_NAME;
            FtUtil.log_d(str, "onReceive", "mAction: " + mAction + " extra: " + result);
            if ("com.sec.android.facm.FACMTEST_RESULT".equals(mAction)) {
                FtUtil.log_d(AtFacmtest.this.CLASS_NAME, "onReceive", "FACMTEST_RESULT");
                AtFacmtest.this.writer.write(result);
            }
        }
    };

    public AtFacmtest(Context context, ResponseWriter writer) {
        super(context);
        this.CMD_NAME = "FACMTEST";
        this.CLASS_NAME = "AtFacmtest";
        this.NUM_ARGS = 4;
        this.writer = writer;
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public void startReceiver() {
        IntentFilter mFilter = new IntentFilter();
        mFilter.addAction("com.sec.android.facm.FACMTEST_RESULT");
        FtUtil.log_d(this.CLASS_NAME, "startReceiver", "request to register mReceiver - start");
        this.context.registerReceiver(this.mReceiver, mFilter);
        FtUtil.log_d(this.CLASS_NAME, "startReceiver", "request to register mReceiver - done");
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData = null;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", "0", EgisFingerprint.MAJOR_VERSION})) {
            startReceiver();
            Intent intent = new Intent("com.sec.android.facm.START_WIFI_DELAYED");
            intent.setFlags(16777216);
            intent.putExtra("CMD_NAME", this.CMD_NAME);
            intent.putExtra("argu", argu[0]);
            intent.putExtra("data", argu[3]);
            this.context.sendBroadcast(intent);
        } else if (checkArgu(argu, new String[]{"0", "0", "2"})) {
            startReceiver();
            Intent intent2 = new Intent("com.sec.android.facm.START_BT_DELAYED");
            intent2.setFlags(16777216);
            intent2.putExtra("CMD_NAME", this.CMD_NAME);
            intent2.putExtra("argu", argu[0]);
            intent2.putExtra("data", argu[3]);
            this.context.sendBroadcast(intent2);
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "0", "0"})) {
            startReceiver();
            Intent intent3 = new Intent("com.sec.android.facm.CLEAR_WIFI_PASSWORD");
            intent3.setFlags(16777216);
            intent3.putExtra("CMD_NAME", this.CMD_NAME);
            intent3.putExtra("argu", argu[0]);
            intent3.putExtra("data", argu[3]);
            this.context.sendBroadcast(intent3);
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "0", EgisFingerprint.MAJOR_VERSION})) {
            if (tagId != null) {
                String str = this.CLASS_NAME;
                FtUtil.log_d(str, "handleCommand", "WIFI TAG ID: " + tagId);
                resData = responseString(argu[0], tagId);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "WIFI TAG ID is null");
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
            startReceiver();
            Intent intent4 = new Intent("com.sec.android.facm.SET_WIFI_ADDRESS");
            intent4.setFlags(16777216);
            intent4.putExtra("CMD_NAME", this.CMD_NAME);
            intent4.putExtra("argu", argu[0]);
            intent4.putExtra("data", argu[3]);
            this.context.sendBroadcast(intent4);
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "2"})) {
            startReceiver();
            Intent intent5 = new Intent("com.sec.android.facm.SET_BT_ADDRESS");
            intent5.setFlags(16777216);
            intent5.putExtra("CMD_NAME", this.CMD_NAME);
            intent5.putExtra("argu", argu[0]);
            intent5.putExtra("data", argu[3]);
            this.context.sendBroadcast(intent5);
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
            startReceiver();
            Intent intent6 = new Intent("com.sec.android.facm.SET_WIFI_SSID");
            intent6.setFlags(16777216);
            intent6.putExtra("CMD_NAME", this.CMD_NAME);
            intent6.putExtra("argu", argu[0]);
            intent6.putExtra("data", argu[3]);
            this.context.sendBroadcast(intent6);
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "4"})) {
            startReceiver();
            Intent intent7 = new Intent("com.sec.android.facm.START_WIFI_SOCKET_ONESHOT");
            intent7.setFlags(16777216);
            intent7.putExtra("CMD_NAME", this.CMD_NAME);
            intent7.putExtra("argu", argu[0]);
            intent7.putExtra("data", argu[3]);
            this.context.sendBroadcast(intent7);
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "5"})) {
            startReceiver();
            Intent intent8 = new Intent("com.sec.android.facm.SET_WIFI_PASSWORD");
            intent8.setFlags(16777216);
            intent8.putExtra("CMD_NAME", this.CMD_NAME);
            intent8.putExtra("argu", argu[0]);
            intent8.putExtra("data", argu[3]);
            this.context.sendBroadcast(intent8);
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "6"})) {
            startReceiver();
            Intent intent9 = new Intent("com.sec.android.facm.START_WIFI_AP_ONESHOT");
            intent9.setFlags(16777216);
            intent9.putExtra("CMD_NAME", this.CMD_NAME);
            intent9.putExtra("argu", argu[0]);
            intent9.putExtra("data", argu[3]);
            this.context.sendBroadcast(intent9);
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "7"})) {
            if ("".equals(argu[3])) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "WIFI TAG ID is null");
                resData = responseNG(argu[0]);
            } else {
                String str2 = this.CLASS_NAME;
                FtUtil.log_d(str2, "handleCommand", "WIFI TAG ID: " + argu[3]);
                tagId = argu[3];
                resData = responseOK(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", "2", EgisFingerprint.MAJOR_VERSION})) {
            startReceiver();
            Intent intent10 = new Intent("com.sec.android.facm.START_WIFI_CONTINUOUSLY");
            intent10.setFlags(16777216);
            intent10.putExtra("CMD_NAME", this.CMD_NAME);
            intent10.putExtra("argu", argu[0]);
            intent10.putExtra("data", argu[3]);
            this.context.sendBroadcast(intent10);
        } else if (checkArgu(argu, new String[]{"0", "2", "2", "0"})) {
            mModulePower.doWakeLock(false);
            mModulePower.setBrightness(127);
            startReceiver();
            Intent intent11 = new Intent("com.sec.android.facm.START_BT_SERVER");
            intent11.setFlags(16777216);
            intent11.putExtra("CMD_NAME", this.CMD_NAME);
            intent11.putExtra("argu", argu[0]);
            this.context.sendBroadcast(intent11);
        } else if (checkArgu(argu, new String[]{"0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, "0"})) {
            startReceiver();
            Intent intent12 = new Intent("com.sec.android.facm.STOP_WIFI_CONNECT");
            intent12.setFlags(16777216);
            intent12.putExtra("CMD_NAME", this.CMD_NAME);
            intent12.putExtra("argu", argu[0]);
            this.context.sendBroadcast(intent12);
        } else if (checkArgu(argu, new String[]{"0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "2", "0"})) {
            startReceiver();
            Intent intent13 = new Intent("com.sec.android.facm.STOP_BT_CONNECT");
            intent13.setFlags(16777216);
            intent13.putExtra("CMD_NAME", this.CMD_NAME);
            intent13.putExtra("argu", argu[0]);
            this.context.sendBroadcast(intent13);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0", "0"})) {
            startReceiver();
            Intent intent14 = new Intent("com.sec.android.facm.START_WIFI_SOCKET_CONNECT");
            intent14.setFlags(16777216);
            intent14.putExtra("CMD_NAME", this.CMD_NAME);
            intent14.putExtra("argu", argu[0]);
            this.context.sendBroadcast(intent14);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0", EgisFingerprint.MAJOR_VERSION})) {
            startReceiver();
            Intent intent15 = new Intent("com.sec.android.facm.START_WIFI_AP_CONNECT");
            intent15.setFlags(16777216);
            intent15.putExtra("CMD_NAME", this.CMD_NAME);
            intent15.putExtra("argu", argu[0]);
            this.context.sendBroadcast(intent15);
        } else {
            resData = responseNA();
        }
        return resData;
    }
}
