package com.sec.factory.aporiented.athandler;

import android.content.Context;
import android.os.SystemProperties;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class AtFactolog extends AtCommandHandler {
    private static final String STAGE_PROPERTY = "ril.factory_mode";
    private Context mContext;

    public AtFactolog(Context context) {
        super(context);
        this.CMD_NAME = "FACTOLOG";
        this.CLASS_NAME = "AtFactolog";
        this.NUM_ARGS = 4;
        this.mContext = context;
    }

    public AtFactolog(Context context, int commandType) {
        super(context);
        this.CMD_NAME = "FACTOLOG";
        this.CLASS_NAME = "AtFactolog";
        this.NUM_ARGS = 4;
        this.mContext = context;
        this.mCommandType = commandType;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (argu[2].equals(EgisFingerprint.MAJOR_VERSION)) {
            resData = responseOK(argu[0]);
            if (Support.Feature.getBoolean(Support.Feature.SUPPORT_PARTIAL_WAKELOCK)) {
                mModulePower.doPartialWakeLock(false);
                mModulePower.doPartialWakeLock(true);
            } else {
                mModulePower.doWakeLock(false);
                mModulePower.doWakeLock(true);
            }
            mModulePower.sendDvfsLockIntent();
            mModulePower.sendAlarmManagerOnOff(false);
            mModulePower.setFactoryModeAtBatteryNode(true);
            mModuleCommon.setSwitchFactoryState();
            if (Support.Feature.getBoolean(Support.Feature.NEED_NOTI_AUDIO_MANAGER, true)) {
                mModuleAudio.sendToAudioManagerFTAOnOff(true);
            } else {
                FtUtil.log_i(this.CLASS_NAME, "handleCommand()", "sendToAudioManagerFTAOnOff : M0_EUR case");
            }
            if (Support.Feature.getBoolean(Support.Feature.NEED_LPM_MODE_SET, true)) {
                mModuleDevice.setLPMmode(ModuleDevice.LPM_MODE_DISABLE);
            }
            String currentStage = SystemProperties.get(STAGE_PROPERTY, "none");
            String str = this.CLASS_NAME;
            FtUtil.log_i(str, "handleCommand()", "FT TYPE: " + currentStage);
        } else if (argu[2].equals("0")) {
            resData = responseOK(argu[0]);
            mModulePower.setFactoryModeAtBatteryNode(false);
            if (Support.Feature.getBoolean(Support.Feature.NEED_NOTI_AUDIO_MANAGER, true)) {
                mModuleAudio.sendToAudioManagerFTAOnOff(false);
            } else {
                FtUtil.log_i(this.CLASS_NAME, "handleCommand()", "sendToAudioManagerFTAOnOff : M0_EUR case");
            }
        } else {
            resData = responseNA();
        }
        return resData;
    }
}
