package com.sec.factory.aporiented.athandler;

import android.content.BroadcastReceiver;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.content.ServiceConnection;
import android.os.Handler;
import android.os.IBinder;
import android.os.Looper;
import android.os.Message;
import android.os.Messenger;
import android.os.RemoteException;
import com.sec.factory.aporiented.ResponseWriter;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.nio.charset.StandardCharsets;
import java.util.Locale;

public class AtFailhist extends AtCommandHandler {
    private static final String ACTION_SHOW_ABC_POPUP = "com.sec.factory.SHOW_ABC_POPUP";
    private static final int ERROR = 2;
    static final String FACTORY_CMD_PROPERTY = "ril.factory_cmd";
    private static final int FAC_FAIL = 3;
    private static final int FAC_TEST_NAME = 4;
    private static final String FAILHIST_DONE = "com.android.sec.FAILHIST.DONE";
    private static final int FLOG = 5;
    private static final int MAX_IDX_ABC_LOG = 6;
    private static final int MODULE = 1;
    public static final int REQUEST_FSYNC_TO_FTLCLIENT = 1;
    public static final int RESPONSE_FSYNC_FROM_FTLCLIENT = 2;
    static final String STAGE_PROPERTY = "ril.factory_mode";
    private static final int TIME = 0;
    private Messenger mClientCallback = null;
    private ServiceConnection mConnection = new ServiceConnection() {
        /* class com.sec.factory.aporiented.athandler.AtFailhist.AnonymousClass2 */

        public void onServiceConnected(ComponentName name, IBinder service) {
            FtUtil.log_i(AtFailhist.this.CLASS_NAME, "onServiceConnected", "onServiceConnected");
            AtFailhist.this.mServiceCallback = new Messenger(service);
        }

        public void onServiceDisconnected(ComponentName name) {
            FtUtil.log_i(AtFailhist.this.CLASS_NAME, "onServiceDisconnected", "onServiceDisconnected");
            AtFailhist.this.mServiceCallback = null;
        }
    };
    public BroadcastReceiver mReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.aporiented.athandler.AtFailhist.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            String mAction = intent.getAction();
            FtUtil.log_d(AtFailhist.this.CLASS_NAME, "onReceive", mAction);
            AtFailhist.FAILHIST_DONE.equals(mAction);
            AtFailhist atFailhist = AtFailhist.this;
            atFailhist.stopReceiver(atFailhist.mReceiver);
        }
    };
    private Messenger mServiceCallback = null;
    private String mVersion = "";
    private Object token;

    public AtFailhist(Context context, ResponseWriter writer) {
        super(context);
        this.CMD_NAME = "FAILHIST";
        this.CLASS_NAME = "AtFailhist";
        this.NUM_ARGS = 3;
        this.writer = writer;
        this.token = new Object();
        this.mClientCallback = new Messenger(new CallbackHandler(context.getMainLooper()));
        FtUtil.log_i(this.CLASS_NAME, "AtCommandHandler", "Trying to connect to FTLClient");
        Intent i = new Intent();
        i.setClassName("com.samsung.android.FactoryTestLauncher", "com.samsung.android.FactoryTestLauncher.addons.FTLClient.FTLClient");
        context.bindService(i, this.mConnection, 1);
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        String resData2;
        boolean result;
        String resData3 = null;
        if (argu.length < this.NUM_ARGS) {
            return responseNA();
        }
        this.mVersion = Support.Feature.getString(Support.Feature.FAILHIST_VERSION);
        if (FtUtil.isFactoryBinary()) {
            if (checkArgu(argu, new String[]{"2", "0"})) {
                if (argu.length != 3) {
                    return responseNA();
                }
                if (Support.Properties.PROPERTIES_DEFAULT_STRING.equals(this.mVersion)) {
                    String replaceRes = argu[2].replaceAll("\"", "");
                    FtUtil.log_d(this.CLASS_NAME, "setProperties", "cmd = " + replaceRes);
                    Support.Properties.set(Support.Properties.FACTORYAPP_FAILHIST, replaceRes);
                    writeFailHistToFlog(replaceRes);
                    resData2 = responseOK(argu[0]);
                } else if ("V1".equals(this.mVersion)) {
                    String replaceRes2 = argu[2].replaceAll("\"", "");
                    Support.Properties.set(Support.Properties.FACTORYAPP_FAILHIST, replaceRes2);
                    Support.Properties.set(Support.Properties.FACTORYAPP_FAILHIST_TIME, mModuleCommon.getTimeToString());
                    writeFailHistToFlog(replaceRes2);
                    resData2 = responseOK(argu[0]);
                } else {
                    String replaceRes3 = argu[2].replaceAll("\"", "");
                    Support.Properties.set(Support.Properties.FACTORYAPP_FAILHIST_FAILITEM, replaceRes3);
                    writeFailHistToFlog(replaceRes3);
                    FtUtil.log_d(this.CLASS_NAME, "write failhist", "failhist = " + replaceRes3);
                    String mResultTemp = replaceRes3 + ":" + mModuleCommon.getTimeToString();
                    String[] splitStr = mResultTemp.split(":");
                    boolean bFLSResult = Support.Kernel.writeNsync(Support.Kernel.FACTORY_FAILHIST_FLS, splitStr[0].replaceAll("\\p{space}", "") + "_" + splitStr[1].replaceAll("\\p{space}", ""));
                    if (!bFLSResult) {
                        FtUtil.log_e(this.CLASS_NAME, " write failhist for FLS", "fls result = fail");
                    } else {
                        FtUtil.log_d(this.CLASS_NAME, "write failhist for FLS", "fls result = " + bFLSResult);
                    }
                    FtUtil.log_d(this.CLASS_NAME, "write failhist", this.mVersion);
                    if ("V3".equals(this.mVersion) || "V4".equals(this.mVersion)) {
                        FtUtil.log_d(this.CLASS_NAME, "write failhist", this.mVersion);
                        result = Support.Kernel.writeNsyncContinuous(Support.Kernel.FACTORY_FAILHIST, mResultTemp + ":" + Support.Properties.get(Support.Properties.FACTORYAPP_FAILHIST_RDMKEY) + "\n");
                    } else {
                        FtUtil.log_d(this.CLASS_NAME, "write failhist", this.mVersion);
                        result = Support.Kernel.writeNsync(Support.Kernel.FACTORY_FAILHIST, mResultTemp);
                    }
                    if (!result) {
                        FtUtil.log_e(this.CLASS_NAME, " write failhist", "result = fail");
                        resData2 = responseNG(argu[0]);
                    } else {
                        FtUtil.log_d(this.CLASS_NAME, "write failhist", "result = " + result);
                        resData2 = responseOK(argu[0]);
                    }
                }
                return resData2;
            } else if (checkArgu(argu, new String[]{"0", "0", "0"})) {
                if ("V1".equals(this.mVersion)) {
                    Support.Properties.set(Support.Properties.FACTORYAPP_FAILHIST, "NONE");
                    Support.Properties.set(Support.Properties.FACTORYAPP_FAILHIST_TIME, "NONE");
                    FtUtil.log_d(this.CLASS_NAME, "clear failhist", "failhist = null");
                    resData = responseOK(argu[0]);
                } else {
                    Support.Properties.set(Support.Properties.FACTORYAPP_FAILHIST_FAILITEM, Support.Properties.PROPERTIES_DEFAULT_STRING);
                    File ssfh = new File(Support.Kernel.getFilePath(Support.Kernel.FACTORY_FAILHIST));
                    if (ssfh.exists()) {
                        FtUtil.log_d(this.CLASS_NAME, "clear failhist", "file exits");
                        if (ssfh.delete()) {
                            resData = responseOK(argu[0]);
                        } else {
                            resData = responseNG(argu[0]);
                        }
                    } else {
                        FtUtil.log_d(this.CLASS_NAME, "clear failhist", "file not exits");
                        resData = responseOK(argu[0]);
                    }
                }
                return resData;
            }
        }
        if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0"})) {
            if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
                return responseNA();
            } else if (Support.Properties.PROPERTIES_DEFAULT_STRING.equals(this.mVersion)) {
                String res = Support.Properties.get(Support.Properties.FACTORYAPP_FAILHIST);
                if (res == null || res == Support.Properties.PROPERTIES_DEFAULT_STRING) {
                    resData3 = responseString(argu[0], "NONE");
                } else {
                    resData3 = responseString(argu[0], res.replaceAll("\"", ""));
                }
            } else if ("V1".equals(this.mVersion)) {
                String res2 = Support.Properties.get(Support.Properties.FACTORYAPP_FAILHIST);
                if (res2 == null || res2 == Support.Properties.PROPERTIES_DEFAULT_STRING || "NONE".equalsIgnoreCase(res2)) {
                    resData3 = responseString(argu[0], "NONE");
                } else {
                    resData3 = responseString(argu[0], res2.replaceAll("\"", "") + ":" + Support.Properties.get(Support.Properties.FACTORYAPP_FAILHIST_TIME));
                }
            } else if ("V2".equals(this.mVersion)) {
                String res3 = Support.Kernel.read(Support.Kernel.FACTORY_FAILHIST);
                if (res3 == null || "NONE".equalsIgnoreCase(res3) || "N".equalsIgnoreCase(res3)) {
                    FtUtil.log_d(this.CLASS_NAME, "readFailHist", "res = none");
                    resData3 = responseString(argu[0], "NONE");
                } else {
                    resData3 = responseString(argu[0], res3);
                }
            } else if ("V3".equals(this.mVersion) || "V4".equals(this.mVersion)) {
                String[] failHistList = Support.Kernel.readNsyncContinuous(Support.Kernel.FACTORY_FAILHIST, false).split("\n");
                for (String str : failHistList) {
                    FtUtil.log_d(this.CLASS_NAME, "readFailHist", str);
                }
                String res4 = failHistList[failHistList.length - 1];
                if (res4 == null || "NONE".equalsIgnoreCase(res4) || "N".equalsIgnoreCase(res4) || "".equalsIgnoreCase(res4)) {
                    FtUtil.log_d(this.CLASS_NAME, "readFailHist", "res = none");
                    resData3 = responseString(argu[0], "NONE");
                } else {
                    String res5 = res4.substring(0, res4.lastIndexOf(":"));
                    FtUtil.log_d(this.CLASS_NAME, "readFailHist", "res = " + res5);
                    resData3 = responseString(argu[0], res5);
                }
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, "0"})) {
            if (Support.Properties.PROPERTIES_DEFAULT_STRING.equals(this.mVersion)) {
                resData3 = responseNA();
            } else {
                resData3 = responseString(argu[0], this.mVersion);
            }
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "0"})) {
            if ("factory".equalsIgnoreCase(Support.Properties.get(Support.Properties.BINARY_TYPE))) {
                FtUtil.log_i(this.CLASS_NAME, "handleCommand", "Flog sync start!");
                fullSyncFS();
                resData3 = responseOK(argu[0]);
            } else {
                resData3 = responseNA();
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "2", "0"})) {
            if ("factory".equalsIgnoreCase(Support.Properties.get(Support.Properties.BINARY_TYPE))) {
                String rdmkey = Support.Properties.get(Support.Properties.FACTORYAPP_FAILHIST_RDMKEY);
                FtUtil.log_d(this.CLASS_NAME, "Read rdmkey", "result = " + rdmkey);
                resData3 = responseString(argu[0], rdmkey);
            } else {
                resData3 = responseNA();
            }
        } else if (checkArgu(argu, new String[]{"2", EgisFingerprint.MAJOR_VERSION})) {
            if (!"factory".equalsIgnoreCase(Support.Properties.get(Support.Properties.BINARY_TYPE))) {
                resData3 = responseNA();
            } else if (argu.length != 3) {
                return responseNA();
            } else {
                String rdmkeyStr = argu[2].replaceAll("\"", "");
                Support.Properties.set(Support.Properties.FACTORYAPP_FAILHIST_RDMKEY, rdmkeyStr);
                writeFailHistToFlog(rdmkeyStr);
                FtUtil.log_d(this.CLASS_NAME, "Write rdmkey", "result = " + rdmkeyStr);
                String isRunning_ABC = Support.Properties.get(Support.Properties.ABC_LOG_RUNNING);
                if (EgisFingerprint.MAJOR_VERSION.equalsIgnoreCase(isRunning_ABC)) {
                    FtUtil.log_d(this.CLASS_NAME, "ABC Log", "is already running(" + isRunning_ABC + ")");
                } else if (rdmkeyStr.contains("SMD") || rdmkeyStr.contains("SMDDL") || rdmkeyStr.contains("NONE")) {
                    FtUtil.log_d(this.CLASS_NAME, "ABC Log", "is Not Triggered");
                } else {
                    String cellID = Support.Kernel.read(Support.Kernel.OCTA_MANUFACTURE_CODE);
                    if ("null".equalsIgnoreCase(cellID) || "0000000000000000000000".equalsIgnoreCase(cellID)) {
                        FtUtil.log_d(this.CLASS_NAME, "ABC Log", "is Not Triggered due to lcd's absence");
                    } else {
                        FtUtil.log_d(this.CLASS_NAME, "ABC Log", "is Triggered");
                        Support.Properties.set(Support.Properties.ABC_LOG_TRIGGER, EgisFingerprint.MAJOR_VERSION);
                    }
                }
                resData3 = responseOK(argu[0]);
            }
        } else if (!checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0"})) {
            resData3 = responseNA();
        } else if (!"factory".equalsIgnoreCase(Support.Properties.get(Support.Properties.BINARY_TYPE))) {
            resData3 = responseNA();
        } else if (new File("/sdcard/LABO_OUTPUT/fac_history.txt").exists()) {
            String ABCresult = parseABCLog("/sdcard/LABO_OUTPUT/fac_history.txt");
            FtUtil.log_i(this.CLASS_NAME, "ABC Log", "message=" + ABCresult);
            if (ABCresult.contains("(FAIL)")) {
                FtUtil.log_i(this.CLASS_NAME, "ABC Log", "Show ABC fault popup");
                Support.Properties.set(Support.Properties.ABC_RESULT, "fail");
                this.context.sendBroadcast(new Intent(ACTION_SHOW_ABC_POPUP));
                resData3 = responseString(argu[0], "NG" + ABCresult);
            } else {
                resData3 = responseString(argu[0], "OK" + ABCresult);
            }
        } else {
            FtUtil.log_i(this.CLASS_NAME, "ABC Log", "message=NO FILE");
            resData3 = responseString(argu[0], "NO FILE");
        }
        return resData3;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public void startReceiver() {
        IntentFilter mFilter = new IntentFilter();
        mFilter.addAction(FAILHIST_DONE);
        this.context.registerReceiver(this.mReceiver, mFilter);
    }

    private void writeFailHistToFlog(String failHistory) {
        Support.Kernel.writeToPathNsync(Support.Properties.get(Support.Properties.FLOG_FOLDER) + File.separator + "FLog_failhist.txt", mModuleCommon.getDateTime() + " " + failHistory + System.lineSeparator(), true);
    }

    public String parseABCLog(String path) {
        StringBuilder sb = new StringBuilder();
        try {
            InputStream is = new FileInputStream(path);
            try {
                InputStreamReader isr = new InputStreamReader(is, StandardCharsets.UTF_8);
                try {
                    BufferedReader reader = new BufferedReader(isr);
                    while (true) {
                        try {
                            String temp = reader.readLine();
                            FtUtil.log_d(this.CLASS_NAME, "parseABCLog", temp);
                            if (temp == null) {
                                break;
                            }
                            String[] value = temp.split("\\s*,\\s*");
                            if (value == null) {
                                break;
                            } else if (value.length < 6) {
                                break;
                            } else {
                                sb.append(";" + value[1].split("\\s*=\\s*")[1] + "_");
                                sb.append(value[2].split("\\s*=\\s*")[1].replaceAll("_", "-"));
                                if (Boolean.valueOf(value[3].split("\\s*=\\s*")[1].equalsIgnoreCase("true")).booleanValue()) {
                                    sb.append("(FAIL)_");
                                } else {
                                    sb.append("(PASS)_");
                                }
                                sb.append(value[4].split("\\s*=\\s*")[1] + "_");
                                sb.append("ZFLEXLOG_" + value[5].split("\\s*=\\s*")[1] + "_");
                                StringBuilder sb2 = new StringBuilder();
                                sb2.append("TIME_");
                                sb2.append(value[0].split("\\s*=\\s*")[1]);
                                sb.append(sb2.toString());
                            }
                        } catch (Throwable th) {
                            th.addSuppressed(th);
                        }
                    }
                    reader.close();
                    isr.close();
                    is.close();
                } catch (Throwable th2) {
                    th.addSuppressed(th2);
                }
            } catch (Throwable th3) {
                th.addSuppressed(th3);
            }
        } catch (IOException e) {
            FtUtil.log_e(e);
        }
        return sb.toString().toUpperCase(Locale.ENGLISH);
        throw th;
        throw th;
        throw th;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public boolean syncFS() {
        if (this.mServiceCallback == null) {
            return false;
        }
        Message msg = Message.obtain((Handler) null, 1);
        msg.replyTo = this.mClientCallback;
        try {
            this.mServiceCallback.send(msg);
        } catch (RemoteException e) {
            e.printStackTrace();
        }
        FtUtil.log_i(this.CLASS_NAME, "syncFS", "REQUEST_FSYNC_TO_FTLCLIENT");
        synchronized (this.token) {
            try {
                this.token.wait(1000);
            } catch (InterruptedException e2) {
                e2.printStackTrace();
            }
        }
        return true;
    }

    public boolean fullSyncFS() {
        String[] shell_command = {"/system/bin/sh", "-c", "sync"};
        FtUtil.log_i(this.CLASS_NAME, "syncFS", "exec start");
        try {
            Runtime.getRuntime().exec(shell_command).waitFor();
            FtUtil.log_i(this.CLASS_NAME, "syncFS", "exec done");
            return true;
        } catch (IOException e) {
            FtUtil.log_e(this.CLASS_NAME, "syncFS", "DoShellCmd - IOException");
            return false;
        } catch (SecurityException e2) {
            FtUtil.log_e(this.CLASS_NAME, "syncFS", "DoShellCmd - SecurityException");
            return false;
        } catch (InterruptedException e3) {
            e3.printStackTrace();
            return true;
        }
    }

    private class CallbackHandler extends Handler {
        public CallbackHandler(Looper looper) {
            super(looper);
        }

        public void handleMessage(Message msg) {
            switch (msg.what) {
                case 2:
                    FtUtil.log_i(AtFailhist.this.CLASS_NAME, "CallbackHandler", "RESPONSE_FSYNC_FROM_FTLCLIENT");
                    synchronized (AtFailhist.this.token) {
                        AtFailhist.this.token.notify();
                    }
                    return;
                default:
                    return;
            }
        }
    }
}
