package com.sec.factory.aporiented.athandler;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import com.sec.factory.aporiented.ResponseWriter;
import com.sec.factory.modules.ModuleCommunication;
import com.sec.factory.support.FtUtil;
import egis.client.api.EgisFingerprint;

public class AtFcbttest extends AtCommandHandler {
    private static String first_argu = null;

    public AtFcbttest(Context context, ResponseWriter writer) {
        super(context);
        this.CMD_NAME = "FCBTTEST";
        this.CLASS_NAME = "AtFcbttest";
        this.NUM_ARGS = 3;
        this.writer = writer;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public void startReceiver() {
        this.context.registerReceiver(new BroadcastReceiver() {
            /* class com.sec.factory.aporiented.athandler.AtFcbttest.AnonymousClass1 */

            public void onReceive(Context context, Intent intent) {
                if (ModuleCommunication.ACTION_BT_SERVICE_RESPONSE.equals(intent.getAction())) {
                    String result = intent.getStringExtra("result");
                    String str = AtFcbttest.this.CLASS_NAME;
                    FtUtil.log_i(str, "btReceiver.onReceive", "EXTRA_KEY_BT_SERVICE_RESPONSE result=" + result);
                    AtFcbttest.this.writer.write(AtFcbttest.this.responseString(AtFcbttest.first_argu, result));
                    AtFcbttest.this.stopReceiver(this);
                }
            }
        }, new IntentFilter(ModuleCommunication.ACTION_BT_SERVICE_RESPONSE));
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData = null;
        first_argu = argu[0];
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", "0", "0"})) {
            startReceiver();
            mModuleCommunication.btActivationWhereAtcmd();
        } else if (checkArgu(argu, new String[]{"0", "0", EgisFingerprint.MAJOR_VERSION})) {
            startReceiver();
            mModuleCommunication.btSearchStart();
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
            startReceiver();
            mModuleCommunication.btSearchStartWithAck();
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "2"})) {
            startReceiver();
            mModuleCommunication.btSearchStop();
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
            startReceiver();
            mModuleCommunication.bleSearchStartWithAckOn10s();
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, "0"})) {
            startReceiver();
            mModuleCommunication.btREDRxRSSIRead();
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
            startReceiver();
            mModuleCommunication.btREDTxCalResultRead();
        } else if (checkArgu(argu, new String[]{"0", "2", "0"})) {
            startReceiver();
            mModuleCommunication.btDeactivation();
        } else if (checkArgu(argu, new String[]{"0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0"})) {
            startReceiver();
            mModuleCommunication.btRfTestStart();
        } else if (checkArgu(argu, new String[]{"0", "2", EgisFingerprint.MAJOR_VERSION})) {
            mModuleCommunication.btRfTestStop();
            FtUtil.Sleep.sleep(500);
            this.writer.write(responseOK(argu[0]));
        } else if (checkArgu(argu, new String[]{"0", "4", "0"})) {
            startReceiver();
            mModuleCommunication.btAudioTestStart();
        } else if (checkArgu(argu, new String[]{"0", "2", "2"})) {
            startReceiver();
            mModuleCommunication.btAudioTestStop();
        } else if (checkArgu(argu, new String[]{"0", "5", "0"})) {
            startReceiver();
            mModuleCommunication.btLeTxOutputChLow();
        } else if (checkArgu(argu, new String[]{"0", "5", EgisFingerprint.MAJOR_VERSION})) {
            startReceiver();
            mModuleCommunication.btLeTxOutputChMid();
        } else if (checkArgu(argu, new String[]{"0", "5", "2"})) {
            startReceiver();
            mModuleCommunication.btLeTxOutputChHigh();
        } else if (checkArgu(argu, new String[]{"0", "5", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
            startReceiver();
            mModuleCommunication.btLeTxModChLow();
        } else if (checkArgu(argu, new String[]{"0", "5", "4"})) {
            startReceiver();
            mModuleCommunication.btLeTxModChMid();
        } else if (checkArgu(argu, new String[]{"0", "5", "5"})) {
            startReceiver();
            mModuleCommunication.btLeTxModChHigh();
        } else if (checkArgu(argu, new String[]{"0", "5", "6"})) {
            startReceiver();
            mModuleCommunication.btLeTxModChLowAA();
        } else if (checkArgu(argu, new String[]{"0", "5", "7"})) {
            startReceiver();
            mModuleCommunication.btLeTxModChMidAA();
        } else if (checkArgu(argu, new String[]{"0", "5", "8"})) {
            startReceiver();
            mModuleCommunication.btLeTxModChHighAA();
        } else if (checkArgu(argu, new String[]{"0", "6", "0"})) {
            startReceiver();
            mModuleCommunication.btLeTxCarrierChLow();
        } else if (checkArgu(argu, new String[]{"0", "6", EgisFingerprint.MAJOR_VERSION})) {
            startReceiver();
            mModuleCommunication.btLeTxCarrierChMid();
        } else if (checkArgu(argu, new String[]{"0", "6", "2"})) {
            startReceiver();
            mModuleCommunication.btLeTxCarrierChHigh();
        } else if (checkArgu(argu, new String[]{"0", "6", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
            startReceiver();
            mModuleCommunication.btLeTxInBandChLow();
        } else if (checkArgu(argu, new String[]{"0", "6", "4"})) {
            startReceiver();
            mModuleCommunication.btLeTxInBandChMid();
        } else if (checkArgu(argu, new String[]{"0", "6", "5"})) {
            startReceiver();
            mModuleCommunication.btLeTxInBandChHigh();
        } else if (checkArgu(argu, new String[]{"0", "6", "6"})) {
            startReceiver();
            mModuleCommunication.btLeRxLow();
        } else if (checkArgu(argu, new String[]{"0", "6", "7"})) {
            startReceiver();
            mModuleCommunication.btLeRxMid();
        } else if (checkArgu(argu, new String[]{"0", "6", "8"})) {
            startReceiver();
            mModuleCommunication.btLeRxHigh();
        } else if (checkArgu(argu, new String[]{"0", "6", egis.optical.client.api.EgisFingerprint.JAR_VERSION})) {
            startReceiver();
            mModuleCommunication.btLeTestEnd();
        } else if (checkArgu(argu, new String[]{"0", "7", "0"})) {
            startReceiver();
            mModuleCommunication.btEdrTxLow();
        } else if (checkArgu(argu, new String[]{"0", "7", EgisFingerprint.MAJOR_VERSION})) {
            startReceiver();
            mModuleCommunication.btEdrTxMid();
        } else if (checkArgu(argu, new String[]{"0", "7", "2"})) {
            startReceiver();
            mModuleCommunication.btEdrTxHigh();
        } else if (checkArgu(argu, new String[]{"0", "7", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
            startReceiver();
            mModuleCommunication.btAntSwitchEdrTxMid();
        } else if (checkArgu(argu, new String[]{"0", "8", "0"})) {
            startReceiver();
            mModuleCommunication.btEdrRxLow();
        } else if (checkArgu(argu, new String[]{"0", "8", EgisFingerprint.MAJOR_VERSION})) {
            startReceiver();
            mModuleCommunication.btEdrRxMid();
        } else if (checkArgu(argu, new String[]{"0", "8", "2"})) {
            startReceiver();
            mModuleCommunication.btEdrRxHigh();
        } else if (checkArgu(argu, new String[]{"0", "8", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
            startReceiver();
            mModuleCommunication.btBrEdrTestEnd();
        } else if (checkArgu(argu, new String[]{"0", egis.optical.client.api.EgisFingerprint.JAR_VERSION, "0"})) {
            startReceiver();
            mModuleCommunication.btHpmLowPath();
        } else if (checkArgu(argu, new String[]{"0", egis.optical.client.api.EgisFingerprint.JAR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
            startReceiver();
            mModuleCommunication.btHpmHighPath();
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.JAR_VERSION, "0"})) {
            startReceiver();
            mModuleCommunication.btHpmReadPath();
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.JAR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
            startReceiver();
            mModuleCommunication.btLeTestRead();
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0", "0"})) {
            startReceiver();
            mModuleCommunication.btBrTxLow();
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0", EgisFingerprint.MAJOR_VERSION})) {
            startReceiver();
            mModuleCommunication.btBrTxMid();
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0", "2"})) {
            startReceiver();
            mModuleCommunication.btBrTxHigh();
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, "0"})) {
            startReceiver();
            mModuleCommunication.btBrRxLow();
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
            startReceiver();
            mModuleCommunication.btBrRxMid();
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, "2"})) {
            startReceiver();
            mModuleCommunication.btBrRxHigh();
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
            startReceiver();
            mModuleCommunication.btBrEdrTestEnd();
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "4", "0"})) {
            startReceiver();
            mModuleCommunication.btLeTest1M();
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "4", EgisFingerprint.MAJOR_VERSION})) {
            startReceiver();
            mModuleCommunication.btLeTest2M();
        } else if (checkArgu(argu, new String[]{"4", "0"})) {
            startReceiver();
            mModuleCommunication.dualBtSignalSelect(Integer.parseInt(argu[2]));
        } else if (checkArgu(argu, new String[]{"4", EgisFingerprint.MAJOR_VERSION})) {
            startReceiver();
            mModuleCommunication.dualBtCoreSelect(Integer.parseInt(argu[2]));
        } else if (checkArgu(argu, new String[]{"4", "2"})) {
            startReceiver();
            mModuleCommunication.dualBtChannel(Integer.parseInt(argu[2]));
        } else if (checkArgu(argu, new String[]{"4", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
            startReceiver();
            mModuleCommunication.dualBtDataRate(Integer.parseInt(argu[2]));
        } else if (checkArgu(argu, new String[]{"4", "4"})) {
            startReceiver();
            mModuleCommunication.dualBtTxPower(Integer.parseInt(argu[2]));
        } else if (checkArgu(argu, new String[]{"4", "5"})) {
            startReceiver();
            mModuleCommunication.dualBtPaMode(Integer.parseInt(argu[2]));
        } else if (checkArgu(argu, new String[]{"4", "6"})) {
            startReceiver();
            mModuleCommunication.dualBtPacketType(Integer.parseInt(argu[2]));
        } else if (checkArgu(argu, new String[]{"4", "7"})) {
            startReceiver();
            mModuleCommunication.dualBtAclFrame(Integer.parseInt(argu[2]));
        } else if (checkArgu(argu, new String[]{"4", "8"})) {
            startReceiver();
            mModuleCommunication.dualBtTxStartStop(Integer.parseInt(argu[2]));
        } else if (checkArgu(argu, new String[]{"4", egis.optical.client.api.EgisFingerprint.JAR_VERSION})) {
            startReceiver();
            mModuleCommunication.dualBtRxStartStop(Integer.parseInt(argu[2]));
        } else if (checkArgu(argu, new String[]{"4", "10", "0"})) {
            startReceiver();
            mModuleCommunication.dualBtRxGoodpacket();
        } else {
            resData = responseNA();
        }
        return resData;
    }
}
