package com.sec.factory.aporiented.athandler;

import android.content.Context;
import com.sec.factory.modules.ModuleCommunication;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class AtFceptest extends AtCommandHandler {
    public AtFceptest(Context context) {
        super(context);
        this.CMD_NAME = "FCEPTEST";
        this.CLASS_NAME = "AtFceptest";
        this.NUM_ARGS = 4;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData = null;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (FtUtil.isFactoryBinary() && checkArgu(argu, new String[]{"0", "0", "0", "0"})) {
            if (mModuleCommon.isVoiceCapable()) {
                mModuleAudio.startLoopback(5, 1);
            } else {
                mModuleAudio.startLoopback(5, 3);
            }
            resData = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", "0", "0", EgisFingerprint.MAJOR_VERSION})) {
            if (mModuleCommon.isVoiceCapable()) {
                mModuleAudio.startLoopback(5, 0);
            } else {
                int type = 3;
                if (Support.Feature.getBoolean(Support.Feature.SUPPORT_REALTIME_TYPE_FOR_WIFI, false)) {
                    type = 2;
                }
                mModuleAudio.startLoopback(5, type);
            }
            resData = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", "0", EgisFingerprint.MAJOR_VERSION, "0"})) {
            mModuleAudio.stopLoopback();
            resData = responseOK(argu[0]);
        } else if ((!FtUtil.isFactoryBinary() || !checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "0", "0"})) && ((!FtUtil.isFactoryBinary() || !checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, "0"})) && (!FtUtil.isFactoryBinary() || !checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "2", "0"})))) {
            if (FtUtil.isFactoryBinary() && checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "2", "0"})) {
                resData = mModuleAudio.isEarphonePlugged() ? responseString(argu[0], ModuleCommunication.BT_RESULT_FOUND) : responseString(argu[0], ModuleCommunication.BT_RESULT_NOT_FOUND);
            } else if (!FtUtil.isFactoryBinary() || !checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, "0"})) {
                resData = responseNA();
            }
        }
        return resData;
    }
}
