package com.sec.factory.aporiented.athandler;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import com.sec.factory.aporiented.ResponseWriter;
import com.sec.factory.support.FtUtil;

public class AtFlickers extends AtCommandHandler {
    public static final int STOP_RECEIVE_FRS_RESPONSE = 0;
    public static final int TIMEOUT = 15000;
    private static String returnArgu = "0";
    private Handler handler = new Handler(Looper.getMainLooper()) {
        /* class com.sec.factory.aporiented.athandler.AtFlickers.AnonymousClass2 */

        public void handleMessage(Message msg) {
            if (msg.what == 0) {
                FtUtil.log_d(AtFlickers.this.CLASS_NAME, "handleMessage", "STOP_RECEIVER_RESPONSE");
                AtFlickers.this.handler.removeMessages(0);
                AtFlickers.this.writer.write(AtFlickers.this.responseNG("0"));
            }
            super.handleMessage(msg);
        }
    };
    private Context mContext;
    public BroadcastReceiver mReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.aporiented.athandler.AtFlickers.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            AtFlickers atFlickers = AtFlickers.this;
            atFlickers.stopReceiver(atFlickers.mReceiver);
            String mAction = intent.getAction();
            AtFlickers.this.handler.removeMessages(0);
            String str = AtFlickers.this.CLASS_NAME;
            FtUtil.log_d(str, "onReceive", "mAction : " + mAction);
            if ("com.sec.factory.camera.ACTION_TEST_STATUS".equals(mAction)) {
                FtUtil.log_d(AtFlickers.this.CLASS_NAME, "onReceive", "ACTION_TEST_STATUS");
                String mActionResult = intent.getStringExtra("result");
                String str2 = AtFlickers.this.CLASS_NAME;
                FtUtil.log_d(str2, "onReceive", "mActionResult : " + mActionResult);
                AtFlickers.this.writer.write(AtFlickers.this.responseString(AtFlickers.returnArgu, mActionResult));
            }
        }
    };

    public AtFlickers(Context context, ResponseWriter writer) {
        super(context);
        this.CMD_NAME = "FLICKERS";
        this.CLASS_NAME = "AtFlickers";
        this.mContext = context;
        this.NUM_ARGS = 3;
        this.writer = writer;
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public void startReceiver() {
        IntentFilter mFilter = new IntentFilter();
        mFilter.addAction("com.sec.factory.camera.ACTION_TEST_STATUS");
        FtUtil.log_d(this.CLASS_NAME, "startReceiver", "request to register mReceiver - start");
        this.context.registerReceiver(this.mReceiver, mFilter);
        FtUtil.log_d(this.CLASS_NAME, "startReceiver", "request to register mReceiver - done");
    }

    private void sendCameraBroadcast(String[] arg) {
        returnArgu = arg[0];
        Intent i = new Intent("com.sec.samsungtest.ACTION_CAMERATEST");
        i.putExtra("testtype", "FLICKERS");
        i.putExtra("arg1", arg[0]);
        i.putExtra("arg2", arg[1]);
        i.putExtra("arg3", arg[2]);
        i.addFlags(268435456);
        i.addFlags(16777216);
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "sendCameraIntent", "FLICKERS=" + arg[0] + "," + arg[1] + "," + arg[2]);
        this.context.sendBroadcast(i, "com.sec.factory.cameralyzer.PERMISSION_CAMERASCRIPT");
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "handleCommand", "argu : " + argu[0] + "," + argu[1] + "," + argu[2]);
        startReceiver();
        sendCameraBroadcast(argu);
        return null;
    }
}
