package com.sec.factory.aporiented.athandler;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import com.sec.factory.aporiented.ResponseWriter;
import com.sec.factory.common.CommonFingerprintQcom;
import com.sec.factory.support.FtUtil;
import com.sec.factory.support.Status;
import com.sec.xmldata.support.NVAccessor;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.util.Arrays;
import java.util.Iterator;
import java.util.List;
import java.util.Objects;

public class AtFpsensorQcom extends AtCommandHandler {
    private final int NV_FINGERPRINT_INT_CHECK = 270;
    private final int NV_FINGERPRINT_TEST = 58;
    private final long int2CheckTimeOut = 5000;
    private boolean isReceived_MSG_CAPTURE_READY = false;
    private String[] mArgu;
    private CommonFingerprintQcom mCommonFingerprintQcom;
    private Context mContext;
    private Status mInt1Result = Status.NOTEST;
    private Status mInt2Result = Status.NOTEST;
    private BroadcastReceiver mReceiver = null;
    private boolean mTzEnabled = false;

    public AtFpsensorQcom(Context context, ResponseWriter writer) {
        super(context);
        this.CMD_NAME = "FPSENSOR";
        this.CLASS_NAME = "AtFpsensorQcom";
        this.mContext = context;
        this.writer = writer;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String Module_Test;
        String resData;
        String resData2;
        FtUtil.log_d(this.CLASS_NAME, "handleCommand", " argu: " + Arrays.toString(argu));
        String resData3 = null;
        this.mArgu = argu;
        this.mCommonFingerprintQcom = new CommonFingerprintQcom(this.mContext, this.CLASS_NAME);
        if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "2", "0"})) {
            if (FtUtil.isFactoryBinary()) {
                resData2 = responseNA();
            } else if (this.mCommonFingerprintQcom.hasUserIdList()) {
                resData2 = responseString(this.mArgu[0], "ON");
            } else {
                resData2 = responseString(this.mArgu[0], "OFF");
            }
            return resData2;
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0"})) {
            IntentFilter forNormalintentFilter = new IntentFilter();
            Objects.requireNonNull(this.mCommonFingerprintQcom);
            forNormalintentFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_NORMAL_SCAN_START_TZ");
            Objects.requireNonNull(this.mCommonFingerprintQcom);
            forNormalintentFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_NORMAL_SCAN_FINISH_TZ");
            Objects.requireNonNull(this.mCommonFingerprintQcom);
            forNormalintentFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_NORMAL_SCAN_SUCCESS");
            Objects.requireNonNull(this.mCommonFingerprintQcom);
            forNormalintentFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_NORMAL_SCAN_FAIL");
            registerReceivers(forNormalintentFilter);
            this.mCommonFingerprintQcom.startNormalScan();
            return null;
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "4", "2"})) {
            String currentSensorID = this.mCommonFingerprintQcom.getSensorInfoValue(this.mCommonFingerprintQcom.getRawSensorInfo(), "Sensor ID");
            String savedSensorId = this.mCommonFingerprintQcom.readSavedSensorID();
            boolean result_sensorId = currentSensorID.equals(savedSensorId);
            boolean result_bge = this.mCommonFingerprintQcom.checkBGE();
            this.mCommonFingerprintQcom.endFpManger();
            StringBuilder sb = new StringBuilder();
            sb.append(currentSensorID);
            sb.append(",");
            sb.append(savedSensorId);
            sb.append(",");
            sb.append(result_bge ? 1 : 0);
            String finalData = sb.toString();
            if (!result_sensorId || !result_bge) {
                resData = responseString(this.mArgu[0], "NG," + finalData);
            } else {
                resData = responseString(this.mArgu[0], "OK," + finalData);
            }
            return resData;
        } else if (!FtUtil.isFactoryBinary()) {
            return null;
        } else {
            if (checkArgu(argu, new String[]{"0", "2", EgisFingerprint.MAJOR_VERSION})) {
                NVAccessor.setNV(58, (byte) 78);
                if (!this.mCommonFingerprintQcom.delBGE()) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", " Fail - delete cal data");
                    resData3 = responseString(this.mArgu[0], "NG_CALDATA");
                } else if (this.mCommonFingerprintQcom.deleteSavedSensorID()) {
                    resData3 = responseOK(this.mArgu[0]);
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", " Fail - delete sensor id");
                    resData3 = responseString(this.mArgu[0], "NG_SENSORID");
                }
            } else if (checkArgu(argu, new String[]{"0", "2", "2"})) {
                IntentFilter forIntCheckIntentFilter = new IntentFilter();
                Objects.requireNonNull(this.mCommonFingerprintQcom);
                forIntCheckIntentFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_INT1_SUCCESS");
                Objects.requireNonNull(this.mCommonFingerprintQcom);
                forIntCheckIntentFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_INT1_FAIL");
                Objects.requireNonNull(this.mCommonFingerprintQcom);
                forIntCheckIntentFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_CAPTURE_READY");
                Objects.requireNonNull(this.mCommonFingerprintQcom);
                forIntCheckIntentFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_CAPTURE_SUCCESS");
                Objects.requireNonNull(this.mCommonFingerprintQcom);
                forIntCheckIntentFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_CAPTURE_FAIL");
                Objects.requireNonNull(this.mCommonFingerprintQcom);
                forIntCheckIntentFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_TIME_OUT");
                registerReceivers(forIntCheckIntentFilter);
                this.mCommonFingerprintQcom.startInt1();
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0"})) {
                String rawSensorInfo = this.mCommonFingerprintQcom.getRawSensorInfo();
                this.mCommonFingerprintQcom.endFpManger();
                if (rawSensorInfo == null) {
                    resData3 = responseNG(this.mArgu[0]);
                } else {
                    String Sensor_ID = this.mCommonFingerprintQcom.getSensorInfoValue(rawSensorInfo, "Sensor ID");
                    String Product_ID = this.mCommonFingerprintQcom.getSensorInfoValue(rawSensorInfo, "Product ID");
                    String Chip_SN = this.mCommonFingerprintQcom.getSensorInfoValue(rawSensorInfo, "Chip SN");
                    String Module_Test2 = this.mCommonFingerprintQcom.getSensorInfoValue(rawSensorInfo, "Module Test");
                    if ("0".equals(Module_Test2)) {
                        Module_Test = "OK";
                    } else if (EgisFingerprint.MAJOR_VERSION.equals(Module_Test2)) {
                        Module_Test = "NG";
                    } else {
                        Module_Test = "NT";
                    }
                    String result = Sensor_ID + "_" + Product_ID + "_" + Chip_SN + "_" + Module_Test;
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", " result:" + result);
                    resData3 = responseString(this.mArgu[0], result);
                }
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "2"})) {
                IntentFilter forSnrIntentFilter = new IntentFilter();
                Objects.requireNonNull(this.mCommonFingerprintQcom);
                forSnrIntentFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_SNRc_SCAN_SUCCESS");
                Objects.requireNonNull(this.mCommonFingerprintQcom);
                forSnrIntentFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_SNR_SCAN_FAIL");
                Objects.requireNonNull(this.mCommonFingerprintQcom);
                forSnrIntentFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_SNR_SCAN_READY");
                Objects.requireNonNull(this.mCommonFingerprintQcom);
                forSnrIntentFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_SNR_SCAN_TIMEOUT");
                registerReceivers(forSnrIntentFilter);
                this.mCommonFingerprintQcom.startSNRPrepare();
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "4", "0"})) {
                String finalData2 = this.mCommonFingerprintQcom.getVendorName() + "," + this.mCommonFingerprintQcom.getChipName() + "," + this.mCommonFingerprintQcom.getChipTypeIndex();
                boolean finalResult_Normal = false;
                boolean isNormalDataExist = Support.Kernel.isExistFilePath(this.mCommonFingerprintQcom.getScanResultFilePath(CommonFingerprintQcom.TestType.NORMALSCAN));
                if (isNormalDataExist) {
                    List<CommonFingerprintQcom.ScanData> scanDataList_Normal = this.mCommonFingerprintQcom.getScanDataList(CommonFingerprintQcom.TestType.NORMALSCAN);
                    finalData2 = finalData2 + "_" + this.mCommonFingerprintQcom.getValueAllfromScanData(scanDataList_Normal);
                    finalResult_Normal = this.mCommonFingerprintQcom.getFinalResultfromScanData(scanDataList_Normal);
                }
                boolean finalResult_Snr = false;
                boolean isSNRDataExist = Support.Kernel.isExistFilePath(this.mCommonFingerprintQcom.getScanResultFilePath(CommonFingerprintQcom.TestType.SNRSCAN));
                if (isSNRDataExist) {
                    List<CommonFingerprintQcom.ScanData> scanDataList_Snr = this.mCommonFingerprintQcom.getScanDataList(CommonFingerprintQcom.TestType.SNRSCAN);
                    finalData2 = finalData2 + "_" + this.mCommonFingerprintQcom.getValueAllfromScanData(scanDataList_Snr);
                    finalResult_Snr = this.mCommonFingerprintQcom.getFinalResultfromScanData(scanDataList_Snr);
                }
                if (!isNormalDataExist || !isSNRDataExist) {
                    FtUtil.log_e(this.CLASS_NAME, "handleCommand", " NR data exist:" + isNormalDataExist + " SNR data exist:" + isSNRDataExist);
                    String str = this.mArgu[0];
                    StringBuilder sb2 = new StringBuilder();
                    sb2.append("NONE,");
                    sb2.append(finalData2);
                    resData3 = responseString(str, sb2.toString());
                } else if (!finalResult_Normal || !finalResult_Snr) {
                    resData3 = responseString(this.mArgu[0], "NG," + finalData2);
                } else {
                    resData3 = responseString(this.mArgu[0], "OK," + finalData2);
                }
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "4", EgisFingerprint.MAJOR_VERSION})) {
                Intent i = new Intent("com.sec.factory.aporiented.athandler.AtFpsensorQcom.MSG_GET_SNR_START_BTN_VISIBILITY");
                FtUtil.log_d(this.CLASS_NAME, "startGetSnrStartBtnVisibility", "Send Ordered Broadcast: " + i.getAction());
                this.mContext.sendOrderedBroadcast(i, null, new BroadcastReceiver() {
                    /* class com.sec.factory.aporiented.athandler.AtFpsensorQcom.AnonymousClass1 */

                    public void onReceive(Context context, Intent intent) {
                        String str = AtFpsensorQcom.this.CLASS_NAME;
                        FtUtil.log_d(str, "onReceive", " snrStartStatus:" + getResultData());
                        AtFpsensorQcom atFpsensorQcom = AtFpsensorQcom.this;
                        AtFpsensorQcom.this.writer.write(atFpsensorQcom.responseString(atFpsensorQcom.mArgu[0], getResultData()));
                    }
                }, null, 0, "NG", null);
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "4", "6"})) {
                Intent i2 = new Intent("com.sec.factory.aporiented.athandler.AtFpsensorQcom.MSG_GET_SNR_START_BTN_VISIBILITY");
                FtUtil.log_d(this.CLASS_NAME, "startGetSnrStartBtnVisibility", "Send Ordered Broadcast: " + i2.getAction());
                this.mContext.sendOrderedBroadcast(i2, null, new BroadcastReceiver() {
                    /* class com.sec.factory.aporiented.athandler.AtFpsensorQcom.AnonymousClass2 */

                    public void onReceive(Context context, Intent intent) {
                        FtUtil.log_d(AtFpsensorQcom.this.CLASS_NAME, "onReceive", " snrStartStatus:" + getResultData());
                        String resultData = getResultData();
                        if ("NG".equals(resultData)) {
                            if ("QBT2000".equals(AtFpsensorQcom.this.mCommonFingerprintQcom.getChipName())) {
                                String result = AtFpsensorQcom.this.mCommonFingerprintQcom.getCalResultIntoSharedPreferences();
                                if (!Status.PASS.name().equals(result) && !Status.NOTEST.name().equals(result)) {
                                    resultData = result;
                                }
                            } else {
                                String result2 = AtFpsensorQcom.this.mCommonFingerprintQcom.getCalResultIntoSharedPreferences();
                                if (Status.FAIL.name().equals(result2)) {
                                    Iterator<CommonFingerprintQcom.ScanData> it = AtFpsensorQcom.this.mCommonFingerprintQcom.getScanDataList(CommonFingerprintQcom.TestType.BGECAL).iterator();
                                    while (true) {
                                        if (!it.hasNext()) {
                                            break;
                                        }
                                        CommonFingerprintQcom.ScanData scanData = it.next();
                                        if (scanData.getResult() != Status.PASS) {
                                            resultData = "FAIL_" + scanData.getName();
                                            break;
                                        }
                                    }
                                } else if (!Status.PASS.name().equals(result2) && !Status.NOTEST.name().equals(result2)) {
                                    resultData = result2;
                                }
                            }
                        }
                        AtFpsensorQcom atFpsensorQcom = AtFpsensorQcom.this;
                        AtFpsensorQcom.this.writer.write(atFpsensorQcom.responseString(atFpsensorQcom.mArgu[0], resultData));
                    }
                }, null, 0, "NG", null);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Unknown Argument");
                return responseNA();
            }
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", " resData: " + resData3);
            return resData3;
        }
    }

    private void registerReceivers(IntentFilter intentFilter) {
        FtUtil.log_d(this.CLASS_NAME, "registerReceivers", "registerReceivers");
        AnonymousClass3 r0 = new BroadcastReceiver() {
            /* class com.sec.factory.aporiented.athandler.AtFpsensorQcom.AnonymousClass3 */

            /* JADX WARNING: Removed duplicated region for block: B:56:0x0266  */
            public void onReceive(Context context, Intent intent) {
                String resData = null;
                String action = intent.getAction();
                String str = AtFpsensorQcom.this.CLASS_NAME;
                FtUtil.log_d(str, "onReceive", " action:" + action);
                Objects.requireNonNull(AtFpsensorQcom.this.mCommonFingerprintQcom);
                if (!action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_NORMAL_SCAN_SUCCESS")) {
                    Objects.requireNonNull(AtFpsensorQcom.this.mCommonFingerprintQcom);
                    if (!action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_SNRc_SCAN_SUCCESS")) {
                        Objects.requireNonNull(AtFpsensorQcom.this.mCommonFingerprintQcom);
                        if (!action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_NORMAL_SCAN_FINISH_TZ")) {
                            Objects.requireNonNull(AtFpsensorQcom.this.mCommonFingerprintQcom);
                            if (!action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_NORMAL_SCAN_FAIL")) {
                                Objects.requireNonNull(AtFpsensorQcom.this.mCommonFingerprintQcom);
                                if (!action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_SNR_SCAN_FAIL")) {
                                    Objects.requireNonNull(AtFpsensorQcom.this.mCommonFingerprintQcom);
                                    if (action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_SNR_SCAN_READY")) {
                                        AtFpsensorQcom.this.mCommonFingerprintQcom.startSNR();
                                        return;
                                    }
                                    Objects.requireNonNull(AtFpsensorQcom.this.mCommonFingerprintQcom);
                                    if (action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_SNR_SCAN_TIMEOUT")) {
                                        AtFpsensorQcom atFpsensorQcom = AtFpsensorQcom.this;
                                        resData = atFpsensorQcom.responseNG(atFpsensorQcom.mArgu[0]);
                                    } else {
                                        Objects.requireNonNull(AtFpsensorQcom.this.mCommonFingerprintQcom);
                                        if (!action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_NORMAL_SCAN_START_TZ")) {
                                            Objects.requireNonNull(AtFpsensorQcom.this.mCommonFingerprintQcom);
                                            if (!action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_INT1_SUCCESS")) {
                                                Objects.requireNonNull(AtFpsensorQcom.this.mCommonFingerprintQcom);
                                                if (!action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_INT1_FAIL")) {
                                                    Objects.requireNonNull(AtFpsensorQcom.this.mCommonFingerprintQcom);
                                                    if (!action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_CAPTURE_READY")) {
                                                        Objects.requireNonNull(AtFpsensorQcom.this.mCommonFingerprintQcom);
                                                        if (!action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_CAPTURE_SUCCESS")) {
                                                            Objects.requireNonNull(AtFpsensorQcom.this.mCommonFingerprintQcom);
                                                            if (!action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_CAPTURE_FAIL")) {
                                                                Objects.requireNonNull(AtFpsensorQcom.this.mCommonFingerprintQcom);
                                                                if (action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_TIME_OUT")) {
                                                                    AtFpsensorQcom.this.mInt2Result = Status.FAIL_TIMEOUT;
                                                                }
                                                            }
                                                        }
                                                        AtFpsensorQcom.this.mInt2Result = Status.PASS;
                                                    } else if (!AtFpsensorQcom.this.isReceived_MSG_CAPTURE_READY) {
                                                        AtFpsensorQcom.this.isReceived_MSG_CAPTURE_READY = true;
                                                        AtFpsensorQcom.this.mCommonFingerprintQcom.controlTspInt(true);
                                                        AtFpsensorQcom.this.mCommonFingerprintQcom.controlTspInt(false);
                                                        return;
                                                    } else {
                                                        return;
                                                    }
                                                }
                                            }
                                            Objects.requireNonNull(AtFpsensorQcom.this.mCommonFingerprintQcom);
                                            if (action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_INT1_SUCCESS")) {
                                                AtFpsensorQcom.this.mInt1Result = Status.PASS;
                                            } else {
                                                AtFpsensorQcom.this.mInt1Result = Status.FAIL_INT1;
                                            }
                                            AtFpsensorQcom.this.mCommonFingerprintQcom.startCheckTimeOut(5000);
                                            if (!AtFpsensorQcom.this.mCommonFingerprintQcom.startInt2()) {
                                                AtFpsensorQcom.this.mInt2Result = Status.FAIL_INT2;
                                            } else {
                                                return;
                                            }
                                        } else {
                                            return;
                                        }
                                    }
                                    AtFpsensorQcom.this.mCommonFingerprintQcom.endCheckTimeOut();
                                    AtFpsensorQcom.this.mCommonFingerprintQcom.disableListeners();
                                    AtFpsensorQcom.this.mCommonFingerprintQcom.endFpManger();
                                    AtFpsensorQcom.this.UnregisterReceivers();
                                    if (AtFpsensorQcom.this.mCommonFingerprintQcom.getTestType() == CommonFingerprintQcom.TestType.INT1 || AtFpsensorQcom.this.mCommonFingerprintQcom.getTestType() == CommonFingerprintQcom.TestType.INT2) {
                                        AtFpsensorQcom.this.isReceived_MSG_CAPTURE_READY = false;
                                        AtFpsensorQcom.this.mCommonFingerprintQcom.cancelIntCheckOpeation();
                                        if (AtFpsensorQcom.this.mInt1Result == Status.PASS || AtFpsensorQcom.this.mInt2Result != Status.PASS) {
                                            AtFpsensorQcom atFpsensorQcom2 = AtFpsensorQcom.this;
                                            resData = atFpsensorQcom2.responseNG(atFpsensorQcom2.mArgu[0]);
                                        } else {
                                            NVAccessor.setNV(270, (byte) 80);
                                            AtFpsensorQcom atFpsensorQcom3 = AtFpsensorQcom.this;
                                            resData = atFpsensorQcom3.responseOK(atFpsensorQcom3.mArgu[0]);
                                        }
                                    }
                                    String str2 = AtFpsensorQcom.this.CLASS_NAME;
                                    FtUtil.log_d(str2, "onReceive", " resData:" + resData);
                                    AtFpsensorQcom.this.writer.write(resData);
                                }
                            }
                            AtFpsensorQcom atFpsensorQcom4 = AtFpsensorQcom.this;
                            resData = atFpsensorQcom4.responseNG(atFpsensorQcom4.mArgu[0]);
                            AtFpsensorQcom.this.mCommonFingerprintQcom.endCheckTimeOut();
                            AtFpsensorQcom.this.mCommonFingerprintQcom.disableListeners();
                            AtFpsensorQcom.this.mCommonFingerprintQcom.endFpManger();
                            AtFpsensorQcom.this.UnregisterReceivers();
                            AtFpsensorQcom.this.isReceived_MSG_CAPTURE_READY = false;
                            AtFpsensorQcom.this.mCommonFingerprintQcom.cancelIntCheckOpeation();
                            if (AtFpsensorQcom.this.mInt1Result == Status.PASS) {
                            }
                            AtFpsensorQcom atFpsensorQcom22 = AtFpsensorQcom.this;
                            resData = atFpsensorQcom22.responseNG(atFpsensorQcom22.mArgu[0]);
                            String str22 = AtFpsensorQcom.this.CLASS_NAME;
                            FtUtil.log_d(str22, "onReceive", " resData:" + resData);
                            AtFpsensorQcom.this.writer.write(resData);
                        }
                    }
                }
                List<CommonFingerprintQcom.ScanData> scanDataList = AtFpsensorQcom.this.mCommonFingerprintQcom.getScanDataList(AtFpsensorQcom.this.mCommonFingerprintQcom.getTestType());
                String data = AtFpsensorQcom.this.mCommonFingerprintQcom.getValueAllfromScanData(scanDataList);
                if (AtFpsensorQcom.this.mCommonFingerprintQcom.getFinalResultfromScanData(scanDataList)) {
                    AtFpsensorQcom atFpsensorQcom5 = AtFpsensorQcom.this;
                    String str3 = atFpsensorQcom5.mArgu[0];
                    resData = atFpsensorQcom5.responseString(str3, "OK_" + data);
                } else {
                    AtFpsensorQcom atFpsensorQcom6 = AtFpsensorQcom.this;
                    String str4 = atFpsensorQcom6.mArgu[0];
                    resData = atFpsensorQcom6.responseString(str4, "NG_" + data);
                }
                AtFpsensorQcom.this.mCommonFingerprintQcom.endCheckTimeOut();
                AtFpsensorQcom.this.mCommonFingerprintQcom.disableListeners();
                AtFpsensorQcom.this.mCommonFingerprintQcom.endFpManger();
                AtFpsensorQcom.this.UnregisterReceivers();
                AtFpsensorQcom.this.isReceived_MSG_CAPTURE_READY = false;
                AtFpsensorQcom.this.mCommonFingerprintQcom.cancelIntCheckOpeation();
                if (AtFpsensorQcom.this.mInt1Result == Status.PASS) {
                }
                AtFpsensorQcom atFpsensorQcom222 = AtFpsensorQcom.this;
                resData = atFpsensorQcom222.responseNG(atFpsensorQcom222.mArgu[0]);
                String str222 = AtFpsensorQcom.this.CLASS_NAME;
                FtUtil.log_d(str222, "onReceive", " resData:" + resData);
                AtFpsensorQcom.this.writer.write(resData);
            }
        };
        this.mReceiver = r0;
        this.mContext.registerReceiver(r0, intentFilter);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void UnregisterReceivers() {
        if (this.mReceiver != null) {
            FtUtil.log_d(this.CLASS_NAME, "UnregisterReceivers", "UnregisterReceivers");
            this.mContext.unregisterReceiver(this.mReceiver);
            this.mReceiver = null;
        }
    }
}
