package com.sec.factory.aporiented.athandler;

import android.content.Context;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class AtFuelgaic extends AtCommandHandler {
    public AtFuelgaic(Context context) {
        super(context);
        this.CMD_NAME = "FUELGAIC";
        this.CLASS_NAME = "AtFuelgaic";
        this.NUM_ARGS = 2;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (checkArgu(argu, new String[]{"0"})) {
            if (mModulePower.resetFuelGaugeIC()) {
                resData = responseString(argu[0], argu[0]);
                String str = this.CLASS_NAME;
                FtUtil.log_d(str, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0", "Pass - resetFuelGaugeIC"));
            } else {
                resData = responseNG(argu[0]);
                String str2 = this.CLASS_NAME;
                FtUtil.log_d(str2, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0", "Fail - resetFuelGaugeIC"));
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION})) {
            resData = responseString(argu[0], mModulePower.readFuelGaugeSOC());
            String str3 = this.CLASS_NAME;
            FtUtil.log_d(str3, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1", "Pass - readFuelGaugeSOC"));
        } else if (checkArgu(argu, new String[]{"4"})) {
            if (!"factory".equalsIgnoreCase(Support.Properties.get(Support.Properties.BINARY_TYPE))) {
                resData = responseNA();
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - NOT registerd index"));
            } else if ("0".equalsIgnoreCase(Support.Kernel.read(Support.Kernel.FUEL_GAUGE_INIT_CHECK))) {
                String str4 = this.CLASS_NAME;
                FtUtil.log_d(str4, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=4", "Pass - check Fuelgauge Init"));
                resData = responseOK(argu[0]);
            } else {
                String str5 = this.CLASS_NAME;
                FtUtil.log_d(str5, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=4", "Fail - check Fuelgauge Init"));
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"5"})) {
            resData = responseString(argu[0], Support.Kernel.read(Support.Kernel.FUEL_GAUGE_VOLT_SLOPE));
        } else if (checkArgu(argu, new String[]{"6"})) {
            if (Support.Kernel.write(Support.Kernel.FUEL_GAUGE_VOLT_SLOPE_DATA, "0x6f " + argu[1])) {
                String str6 = this.CLASS_NAME;
                FtUtil.log_d(str6, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=6", "Pass - write volt slope"));
                resData = responseOK(argu[0]);
            } else {
                String str7 = this.CLASS_NAME;
                FtUtil.log_d(str7, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=6", "Fail - write volt slope"));
                resData = responseNG(argu[0]);
            }
        } else {
            resData = responseNA();
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - NOT registerd index"));
        }
        return resData;
    }
}
