package com.sec.factory.aporiented.athandler;

import android.app.ActivityManager;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import com.sec.factory.aporiented.ResponseWriter;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.ModuleCommunicationService;
import com.sec.factory.modules.ModuleTouchScreen;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class AtFunctest extends AtCommandHandler {
    public static final String ACTION_15_MAIN_START_RESULT = "com.sec.factory.ACTION_15_MAIN_START_RESULT";
    public static final String ACTION_SEMI_FUNCTION_TEST_RESULT = "com.sec.factory.ACTION_AT_FUNCTEST_SEMI_TEST_RESULT";
    public static final String EXTRA_15_MAIN_START_RESULT = "response";
    public static final String EXTRA_SEMI_FUNCTION_TEST_RESULT = "response";
    public static final int FTA = 1001;
    public static final int PRETEST = 1002;
    public static final String mSimSlotCount = "/proc/simslot_count";
    private Context mContext;
    public BroadcastReceiver mReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.aporiented.athandler.AtFunctest.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            String action = intent.getAction();
            if (AtFunctest.ACTION_SEMI_FUNCTION_TEST_RESULT.equals(action)) {
                String response = intent.getStringExtra("response");
                String str = AtFunctest.this.CLASS_NAME;
                FtUtil.log_d(str, "BroadcastReceiver.onReceive", "ACTION_SEMI_FUNCTION_TEST_RESULT response: " + response);
                if (AtFunctest.this.writer != null) {
                    AtFunctest.this.writer.write(AtFunctest.this.responseString("0", response));
                }
            } else if ("com.sec.factory.ACTION_15_MAIN_START_RESULT".equals(action)) {
                String response2 = intent.getStringExtra("response");
                String str2 = AtFunctest.this.CLASS_NAME;
                FtUtil.log_d(str2, "BroadcastReceiver.onReceive", "ACTION_15_MAIN_START_RESULT response: " + response2);
                if (AtFunctest.this.writer != null) {
                    AtFunctest.this.writer.write(AtFunctest.this.responseString("0", response2));
                }
            }
            AtFunctest atFunctest = AtFunctest.this;
            atFunctest.stopReceiver(atFunctest.mReceiver);
        }
    };

    public AtFunctest(Context context) {
        super(context);
        this.CMD_NAME = "FUNCTEST";
        this.CLASS_NAME = "AtFunctest";
        this.mContext = context;
        this.NUM_ARGS = 2;
    }

    public AtFunctest(Context context, ResponseWriter writer) {
        super(context);
        this.CMD_NAME = "FUNCTEST";
        this.CLASS_NAME = "AtFunctest";
        this.mContext = context;
        this.NUM_ARGS = 2;
        this.writer = writer;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData = null;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", "0"})) {
            if (!mModulePower.isScreenOn()) {
                mModulePower.setScreenState(true);
            }
            mModuleCommon.goIdle();
            resData = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION})) {
            if (!mModulePower.isScreenOn()) {
                mModulePower.setScreenState(true);
            }
            mModuleCommon.goLcdtest();
            resData = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", "2"})) {
            if (!mModulePower.isScreenOn()) {
                mModulePower.setScreenState(true);
            }
            int threshold = 30;
            if (ModuleTouchScreen.TSP_DEVICE_TYPE__PHONE.equalsIgnoreCase(Support.Feature.getString(Support.Feature.DEVICE_TYPE))) {
                threshold = 20;
            }
            int battLevel = this.context.registerReceiver(null, new IntentFilter("android.intent.action.BATTERY_CHANGED")).getIntExtra("level", -1);
            FtUtil.log_i(this.CLASS_NAME, "getBatteryLevel", "result = " + battLevel + "%");
            String cpversion = Support.Properties.get(Support.Properties.SW_VERSION);
            if (isRunning(1001)) {
                mModuleCommon.go15mode();
                startReceiver();
            } else if (battLevel < threshold) {
                FtUtil.log_w(this.CLASS_NAME, "Too low battery to running 15-Test");
                resData = responseNG(argu[0]);
            } else if (mModuleCommon.isConnectionModeNone() || !Support.Properties.PROPERTIES_DEFAULT_STRING.equalsIgnoreCase(cpversion)) {
                mModuleCommon.go15mode();
                startReceiver();
            } else {
                FtUtil.log_w(this.CLASS_NAME, "CP Unknown", "CP Version : " + cpversion);
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", "7"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Broadcast SIM_REMOVED");
            this.context.sendBroadcast(new Intent("com.samsung.intent.action.SIM_REMOVED"));
            resData = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", "8"})) {
            FtUtil.log_d(this.CLASS_NAME, "Restart Pretest");
            if (!isRunning(1002)) {
                resData = responseNG(argu[0]);
            } else if (mModuleCommon.RequestPretest(0)) {
                resData = responseOK(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", egis.optical.client.api.EgisFingerprint.JAR_VERSION})) {
            FtUtil.log_d(this.CLASS_NAME, "Goto Pretest Main");
            if (!isRunning(1002)) {
                resData = responseNG(argu[0]);
            } else if (mModuleCommon.RequestPretest(1)) {
                resData = responseOK(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
            resData = isRunning(1001) ? responseString(argu[0], "ON") : responseString(argu[0], "OFF");
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "2"})) {
            FactoryTestManager.getInstance(this.mContext);
            String result = "A," + FactoryTestManager.getNVList("FactoryTestMenu");
            String result2 = result.substring(0, result.length() - 1);
            FtUtil.log_i(this.CLASS_NAME, "handleCommand", "result : " + result2);
            resData = !"A".equals(result2) ? responseString(argu[0], result2) : responseNG(argu[0]);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
            String result3 = this.context.getSharedPreferences("LAST_TOUCHED_POINT", 0).getString("LAST_TOUCHED", ModuleCommunicationService.SMD_NOK);
            FtUtil.log_i(this.CLASS_NAME, "prefLastTouchPoint : ", result3);
            resData = (result3 == null || result3.equals(ModuleCommunicationService.SMD_NOK)) ? responseNG(argu[0]) : responseString(argu[0], result3);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "4"})) {
            String result4 = this.context.getSharedPreferences("LAST_SPEN_TOUCHED_POINT", 0).getString("SPEN_LAST_TOUCHED", ModuleCommunicationService.SMD_NOK);
            FtUtil.log_i(this.CLASS_NAME, "prefLastSpenTouchPoint : ", result4);
            resData = (result4 == null || result4.equals(ModuleCommunicationService.SMD_NOK)) ? responseNG(argu[0]) : responseString(argu[0], result4);
        } else {
            resData = responseNA();
        }
        return resData;
    }

    private boolean isRunning(int type) {
        String className = null;
        try {
            className = ((ActivityManager) this.context.getSystemService("activity")).getRunningTasks(1).get(0).topActivity.getClassName();
            FtUtil.log_i(this.CLASS_NAME, "getTopActivityName", className);
        } catch (Exception e) {
            String str = this.CLASS_NAME;
            FtUtil.log_e(str, "Exception : " + e);
        }
        if (className != null) {
            if (type != 1001 || (!className.contains("com.sec.factory") && !className.contains("CaptureActivity"))) {
                return type == 1002 && className.contains("com.sec.OneJigBinary");
            }
            return true;
        }
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public void startReceiver() {
        FtUtil.log_d(this.CLASS_NAME, "startReceiver", "AtFunctest");
        IntentFilter mFilter = new IntentFilter();
        mFilter.addAction(ACTION_SEMI_FUNCTION_TEST_RESULT);
        mFilter.addAction("com.sec.factory.ACTION_15_MAIN_START_RESULT");
        this.context.registerReceiver(this.mReceiver, mFilter);
    }
}
