package com.sec.factory.aporiented.athandler;

import android.content.Context;
import android.hardware.Sensor;
import android.hardware.SensorEvent;
import android.hardware.SensorEventListener;
import android.hardware.SensorManager;
import com.sec.factory.modules.ModuleSensor;
import com.sec.factory.modules.SensorDeviceInfo;
import com.sec.factory.modules.SensorFeature;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.File;
import java.lang.reflect.Array;
import java.text.DecimalFormat;
import java.text.DecimalFormatSymbols;
import java.text.NumberFormat;
import java.util.Arrays;
import java.util.Locale;
import java.util.Timer;
import java.util.TimerTask;

public class AtGeomagss extends AtCommandHandler {
    private static int mSampling = 100;
    private static int powerNoiseTestCount;
    private static int sampleCount;
    private static boolean specInOutResult;
    private boolean accessOneTime = false;
    private Context mContext;
    protected boolean mDetected;
    private String mFeature = SensorDeviceInfo.getSensorName(SensorDeviceInfo.TYPE_GEOMAGNETIC, SensorDeviceInfo.TARGET_XML);
    private DecimalFormat mFormat;
    private Sensor mMagneticSensor = null;
    private int mNoiseTimer_run_num;
    private SensorManager mPowerNoiseSensorManager = null;
    private String mReadTarget;
    private int[] mSensorID = null;
    private SensorListener mSensorListener = null;
    SensorManager mSensorManager = null;
    SensorListener oriSensorListener = null;
    private String[] power_noise = new String[3];
    private float[][] raw_datas = null;
    private String[] result;
    private Timer sptimer;
    private TimerTask task;
    private double[] tempS_power_noise = new double[3];
    private String[] temp_power_noise = new String[3];

    public AtGeomagss(Context context) {
        super(context);
        this.CMD_NAME = "GEOMAGSS";
        this.CLASS_NAME = "AtGeomagss";
        this.mContext = context;
        this.NUM_ARGS = 2;
        this.mReadTarget = Support.TestCase.getString(Support.TestCase.READ_TARGET_GEOMAGNETIC);
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        String resData2;
        String responseData;
        String responseData2;
        int id;
        String responseData3;
        String responseData4;
        String responseData5;
        String responseData6;
        FtUtil.log_i(this.CLASS_NAME, "handleCommand", "mFeature : " + this.mFeature);
        FtUtil.log_i(this.CLASS_NAME, "handleCommand", "mReadTarget : [" + this.mReadTarget + "]");
        String resData3 = null;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", "0"})) {
            if (this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK8963) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK8963C)) {
                resData = responseOK(argu[0]);
            } else {
                int id2 = -1;
                if ("".equals(this.mReadTarget)) {
                    if (this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ALPS_HSCDTD004) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ALPS_HSCDTD004A) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ALPS_HSCDTD006A) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ALPS_HSCDTD008A)) {
                        id2 = ModuleSensor.ID_FILE____MAGNETIC_SELF;
                    } else if (this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS532) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS532B) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS537) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS539)) {
                        id2 = ModuleSensor.ID_FILE____MAGNETIC_SELF;
                        this.accessOneTime = true;
                    } else if (this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09911) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09911C) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09916C) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09918C) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_BOSCH_BMC150_NEWEST)) {
                        id2 = ModuleSensor.ID_FILE____MAGNETIC_SELF;
                        this.accessOneTime = true;
                    } else {
                        id2 = ModuleSensor.ID_MANAGER_MAGNETIC_POWER_ON;
                    }
                } else if (this.mReadTarget.equalsIgnoreCase("MANAGER")) {
                    id2 = ModuleSensor.ID_MANAGER_MAGNETIC_POWER_ON;
                } else if (this.mReadTarget.equalsIgnoreCase("FILE")) {
                    id2 = ModuleSensor.ID_FILE____MAGNETIC_POWER_ON;
                }
                int[] sensorID = {id2};
                mModuleSensor.SensorOff(sensorID);
                mModuleSensor.SensorOn(sensorID);
                String[] data = mModuleSensor.getData(id2);
                this.result = data;
                if (data == null) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "0,0 - Power On : NG (null)");
                    resData = responseNG(argu[0]);
                } else if (!mModuleSensor.isSensorOn(id2)) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "0,0 - Power On : NG (Sensor Off)");
                    resData = responseNG(argu[0]);
                } else if (this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS532) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS532B) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS537) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS539)) {
                    if (this.result[1].equals("0")) {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", "0,0 - Power On : OK");
                        resData = responseOK(argu[0]);
                    } else {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", "0,0 - Power On : NG");
                        resData = responseNG(argu[0]);
                    }
                } else if (this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09911) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09911C) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09916C) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09918C) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_BOSCH_BMC150_NEWEST)) {
                    if (this.result[0].equals("0")) {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", "0,0 - Power On : OK");
                        resData = responseOK(argu[0]);
                    } else {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", "0,0 - Power On : NG");
                        resData = responseNG(argu[0]);
                    }
                } else if (this.result[2].equals(EgisFingerprint.MAJOR_VERSION)) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "0,0 - Power On : OK");
                    resData = responseOK(argu[0]);
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "0,0 - Power On : NG");
                    resData = responseNG(argu[0]);
                }
                mModuleSensor.SensorOff(sensorID);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0"})) {
            int id3 = -1;
            if ("".equals(this.mReadTarget)) {
                if (this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK8975) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS530C) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK8963C_MANAGER) || this.mFeature.equals("BMC150") || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_BOSCH_BMC150_POWER_NOISE)) {
                    id3 = ModuleSensor.ID_MANAGER_MAGNETIC_STATUS;
                } else if (this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS532) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS532B) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS537) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS539) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09911) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09911C) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09916C) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09918C) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_BOSCH_BMC150_NEWEST)) {
                    id3 = ModuleSensor.ID_FILE____MAGNETIC_SELF;
                } else {
                    id3 = ModuleSensor.ID_FILE____MAGNETIC_STATUS;
                }
            } else if (this.mReadTarget.equalsIgnoreCase("MANAGER")) {
                id3 = ModuleSensor.ID_MANAGER_MAGNETIC_STATUS;
            } else if (this.mReadTarget.equalsIgnoreCase("FILE")) {
                id3 = ModuleSensor.ID_FILE____MAGNETIC_STATUS;
            }
            this.mSensorID = new int[]{id3};
            mModuleSensor.SensorOff(this.mSensorID);
            mModuleSensor.SensorOn(this.mSensorID);
            if (mModuleSensor.isSensorOn(id3)) {
                if (!this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS532) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS532B) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS537) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS539) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09911) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09911C) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09916C) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09918C) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_BOSCH_BMC150_NEWEST)) {
                    this.result = mModuleSensor.getData(id3);
                }
                if (this.result != null) {
                    if (this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS532) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS532B) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS537) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS539)) {
                        if (this.result[3].equals("0")) {
                            responseData5 = EgisFingerprint.MAJOR_VERSION;
                        } else {
                            return responseNG(argu[0]);
                        }
                    } else if (!this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09911) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09911C) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09916C) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09918C) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_BOSCH_BMC150_NEWEST)) {
                        responseData5 = this.result[2];
                    } else if (this.result[0].equals("0")) {
                        responseData5 = EgisFingerprint.MAJOR_VERSION;
                    } else {
                        return responseNG(argu[0]);
                    }
                    mModuleSensor.SensorOff(this.mSensorID);
                    if ("".equals(this.mReadTarget)) {
                        if (this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS530C) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS532) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS532B) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS537) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS539) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09911) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09911C) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09916C) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09918C) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_BOSCH_BMC150_NEWEST)) {
                            id3 = ModuleSensor.ID_FILE____MAGNETIC_SELF;
                        } else {
                            id3 = ModuleSensor.ID_FILE____MAGNETIC_TEMPERATURE;
                        }
                    } else if (this.mReadTarget.equalsIgnoreCase("MANAGER")) {
                        id3 = ModuleSensor.ID_MANAGER_MAGNETIC_TEMPERATURE;
                    } else if (this.mReadTarget.equalsIgnoreCase("FILE")) {
                        id3 = ModuleSensor.ID_FILE____MAGNETIC_TEMPERATURE;
                    }
                    this.mSensorID = new int[]{id3};
                    mModuleSensor.SensorOn(this.mSensorID);
                    if (!this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS532) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS532B) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS537) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS539) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09911) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09911C) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09916C) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09918C) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_BOSCH_BMC150_NEWEST)) {
                        this.result = mModuleSensor.getData(id3);
                    }
                    if (this.result != null) {
                        if (this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS532) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS532B) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS537) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS539) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09911) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09911C) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09916C) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09918C) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_BOSCH_BMC150_NEWEST)) {
                            responseData6 = responseData5 + "," + commandFormat_Temperature("0");
                        } else {
                            responseData6 = responseData5 + "," + commandFormat_Temperature(this.result[2]);
                        }
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", "1,0 - Temperature : responseData => " + responseData6);
                        mModuleSensor.SensorOff(this.mSensorID);
                        resData = responseString(argu[0], responseData6);
                    } else {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", "1,0 - Temperature : NG (null)");
                        return responseNG(argu[0]);
                    }
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "1,0 - Status : NG (null)");
                    return responseNG(argu[0]);
                }
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "1,0 - Status : NG (Sensor Off)");
                return responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
            int id4 = -1;
            if ("".equals(this.mReadTarget)) {
                if (this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK8963) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK8963C)) {
                    id4 = ModuleSensor.ID_FILE____MAGNETIC_DAC;
                } else if (this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS532) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS532B) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS537) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS539) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09911) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09911C) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09916C) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09918C)) {
                    id4 = ModuleSensor.ID_FILE____MAGNETIC_SELF;
                } else {
                    id4 = ModuleSensor.ID_MANAGER_MAGNETIC_DAC;
                }
            } else if (this.mReadTarget.equalsIgnoreCase("MANAGER")) {
                id4 = ModuleSensor.ID_MANAGER_MAGNETIC_DAC;
            } else if (this.mReadTarget.equalsIgnoreCase("FILE")) {
                id4 = ModuleSensor.ID_FILE____MAGNETIC_DAC;
            }
            int[] sensorID2 = {id4};
            if (!this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS532) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS532B) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS537) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS539) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09911) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09911C) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09916C) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09918C) && !this.mFeature.contains("BMC150")) {
                mModuleSensor.SensorOff(sensorID2);
                mModuleSensor.SensorOn(sensorID2);
                this.result = mModuleSensor.getData(id4);
            }
            if (this.mFeature.contains("BMC150")) {
                resData = responseString(argu[0], commandFormat_XYZ("0") + "," + commandFormat_XYZ("0") + "," + commandFormat_XYZ("0"));
            } else if (this.result == null) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "1,1 - DAC X,Y,Z : NG (null)");
                resData = responseNG(argu[0]);
            } else if (mModuleSensor.isSensorOn(id4) || this.accessOneTime) {
                if (this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS532) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS532B) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS537) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS539)) {
                    responseData4 = commandFormat_XYZ(this.result[5]) + "," + commandFormat_XYZ(this.result[6]) + "," + commandFormat_XYZ(this.result[7]);
                } else if (this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09911) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09911C) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09916C) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09918C)) {
                    responseData4 = commandFormat_XYZ(EgisFingerprint.MAJOR_VERSION) + "," + commandFormat_XYZ("0") + "," + commandFormat_XYZ("0");
                } else {
                    responseData4 = commandFormat_XYZ(this.result[2]) + "," + commandFormat_XYZ(this.result[3]) + "," + commandFormat_XYZ(this.result[4]);
                }
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "(1,1) responseData => [" + responseData4 + "]");
                resData = responseString(argu[0], responseData4);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "1,1 - DAC X,Y,Z : NG (Sensor Off)");
                resData = responseNG(argu[0]);
            }
            if (!this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS532) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS532B) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS537) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS539) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09911) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09911C) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09916C) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09918C)) {
                mModuleSensor.SensorOff(sensorID2);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "2"})) {
            if ("".equals(this.mReadTarget)) {
                if (this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK8963) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK8963C) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ALPS_HSCDTD004) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ALPS_HSCDTD004A) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ALPS_HSCDTD006A) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ALPS_HSCDTD008A) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_STMICRO) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_STMICRO_LSM303AH)) {
                    id = ModuleSensor.ID_FILE____MAGNETIC_ADC;
                } else if (this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS532) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS532B) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS537) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS539) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09911) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09911C) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09916C) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09918C) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_BOSCH_BMC150_NEWEST)) {
                    id = ModuleSensor.ID_FILE____MAGNETIC_SELF;
                } else {
                    id = ModuleSensor.ID_MANAGER_MAGNETIC_ADC;
                }
            } else if (this.mReadTarget.equalsIgnoreCase("MANAGER")) {
                id = ModuleSensor.ID_MANAGER_MAGNETIC_ADC;
            } else {
                id = ModuleSensor.ID_FILE____MAGNETIC_ADC;
            }
            int[] sensorID3 = {id};
            mModuleSensor.SensorOff(sensorID3);
            mModuleSensor.SensorOn(sensorID3);
            String[] data2 = mModuleSensor.getData(id);
            this.result = data2;
            if (data2 == null) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "1,2 - ADC X,Y,Z : NG (null)");
                resData = responseNG(argu[0]);
            } else if (mModuleSensor.isSensorOn(id) || this.accessOneTime) {
                if (this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS532) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS532B) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS537) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS539)) {
                    responseData3 = commandFormat_XYZ(this.result[9]) + "," + commandFormat_XYZ("0") + "," + commandFormat_XYZ("0");
                } else if (this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_BOSCH_BMC150_NEWEST)) {
                    responseData3 = commandFormat_XYZ(this.result[2]) + "," + commandFormat_XYZ(this.result[3]) + "," + commandFormat_XYZ(this.result[4]);
                } else if (this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09911) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09911C) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09916C) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09918C)) {
                    responseData3 = commandFormat_XYZ(this.result[7]) + "," + commandFormat_XYZ(this.result[8]) + "," + commandFormat_XYZ(this.result[9]);
                } else {
                    responseData3 = commandFormat_XYZ(this.result[2]) + "," + commandFormat_XYZ(this.result[3]) + "," + commandFormat_XYZ(this.result[4]);
                }
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "(1,2) responseData => [" + responseData3 + "]");
                resData = responseString(argu[0], responseData3);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "1,2 - ADC X,Y,Z : NG (Sensor Off)");
                resData = responseNG(argu[0]);
            }
            if (!this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS532) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS532B) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS537) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS539) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09911) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09911C) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09916C) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09918C)) {
                mModuleSensor.SensorOff(sensorID3);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
            int id5 = -1;
            if ("".equals(this.mReadTarget)) {
                if (this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK8963) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK8963C) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09911) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09911C) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09916C) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09918C) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_BOSCH_BMC150_NEWEST) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_STMICRO) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_STMICRO_LSM303AH)) {
                    id5 = ModuleSensor.ID_FILE____MAGNETIC_SELF;
                } else if (this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS532) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS532B) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS537) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS539)) {
                    id5 = ModuleSensor.ID_FILE____MAGNETIC_SELF;
                } else {
                    id5 = ModuleSensor.ID_MANAGER_MAGNETIC_SELF;
                }
            } else if (this.mReadTarget.equalsIgnoreCase("MANAGER")) {
                id5 = ModuleSensor.ID_MANAGER_MAGNETIC_SELF;
            } else if (this.mReadTarget.equalsIgnoreCase("FILE")) {
                id5 = ModuleSensor.ID_FILE____MAGNETIC_SELF;
            }
            int[] sensorID4 = {id5};
            if (!this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS532) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS532B) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS537) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS539) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09911) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09911C) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09916C) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09918C) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_BOSCH_BMC150_NEWEST)) {
                mModuleSensor.SensorOff(sensorID4);
                mModuleSensor.SensorOn(sensorID4);
                this.result = mModuleSensor.getData(id5);
            }
            if (this.result != null) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "1,3 - Self Test : " + Arrays.toString(this.result));
                if (!mModuleSensor.isSensorOn(id5) && !this.accessOneTime) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "1,3 - Self Test : NG (Sensor Off)");
                    resData = responseNG(argu[0]);
                } else if (this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS532) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS532B) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS537) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS539)) {
                    if ("0".equals(this.result[10])) {
                        resData = responseOK(argu[0]);
                    } else {
                        resData = responseNG(argu[0]);
                    }
                } else if (this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09911) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09911C) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09916C) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09918C)) {
                    if ("0".equals(this.result[1])) {
                        resData = responseOK(argu[0]);
                    } else {
                        resData = responseNG(argu[0]);
                    }
                } else if (this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_BOSCH_BMC150_NEWEST)) {
                    if ("0".equals(this.result[5])) {
                        resData = responseOK(argu[0]);
                    } else {
                        resData = responseNG(argu[0]);
                    }
                } else if (this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_STMICRO) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_STMICRO_LSM303AH)) {
                    if (EgisFingerprint.MAJOR_VERSION.equals(this.result[0])) {
                        resData = responseOK(argu[0]);
                    } else {
                        resData = responseNG(argu[0]);
                    }
                } else if ("OK".equals(this.result[1])) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "1,3 - Self Test : " + this.result[1]);
                    resData = responseOK(argu[0]);
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "1,3 - Self Test : NG");
                    resData = responseNG(argu[0]);
                }
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "1,3 - Self Test : NG (null)");
                resData = responseNG(argu[0]);
            }
            if (!this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS532) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS532B) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS537) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS539) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09911) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09911C) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09916C) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09918C)) {
                mModuleSensor.SensorOff(sensorID4);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "4"})) {
            int id6 = -1;
            if ("".equals(this.mReadTarget)) {
                if (this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS530C)) {
                    id6 = ModuleSensor.ID_MANAGER_MAGNETIC_OFFSETH;
                } else if (this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS532) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS532B) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS537) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS539)) {
                    id6 = ModuleSensor.ID_FILE____MAGNETIC_SELF;
                } else {
                    return responseNA();
                }
            } else if (this.mReadTarget.equalsIgnoreCase("MANAGER")) {
                id6 = ModuleSensor.ID_MANAGER_MAGNETIC_OFFSETH;
            } else if (this.mReadTarget.equalsIgnoreCase("FILE")) {
                id6 = ModuleSensor.ID_FILE____MAGNETIC_OFFSETH;
            }
            int[] sensorID5 = {id6};
            if (!this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS532) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS532B) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS537) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS539)) {
                mModuleSensor.SensorOff(sensorID5);
                mModuleSensor.SensorOn(sensorID5);
                this.result = mModuleSensor.getData(id6);
            }
            if (this.result == null) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "1,4 - OffsetH X,Y,Z : NG (null)");
                resData = responseNG(argu[0]);
            } else if (mModuleSensor.isSensorOn(id6) || this.accessOneTime) {
                if (this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS539)) {
                    responseData2 = commandFormat_XYZ(this.result[15]) + "," + commandFormat_XYZ(this.result[16]) + "," + commandFormat_XYZ(this.result[17]);
                } else if (this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS532) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS532B) || this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS537)) {
                    responseData2 = commandFormat_XYZ(this.result[14]) + "," + commandFormat_XYZ(this.result[15]) + "," + commandFormat_XYZ(this.result[16]);
                } else {
                    responseData2 = commandFormat_XYZ(this.result[2]) + "," + commandFormat_XYZ(this.result[3]) + "," + commandFormat_XYZ(this.result[4]);
                }
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "(1,4) responseData => [" + responseData2 + "]");
                resData = responseString(argu[0], responseData2);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "1,4 - OffsetH X,Y,Z : NG (Sensor Off)");
                resData = responseNG(argu[0]);
            }
            if (!this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS532) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS532B) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS537) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS539)) {
                mModuleSensor.SensorOff(sensorID5);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "5"})) {
            specInOutResult = true;
            powerNoiseTestCount = 0;
            sensorRegister();
            if (Support.TestCase.getEnabled(Support.TestCase.IS_ASAHI_USING_SYSFS)) {
                Support.Kernel.write(Support.Kernel.MAGNT_SENSOR_RAW, EgisFingerprint.MAJOR_VERSION);
            }
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "POWER NOISE-ON");
            do {
                sampleCount = 0;
                noiseTimer();
                try {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "delay : 3000ms");
                    Thread.sleep(3000);
                } catch (InterruptedException e) {
                    e.printStackTrace();
                }
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "sampleCount = " + sampleCount);
                while (true) {
                    int i = sampleCount;
                    if (i >= mSampling) {
                        break;
                    }
                    if (this.mNoiseTimer_run_num > i) {
                        this.mNoiseTimer_run_num = i;
                    }
                    try {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Add delay : 30ms");
                        Thread.sleep(30);
                    } catch (InterruptedException e2) {
                        e2.printStackTrace();
                    }
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "sampleCount = " + sampleCount);
                }
                Timer timer = this.sptimer;
                if (timer != null) {
                    timer.cancel();
                }
                standardDeviation();
                if (specInOutResult) {
                    break;
                }
            } while (powerNoiseTestCount < 2);
            if (Support.TestCase.getEnabled(Support.TestCase.IS_ASAHI_USING_SYSFS)) {
                Support.Kernel.write(Support.Kernel.MAGNT_SENSOR_RAW, "0");
            }
            sensorUnregister();
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "power_noise : " + this.power_noise[0] + "," + this.power_noise[1] + "," + this.power_noise[2]);
            String[] strArr = this.power_noise;
            if (strArr[0] == null || strArr[1] == null || strArr[2] == null) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "power_noise NULL");
                resData = responseNG(argu[0]);
            } else {
                resData = responseString(argu[0], this.power_noise[0] + "," + this.power_noise[1] + "," + this.power_noise[2]);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "8"})) {
            String responseData7 = "";
            int SAMPLE_SIZE = 10;
            int DEVIATION_SPEC = 5;
            float[] mAzimuthData = new float[10];
            float[] mPitchData = new float[10];
            float[] mRollData = new float[10];
            float[] result2 = new float[3];
            DecimalFormatSymbols paramDecimalFormatSymbols = new DecimalFormatSymbols();
            paramDecimalFormatSymbols.setDecimalSeparator('.');
            this.mFormat = new DecimalFormat("#.##", paramDecimalFormatSymbols);
            if (this.mSensorManager == null) {
                this.mSensorManager = (SensorManager) this.context.getSystemService("sensor");
            }
            SensorListener sensorListener = new SensorListener();
            this.oriSensorListener = sensorListener;
            this.mSensorManager.registerListener(sensorListener, sensorListener.getOriSensor(), 0);
            FtUtil.Sleep.sleep(100);
            while (true) {
                int count = this.oriSensorListener.getReadCount();
                if (count >= 10) {
                    break;
                }
                FtUtil.Sleep.sleep(20);
                mAzimuthData[count] = this.oriSensorListener.getAzimuth();
                mPitchData[count] = this.oriSensorListener.getPitch();
                mRollData[count] = this.oriSensorListener.getRoll();
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "1,8 - getOrientationData[" + count + "]: " + this.mFormat.format((double) mAzimuthData[count]) + "," + this.mFormat.format((double) mPitchData[count]) + "," + this.mFormat.format((double) mRollData[count]));
                this.oriSensorListener.setReadCount();
                resData3 = resData3;
                responseData7 = responseData7;
                SAMPLE_SIZE = SAMPLE_SIZE;
                DEVIATION_SPEC = DEVIATION_SPEC;
            }
            this.mSensorManager.unregisterListener(this.oriSensorListener);
            this.oriSensorListener = null;
            this.mSensorManager = null;
            result2[0] = standardDeviation(mAzimuthData, 1);
            result2[1] = standardDeviation(mPitchData, 1);
            result2[2] = standardDeviation(mRollData, 1);
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "1,8 - Deviation[1]: " + result2[0] + "," + result2[1] + "," + result2[2]);
            String responseData8 = (this.mFormat.format((double) result2[0]) + "," + this.mFormat.format((double) result2[1])) + "," + this.mFormat.format((double) result2[2]);
            if (Float.isNaN(result2[0]) || Float.isNaN(result2[1]) || Float.isNaN(result2[2])) {
                String responseData9 = Float.isNaN(result2[0]) ? "NaN" : this.mFormat.format((double) result2[0]);
                StringBuilder sb = new StringBuilder();
                sb.append(responseData9);
                sb.append(",");
                sb.append(Float.isNaN(result2[1]) ? "NaN" : this.mFormat.format((double) result2[1]));
                String responseData10 = sb.toString();
                StringBuilder sb2 = new StringBuilder();
                sb2.append(responseData10);
                sb2.append(",");
                sb2.append(Float.isNaN(result2[2]) ? "NaN" : this.mFormat.format((double) result2[2]));
                responseData = "NG," + sb2.toString();
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "1,8 - NG : Not a Number");
            } else if (result2[0] == 0.0f || result2[1] == 0.0f || result2[2] <= 0.0f || result2[2] > 5.0f) {
                responseData = "NG," + responseData8;
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "1,8 - NG : Deviation Spec out");
            } else {
                responseData = "OK," + responseData8;
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "1,8 - OK");
            }
            resData = responseString(argu[0], responseData);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.JAR_VERSION})) {
            try {
                String mTempData = Support.Kernel.readFromPath(new File("/data/log/GeoMagneticData.log").getPath(), true);
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "GeoMagneticData : " + mTempData);
                if (mTempData != null) {
                    String[] result3 = mTempData.split(",");
                    if (!this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS532) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS532B)) {
                        if (!this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS537)) {
                            if (this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS539)) {
                                String mDataResult = result3[0] + "," + result3[2] + "," + result3[3] + "," + result3[4] + "," + result3[6] + "," + result3[7] + "," + result3[8];
                                if (!EgisFingerprint.MAJOR_VERSION.equals(result3[0]) || !"OK".equals(result3[1]) || !"OK".equals(result3[5])) {
                                    resData2 = responseString(argu[0], "NG," + mDataResult);
                                } else {
                                    resData2 = responseString(argu[0], "OK," + mDataResult);
                                }
                            } else {
                                if (!this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09911) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09911C) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09916C) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09918C)) {
                                    if (!this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_STMICRO)) {
                                        if (this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_STMICRO_LSM303AH)) {
                                            String mDataResult2 = result3[0] + "," + result3[2] + "," + result3[3] + "," + result3[4] + "," + result3[6] + "," + result3[7] + "," + result3[8];
                                            if (!EgisFingerprint.MAJOR_VERSION.equals(result3[0]) || !"OK".equals(result3[1]) || !EgisFingerprint.MAJOR_VERSION.equals(result3[5])) {
                                                resData2 = responseString(argu[0], "NG," + mDataResult2);
                                            } else {
                                                resData2 = responseString(argu[0], "OK," + mDataResult2);
                                            }
                                        } else {
                                            if (!this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_BOSCH_BMC022) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_BOSCH_BMC050) && !this.mFeature.equals("BMC150") && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_BOSCH_BMC150_POWER_NOISE) && !this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_BOSCH_BMC150_COMBINATION)) {
                                                if (!this.mFeature.equals(SensorFeature.FEATURE_MAGENTIC_BOSCH_BMC150_NEWEST)) {
                                                    String mDataResult3 = result3[0] + "," + result3[2] + "," + result3[3] + "," + result3[4];
                                                    if (!EgisFingerprint.MAJOR_VERSION.equals(result3[0]) || !"OK".equals(result3[1])) {
                                                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", "1,9 - Background Test result : NG / " + mDataResult3);
                                                        resData2 = responseString(argu[0], "NG," + mDataResult3);
                                                    } else {
                                                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", "1,9 - Background Test result : " + mDataResult3);
                                                        resData2 = responseString(argu[0], "OK," + mDataResult3);
                                                    }
                                                }
                                            }
                                            String mDataResult4 = result3[0] + "," + result3[2] + "," + result3[3] + "," + result3[4] + "," + result3[6];
                                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "mDataResult : " + mDataResult4);
                                            if (!EgisFingerprint.MAJOR_VERSION.equals(result3[0]) || !"OK".equals(result3[1]) || !"OK".equals(result3[5])) {
                                                resData2 = responseString(argu[0], "NG," + mDataResult4);
                                            } else {
                                                resData2 = responseString(argu[0], "OK," + mDataResult4);
                                            }
                                        }
                                    }
                                }
                                String mDataResult5 = result3[0] + "," + result3[2] + "," + result3[3] + "," + result3[4] + "," + result3[6] + "," + result3[7] + "," + result3[8];
                                if (!EgisFingerprint.MAJOR_VERSION.equals(result3[0]) || !"OK".equals(result3[1]) || !"OK".equals(result3[5])) {
                                    resData2 = responseString(argu[0], "NG," + mDataResult5);
                                } else {
                                    resData2 = responseString(argu[0], "OK," + mDataResult5);
                                }
                            }
                        }
                    }
                    String mDataResult6 = result3[0] + "," + result3[2] + "," + result3[3] + "," + result3[4] + "," + result3[6] + "," + result3[7];
                    if (!EgisFingerprint.MAJOR_VERSION.equals(result3[0]) || !"OK".equals(result3[1]) || !"OK".equals(result3[5])) {
                        resData2 = responseString(argu[0], "NG," + mDataResult6);
                    } else {
                        resData2 = responseString(argu[0], "OK," + mDataResult6);
                    }
                } else {
                    resData2 = responseNG(argu[0]);
                }
                resData = resData2;
            } catch (Exception e3) {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0"})) {
            String feature = SensorDeviceInfo.getSensorName(SensorDeviceInfo.TYPE_GEOMAGNETIC, SensorDeviceInfo.TARGET_FILE);
            if (feature != null) {
                resData = responseString(argu[0], feature);
            } else {
                resData = responseString(argu[0], "NONE");
            }
        } else {
            resData = responseNA();
        }
        return resData;
    }

    private String commandFormat_Temperature(String str) {
        String str2 = this.CLASS_NAME;
        FtUtil.log_d(str2, "commandFormat_Temperature", "str : " + str);
        String returnValue = str;
        if (str.indexOf(".") > 0) {
            returnValue = str.substring(0, str.indexOf("."));
        }
        String str3 = this.CLASS_NAME;
        FtUtil.log_d(str3, "commandFormat_Temperature", "returnValue : " + returnValue);
        return returnValue;
    }

    private String commandFormat_XYZ(String str) {
        String str2 = this.CLASS_NAME;
        FtUtil.log_d(str2, "commandFormat_XYZ", "str : " + str);
        return str;
    }

    public float calculateMeanData(float[] data) {
        float dataSum = 0.0f;
        for (int i = 0; i < data.length; i++) {
            if (Float.isNaN(data[i])) {
                return Float.NaN;
            }
            dataSum += data[i];
        }
        return dataSum / ((float) data.length);
    }

    public float standardDeviation(float[] data, int option) {
        float dataSum = 0.0f;
        float meanValue = calculateMeanData(data);
        if (Float.isNaN(meanValue)) {
            return Float.NaN;
        }
        for (float f : data) {
            float diff = f - meanValue;
            dataSum += diff * diff;
        }
        return (float) Math.sqrt(((double) dataSum) / ((double) (data.length - option)));
    }

    private void noiseTimer() {
        this.mNoiseTimer_run_num = 0;
        int i = mSampling;
        int[] iArr = new int[2];
        iArr[1] = 3;
        iArr[0] = i;
        this.raw_datas = (float[][]) Array.newInstance(float.class, iArr);
        this.sptimer = new Timer();
        AnonymousClass1 r2 = new TimerTask() {
            /* class com.sec.factory.aporiented.athandler.AtGeomagss.AnonymousClass1 */

            public void run() {
                if (AtGeomagss.this.mNoiseTimer_run_num < AtGeomagss.mSampling) {
                    AtGeomagss.this.getRawData();
                }
            }
        };
        this.task = r2;
        this.sptimer.schedule(r2, 0, 23);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void getRawData() {
        String str = Support.Kernel.read(Support.Kernel.MAGNT_SENSOR_RAW);
        float[] raw_data = new float[3];
        if (str != null) {
            String[] RawDatas = str.split(",");
            for (int i = 0; i < 3; i++) {
                if (RawDatas[i] == null) {
                    RawDatas[i] = "0.0";
                }
            }
            raw_data[0] = Float.valueOf(RawDatas[0]).floatValue();
            raw_data[1] = Float.valueOf(RawDatas[1]).floatValue();
            raw_data[2] = Float.valueOf(RawDatas[2]).floatValue();
            float[][] fArr = this.raw_datas;
            int i2 = this.mNoiseTimer_run_num;
            fArr[i2][0] = raw_data[0];
            fArr[i2][1] = raw_data[1];
            fArr[i2][2] = raw_data[2];
            if (!(raw_data[0] == 0.0f || raw_data[1] == 0.0f || raw_data[2] == 0.0f)) {
                sampleCount++;
            }
            this.mNoiseTimer_run_num = i2 + 1;
        }
    }

    private void standardDeviation() {
        DecimalFormat df = (DecimalFormat) NumberFormat.getInstance(Locale.ENGLISH);
        df.applyPattern("0.00");
        int i = sampleCount;
        float[] x = new float[i];
        float[] y = new float[i];
        float[] z = new float[i];
        int j = 0;
        int i2 = 0;
        while (true) {
            float[][] fArr = this.raw_datas;
            if (i2 < fArr.length) {
                if (!(fArr[i2][0] == 0.0f || fArr[i2][1] == 0.0f || fArr[i2][2] == 0.0f)) {
                    x[j] = fArr[i2][0];
                    y[j] = fArr[i2][1];
                    z[j] = fArr[i2][2];
                    j++;
                }
                i2++;
            } else {
                double dx = standardDeviation(x);
                double dy = standardDeviation(y);
                double dz = standardDeviation(z);
                this.temp_power_noise[0] = df.format(dx);
                this.temp_power_noise[1] = df.format(dy);
                this.temp_power_noise[2] = df.format(dz);
                String str = this.CLASS_NAME;
                FtUtil.log_d(str, "standardDeviation", "power noise_temp x=" + this.temp_power_noise[0] + ", y=" + this.temp_power_noise[1] + ", z=" + this.temp_power_noise[2]);
                standardResultCheck();
                return;
            }
        }
    }

    public void standardResultCheck() {
        String str;
        double powerNioseSpecMax = Support.Spec.getDouble(Support.Spec.GEOMAGNETIC_POWERNOISE_MAX);
        FtUtil.log_d(this.CLASS_NAME, "standardResultCheck", "powerNioseSpecMax = " + powerNioseSpecMax);
        boolean z_result = true;
        boolean y_result = true;
        boolean x_result = true;
        double temp_x = Double.valueOf(this.temp_power_noise[0]).doubleValue();
        double temp_y = Double.valueOf(this.temp_power_noise[1]).doubleValue();
        double temp_z = Double.valueOf(this.temp_power_noise[2]).doubleValue();
        FtUtil.log_d(this.CLASS_NAME, "standardResultCheck", "temp_x = " + temp_x);
        FtUtil.log_d(this.CLASS_NAME, "standardResultCheck", "temp_y = " + temp_y);
        FtUtil.log_d(this.CLASS_NAME, "standardResultCheck", "temp_z = " + temp_z);
        if (temp_x > powerNioseSpecMax) {
            x_result = false;
        }
        if (temp_y > powerNioseSpecMax) {
            y_result = false;
        }
        if (temp_z > powerNioseSpecMax) {
            z_result = false;
        }
        if (!x_result || !y_result || !z_result) {
            FtUtil.log_d(this.CLASS_NAME, "standardResultCheck", "x,y,z spec out - specInOutResult : " + specInOutResult);
            specInOutResult = false;
            int i = powerNoiseTestCount;
            if (i == 0) {
                double[] dArr = this.tempS_power_noise;
                dArr[0] = temp_x;
                dArr[1] = temp_y;
                dArr[2] = temp_z;
                FtUtil.log_d(this.CLASS_NAME, "standardResultCheck", "first result_power noise x=" + this.tempS_power_noise[0] + ", y=" + this.tempS_power_noise[1] + ", z=" + this.tempS_power_noise[2]);
                str = "specInOutResult : ";
            } else if (i == 1) {
                if (this.tempS_power_noise[0] < temp_x) {
                    String[] strArr = this.power_noise;
                    StringBuilder sb = new StringBuilder();
                    sb.append("");
                    str = "specInOutResult : ";
                    sb.append(this.tempS_power_noise[0]);
                    strArr[0] = sb.toString();
                } else {
                    str = "specInOutResult : ";
                    this.power_noise[0] = "" + temp_x;
                }
                if (this.tempS_power_noise[1] < temp_y) {
                    this.power_noise[1] = "" + this.tempS_power_noise[1];
                } else {
                    this.power_noise[1] = "" + temp_y;
                }
                if (this.tempS_power_noise[2] < temp_z) {
                    this.power_noise[2] = "" + this.tempS_power_noise[2];
                } else {
                    this.power_noise[2] = "" + temp_z;
                }
                FtUtil.log_d(this.CLASS_NAME, "standardResultCheck", "finally result of compare_power noise x=" + this.power_noise[0] + ", y=" + this.power_noise[1] + ", z=" + this.power_noise[2]);
            } else {
                str = "specInOutResult : ";
                FtUtil.log_d(this.CLASS_NAME, "standardResultCheck", "powerNoiseTestCount over 2 : " + powerNoiseTestCount);
            }
            FtUtil.log_d(this.CLASS_NAME, "standardResultCheck", str + specInOutResult);
        } else {
            FtUtil.log_d(this.CLASS_NAME, "standardResultCheck", "x,y,z all spec in - specInOutResult : " + specInOutResult);
            this.power_noise[0] = "" + temp_x;
            this.power_noise[1] = "" + temp_y;
            this.power_noise[2] = "" + temp_z;
            specInOutResult = true;
            FtUtil.log_d(this.CLASS_NAME, "standardResultCheck", "power noise x=" + this.power_noise[0] + ", y=" + this.power_noise[1] + ", z=" + this.power_noise[2]);
            String str2 = this.CLASS_NAME;
            StringBuilder sb2 = new StringBuilder();
            sb2.append("specInOutResult : ");
            sb2.append(specInOutResult);
            FtUtil.log_d(str2, "standardResultCheck", sb2.toString());
        }
        powerNoiseTestCount++;
    }

    public double standardDeviation(float[] array) {
        if (array.length < 2) {
            return Double.NaN;
        }
        double sum = 0.0d;
        double meanValue = mean(array);
        for (float f : array) {
            double diff = ((double) f) - meanValue;
            sum += diff * diff;
        }
        return Math.sqrt(sum / ((double) array.length));
    }

    public double mean(float[] array) {
        double sum = 0.0d;
        for (float f : array) {
            sum += (double) f;
        }
        return sum / ((double) array.length);
    }

    private void sensorRegister() {
        FtUtil.log_i(this.CLASS_NAME, "sensorRegister", null);
        this.mSensorListener = new SensorListener();
        SensorManager sensorManager = (SensorManager) this.mContext.getSystemService("sensor");
        this.mPowerNoiseSensorManager = sensorManager;
        Sensor defaultSensor = sensorManager.getDefaultSensor(2);
        this.mMagneticSensor = defaultSensor;
        this.mPowerNoiseSensorManager.registerListener(this.mSensorListener, defaultSensor, 2);
    }

    private void sensorUnregister() {
        FtUtil.log_i(this.CLASS_NAME, "sensorUnregister", null);
        SensorManager sensorManager = this.mPowerNoiseSensorManager;
        if (sensorManager != null) {
            sensorManager.unregisterListener(this.mSensorListener);
        }
        this.mPowerNoiseSensorManager = null;
        this.mSensorListener = null;
        this.mMagneticSensor = null;
    }

    /* access modifiers changed from: private */
    public class SensorListener implements SensorEventListener {
        private final String TAG = "AtGeomagss_SensorListener";
        private Sensor mOriSensor = null;
        private float mOrieSensorAzimuth;
        private float mOrieSensorPitch;
        private float mOrieSensorRoll;
        private float[] mOrieSensorValues = new float[3];
        private int mReadCount;

        public SensorListener() {
            this.mOriSensor = AtGeomagss.this.mSensorManager.getDefaultSensor(3);
            this.mReadCount = 0;
        }

        public Sensor getOriSensor() {
            return this.mOriSensor;
        }

        public void setReadCount() {
            this.mReadCount++;
        }

        public int getReadCount() {
            return this.mReadCount;
        }

        public void onAccuracyChanged(Sensor sensor, int accuracy) {
        }

        public void onSensorChanged(SensorEvent event) {
            switch (event.sensor.getType()) {
                case 3:
                    this.mOrieSensorValues = (float[]) event.values.clone();
                    setOrientationData();
                    break;
            }
            FtUtil.log_d("AtGeomagss_SensorListener", "onSensorChanged", "data : " + this.mOrieSensorAzimuth + "," + this.mOrieSensorPitch + "," + this.mOrieSensorRoll);
        }

        public float getAzimuth() {
            return this.mOrieSensorAzimuth;
        }

        public float getPitch() {
            return this.mOrieSensorPitch;
        }

        public float getRoll() {
            return this.mOrieSensorRoll;
        }

        public void setOrientationData() {
            float[] fArr = this.mOrieSensorValues;
            this.mOrieSensorAzimuth = fArr[0];
            this.mOrieSensorPitch = fArr[1];
            this.mOrieSensorRoll = fArr[2];
        }
    }
}
