package com.sec.factory.aporiented.athandler;

import android.content.Context;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;

public class AtGetDoTestNV1 extends AtCommandHandler {
    private final int MAX_ITEM_COUNT = 40;

    public AtGetDoTestNV1(Context context) {
        super(context);
        this.CMD_NAME = "GETDOTESTNV1";
        this.CLASS_NAME = "AtGetDoTestNV1";
        this.NUM_ARGS = 1;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (Support.Kernel.isExistFile(Support.Kernel.SVC_CAL_NV)) {
            resData = responseString(Support.Kernel.read(Support.Kernel.SVC_CAL_NV));
        } else {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "There is not exist SVC_CAL_NV"));
            StringBuilder sb = new StringBuilder();
            for (int i = 0; i < 40; i++) {
                sb.append("N");
            }
            if (Support.Kernel.writeNsync(Support.Kernel.SVC_CAL_NV, sb.toString())) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Success to write for default SVC_CAL_NV"));
                resData = responseString(Support.Kernel.read(Support.Kernel.SVC_CAL_NV));
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Failed to write for default SVC_CAL_NV"));
                resData = responseString("NG");
            }
        }
        return resData;
    }
}
