package com.sec.factory.aporiented.athandler;

import android.content.ActivityNotFoundException;
import android.content.Context;
import android.content.Intent;
import android.hardware.Sensor;
import android.hardware.SensorEvent;
import android.hardware.SensorEventListener;
import android.hardware.SensorManager;
import android.os.Build;
import android.os.SystemProperties;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.optical.client.api.EgisFingerprint;
import java.io.File;
import java.util.Arrays;
import java.util.List;
import java.util.Locale;

public class AtGripsens extends AtCommandHandler {
    private static final int GRIP_DETECT = 1;
    private static final int GRIP_NONE = -1;
    private static final int GRIP_RELEASE = 0;
    public static final boolean IS_PRODUCT_SHIP = SystemProperties.get("ro.product_ship", "FALSE").trim().toUpperCase(Locale.ENGLISH).equalsIgnoreCase("TRUE");
    public static final boolean IS_USER_MODE = "user".equals(Build.TYPE);
    private String[] CAL_SYSFS_PATH;
    private String[] DIFFDATA_SYSFS_PATH;
    private String[] GRIP_SENSOR_NAME;
    private final int MAX_GRIP = 6;
    private String[] MODE_SYSFS_PATH;
    private String[] ONOFF_SYSFS_PATH;
    private final int PRESS = 0;
    private String[] RAWDATA_SYSFS_PATH;
    private String[] READ_CH_COUNT;
    private String[] READ_CH_STATE;
    private final int RELEASE = 5;
    private String[] RESET_READY_SYSFS_PATH;
    private String[] RESET_SYSFS_PATH;
    private String[] THRESHOLD_SYSFS_PATH;
    private final String mChipName = Support.Kernel.read(Support.Kernel.GRIP_SENSOR_NAME);
    private String[] mChipNameNew;
    private int mGripCount;
    private GripSensorListenerNew[] mGripListenersNew;
    private String[] mGripTypeNew;
    private String[] mIndex;
    private boolean mInterruptFlag;
    private final boolean mIsGripTouchIC;
    private SensorInfoNew[] mSensorInfoNew;
    private SensorManager mSensorManager;
    String resData;
    private List<Sensor> sensors = null;

    /* access modifiers changed from: package-private */
    public static class SensorInfoNew {
        String chipName;
        Sensor gripSensor;
        String gripType;
        int info;
        int proxDiff;
        int proxMax;
        int proxMin;
        int state = -1;
        SensorPathNew sysfsPath = new SensorPathNew();

        SensorInfoNew() {
            initProxData();
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void initProxData() {
            this.proxDiff = 0;
            this.proxMin = 99999;
            this.proxMax = 0;
        }

        /* access modifiers changed from: package-private */
        public static class SensorPathNew {
            String Mode;
            String ProxDiff;
            String cal;
            String onoff;
            String rawData;
            String reset;
            String resetReady;
            String thresholdData;

            SensorPathNew() {
            }
        }
    }

    public AtGripsens(Context context) {
        super(context);
        boolean z = Support.Feature.getBoolean(Support.Feature.GRIP_TOUCHIC_ENABLE, false);
        this.mIsGripTouchIC = z;
        this.GRIP_SENSOR_NAME = new String[]{Support.Kernel.GRIP_SENSOR_NAME, Support.Kernel.GRIP_SENSOR_NAME_2ND, Support.Kernel.GRIP_SENSOR_NAME_3RD, Support.Kernel.GRIP_SENSOR_NAME_4TH, Support.Kernel.GRIP_SENSOR_NAME_5TH, Support.Kernel.GRIP_SENSOR_NAME_6TH};
        this.CAL_SYSFS_PATH = new String[]{Support.Kernel.GRIP_SENSOR_CALIBRATION, Support.Kernel.GRIP_SENSOR_CALIBRATION_2, Support.Kernel.GRIP_SENSOR_CALIBRATION_3, Support.Kernel.GRIP_SENSOR_CALIBRATION_4, Support.Kernel.GRIP_SENSOR_CALIBRATION_5, Support.Kernel.GRIP_SENSOR_CALIBRATION_6};
        this.READ_CH_STATE = new String[]{Support.Kernel.GRIP_SENSOR_CH_STATE, Support.Kernel.GRIP_SENSOR_CH_STATE_2, Support.Kernel.GRIP_SENSOR_CH_STATE_3, Support.Kernel.GRIP_SENSOR_CH_STATE_4, Support.Kernel.GRIP_SENSOR_CH_STATE_5, Support.Kernel.GRIP_SENSOR_CH_STATE_6};
        this.READ_CH_COUNT = new String[]{Support.Kernel.GRIP_SENSOR_CH_COUNT, Support.Kernel.GRIP_SENSOR_CH_COUNT_2, Support.Kernel.GRIP_SENSOR_CH_COUNT_3, Support.Kernel.GRIP_SENSOR_CH_COUNT_4, Support.Kernel.GRIP_SENSOR_CH_COUNT_5, Support.Kernel.GRIP_SENSOR_CH_COUNT_6};
        this.mIndex = new String[]{"", "2", EgisFingerprint.MAJOR_VERSION, "4", "5", "6"};
        this.mGripCount = 0;
        this.mInterruptFlag = false;
        this.mSensorInfoNew = null;
        this.resData = null;
        this.CMD_NAME = "GRIPSENS";
        this.CLASS_NAME = "AtGripsens";
        this.NUM_ARGS = 2;
        if (z) {
            this.RAWDATA_SYSFS_PATH = new String[]{Support.Kernel.GRIP_TOUCH_SENSOR_RAWDATA, Support.Kernel.GRIP_TOUCH_SENSOR_RAWDATA_2, Support.Kernel.GRIP_TOUCH_SENSOR_RAWDATA_3, Support.Kernel.GRIP_TOUCH_SENSOR_RAWDATA_4, Support.Kernel.GRIP_TOUCH_SENSOR_RAWDATA_5, Support.Kernel.GRIP_TOUCH_SENSOR_RAWDATA_6};
            this.THRESHOLD_SYSFS_PATH = new String[]{Support.Kernel.GRIP_TOUCH_SENSOR_THD, Support.Kernel.GRIP_TOUCH_SENSOR_THD_2, Support.Kernel.GRIP_TOUCH_SENSOR_THD_3, Support.Kernel.GRIP_TOUCH_SENSOR_THD_4, Support.Kernel.GRIP_TOUCH_SENSOR_THD_5, Support.Kernel.GRIP_TOUCH_SENSOR_THD_6};
            this.ONOFF_SYSFS_PATH = new String[]{Support.Kernel.GRIP_TOUCH_SENSOR_ENABLE, Support.Kernel.GRIP_TOUCH_SENSOR_ENABLE_2, Support.Kernel.GRIP_TOUCH_SENSOR_ENABLE_3, Support.Kernel.GRIP_TOUCH_SENSOR_ENABLE_4, Support.Kernel.GRIP_TOUCH_SENSOR_ENABLE_5, Support.Kernel.GRIP_TOUCH_SENSOR_ENABLE_6};
            this.RESET_SYSFS_PATH = new String[]{Support.Kernel.GRIP_TOUCH_SENSOR_RESET, Support.Kernel.GRIP_TOUCH_SENSOR_RESET_2, Support.Kernel.GRIP_TOUCH_SENSOR_RESET_3, Support.Kernel.GRIP_TOUCH_SENSOR_RESET_4, Support.Kernel.GRIP_TOUCH_SENSOR_RESET_5, Support.Kernel.GRIP_TOUCH_SENSOR_RESET_6};
            this.RESET_READY_SYSFS_PATH = new String[]{Support.Kernel.GRIP_TOUCH_SENSOR_RESET_READY, Support.Kernel.GRIP_TOUCH_SENSOR_RESET_READY_2, Support.Kernel.GRIP_TOUCH_SENSOR_RESET_READY_3, Support.Kernel.GRIP_TOUCH_SENSOR_RESET_READY_4, Support.Kernel.GRIP_TOUCH_SENSOR_RESET_READY_5, Support.Kernel.GRIP_TOUCH_SENSOR_RESET_READY_6};
            this.MODE_SYSFS_PATH = new String[]{Support.Kernel.GRIP_TOUCH_SENSOR_CHECK, Support.Kernel.GRIP_TOUCH_SENSOR_CHECK_2, Support.Kernel.GRIP_TOUCH_SENSOR_CHECK_3, Support.Kernel.GRIP_TOUCH_SENSOR_CHECK_4, Support.Kernel.GRIP_TOUCH_SENSOR_CHECK_5, Support.Kernel.GRIP_TOUCH_SENSOR_CHECK_6};
            this.DIFFDATA_SYSFS_PATH = new String[]{Support.Kernel.GRIP_TOUCH_SENSOR_DIFF_DATA, Support.Kernel.GRIP_TOUCH_SENSOR_DIFF_DATA_2, Support.Kernel.GRIP_TOUCH_SENSOR_DIFF_DATA_3, Support.Kernel.GRIP_TOUCH_SENSOR_DIFF_DATA_4, Support.Kernel.GRIP_TOUCH_SENSOR_DIFF_DATA_5, Support.Kernel.GRIP_TOUCH_SENSOR_DIFF_DATA_6};
        } else {
            this.RAWDATA_SYSFS_PATH = new String[]{Support.Kernel.GRIP_SENSOR_RAWDATA, Support.Kernel.GRIP_SENSOR_RAWDATA_2, Support.Kernel.GRIP_SENSOR_RAWDATA_3, Support.Kernel.GRIP_SENSOR_RAWDATA_4, Support.Kernel.GRIP_SENSOR_RAWDATA_5, Support.Kernel.GRIP_SENSOR_RAWDATA_6};
            this.THRESHOLD_SYSFS_PATH = new String[]{Support.Kernel.GRIP_SENSOR_THRESHOLD, Support.Kernel.GRIP_SENSOR_THRESHOLD_2, Support.Kernel.GRIP_SENSOR_THRESHOLD_3, Support.Kernel.GRIP_SENSOR_THRESHOLD_4, Support.Kernel.GRIP_SENSOR_THRESHOLD_5, Support.Kernel.GRIP_SENSOR_THRESHOLD_6};
            this.ONOFF_SYSFS_PATH = new String[]{Support.Kernel.GRIP_SENSOR_ONOFF, Support.Kernel.GRIP_SENSOR_ONOFF_2, Support.Kernel.GRIP_SENSOR_ONOFF_3, Support.Kernel.GRIP_SENSOR_ONOFF_4, Support.Kernel.GRIP_SENSOR_ONOFF_5, Support.Kernel.GRIP_SENSOR_ONOFF_6};
            this.RESET_SYSFS_PATH = new String[]{Support.Kernel.GRIP_SENSOR_RESET, Support.Kernel.GRIP_SENSOR_RESET_2ND, Support.Kernel.GRIP_SENSOR_RESET_3RD, Support.Kernel.GRIP_SENSOR_RESET_4TH, Support.Kernel.GRIP_SENSOR_RESET_5TH, Support.Kernel.GRIP_SENSOR_RESET_6TH};
        }
        String gripType = Support.Feature.getString(Support.Feature.GRIPSENSOR_TYPE);
        if (gripType != null) {
            String[] split = gripType.split(",");
            this.mGripTypeNew = split;
            this.mGripCount = split.length;
        }
        if (this.mGripCount > 0) {
            if (this.mSensorManager == null) {
                this.mSensorManager = (SensorManager) context.getSystemService("sensor");
            }
            if (this.mSensorInfoNew == null) {
                setGripInfoNew();
            }
        }
    }

    private void setGripInfoNew() {
        int cnt = 0;
        if (this.mSensorInfoNew == null) {
            this.mSensorInfoNew = new SensorInfoNew[this.mGripCount];
            int i = 0;
            while (true) {
                SensorInfoNew[] sensorInfoNewArr = this.mSensorInfoNew;
                if (i < sensorInfoNewArr.length) {
                    sensorInfoNewArr[i] = new SensorInfoNew();
                    this.mSensorInfoNew[i].chipName = Support.Kernel.read(this.GRIP_SENSOR_NAME[i]);
                    this.mSensorInfoNew[i].gripType = this.mGripTypeNew[i];
                    cnt++;
                    i++;
                } else {
                    initGripDataNew();
                    String str = this.CLASS_NAME;
                    FtUtil.log_d(str, "setGripInfoNew", "SensorInfo=" + this.mSensorInfoNew.length + ", Grip items=" + this.mGripCount);
                    return;
                }
            }
        }
    }

    private void initGripDataNew() {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "initGripDataNew", "SensorInfo=" + this.mSensorInfoNew.length + ", Grip items=" + this.mGripCount);
        for (int i = 0; i < this.mSensorInfoNew.length; i++) {
            mappingSensorPathNew(i);
        }
    }

    private void mappingSensorPathNew(int index) {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "mappingSensorPathNew", "index=" + index);
        if (this.mIsGripTouchIC) {
            this.mSensorInfoNew[index].sysfsPath.thresholdData = Support.Kernel.getFilePath(this.THRESHOLD_SYSFS_PATH[index]);
            this.mSensorInfoNew[index].sysfsPath.ProxDiff = Support.Kernel.getFilePath(this.DIFFDATA_SYSFS_PATH[index]);
            this.mSensorInfoNew[index].sysfsPath.rawData = Support.Kernel.getFilePath(this.RAWDATA_SYSFS_PATH[index]);
            this.mSensorInfoNew[index].sysfsPath.reset = Support.Kernel.getFilePath(this.RESET_SYSFS_PATH[index]);
            this.mSensorInfoNew[index].sysfsPath.resetReady = Support.Kernel.getFilePath(this.RESET_READY_SYSFS_PATH[index]);
            this.mSensorInfoNew[index].sysfsPath.onoff = Support.Kernel.getFilePath(this.ONOFF_SYSFS_PATH[index]);
            this.mSensorInfoNew[index].sysfsPath.Mode = Support.Kernel.getFilePath(this.MODE_SYSFS_PATH[index]);
            this.mSensorInfoNew[index].sysfsPath.cal = Support.Kernel.getFilePath(this.CAL_SYSFS_PATH[index]);
            return;
        }
        this.mSensorInfoNew[index].sysfsPath.rawData = Support.Kernel.getFilePath(this.RAWDATA_SYSFS_PATH[index]);
        this.mSensorInfoNew[index].sysfsPath.thresholdData = Support.Kernel.getFilePath(this.THRESHOLD_SYSFS_PATH[index]);
        this.mSensorInfoNew[index].sysfsPath.cal = Support.Kernel.getFilePath(this.CAL_SYSFS_PATH[index]);
        this.mSensorInfoNew[index].sysfsPath.onoff = Support.Kernel.getFilePath(this.ONOFF_SYSFS_PATH[index]);
        this.mSensorInfoNew[index].sysfsPath.reset = Support.Kernel.getFilePath(this.RESET_SYSFS_PATH[index]);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setSensorDataNew(int index, SensorEvent sensorEvent) {
        int event;
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "setSensorDataNew", "index=" + index + ", event=" + sensorEvent.values[0] + "," + sensorEvent.values[1]);
        if (this.mSensorInfoNew[index].gripType.contains("_CH2")) {
            event = (int) sensorEvent.values[1];
        } else {
            event = (int) sensorEvent.values[0];
        }
        if (event == 5) {
            this.mSensorInfoNew[index].state = 0;
        } else if (event == 0) {
            this.mSensorInfoNew[index].state = 1;
        } else {
            this.mSensorInfoNew[index].state = -1;
        }
        String str2 = this.CLASS_NAME;
        FtUtil.log_d(str2, "setSensorDataNew", "state[0]=" + this.mSensorInfoNew[index].state);
    }

    private int getSensorDataNew(int index) {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "getSensorDataNew", "index=" + index);
        int result = this.mSensorInfoNew[index].state;
        String str2 = this.CLASS_NAME;
        FtUtil.log_d(str2, "getSensorDataNew", "result=" + result);
        return result;
    }

    /* access modifiers changed from: private */
    public class GripSensorListenerNew implements SensorEventListener {
        private Sensor mGripSensor;
        private final String mGripTypeNew;
        private final int mInfo;

        public GripSensorListenerNew(String grip_type, int info) {
            this.mGripTypeNew = grip_type;
            this.mInfo = info;
            if (grip_type.startsWith("AP")) {
                this.mGripSensor = AtGripsens.this.mSensorManager.getDefaultSensor(65560);
            } else if (grip_type.contains("WIFI")) {
                this.mGripSensor = AtGripsens.this.mSensorManager.getDefaultSensor(65575);
            } else if (grip_type.contains("SUB3")) {
                this.mGripSensor = AtGripsens.this.mSensorManager.getDefaultSensor(65638);
            } else if (grip_type.contains("SUB2")) {
                this.mGripSensor = AtGripsens.this.mSensorManager.getDefaultSensor(65637);
            } else if (grip_type.contains("SUB")) {
                this.mGripSensor = AtGripsens.this.mSensorManager.getDefaultSensor(65636);
            }
            if (this.mGripSensor == null) {
                FtUtil.log_e(AtGripsens.this.CLASS_NAME, "SensorTestListenerNew", "GripSensor is NULL");
            }
        }

        public void setGripSensor(Sensor sensor) {
            this.mGripSensor = sensor;
        }

        public Sensor getGripSensor() {
            return this.mGripSensor;
        }

        public String getGripType() {
            return this.mGripTypeNew;
        }

        public void onAccuracyChanged(Sensor sensor, int accuracy) {
        }

        public void onSensorChanged(SensorEvent event) {
            AtGripsens.this.setSensorDataNew(this.mInfo, event);
            synchronized (AtGripsens.this) {
                AtGripsens.this.mInterruptFlag = true;
            }
            FtUtil.log_d("GripInfo", "onSensorChanged", "data : " + ((int) event.values[0]));
        }
    }

    private void mappingGripSensor(int index) {
        Sensor gripSensor = null;
        List<Sensor> sensorLists = this.mSensorManager.getSensorList(65560);
        if (this.mGripListenersNew[index].getGripType().startsWith("WIFI")) {
            gripSensor = this.mSensorManager.getDefaultSensor(65575);
            this.mGripListenersNew[index].setGripSensor(gripSensor);
        } else if (this.mGripListenersNew[index].getGripType().startsWith("AP")) {
            if (this.mGripCount < 2) {
                gripSensor = this.mSensorManager.getDefaultSensor(65560);
                this.mGripListenersNew[index].setGripSensor(gripSensor);
            } else if (sensorLists != null && sensorLists.size() >= 1) {
                gripSensor = sensorLists.get(0);
                this.mGripListenersNew[index].setGripSensor(gripSensor);
            }
        } else if (this.mGripListenersNew[index].getGripType().startsWith("SUB3")) {
            gripSensor = this.mSensorManager.getDefaultSensor(65638);
            this.mGripListenersNew[index].setGripSensor(gripSensor);
        } else if (this.mGripListenersNew[index].getGripType().startsWith("SUB2")) {
            gripSensor = this.mSensorManager.getDefaultSensor(65637);
            this.mGripListenersNew[index].setGripSensor(gripSensor);
        } else if (this.mGripListenersNew[index].getGripType().startsWith("SUB")) {
            if (sensorLists == null || sensorLists.size() < 2) {
                gripSensor = this.mSensorManager.getDefaultSensor(65636);
            } else {
                gripSensor = sensorLists.get(1);
            }
            this.mGripListenersNew[index].setGripSensor(gripSensor);
        }
        if (gripSensor == null) {
            String str = this.CLASS_NAME;
            FtUtil.log_e(str, "mappingGripSensor", "GripSensor" + index + " is NULL");
        }
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        } else if (!IS_USER_MODE || !IS_PRODUCT_SHIP || checkArgu(argu, new String[]{egis.client.api.EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION}) || checkArgu(argu, new String[]{"2"})) {
            if (checkArgu(argu, new String[]{"0", "0"})) {
                process_0_0_GripConnectionCheck(argu);
            } else if (checkArgu(argu, new String[]{"0", "4"})) {
                process_0_4_GripOn(argu);
            } else if (checkArgu(argu, new String[]{"0", "5"})) {
                process_0_5_GripOff(argu);
            } else if (checkArgu(argu, new String[]{"0", "6"})) {
                process_0_6_GripCalibration(argu);
            } else if (checkArgu(argu, new String[]{"0", "7"})) {
                process_0_7_GripCalibrationDataErase(argu);
            } else if (checkArgu(argu, new String[]{"0", "8"})) {
                process_0_8_GripAbnormalCheck(argu);
            } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.JAR_VERSION})) {
                process_0_9_TemperatureCheckSub1Sub2(argu);
            } else if (checkArgu(argu, new String[]{egis.client.api.EgisFingerprint.MAJOR_VERSION, "0"})) {
                process_1_0_GripRead1stValue(argu);
            } else if (checkArgu(argu, new String[]{egis.client.api.EgisFingerprint.MAJOR_VERSION, egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                process_1_1_GripRead2ndValue(argu);
            } else if (checkArgu(argu, new String[]{egis.client.api.EgisFingerprint.MAJOR_VERSION, "2"})) {
                process_1_2_GripCalResult(argu);
            } else if (checkArgu(argu, new String[]{egis.client.api.EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
                process_1_3_GripCalibrationSlopeRead(argu);
            } else if (checkArgu(argu, new String[]{egis.client.api.EgisFingerprint.MAJOR_VERSION, "6"})) {
                process_1_6_GripRead3rdValue(argu);
            } else if (checkArgu(argu, new String[]{egis.client.api.EgisFingerprint.MAJOR_VERSION, "7"})) {
                process_1_7_GripRead4thValue(argu);
            } else if (checkArgu(argu, new String[]{egis.client.api.EgisFingerprint.MAJOR_VERSION, "8"})) {
                process_1_8_GripCapMainRead(argu);
            } else if (checkArgu(argu, new String[]{egis.client.api.EgisFingerprint.MAJOR_VERSION, EgisFingerprint.JAR_VERSION})) {
                process_1_9_GripSupportCheck(argu);
            } else if (checkArgu(argu, new String[]{"2"})) {
                process_2_GripSlopeDataRead(argu);
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0"})) {
                process_3_0_GripCalibrationActivityLaunch(argu);
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                process_3_1_GripAbnormalTestStart(argu);
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "2"})) {
                process_3_2_GripAbnormalTestEnd(argu);
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
                process_3_3_GripThresholdRead(argu);
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "4"})) {
                process_3_4_GripRead5thValue(argu);
            } else {
                this.resData = responseNA();
            }
            return this.resData;
        } else {
            FtUtil.log_i(this.CLASS_NAME, "AT+GRIPSENS ", "Command is not Valid for user ship binary");
            return "NOT_APPLICABLE";
        }
    }

    private void process_0_0_GripConnectionCheck(String[] argu) {
        String[] ignoreItems = Support.Feature.getString(Support.Feature.GRIPSENSOR_IGNORE_FOR_SMD).split(",");
        boolean sysfs_result = true;
        if (this.mSensorInfoNew != null) {
            FtUtil.log_i(this.CLASS_NAME, "process_0_0_GripConnectionCheck", "mGripInfo != null , mSensorManager != null");
            for (int i = 0; i < this.mSensorInfoNew.length; i++) {
                if (!Arrays.asList(ignoreItems).contains(String.valueOf(this.mSensorInfoNew[i].gripType))) {
                    sysfs_result = Support.Kernel.writeToPath(this.mSensorInfoNew[i].sysfsPath.onoff, "0");
                    GripSensorListenerNew[] gripSensorListenerNewArr = this.mGripListenersNew;
                    if (gripSensorListenerNewArr != null) {
                        if (!(this.mSensorManager == null || gripSensorListenerNewArr[i] == null)) {
                            String str = this.CLASS_NAME;
                            FtUtil.log_i(str, "process_0_0_GripConnectionCheck", "unregisterListener = mGripListenersNew[" + i + "]");
                            SensorManager sensorManager = this.mSensorManager;
                            GripSensorListenerNew[] gripSensorListenerNewArr2 = this.mGripListenersNew;
                            sensorManager.unregisterListener(gripSensorListenerNewArr2[i], gripSensorListenerNewArr2[i].getGripSensor());
                        }
                        this.mGripListenersNew[i] = null;
                    }
                }
            }
            this.mGripListenersNew = null;
            this.mSensorManager = null;
        }
        if (sysfs_result) {
            this.resData = responseOK(argu[0]);
        } else {
            this.resData = responseNG(argu[0]);
        }
    }

    private void process_0_4_GripOn(String[] argu) {
        boolean sysfs_error = false;
        boolean cmd_result = true;
        if (this.mSensorInfoNew == null) {
            FtUtil.log_i(this.CLASS_NAME, "process_0_4_GripOn", "mSensorInfoNew == null, Create");
            setGripInfoNew();
        }
        if (this.mSensorManager == null) {
            FtUtil.log_i(this.CLASS_NAME, "process_0_4_GripOn", "mSensorManager == null, Create");
            this.mSensorManager = (SensorManager) this.context.getSystemService("sensor");
        }
        if (this.mGripListenersNew == null) {
            this.mGripListenersNew = new GripSensorListenerNew[this.mGripCount];
            for (int i = 0; i < this.mSensorInfoNew.length; i++) {
                this.mGripListenersNew[i] = new GripSensorListenerNew(this.mGripTypeNew[i], i);
                mappingGripSensor(i);
            }
        }
        if (this.mSensorInfoNew != null) {
            int i2 = 0;
            while (true) {
                SensorInfoNew[] sensorInfoNewArr = this.mSensorInfoNew;
                if (i2 >= sensorInfoNewArr.length) {
                    break;
                }
                if (this.mIsGripTouchIC) {
                    if (sensorInfoNewArr[i2].sysfsPath.reset != null) {
                        String str = this.CLASS_NAME;
                        FtUtil.log_i(str, "process_0_4_GripOn", "Grip Sensor #" + (i2 + 1) + " Reset result : " + Support.Kernel.writeToPath(this.mSensorInfoNew[i2].sysfsPath.reset, egis.client.api.EgisFingerprint.MAJOR_VERSION));
                        Support.Kernel.read(Support.Kernel.GRIP_TOUCH_SENSOR_CHECK);
                        if (this.mSensorInfoNew[i2].sysfsPath.resetReady != null) {
                            String str2 = this.CLASS_NAME;
                            FtUtil.log_i(str2, "process_0_4_GripOn", "Grip Sensor #" + (i2 + 1) + " Reset ready result : " + Support.Kernel.readFromPath(this.mSensorInfoNew[i2].sysfsPath.resetReady, true));
                        }
                    }
                } else if (sensorInfoNewArr[i2].sysfsPath.reset != null) {
                    String str3 = this.CLASS_NAME;
                    FtUtil.log_i(str3, "process_0_4_GripOn", "Grip Sensor #" + (i2 + 1) + " Reset result : " + Support.Kernel.readFromPath(this.mSensorInfoNew[i2].sysfsPath.reset, true));
                    Support.Kernel.read(Support.Kernel.GRIP_RESET_READY);
                }
                i2++;
            }
            int i3 = 0;
            while (true) {
                SensorInfoNew[] sensorInfoNewArr2 = this.mSensorInfoNew;
                if (i3 >= sensorInfoNewArr2.length) {
                    break;
                }
                if (!this.mIsGripTouchIC) {
                    boolean sysfs_result = Support.Kernel.writeToPath(sensorInfoNewArr2[i3].sysfsPath.onoff, egis.client.api.EgisFingerprint.MAJOR_VERSION);
                    if (this.mGripListenersNew[i3] == null) {
                        String str4 = this.CLASS_NAME;
                        FtUtil.log_i(str4, "process_0_4_GripOn", "mGripListners[" + i3 + "] == null");
                        this.mGripListenersNew[i3] = new GripSensorListenerNew(this.mGripTypeNew[i3], i3);
                        mappingGripSensor(i3);
                    }
                    if (!sysfs_result) {
                        FtUtil.log_i(this.CLASS_NAME, "process_0_4_GripOn", "Sensor Communication Error !!");
                        sysfs_error = true;
                        break;
                    }
                    GripSensorListenerNew[] gripSensorListenerNewArr = this.mGripListenersNew;
                    if (gripSensorListenerNewArr[i3] == null) {
                        cmd_result = false;
                        break;
                    }
                    this.mSensorManager.registerListener(gripSensorListenerNewArr[i3], gripSensorListenerNewArr[i3].getGripSensor(), 2);
                } else if (!Support.Kernel.writeToPath(sensorInfoNewArr2[i3].sysfsPath.onoff, egis.client.api.EgisFingerprint.MAJOR_VERSION)) {
                    FtUtil.log_i(this.CLASS_NAME, "process_0_4_GripOn", "Sensor Communication Error !!");
                    sysfs_error = true;
                }
                i3++;
            }
        }
        if (!cmd_result || sysfs_error) {
            this.mGripListenersNew = null;
            this.resData = responseNG(argu[0]);
            return;
        }
        this.resData = responseOK(argu[0]);
    }

    private void process_0_5_GripOff(String[] argu) {
        boolean sysfs_result = true;
        if (this.mSensorInfoNew != null) {
            FtUtil.log_i(this.CLASS_NAME, "process_0_5_GripOff", "mGripInfo != null , mSensorManager != null");
            int i = 0;
            while (true) {
                SensorInfoNew[] sensorInfoNewArr = this.mSensorInfoNew;
                if (i >= sensorInfoNewArr.length) {
                    break;
                }
                sysfs_result = Support.Kernel.writeToPath(sensorInfoNewArr[i].sysfsPath.onoff, "0");
                GripSensorListenerNew[] gripSensorListenerNewArr = this.mGripListenersNew;
                if (gripSensorListenerNewArr != null) {
                    if (!(this.mSensorManager == null || gripSensorListenerNewArr[i] == null)) {
                        String str = this.CLASS_NAME;
                        FtUtil.log_i(str, "process_0_5_GripOff", "unregisterListener = mGripListenersNew[" + i + "]");
                        SensorManager sensorManager = this.mSensorManager;
                        GripSensorListenerNew[] gripSensorListenerNewArr2 = this.mGripListenersNew;
                        sensorManager.unregisterListener(gripSensorListenerNewArr2[i], gripSensorListenerNewArr2[i].getGripSensor());
                    }
                    this.mGripListenersNew[i] = null;
                }
                i++;
            }
            this.mGripListenersNew = null;
            this.mSensorManager = null;
        }
        if (sysfs_result) {
            this.resData = responseOK(argu[0]);
        } else {
            this.resData = responseNG(argu[0]);
        }
    }

    private void process_0_6_GripCalibration(String[] argu) {
        String CAL = egis.client.api.EgisFingerprint.MAJOR_VERSION;
        String DUMMY = "0,0";
        String[] cal_result = new String[this.mGripCount];
        int i = 0;
        while (true) {
            int i2 = this.mGripCount;
            String str = egis.client.api.EgisFingerprint.MAJOR_VERSION;
            if (i >= i2) {
                String str2 = "2";
                if ("AD7146".equalsIgnoreCase(this.mChipName)) {
                    for (int i3 = 0; i3 < this.mGripCount; i3++) {
                        if (cal_result[i3] == null) {
                            this.resData = responseString(argu[0], "NG," + DUMMY);
                            return;
                        } else if (!str2.equalsIgnoreCase(cal_result[i3])) {
                            FtUtil.log_i(this.CLASS_NAME, "process_0_6_GripCalibration", "Cal Failed");
                            this.resData = responseString(argu[0], "NG," + DUMMY);
                            return;
                        }
                    }
                    FtUtil.log_i(this.CLASS_NAME, "process_0_6_GripCalibration", "Cal Success");
                    this.resData = responseString(argu[0], "OK," + DUMMY);
                    return;
                } else if (this.mChipName.startsWith("SX")) {
                    String result = "";
                    boolean isSuccess = true;
                    int i4 = 0;
                    while (i4 < this.mGripCount) {
                        String[] cal_data = cal_result[i4] != null ? cal_result[i4].split(",") : null;
                        if (cal_data == null) {
                            this.resData = responseString(argu[0], "NG," + DUMMY);
                            return;
                        } else if (cal_data.length == 3) {
                            if (str2.equals(cal_data[0])) {
                                FtUtil.log_i(this.CLASS_NAME, "process_0_6_GripCalibration", "Cal Success");
                            } else {
                                FtUtil.log_i(this.CLASS_NAME, "process_0_6_GripCalibration", "Cal Failed");
                                isSuccess = false;
                            }
                            result = result + "," + cal_data[1] + "," + cal_data[2];
                            i4++;
                            CAL = CAL;
                            cal_result = cal_result;
                            str2 = str2;
                        } else {
                            FtUtil.log_e(this.CLASS_NAME, "process_0_6_GripCalibration", "Grip sensor cal data is null");
                            this.resData = responseString(argu[0], "NG," + DUMMY);
                            return;
                        }
                    }
                    if (isSuccess) {
                        this.resData = responseString(argu[0], "OK" + result);
                    } else {
                        this.resData = responseString(argu[0], "NG" + result);
                    }
                    return;
                } else if ("ASP01".equalsIgnoreCase(this.mChipName)) {
                    String result2 = "";
                    boolean isSuccess2 = true;
                    int i5 = 0;
                    while (i5 < this.mGripCount) {
                        String[] cal_data2 = cal_result[i5] != null ? cal_result[i5].split(",") : null;
                        if (cal_data2 == null) {
                            FtUtil.log_e(this.CLASS_NAME, "process_0_6_GripCalibration", "Grip sensor rawdata is null");
                            this.resData = responseString(argu[0], "NG," + DUMMY);
                            return;
                        }
                        if (str.equals(cal_data2[0])) {
                            FtUtil.log_i(this.CLASS_NAME, "process_0_6_GripCalibration", "Cal Success");
                        } else {
                            isSuccess2 = false;
                            FtUtil.log_i(this.CLASS_NAME, "process_0_6_GripCalibration", "Cal Failed");
                        }
                        result2 = result2 + "," + cal_data2[1].replace(" ", "") + "," + cal_data2[2].replace(" ", "");
                        i5++;
                        str = str;
                        DUMMY = DUMMY;
                        isSuccess2 = isSuccess2;
                    }
                    if (isSuccess2) {
                        this.resData = responseString(argu[0], "OK" + result2);
                        return;
                    }
                    this.resData = responseString(argu[0], "NG" + result2);
                    return;
                } else {
                    return;
                }
            } else if (Support.Kernel.write(this.CAL_SYSFS_PATH[i], str)) {
                cal_result[i] = Support.Kernel.read(this.CAL_SYSFS_PATH[i]);
                i++;
            } else {
                FtUtil.log_e(this.CLASS_NAME, "process_0_6_GripCalibration", "Cal Write Failed");
                this.resData = responseString(argu[0], "NG," + DUMMY);
                return;
            }
        }
    }

    private void process_0_7_GripCalibrationDataErase(String[] argu) {
        if ("ASP01".equalsIgnoreCase(this.mChipName)) {
            if (Support.Kernel.write(Support.Kernel.GRIP_SENSOR_ERASECAL, egis.client.api.EgisFingerprint.MAJOR_VERSION)) {
                FtUtil.log_i(this.CLASS_NAME, "process_0_7_GripCalibrationDataErase", "Erase Cal Success");
                this.resData = responseOK(argu[0]);
                return;
            }
            FtUtil.log_i(this.CLASS_NAME, "process_0_7_GripCalibrationDataErase", "Erase Cal Failed");
            this.resData = responseNG(argu[0]);
        } else if (this.mChipName.startsWith("SX")) {
            for (int i = 0; i < this.mGripCount; i++) {
                if (Support.Kernel.write(this.CAL_SYSFS_PATH[i], "0")) {
                    FtUtil.Sleep.sleep(500);
                    String result = Support.Kernel.read(this.CAL_SYSFS_PATH[i]);
                    if (result == null || result.length() <= 0 || !"0".equalsIgnoreCase(result.substring(0, 1))) {
                        FtUtil.log_i(this.CLASS_NAME, "process_0_7_GripCalibrationDataErase", "Erase Cal Failed");
                        this.resData = responseNG(argu[0]);
                        return;
                    }
                    FtUtil.log_i(this.CLASS_NAME, "process_0_7_GripCalibrationDataErase", "Erase Cal Success");
                } else {
                    FtUtil.log_i(this.CLASS_NAME, "process_0_7_GripCalibrationDataErase", "Erase Cal Write Failed");
                    this.resData = responseNG(argu[0]);
                    return;
                }
            }
            this.resData = responseOK(argu[0]);
        } else {
            for (int i2 = 0; i2 < this.mGripCount; i2++) {
                if (Support.Kernel.write(this.CAL_SYSFS_PATH[i2], "0")) {
                    FtUtil.Sleep.sleep(500);
                    if ("0".equalsIgnoreCase(Support.Kernel.read(this.CAL_SYSFS_PATH[i2]))) {
                        FtUtil.log_i(this.CLASS_NAME, "process_0_7_GripCalibrationDataErase", "Erase Cal Success");
                    } else {
                        FtUtil.log_i(this.CLASS_NAME, "process_0_7_GripCalibrationDataErase", "Erase Cal Failed");
                        this.resData = responseNG(argu[0]);
                        return;
                    }
                } else {
                    FtUtil.log_i(this.CLASS_NAME, "process_0_7_GripCalibrationDataErase", "Erase Cal Write Failed");
                    this.resData = responseNG(argu[0]);
                    return;
                }
            }
            this.resData = responseOK(argu[0]);
        }
    }

    private void process_0_8_GripAbnormalCheck(String[] argu) {
        String thresholdResult;
        String result;
        String thresholdResult2;
        String result2;
        SensorManager sensorManager;
        if (this.mGripListenersNew != null) {
            for (int i = 0; i < this.mGripCount; i++) {
                SensorManager sensorManager2 = this.mSensorManager;
                if (sensorManager2 != null) {
                    sensorManager2.unregisterListener(this.mGripListenersNew[i]);
                }
            }
            for (int i2 = 0; i2 < this.mGripCount; i2++) {
                GripSensorListenerNew[] gripSensorListenerNewArr = this.mGripListenersNew;
                if (!(gripSensorListenerNewArr[i2] == null || (sensorManager = this.mSensorManager) == null)) {
                    sensorManager.registerListener(gripSensorListenerNewArr[i2], gripSensorListenerNewArr[i2].getGripSensor(), 2);
                }
            }
        }
        FtUtil.Sleep.sleep(400);
        String result3 = "";
        String rawResult = null;
        String thresholdResult3 = null;
        if (this.mSensorInfoNew == null) {
            setGripInfoNew();
        }
        if (this.mSensorInfoNew != null) {
            int i3 = 0;
            while (true) {
                SensorInfoNew[] sensorInfoNewArr = this.mSensorInfoNew;
                if (i3 >= sensorInfoNewArr.length) {
                    break;
                }
                sensorInfoNewArr[i3].initProxData();
                i3++;
            }
            long startTime = System.currentTimeMillis();
            int proxDiffIndex = Support.Spec.getInt(Support.Spec.GRIP_PROX_DIFF_INDEX);
            this.mInterruptFlag = false;
            if (this.mGripListenersNew == null) {
                this.mInterruptFlag = true;
                result = result3;
                thresholdResult = null;
            } else {
                int i4 = 0;
                while (true) {
                    SensorInfoNew[] sensorInfoNewArr2 = this.mSensorInfoNew;
                    if (i4 >= sensorInfoNewArr2.length) {
                        break;
                    }
                    if (this.mIsGripTouchIC) {
                        result2 = result3;
                        thresholdResult2 = thresholdResult3;
                    } else {
                        String rawResult2 = Support.Kernel.readFromPath(sensorInfoNewArr2[i4].sysfsPath.rawData, true);
                        if (rawResult2 == null) {
                            this.mInterruptFlag = true;
                        }
                        String[] rawData = rawResult2 != null ? rawResult2.split(",") : null;
                        this.mSensorInfoNew[i4].proxDiff = rawData != null ? Integer.parseInt(rawData[proxDiffIndex]) : 0;
                        int state = getSensorDataNew(i4);
                        result2 = result3;
                        if (state == 1) {
                            this.mInterruptFlag = true;
                        }
                        String str = this.CLASS_NAME;
                        StringBuilder sb = new StringBuilder();
                        thresholdResult2 = thresholdResult3;
                        sb.append("mInterruptFlag: ");
                        sb.append(this.mInterruptFlag);
                        sb.append(" / Grip state[");
                        sb.append(i4);
                        sb.append("]: ");
                        sb.append(state);
                        FtUtil.log_i(str, "process_0_8_GripAbnormalCheck", sb.toString());
                        rawResult = rawResult2;
                    }
                    i4++;
                    result3 = result2;
                    thresholdResult3 = thresholdResult2;
                }
                result = result3;
                thresholdResult = thresholdResult3;
            }
            int i5 = 0;
            while (true) {
                String thresholdResult4 = thresholdResult;
                if (i5 >= 30 || this.mInterruptFlag || System.currentTimeMillis() - startTime > 3000) {
                    String result4 = result;
                } else {
                    int j = 0;
                    while (true) {
                        SensorInfoNew[] sensorInfoNewArr3 = this.mSensorInfoNew;
                        if (j >= sensorInfoNewArr3.length) {
                            break;
                        }
                        if (this.mIsGripTouchIC) {
                            String rawResult3 = Support.Kernel.readFromPath(sensorInfoNewArr3[j].sysfsPath.ProxDiff, true);
                            if (rawResult3 == null) {
                                this.mInterruptFlag = true;
                            }
                            String[] rawData2 = rawResult3 != null ? rawResult3.split(",") : null;
                            SensorInfoNew sensorInfoNew = this.mSensorInfoNew[j];
                            int i6 = 0;
                            if (rawData2 != null) {
                                i6 = Integer.parseInt(rawData2[0]);
                            }
                            sensorInfoNew.proxDiff = i6;
                            thresholdResult4 = Support.Kernel.readFromPath(this.mSensorInfoNew[j].sysfsPath.thresholdData, true);
                            String[] thresholdData = thresholdResult4 != null ? thresholdResult4.split(",") : null;
                            int threshold = 0;
                            if (thresholdData != null) {
                                threshold = Integer.parseInt(thresholdData[0]);
                            }
                            if (this.mSensorInfoNew[j].proxDiff > threshold) {
                                this.mInterruptFlag = true;
                            }
                            if (egis.client.api.EgisFingerprint.MAJOR_VERSION.equals(Support.Kernel.readFromPath(this.mSensorInfoNew[j].sysfsPath.Mode, true))) {
                                this.mInterruptFlag = true;
                            }
                            rawResult = rawResult3;
                        } else {
                            String rawResult4 = Support.Kernel.readFromPath(sensorInfoNewArr3[j].sysfsPath.rawData, true);
                            if (rawResult4 == null) {
                                this.mInterruptFlag = true;
                            }
                            String[] rawData3 = rawResult4 != null ? rawResult4.split(",") : null;
                            int proxResult = rawData3 != null ? Integer.parseInt(rawData3[proxDiffIndex]) : 0;
                            if (proxResult > this.mSensorInfoNew[j].proxMax) {
                                this.mSensorInfoNew[j].proxMax = proxResult;
                            }
                            if (proxResult < this.mSensorInfoNew[j].proxMin) {
                                this.mSensorInfoNew[j].proxMin = proxResult;
                            }
                            if (this.mSensorInfoNew[j].proxDiff < this.mSensorInfoNew[j].proxMax - this.mSensorInfoNew[j].proxMin) {
                                SensorInfoNew[] sensorInfoNewArr4 = this.mSensorInfoNew;
                                sensorInfoNewArr4[j].proxDiff = sensorInfoNewArr4[j].proxMax - this.mSensorInfoNew[j].proxMin;
                                FtUtil.log_i(this.CLASS_NAME, "process_0_8_GripAbnormalCheck", "mSensorInfoNew[" + j + "].proxDiff: " + this.mSensorInfoNew[j].proxDiff);
                            }
                            rawResult = rawResult4;
                            thresholdResult4 = thresholdResult4;
                        }
                        j++;
                    }
                    thresholdResult = thresholdResult4;
                    FtUtil.Sleep.sleep(100);
                    i5++;
                    rawResult = rawResult;
                }
            }
            String result42 = result;
            for (int i7 = 0; i7 < this.mSensorInfoNew.length; i7++) {
                result42 = result42 + String.format(",%d", Integer.valueOf(this.mSensorInfoNew[i7].proxDiff));
            }
            result3 = result42;
        }
        if (!this.mInterruptFlag) {
            this.resData = responseString(argu[0], "OK" + result3);
            return;
        }
        this.resData = responseString(argu[0], "NG" + result3);
    }

    private void process_0_9_TemperatureCheckSub1Sub2(String[] argu) {
        String[] ignoreItems = Support.Feature.getString(Support.Feature.GRIPSENSOR_IGNORE_FOR_SMD).split(",");
        boolean sysfs_error = false;
        boolean cmd_result = true;
        if (this.mSensorInfoNew == null) {
            FtUtil.log_i(this.CLASS_NAME, "process_0_9_TemperatureCheckSub1Sub2", "mSensorInfoNew == null, Create");
            setGripInfoNew();
        }
        if (this.mSensorManager == null) {
            FtUtil.log_i(this.CLASS_NAME, "process_0_9_TemperatureCheckSub1Sub2", "mSensorManager == null, Create");
            this.mSensorManager = (SensorManager) this.context.getSystemService("sensor");
        }
        if (this.mGripListenersNew == null) {
            this.mGripListenersNew = new GripSensorListenerNew[this.mGripCount];
            for (int i = 0; i < this.mSensorInfoNew.length; i++) {
                if (!Arrays.asList(ignoreItems).contains(this.mSensorInfoNew[i].gripType)) {
                    this.mGripListenersNew[i] = new GripSensorListenerNew(this.mGripTypeNew[i], i);
                    mappingGripSensor(i);
                }
            }
        }
        if (this.mSensorInfoNew != null) {
            for (int i2 = 0; i2 < this.mSensorInfoNew.length; i2++) {
                if (!Arrays.asList(ignoreItems).contains(String.valueOf(this.mSensorInfoNew[i2].gripType))) {
                    if (this.mIsGripTouchIC) {
                        if (this.mSensorInfoNew[i2].sysfsPath.reset != null) {
                            String str = this.CLASS_NAME;
                            FtUtil.log_i(str, "process_0_9_TemperatureCheckSub1Sub2", "Grip Sensor #" + (i2 + 1) + " Reset result : " + Support.Kernel.writeToPath(this.mSensorInfoNew[i2].sysfsPath.reset, egis.client.api.EgisFingerprint.MAJOR_VERSION));
                            Support.Kernel.read(Support.Kernel.GRIP_TOUCH_SENSOR_CHECK);
                        }
                    } else if (this.mSensorInfoNew[i2].sysfsPath.reset != null) {
                        String str2 = this.CLASS_NAME;
                        FtUtil.log_i(str2, "process_0_9_TemperatureCheckSub1Sub2", "Grip Sensor #" + (i2 + 1) + " Reset result : " + Support.Kernel.readFromPath(this.mSensorInfoNew[i2].sysfsPath.reset, true));
                    }
                }
            }
            Support.Kernel.read(Support.Kernel.GRIP_RESET_READY);
            int i3 = 0;
            while (true) {
                if (i3 >= this.mSensorInfoNew.length) {
                    break;
                }
                if (!Arrays.asList(ignoreItems).contains(String.valueOf(this.mSensorInfoNew[i3].gripType))) {
                    if (!this.mIsGripTouchIC) {
                        boolean sysfs_result = Support.Kernel.writeToPath(this.mSensorInfoNew[i3].sysfsPath.onoff, egis.client.api.EgisFingerprint.MAJOR_VERSION);
                        if (this.mGripListenersNew[i3] == null) {
                            String str3 = this.CLASS_NAME;
                            FtUtil.log_i(str3, "process_0_9_TemperatureCheckSub1Sub2", "mGripListners[" + i3 + "] == null");
                            this.mGripListenersNew[i3] = new GripSensorListenerNew(this.mGripTypeNew[i3], i3);
                            mappingGripSensor(i3);
                        }
                        if (!sysfs_result) {
                            FtUtil.log_i(this.CLASS_NAME, "process_0_9_TemperatureCheckSub1Sub2", "Sensor Communication Error !!");
                            sysfs_error = true;
                            break;
                        }
                        GripSensorListenerNew[] gripSensorListenerNewArr = this.mGripListenersNew;
                        if (gripSensorListenerNewArr[i3] == null) {
                            cmd_result = false;
                            break;
                        }
                        this.mSensorManager.registerListener(gripSensorListenerNewArr[i3], gripSensorListenerNewArr[i3].getGripSensor(), 2);
                    } else if (!Support.Kernel.writeToPath(this.mSensorInfoNew[i3].sysfsPath.onoff, egis.client.api.EgisFingerprint.MAJOR_VERSION)) {
                        FtUtil.log_i(this.CLASS_NAME, "process_0_9_TemperatureCheckSub1Sub2", "Sensor Communication Error !!");
                        sysfs_error = true;
                    }
                }
                i3++;
            }
        }
        if (!cmd_result || sysfs_error) {
            this.mGripListenersNew = null;
            this.resData = responseNG(argu[0]);
            return;
        }
        this.resData = responseOK(argu[0]);
    }

    private void process_1_0_GripRead1stValue(String[] argu) {
        String result;
        FtUtil.log_i(this.CLASS_NAME, "process_1_0_GripRead1stValue", "mGripCount : " + this.mGripCount);
        if (this.mGripCount <= 0) {
            this.resData = "NOT_APPLICABLE";
            return;
        }
        if (this.mSensorInfoNew == null) {
            setGripInfoNew();
        }
        if (this.mSensorInfoNew == null) {
            return;
        }
        if (this.mIsGripTouchIC) {
            if (egis.client.api.EgisFingerprint.MAJOR_VERSION.equals(Support.Kernel.read(Support.Kernel.GRIP_TOUCH_SENSOR_CHECK))) {
                this.resData = responseString(argu[0], "PRESS");
            } else {
                this.resData = responseString(argu[0], "RELEASE");
            }
        } else if (this.mSensorManager == null || this.mGripListenersNew == null) {
            FtUtil.log_e(this.CLASS_NAME, "process_1_0_GripRead1stValue", "mSensorManager or mGripListenersNew or mSensorInfoNew == null");
            this.resData = responseNG(argu[0]);
        } else {
            if (getSensorDataNew(0) == 1) {
                result = "" + "PRESS";
            } else {
                result = "" + "RELEASE";
            }
            FtUtil.log_i(this.CLASS_NAME, "process_1_0_GripRead1stValue", " result = " + result);
            this.resData = responseString(argu[0], result);
        }
    }

    private void process_1_1_GripRead2ndValue(String[] argu) {
        String result;
        FtUtil.log_i(this.CLASS_NAME, "process_1_1_GripRead2ndValue", "mGripCount : " + this.mGripCount);
        if (this.mGripCount <= 1) {
            this.resData = "NOT_APPLICABLE";
            return;
        }
        if (this.mSensorInfoNew == null) {
            setGripInfoNew();
        }
        if (this.mSensorInfoNew == null) {
            return;
        }
        if (this.mIsGripTouchIC) {
            if (egis.client.api.EgisFingerprint.MAJOR_VERSION.equals(Support.Kernel.read(Support.Kernel.GRIP_TOUCH_SENSOR_CHECK_2))) {
                this.resData = responseString(argu[0], "PRESS");
            } else {
                this.resData = responseString(argu[0], "RELEASE");
            }
        } else if (this.mSensorManager == null || this.mGripListenersNew == null) {
            FtUtil.log_e(this.CLASS_NAME, "process_1_1_GripRead2ndValue", "mSensorManager or mGripListenersNew or mSensorInfoNew == null");
            this.resData = responseNG(argu[0]);
        } else {
            if (getSensorDataNew(1) == 1) {
                result = "" + "PRESS";
            } else {
                result = "" + "RELEASE";
            }
            FtUtil.log_i(this.CLASS_NAME, "process_1_1_GripRead2ndValue", " result = " + result);
            this.resData = responseString(argu[0], result);
        }
    }

    private void process_1_2_GripCalResult(String[] argu) {
        String str = "2";
        if ("AD7146".equalsIgnoreCase(this.mChipName)) {
            String calResult = Support.Kernel.read(Support.Kernel.GRIP_SENSOR_CALIBRATION);
            String rawData = Support.Kernel.read(Support.Kernel.GRIP_SENSOR_RAWDATA);
            String threshold = Support.Kernel.read(Support.Kernel.GRIP_SENSOR_THRESHOLD);
            String[] thresholdArray = threshold != null ? threshold.split(",") : new String[]{"none", "none", "none"};
            if (egis.client.api.EgisFingerprint.MAJOR_VERSION.equals(calResult) || str.equals(calResult)) {
                FtUtil.log_i(this.CLASS_NAME, "process_1_2_GripCalResult", "Cal Applied");
                this.resData = responseString(argu[0], "OK," + rawData + "," + thresholdArray[0] + ",0,0,0,0,0,0");
                return;
            }
            FtUtil.log_e(this.CLASS_NAME, "process_1_2_GripCalResult", "Cal Not Applied");
            this.resData = responseString(argu[0], "NG," + rawData + "," + thresholdArray[0] + ",0,0,0,0,0,0");
        } else if (this.mChipName.startsWith("SX")) {
            String CAL = egis.client.api.EgisFingerprint.MAJOR_VERSION;
            String CAL_SUCCESS = "2";
            String result = "";
            boolean isSuccess = true;
            String[] calArray = null;
            String[] calArray2 = null;
            int i = 0;
            while (i < this.mGripCount) {
                String calResult2 = Support.Kernel.read(this.CAL_SYSFS_PATH[i]);
                String rawData2 = Support.Kernel.read(this.RAWDATA_SYSFS_PATH[i]);
                String threshold2 = Support.Kernel.read(this.THRESHOLD_SYSFS_PATH[i]);
                if (calResult2 == null || rawData2 == null) {
                    FtUtil.log_e(this.CLASS_NAME, "process_1_2_GripCalResult", "Grip sensor data is null");
                    this.resData = responseNG(argu[0]);
                    return;
                }
                String[] calArray3 = calResult2.split(",");
                String[] rawDataArray = rawData2.split(",");
                String[] thresholdArray2 = threshold2 != null ? threshold2.split(",") : new String[]{"none", "none", "none"};
                if (calArray3 != null) {
                    if (calArray3.length >= 1) {
                        if (egis.client.api.EgisFingerprint.MAJOR_VERSION.equals(calArray3[0]) || str.equals(calArray3[0])) {
                            FtUtil.log_i(this.CLASS_NAME, "process_1_2_GripCalResult", "Cal Applied");
                            result = result + "," + rawDataArray[0] + "," + thresholdArray2[0];
                            i++;
                            calArray = calArray3;
                            CAL = CAL;
                            CAL_SUCCESS = CAL_SUCCESS;
                            calArray2 = rawDataArray;
                            str = str;
                        } else {
                            FtUtil.log_e(this.CLASS_NAME, "process_1_2_GripCalResult", "Cal Not Applied");
                            isSuccess = false;
                            result = result + "," + rawDataArray[0] + "," + thresholdArray2[0];
                            i++;
                            calArray = calArray3;
                            CAL = CAL;
                            CAL_SUCCESS = CAL_SUCCESS;
                            calArray2 = rawDataArray;
                            str = str;
                        }
                    }
                }
                FtUtil.log_e(this.CLASS_NAME, "process_1_2_GripCalResult", "invalid sysfs");
                isSuccess = false;
                result = result + "," + rawDataArray[0] + "," + thresholdArray2[0];
                i++;
                calArray = calArray3;
                CAL = CAL;
                CAL_SUCCESS = CAL_SUCCESS;
                calArray2 = rawDataArray;
                str = str;
            }
            for (int i2 = this.mGripCount; i2 < 6; i2++) {
                result = result + ",0,0";
            }
            FtUtil.log_i(this.CLASS_NAME, "process_1_2_GripCalResult", "RESULT=" + result);
            if (isSuccess) {
                this.resData = responseString(argu[0], "OK" + result);
                return;
            }
            this.resData = responseString(argu[0], "NG" + result);
        } else {
            String rawdata = Support.Kernel.read(Support.Kernel.GRIP_SENSOR_RAWDATA);
            String rawdatas = "";
            String temp = Support.Kernel.read(Support.Kernel.GRIP_SENSOR_CALIBRATION);
            if (temp == null || rawdata == null) {
                FtUtil.log_e(this.CLASS_NAME, "process_1_2_GripCalResult", "Cal data is null");
                this.resData = responseNG(argu[0]);
                return;
            }
            String[] tempArray = temp.split(",");
            String[] rawdataArray = rawdata.split(",");
            for (int count = 0; count < rawdataArray.length; count++) {
                if (!(count == 4 || count == 9)) {
                    rawdatas = count == 8 ? rawdatas + rawdataArray[count] : rawdatas + rawdataArray[count] + ",";
                }
            }
            if (egis.client.api.EgisFingerprint.MAJOR_VERSION.equals(tempArray[0])) {
                FtUtil.log_i(this.CLASS_NAME, "process_1_2_GripCalResult", "Cal Applied");
                this.resData = responseString(argu[0], "OK," + rawdatas);
                return;
            }
            FtUtil.log_e(this.CLASS_NAME, "process_1_2_GripCalResult", "Cal Not Applied");
            this.resData = responseString(argu[0], "NG," + rawdatas);
        }
    }

    private void process_1_3_GripCalibrationSlopeRead(String[] argu) {
        this.resData = responseString(argu[0], Support.Kernel.read(Support.Kernel.GRIP_SENSOR_CALIBRATION_SLOPE));
    }

    private void process_1_6_GripRead3rdValue(String[] argu) {
        String result;
        FtUtil.log_i(this.CLASS_NAME, "process_1_6_GripRead3rdValue", "mGripCount : " + this.mGripCount);
        if (this.mGripCount <= 2) {
            this.resData = "NOT_APPLICABLE";
            return;
        }
        if (this.mSensorInfoNew == null) {
            setGripInfoNew();
        }
        if (this.mSensorInfoNew == null) {
            return;
        }
        if (this.mIsGripTouchIC) {
            if (egis.client.api.EgisFingerprint.MAJOR_VERSION.equals(Support.Kernel.read(Support.Kernel.GRIP_TOUCH_SENSOR_CHECK_3))) {
                this.resData = responseString(argu[0], "PRESS");
            } else {
                this.resData = responseString(argu[0], "RELEASE");
            }
        } else if (this.mSensorManager == null || this.mGripListenersNew == null) {
            FtUtil.log_e(this.CLASS_NAME, "process_1_6_GripRead3rdValue", "mSensorManager or mGripListenersNew or mSensorInfoNew == null");
            this.resData = responseNG(argu[0]);
        } else {
            if (getSensorDataNew(2) == 1) {
                result = "" + "PRESS";
            } else {
                result = "" + "RELEASE";
            }
            FtUtil.log_i(this.CLASS_NAME, "process_1_6_GripRead3rdValue", " result = " + result);
            this.resData = responseString(argu[0], result);
        }
    }

    private void process_1_7_GripRead4thValue(String[] argu) {
        String result;
        FtUtil.log_i(this.CLASS_NAME, "process_1_7_GripRead4thValue", "mGripCount : " + this.mGripCount);
        if (this.mGripCount <= 3) {
            this.resData = "NOT_APPLICABLE";
            return;
        }
        if (this.mSensorInfoNew == null) {
            setGripInfoNew();
        }
        if (this.mSensorInfoNew == null) {
            return;
        }
        if (this.mIsGripTouchIC) {
            if (egis.client.api.EgisFingerprint.MAJOR_VERSION.equals(Support.Kernel.read(Support.Kernel.GRIP_TOUCH_SENSOR_CHECK_4))) {
                this.resData = responseString(argu[0], "PRESS");
            } else {
                this.resData = responseString(argu[0], "RELEASE");
            }
        } else if (this.mSensorManager == null || this.mGripListenersNew == null) {
            FtUtil.log_e(this.CLASS_NAME, "process_1_7_GripRead4thValue", "mSensorManager or mGripListenersNew or mSensorInfoNew == null");
            this.resData = responseNG(argu[0]);
        } else {
            if (getSensorDataNew(3) == 1) {
                result = "" + "PRESS";
            } else {
                result = "" + "RELEASE";
            }
            FtUtil.log_i(this.CLASS_NAME, "process_1_7_GripRead4thValue", " result = " + result);
            this.resData = responseString(argu[0], result);
        }
    }

    private void process_1_8_GripCapMainRead(String[] argu) {
        for (int i = 0; i < this.mGripCount; i++) {
            String rawData = Support.Kernel.read(this.RAWDATA_SYSFS_PATH[i]);
            if (rawData != null) {
                this.resData = responseString(argu[0], rawData.split(",")[0]);
            } else {
                FtUtil.log_e(this.CLASS_NAME, "process_1_8_GripCapMainRead", "rawData is null");
                this.resData = responseNG(argu[0]);
            }
        }
    }

    private void process_1_9_GripSupportCheck(String[] argu) {
        if (new File("sys/class/sensors/grip_sensor/name").exists()) {
            this.resData = responseString(argu[0], "SUPPORT");
        } else {
            this.resData = responseString(argu[0], "NOT SUPPORT");
        }
    }

    private void process_2_GripSlopeDataRead(String[] argu) {
        if (argu.length <= 1 || !Support.Kernel.write(Support.Kernel.GRIP_SENSOR_CALIBRATION_SLOPE, argu[1]) || !argu[1].equalsIgnoreCase(Support.Kernel.read(Support.Kernel.GRIP_SENSOR_CALIBRATION_SLOPE))) {
            this.resData = responseNG(argu[0]);
        } else {
            this.resData = responseOK(argu[0]);
        }
    }

    private void process_3_0_GripCalibrationActivityLaunch(String[] argu) {
        Intent intent = new Intent("android.intent.action.MAIN");
        intent.setClassName("com.sec.android.app.factorykeystring", "com.sec.android.app.status.GripSensorCalibrationEntry");
        intent.setFlags(872415232);
        intent.addFlags(32);
        intent.putExtra("host", "AT+GRIPSENS=3,0");
        try {
            this.context.startActivity(intent);
            this.resData = responseOK(argu[0]);
        } catch (ActivityNotFoundException ane) {
            FtUtil.log_e(ane);
            this.resData = responseNG(argu[0]);
        }
    }

    private void process_3_1_GripAbnormalTestStart(String[] argu) {
        String[] ignoreItems = Support.Feature.getString(Support.Feature.GRIPSENSOR_IGNORE_FOR_SMD).split(",");
        boolean result = true;
        for (int i = 0; i < this.mGripCount; i++) {
            if (!Support.Kernel.write(Support.Kernel.GRIP_IRQ_COUNT + this.mIndex[i], egis.client.api.EgisFingerprint.MAJOR_VERSION) && !Arrays.asList(ignoreItems).contains(this.mSensorInfoNew[i].gripType)) {
                result = false;
            }
        }
        if (result) {
            this.resData = responseOK(argu[0]);
        } else {
            this.resData = responseNG(argu[0]);
        }
    }

    private void process_3_2_GripAbnormalTestEnd(String[] argu) {
        int i;
        String diffResult = "";
        int count = 0;
        boolean result = true;
        String[] ignoreItems = Support.Feature.getString(Support.Feature.GRIPSENSOR_IGNORE_FOR_SMD).split(",");
        int i2 = 0;
        while (true) {
            i = this.mGripCount;
            if (i2 >= i) {
                break;
            }
            if (Support.Kernel.write(Support.Kernel.GRIP_IRQ_COUNT + this.mIndex[i2], "0")) {
                String rawResult = Support.Kernel.read(Support.Kernel.GRIP_IRQ_COUNT + this.mIndex[i2]);
                if (rawResult != null) {
                    String[] arrResult = rawResult.split(",");
                    try {
                        if (!arrResult[0].equalsIgnoreCase("0")) {
                            result = false;
                        }
                        count += Integer.parseInt(arrResult[1]);
                        diffResult = diffResult + arrResult[2] + ",";
                    } catch (ArrayIndexOutOfBoundsException e) {
                        this.resData = responseNG(argu[0]);
                    }
                }
            } else {
                if (!Arrays.asList(ignoreItems).contains(this.mSensorInfoNew[i2].gripType)) {
                    result = false;
                    FtUtil.log_e(this.CLASS_NAME, "process_3_2_GripAbnormalTestEnd", "file not found - " + this.mSensorInfoNew[i2].gripType);
                }
                diffResult = diffResult + "N,";
            }
            i2++;
        }
        for (int i3 = 6 - i; i3 > 0; i3--) {
            diffResult = diffResult + "N,";
        }
        String diffResult2 = diffResult.substring(0, diffResult.length() - 1);
        if (result) {
            this.resData = responseString(argu[0], "OK," + count + "," + diffResult2);
            String str = this.CLASS_NAME;
            StringBuilder sb = new StringBuilder();
            sb.append(this.CMD_NAME);
            sb.append("=3,2");
            FtUtil.log_d(str, "process_3_2_GripAbnormalTestEnd", FtUtil.setMspSeqMessage(3, sb.toString(), "Pass - Grip Sensor Abnormal Test"));
        } else {
            this.resData = responseString(argu[0], "NG," + count + "," + diffResult2);
            String str2 = this.CLASS_NAME;
            StringBuilder sb2 = new StringBuilder();
            sb2.append(this.CMD_NAME);
            sb2.append("=3,2");
            FtUtil.log_d(str2, "process_3_2_GripAbnormalTestEnd", FtUtil.setMspSeqMessage(3, sb2.toString(), "Fail - Grip Sensor Abnormal Test"));
        }
        FtUtil.log_d(this.CLASS_NAME, "process_3_2_GripAbnormalTestEnd", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,2", "Interrupt :" + count + ",Max Diff : " + diffResult2));
    }

    private void process_3_3_GripThresholdRead(String[] arg) {
        int i;
        String thresholdResult = "";
        int i2 = 0;
        while (true) {
            i = this.mGripCount;
            if (i2 >= i) {
                break;
            }
            String readData = Support.Kernel.read(this.THRESHOLD_SYSFS_PATH[i2]);
            thresholdResult = readData != null ? (thresholdResult + readData.substring(0, readData.indexOf(","))) + "," : (thresholdResult + "NULL") + ",";
            i2++;
        }
        for (int i3 = 6 - i; i3 > 0; i3--) {
            thresholdResult = thresholdResult + "N,";
        }
        this.resData = responseString(arg[0], thresholdResult.substring(0, thresholdResult.length() - 1));
    }

    private void process_3_4_GripRead5thValue(String[] argu) {
        String result;
        FtUtil.log_i(this.CLASS_NAME, "process_3_4_GripRead5thValue", "mGripCount : " + this.mGripCount);
        if (this.mGripCount <= 4) {
            this.resData = "NOT_APPLICABLE";
            return;
        }
        if (this.mSensorInfoNew == null) {
            setGripInfoNew();
        }
        if (this.mSensorInfoNew == null) {
            return;
        }
        if (this.mSensorManager == null || this.mGripListenersNew == null) {
            FtUtil.log_e(this.CLASS_NAME, "process_3_4_GripRead5thValue", "mSensorManager or mGripListenersNew or mSensorInfoNew == null");
            this.resData = responseNG(argu[0]);
            return;
        }
        if (getSensorDataNew(4) == 1) {
            result = "" + "PRESS";
        } else {
            result = "" + "RELEASE";
        }
        FtUtil.log_i(this.CLASS_NAME, "process_3_4_GripRead5thValue", " result = " + result);
        this.resData = responseString(argu[0], result);
    }
}
