package com.sec.factory.aporiented.athandler;

import android.content.Context;
import android.content.SharedPreferences;
import android.hardware.SensorManager;
import com.sec.factory.modules.ModuleSensor;
import com.sec.factory.modules.ModuleTouchScreen;
import com.sec.factory.modules.SensorDeviceInfo;
import com.sec.factory.modules.SensorFeature;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.File;

public class AtGyroscop extends AtCommandHandler {
    private final int RETURN_DATA_ARRAY_SIZE_MAX = 16;
    private Context mContext;
    private String mFeature = SensorDeviceInfo.getSensorName(SensorDeviceInfo.TYPE_GYRO, SensorDeviceInfo.TARGET_XML);
    private int[] mSensorID = null;
    protected SensorManager mSensorManager;

    public AtGyroscop(Context context) {
        super(context);
        this.CMD_NAME = "GYROSCOP";
        this.CLASS_NAME = "AtGyroscop";
        this.NUM_ARGS = 2;
        this.mContext = context;
        this.mSensorManager = (SensorManager) context.getSystemService("sensor");
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        String feature;
        String resData2;
        String[] temp;
        FtUtil.log_d(this.CLASS_NAME, "handleCommand", "mFeature : " + this.mFeature);
        String resData3 = null;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (FtUtil.isFactoryBinary()) {
            if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "6"})) {
                FtUtil.log_i(this.CLASS_NAME, "handleCommand", "GYRO_RESULT");
                SharedPreferences preferences = this.mContext.getSharedPreferences("GYRO_RESULT", 0);
                String result = preferences.getString("RESULT_DATA", "0");
                if (result.equals("0")) {
                    FtUtil.log_i(this.CLASS_NAME, "handleCommand", "result = " + result);
                    SharedPreferences.Editor editor = preferences.edit();
                    editor.putString("RESULT_DATA", "NONE");
                    editor.apply();
                    result = preferences.getString("RESULT_DATA", "0");
                }
                resData3 = responseString(argu[0], result);
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "7"})) {
                FtUtil.log_i(this.CLASS_NAME, "handleCommand", "SUB_GYRO_RESULT");
                SharedPreferences preferences2 = this.mContext.getSharedPreferences("SUB_GYRO_RESULT", 0);
                String result2 = preferences2.getString("RESULT_DATA", "0");
                if (result2.equals("0")) {
                    FtUtil.log_i(this.CLASS_NAME, "handleCommand", "result = " + result2);
                    SharedPreferences.Editor editor2 = preferences2.edit();
                    editor2.putString("RESULT_DATA", "NONE");
                    editor2.apply();
                    result2 = preferences2.getString("RESULT_DATA", "0");
                }
                resData3 = responseString(argu[0], result2);
            } else if (checkArgu(argu, new String[]{"4", "0"})) {
                if (STAGE_PARALLEL) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "4,0 - Sleep 1sec STAGE_PARALLEL");
                    FtUtil.Sleep.sleep(500);
                }
                String[] strArr = new String[16];
                String selfdata = Support.Kernel.read(Support.Kernel.SUB_GYRO_SENSOR_SELFTEST);
                try {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "4,0 - Test result : OK");
                    String mData = "";
                    if (selfdata != null) {
                        boolean isRevised = EgisFingerprint.MAJOR_VERSION.equals(Support.Kernel.read(Support.Kernel.SUB_GYRO_SENSOR_REVISED));
                        String[] temp2 = selfdata.split(",");
                        String returnValue = "NG";
                        if (temp2.length > 3) {
                            if (!isRevised) {
                                returnValue = "OK";
                            } else if (temp2[12].contains(EgisFingerprint.MAJOR_VERSION) && temp2[13].contains(EgisFingerprint.MAJOR_VERSION)) {
                                returnValue = "OK";
                            }
                        }
                        String mData2 = returnValue;
                        if (isRevised) {
                            if (temp2.length > 3) {
                                for (int i = 0; i <= 2; i++) {
                                    mData2 = (mData2 + ",") + temp2[i];
                                }
                                for (int i2 = 9; i2 <= 11; i2++) {
                                    mData2 = (mData2 + ",") + temp2[i2];
                                }
                                mData = (mData2 + ",") + temp2[13];
                            } else {
                                mData = mData2;
                                for (int i3 = 0; i3 < 7; i3++) {
                                    String mData3 = mData + ",";
                                    mData = i3 < 3 ? mData3 + temp2[i3] : mData3 + "0";
                                }
                            }
                        } else if ("OK".equals(returnValue)) {
                            mData = mData2;
                            for (int i4 = 3; i4 <= 8; i4++) {
                                mData = (mData + ",") + temp2[i4];
                            }
                        } else {
                            mData = mData2;
                            for (int i5 = 0; i5 < 6; i5++) {
                                String mData4 = mData + ",";
                                mData = i5 < 3 ? mData4 + temp2[i5] : mData4 + "0";
                            }
                        }
                    }
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=4,0", "Pass - Selftest"));
                    resData3 = responseString(argu[0], mData);
                } catch (Exception e) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "error = " + e);
                    resData3 = responseNG(argu[0]);
                }
                mModuleSensor.SensorOff(this.mSensorID);
            }
        }
        if (checkArgu(argu, new String[]{"0", "0"})) {
            this.mSensorID = new int[]{ModuleSensor.ID_MANAGER_GYRO};
            mModuleSensor.SensorOff(this.mSensorID);
            if (!mModuleSensor.isSensorOn(ModuleSensor.ID_MANAGER_GYRO)) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,0", "Pass - Sensor OFF"));
                resData = responseOK(argu[0]);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,0", "Fail - Sensor OFF"));
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION})) {
            mModuleSensor.SensorOff(this.mSensorID);
            this.mSensorID = new int[]{ModuleSensor.ID_MANAGER_GYRO};
            mModuleSensor.SensorOn(this.mSensorID);
            if (mModuleSensor.isSensorOn(ModuleSensor.ID_MANAGER_GYRO)) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,1", "Pass - Sensor ON"));
                resData = responseOK(argu[0]);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,1", "Fail - Sensor ON"));
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", "2"})) {
            if (Support.Kernel.write(Support.Kernel.GYRO_OIS_POWER, "0")) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,2", "Pass - OIS Sensor OFF"));
                resData = responseOK(argu[0]);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,2", "Fail - OIS Sensor OFF"));
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
            if (Support.Kernel.write(Support.Kernel.GYRO_OIS_POWER, EgisFingerprint.MAJOR_VERSION)) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,3", "Pass - OIS Sensor ON"));
                resData = responseOK(argu[0]);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,3", "Fail - OIS Sensor ON"));
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", "4"})) {
            boolean OIS_InitResult = Support.Kernel.write(Support.Kernel.GYRO_OIS_POWER, EgisFingerprint.MAJOR_VERSION);
            String calTestResult = "";
            String calTestData = "";
            String calTest = Support.Kernel.read(Support.Kernel.GYRO_OIS_CALTEST);
            if (calTest != null) {
                String calTest2 = calTest.trim();
                if (calTest2.contains(",")) {
                    FtUtil.log_i(this.CLASS_NAME, "handleCommand", "Get calResult and Data");
                    int firstCommaIndex = calTest2.indexOf(",");
                    calTestResult = calTest2.substring(0, firstCommaIndex);
                    calTestData = calTest2.substring(firstCommaIndex + 1);
                } else {
                    calTestResult = calTest2;
                }
            }
            if (!OIS_InitResult || !EgisFingerprint.MAJOR_VERSION.equals(calTestResult)) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,4", "Fail - Save GyroXY value to MCU"));
                if (!Support.Kernel.write(Support.Kernel.GYRO_OIS_POWER, "0")) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,4", "Fail - Close OIS POWER"));
                }
                resData = responseString(argu[0], "NG," + calTestData);
            } else if (Support.Kernel.write(Support.Kernel.GYRO_OIS_POWER, "0")) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,4", "Pass - Save GyroXY value to MCU"));
                resData = responseString(argu[0], "OK," + calTestData);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,4", "Fail - Close OIS POWER"));
                resData = responseString(argu[0], "NG," + calTestData);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0"})) {
            this.mSensorID = new int[]{ModuleSensor.ID_FILE____GYRO_TEMPERATURE};
            mModuleSensor.SensorOff(this.mSensorID);
            mModuleSensor.SensorOn(this.mSensorID);
            if (mModuleSensor.isSensorOn(ModuleSensor.ID_FILE____GYRO_TEMPERATURE)) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "1,0 - Sensor On");
                String[] result3 = mModuleSensor.getData(ModuleSensor.ID_FILE____GYRO_TEMPERATURE);
                if (result3 != null) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,0", "Pass - Read Sensor Temperature"));
                    resData = responseString(argu[0], result3[2]);
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,0", "Fail - Read Sensor Temperature (NULL)"));
                    resData = responseNG(argu[0]);
                }
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,0", "Fail - Read Sensor Temperature"));
                resData = responseNG(argu[0]);
            }
            mModuleSensor.SensorOff(this.mSensorID);
        } else {
            if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
                if (STAGE_PARALLEL) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "1,1 - Sleep 1sec STAGE_PARALLEL");
                    FtUtil.Sleep.sleep(500);
                }
                String gyroSensorName = SensorDeviceInfo.getSensorName(SensorDeviceInfo.TYPE_GYRO, SensorDeviceInfo.TARGET_XML);
                if (!STAGE_PARALLEL || gyroSensorName == null || !SensorFeature.FEATURE_GYROSCOP_INVENSENSE_MPU6500.equalsIgnoreCase(gyroSensorName)) {
                    mModuleSensor.SensorOff(this.mSensorID);
                } else {
                    FtUtil.log_w(this.CLASS_NAME, "handleCommand", "1,1 - Do not off Sensor");
                }
                if (STAGE_PARALLEL) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "1,1 - Sleep 0.5sec STAGE_PARALLEL");
                    FtUtil.Sleep.sleep(500);
                }
                String[] result4 = new String[16];
                String selfdata2 = null;
                if (this.mFeature.contains(SensorFeature.FEATURE_GYROSCOP_INVENSENSE) || this.mFeature.contains("MAXIM")) {
                    String tempdata = Support.Kernel.read(Support.Kernel.GYRO_SENSOR_SELFTEST);
                    if (tempdata != null) {
                        String[] temp3 = tempdata.split(",");
                        String version_factory = Support.Version.getString(Support.Version.FACTORY_TEST_COMMAND).substring(2);
                        if (version_factory.charAt(0) == '3') {
                            if (temp3 != null && temp3.length > 9) {
                                result4[0] = "10";
                                result4[1] = temp3[0];
                                result4[2] = temp3[1];
                                result4[3] = temp3[2];
                                result4[4] = temp3[3];
                                result4[5] = temp3[4];
                                result4[6] = temp3[5];
                                result4[7] = temp3[6];
                                result4[8] = temp3[7];
                                result4[9] = temp3[8];
                                result4[10] = temp3[9];
                            }
                        } else if (Integer.parseInt(version_factory) >= 26) {
                            if (temp3 != null && temp3.length > 9) {
                                result4[0] = "10";
                                result4[1] = temp3[0];
                                result4[2] = temp3[1];
                                result4[3] = temp3[2];
                                result4[4] = temp3[3];
                                result4[5] = temp3[4];
                                result4[6] = temp3[5];
                                result4[7] = temp3[6];
                                result4[8] = temp3[7];
                                result4[9] = temp3[8];
                                result4[10] = temp3[9];
                            }
                        } else if (temp3 != null && temp3.length > 6) {
                            result4[0] = "7";
                            result4[1] = temp3[0];
                            result4[2] = temp3[1];
                            result4[3] = temp3[2];
                            result4[4] = temp3[3];
                            result4[5] = temp3[4];
                            result4[6] = temp3[5];
                            result4[7] = temp3[6];
                        }
                    }
                } else if (this.mFeature.contains(SensorFeature.FEATURE_GYROSCOP_BOSCH)) {
                    selfdata2 = Support.Kernel.read(Support.Kernel.GYRO_SENSOR_SELFTEST);
                } else if (this.mFeature.equals("#DEFAULT") || this.mFeature.contains(ModuleTouchScreen.TSP_VENDOR_NAME__STM)) {
                    selfdata2 = Support.Kernel.read(Support.Kernel.GYRO_SENSOR_SELFTEST);
                } else {
                    if (this.mFeature.equals(SensorFeature.FEATURE_GYROSCOP_STMICRO_SMARTPHONE) || this.mFeature.equals(SensorFeature.FEATURE_GYROSCOP_STMICRO_TABLET)) {
                        this.mSensorID = new int[]{ModuleSensor.ID_FILE____GYRO_SELFTEST};
                    }
                    mModuleSensor.SensorOn(this.mSensorID);
                    if (mModuleSensor.isSensorOn(this.mSensorID[0])) {
                        result4 = mModuleSensor.getData(this.mSensorID[0]);
                    }
                }
                if (result4 == null && selfdata2 == null) {
                    try {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,1", "Fail - Selftest"));
                        resData = responseNG(argu[0]);
                    } catch (Exception e2) {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", "error = " + e2);
                        resData = responseNG(argu[0]);
                    }
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "1,1 - Test result : OK");
                    String mData5 = "";
                    if (this.mFeature.contains(SensorFeature.FEATURE_GYROSCOP_BOSCH)) {
                        if (!(selfdata2 == null || (temp = selfdata2.split(",")) == null || temp.length <= 4)) {
                            mData5 = EgisFingerprint.MAJOR_VERSION.equals(temp[0]) ? "OK" : "NG";
                            int i6 = 1;
                            for (int i7 = 4; i6 <= i7; i7 = 4) {
                                mData5 = (mData5 + ",") + temp[i6];
                                i6++;
                            }
                        }
                    } else if (!this.mFeature.contains("MAXIM")) {
                        if (!this.mFeature.equals("#DEFAULT")) {
                            if (!this.mFeature.contains(ModuleTouchScreen.TSP_VENDOR_NAME__STM)) {
                                if (result4 != null) {
                                    mData5 = result4[1].equals("0") ? "OK" : "NG";
                                    for (int i8 = 2; i8 <= Integer.parseInt(result4[0]); i8++) {
                                        mData5 = (mData5 + ",") + result4[i8];
                                    }
                                }
                            }
                        }
                        if (selfdata2 != null) {
                            boolean isRevised2 = EgisFingerprint.MAJOR_VERSION.equals(Support.Kernel.read(Support.Kernel.GYRO_SENSOR_REVISED));
                            String[] temp4 = selfdata2.split(",");
                            String returnValue2 = "NG";
                            if (temp4.length > 3) {
                                if (!isRevised2) {
                                    returnValue2 = "OK";
                                } else if (temp4[12].contains(EgisFingerprint.MAJOR_VERSION) && temp4[13].contains(EgisFingerprint.MAJOR_VERSION)) {
                                    returnValue2 = "OK";
                                }
                            }
                            mData5 = returnValue2;
                            if (isRevised2) {
                                if (temp4.length > 3) {
                                    for (int i9 = 0; i9 <= 2; i9++) {
                                        mData5 = (mData5 + ",") + temp4[i9];
                                    }
                                    for (int i10 = 9; i10 <= 11; i10++) {
                                        mData5 = (mData5 + ",") + temp4[i10];
                                    }
                                    mData5 = (mData5 + ",") + temp4[13];
                                } else {
                                    for (int i11 = 0; i11 < 7; i11++) {
                                        String mData6 = mData5 + ",";
                                        mData5 = i11 < 3 ? mData6 + temp4[i11] : mData6 + "0";
                                    }
                                }
                            } else if ("OK".equals(returnValue2)) {
                                for (int i12 = 3; i12 <= 8; i12++) {
                                    mData5 = (mData5 + ",") + temp4[i12];
                                }
                            } else {
                                for (int i13 = 0; i13 < 6; i13++) {
                                    String mData7 = mData5 + ",";
                                    mData5 = i13 < 3 ? mData7 + temp4[i13] : mData7 + "0";
                                }
                            }
                        }
                    } else if (result4 != null) {
                        mData5 = result4[1].equals("0") ? "OK" : "NG";
                        for (int i14 = 8; i14 <= 10; i14++) {
                            mData5 = (mData5 + ",") + result4[i14];
                        }
                    }
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,1", "Pass - Selftest"));
                    resData = responseString(argu[0], mData5);
                }
                mModuleSensor.SensorOff(this.mSensorID);
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "2"})) {
                if (this.mFeature.contains("MAXIM")) {
                    String[] result5 = new String[16];
                    String tempdata2 = Support.Kernel.read(Support.Kernel.GYRO_SENSOR_SELFTEST);
                    if (tempdata2 != null) {
                        String[] temp5 = tempdata2.split(",");
                        if (Integer.parseInt(Support.Version.getString(Support.Version.FACTORY_TEST_COMMAND).substring(2)) >= 26) {
                            if (temp5 != null && temp5.length > 9) {
                                result5[0] = "10";
                                result5[1] = temp5[0];
                                result5[2] = temp5[1];
                                result5[3] = temp5[2];
                                result5[4] = temp5[3];
                                result5[5] = temp5[4];
                                result5[6] = temp5[5];
                                result5[7] = temp5[6];
                                result5[8] = temp5[7];
                                result5[9] = temp5[8];
                                result5[10] = temp5[9];
                            }
                        } else if (temp5 != null && temp5.length > 6) {
                            result5[0] = "7";
                            result5[1] = temp5[0];
                            result5[2] = temp5[1];
                            result5[3] = temp5[2];
                            result5[4] = temp5[3];
                            result5[5] = temp5[4];
                            result5[6] = temp5[5];
                            result5[7] = temp5[6];
                        }
                    }
                    try {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", "1,2 - Test result : OK");
                        String mData8 = result5[1].equals("0") ? "OK" : "NG";
                        for (int i15 = 2; i15 <= 4; i15++) {
                            mData8 = (mData8 + ",") + result5[i15];
                        }
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,2", "Pass - OIS"));
                        resData = responseString(argu[0], mData8);
                    } catch (Exception e3) {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,2", "Fail - OIS"));
                        resData = responseNG(argu[0]);
                    }
                } else {
                    String InitialResult = Support.Kernel.read(Support.Kernel.GYRO_OIS_RAWDATA);
                    String SelfTestResult = Support.Kernel.read(Support.Kernel.GYRO_OIS_SELFTEST);
                    Double.valueOf(0.0d);
                    if (InitialResult != null) {
                        if (SelfTestResult != null) {
                            String[] InitData = InitialResult.split(",");
                            String[] SelfData = SelfTestResult.split(",");
                            String mData9 = (SelfData[0].equals("0") ? "OK" : "NG") + "," + SelfData[1] + "," + SelfData[2] + "," + InitData[0] + "," + InitData[1];
                            Double diff_x = Double.valueOf(Double.parseDouble(InitData[0]) - Double.parseDouble(SelfData[1]));
                            Double diff_y = Double.valueOf(Double.parseDouble(InitData[1]) - Double.parseDouble(SelfData[2]));
                            String mData10 = (mData9 + "," + String.format("%.3f", diff_x) + "," + String.format("%.3f", diff_y)) + "," + (("2".equals(SelfData[0]) || egis.optical.client.api.EgisFingerprint.MAJOR_VERSION.equals(SelfData[0])) ? "0" : EgisFingerprint.MAJOR_VERSION);
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,2", "Pass - OIS"));
                            resData = responseString(argu[0], mData10);
                        }
                    }
                    resData = responseNG(argu[0]);
                }
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "4"})) {
                boolean OIS_InitResult2 = Support.Kernel.write(Support.Kernel.GYRO_OIS_POWER, EgisFingerprint.MAJOR_VERSION);
                String InitialAxisData = Support.Kernel.read(Support.Kernel.GYRO_OIS_RAWDATA);
                String NoiseAxisData = Support.Kernel.read(Support.Kernel.GYRO_OIS_SELFTEST);
                if (InitialAxisData == null || NoiseAxisData == null || !OIS_InitResult2) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,4", "Fail - Read OIS RAW DATA"));
                    resData = responseNG(argu[0]);
                } else {
                    String[] InitData2 = InitialAxisData.split(",");
                    String[] NoiseData = NoiseAxisData.split(",");
                    String mData11 = ("0".equals(NoiseData[0]) ? "OK" : "NG") + "," + NoiseData[1] + "," + NoiseData[2] + "," + InitData2[0] + "," + InitData2[1];
                    if (Support.Kernel.write(Support.Kernel.GYRO_OIS_POWER, "0")) {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,4", "Pass - Read OIS RAW DATA"));
                        resData = responseString(argu[0], mData11);
                    } else {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,4", "Fail - Close OIS POWER"));
                        resData = responseNG(argu[0]);
                    }
                }
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "8"})) {
                File dataFile = new File("/data/log/OIS_Data.log");
                if (dataFile.exists()) {
                    String mData12 = Support.Kernel.readFromPath(dataFile.getPath(), true);
                    if (mData12 == null || "NULL".equals(mData12)) {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,8", "Fail - Read OIS (NG_NO DATA)"));
                        resData = responseString(argu[0], "NG_NO DATA");
                    } else {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,8", "Pass - Read OIS"));
                        resData = responseString(argu[0], mData12);
                    }
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,8", "Fail - Read OIS (NG_NO FILE)"));
                    resData = responseString(argu[0], "NG_NO FILE");
                }
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.JAR_VERSION})) {
                try {
                    String mTempData = Support.Kernel.readFromPath(new File("/data/log/GyroScopeData.log").getPath(), true);
                    if (this.mFeature.contains(SensorFeature.FEATURE_GYROSCOP_INVENSENSE)) {
                        if (mTempData != null) {
                            String[] temp6 = mTempData.split(",");
                            if (temp6 != null && temp6.length > 4) {
                                String values = temp6[1] + "," + temp6[2] + "," + temp6[3] + "," + temp6[4] + "," + temp6[5] + "," + temp6[6] + "," + temp6[7] + "," + temp6[8] + "," + temp6[9];
                                if ("OK".equals("0".equals(temp6[0]) ? "OK" : "NG")) {
                                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,9", "Pass - Read Gyro"));
                                    resData2 = responseString(argu[0], "OK," + values);
                                } else {
                                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,9", "Fail - Read Gyro"));
                                    resData2 = responseString(argu[0], "NG," + values);
                                }
                            }
                        } else {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,9", "Fail - Read Gyro"));
                            resData2 = responseString(argu[0], "NG");
                        }
                        resData = resData2;
                    } else {
                        if (!this.mFeature.equals("#DEFAULT")) {
                            if (this.mFeature.contains(ModuleTouchScreen.TSP_VENDOR_NAME__STM)) {
                            }
                        }
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,9", "Pass - Read Gyro"));
                        resData2 = responseString(argu[0], mTempData);
                        resData = resData2;
                    }
                    resData2 = resData3;
                    resData = resData2;
                } catch (Exception e4) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,9", "Fail - Read Gyro"));
                    resData = responseString(argu[0], "NG");
                }
            } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0"})) {
                if (this.mFeature.equals("#DEFAULT")) {
                    feature = Support.Kernel.read(Support.Kernel.GYRO_SENSOR_NAME);
                } else {
                    feature = SensorDeviceInfo.getSensorName(SensorDeviceInfo.TYPE_GYRO, SensorDeviceInfo.TARGET_FILE);
                }
                if (feature != null) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,0", "Pass - Sensor Name"));
                    resData = responseString(argu[0], feature);
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,0", "Fail - Sensor Name"));
                    resData = responseString(argu[0], "NONE");
                }
            } else {
                resData = resData3;
            }
        }
        if (resData == null) {
            resData = responseNA();
        }
        return resData;
    }
}
