package com.sec.factory.aporiented.athandler;

import android.content.Context;
import com.sec.xmldata.support.Support;
import egis.optical.client.api.EgisFingerprint;

public class AtHDCPtest extends AtCommandHandler {
    public AtHDCPtest(Context context) {
        super(context);
        this.CMD_NAME = "HDCPTEST";
        this.CLASS_NAME = "AtHDCPtest";
        this.NUM_ARGS = 2;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", "0"})) {
            String result = mModuleCommon.hdcpCheck(1);
            if (result == null) {
                resData = responseNG(argu[0]);
            } else if (result.equals("OK")) {
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION})) {
            String result2 = mModuleCommon.hdcpCheck(4);
            if (result2 == null) {
                resData = responseNG(argu[0]);
            } else if (result2.equals("OK")) {
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{egis.client.api.EgisFingerprint.MAJOR_VERSION, "0"})) {
            String result3 = mModuleCommon.hdcpReadSN();
            if (result3.equals(Support.Properties.PROPERTIES_DEFAULT_STRING)) {
                resData = responseNG(argu[0]);
            } else {
                if (result3.length() < "0000000000000000".length()) {
                    result3 = result3 + "0000000000000000".substring(0, "0000000000000000".length() - result3.length());
                }
                resData = responseString(argu[0], result3);
            }
        } else {
            resData = responseNA();
        }
        return resData;
    }
}
