package com.sec.factory.aporiented.athandler;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.hardware.Sensor;
import android.hardware.SensorEvent;
import android.hardware.SensorEventListener;
import android.hardware.SensorManager;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.os.UEventObserver;
import com.sec.factory.aporiented.ResponseWriter;
import com.sec.factory.modules.ModuleCommunicationService;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.NVAccessor;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.File;

public class AtHaictest extends AtCommandHandler {
    private static final String HALL_DETECT_COUNT_BASE = "data/log/halldetect";
    private static final int MSG_CHECK_INTERRUPT = 3000;
    private static final int MSG_TEST_READ_CAMERA_ID = 1000;
    private static final int MSG_TEST_READ_CAMERA_ID_FAIL = 1001;
    public static final int STOP_RECEIVE_FRS_RESPONSE = 0;
    public static final int TIMEOUT = 2000;
    private static final String[] UEVENT_HALL_DETECT = {"hall=open", "hall=close", "certify_hall=open", "certify_hall=close", "flip=open", "flip=close", "hall_wacom=open", "hall_wacom=close"};
    private static boolean[] UEVENT_HALL_DETECT_ENABLE = {false, false, false, false};
    private static String returnArgu = "0";
    private int DHallCheckCount;
    private String DHallCheckResult;
    private String curCheckState;
    private Handler handler = new Handler(Looper.getMainLooper()) {
        /* class com.sec.factory.aporiented.athandler.AtHaictest.AnonymousClass2 */

        public void handleMessage(Message msg) {
            if (msg.what == 0) {
                FtUtil.log_d(AtHaictest.this.CLASS_NAME, "handleMessage", "STOP_RECEIVER_RESPONSE");
                AtHaictest.this.handler.removeMessages(0);
                AtHaictest.this.writer.write(AtHaictest.this.responseNG("0"));
            }
            super.handleMessage(msg);
        }
    };
    private Context mContext;
    private Handler mDHallHandler = new Handler(Looper.getMainLooper()) {
        /* class com.sec.factory.aporiented.athandler.AtHaictest.AnonymousClass3 */

        public void handleMessage(Message msg) {
            switch (msg.what) {
                case 3000:
                    FtUtil.log_i(AtHaictest.this.CLASS_NAME, "handleMessage", "CHECK_INTERRUPT");
                    String curState = AtHaictest.this.getResult(Support.Kernel.PATH_HALLIC_DETECT_STATE3);
                    if (AtHaictest.this.curCheckState.equals(curState)) {
                        String curRefAngle = AtHaictest.this.getRefAngle();
                        if ("ON".equals(curState)) {
                            AtHaictest atHaictest = AtHaictest.this;
                            AtHaictest.access$484(atHaictest, ",C_" + curRefAngle);
                            AtHaictest.this.curCheckState = "OFF";
                            AtHaictest.access$508(AtHaictest.this);
                        } else if ("OFF".equals(curState)) {
                            AtHaictest atHaictest2 = AtHaictest.this;
                            AtHaictest.access$484(atHaictest2, ",O_" + curRefAngle);
                            AtHaictest.this.curCheckState = "ON";
                            AtHaictest.access$508(AtHaictest.this);
                        }
                    }
                    AtHaictest.this.mDHallHandler.sendEmptyMessageDelayed(3000, 100);
                    return;
                default:
                    return;
            }
        }
    };
    private FoldingStateListener mFoldingStateListener;
    public BroadcastReceiver mReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.aporiented.athandler.AtHaictest.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            AtHaictest atHaictest = AtHaictest.this;
            atHaictest.stopReceiver(atHaictest.mReceiver);
            String mAction = intent.getAction();
            AtHaictest.this.handler.removeMessages(0);
            String str = AtHaictest.this.CLASS_NAME;
            FtUtil.log_d(str, "onReceive", "mAction : " + mAction);
            if ("com.sec.factory.camera.ACTION_TEST_STATUS".equals(mAction)) {
                FtUtil.log_d(AtHaictest.this.CLASS_NAME, "onReceive", "ACTION_TEST_STATUS");
                String cameraChipID = intent.getStringExtra("result");
                String str2 = AtHaictest.this.CLASS_NAME;
                FtUtil.log_d(str2, "onReceive", "cameraChipID : " + cameraChipID);
                String savedCameraChipID = Support.Kernel.read(Support.Kernel.DIGITAL_HALL_IC_CAMERA_CHIP_ID, true);
                if (cameraChipID.equals(savedCameraChipID)) {
                    ResponseWriter responseWriter = AtHaictest.this.writer;
                    AtHaictest atHaictest2 = AtHaictest.this;
                    String str3 = AtHaictest.returnArgu;
                    responseWriter.write(atHaictest2.responseString(str3, "OK," + cameraChipID + "," + savedCameraChipID));
                    return;
                }
                ResponseWriter responseWriter2 = AtHaictest.this.writer;
                AtHaictest atHaictest3 = AtHaictest.this;
                String str4 = AtHaictest.returnArgu;
                responseWriter2.write(atHaictest3.responseString(str4, "NG," + cameraChipID + "," + savedCameraChipID));
            }
        }
    };
    private SensorManager mSensorManager;
    private TrimagneticFieldListener mTrimagneticFieldListener;
    private UEventObserver mUEventObserver = new UEventObserver() {
        /* class com.sec.factory.aporiented.athandler.AtHaictest.AnonymousClass4 */

        public void onUEvent(UEventObserver.UEvent event) {
            String value = event.toString();
            FtUtil.log_d(AtHaictest.this.CLASS_NAME, "get UEvent : " + value);
            for (int i = 7; i >= 0; i--) {
                if (value.indexOf(AtHaictest.UEVENT_HALL_DETECT[i]) != -1) {
                    int saveIdx = i / 2;
                    if (AtHaictest.UEVENT_HALL_DETECT_ENABLE[saveIdx]) {
                        Support.Kernel.writeToPathNsync(AtHaictest.HALL_DETECT_COUNT_BASE + saveIdx + ".log", Integer.toString(Integer.parseInt(Support.Kernel.readFromPath(AtHaictest.HALL_DETECT_COUNT_BASE + saveIdx + ".log", true)) + 1));
                        return;
                    }
                }
            }
        }
    };

    static /* synthetic */ String access$484(AtHaictest x0, Object x1) {
        String str = x0.DHallCheckResult + x1;
        x0.DHallCheckResult = str;
        return str;
    }

    static /* synthetic */ int access$508(AtHaictest x0) {
        int i = x0.DHallCheckCount;
        x0.DHallCheckCount = i + 1;
        return i;
    }

    public AtHaictest(Context context) {
        super(context);
        this.CMD_NAME = "HAICTEST";
        this.CLASS_NAME = "AtHaictest";
        this.NUM_ARGS = 2;
    }

    public AtHaictest(Context context, ResponseWriter writer) {
        super(context);
        this.CMD_NAME = "HAICTEST";
        this.CLASS_NAME = "AtHaictest";
        this.NUM_ARGS = 2;
        this.mContext = context;
        this.writer = writer;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public void startReceiver() {
        IntentFilter mFilter = new IntentFilter();
        mFilter.addAction("com.sec.factory.camera.ACTION_TEST_STATUS");
        FtUtil.log_d(this.CLASS_NAME, "startReceiver", "request to register mReceiver - start");
        this.context.registerReceiver(this.mReceiver, mFilter);
        FtUtil.log_d(this.CLASS_NAME, "startReceiver", "request to register mReceiver - done");
    }

    private void sendCameraBroadcast() {
        Intent i = new Intent("com.sec.samsungtest.ACTION_CAMERATEST");
        i.putExtra("testtype", "CHIPIDTT");
        i.putExtra("arg1", EgisFingerprint.MAJOR_VERSION);
        i.putExtra("arg2", "0");
        i.putExtra("arg3", "0");
        i.putExtra("arg4", "0");
        i.addFlags(268435456);
        FtUtil.log_d(this.CLASS_NAME, "sendCameraBroadcast");
        this.context.sendBroadcast(i, "com.sec.factory.cameralyzer.PERMISSION_CAMERASCRIPT");
    }

    public enum HALL_IC_STATE {
        OPEN("OFF", new String[]{EgisFingerprint.MAJOR_VERSION, "OPEN"}),
        CLOSE("ON", new String[]{"0", "CLOSE"});
        
        String mName;
        String[] mValue;

        private HALL_IC_STATE(String name, String[] value) {
            this.mName = name;
            this.mValue = value;
        }

        public String toString() {
            return this.mName;
        }
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        String resData2;
        String resData3;
        String resData4;
        String resData5;
        String[] args;
        int redefHwid;
        String calDataOpen;
        String calDataClose;
        String resData6 = null;
        returnArgu = argu[0];
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0"})) {
            String result = getResult(Support.Kernel.PATH_HALLIC_DETECT_STATE);
            if (result == null) {
                return responseNG(argu[0]);
            }
            resData6 = responseString(argu[0], result);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
            String result2 = getResult(Support.Kernel.PATH_HALLIC_DETECT_STATE2);
            if (result2 == null) {
                return responseNG(argu[0]);
            }
            resData6 = responseString(argu[0], result2);
        } else if (checkArgu(argu, new String[]{"0", "11"})) {
            String hwid = Support.Properties.get(Support.Properties.HW_REVISION);
            if (hwid == null || hwid.isEmpty() || Support.Properties.PROPERTIES_DEFAULT_STRING.equals(hwid)) {
                redefHwid = 0;
            } else {
                redefHwid = Integer.parseInt(hwid);
            }
            String status = Support.Kernel.read(Support.Kernel.DIGITAL_HALL_IC_STATUS, true);
            if (status != null) {
                String[] status_xyz = status.split(",");
                if (status_xyz.length == 3) {
                    File calDataFile = new File("data/log/DHallCalDataClose.log");
                    String curRefAngle = getRefAngle();
                    Support.Kernel.writeToPathNsync(calDataFile.getPath(), status + "," + curRefAngle);
                    if (redefHwid <= 5) {
                        calDataOpen = Integer.toString(Integer.parseInt(status_xyz[1]) + 1300);
                        calDataClose = Integer.toString(Integer.parseInt(status_xyz[1]) + 800);
                    } else {
                        calDataOpen = Integer.toString(Integer.parseInt(status_xyz[1]) - 800);
                        calDataClose = Integer.toString(Integer.parseInt(status_xyz[1]) - 1300);
                    }
                    String calData = "0,0," + calDataOpen + "," + calDataClose + ",0,0";
                    if (!Support.Kernel.writeNsync(Support.Kernel.DIGITAL_HALL_IC_CAL, calData) || !Support.Kernel.writeNsync(Support.Kernel.DIGITAL_HALL_IC_THD, calData)) {
                        resData6 = responseString(argu[0], "NG," + status + "," + curRefAngle);
                    } else {
                        resData6 = responseString(argu[0], "OK," + status + "," + curRefAngle);
                    }
                } else {
                    resData6 = responseNG(argu[0]);
                }
            } else {
                resData6 = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", "16"})) {
            String calData2 = Support.Kernel.read(Support.Kernel.DIGITAL_HALL_IC_CAL, true);
            if (calData2 != null) {
                String calDataOpen2 = calData2.split(",")[2];
                String calDataClose2 = calData2.split(",")[3];
                int calDataDelta = Integer.parseInt(calDataOpen2) - Integer.parseInt(calDataClose2);
                if (calDataDelta >= 0) {
                    resData6 = responseString(argu[0], "OK," + calDataOpen2 + "," + calDataClose2 + "," + calDataDelta);
                } else {
                    resData6 = responseString(argu[0], "NG," + calDataOpen2 + "," + calDataClose2 + "," + calDataDelta);
                }
            } else {
                resData6 = responseString(argu[0], "NG,NONE,NONE,NONE");
            }
        } else if (checkArgu(argu, new String[]{"4"})) {
            String[] args2 = argu[1].split("_");
            boolean isValid = true;
            for (int i = 0; i < args2.length; i++) {
                int num = Integer.parseInt(args2[i]);
                if (num < 1 || num > 4) {
                    isValid = false;
                } else {
                    UEVENT_HALL_DETECT_ENABLE[Integer.parseInt(args2[i]) - 1] = true;
                }
            }
            if (isValid) {
                this.mUEventObserver.startObserving("DEVPATH=" + Support.Kernel.getFilePath(Support.Kernel.UEVENT_HALL_DETECT));
                for (int i2 = 0; i2 < 4; i2++) {
                    if (UEVENT_HALL_DETECT_ENABLE[i2]) {
                        Support.Kernel.writeToPathNsync(new File(HALL_DETECT_COUNT_BASE + i2 + ".log").getPath(), "0");
                    }
                }
                resData6 = responseOK(argu[0]);
            } else {
                resData6 = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"5"})) {
            this.mUEventObserver.stopObserving();
            boolean isValid2 = true;
            String resultValue = "";
            for (String str : argu[1].split("_")) {
                int num2 = Integer.parseInt(str) - 1;
                if (UEVENT_HALL_DETECT_ENABLE[num2]) {
                    StringBuilder sb = new StringBuilder();
                    sb.append(resultValue);
                    sb.append(Support.Kernel.readFromPath(HALL_DETECT_COUNT_BASE + num2 + ".log", true));
                    sb.append(",");
                    resultValue = sb.toString();
                } else {
                    isValid2 = false;
                }
            }
            if (isValid2) {
                if (resultValue.length() > 0) {
                    resultValue = resultValue.substring(0, resultValue.length() - 1);
                }
                resData6 = responseString(argu[0], resultValue);
            } else {
                resData6 = responseNG(argu[0]);
            }
        } else if (!FtUtil.isFactoryBinary()) {
            resData6 = responseNA();
        } else if (checkArgu(argu, new String[]{"0", "2"})) {
            FtUtil.log_d(this.CLASS_NAME, "Cal Data matching Check");
            startReceiver();
            sendCameraBroadcast();
        } else if (checkArgu(argu, new String[]{"0", "4"})) {
            if (Support.Kernel.writeNsync(Support.Kernel.FW_SELFTEST_HALL, EgisFingerprint.MAJOR_VERSION)) {
                FtUtil.Sleep.sleep(100);
                return responseString(argu[0], "OK," + Support.Kernel.read(Support.Kernel.FW_SELFTEST_HALL));
            }
            return responseNG(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", "5"})) {
            if (Support.Kernel.writeNsync(Support.Kernel.FW_SELFTEST_REVERSE_HALL, EgisFingerprint.MAJOR_VERSION)) {
                FtUtil.Sleep.sleep(100);
                return responseString(argu[0], "OK," + Support.Kernel.read(Support.Kernel.FW_SELFTEST_REVERSE_HALL));
            }
            return responseNG(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", "6"})) {
            if (!trimagneticSensorOn()) {
                resData6 = responseNG(argu[0]);
            } else if ("AK09970".equals(Support.Kernel.read(Support.Kernel.THREE_DIMENSION_DIGITAL_HALL_IC_NAME, true))) {
                String selfData = Support.Kernel.read(Support.Kernel.THREE_DIMENSION_DIGITAL_HALL_IC_SELFTEST, true);
                String[] arrSelfData = new String[11];
                if (selfData == null || selfData.indexOf(",") == -1) {
                    resData6 = responseNG(argu[0]);
                } else {
                    for (int i3 = 0; i3 < 11; i3++) {
                        arrSelfData[i3] = selfData.split(",")[i3];
                    }
                    String xyzData = arrSelfData[2] + "," + arrSelfData[5] + "," + arrSelfData[8] + "_" + arrSelfData[3] + "," + arrSelfData[6] + "," + arrSelfData[9] + "_" + arrSelfData[4] + "," + arrSelfData[7] + "," + arrSelfData[10];
                    resData6 = responseString(argu[0], "OK," + xyzData);
                    if (ModuleCommunicationService.SMD_NOK.equals(arrSelfData[0])) {
                        resData6 = responseString(argu[0], "NG_I2C");
                    }
                    if (ModuleCommunicationService.SMD_NOK.equals(arrSelfData[1])) {
                        resData6 = responseString(argu[0], "NG_STUCK," + xyzData);
                    }
                }
            } else {
                String selfData2 = Support.Kernel.read(Support.Kernel.THREE_DIMENSION_DIGITAL_HALL_IC_SELFTEST, true);
                String[] arrSelfData2 = new String[11];
                if (selfData2 == null || selfData2.indexOf(",") == -1) {
                    resData6 = responseNG(argu[0]);
                } else {
                    for (int i4 = 0; i4 < 11; i4++) {
                        arrSelfData2[i4] = selfData2.split(",")[i4];
                    }
                    String xyzData2 = arrSelfData2[2] + "," + arrSelfData2[5] + "_" + arrSelfData2[3] + "," + arrSelfData2[6] + "_" + arrSelfData2[4] + "," + arrSelfData2[7] + "_" + arrSelfData2[8] + "," + arrSelfData2[9] + "," + arrSelfData2[10];
                    resData6 = responseString(argu[0], "OK," + xyzData2);
                    if (ModuleCommunicationService.SMD_NOK.equals(arrSelfData2[0])) {
                        resData6 = responseString(argu[0], "NG_I2C");
                    }
                    if (ModuleCommunicationService.SMD_NOK.equals(arrSelfData2[1])) {
                        resData6 = responseString(argu[0], "NG_STUCK," + xyzData2);
                    } else if ("-2".equals(arrSelfData2[1])) {
                        resData6 = responseString(argu[0], "NG_SELFTEST," + xyzData2);
                    }
                }
            }
            trimagneticSensorOff();
        } else if (checkArgu(argu, new String[]{"0", "7"})) {
            File dataResult = new File("data/log/3DDigitalHallIcTestResult_160.log");
            if (foldingSensorOn()) {
                String[] arrTestData = new String[6];
                Support.Kernel.writeNsync(Support.Kernel.THREE_DIMENSION_DIGITAL_HALL_IC_TEST_READ, "160");
                FtUtil.Sleep.sleep(500);
                String refAngle = Support.Kernel.read(Support.Kernel.THREE_DIMENSION_DIGITAL_HALL_IC_REF_ANGLE, true);
                if (refAngle == null || refAngle.indexOf(",") == -1) {
                    Support.Kernel.writeToPathNsync(dataResult.getPath(), "NG,0,0,0,0,0");
                    resData6 = responseNG(argu[0]);
                } else {
                    String str2 = refAngle.split(",")[0];
                    String refAngleResult = refAngle.split(",")[1];
                    String testData = Support.Kernel.read(Support.Kernel.THREE_DIMENSION_DIGITAL_HALL_IC_TEST_READ, true);
                    for (int i5 = 0; i5 < 6; i5++) {
                        arrTestData[i5] = testData.split(",")[i5];
                    }
                    String testResult = "";
                    for (int i6 = 0; i6 < 5; i6++) {
                        testResult = (testResult + arrTestData[i6]) + ",";
                    }
                    String testResult2 = testResult.substring(0, testResult.length() - 1);
                    if (!"0".equals(refAngleResult)) {
                        Support.Kernel.writeToPathNsync(dataResult.getPath(), "NG," + testResult2);
                        resData6 = responseString(argu[0], "NG," + testResult2);
                    } else if ("0".equals(arrTestData[5])) {
                        Support.Kernel.writeToPathNsync(dataResult.getPath(), "OK," + testResult2);
                        resData6 = responseString(argu[0], "OK," + testResult2);
                    } else {
                        Support.Kernel.writeToPathNsync(dataResult.getPath(), "NG," + testResult2);
                        resData6 = responseString(argu[0], "NG," + testResult2);
                    }
                }
            } else {
                Support.Kernel.writeToPathNsync(dataResult.getPath(), "NG,0,0,0,0,0");
                resData6 = responseNG(argu[0]);
            }
            foldingSensorOff();
        } else if (checkArgu(argu, new String[]{"0", "8"})) {
            File dataResult2 = new File("data/log/3DDigitalHallIcTestResult_50.log");
            if (foldingSensorOn()) {
                String[] arrTestData2 = new String[6];
                Support.Kernel.writeNsync(Support.Kernel.THREE_DIMENSION_DIGITAL_HALL_IC_TEST_READ, "50");
                FtUtil.Sleep.sleep(500);
                String refAngle2 = Support.Kernel.read(Support.Kernel.THREE_DIMENSION_DIGITAL_HALL_IC_REF_ANGLE, true);
                if (refAngle2 == null || refAngle2.indexOf(",") == -1) {
                    Support.Kernel.writeToPathNsync(dataResult2.getPath(), "NG,0,0,0,0,0");
                    resData6 = responseNG(argu[0]);
                } else {
                    String str3 = refAngle2.split(",")[0];
                    String refAngleResult2 = refAngle2.split(",")[1];
                    String testData2 = Support.Kernel.read(Support.Kernel.THREE_DIMENSION_DIGITAL_HALL_IC_TEST_READ, true);
                    for (int i7 = 0; i7 < 6; i7++) {
                        arrTestData2[i7] = testData2.split(",")[i7];
                    }
                    String testResult3 = "";
                    for (int i8 = 0; i8 < 5; i8++) {
                        testResult3 = (testResult3 + arrTestData2[i8]) + ",";
                    }
                    String testResult4 = testResult3.substring(0, testResult3.length() - 1);
                    if (!"0".equals(refAngleResult2)) {
                        Support.Kernel.writeToPathNsync(dataResult2.getPath(), "NG," + testResult4);
                        resData6 = responseString(argu[0], "NG," + testResult4);
                    } else if ("0".equals(arrTestData2[5])) {
                        Support.Kernel.writeToPathNsync(dataResult2.getPath(), "OK," + testResult4);
                        resData6 = responseString(argu[0], "OK," + testResult4);
                    } else {
                        Support.Kernel.writeToPathNsync(dataResult2.getPath(), "NG," + testResult4);
                        resData6 = responseString(argu[0], "NG," + testResult4);
                    }
                }
            } else {
                Support.Kernel.writeToPathNsync(dataResult2.getPath(), "NG,0,0,0,0,0");
                resData6 = responseNG(argu[0]);
            }
            foldingSensorOff();
        } else if (checkArgu(argu, new String[]{"0", egis.optical.client.api.EgisFingerprint.JAR_VERSION})) {
            if (foldingSensorOn()) {
                File dataResult3 = new File("data/log/FolderTensionTestResult.log");
                int fusionAngleMin = 999;
                int fusionAngleMax = -1;
                int[] fusionAngle = {0, 0, 0};
                String refSpecString = Support.Spec.getString(Support.Spec.FOLDER_TENSION_TEST_REF_ANGLE);
                String deltaSpecString = Support.Spec.getString(Support.Spec.FOLDER_TENSION_TEST_DELTA);
                int refAngleSpecMin = Integer.parseInt(refSpecString.split(",")[0]);
                int refAngleSpecMax = Integer.parseInt(refSpecString.split(",")[1]);
                int deltaSpec = Integer.parseInt(deltaSpecString);
                String refAngleString = Support.Kernel.read(Support.Kernel.THREE_DIMENSION_DIGITAL_HALL_IC_REF_ANGLE, true);
                if (refAngleString != null) {
                    if (refAngleString.indexOf(",") != -1) {
                        int refAngle3 = Integer.parseInt(refAngleString.split(",")[0]);
                        if (refAngle3 > -1) {
                            fusionAngleMax = refAngle3;
                        }
                        if (refAngle3 < 999) {
                            fusionAngleMin = refAngle3;
                        }
                        if (refAngle3 < refAngleSpecMin || refAngle3 > refAngleSpecMax) {
                            resData5 = responseString(argu[0], "NG," + refAngle3 + "," + fusionAngle[0] + "," + fusionAngle[1] + "," + fusionAngle[2] + "," + 0);
                            Support.Kernel.writeToPathNsync(dataResult3.getPath(), "NG," + refAngle3 + "," + fusionAngle[0] + "," + fusionAngle[1] + "," + fusionAngle[2] + "," + 0);
                            resData6 = resData5;
                        } else {
                            FtUtil.Sleep.sleep(1000);
                            fusionAngle[0] = readFusionAngle();
                            if (fusionAngle[0] > fusionAngleMax) {
                                fusionAngleMax = fusionAngle[0];
                            }
                            if (fusionAngle[0] < fusionAngleMin) {
                                fusionAngleMin = fusionAngle[0];
                            }
                            FtUtil.Sleep.sleep(1000);
                            fusionAngle[1] = readFusionAngle();
                            if (fusionAngle[1] > fusionAngleMax) {
                                fusionAngleMax = fusionAngle[1];
                            }
                            if (fusionAngle[1] < fusionAngleMin) {
                                fusionAngleMin = fusionAngle[1];
                            }
                            FtUtil.Sleep.sleep(1000);
                            fusionAngle[2] = readFusionAngle();
                            if (fusionAngle[2] > fusionAngleMax) {
                                fusionAngleMax = fusionAngle[2];
                            }
                            if (fusionAngle[2] < fusionAngleMin) {
                                fusionAngleMin = fusionAngle[2];
                            }
                            int delta = fusionAngleMax - fusionAngleMin;
                            if (deltaSpec >= delta) {
                                resData5 = responseString(argu[0], "OK," + refAngle3 + "," + fusionAngle[0] + "," + fusionAngle[1] + "," + fusionAngle[2] + "," + delta);
                                Support.Kernel.writeToPathNsync(dataResult3.getPath(), "OK," + refAngle3 + "," + fusionAngle[0] + "," + fusionAngle[1] + "," + fusionAngle[2] + "," + delta);
                            } else {
                                resData5 = responseString(argu[0], "NG," + refAngle3 + "," + fusionAngle[0] + "," + fusionAngle[1] + "," + fusionAngle[2] + "," + delta);
                                Support.Kernel.writeToPathNsync(dataResult3.getPath(), "NG," + refAngle3 + "," + fusionAngle[0] + "," + fusionAngle[1] + "," + fusionAngle[2] + "," + delta);
                            }
                            resData6 = resData5;
                        }
                    }
                }
                resData5 = responseNG(argu[0]);
                resData6 = resData5;
            } else {
                resData6 = responseNG(argu[0]);
            }
            foldingSensorOff();
        } else if (checkArgu(argu, new String[]{"0", "10"})) {
            String status2 = Support.Kernel.read(Support.Kernel.DIGITAL_HALL_IC_STATUS, true);
            if (status2 != null) {
                if (status2.split(",").length == 3) {
                    File calDataFile2 = new File("data/log/DHallCalDataOpen.log");
                    String curRefAngle2 = getRefAngle();
                    if (Support.Kernel.writeToPathNsync(calDataFile2.getPath(), status2 + "," + curRefAngle2)) {
                        resData4 = responseString(argu[0], "OK," + status2 + "," + curRefAngle2);
                    } else {
                        resData4 = responseString(argu[0], "NG," + status2 + "," + curRefAngle2);
                    }
                } else {
                    resData4 = responseNG(argu[0]);
                }
                resData6 = resData4;
            } else {
                resData6 = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", "12"})) {
            if ("ON".equals(getResult(Support.Kernel.PATH_HALLIC_DETECT_STATE3))) {
                this.curCheckState = "OFF";
            } else {
                this.curCheckState = "ON";
            }
            this.DHallCheckCount = 0;
            this.DHallCheckResult = "";
            this.mDHallHandler.sendEmptyMessage(3000);
            resData6 = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", "13"})) {
            File dataResult4 = new File("data/log/DHallIntCheckResult.log");
            this.mDHallHandler.removeMessages(3000);
            String resultData = this.DHallCheckCount + this.DHallCheckResult;
            if (this.DHallCheckCount != 2) {
                Support.Kernel.writeToPathNsync(dataResult4.getPath(), "F," + resultData);
                resData6 = responseString(argu[0], "NG," + resultData);
            } else if (!this.DHallCheckResult.contains("O_") || !this.DHallCheckResult.contains("C_")) {
                Support.Kernel.writeToPathNsync(dataResult4.getPath(), "F," + resultData);
                resData6 = responseString(argu[0], "NG," + resultData);
            } else {
                Support.Kernel.writeToPathNsync(dataResult4.getPath(), "P," + resultData);
                resData6 = responseString(argu[0], "OK," + resultData);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "2"})) {
            String result3 = getResult(Support.Kernel.PATH_HALLIC_STATE3);
            if (result3 == null) {
                return responseNG(argu[0]);
            }
            resData6 = responseString(argu[0], result3);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
            if (!Support.Kernel.isExistFile(Support.Kernel.CAL_DIGITAL_HALL) || !Support.Kernel.isExistFile(Support.Kernel.CAL_DIGITAL_REVERSE_HALL)) {
                resData6 = responseNG(argu[0]);
            } else {
                String calData_Top = Support.Kernel.read(Support.Kernel.CAL_DIGITAL_HALL, true);
                String calData_bot = Support.Kernel.read(Support.Kernel.CAL_DIGITAL_REVERSE_HALL, true);
                String calData3 = "";
                if (!(calData_Top == null || calData_bot == null)) {
                    int beginIndex_bot = calData_bot.indexOf("cal1") + 6;
                    int endIndex_bot = calData_bot.indexOf("cal2") - 1;
                    int beginIndex_top = calData_Top.indexOf("cal1") + 6;
                    int endIndex_top = calData_Top.indexOf("cal2") - 1;
                    if (beginIndex_bot > 0 && endIndex_bot > 0 && beginIndex_top > 0 && endIndex_top > 0) {
                        calData3 = calData_bot.substring(beginIndex_bot, endIndex_bot) + "_" + calData_Top.substring(beginIndex_top, endIndex_top);
                    }
                }
                String calData4 = calData3 + "," + Support.Kernel.read(Support.Kernel.DIGITAL_HALL_IC_CAMERA_CHIP_ID, true);
                FtUtil.log_d(this.CLASS_NAME, "Read DigitalHall Cal Data", "Cal Data = " + calData4);
                if (NVAccessor.getNV(301) == 80) {
                    resData6 = responseString(argu[0], "OK," + calData4);
                } else {
                    resData6 = responseString(argu[0], "NG," + calData4);
                }
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "4"})) {
            byte testResult5 = NVAccessor.getNV(301);
            String testData3 = Support.Kernel.readFromPath("data/log/DigitalHallTest.log", true);
            FtUtil.log_d(this.CLASS_NAME, "Read DigitalHall Test Data", "Test Data = " + testData3);
            if (testData3 == null) {
                resData6 = responseString(argu[0], "NONE");
            } else if (testResult5 == 80) {
                resData6 = responseString(argu[0], "OK," + testData3);
            } else {
                resData6 = responseString(argu[0], "NG," + testData3);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "6"})) {
            byte testResult6 = NVAccessor.getNV(309);
            String[] returnValue = {Support.Kernel.readFromPath("data/log/GearedMotorFirstBot.log", true), Support.Kernel.readFromPath("data/log/GearedMotorBotMin.log", true), Support.Kernel.readFromPath("data/log/GearedMotorBotMax.log", true), Support.Kernel.readFromPath("data/log/GearedMotorBotAvg.log", true), Support.Kernel.readFromPath("data/log/GearedMotorFirstTop.log", true), Support.Kernel.readFromPath("data/log/GearedMotorTopMin.log", true), Support.Kernel.readFromPath("data/log/GearedMotorTopMax.log", true), Support.Kernel.readFromPath("data/log/GearedMotorTopAvg.log", true)};
            String testData4 = "";
            for (int i9 = 0; i9 < 8; i9++) {
                testData4 = (testData4 + returnValue[i9]) + ",";
            }
            String testData5 = testData4.substring(0, testData4.length() - 1);
            if (testResult6 == 80) {
                resData6 = responseString(argu[0], "OK," + testData5);
            } else {
                resData6 = responseString(argu[0], "NG," + testData5);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "7"})) {
            if (!Support.Kernel.isExistFile(Support.Kernel.THREE_DIMENSION_DIGITAL_HALL_IC_CALDATA_X) || !Support.Kernel.isExistFile(Support.Kernel.THREE_DIMENSION_DIGITAL_HALL_IC_CALDATA_Y) || !Support.Kernel.isExistFile(Support.Kernel.THREE_DIMENSION_DIGITAL_HALL_IC_CALDATA_Z)) {
                resData6 = responseString(argu[0], "NONE");
            } else {
                String XData = Support.Kernel.read(Support.Kernel.THREE_DIMENSION_DIGITAL_HALL_IC_CALDATA_X, true);
                String YData = Support.Kernel.read(Support.Kernel.THREE_DIMENSION_DIGITAL_HALL_IC_CALDATA_Y, true);
                String ZData = Support.Kernel.read(Support.Kernel.THREE_DIMENSION_DIGITAL_HALL_IC_CALDATA_Z, true);
                if (XData == null || YData == null || ZData == null) {
                    resData6 = responseString(argu[0], "NONE");
                } else {
                    String calFlag = Support.Kernel.read(Support.Kernel.THREE_DIMENSION_DIGITAL_HALL_IC_CHECK_AUTO_CAL, true);
                    String[] resultX = new String[19];
                    String[] resultY = new String[19];
                    String[] resultZ = new String[19];
                    for (int i10 = 0; i10 < 19; i10++) {
                        resultX[i10] = XData.split(",")[i10 + 1];
                        resultY[i10] = YData.split(",")[i10];
                        resultZ[i10] = ZData.split(",")[i10];
                    }
                    String calResultData = "";
                    for (int i11 = 0; i11 < 19; i11++) {
                        calResultData = (calResultData + resultX[i11]) + ",";
                    }
                    for (int i12 = 0; i12 < 19; i12++) {
                        calResultData = (calResultData + resultY[i12]) + ",";
                    }
                    for (int i13 = 0; i13 < 19; i13++) {
                        calResultData = (calResultData + resultZ[i13]) + ",";
                    }
                    String calResultData2 = calResultData.substring(0, calResultData.length() - 1);
                    if (EgisFingerprint.MAJOR_VERSION.equals(calFlag)) {
                        resData3 = responseString(argu[0], "OK," + calResultData2);
                    } else {
                        resData3 = responseString(argu[0], "NG," + calResultData2);
                    }
                    resData6 = resData3;
                }
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "8"})) {
            String TestResultData = Support.Kernel.readFromPath("data/log/3DDigitalHallIcTestResult.log", true);
            if (TestResultData != null) {
                resData6 = responseString(argu[0], "OK," + TestResultData);
            } else {
                resData6 = responseString(argu[0], "NONE");
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.JAR_VERSION})) {
            String TestResultData2 = Support.Kernel.readFromPath("data/log/FolderTensionTestResult.log", true);
            if (TestResultData2 != null) {
                resData6 = responseString(argu[0], TestResultData2);
            } else {
                resData6 = responseString(argu[0], "NONE");
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "10"})) {
            String calResult = Support.Kernel.readFromPath("data/log/DHallCalDataOpen.log", true);
            if (calResult != null) {
                resData6 = responseString(argu[0], "OK," + calResult);
            } else {
                resData6 = responseString(argu[0], "NONE");
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "11"})) {
            String calResult2 = Support.Kernel.readFromPath("data/log/DHallCalDataClose.log", true);
            if (calResult2 != null) {
                resData6 = responseString(argu[0], "OK," + calResult2);
            } else {
                resData6 = responseString(argu[0], "NONE");
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "13"})) {
            String TestResultData3 = Support.Kernel.readFromPath("data/log/DHallIntCheckResult.log", true);
            if (TestResultData3 != null) {
                String testResult7 = TestResultData3.substring(0, 1);
                String resultData2 = TestResultData3.substring(2);
                if ("P".equals(testResult7)) {
                    resData2 = responseString(argu[0], "OK," + resultData2);
                } else {
                    resData2 = responseString(argu[0], "NG," + resultData2);
                }
                resData6 = resData2;
            } else {
                resData6 = responseString(argu[0], "NONE");
            }
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0"})) {
            if (!foldingSensorOn()) {
                resData6 = responseNG(argu[0]);
            } else if (Support.Kernel.writeNsync(Support.Kernel.THREE_DIMENSION_DIGITAL_HALL_IC_RF_TEST, EgisFingerprint.MAJOR_VERSION)) {
                resData6 = responseOK(argu[0]);
            } else {
                resData6 = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
            String TestResultData4 = Support.Kernel.read(Support.Kernel.THREE_DIMENSION_DIGITAL_HALL_IC_RF_TEST, true);
            if (Support.Kernel.writeNsync(Support.Kernel.THREE_DIMENSION_DIGITAL_HALL_IC_RF_TEST, "0")) {
                SensorManager sensorManager = this.mSensorManager;
                if (sensorManager != null) {
                    sensorManager.unregisterListener(this.mFoldingStateListener);
                    if (TestResultData4 != null) {
                        resData6 = responseString(argu[0], "OK," + TestResultData4);
                    } else {
                        resData6 = responseNG(argu[0]);
                    }
                } else {
                    resData6 = responseNG(argu[0]);
                }
            } else {
                resData6 = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "2"})) {
            String TestResultData5 = Support.Kernel.readFromPath("data/log/3DDigitalHallIcTestResult_160.log", true);
            if (TestResultData5 != null) {
                resData6 = responseString(argu[0], TestResultData5);
            } else {
                resData6 = responseString(argu[0], "NONE");
            }
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
            String TestResultData6 = Support.Kernel.readFromPath("data/log/3DDigitalHallIcTestResult_50.log", true);
            if (TestResultData6 != null) {
                resData6 = responseString(argu[0], TestResultData6);
            } else {
                resData6 = responseString(argu[0], "NONE");
            }
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "6"})) {
            if (Support.Kernel.isExistFile(Support.Kernel.FLIP_COVER_DETECTOR_STATUS)) {
                String[] strArr = new String[20];
                String stateData = Support.Kernel.read(Support.Kernel.FLIP_COVER_DETECTOR_STATUS);
                if (stateData != null) {
                    resData6 = responseString(argu[0], stateData);
                } else {
                    resData6 = responseString(argu[0], "NONE");
                }
            } else {
                resData6 = responseString(argu[0], "NONE");
            }
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "7"})) {
            String selfData3 = Support.Kernel.read(Support.Kernel.DIGITAL_HALL_IC_SELFTEST, true);
            if (selfData3 == null || selfData3.indexOf(",") == -1) {
                resData6 = responseNG(argu[0]);
            } else {
                String[] arrSelfData3 = selfData3.split(",");
                if (arrSelfData3.length != 11) {
                    resData = responseNG(argu[0]);
                } else if (ModuleCommunicationService.SMD_NOK.equals(arrSelfData3[0])) {
                    resData = responseString(argu[0], "NG_I2C");
                } else if (ModuleCommunicationService.SMD_NOK.equals(arrSelfData3[1])) {
                    resData = responseString(argu[0], "NG_STUCK," + (arrSelfData3[2] + "," + arrSelfData3[5] + "_" + arrSelfData3[3] + "," + arrSelfData3[6] + "_" + arrSelfData3[4] + "," + arrSelfData3[7]));
                } else if ("-2".equals(arrSelfData3[1])) {
                    resData = responseString(argu[0], "NG_SELF," + (arrSelfData3[8] + "," + arrSelfData3[9] + "," + arrSelfData3[10]));
                } else {
                    resData = responseString(argu[0], "OK," + (arrSelfData3[2] + "," + arrSelfData3[5] + "_" + arrSelfData3[3] + "," + arrSelfData3[6] + "_" + arrSelfData3[4] + "," + arrSelfData3[7] + "_" + arrSelfData3[8] + "," + arrSelfData3[9] + "," + arrSelfData3[10]));
                }
                resData6 = resData;
            }
        } else {
            resData6 = responseNA();
        }
        return resData6;
    }

    public String getResult(String path) {
        String hallICState = Support.Kernel.read(path);
        if (hallICState == null || hallICState.isEmpty()) {
            return null;
        }
        HALL_IC_STATE[] values = HALL_IC_STATE.values();
        for (HALL_IC_STATE state : values) {
            for (String value : state.mValue) {
                if (value.equalsIgnoreCase(hallICState)) {
                    return state.toString();
                }
            }
        }
        return null;
    }

    private int readFusionAngle() {
        int commaCount = 0;
        int fromIndex = -1;
        String angleData = Support.Kernel.read(Support.Kernel.THREE_DIMENSION_DIGITAL_HALL_IC_READ_DATA, true);
        if (angleData != null) {
            while (true) {
                int indexOf = angleData.indexOf(",", fromIndex + 1);
                fromIndex = indexOf;
                if (indexOf < 0) {
                    break;
                }
                commaCount++;
            }
            if (commaCount >= 4) {
                String returnValue = angleData.split(",")[4];
                FtUtil.log_d(this.CLASS_NAME, "readFusionAngle", returnValue);
                return Integer.parseInt(returnValue);
            }
            FtUtil.log_d(this.CLASS_NAME, "readFusionAngle", "angleData is wrong");
            return -1;
        }
        FtUtil.log_d(this.CLASS_NAME, "readFusionAngle", "angleData is null");
        return -1;
    }

    /* access modifiers changed from: private */
    public class FoldingStateListener implements SensorEventListener {
        public FoldingStateListener() {
        }

        public void onAccuracyChanged(Sensor sensor, int accuracy) {
        }

        public void onSensorChanged(SensorEvent event) {
        }
    }

    private boolean foldingSensorOn() {
        if (this.mSensorManager == null) {
            this.mSensorManager = (SensorManager) this.context.getSystemService("sensor");
        }
        try {
            this.mFoldingStateListener = new FoldingStateListener();
            this.mSensorManager.registerListener(this.mFoldingStateListener, this.mSensorManager.getSensorList(65695).get(0), 3);
            return true;
        } catch (IndexOutOfBoundsException e) {
            FtUtil.log_d(this.CLASS_NAME, "regist folding state sensor Fail");
            return false;
        }
    }

    private void foldingSensorOff() {
        SensorManager sensorManager = this.mSensorManager;
        if (sensorManager != null) {
            sensorManager.unregisterListener(this.mFoldingStateListener);
        }
    }

    /* access modifiers changed from: private */
    public class TrimagneticFieldListener implements SensorEventListener {
        public TrimagneticFieldListener() {
        }

        public void onAccuracyChanged(Sensor sensor, int accuracy) {
        }

        public void onSensorChanged(SensorEvent event) {
        }
    }

    private boolean trimagneticSensorOn() {
        if (this.mSensorManager == null) {
            this.mSensorManager = (SensorManager) this.context.getSystemService("sensor");
        }
        try {
            this.mTrimagneticFieldListener = new TrimagneticFieldListener();
            this.mSensorManager.registerListener(this.mTrimagneticFieldListener, this.mSensorManager.getSensorList(65694).get(0), 3);
            return true;
        } catch (IndexOutOfBoundsException e) {
            FtUtil.log_d(this.CLASS_NAME, "regist trimagnetic field sensor Fail");
            return false;
        }
    }

    private void trimagneticSensorOff() {
        SensorManager sensorManager = this.mSensorManager;
        if (sensorManager != null) {
            sensorManager.unregisterListener(this.mTrimagneticFieldListener);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private String getRefAngle() {
        String curRefAngle = Support.Kernel.read(Support.Kernel.THREE_DIMENSION_DIGITAL_HALL_IC_REF_ANGLE, true);
        if (curRefAngle == null || curRefAngle.indexOf(",") == -1) {
            return null;
        }
        return curRefAngle.split(",")[0];
    }
}
