package com.sec.factory.aporiented.athandler;

import android.content.Context;
import com.sec.factory.support.FtUtil;
import egis.client.api.EgisFingerprint;

public class AtHdmitest extends AtCommandHandler {
    public AtHdmitest(Context context) {
        super(context);
        this.CMD_NAME = "HDMITEST";
        this.CLASS_NAME = "AtHdmitest";
        this.NUM_ARGS = 2;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION})) {
            String value = mModuleCommon.readHDMITestResult();
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "AtHdmitest", "value = " + value);
            if (value == null) {
                String str2 = this.CLASS_NAME;
                FtUtil.log_d(str2, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,1", "Fail - Sysfs read fail"));
                return responseNG(argu[0]);
            } else if (value.equals(EgisFingerprint.MAJOR_VERSION)) {
                String str3 = this.CLASS_NAME;
                FtUtil.log_d(str3, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,1", "Pass"));
                resData = responseOK(argu[0]);
            } else {
                String str4 = this.CLASS_NAME;
                FtUtil.log_d(str4, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,1", "Fail - HDMI Test is not 1"));
                resData = responseNG(argu[0]);
            }
        } else {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - NOT registered index"));
            resData = responseNA();
        }
        return resData;
    }
}
