package com.sec.factory.aporiented.athandler;

import android.content.Context;
import android.os.SystemProperties;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class AtHmacmism extends AtCommandHandler {
    public AtHmacmism(Context context) {
        super(context);
        this.CMD_NAME = "HMACMISM";
        this.CLASS_NAME = "AtHmacmism";
        this.NUM_ARGS = 3;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        String result;
        if (!FtUtil.isFactoryBinary()) {
            if (argu.length == (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
                if (checkArgu(argu, new String[]{"0", "0", "0"})) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Read HMAC"));
                    if ("qualcomm".equalsIgnoreCase(Support.Feature.getString(Support.Feature.CHIPSET_MANUFACTURE))) {
                        if (Support.Feature.getBoolean(Support.Feature.SUPPORT_QC_HMAC_PROP)) {
                            result = SystemProperties.get("ro.hmac_mismatch", "0");
                            if (EgisFingerprint.MAJOR_VERSION.equals(result)) {
                                result = "mac mismatch";
                                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - HMAC value Mismatch"));
                            }
                        } else {
                            result = Support.Kernel.readAllLine(Support.Kernel.HMAC_RESULT, true);
                        }
                    } else if (("S.LSI".equalsIgnoreCase(Support.Feature.getString(Support.Feature.CHIPSET_MANUFACTURE)) || "MediaTek".equalsIgnoreCase(Support.Feature.getString(Support.Feature.CHIPSET_MANUFACTURE))) && Support.TestCase.getEnabled(Support.TestCase.AT_HMACMISM)) {
                        result = SystemProperties.get("ro.hmac_mismatch", "0");
                        if (EgisFingerprint.MAJOR_VERSION.equals(result)) {
                            result = "mac mismatch";
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - HMAC value Mismatch"));
                        }
                    } else {
                        return responseNA();
                    }
                    String str = this.CLASS_NAME;
                    FtUtil.log_i(str, "handleCommand", "result = " + result);
                    if (result.contains("mac mismatch")) {
                        resData = responseNG(argu[0]);
                    } else {
                        resData = responseOK(argu[0]);
                    }
                } else {
                    resData = responseNA();
                }
                return resData;
            }
        }
        return responseNA();
    }
}
