package com.sec.factory.aporiented.athandler;

import android.content.Context;
import com.sec.factory.aporiented.ResponseWriter;
import com.sec.factory.common.CommonHRM;
import com.sec.factory.common.CommonHrmOnce;
import com.sec.factory.modules.ModuleSensor;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStreamReader;
import java.text.DecimalFormat;
import java.text.NumberFormat;
import java.util.Locale;
import java.util.Objects;

public class AtHrmosens extends AtCommandHandler {
    private CommonHrmOnce mCommonHrmOnce;
    private DecimalFormat mFormat;
    private int[] mSensorID = null;
    private String res = null;
    private boolean updatedState = false;

    public AtHrmosens(Context context, ResponseWriter writer) {
        super(context);
        this.CMD_NAME = "HRMOSENS";
        this.CLASS_NAME = "AtHrmosens";
        this.NUM_ARGS = 3;
        DecimalFormat decimalFormat = (DecimalFormat) NumberFormat.getInstance(Locale.ENGLISH);
        this.mFormat = decimalFormat;
        decimalFormat.applyPattern("0.00");
        this.writer = writer;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        String ResponseValue;
        String ResponseResult;
        String xtalk_result;
        int xtalk_value;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", "0", "0"})) {
            mModuleSensor.SensorOff(this.mSensorID);
            if (mModuleSensor.isSensorOn(ModuleSensor.ID_MANAGER_BIO) || mModuleSensor.isSensorOn(ModuleSensor.ID_MANAGER_BIO_HRM)) {
                resData = responseNG(argu[0]);
                FtUtil.log_e(this.CLASS_NAME, "Sensor OFF (0,0,0)", " Sensor Off : NG");
            } else {
                resData = responseOK(argu[0]);
                FtUtil.log_d(this.CLASS_NAME, "Sensor OFF (0,0,0)", " Sensor Off : OK");
            }
        } else {
            int i = 2;
            if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "0"})) {
                this.mSensorID = new int[]{ModuleSensor.ID_MANAGER_BIO, ModuleSensor.ID_MANAGER_BIO_HRM};
                boolean bio_result = false;
                boolean hrm_result = false;
                int j = 0;
                while (true) {
                    int i2 = 10;
                    if (j >= i) {
                        break;
                    }
                    mModuleSensor.SensorOn(new int[]{ModuleSensor.ID_MANAGER_BIO});
                    int i3 = 0;
                    while (true) {
                        if (i3 >= i2) {
                            break;
                        }
                        if (mModuleSensor.isSensorOn(ModuleSensor.ID_MANAGER_BIO) && mModuleSensor.getData(ModuleSensor.ID_MANAGER_BIO) != null) {
                            bio_result = true;
                            break;
                        }
                        FtUtil.Sleep.sleep(100);
                        i3++;
                        i2 = 10;
                    }
                    if (bio_result) {
                        FtUtil.log_d(this.CLASS_NAME, "Sensor on (0,1,0) - ID_MANAGER_BIO, OK");
                        break;
                    }
                    mModuleSensor.SensorOff(new int[]{ModuleSensor.ID_MANAGER_BIO});
                    j++;
                    i = 2;
                }
                int j2 = 0;
                while (true) {
                    if (j2 >= 2) {
                        break;
                    }
                    mModuleSensor.SensorOn(new int[]{ModuleSensor.ID_MANAGER_BIO_HRM});
                    int i4 = 0;
                    while (true) {
                        if (i4 >= 10) {
                            break;
                        } else if (mModuleSensor.isSensorOn(ModuleSensor.ID_MANAGER_BIO_HRM)) {
                            hrm_result = true;
                            break;
                        } else {
                            FtUtil.Sleep.sleep(100);
                            i4++;
                        }
                    }
                    if (hrm_result) {
                        FtUtil.log_d(this.CLASS_NAME, "Sensor on (0,1,0) - ID_MANAGER_BIO_HRM, OK");
                        break;
                    }
                    mModuleSensor.SensorOff(new int[]{ModuleSensor.ID_MANAGER_BIO_HRM});
                    j2++;
                }
                if (!bio_result || !hrm_result) {
                    FtUtil.log_d(this.CLASS_NAME, "Sensor on (0,1,0)", "NG, bio_result=" + bio_result + ",hrm_result=" + hrm_result);
                    resData = responseNG(argu[0]);
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "Sensor on (0,1,0)", "OK");
                    resData = responseOK(argu[0]);
                }
            } else if (checkArgu(argu, new String[]{"0", "2", "0"})) {
                if ("0".equals(Support.Kernel.read(Support.Kernel.HRM_INT_PIN_CHECK))) {
                    resData = responseOK(argu[0]);
                } else {
                    resData = responseNG(argu[0]);
                    FtUtil.log_e(this.CLASS_NAME, "INT_PIN Check (0,2,0)", "INT_PIN Check fail");
                }
            } else if (checkArgu(argu, new String[]{"0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0"})) {
                String result = "";
                if (Support.Feature.getBoolean(Support.Feature.SUPPORT_HRM_CONCEPT_ONCE)) {
                    this.mCommonHrmOnce = new CommonHrmOnce(this.context, CommonHrmOnce.ATCMD, this.CLASS_NAME);
                    runEOLTestOnce();
                    if (this.updatedState) {
                        for (int i5 = 0; i5 < this.mCommonHrmOnce.numOfItem; i5++) {
                            result = result + this.mCommonHrmOnce.measure[i5];
                            if (i5 < this.mCommonHrmOnce.numOfItem - 1) {
                                result = result + ",";
                            }
                        }
                    }
                } else {
                    runEOLTest();
                    result = Support.Kernel.read(Support.Kernel.HRM_EOL_TEST_RESULT);
                }
                if (result == null || "".equals(result)) {
                    resData = responseString(argu[0], "1,NG");
                } else {
                    String result2 = result.replaceAll(" ", "");
                    resData = responseString(argu[0], "1," + result2);
                }
            } else if (checkArgu(argu, new String[]{"0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
                if ("0x00".equals(Support.Kernel.readFromPath("/sys/class/sensors/hrm_sensor/led_test", true))) {
                    resData = responseOK(argu[0]);
                } else {
                    resData = responseNG(argu[0]);
                }
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0"})) {
                this.res = null;
                readHrmDataFile();
                String str = this.res;
                if (str != null) {
                    resData = responseString(argu[0], str);
                } else {
                    resData = responseNG(argu[0]);
                }
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "2"})) {
                if (FtUtil.isFactoryBinary()) {
                    FtUtil.log_d(this.CLASS_NAME, "Sensor read (1,0,2)", "Hrm Sensor X-TALK read");
                    File dataAvgFile = new File("data/log/hrmxtalkavg.log");
                    int mSpecMin = Support.Spec.getInt(Support.Spec.HRM_WINDOW_XTALK_IR_ADC_MIN);
                    int mSpecMax = Support.Spec.getInt(Support.Spec.HRM_WINDOW_XTALK_IR_ADC_MAX);
                    if (dataAvgFile.exists()) {
                        if (Support.Feature.getBoolean(Support.Feature.SUPPORT_HRM_CONCEPT_ONCE)) {
                            String[] dataArray = Support.Kernel.readFromPath(dataAvgFile.getPath(), true).split(",");
                            if ("PASS".equals(dataArray[0])) {
                                xtalk_result = "OK";
                            } else {
                                xtalk_result = "NG";
                            }
                            xtalk_value = Integer.parseInt(dataArray[1]);
                        } else {
                            xtalk_value = Integer.parseInt(Support.Kernel.readFromPath(dataAvgFile.getPath(), true));
                            FtUtil.log_d(this.CLASS_NAME, "Sensor read (1,0,2)", "Hrm Sensor X-TALK value : " + xtalk_value);
                            if (xtalk_value < mSpecMin || xtalk_value > mSpecMax) {
                                FtUtil.log_d(this.CLASS_NAME, "Sensor read (1,0,2)", "FAIL, Hrm Sensor X-TALK SPEC OUT");
                                xtalk_result = "NG";
                            } else {
                                xtalk_result = "OK";
                            }
                        }
                        resData = responseString(argu[0], xtalk_result + "," + xtalk_value);
                    } else {
                        resData = responseString(argu[0], "NONE");
                    }
                } else {
                    resData = responseNA();
                }
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, "0"})) {
                mModuleSensor.SensorOn(new int[]{ModuleSensor.ID_MANAGER_BIO_ALC});
                FtUtil.Sleep.sleep(1000);
                String[] value_alc = mModuleSensor.getData(ModuleSensor.ID_MANAGER_BIO_ALC);
                if (value_alc == null || value_alc.length < 2) {
                    resData = responseNG(argu[0]);
                } else {
                    resData = responseString(argu[0], "OK," + value_alc[1]);
                }
                mModuleSensor.SensorOff(new int[]{ModuleSensor.ID_MANAGER_BIO_ALC});
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "5", "0"})) {
                if (mModuleSensor.isSensorOn(ModuleSensor.ID_MANAGER_BIO)) {
                    float mfloatTemp = getBioSensorValue(3);
                    if (mfloatTemp == 100000.0f) {
                        resData = responseNG(argu[0]);
                        FtUtil.log_d(this.CLASS_NAME, "Sensor read (1,5,0)", "Temp('C): null");
                    } else {
                        int mintTemp = ((int) mfloatTemp) / 16;
                        resData = responseString(argu[0], String.valueOf(mintTemp));
                        FtUtil.log_d(this.CLASS_NAME, "Sensor read (1,5,0)", "Temp('C): " + mintTemp + ", Manager return: " + mfloatTemp);
                    }
                } else {
                    resData = responseNG(argu[0]);
                    FtUtil.log_d(this.CLASS_NAME, "Sensor read (1,5,0)", "Bio Sensor Temp Fail");
                }
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "6", "0"})) {
                String VerdorName = Support.Kernel.read(Support.Kernel.HRM_VENDOR);
                String value = Support.Kernel.read(Support.Kernel.HRM_FACTORY_CMD);
                boolean cmdAnswerOK = true;
                if (value == null) {
                    resData = responseNA();
                } else {
                    if ("ADI".equals(VerdorName)) {
                        String[] slope = value.split(",");
                        int i6 = 0;
                        while (true) {
                            if (i6 >= slope.length) {
                                break;
                            } else if ("0".equals(slope[i6])) {
                                cmdAnswerOK = false;
                                break;
                            } else {
                                i6++;
                            }
                        }
                        ResponseValue = value;
                    } else {
                        if ("0".equals(value)) {
                            cmdAnswerOK = false;
                        }
                        ResponseValue = "NA,NA";
                    }
                    if (cmdAnswerOK) {
                        ResponseResult = "OK";
                    } else {
                        ResponseResult = "NG";
                    }
                    resData = responseString(argu[0], ResponseResult + ",1," + ResponseValue);
                }
            } else {
                resData = responseNA();
            }
        }
        return resData;
    }

    private float getBioSensorValue(int para) {
        String[] value_bio;
        int count = 0;
        float mfloatTemp = 0.0f;
        do {
            try {
                Thread.sleep(100);
            } catch (Exception e) {
                FtUtil.log_e(e);
            }
            count++;
            value_bio = mModuleSensor.getData(ModuleSensor.ID_MANAGER_BIO);
            if (value_bio != null) {
                break;
            }
        } while (count != 100);
        if (value_bio != null) {
            do {
                try {
                    Thread.sleep(100);
                } catch (Exception e2) {
                    FtUtil.log_e(e2);
                }
                count++;
                String[] value_bio2 = mModuleSensor.getData(ModuleSensor.ID_MANAGER_BIO);
                if (value_bio2 != null) {
                    mfloatTemp = Float.parseFloat(value_bio2[para]);
                }
                if (mfloatTemp != 0.0f) {
                    break;
                }
            } while (count != 100);
            return mfloatTemp;
        }
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "getBioSensorValue", "getBioSensorValue: null - " + para);
        return 100000.0f;
    }

    private void readHrmDataFile() {
        String path = Support.Kernel.getFilePath(Support.Kernel.SECEFS_HRM_DATA_FILE);
        if (new File(path).exists()) {
            FileInputStream fis = null;
            try {
                FileInputStream fis2 = new FileInputStream(path);
                BufferedReader bufferReader = new BufferedReader(new InputStreamReader(fis2));
                while (true) {
                    String readStr = bufferReader.readLine();
                    if (readStr == null) {
                        fis2.close();
                        try {
                            fis2.close();
                            return;
                        } catch (IOException e) {
                            FtUtil.log_e(e);
                            return;
                        }
                    } else {
                        this.res = readStr;
                        String str = this.CLASS_NAME;
                        FtUtil.log_i(str, "readHrmDataFile", "data : " + readStr);
                    }
                }
            } catch (IOException e2) {
                e2.printStackTrace();
                if (0 != 0) {
                    fis.close();
                }
            } catch (Throwable th) {
                if (0 != 0) {
                    try {
                        fis.close();
                    } catch (IOException e3) {
                        FtUtil.log_e(e3);
                    }
                }
                throw th;
            }
        } else {
            FtUtil.log_i(this.CLASS_NAME, "readHrmDataFile", "there is no file");
            this.res = "NONE";
        }
    }

    private void runEOLTest() {
        FtUtil.log_i(this.CLASS_NAME, "runEOLTest", "");
        CommonHRM mCommonHRM = new CommonHRM(this.context, CommonHRM.ATCMD, this.CLASS_NAME);
        if (!"PARTRON".equals(mCommonHRM.HRM_VENDOR)) {
            mCommonHRM.HRM_OnOff(true);
        }
        mCommonHRM.registerSysfs(true);
        int timeOut = 0;
        while (true) {
            if (mCommonHRM.mhtm_Status && timeOut < 600) {
                break;
            }
            mCommonHRM.checkStatus();
            FtUtil.Sleep.sleep(100);
            timeOut++;
        }
        mCommonHRM.registerSysfs(false);
        mCommonHRM.HRM_OnOff(false);
        if (mCommonHRM.isCloudTest) {
            boolean[] zArr = mCommonHRM.itemUsable_MAXIM_Cloud;
            Objects.requireNonNull(mCommonHRM);
            if (zArr[0]) {
                mCommonHRM.UV_OnOff(false);
            }
        }
    }

    private void runEOLTestOnce() {
        FtUtil.log_i(this.CLASS_NAME, "runEOLTestOnce", "");
        this.mCommonHrmOnce.registerSysfs(true);
        int timeOut = 0;
        while (true) {
            if (this.mCommonHrmOnce.mhtm_Status && timeOut < 600) {
                break;
            }
            this.mCommonHrmOnce.checkStatus();
            FtUtil.Sleep.sleep(100);
            timeOut++;
        }
        if (this.mCommonHrmOnce.mhtm_Status) {
            this.updatedState = this.mCommonHrmOnce.updateResult();
        }
        this.mCommonHrmOnce.registerSysfs(false);
    }
}
