package com.sec.factory.aporiented.athandler;

import android.content.Context;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import com.sec.factory.aporiented.ResponseWriter;
import com.sec.factory.app.service.hwparam.ParseHwparamThread;
import com.sec.factory.app.service.hwparam.ParseHwpartThread;
import com.sec.factory.modules.FactoryTestPhone;
import com.sec.factory.modules.ModuleCommon;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.nio.IntBuffer;
import java.util.Iterator;
import org.json.JSONObject;

public class AtHwparamd extends AtCommandHandler {
    private final int MSG_MIPI_RESPONSE = 1001;
    private final String NA = "NA";
    private final String NONE = "NONE";
    private Handler mHandler = new Handler(Looper.getMainLooper()) {
        /* class com.sec.factory.aporiented.athandler.AtHwparamd.AnonymousClass1 */

        public void handleMessage(Message msg) {
            String res = null;
            switch (msg.what) {
                case 1:
                    res = Support.Kernel.readNsyncContinuous(Support.Kernel.FAC_HW_PARAM_DATA, true);
                    break;
                case 2:
                    res = Support.Kernel.readNsyncContinuous(Support.Kernel.FAC_HW_PART_INFORM_DATA, true);
                    break;
            }
            if (res == null || "".equals(res)) {
                AtHwparamd.this.writer.write(AtHwparamd.this.responseString(EgisFingerprint.MAJOR_VERSION, "NONE"));
            } else {
                AtHwparamd.this.writer.write(AtHwparamd.this.responseString(EgisFingerprint.MAJOR_VERSION, res));
            }
        }
    };
    private final Handler mHndIPC = new Handler(Looper.getMainLooper()) {
        /* class com.sec.factory.aporiented.athandler.AtHwparamd.AnonymousClass2 */

        public void handleMessage(Message msg) {
            if (msg.what == 1001) {
                int RilErrno = msg.getData().getInt("error");
                String str = AtHwparamd.this.CLASS_NAME;
                FtUtil.log_d(str, "handleMessage", "RIL Error Number : " + RilErrno);
                byte[] mResultData = msg.getData().getByteArray("response");
                if (mResultData != null) {
                    String str2 = AtHwparamd.this.CLASS_NAME;
                    FtUtil.log_d(str2, "handleMessage", "get result data " + mResultData.length);
                    IntBuffer intBuf = ByteBuffer.wrap(mResultData).order(ByteOrder.LITTLE_ENDIAN).asIntBuffer();
                    int[] values = new int[intBuf.remaining()];
                    intBuf.get(values);
                    AtHwparamd.this.setMIPIData(values);
                }
                AtHwparamd.this.parseHwPartData();
            }
        }
    };
    private String mStrRFPA = "NA";
    private String mStrTranceiver = "NA";

    public AtHwparamd(Context context, ResponseWriter writer) {
        super(context);
        this.CMD_NAME = "HWPARAMD";
        this.CLASS_NAME = "AtHwparamd";
        this.NUM_ARGS = 4;
        this.writer = writer;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData = null;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", "0", "0", "0"})) {
            resData = !Support.Kernel.isExistFile(Support.Kernel.FAC_HW_PARAM_DATA) ? responseOK(argu[0]) : Support.Kernel.deleteFile(Support.Kernel.FAC_HW_PARAM_DATA) ? responseOK(argu[0]) : responseNG(argu[0]);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0", "0"})) {
            parseHwParamData();
        } else if (checkArgu(argu, new String[]{"0", "0", "0", EgisFingerprint.MAJOR_VERSION})) {
            resData = !Support.Kernel.isExistFile(Support.Kernel.FAC_HW_PART_INFORM_DATA) ? responseOK(argu[0]) : Support.Kernel.deleteFile(Support.Kernel.FAC_HW_PART_INFORM_DATA) ? responseOK(argu[0]) : responseNG(argu[0]);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, "0", "0"})) {
            this.mStrRFPA = "NA";
            this.mStrTranceiver = "NA";
            if ("none".equalsIgnoreCase(Support.Feature.getString(Support.Feature.MODEL_COMMUNICATION_MODE))) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "cp disable");
                parseHwPartData();
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "cp enable");
                requestMIPIData();
            }
        } else if (checkArgu(argu, new String[]{"0", "0", EgisFingerprint.MAJOR_VERSION, "0"})) {
            resData = !Support.Kernel.isExistFile(Support.Kernel.FAC_HW_PARAM_BATT_QR) ? responseOK(argu[0]) : Support.Kernel.deleteFile(Support.Kernel.FAC_HW_PARAM_BATT_QR) ? responseOK(argu[0]) : responseNG(argu[0]);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", EgisFingerprint.MAJOR_VERSION, "0"})) {
            String battQR = Support.Kernel.read(Support.Kernel.FAC_HW_PARAM_BATT_QR, true);
            resData = (battQR == null || battQR.equals("")) ? responseString(argu[0], "NONE") : responseString(argu[0], battQR);
        } else if (checkArgu(argu, new String[]{"2", "0", EgisFingerprint.MAJOR_VERSION})) {
            resData = Support.Kernel.writeNsync(Support.Kernel.FAC_HW_PARAM_BATT_QR, argu[3]) ? responseOK(argu[0]) : responseNG(argu[0]);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "2", "0"})) {
            String prototypeSerialNo = Support.Kernel.read(Support.Kernel.FAC_HW_PART_PROTOTYPE_SERIAL_NO, true);
            resData = (prototypeSerialNo == null || prototypeSerialNo.equals("")) ? responseString(argu[0], "NONE") : responseString(argu[0], prototypeSerialNo);
        } else if (checkArgu(argu, new String[]{"2", "0", "2"})) {
            resData = Support.Kernel.writeNsync(Support.Kernel.FAC_HW_PART_PROTOTYPE_SERIAL_NO, argu[3]) ? responseOK(argu[0]) : responseNG(argu[0]);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0"})) {
            String smdDate = Support.Kernel.read(Support.Kernel.FAC_HW_PART_SMD_DATE, true);
            resData = (smdDate == null || smdDate.equals("")) ? responseString(argu[0], "NONE") : responseString(argu[0], smdDate);
        } else if (checkArgu(argu, new String[]{"2", "0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
            String smdDate2 = argu[3];
            if (Support.Kernel.writeNsync(Support.Kernel.FAC_HW_PART_SMD_DATE, smdDate2)) {
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
            if (!Support.Kernel.write(Support.Kernel.HWPARAM_SMD_DATE_PATH, smdDate2)) {
                String str = this.CLASS_NAME;
                FtUtil.log_e(str, "handleCommand", "write fail. setSMDDate=" + smdDate2);
            }
        } else if (checkArgu(argu, new String[]{"2", EgisFingerprint.MAJOR_VERSION, "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", argu[3]);
            String[] strArgu = argu[3].split(":");
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", strArgu[0]);
            resData = setHandWriteValue(strArgu[0], strArgu[1]) ? responseOK(argu[0]) : responseNG(argu[0]);
        } else {
            resData = responseNA();
        }
        return resData;
    }

    public void parseHwParamData() {
        FtUtil.log_d(this.CLASS_NAME, "parseHwParamData", "");
        new ParseHwparamThread(this.mHandler, this.context).start();
    }

    public void parseHwPartData() {
        FtUtil.log_d(this.CLASS_NAME, "parseHwParamData", "");
        new ParseHwpartThread(this.mHandler, this.context, this.mStrTranceiver, this.mStrRFPA).start();
    }

    public boolean setHandWriteValue(String _key, String _value) {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "setValue", "key : " + _key + " value : " + _value);
        if (Support.Kernel.isExistFile(Support.Kernel.FAC_HW_PART_INFORM_DATA)) {
            try {
                JSONObject objRoot = new JSONObject(Support.Kernel.readNsyncContinuous(Support.Kernel.FAC_HW_PART_INFORM_DATA, true).split("\n")[1]);
                JSONObject objHwPartInfo = (JSONObject) objRoot.get("PARTINFO");
                Iterator<String> iterPartInform = objHwPartInfo.keys();
                while (true) {
                    if (!iterPartInform.hasNext()) {
                        break;
                    }
                    String strKey = iterPartInform.next();
                    String str2 = this.CLASS_NAME;
                    FtUtil.log_d(str2, "backupHwPartInform", strKey + " " + objHwPartInfo.get(strKey));
                    if (_key.equals(strKey)) {
                        objHwPartInfo.put(strKey, _value);
                        break;
                    }
                }
                objRoot.put("PARTINFO", objHwPartInfo);
                StringBuilder output = new StringBuilder();
                output.append("[HEAD]\n");
                output.append(objRoot.toString() + "\n");
                output.append("[TAIL]\n");
                output.append(ModuleCommon.instance(this.context).createChecksum(objRoot.toString()));
                Support.Kernel.writeNsync(Support.Kernel.FAC_HW_PART_INFORM_DATA, output.toString());
                return true;
            } catch (Exception e) {
                FtUtil.log_e(e);
                return true;
            }
        } else {
            FtUtil.log_d(this.CLASS_NAME, "backupHwPartInform", "not exist file");
            return true;
        }
    }

    public void requestMIPIData() {
        if (Looper.myLooper() == null) {
            Looper.prepare();
        }
        new FactoryTestPhone(this.context, this.mHndIPC).requestRFMIPIData(1001);
    }

    public void setMIPIData(int[] _nMIPIData) {
        if (_nMIPIData.length != 12) {
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "setMIPIData", "fail - len : " + _nMIPIData.length);
            return;
        }
        this.mStrRFPA = String.format("0x%x,0x%x/0x%x,0x%x/0x%x,0x%x/0x%x,0x%x/0x%x,0x%x", Integer.valueOf(_nMIPIData[0]), Integer.valueOf(_nMIPIData[5]), Integer.valueOf(_nMIPIData[1]), Integer.valueOf(_nMIPIData[6]), Integer.valueOf(_nMIPIData[2]), Integer.valueOf(_nMIPIData[7]), Integer.valueOf(_nMIPIData[3]), Integer.valueOf(_nMIPIData[8]), Integer.valueOf(_nMIPIData[4]), Integer.valueOf(_nMIPIData[9]));
        this.mStrTranceiver = String.format("0x%x/0x%x", Integer.valueOf(_nMIPIData[10]), Integer.valueOf(_nMIPIData[11]));
        String str2 = this.CLASS_NAME;
        FtUtil.log_d(str2, "setMIPIData", "RFPA : " + this.mStrRFPA + " Tranc : " + this.mStrTranceiver);
    }
}
