package com.sec.factory.aporiented.athandler;

import android.content.Context;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.os.SystemProperties;
import com.sec.factory.aporiented.ResponseWriter;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class AtIfpmiccn extends AtCommandHandler {
    private static final int SYSFS_VALUE_CHECK = 5;
    private static final int SYSFS_VALUE_FAIL_FUELGAUGE = 3;
    private static final int SYSFS_VALUE_FAIL_USBC = 2;
    private static final int SYSFS_VALUE_FAIL_USBC_FUELGAUGE = 1;
    private static final int SYSFS_VALUE_SUCCESS = 0;
    private static final int SYSFS_VALUE_WIRTE_START = 4;
    private Handler mHandler = new Handler(Looper.getMainLooper()) {
        /* class com.sec.factory.aporiented.athandler.AtIfpmiccn.AnonymousClass1 */

        public void handleMessage(Message msg) {
            switch (msg.what) {
                case 4:
                    AtIfpmiccn.this.retryCount = 0;
                    FtUtil.log_d(AtIfpmiccn.this.CLASS_NAME, "handleMessage", "SYSFS_VALUE_WIRTE_START");
                    Support.Kernel.write(Support.Kernel.SHIP_MODE, EgisFingerprint.MAJOR_VERSION);
                    AtIfpmiccn.this.mHandler.sendEmptyMessageDelayed(5, 3000);
                    return;
                case 5:
                    FtUtil.log_d(AtIfpmiccn.this.CLASS_NAME, "handleMessage", "SYSFS_VALUE_CHECK");
                    if (EgisFingerprint.MAJOR_VERSION.equals(Support.Kernel.read(Support.Kernel.SHIP_MODE))) {
                        AtIfpmiccn.this.writer.write(AtIfpmiccn.this.responseOK("0"));
                        return;
                    } else if (AtIfpmiccn.this.retryCount < 5) {
                        AtIfpmiccn.access$008(AtIfpmiccn.this);
                        String str = AtIfpmiccn.this.CLASS_NAME;
                        FtUtil.log_d(str, "handleMessage", "retry: " + AtIfpmiccn.this.retryCount);
                        AtIfpmiccn.this.mHandler.sendEmptyMessageDelayed(5, 100);
                        return;
                    } else {
                        AtIfpmiccn.this.writer.write(AtIfpmiccn.this.responseNG("0"));
                        return;
                    }
                default:
                    return;
            }
        }
    };
    private int retryCount;

    static /* synthetic */ int access$008(AtIfpmiccn x0) {
        int i = x0.retryCount;
        x0.retryCount = i + 1;
        return i;
    }

    public AtIfpmiccn(Context context, ResponseWriter writer) {
        super(context);
        this.CMD_NAME = "IFPMICCN";
        this.CLASS_NAME = "AtIfpmiccn";
        this.NUM_ARGS = 4;
        this.writer = writer;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData = null;
        boolean isNoResponse = false;
        int firstApiLevel = SystemProperties.getInt("ro.product.first_api_level", 0);
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "handleCommand", "firstApiLevel:" + firstApiLevel);
        if (argu.length < this.NUM_ARGS) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", "0", EgisFingerprint.MAJOR_VERSION, "0"})) {
            if (FtUtil.isFactoryBinary() || firstApiLevel >= 28) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Release VBUS2BATT");
                if (Support.Kernel.write(Support.Kernel.FACTORYMODE_RELEASE_VBUS2BAT, EgisFingerprint.MAJOR_VERSION)) {
                    FtUtil.Sleep.sleep(100);
                    resData = responseOK(argu[0]);
                } else {
                    resData = responseNG(argu[0]);
                }
            } else {
                return responseNA();
            }
        } else if (checkArgu(argu, new String[]{"0", "0", EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
            if (!FtUtil.isFactoryBinary()) {
                return responseNA();
            }
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Setting Bypass mode disable");
            resData = Support.Kernel.write(Support.Kernel.BYPASS_MODE, "0") ? responseOK(argu[0]) : responseNG(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", "0", "2", "0"})) {
            if (FtUtil.isFactoryBinary() || firstApiLevel >= 28) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Setting Bypass + EN_BUCK off + EN_Core off");
                resData = Support.Kernel.write(Support.Kernel.FACTORYMODE_SET_BYPASS, EgisFingerprint.MAJOR_VERSION) ? responseOK(argu[0]) : responseNG(argu[0]);
            } else {
                return responseNA();
            }
        } else if (FtUtil.isFactoryBinary() && checkArgu(argu, new String[]{"0", "0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Set IF PMIC power to 4.2V");
            resData = Support.Kernel.write(Support.Kernel.SET_IFPMIC_POWER, "4200") ? responseOK(argu[0]) : responseNG(argu[0]);
        } else if (FtUtil.isFactoryBinary() && checkArgu(argu, new String[]{"0", "0", "4", "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Set IF PMIC power to 3.8V");
            resData = Support.Kernel.write(Support.Kernel.SET_IFPMIC_POWER, "3800") ? responseOK(argu[0]) : responseNG(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", "0", "5", "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "New Factory Mode Disable");
            resData = Support.Kernel.write(Support.Kernel.NEW_FACTORY_MODE_DISABLE, EgisFingerprint.MAJOR_VERSION) ? responseOK(argu[0]) : responseNG(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", "0", "5", EgisFingerprint.MAJOR_VERSION})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "SET JIGB NODE");
            resData = Support.Kernel.write(Support.Kernel.SET_JIGB_NODE, "DISABLE") ? responseOK(argu[0]) : responseNG(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", "0", "6", "0"})) {
            if (FtUtil.isFactoryBinary() || firstApiLevel >= 28) {
                isNoResponse = true;
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Set Ship Mode");
                this.mHandler.sendEmptyMessage(4);
            } else {
                return responseNA();
            }
        } else if (checkArgu(argu, new String[]{"0", "0", "7"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "SET SYSTEM VOLTAGE REGULATION(IF PMIC POWER)");
            String mVoltage = String.valueOf((int) (Float.parseFloat(argu[3]) * 1000.0f));
            String str2 = this.CLASS_NAME;
            FtUtil.log_d(str2, "handleCommand", "argu[3] : " + argu[3] + " / mVoltage : " + mVoltage);
            resData = Support.Kernel.write(Support.Kernel.SET_IFPMIC_POWER, mVoltage) ? responseOK(argu[0]) : responseNG(argu[0]);
        } else if (FtUtil.isFactoryBinary() && checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0", "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Check IF PMIC RAM BIST Test");
            if (Support.Kernel.isExistFile(Support.Kernel.PATH_IFPMIC_RAM_BIST)) {
                String value = Support.Kernel.read(Support.Kernel.PATH_IFPMIC_RAM_BIST);
                if (value != null) {
                    String str3 = this.CLASS_NAME;
                    FtUtil.log_d(str3, "handleCommand", "Check IF PMIC RAM BIST Test, value: " + value);
                    try {
                        int intValue = Integer.parseInt(value);
                        switch (intValue) {
                            case 0:
                                resData = responseOK(argu[0]);
                                break;
                            case 1:
                                resData = responseString(argu[0], "NG,CCIC,FGIC");
                                break;
                            case 2:
                                resData = responseString(argu[0], "NG,CCIC");
                                break;
                            case 3:
                                resData = responseString(argu[0], "NG,FGIC");
                                break;
                            default:
                                String str4 = this.CLASS_NAME;
                                FtUtil.log_d(str4, "handleCommand", "Check IF PMIC RAM BIST Test, Not defined NG case, intValue:" + intValue);
                                resData = responseNG(argu[0]);
                                break;
                        }
                    } catch (NumberFormatException ne) {
                        FtUtil.log_e(ne);
                        resData = responseNG(argu[0]);
                    }
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Check IF PMIC RAM BIST Test, value: null");
                    resData = responseNG(argu[0]);
                }
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Check IF PMIC RAM BIST Test, Not exist sysfs");
                resData = responseString(argu[0], "NA");
            }
        } else if (!FtUtil.isFactoryBinary() || !checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0", EgisFingerprint.MAJOR_VERSION})) {
            if (checkArgu(argu, new String[]{"0", "0", egis.optical.client.api.EgisFingerprint.JAR_VERSION, "0"})) {
                resData = Support.Kernel.writeNsync(Support.Kernel.SS_FACTORY, EgisFingerprint.MAJOR_VERSION) ? responseOK(argu[0]) : responseNG(argu[0]);
            } else if (checkArgu(argu, new String[]{"0", "0", egis.optical.client.api.EgisFingerprint.JAR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
                resData = Support.Kernel.writeNsync(Support.Kernel.SS_FACTORY, "0") ? responseOK(argu[0]) : responseNG(argu[0]);
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0", "2"})) {
                String ssFactory = Support.Kernel.read(Support.Kernel.SS_FACTORY);
                resData = (ssFactory == null || "".equals(ssFactory)) ? responseNG(argu[0]) : responseString(argu[0], ssFactory);
            }
        } else if (Support.Kernel.isExistFile(Support.Kernel.PATH_IFPMIC_VBUS_ADC)) {
            String value2 = Support.Kernel.read(Support.Kernel.PATH_IFPMIC_VBUS_ADC);
            if (value2 != null) {
                String str5 = this.CLASS_NAME;
                FtUtil.log_d(str5, "handleCommand", "IF PMIC vBUS ADC read, value: " + value2);
                resData = responseString(argu[0], value2);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "IF PMIC vBUS ADC read, value: null");
                resData = responseNG(argu[0]);
            }
        } else {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "IF PMIC vBUS ADC read, Not exist sysfs");
            resData = responseNG(argu[0]);
        }
        if (resData == null && !isNoResponse) {
            resData = responseNA();
        }
        return resData;
    }
}
