package com.sec.factory.aporiented.athandler;

import android.content.Context;
import android.support.v4.media.session.PlaybackStateCompat;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class AtImemtest extends AtCommandHandler {
    public AtImemtest(Context context) {
        super(context);
        this.CMD_NAME = "IMEMTEST";
        this.CLASS_NAME = "AtImemtest";
        this.NUM_ARGS = 2;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        long internalSize;
        float totalSize;
        String resData = null;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION})) {
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,1", "N/A - NOT registerd index"));
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "4"})) {
            String str2 = this.CLASS_NAME;
            FtUtil.log_d(str2, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,4", "Inner Memory Size Full Read"));
            long systemSize = mModuleDevice.getAvailableSize(2, 1024);
            long internalSize2 = mModuleDevice.getAvailableSize(0, 1024);
            long totalsystemSize = mModuleDevice.getSize(2, 1024);
            String backupSizeStr = Support.Properties.get(Support.Properties.BACKUP_INTERNEL_MEMORY_SIZE);
            if (!Support.Properties.PROPERTIES_DEFAULT_STRING.equalsIgnoreCase(backupSizeStr)) {
                long backupMemorySize = Long.parseLong(backupSizeStr) / PlaybackStateCompat.ACTION_PLAY_FROM_MEDIA_ID;
                internalSize2 += backupMemorySize;
                String str3 = this.CLASS_NAME;
                FtUtil.log_d(str3, "handleCommand", "backup size : " + backupMemorySize);
            }
            if (Support.Feature.getBoolean(Support.Feature.NEED_IMEM_CHECK_DEVICESIZE)) {
                internalSize = internalSize2;
                float totalSize2 = (float) ((long) (((float) mModuleDevice.getInnerMemoryDevSize(1024)) / 1048576.0f));
                if (totalSize2 <= 4.0f) {
                    totalSize = 4.0f;
                } else if (totalSize2 <= 8.0f) {
                    totalSize = 8.0f;
                } else if (totalSize2 <= 16.0f) {
                    totalSize = 16.0f;
                } else if (totalSize2 <= 32.0f) {
                    totalSize = 32.0f;
                } else if (totalSize2 <= 64.0f) {
                    totalSize = 64.0f;
                } else if (totalSize2 <= 128.0f) {
                    totalSize = 128.0f;
                } else if (totalSize2 <= 256.0f) {
                    totalSize = 256.0f;
                } else if (totalSize2 <= 512.0f) {
                    totalSize = 512.0f;
                } else if (totalSize2 <= 1024.0f) {
                    totalSize = 1024.0f;
                } else if (totalSize2 <= 1536.0f) {
                    totalSize = 1536.0f;
                } else if (totalSize2 <= 2048.0f) {
                    totalSize = 2048.0f;
                } else if (totalSize2 <= 3072.0f) {
                    totalSize = 3072.0f;
                } else if (totalSize2 <= 4096.0f) {
                    totalSize = 4096.0f;
                } else {
                    totalSize = 5120.0f;
                }
            } else {
                internalSize = internalSize2;
                float totalSize3 = (((float) mModuleDevice.getSize(0, 1024)) + ((float) totalsystemSize)) / 1048576.0f;
                if (totalSize3 <= 4.0f) {
                    totalSize = 4.0f;
                } else if (totalSize3 <= 8.0f) {
                    totalSize = 8.0f;
                } else if (totalSize3 <= 16.0f) {
                    totalSize = 16.0f;
                } else if (totalSize3 <= 32.0f) {
                    totalSize = 32.0f;
                } else if (totalSize3 <= 64.0f) {
                    totalSize = 64.0f;
                } else if (totalSize3 <= 128.0f) {
                    totalSize = 128.0f;
                } else if (totalSize3 <= 256.0f) {
                    totalSize = 256.0f;
                } else if (totalSize3 <= 512.0f) {
                    totalSize = 512.0f;
                } else if (totalSize3 <= 1024.0f) {
                    totalSize = 1024.0f;
                } else if (totalSize3 <= 1536.0f) {
                    totalSize = 1536.0f;
                } else if (totalSize3 <= 2048.0f) {
                    totalSize = 2048.0f;
                } else if (totalSize3 <= 3072.0f) {
                    totalSize = 3072.0f;
                } else if (totalSize3 <= 4096.0f) {
                    totalSize = 4096.0f;
                } else {
                    totalSize = 5120.0f;
                }
            }
            String str4 = argu[0];
            resData = responseString(str4, Integer.toString((int) totalSize) + "," + systemSize + "," + internalSize);
        } else {
            resData = responseNA();
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "N/A - NOT registerd index"));
        }
        return resData;
    }
}
