package com.sec.factory.aporiented.athandler;

import android.content.Context;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class AtInittest extends AtCommandHandler {
    private static final String CSC_BOOT_COM = "factory.csc.boot";
    private static final String CSC_BOOT_COM_NAME = "factory.csc.boot.name";
    private static final String CSC_MODEM_SET = "factory.csc.modem";
    private static final String CSC_MODEM_SET_NAME = "factory.csc.modem.name";
    private Context mContext;

    public AtInittest(Context context) {
        super(context);
        this.CMD_NAME = "INITTEST";
        this.CLASS_NAME = "AtInittest";
        this.NUM_ARGS = 3;
        this.mContext = context;
    }

    private int isCscModemSet() {
        int setResult = this.mContext.getSharedPreferences(CSC_MODEM_SET_NAME, 0).getInt(CSC_MODEM_SET, 0);
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "isCscModemSet", "setResult : " + setResult);
        return setResult;
    }

    private int isCscBootCompleted() {
        int BootResult = this.mContext.getSharedPreferences(CSC_BOOT_COM_NAME, 0).getInt(CSC_BOOT_COM, 0);
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "isCscBootCompleted", "BootResult : " + BootResult);
        return BootResult;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData = null;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0"})) {
            if ("factory".equalsIgnoreCase(Support.Properties.get(Support.Properties.BINARY_TYPE))) {
                resData = responseOK(argu[0]);
            } else if (isCscModemSet() == 1 && isCscBootCompleted() == 1) {
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"2"})) {
            FtUtil.log_i(this.CLASS_NAME, "handleCommand", "Not use");
        } else {
            resData = responseNA();
        }
        return resData;
    }
}
