package com.sec.factory.aporiented.athandler;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import com.sec.factory.aporiented.ResponseWriter;
import com.sec.factory.app.factorytest.MTVTunerTest;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;

public class AtIsdbtest extends AtCommandHandler {
    public static final String ACTION_ISDBT_FACTORY_TEST_RESULT = "action_isdbt_factory_test";
    private static final String BER_TAG = "BER";
    private static final String CN_TAG = "CN";
    private static final String DEFAULT_BER_JPN = "ber=500";
    private static final String DEFAULT_RSSI = "rssi=-57";
    private static final String DEFAULT_RSSI_JPN = "rssi=-85";
    public static final String EXTRA_ISDBT_FACTORY_TEST_RESULT = "factory_test_result";
    private static final String FRAMERATE1_TAG = "FRAMERATE1";
    private static final String FRAMERATE2_TAG = "FRAMERATE2";
    private static final int PASS_CN = 18;
    private static final int PASS_PER = 0;
    private static final String PER_TAG = "PER";
    private static final String RSSI_TAG = "RSSI";
    private static final String STATISTICS_FILE = "/data/one-seg/statistics";
    private static final int TYPE_BER = 2;
    private static final int TYPE_CN = 0;
    private static final int TYPE_FRAMERATE1 = 4;
    private static final int TYPE_FRAMERATE2 = 5;
    private static final int TYPE_PER = 3;
    private static final int TYPE_RSSI = 1;
    private boolean isTestFileExist = false;
    private String mCommand;
    public BroadcastReceiver mReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.aporiented.athandler.AtIsdbtest.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            String mAction = intent.getAction();
            String testResult = intent.getStringExtra(AtIsdbtest.EXTRA_ISDBT_FACTORY_TEST_RESULT);
            if (AtIsdbtest.ACTION_ISDBT_FACTORY_TEST_RESULT.equals(mAction) && testResult != null) {
                FtUtil.log_d(AtIsdbtest.this.CLASS_NAME, "onReceive", testResult);
                if ("PASS".equals(testResult)) {
                    AtIsdbtest.this.writer.write(AtIsdbtest.this.responseString(EgisFingerprint.MAJOR_VERSION, "OK"));
                } else if ("FAIL".equals(testResult)) {
                    ResponseWriter responseWriter = AtIsdbtest.this.writer;
                    AtIsdbtest atIsdbtest = AtIsdbtest.this;
                    responseWriter.write(atIsdbtest.responseString(EgisFingerprint.MAJOR_VERSION, atIsdbtest.getTestResultData()));
                }
            }
            AtIsdbtest atIsdbtest2 = AtIsdbtest.this;
            atIsdbtest2.stopReceiver(atIsdbtest2.mReceiver);
            context.sendBroadcast(new Intent("com.samsung.mobiletv.testmode.STOP"));
        }
    };
    private String mTestResult = null;

    public AtIsdbtest(Context context, ResponseWriter writer) {
        super(context);
        this.CMD_NAME = "ISDBTEST";
        this.CLASS_NAME = "AtIsdbtest";
        this.NUM_ARGS = 3;
        this.writer = writer;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private String getTestResultData() {
        int PASS_FRAMERATE = -1;
        String rssiStr = "";
        if ("".contains("enable")) {
            PASS_FRAMERATE = 21;
            rssiStr = Support.FactoryTestMenu.getExtra(54);
        }
        int PASS_RSSI = Integer.parseInt(rssiStr.substring(rssiStr.lastIndexOf("=") + 1));
        int PASS_BER = Integer.parseInt(DEFAULT_BER_JPN.substring(DEFAULT_BER_JPN.lastIndexOf("=") + 1));
        FtUtil.log_d(this.CLASS_NAME, "PASS_RSSI Spec = " + PASS_RSSI + " PASS_BER Spec = " + PASS_BER + " PASS_FRAMERATE = " + PASS_FRAMERATE);
        String temp = getStatistics(1);
        int rssi = temp != null ? Integer.parseInt(temp) : -100;
        String temp2 = getStatistics(3);
        int per = temp2 != null ? Integer.parseInt(temp2) : 65535;
        String temp3 = getStatistics(4);
        int frameRate2 = 0;
        int frameRate1 = temp3 != null ? Integer.parseInt(temp3) : 0;
        String temp4 = getStatistics(5);
        if (temp4 != null) {
            frameRate2 = Integer.parseInt(temp4);
        }
        if (!this.isTestFileExist) {
            return "NG";
        }
        this.mTestResult = rssi + "," + per + "," + frameRate1 + "," + frameRate2;
        if ("".contains("enable")) {
            boolean passed = false;
            if ("".contains("fullseg")) {
                if (per == 0 && rssi >= PASS_RSSI && frameRate1 >= PASS_FRAMERATE && frameRate2 >= PASS_FRAMERATE) {
                    passed = true;
                }
            } else if (rssi >= PASS_RSSI && 65535 <= PASS_BER) {
                passed = true;
            }
            if (passed) {
                return "OK";
            }
            String failReason = null;
            if (rssi < PASS_RSSI) {
                failReason = RSSI_TAG;
            } else if (per != 0) {
                failReason = PER_TAG;
            } else if (frameRate1 < PASS_FRAMERATE) {
                failReason = FRAMERATE1_TAG;
            } else if (frameRate2 < PASS_FRAMERATE) {
                failReason = FRAMERATE2_TAG;
            }
            return "NG_" + failReason;
        } else if (rssi >= PASS_RSSI && 65535 <= PASS_BER) {
            return "OK";
        } else {
            String failReason2 = null;
            if (rssi < PASS_RSSI) {
                failReason2 = RSSI_TAG;
            }
            if (65535 > PASS_BER) {
                failReason2 = failReason2 + BER_TAG;
            }
            return "NG_" + failReason2;
        }
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public void startReceiver() {
        IntentFilter mFilter = new IntentFilter();
        mFilter.addAction(ACTION_ISDBT_FACTORY_TEST_RESULT);
        this.context.registerReceiver(this.mReceiver, mFilter);
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        int pga;
        int lock;
        String mData;
        String resData = null;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", "0", "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "ISDB off start");
            if (new MTVTunerTest().nativeoneseg_mod_deinit() == 0) {
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "ISDB on start");
            if (new MTVTunerTest().nativeoneseg_mod_init() == 0) {
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", "2"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "set freq");
            this.mCommand = argu[2].substring(0, 6);
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "set freq " + this.mCommand);
            if (new MTVTunerTest().nativeoneseg_mod_settune(Integer.parseInt(this.mCommand)) == 0) {
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "BER read");
            int ber = new MTVTunerTest().nativeoneseg_mod_getsiginfo(1);
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "ber value : " + ber);
            resData = responseString(argu[0], Integer.toString(ber));
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "RSSI read");
            int rssi = new MTVTunerTest().nativeoneseg_mod_getsiginfo(0);
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "rssi value : " + rssi);
            if (rssi != 0) {
                resData = responseString(argu[0], Integer.toString(rssi));
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "5", "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "get multi func test result");
            if ("".contains("enable")) {
                String extra = null;
                int PASS_FRAMERATE = -1;
                if ("".contains("enable")) {
                    PASS_FRAMERATE = 21;
                    extra = Support.FactoryTestMenu.getExtra(54);
                }
                if (extra == null) {
                    extra = "".contains("enable") ? DEFAULT_RSSI : DEFAULT_RSSI_JPN;
                }
                int PASS_RSSI = Integer.parseInt(extra.substring(extra.lastIndexOf("=") + 1));
                FtUtil.log_d(this.CLASS_NAME, "PASS_RSSI Spec =" + PASS_RSSI);
                String temp = getStatistics(1);
                int rssi2 = temp != null ? Integer.parseInt(temp) : -100;
                String temp2 = getStatistics(3);
                int per = temp2 != null ? Integer.parseInt(temp2) : 65535;
                String temp3 = getStatistics(4);
                int frameRate1 = temp3 != null ? Integer.parseInt(temp3) : 0;
                String temp4 = getStatistics(5);
                int frameRate2 = temp4 != null ? Integer.parseInt(temp4) : 0;
                if (per != 0 || rssi2 < PASS_RSSI || frameRate1 < PASS_FRAMERATE || frameRate2 < PASS_FRAMERATE) {
                    mData = "NG,";
                } else {
                    mData = "OK,";
                }
                String mData2 = mData + rssi2 + "," + per + "," + frameRate1 + "," + frameRate2;
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "get multi func test result : " + mData2);
                resData = responseString(argu[0], mData2);
            } else {
                resData = responseNA();
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0"})) {
            if ("".contains("enable")) {
                String rssiStr = "";
                if ("".contains("enable")) {
                    rssiStr = Support.FactoryTestMenu.getExtra(54);
                }
                int PASS_RSSI2 = Integer.parseInt(rssiStr.substring(rssiStr.lastIndexOf("=") + 1));
                startReceiver();
                FtUtil.log_d(this.CLASS_NAME, "start MTV Tesmode", null);
                Intent i = new Intent();
                if ("".contains("enable")) {
                    i.setClassName("com.samsung.mobiletv", "com.samsung.mobiletv.testmode.MtvUiTestMode");
                } else {
                    i.setClassName("com.samsung.sec.mtv", "com.samsung.sec.mtv.ui.TestMode.MtvUiTestMode");
                }
                i.setFlags(335544320);
                i.putExtra("fromFactoryTest", true);
                i.putExtra("PASS_RSSI", PASS_RSSI2);
                this.context.startActivity(i);
            } else {
                resData = responseNA();
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "2", "0"})) {
            if ("".contains("enable")) {
                resData = responseString(argu[0], getTestResultData() + "," + this.mTestResult);
            } else {
                resData = responseNA();
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "6", "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "nativeTunerCheckChipStatus()");
            MTVTunerTest mMTVTunerTest = new MTVTunerTest();
            if (mMTVTunerTest.tunerCheckChipStatus() != 0) {
                int csf = mMTVTunerTest.getCSF();
                if (csf == -1 || (pga = mMTVTunerTest.getPGA()) == -1 || (lock = mMTVTunerTest.getLOCK()) == -1) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Load data is -1");
                    resData = responseNG(argu[0]);
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "tunerCheckChipStatus() success");
                    resData = responseString(argu[0], "OK," + csf + "," + pga + "," + lock);
                }
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "tunerCheckChipStatus() Load fail");
                resData = responseNG(argu[0]);
            }
        } else {
            resData = responseNA();
        }
        return resData;
    }

    private String getStatistics(int type) {
        String findingTag;
        int endIdx;
        String retStr = null;
        FileReader freader = null;
        BufferedReader bufferedReader = null;
        switch (type) {
            case 0:
                findingTag = CN_TAG;
                break;
            case 1:
                findingTag = RSSI_TAG;
                break;
            case 2:
                findingTag = BER_TAG;
                break;
            case 3:
                findingTag = PER_TAG;
                break;
            case 4:
                findingTag = FRAMERATE1_TAG;
                break;
            case 5:
                findingTag = FRAMERATE2_TAG;
                break;
            default:
                return null;
        }
        try {
            FileReader freader2 = new FileReader(STATISTICS_FILE);
            this.isTestFileExist = true;
            BufferedReader bufferedReader2 = new BufferedReader(freader2);
            String temp = bufferedReader2.readLine();
            while (true) {
                if (temp != null) {
                    int index = temp.indexOf(findingTag);
                    if (index >= 0) {
                        int startIdx = temp.indexOf("[", index);
                        if (startIdx >= 0 && (endIdx = temp.indexOf("]", startIdx)) >= 0 && endIdx > startIdx) {
                            retStr = temp.substring(startIdx + 1, endIdx);
                        }
                    } else {
                        temp = bufferedReader2.readLine();
                    }
                }
            }
            try {
                freader2.close();
            } catch (IOException e) {
                e.printStackTrace();
            }
            try {
                bufferedReader2.close();
            } catch (IOException e2) {
                e2.printStackTrace();
            }
        } catch (FileNotFoundException e3) {
            e3.printStackTrace();
            if (0 != 0) {
                try {
                    freader.close();
                } catch (IOException e4) {
                    e4.printStackTrace();
                }
            }
            if (0 != 0) {
                bufferedReader.close();
            }
        } catch (IOException e5) {
            e5.printStackTrace();
            if (0 != 0) {
                try {
                    freader.close();
                } catch (IOException e6) {
                    e6.printStackTrace();
                }
            }
            if (0 != 0) {
                bufferedReader.close();
            }
        } catch (Throwable th) {
            if (0 != 0) {
                try {
                    freader.close();
                } catch (IOException e7) {
                    e7.printStackTrace();
                }
            }
            if (0 != 0) {
                try {
                    bufferedReader.close();
                } catch (IOException e8) {
                    e8.printStackTrace();
                }
            }
            throw th;
        }
        return retStr;
    }
}
