package com.sec.factory.aporiented.athandler;

import android.content.Context;
import com.sec.factory.support.FtUtil;
import egis.client.api.EgisFingerprint;

public class AtKeyshort extends AtCommandHandler {
    public AtKeyshort(Context context) {
        super(context);
        this.CMD_NAME = "KEYSHORT";
        this.CLASS_NAME = "AtKeyshort";
        this.NUM_ARGS = 2;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (!checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0"})) {
            resData = responseNA();
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - NOT registerd index"));
        } else if (mModuleDevice.isKeyPress()) {
            resData = responseString(argu[0], "PRESS");
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,0", "Fail - PRESS"));
        } else {
            resData = responseString(argu[0], "RELEASE");
            String str2 = this.CLASS_NAME;
            FtUtil.log_d(str2, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,0", "Pass - RELEASE"));
        }
        return resData;
    }
}
