package com.sec.factory.aporiented.athandler;

import android.content.Context;
import egis.client.api.EgisFingerprint;

public class AtKeyulock extends AtCommandHandler {
    public AtKeyulock(Context context) {
        super(context);
        this.CMD_NAME = "KEYULOCK";
        this.CLASS_NAME = "AtKeyulock";
        this.NUM_ARGS = 2;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", "0"})) {
            mModuleCommon.setKeyLock(0);
            if (mModuleCommon.getKeyLockState() == 0) {
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION})) {
            mModuleCommon.setKeyLock(1);
            if (mModuleCommon.getKeyLockState() == 1) {
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        } else {
            resData = responseNA();
        }
        return resData;
    }
}
