package com.sec.factory.aporiented.athandler;

import android.content.Context;
import com.sec.factory.support.FtUtil;
import egis.client.api.EgisFingerprint;

public class AtKstringb extends AtCommandHandler {
    public AtKstringb(Context context) {
        super(context);
        this.CMD_NAME = "KSTRINGB";
        this.CLASS_NAME = "AtKstringb";
        this.NUM_ARGS = 2;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0"})) {
            String value = mModuleCommon.readKeyStringBlock();
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,0", "Read Keystring Block Status"));
            resData = responseString(argu[0], value);
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION})) {
            if (mModuleCommon.writeKeyStringBlock("ON")) {
                String str2 = this.CLASS_NAME;
                FtUtil.log_d(str2, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,1", "Pass - Keystring Block ON"));
                resData = responseOK(argu[0]);
            } else {
                String str3 = this.CLASS_NAME;
                FtUtil.log_d(str3, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,1", "Fail - Keystring Block ON"));
                resData = responseNG(argu[0]);
            }
        } else if (!checkArgu(argu, new String[]{"0", "0"}) || !FtUtil.isFactoryBinary()) {
            if (checkArgu(argu, new String[]{"0", "4"})) {
                if (mModuleCommon.writeFactoryMode("OFF")) {
                    String str4 = this.CLASS_NAME;
                    FtUtil.log_d(str4, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,4", "Pass - Set Factory Mode"));
                    resData = responseOK(argu[0]);
                } else {
                    String str5 = this.CLASS_NAME;
                    FtUtil.log_d(str5, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,4", "Fail - Set Factory Mode"));
                    resData = responseNG(argu[0]);
                }
            } else if (checkArgu(argu, new String[]{"0", "5"})) {
                if (mModuleCommon.writeFactoryMode("ON")) {
                    String str6 = this.CLASS_NAME;
                    FtUtil.log_d(str6, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,5", "Pass - Set User Mode"));
                    resData = responseOK(argu[0]);
                    int nResult = mModuleCommon.fsync();
                    String str7 = this.CLASS_NAME;
                    FtUtil.log_d(str7, "DoShellCmd", "sync result is " + nResult);
                } else {
                    String str8 = this.CLASS_NAME;
                    FtUtil.log_d(str8, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,5", "Fail - Set User Mode"));
                    resData = responseNG(argu[0]);
                }
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "2"})) {
                String value2 = mModuleCommon.readFactoryMode();
                String str9 = this.CLASS_NAME;
                FtUtil.log_d(str9, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,2", "Read Factory Mode"));
                resData = responseString(argu[0], value2);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - NOT registerd index"));
                resData = responseNA();
            }
        } else if (mModuleCommon.writeKeyStringBlock("OFF")) {
            String str10 = this.CLASS_NAME;
            FtUtil.log_d(str10, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,0", "Pass - Keystring Block OFF"));
            resData = responseOK(argu[0]);
        } else {
            String str11 = this.CLASS_NAME;
            FtUtil.log_d(str11, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,0", "Fail - Keystring Block OFF"));
            resData = responseNG(argu[0]);
        }
        return resData;
    }
}
