package com.sec.factory.aporiented.athandler;

import android.content.Context;
import android.media.MediaScannerConnection;
import android.net.Uri;
import android.os.Environment;
import com.google.common.primitives.UnsignedBytes;
import com.sec.factory.support.FtUtil;
import egis.client.api.EgisFingerprint;
import java.io.File;
import java.io.FileInputStream;
import java.io.InputStream;
import java.security.MessageDigest;
import java.util.Locale;

public class AtLduccsum extends AtCommandHandler {
    private Context mContext = this.context.getApplicationContext();

    public AtLduccsum(Context context) {
        super(context);
        this.CMD_NAME = "LDUCCSUM";
        this.CLASS_NAME = "AtLduccsum";
        this.NUM_ARGS = 3;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String result;
        String result2;
        String result3;
        File file;
        String filePath;
        String resData;
        String resultCheckSum;
        Exception e;
        String resData2 = null;
        int i = 1;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        char c = 0;
        if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0"})) {
            String filePath2 = Environment.getExternalStorageDirectory().getAbsolutePath() + "/Download";
            ScanFolder(filePath2);
            File file2 = new File(filePath2);
            File[] childFileList = file2.listFiles();
            if (childFileList != null) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Files count : " + childFileList.length);
                if (childFileList.length == 0) {
                    result3 = "NONE,";
                } else {
                    result3 = "OK,";
                    int length = childFileList.length;
                    int i2 = 0;
                    while (i2 < length) {
                        File childFile = childFileList[i2];
                        if (childFile.isDirectory()) {
                            resData = resData2;
                            filePath = filePath2;
                            file = file2;
                        } else {
                            Locale locale = Locale.US;
                            Object[] objArr = new Object[i];
                            objArr[c] = childFile.getName();
                            String filename = String.format(locale, "%s", objArr);
                            long filesize = childFile.length();
                            String str = this.CLASS_NAME;
                            StringBuilder sb = new StringBuilder();
                            resData = resData2;
                            sb.append("Name : ");
                            sb.append(filename);
                            sb.append(" / Size : ");
                            sb.append(filesize);
                            FtUtil.log_d(str, "handleCommand", sb.toString());
                            String result4 = result3 + filename + "," + filesize + ",";
                            int countOf50MB = 0;
                            String resultCheckSum2 = "";
                            try {
                                StringBuilder sb2 = new StringBuilder();
                                sb2.append(filePath2);
                                try {
                                    sb2.append("/");
                                    sb2.append(childFile.getName());
                                    InputStream input = new FileInputStream(sb2.toString());
                                    byte[] buffer = new byte[1024];
                                    MessageDigest md5Hash = MessageDigest.getInstance("MD5");
                                    int countOf50MB2 = 0;
                                    filePath = filePath2;
                                    int numRead = 0;
                                    while (true) {
                                        file = file2;
                                        if (numRead == -1) {
                                            break;
                                        } else if (countOf50MB2 < 51200) {
                                            try {
                                                numRead = input.read(buffer);
                                                countOf50MB2++;
                                                if (numRead > 0) {
                                                    md5Hash.update(buffer, 0, numRead);
                                                }
                                                file2 = file;
                                            } catch (Exception e2) {
                                                e = e2;
                                                countOf50MB = countOf50MB2;
                                                resultCheckSum2 = resultCheckSum2;
                                                FtUtil.log_e(e);
                                                resultCheckSum = resultCheckSum2;
                                                result3 = (result4 + resultCheckSum) + ",";
                                                i2++;
                                                resData2 = resData;
                                                filePath2 = filePath;
                                                file2 = file;
                                                c = 0;
                                                i = 1;
                                            }
                                        } else {
                                            try {
                                                input.skip(1021313024);
                                                countOf50MB2 = 0;
                                                buffer = buffer;
                                                file2 = file;
                                            } catch (Exception e3) {
                                                e = e3;
                                                countOf50MB = countOf50MB2;
                                                resultCheckSum2 = resultCheckSum2;
                                                FtUtil.log_e(e);
                                                resultCheckSum = resultCheckSum2;
                                                result3 = (result4 + resultCheckSum) + ",";
                                                i2++;
                                                resData2 = resData;
                                                filePath2 = filePath;
                                                file2 = file;
                                                c = 0;
                                                i = 1;
                                            }
                                        }
                                    }
                                    input.close();
                                    int i3 = 0;
                                    resultCheckSum = resultCheckSum2;
                                    for (byte[] md5Bytes = md5Hash.digest(); i3 < md5Bytes.length; md5Bytes = md5Bytes) {
                                        try {
                                            StringBuilder sb3 = new StringBuilder();
                                            sb3.append(resultCheckSum);
                                            sb3.append(Integer.toString((md5Bytes[i3] & UnsignedBytes.MAX_VALUE) + 256, 16).substring(1));
                                            resultCheckSum = sb3.toString();
                                            i3++;
                                            input = input;
                                        } catch (Exception e4) {
                                            e = e4;
                                            countOf50MB = countOf50MB2;
                                            resultCheckSum2 = resultCheckSum;
                                            FtUtil.log_e(e);
                                            resultCheckSum = resultCheckSum2;
                                            result3 = (result4 + resultCheckSum) + ",";
                                            i2++;
                                            resData2 = resData;
                                            filePath2 = filePath;
                                            file2 = file;
                                            c = 0;
                                            i = 1;
                                        }
                                    }
                                } catch (Exception e5) {
                                    e = e5;
                                    filePath = filePath2;
                                    file = file2;
                                    countOf50MB = 0;
                                    FtUtil.log_e(e);
                                    resultCheckSum = resultCheckSum2;
                                    result3 = (result4 + resultCheckSum) + ",";
                                    i2++;
                                    resData2 = resData;
                                    filePath2 = filePath;
                                    file2 = file;
                                    c = 0;
                                    i = 1;
                                }
                            } catch (Exception e6) {
                                e = e6;
                                filePath = filePath2;
                                file = file2;
                                FtUtil.log_e(e);
                                resultCheckSum = resultCheckSum2;
                                result3 = (result4 + resultCheckSum) + ",";
                                i2++;
                                resData2 = resData;
                                filePath2 = filePath;
                                file2 = file;
                                c = 0;
                                i = 1;
                            }
                            result3 = (result4 + resultCheckSum) + ",";
                        }
                        i2++;
                        resData2 = resData;
                        filePath2 = filePath;
                        file2 = file;
                        c = 0;
                        i = 1;
                    }
                }
            } else {
                result3 = "NONE,";
            }
            result = responseString(argu[0], result3.substring(0, result3.length() - 1));
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", EgisFingerprint.MAJOR_VERSION})) {
            String filePath3 = Environment.getExternalStorageDirectory().getAbsolutePath() + "/Download";
            ScanFolder(filePath3);
            File[] childFileList2 = new File(filePath3).listFiles();
            if (childFileList2 != null) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Files count : " + childFileList2.length);
                if (childFileList2.length == 0) {
                    result2 = "NONE,";
                } else {
                    result2 = "OK,";
                    for (File childFile2 : childFileList2) {
                        if (!childFile2.isDirectory()) {
                            String filename2 = String.format(Locale.US, "%s", childFile2.getName());
                            long filesize2 = childFile2.length();
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Name : " + filename2 + " / Size : " + filesize2);
                            result2 = result2 + filename2 + "," + filesize2 + ",";
                        }
                    }
                }
            } else {
                result2 = "NONE,";
            }
            result = responseString(argu[0], result2.substring(0, result2.length() - 1));
        } else {
            result = responseNA();
        }
        return result;
    }

    private class MediaScanCompletedListner implements MediaScannerConnection.OnScanCompletedListener {
        private MediaScanCompletedListner() {
        }

        public void onScanCompleted(String path, Uri uri) {
            FtUtil.log_d(AtLduccsum.this.CLASS_NAME, "onScanCompleted", "onScanCompleted");
        }
    }

    private void ScanFolder(final String folderPath) {
        new Thread(new Runnable() {
            /* class com.sec.factory.aporiented.athandler.AtLduccsum.AnonymousClass1 */

            public void run() {
                try {
                    FtUtil.log_d(AtLduccsum.this.CLASS_NAME, "ScanFolder", "request to scan");
                    MediaScannerConnection.scanFile(AtLduccsum.this.mContext, new String[]{folderPath}, null, new MediaScanCompletedListner());
                } catch (Exception e) {
                    e.printStackTrace();
                }
            }
        }).start();
    }
}
