package com.sec.factory.aporiented.athandler;

import android.content.Context;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class AtLdustchk extends AtCommandHandler {
    static final String mFusing = "disable";
    static final String mNfusing = "unknown";

    public AtLdustchk(Context context) {
        super(context);
        this.CMD_NAME = "LDUSTCHK";
        this.CLASS_NAME = "AtLdustchk";
        this.NUM_ARGS = 4;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        String str = this.CLASS_NAME;
        FtUtil.log_e(str, "handleCommand", "cmd length : " + argu.length);
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0", "0"})) {
            String cpbootProp = Support.Properties.getProp("persist.sys.cpboot");
            if (cpbootProp.equals(mFusing)) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "PASS - CP FUSING"));
                resData = responseString(argu[0], "FUSE");
            } else if (cpbootProp.equals("unknown")) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "PASS - CP None-FUSING"));
                resData = responseString(argu[0], "NFUSE");
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - other property value"));
                resData = responseNG(argu[0]);
            }
        } else {
            resData = responseNA();
        }
        return resData;
    }
}
