package com.sec.factory.aporiented.athandler;

import android.content.Context;
import com.sec.factory.support.FtUtil;
import egis.client.api.EgisFingerprint;

public class AtLedctrlt extends AtCommandHandler {
    public AtLedctrlt(Context context) {
        super(context);
        this.CMD_NAME = "LEDCTRLT";
        this.CLASS_NAME = "AtLedctrlt";
        this.NUM_ARGS = 5;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", "0", "0"})) {
            if (mModuleDevice.turnOff4Led(ledNo(argu[3]))) {
                String str = this.CLASS_NAME;
                FtUtil.log_d(str, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,0", "Pass - LED Off"));
                resData = responseOK(argu[0]);
            } else {
                String str2 = this.CLASS_NAME;
                FtUtil.log_d(str2, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,0", "Fail - LED Off"));
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "0"})) {
            if (mModuleDevice.turnOn4Led(ledNo(argu[3]), argu[4], 1, 0)) {
                String str3 = this.CLASS_NAME;
                FtUtil.log_d(str3, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,1", "Pass - LED On"));
                resData = responseOK(argu[0]);
            } else {
                String str4 = this.CLASS_NAME;
                FtUtil.log_d(str4, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,1", "Fail - LED On"));
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", "2", "0", "0"})) {
            mModuleDevice.sendToPMSLEDControl(false);
            String str5 = this.CLASS_NAME;
            FtUtil.log_d(str5, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,1", "LED Test Mode Stop"));
            resData = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", "2", "0", EgisFingerprint.MAJOR_VERSION})) {
            mModuleDevice.sendToPMSLEDControl(true);
            String str6 = this.CLASS_NAME;
            FtUtil.log_d(str6, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,1", "LED Test Mode Start"));
            resData = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", "2", "0", "2", "0"})) {
            if (mModuleDevice.turnOnOff5GLogoLed(false)) {
                String str7 = this.CLASS_NAME;
                FtUtil.log_d(str7, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,2,0,2,0", "Pass - 5G Logo LED Off"));
                resData = responseOK(argu[0]);
            } else {
                String str8 = this.CLASS_NAME;
                FtUtil.log_d(str8, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,2,0,2,0", "Fail - 5G Logo LED Off"));
                resData = responseNG(argu[0]);
            }
        } else if (!checkArgu(argu, new String[]{"0", "2", "0", "2", EgisFingerprint.MAJOR_VERSION})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - NOT registered index"));
            resData = responseNA();
        } else if (mModuleDevice.turnOnOff5GLogoLed(true)) {
            String str9 = this.CLASS_NAME;
            FtUtil.log_d(str9, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,2,0,2,1", "Pass - 5G Logo LED On"));
            resData = responseOK(argu[0]);
        } else {
            String str10 = this.CLASS_NAME;
            FtUtil.log_d(str10, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,2,0,2,1", "Fail - 5G Logo LED On"));
            resData = responseNG(argu[0]);
        }
        return resData;
    }

    private int ledNo(String id) {
        String[] ids;
        int no = 0;
        for (String str : id.split("_")) {
            int b = Integer.parseInt(str);
            int c = 1;
            while (true) {
                b--;
                if (b == 0) {
                    break;
                }
                c *= 2;
            }
            no += c;
        }
        return no;
    }
}
