package com.sec.factory.aporiented.athandler;

import android.content.Context;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class AtLedlampt extends AtCommandHandler {
    int NUM_ARGS_HC = 0;

    public AtLedlampt(Context context) {
        super(context);
        this.CMD_NAME = "LEDLAMPT";
        this.CLASS_NAME = "AtLedlampt";
        this.NUM_ARGS = 2;
        this.NUM_ARGS_HC = 5;
    }

    public AtLedlampt(Context context, int commandType) {
        super(context);
        this.CMD_NAME = "LEDLAMPT";
        this.CLASS_NAME = "AtLedlampt";
        this.NUM_ARGS = 2;
        this.NUM_ARGS_HC = 5;
        this.mCommandType = commandType;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (argu.length == (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "2 count cmd"));
            if (checkArgu(argu, new String[]{"0", "0"})) {
                if (mModuleDevice.setLEDlamp(0)) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,0", "Pass - LED Off"));
                    resData = responseOK(argu[0]);
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,0", "Fail - LED Off"));
                    resData = responseNG(argu[0]);
                }
            } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION})) {
                ModuleDevice moduleDevice = mModuleDevice;
                ModuleDevice moduleDevice2 = mModuleDevice;
                moduleDevice.setLEDlamp(5);
                if (mModuleDevice.setLEDlamp(1)) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,1", "Pass - LED White On"));
                    resData = responseOK(argu[0]);
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,1", "Fail - LED White On"));
                    resData = responseNG(argu[0]);
                }
            } else if (checkArgu(argu, new String[]{"0", "2"})) {
                ModuleDevice moduleDevice3 = mModuleDevice;
                ModuleDevice moduleDevice4 = mModuleDevice;
                moduleDevice3.setLEDlamp(5);
                if (mModuleDevice.setLEDlamp(2)) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,2", "Pass - LED Red On"));
                    resData = responseOK(argu[0]);
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,2", "Fail - LED Red On"));
                    resData = responseNG(argu[0]);
                }
            } else if (checkArgu(argu, new String[]{"0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
                ModuleDevice moduleDevice5 = mModuleDevice;
                ModuleDevice moduleDevice6 = mModuleDevice;
                moduleDevice5.setLEDlamp(5);
                if (mModuleDevice.setLEDlamp(3)) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,3", "Pass - LED Green On"));
                    resData = responseOK(argu[0]);
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,3", "Fail - LED Green On"));
                    resData = responseNG(argu[0]);
                }
            } else if (checkArgu(argu, new String[]{"0", "4"})) {
                ModuleDevice moduleDevice7 = mModuleDevice;
                ModuleDevice moduleDevice8 = mModuleDevice;
                moduleDevice7.setLEDlamp(5);
                if (mModuleDevice.setLEDlamp(4)) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,4", "Pass - LED Blue On"));
                    resData = responseOK(argu[0]);
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,4", "Fail - LED Blue On"));
                    resData = responseNG(argu[0]);
                }
            } else if (!checkArgu(argu, new String[]{"0", "5"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - NOT registered index"));
                resData = responseNA();
            } else if (Support.Kernel.isExistFile("MOOD_LED_NODE")) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,5", "Pass - Smart Glow connected"));
                resData = responseOK(argu[0]);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,5", "Fail - Smart Glow disconnected"));
                resData = responseNG(argu[0]);
            }
            return resData;
        }
        if (argu.length == (STAGE_PARALLEL ? this.NUM_ARGS_HC + 1 : this.NUM_ARGS_HC)) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "5 count cmd"));
            if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
                if (argu[2].equals("0") || argu[2].equals(EgisFingerprint.MAJOR_VERSION)) {
                    String[] rgbString = argu[3].split("_");
                    if (rgbString.length == 3) {
                        try {
                            int r = Integer.parseInt(rgbString[0]);
                            int g = Integer.parseInt(rgbString[1]);
                            int b = Integer.parseInt(rgbString[2]);
                            String rgbHexaString = "0x" + String.format("%02X", Integer.valueOf(r)) + String.format("%02X", Integer.valueOf(g)) + String.format("%02X", Integer.valueOf(b));
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, " RGB Hex Data : " + rgbHexaString));
                            if (argu[4].equals(EgisFingerprint.MAJOR_VERSION)) {
                                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Turn on"));
                                ModuleDevice moduleDevice9 = mModuleDevice;
                                ModuleDevice moduleDevice10 = mModuleDevice;
                                if (moduleDevice9.turnOnColorLED(rgbHexaString, 0)) {
                                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Turn on success"));
                                    return responseOK(argu[0]);
                                }
                                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Turn on fail"));
                                return responseNA();
                            } else if (argu[4].equals("0")) {
                                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Turn off"));
                                if (mModuleDevice.turnOffColorLED()) {
                                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Turn off success"));
                                    return responseOK(argu[0]);
                                }
                                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Turn off fail"));
                                return responseNA();
                            } else {
                                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Turn on/off abnormal"));
                                return responseNA();
                            }
                        } catch (Exception e) {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, " RGB Parsing Exception " + e.toString()));
                            return responseNA();
                        }
                    } else {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, " RGB Data is abnormal"));
                        return responseNA();
                    }
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Not built in LED : " + argu[2]));
                    return responseNA();
                }
            } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "2"})) {
                ModuleDevice moduleDevice11 = mModuleDevice;
                int LED_COUNT = ModuleDevice.WHITELED_COUNT;
                int[] ledNoArray = new int[(LED_COUNT + 1)];
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "White Led info : " + argu[2]));
                try {
                    for (String s : argu[2].split("_")) {
                        ledNoArray[Integer.parseInt(s)] = 1;
                    }
                    try {
                        int brightness = Integer.parseInt(argu[4]);
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "White Led brightness : " + brightness));
                        if (brightness < 0 || 255 < brightness) {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "White Led wrong brightness "));
                            return responseNA();
                        }
                        if (ledNoArray[0] == 1) {
                            for (int i = 0; i < LED_COUNT; i++) {
                                if (mModuleDevice.turnOnWhiteLED(i, brightness)) {
                                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "All White LED Turn on : " + i));
                                } else {
                                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "All White LED Turn on fail" + i));
                                    return responseNA();
                                }
                            }
                        } else {
                            for (int i2 = 1; i2 <= LED_COUNT; i2++) {
                                if (ledNoArray[i2] == 1) {
                                    int realLEDId = i2 - 1;
                                    if (mModuleDevice.turnOnWhiteLED(realLEDId, brightness)) {
                                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "White LED Turn on : " + realLEDId));
                                    } else {
                                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "White LED Turn on fail" + realLEDId));
                                        return responseNA();
                                    }
                                }
                            }
                        }
                        return responseOK(argu[0]);
                    } catch (Exception e2) {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "White Led brightness Exception " + e2.toString()));
                        return responseNA();
                    }
                } catch (Exception e3) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "White Led info Exception " + e3.toString()));
                    return responseNA();
                }
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - NOT registered index"));
                return responseNA();
            }
        } else {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "cmd arg count error : " + argu.length));
            return responseNA();
        }
    }
}
