package com.sec.factory.aporiented.athandler;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.SystemProperties;
import android.text.TextUtils;
import com.sec.factory.aporiented.ResponseWriter;
import com.sec.factory.modules.ModuleSensor;
import com.sec.factory.modules.SensorDeviceInfo;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class AtLightest extends AtCommandHandler {
    public static boolean mIsRunningLowLightTest = false;
    private static String returnArgu;
    private final String FLIP_STATE_NORMAL = "0";
    private final String FLIP_STATE_SENSOR1 = EgisFingerprint.MAJOR_VERSION;
    private final String FLIP_STATE_SENSOR2 = "2";
    private final String FLIP_STATE_SENSOR3 = egis.optical.client.api.EgisFingerprint.MAJOR_VERSION;
    private final String INTENT_LIGHT_CAL_RESPONSE = "com.sec.factory.LIGHT_CAL_RESPONSE";
    private IntentFilter intentFilter = new IntentFilter();
    public BroadcastReceiver mReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.aporiented.athandler.AtLightest.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            AtLightest atLightest = AtLightest.this;
            atLightest.stopReceiver(atLightest.mReceiver);
            String action = intent.getAction();
            String str = AtLightest.this.CLASS_NAME;
            FtUtil.log_d(str, "onReceive", "action : " + action);
            if ("com.sec.factory.LIGHT_CAL_RESPONSE".equals(action)) {
                String extra_completed = intent.getStringExtra("completed");
                String extra_result = intent.getStringExtra("result");
                String str2 = AtLightest.this.CLASS_NAME;
                FtUtil.log_d(str2, "onReceive", "extra_completed : " + extra_completed);
                if ("OK".equalsIgnoreCase(extra_completed)) {
                    String str3 = AtLightest.this.CLASS_NAME;
                    FtUtil.log_d(str3, "onReceive", "extra_result : " + extra_result);
                    AtLightest.this.writer.write(AtLightest.this.responseString(AtLightest.returnArgu, extra_result));
                    return;
                }
                AtLightest.this.writer.write(AtLightest.this.responseNG(AtLightest.returnArgu));
            }
        }
    };
    private int[] mSensorID = null;
    private int mSensorID_LIGHT_CCT = -1;
    private int mSensorID_LIGHT_LUX = -1;
    private int mSensorID_LIGHT_RGB = -1;

    public AtLightest(Context context, ResponseWriter writer) {
        super(context);
        this.CMD_NAME = "LIGHTEST";
        this.CLASS_NAME = "AtLightest";
        this.NUM_ARGS = 2;
        this.writer = writer;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        int data;
        boolean z;
        int data2;
        int data3;
        int data4;
        int data5;
        int data6;
        String resData = null;
        int firstApiLevel = SystemProperties.getInt("ro.product.first_api_level", 0);
        FtUtil.log_d(this.CLASS_NAME, "handleCommand", "firstApiLevel:" + firstApiLevel);
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", "0"})) {
            if (!FtUtil.isFactoryBinary() && firstApiLevel < 28) {
                return responseNA();
            }
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Light sensor on"));
            if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, EgisFingerprint.MAJOR_VERSION);
            }
            mModuleSensor.SensorOff(this.mSensorID);
            this.mSensorID_LIGHT_LUX = ModuleSensor.ID_MANAGER_LIGHT;
            this.mSensorID_LIGHT_CCT = ModuleSensor.ID_MANAGER_LIGHT_CCT;
            int i = ModuleSensor.ID_FILE____LIGHT_RGBW;
            this.mSensorID_LIGHT_RGB = i;
            this.mSensorID = new int[]{this.mSensorID_LIGHT_LUX, this.mSensorID_LIGHT_CCT, i};
            mModuleSensor.SensorOn(this.mSensorID);
            int sensor_type = this.mSensorID_LIGHT_LUX;
            if (Support.Feature.getBoolean(Support.Feature.SUPPORT_LIGHT_CCT, false)) {
                sensor_type = this.mSensorID_LIGHT_CCT;
            }
            if (mModuleSensor.isSensorOn(sensor_type)) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "0,0 - Sensor On : OK");
                resData = responseOK(argu[0]);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - light sensor on fail"));
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION})) {
            if (!FtUtil.isFactoryBinary() && firstApiLevel < 28) {
                return responseNA();
            }
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Light sensor off"));
            if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, EgisFingerprint.MAJOR_VERSION);
            }
            mModuleSensor.SensorOff(this.mSensorID);
            if (mModuleSensor.isSensorOn(this.mSensorID_LIGHT_CCT)) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - light sensor off fail"));
                resData = responseNG(argu[0]);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "0,1 - Sensor Off : OK");
                resData = responseOK(argu[0]);
            }
            if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, "0");
            }
        } else if (FtUtil.isFactoryBinary() && checkArgu(argu, new String[]{"0", "2"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "start Image Test app"));
            if (Support.Kernel.isExistFile(Support.Kernel.LIGHT_SENSOR_IMAGE_TEST_RESULT)) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Delete result file"));
                Support.Kernel.deleteFile(Support.Kernel.LIGHT_SENSOR_IMAGE_TEST_RESULT);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "There is not result file"));
            }
            Intent i2 = new Intent();
            i2.setClassName("com.samsung.behinddisptest", "com.samsung.behinddisptest.MainActivity");
            i2.setFlags(335544320);
            this.context.startActivity(i2);
            FtUtil.Sleep.sleep(500);
            resData = responseOK(argu[0]);
        } else if (FtUtil.isFactoryBinary() && checkArgu(argu, new String[]{"0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Light sensor2 on"));
            if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, "2");
            }
            mModuleSensor.SensorOff(this.mSensorID);
            this.mSensorID_LIGHT_LUX = ModuleSensor.ID_MANAGER_LIGHT;
            this.mSensorID_LIGHT_CCT = ModuleSensor.ID_MANAGER_LIGHT_CCT;
            int i3 = ModuleSensor.ID_FILE____LIGHT_RGBW;
            this.mSensorID_LIGHT_RGB = i3;
            this.mSensorID = new int[]{this.mSensorID_LIGHT_LUX, this.mSensorID_LIGHT_CCT, i3};
            mModuleSensor.SensorOn(this.mSensorID);
            int sensor_type2 = this.mSensorID_LIGHT_LUX;
            if (Support.Feature.getBoolean(Support.Feature.SUPPORT_LIGHT_CCT, false)) {
                sensor_type2 = this.mSensorID_LIGHT_CCT;
            }
            if (mModuleSensor.isSensorOn(sensor_type2)) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "0,3 - Sensor2 On : OK");
                resData = responseOK(argu[0]);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - light sensor2 on fail"));
                resData = responseNG(argu[0]);
            }
        } else if (FtUtil.isFactoryBinary() && checkArgu(argu, new String[]{"0", "4"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Light sensor2 off"));
            if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, "2");
            }
            mModuleSensor.SensorOff(this.mSensorID);
            if (mModuleSensor.isSensorOn(this.mSensorID_LIGHT_CCT)) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - light sensor2 off fail"));
                resData = responseNG(argu[0]);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "0,4 - Sensor2 Off : OK");
                resData = responseOK(argu[0]);
            }
            if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, "0");
            }
        } else if (checkArgu(argu, new String[]{"0", "5"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Light sensor calibration"));
            returnArgu = argu[0];
            Intent intent = new Intent();
            IntentFilter intentFilter2 = new IntentFilter();
            intentFilter2.addAction("com.sec.factory.LIGHT_CAL_RESPONSE");
            this.context.registerReceiver(this.mReceiver, intentFilter2);
            intent.setClassName("com.sec.factory", "com.sec.factory.app.ui.UILightSensorCal");
            intent.setFlags(335544320);
            intent.putExtra("sensorNum", EgisFingerprint.MAJOR_VERSION);
            this.context.startActivity(intent);
        } else if (checkArgu(argu, new String[]{"0", "6"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Light sensor2 calibration"));
            returnArgu = argu[0];
            Intent intent2 = new Intent();
            IntentFilter intentFilter3 = new IntentFilter();
            intentFilter3.addAction("com.sec.factory.LIGHT_CAL_RESPONSE");
            this.context.registerReceiver(this.mReceiver, intentFilter3);
            intent2.setClassName("com.sec.factory", "com.sec.factory.app.ui.UILightSensorCal");
            intent2.setFlags(335544320);
            intent2.putExtra("sensorNum", "2");
            this.context.startActivity(intent2);
        } else if (FtUtil.isFactoryBinary() && checkArgu(argu, new String[]{"0", "7"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Light sensor3 calibration"));
            returnArgu = argu[0];
            Intent intent3 = new Intent();
            IntentFilter intentFilter4 = new IntentFilter();
            intentFilter4.addAction("com.sec.factory.LIGHT_CAL_RESPONSE");
            this.context.registerReceiver(this.mReceiver, intentFilter4);
            intent3.setClassName("com.sec.factory", "com.sec.factory.app.ui.UILightSensorCal");
            intent3.setFlags(335544320);
            intent3.putExtra("sensorNum", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION);
            this.context.startActivity(intent3);
        } else if (FtUtil.isFactoryBinary() && checkArgu(argu, new String[]{"0", "8"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Light sensor3 on"));
            if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION);
            }
            mModuleSensor.SensorOff(this.mSensorID);
            this.mSensorID_LIGHT_LUX = ModuleSensor.ID_MANAGER_LIGHT;
            this.mSensorID_LIGHT_CCT = ModuleSensor.ID_MANAGER_LIGHT_CCT;
            int i4 = ModuleSensor.ID_FILE____LIGHT_RGBW;
            this.mSensorID_LIGHT_RGB = i4;
            this.mSensorID = new int[]{this.mSensorID_LIGHT_LUX, this.mSensorID_LIGHT_CCT, i4};
            mModuleSensor.SensorOn(this.mSensorID);
            int sensor_type3 = this.mSensorID_LIGHT_LUX;
            if (Support.Feature.getBoolean(Support.Feature.SUPPORT_LIGHT_CCT, false)) {
                sensor_type3 = this.mSensorID_LIGHT_CCT;
            }
            if (mModuleSensor.isSensorOn(sensor_type3)) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "0,8 - Sensor3 On : OK");
                resData = responseOK(argu[0]);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - light sensor3 on fail"));
                resData = responseNG(argu[0]);
            }
        } else if (FtUtil.isFactoryBinary() && checkArgu(argu, new String[]{"0", egis.optical.client.api.EgisFingerprint.JAR_VERSION})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Light sensor3 off"));
            if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION);
            }
            mModuleSensor.SensorOff(this.mSensorID);
            if (mModuleSensor.isSensorOn(this.mSensorID_LIGHT_CCT)) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - light sensor3 off fail"));
                resData = responseNG(argu[0]);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "0,9 - Sensor3 Off : OK");
                resData = responseOK(argu[0]);
            }
            if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, "0");
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0"})) {
            if (!FtUtil.isFactoryBinary() && firstApiLevel < 28) {
                return responseNA();
            }
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Read Light sensor value (lux)"));
            if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, EgisFingerprint.MAJOR_VERSION);
            }
            if (mModuleSensor.isSensorOn(this.mSensorID_LIGHT_LUX)) {
                String[] result = mModuleSensor.getData(this.mSensorID_LIGHT_LUX);
                if (result != null) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "1,0 - Total Read : " + result[2]);
                    try {
                        data6 = (int) Float.parseFloat(result[2]);
                    } catch (Exception e) {
                        e.printStackTrace();
                        data6 = 0;
                    }
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "1,0 - Totaldata: " + data6);
                    resData = responseString(argu[0], "" + data6);
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - light sensor raw(LUX) data is null(need to check sensor manager)"));
                    resData = responseNG(argu[0]);
                }
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "1,0 - Total Read : NG (Sensor Off)");
                resData = responseNG(argu[0]);
            }
        } else if (!FtUtil.isFactoryBinary() || !checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
            if (FtUtil.isFactoryBinary() && checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "2"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Read Light sensor value (RGB)"));
                if (mModuleSensor.isSensorOn(this.mSensorID_LIGHT_RGB)) {
                    String[] result2 = mModuleSensor.getData(this.mSensorID_LIGHT_RGB);
                    if (result2 != null) {
                        String responseData = result2[2] + ',' + result2[3] + ',' + result2[4] + ',' + result2[5];
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", "1,2 - Totaldata: " + responseData);
                        resData = responseString(argu[0], responseData);
                    } else {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - light sensor raw data(RGB) is null(need to check sensor manager)"));
                        resData = responseNG(argu[0]);
                    }
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "1,2 - Total Read : NG (Sensor Off)");
                    resData = responseNG(argu[0]);
                }
            } else if (FtUtil.isFactoryBinary() && checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Read Light Raw Data"));
                if (Support.Kernel.isExistFile(Support.Kernel.LIGHT_SENSOR_IMAGE_TEST_RESULT)) {
                    String resultData = Support.Kernel.read(Support.Kernel.LIGHT_SENSOR_IMAGE_TEST_RESULT);
                    if (TextUtils.isEmpty(resultData)) {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Data File is null"));
                        resData = responseNG(argu[0]);
                    } else {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "resultData : " + resultData));
                        resData = responseString(argu[0], resultData);
                    }
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Data File Does not exist."));
                    resData = responseString(argu[0], "NONE");
                }
            } else if (FtUtil.isFactoryBinary() && checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "4"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Read Light sensor2 value (lux)"));
                if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                    Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, "2");
                }
                if (mModuleSensor.isSensorOn(this.mSensorID_LIGHT_LUX)) {
                    String[] result3 = mModuleSensor.getData(this.mSensorID_LIGHT_LUX);
                    if (result3 != null) {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", "1,4 - Total Read : " + result3[2]);
                        try {
                            data4 = (int) Float.parseFloat(result3[2]);
                        } catch (Exception e2) {
                            e2.printStackTrace();
                            data4 = 0;
                        }
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", "1,4 - Totaldata: " + data4);
                        resData = responseString(argu[0], "" + data4);
                    } else {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - light sensor2 raw(LUX) data is null(need to check sensor manager)"));
                        resData = responseNG(argu[0]);
                    }
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "1,4 - Total Read : NG (Sensor Off)");
                    resData = responseNG(argu[0]);
                }
            } else if (FtUtil.isFactoryBinary() && checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "5"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Read Light sensor3 value (lux)"));
                if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                    Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION);
                }
                if (mModuleSensor.isSensorOn(this.mSensorID_LIGHT_LUX)) {
                    String[] result4 = mModuleSensor.getData(this.mSensorID_LIGHT_LUX);
                    if (result4 != null) {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", "1,5 - Total Read : " + result4[2]);
                        try {
                            data3 = (int) Float.parseFloat(result4[2]);
                        } catch (Exception e3) {
                            e3.printStackTrace();
                            data3 = 0;
                        }
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", "1,5 - Totaldata: " + data3);
                        resData = responseString(argu[0], "" + data3);
                    } else {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - light sensor3 raw(LUX) data is null(need to check sensor manager)"));
                        resData = responseNG(argu[0]);
                    }
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "1,5 - Total Read : NG (Sensor Off)");
                    resData = responseNG(argu[0]);
                }
            } else if (FtUtil.isFactoryBinary() && checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Read Light sensor chip name"));
                String feature = SensorDeviceInfo.getSensorName(SensorDeviceInfo.TYPE_LIGHT, SensorDeviceInfo.TARGET_FILE);
                resData = feature != null ? responseString(argu[0], feature) : responseString(argu[0], "NONE");
            } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
                mIsRunningLowLightTest = true;
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Light sensor on"));
                if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                    Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, EgisFingerprint.MAJOR_VERSION);
                }
                mModuleSensor.SensorOff(this.mSensorID);
                this.mSensorID_LIGHT_LUX = ModuleSensor.ID_MANAGER_LIGHT;
                this.mSensorID_LIGHT_CCT = ModuleSensor.ID_MANAGER_LIGHT_CCT;
                int i5 = ModuleSensor.ID_FILE____LIGHT_RGBW;
                this.mSensorID_LIGHT_RGB = i5;
                this.mSensorID = new int[]{this.mSensorID_LIGHT_LUX, this.mSensorID_LIGHT_CCT, i5};
                mModuleSensor.SensorOn(this.mSensorID);
                int i6 = this.mSensorID_LIGHT_LUX;
                if (Support.Feature.getBoolean(Support.Feature.SUPPORT_LIGHT_CCT, false)) {
                    int i7 = this.mSensorID_LIGHT_CCT;
                }
                mModulePower.setLCDState(false);
                FtUtil.Sleep.sleep(1000);
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Read Light sensor value (lux)"));
                int avgLux = 0;
                boolean result5 = true;
                int i8 = 0;
                for (int i9 = 5; i8 < i9; i9 = 5) {
                    if (mModuleSensor.isSensorOn(this.mSensorID_LIGHT_LUX)) {
                        String[] strLux = mModuleSensor.getData(this.mSensorID_LIGHT_LUX);
                        if (strLux != null) {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "3,1 - Read : " + strLux[2]);
                            try {
                                data2 = (int) Float.parseFloat(strLux[2]);
                            } catch (Exception e4) {
                                e4.printStackTrace();
                                data2 = 0;
                            }
                            avgLux += data2;
                        } else {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - light sensor raw(LUX) data is null(need to check sensor manager)"));
                            result5 = false;
                        }
                    } else {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", "3,1 - Total Read : NG (Sensor Off)");
                        result5 = false;
                    }
                    i8++;
                }
                mModulePower.setLCDState(true);
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Light sensor off"));
                if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                    Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, EgisFingerprint.MAJOR_VERSION);
                }
                mModuleSensor.SensorOff(this.mSensorID);
                if (mModuleSensor.isSensorOn(this.mSensorID_LIGHT_CCT)) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - light sensor off fail"));
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Sensor Off : OK");
                }
                if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                    Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, "0");
                }
                if (result5) {
                    resData = responseString(argu[0], "OK," + (avgLux / 5));
                    z = false;
                } else {
                    z = false;
                    resData = responseNG(argu[0]);
                }
                mIsRunningLowLightTest = z;
            } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "2"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Light sensor on"));
                if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                    Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION);
                }
                mModuleSensor.SensorOff(this.mSensorID);
                this.mSensorID_LIGHT_LUX = ModuleSensor.ID_MANAGER_LIGHT;
                this.mSensorID_LIGHT_CCT = ModuleSensor.ID_MANAGER_LIGHT_CCT;
                int i10 = ModuleSensor.ID_FILE____LIGHT_RGBW;
                this.mSensorID_LIGHT_RGB = i10;
                this.mSensorID = new int[]{this.mSensorID_LIGHT_LUX, this.mSensorID_LIGHT_CCT, i10};
                mModuleSensor.SensorOn(this.mSensorID);
                int i11 = this.mSensorID_LIGHT_LUX;
                if (Support.Feature.getBoolean(Support.Feature.SUPPORT_LIGHT_CCT, false)) {
                    int i12 = this.mSensorID_LIGHT_CCT;
                }
                mModulePower.setLCDState(false);
                FtUtil.Sleep.sleep(1000);
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Read Light sensor value (lux)"));
                int avgLux2 = 0;
                boolean result6 = true;
                for (int i13 = 0; i13 < 5; i13++) {
                    if (mModuleSensor.isSensorOn(this.mSensorID_LIGHT_LUX)) {
                        String[] strLux2 = mModuleSensor.getData(this.mSensorID_LIGHT_LUX);
                        if (strLux2 != null) {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "3,2 - Read : " + strLux2[2]);
                            try {
                                data = (int) Float.parseFloat(strLux2[2]);
                            } catch (Exception e5) {
                                e5.printStackTrace();
                                data = 0;
                            }
                            avgLux2 += data;
                        } else {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - light sensor raw(LUX) data is null(need to check sensor manager)"));
                            result6 = false;
                        }
                    } else {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", "3,2 - Total Read : NG (Sensor Off)");
                        result6 = false;
                    }
                }
                mModulePower.setLCDState(true);
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Light sensor off"));
                if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                    Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, EgisFingerprint.MAJOR_VERSION);
                }
                mModuleSensor.SensorOff(this.mSensorID);
                if (mModuleSensor.isSensorOn(this.mSensorID_LIGHT_CCT)) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - light sensor off fail"));
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Sensor Off : OK");
                }
                if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                    Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, "0");
                }
                resData = result6 ? responseString(argu[0], "OK," + (avgLux2 / 5)) : responseNG(argu[0]);
            } else {
                resData = responseNA();
            }
        } else {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Read Light sensor value (CCT)"));
            if (mModuleSensor.isSensorOn(this.mSensorID_LIGHT_CCT)) {
                String[] result7 = mModuleSensor.getData(this.mSensorID_LIGHT_CCT);
                if (result7 != null) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "1,1 - Total Read : " + result7[2]);
                    try {
                        data5 = (int) Float.parseFloat(result7[2]);
                    } catch (Exception e6) {
                        e6.printStackTrace();
                        data5 = 0;
                    }
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "1,1 - Totaldata: " + data5);
                    resData = responseString(argu[0], "" + data5);
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - light sensor raw data(CCT) is null(need to check sensor manager)"));
                    resData = responseNG(argu[0]);
                }
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "1,1 - Total Read : NG (Sensor Off)");
                resData = responseNG(argu[0]);
            }
        }
        return resData;
    }
}
