package com.sec.factory.aporiented.athandler;

import android.content.Context;
import com.sec.xmldata.support.XMLDataStorage;
import egis.client.api.EgisFingerprint;

public class AtLinespec extends AtCommandHandler {
    public AtLinespec(Context context) {
        super(context);
        this.CMD_NAME = "LINESPEC";
        this.CLASS_NAME = "AtLinespec";
        this.NUM_ARGS = 2;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (argu.length < this.NUM_ARGS) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0"})) {
            resData = responseString(argu[0], mModuleDevice.readLineSpec());
        } else if (checkArgu(argu, new String[]{"2"})) {
            String value = argu[1];
            if (value != null) {
                mModuleDevice.writeLineSpec(value.replace("\"", ""));
                XMLDataStorage.instance().replaceLineSpec();
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
            mModuleDevice.deleteLineSpec();
            resData = responseOK(argu[0]);
        } else {
            resData = responseNA();
        }
        return resData;
    }
}
