package com.sec.factory.aporiented.athandler;

import android.bluetooth.BluetoothAdapter;
import android.content.Context;
import android.content.SharedPreferences;
import android.media.AudioManager;
import android.media.AudioRecord;
import android.support.v4.view.MotionEventCompat;
import com.goodix.fingerprint.BuildConfig;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.MicParallelTest;
import com.sec.factory.modules.ModuleAudio;
import com.sec.factory.modules.ModuleCommunicationService;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStreamReader;
import java.text.DecimalFormat;
import java.util.ArrayList;
import java.util.List;
import sec.audio.solution.FactoryRMS;

public class AtLooptest extends AtCommandHandler {
    public static final int INTERVAL = 5000;
    private boolean isBtPcmMode = false;
    private Context mContext;
    FactoryRMS mFactoryRMS;
    private SharedPreferences.Editor mPreferenceEditor;
    private SharedPreferences mPreferences;

    public AtLooptest(Context context) {
        super(context);
        this.CMD_NAME = "LOOPTEST";
        this.CLASS_NAME = "AtLoopback";
        this.NUM_ARGS = 3;
        this.mFactoryRMS = new FactoryRMS();
        this.mContext = context;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        int interval;
        int readCount;
        int skipCount;
        String resData;
        String resData2;
        String resData3;
        int recorderState;
        int recorderState2;
        String resData4 = null;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", "0", "0"})) {
            mModuleAudio.startLoopback(0, 1, false);
            resData4 = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", "0", EgisFingerprint.MAJOR_VERSION})) {
            mModuleAudio.startLoopback(1, 1, false);
            resData4 = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", "0", "2"})) {
            mModuleAudio.startLoopback(0, 0, false);
            resData4 = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", "0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
            if (mModuleCommon.isVoiceCapable()) {
                mModuleAudio.startLoopback(1, 0, false);
            } else if (!mModuleCommon.isVoiceCapable()) {
                if (Support.Feature.getBoolean(Support.Feature.SUPPORT_REALTIME_TYPE_FOR_WIFI, false)) {
                    mModuleAudio.startLoopback(1, 2, false);
                } else {
                    mModuleAudio.startLoopback(1, 3, false);
                }
            }
            resData4 = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", "0", "4"})) {
            mModuleAudio.startLoopback(4, 1, false);
            resData4 = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", "0", "5"})) {
            if (mModuleCommon.isVoiceCapable()) {
                mModuleAudio.startLoopback(4, 0, false);
            } else if (Support.Feature.getBoolean(Support.Feature.SUPPORT_REALTIME_TYPE_FOR_WIFI, false)) {
                mModuleAudio.startLoopback(4, 2, false);
            } else {
                mModuleAudio.startLoopback(4, 3, false);
            }
            resData4 = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", "0", "6"})) {
            FtUtil.log_i(this.CLASS_NAME, "handleCommand", "Not use");
        } else if (checkArgu(argu, new String[]{"0", "0", "7"})) {
            if (mModuleCommon.isVoiceCapable()) {
                mModuleAudio.startLoopback(3, 1, false);
            } else if (!mModuleCommon.isVoiceCapable()) {
                mModuleAudio.startLoopback(3, 3, false);
            }
            resData4 = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", "0", "8"})) {
            mModuleAudio.startLoopback(2, 0, false);
            resData4 = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", "0", egis.optical.client.api.EgisFingerprint.JAR_VERSION})) {
            if (mModuleCommon.isVoiceCapable()) {
                if (Support.Feature.getBoolean(Support.Feature.LOOPTEST_COMMAND_DUALMIC_EAR, false)) {
                    mModuleAudio.startLoopback(9, 4, false);
                } else {
                    mModuleAudio.startLoopback(3, 4, false);
                }
            } else if (Support.Feature.getBoolean(Support.Feature.SUPPORT_REALTIME_TYPE_FOR_WIFI, false)) {
                mModuleAudio.startLoopback(3, 2, false);
            } else {
                mModuleAudio.startLoopback(3, 3, false);
            }
            resData4 = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "0"})) {
            mModuleAudio.stopLoopback();
            resData4 = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
            if (mModuleCommon.isVoiceCapable()) {
                mModuleAudio.startLoopback(7, 4, false);
                FtUtil.log_i(this.CLASS_NAME, "MIC2_EAR_TYPE_PACKET");
            } else if (!mModuleCommon.isVoiceCapable()) {
                if (Support.Feature.getBoolean(Support.Feature.SUPPORT_REALTIME_TYPE_FOR_WIFI, false)) {
                    mModuleAudio.startLoopback(7, 2, false);
                    FtUtil.log_i(this.CLASS_NAME, "MIC2_EAR_TYPE_REALTIME");
                } else {
                    mModuleAudio.startLoopback(7, 3, false);
                    FtUtil.log_i(this.CLASS_NAME, "MIC2_EAR_TYPE_CODEC");
                }
            }
            resData4 = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "2"})) {
            if (mModuleCommon.isVoiceCapable()) {
                mModuleAudio.startLoopback(8, 4, false);
                FtUtil.log_i(this.CLASS_NAME, "MIC3_EAR_TYPE_PACKET");
            } else if (!mModuleCommon.isVoiceCapable()) {
                mModuleAudio.startLoopback(8, 3, false);
                FtUtil.log_i(this.CLASS_NAME, "MIC3_EAR_TYPE_CODEC");
            }
            resData4 = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "5"})) {
            if (Support.Feature.getBoolean(Support.Feature.SUPPORT_RCV_SPK_COMBINANTION)) {
                mModuleAudio.startLoopback(11, 0, false);
                FtUtil.log_i(this.CLASS_NAME, "MIC1_SPK2_TYPE_PACKET");
                resData4 = responseOK(argu[0]);
            } else {
                resData4 = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0"})) {
            resData4 = getRmsValueWhilePlayMedia(argu, 0);
        } else if (checkArgu(argu, new String[]{"0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
            resData4 = getRmsValueWhilePlayMedia(argu, 1);
        } else if (checkArgu(argu, new String[]{"0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "2"})) {
            resData4 = getRmsValueWhilePlayMedia(argu, 2);
        } else if (checkArgu(argu, new String[]{"0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "4"})) {
            if (mModuleAudio.getMicCount() == 1 || Support.Feature.getBoolean(Support.Feature.SUPPORT_SEPARATED_RECORD_PATH)) {
                recorderState2 = 2000;
            } else {
                recorderState2 = 2002;
            }
            int targetMic1 = 2000;
            if (containsTestCase(95, "SWAP_RMS_LR")) {
                targetMic1 = 2001;
            }
            if (mModuleAudio.getMicCount() > 0) {
                resData4 = responseString(argu[0], getRmsValueWithoutInput(recorderState2, targetMic1, -1));
            } else {
                resData4 = responseNA();
            }
        } else if (checkArgu(argu, new String[]{"0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "5"})) {
            if (Support.Feature.getBoolean(Support.Feature.SUPPORT_SEPARATED_RECORD_PATH)) {
                recorderState = 2001;
            } else {
                recorderState = 2002;
            }
            int targetMic12 = 2001;
            if (containsTestCase(95, "SWAP_RMS_LR")) {
                targetMic12 = 2000;
            }
            if (mModuleAudio.getMicCount() > 1) {
                resData4 = responseString(argu[0], getRmsValueWithoutInput(recorderState, targetMic12, -1));
            } else {
                resData4 = responseNA();
            }
        } else if (checkArgu(argu, new String[]{"0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "6"})) {
            int targetMic13 = 2003;
            if (containsTestCase(95, "SWAP_RMS_LR")) {
                targetMic13 = 2005;
            }
            if (mModuleAudio.getMicCount() > 1) {
                resData4 = responseString(argu[0], getRmsValueWithoutInput(2003, targetMic13, -1));
            } else {
                resData4 = responseNA();
            }
        } else if (checkArgu(argu, new String[]{"0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "7"})) {
            int targetMic14 = 2005;
            if (containsTestCase(95, "SWAP_RMS_LR")) {
                targetMic14 = 2003;
            }
            if (mModuleAudio.getMicCount() > 1) {
                resData4 = responseString(argu[0], getRmsValueWithoutInput(2005, targetMic14, -1));
            } else {
                resData4 = responseNA();
            }
        } else if (checkArgu(argu, new String[]{"0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.JAR_VERSION})) {
            int targetMic15 = 2000;
            int targetMic2 = 2001;
            if (containsTestCase(196, "SWAP_RMS_LR")) {
                targetMic15 = 2001;
                targetMic2 = 2000;
            }
            if (mModuleAudio.getMicCount() > 0) {
                resData4 = responseString(argu[0], getRmsValueWithoutInput(2002, targetMic15, targetMic2));
            } else {
                resData4 = responseNA();
            }
        } else if (checkArgu(argu, new String[]{"0", "4", EgisFingerprint.MAJOR_VERSION})) {
            this.isBtPcmMode = true;
            BluetoothAdapter mAdapter = BluetoothAdapter.getDefaultAdapter();
            AudioRecording recorder = new AudioRecording(this.context);
            if (mAdapter.semGetBluetoothFirmwareVersion().toUpperCase().contains("BCM")) {
                mModuleAudio.setParam("factory_test_loopback=on;factory_test_path=bt_bt;factory_test_type=realtime");
                mAdapter.configScoLoopback(true, 2);
            } else {
                mAdapter.configScoLoopback(true, 2);
                mModuleAudio.setParam("factory_test_loopback=on;factory_test_path=bt_bt;factory_test_type=realtime");
            }
            mModuleAudio.setStreamMusicVolume(100);
            try {
                if (Support.Path.isExistPath(Support.Path.SPEAKER_TEST_MEDIA)) {
                    mModuleAudio.playMedia(Support.Path.getPath(Support.Path.SPEAKER_TEST_MEDIA), true);
                } else {
                    mModuleAudio.playMedia(R.raw.over_the_horizon, true);
                }
            } catch (IOException e) {
                e.printStackTrace();
            }
            String btResult = recorder.startRecording(5000).split(",")[0];
            mModuleAudio.stopMedia();
            mModuleAudio.setParam("factory_test_loopback=off");
            mAdapter.configScoLoopback(false, 2);
            this.isBtPcmMode = false;
            resData4 = responseString(argu[0], btResult);
        } else if (checkArgu(argu, new String[]{"0", "5", "0"})) {
            int dropCount = Support.Feature.getInt(Support.Feature.LOOPTEST_COMMAND_DROP_COUNT);
            if (mModuleAudio.getMicCount() > 0) {
                AudioRecording recorder2 = new AudioRecording(this.context, true);
                recorder2.setRmsCount(3);
                recorder2.setRmsSkipCount(dropCount);
                if (mModuleAudio.getMicCount() == 1 || Support.Feature.getBoolean(Support.Feature.SUPPORT_SEPARATED_RECORD_PATH)) {
                    recorder2.STATE = 2000;
                } else {
                    recorder2.STATE = 2002;
                }
                recorder2.startRecordingForFreq();
                int targetMic = 2000;
                if (containsTestCase(95, "SWAP_RMS_LR")) {
                    targetMic = 2001;
                }
                ModuleAudio moduleAudio = mModuleAudio;
                ModuleAudio moduleAudio2 = mModuleAudio;
                moduleAudio.setAudioPath(0);
                mModuleAudio.setStreamMusicVolume(100);
                mModuleAudio.playMedia(R.raw.echo1000hz, true);
                String result = recorder2.getFreqValue(targetMic, 4000);
                mModuleAudio.stopMedia();
                if (!"NG".equalsIgnoreCase(result)) {
                    resData4 = responseString(argu[0], "OK," + EgisFingerprint.MAJOR_VERSION + "," + result);
                } else {
                    resData4 = responseNG(argu[0]);
                }
            } else {
                resData4 = responseNA();
            }
        } else if (checkArgu(argu, new String[]{"0", "5", EgisFingerprint.MAJOR_VERSION})) {
            int dropCount2 = Support.Feature.getInt(Support.Feature.LOOPTEST_COMMAND_DROP_COUNT);
            if (mModuleAudio.getMicCount() > 1) {
                AudioRecording recorder3 = new AudioRecording(this.context, true);
                recorder3.setRmsCount(3);
                recorder3.setRmsSkipCount(dropCount2);
                if (Support.Feature.getBoolean(Support.Feature.SUPPORT_SEPARATED_RECORD_PATH)) {
                    recorder3.STATE = 2001;
                } else {
                    recorder3.STATE = 2002;
                }
                recorder3.startRecordingForFreq();
                int targetMic3 = 2001;
                if (containsTestCase(95, "SWAP_RMS_LR")) {
                    targetMic3 = 2000;
                }
                ModuleAudio moduleAudio3 = mModuleAudio;
                ModuleAudio moduleAudio4 = mModuleAudio;
                moduleAudio3.setAudioPath(1);
                mModuleAudio.setStreamMusicVolume(100);
                mModuleAudio.playMedia(R.raw.echo1000hz, true);
                String result2 = recorder3.getFreqValue(targetMic3, 4000);
                mModuleAudio.stopMedia();
                if (!"NG".equalsIgnoreCase(result2)) {
                    resData4 = responseString(argu[0], "OK," + EgisFingerprint.MAJOR_VERSION + "," + result2);
                } else {
                    resData4 = responseNG(argu[0]);
                }
            } else {
                resData4 = responseNA();
            }
        } else if (checkArgu(argu, new String[]{"0", "6"})) {
            if (argu[2] != null) {
                String[] testStr = argu[2].split("_");
                if (testStr.length == 3) {
                    int interval2 = Integer.parseInt(testStr[0]);
                    int readCount2 = Integer.parseInt(testStr[1]);
                    int skipCount2 = Integer.parseInt(testStr[2]);
                    if (mModuleAudio.getMicCount() > 0) {
                        AudioRecording recorder4 = new AudioRecording(this.context, true);
                        recorder4.setReadInterval(interval2);
                        recorder4.setRmsCount(readCount2);
                        recorder4.setRmsSkipCount(skipCount2);
                        if (mModuleAudio.getMicCount() == 1 || Support.Feature.getBoolean(Support.Feature.SUPPORT_SEPARATED_RECORD_PATH)) {
                            recorder4.STATE = 2000;
                        } else {
                            recorder4.STATE = 2002;
                        }
                        recorder4.startRecordingForFreq();
                        int targetMic4 = 2000;
                        if (containsTestCase(95, "SWAP_RMS_LR")) {
                            targetMic4 = 2001;
                        }
                        String result3 = recorder4.getFreqValue(targetMic4, 10000);
                        if (!"NG".equalsIgnoreCase(result3)) {
                            resData4 = responseString(argu[0], "OK," + EgisFingerprint.MAJOR_VERSION + "," + result3);
                        } else {
                            resData4 = responseNG(argu[0]);
                        }
                    } else {
                        resData4 = responseNA();
                    }
                } else {
                    resData4 = responseNG(argu[0]);
                }
            } else {
                resData4 = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", "7"})) {
            if (argu[2] != null) {
                String[] testStr2 = argu[2].split("_");
                if (testStr2.length == 3) {
                    int interval3 = Integer.parseInt(testStr2[0]);
                    int readCount3 = Integer.parseInt(testStr2[1]);
                    int skipCount3 = Integer.parseInt(testStr2[2]);
                    if (mModuleAudio.getMicCount() > 0) {
                        AudioRecording recorder5 = new AudioRecording(this.context, true);
                        recorder5.setReadInterval(interval3);
                        recorder5.setRmsCount(readCount3);
                        recorder5.setRmsSkipCount(skipCount3);
                        if (Support.Feature.getBoolean(Support.Feature.SUPPORT_SEPARATED_RECORD_PATH)) {
                            recorder5.STATE = 2001;
                        } else {
                            recorder5.STATE = 2002;
                        }
                        recorder5.startRecordingForFreq();
                        int targetMic5 = 2001;
                        if (containsTestCase(95, "SWAP_RMS_LR")) {
                            targetMic5 = 2000;
                        }
                        String result4 = recorder5.getFreqValue(targetMic5, 10000);
                        if (!"NG".equalsIgnoreCase(result4)) {
                            resData4 = responseString(argu[0], "OK," + EgisFingerprint.MAJOR_VERSION + "," + result4);
                        } else {
                            resData4 = responseNG(argu[0]);
                        }
                    } else {
                        resData4 = responseNA();
                    }
                } else {
                    resData4 = responseNG(argu[0]);
                }
            } else {
                resData4 = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", "8"})) {
            if (argu[2] != null) {
                String[] testStr3 = argu[2].split("_");
                if (testStr3.length == 3) {
                    int interval4 = Integer.parseInt(testStr3[0]);
                    int readCount4 = Integer.parseInt(testStr3[1]);
                    int skipCount4 = Integer.parseInt(testStr3[2]);
                    if (mModuleAudio.getMicCount() > 0) {
                        AudioRecording recorder6 = new AudioRecording(this.context, true);
                        recorder6.setReadInterval(interval4);
                        recorder6.setRmsCount(readCount4);
                        recorder6.setRmsSkipCount(skipCount4);
                        recorder6.STATE = 2003;
                        recorder6.startRecordingForFreq();
                        String result5 = recorder6.getFreqValue(2003, 10000);
                        if (!"NG".equalsIgnoreCase(result5)) {
                            resData4 = responseString(argu[0], "OK," + EgisFingerprint.MAJOR_VERSION + "," + result5);
                        } else {
                            resData4 = responseNG(argu[0]);
                        }
                    } else {
                        resData4 = responseNA();
                    }
                } else {
                    resData4 = responseNG(argu[0]);
                }
            } else {
                resData4 = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", egis.optical.client.api.EgisFingerprint.JAR_VERSION})) {
            if (argu[2] != null) {
                String[] testStr4 = argu[2].split("_");
                if (testStr4.length == 4) {
                    int interval5 = Integer.parseInt(testStr4[0]);
                    int readCount5 = Integer.parseInt(testStr4[1]);
                    int skipCount5 = Integer.parseInt(testStr4[2]);
                    int rmsSwap = Integer.parseInt(testStr4[3]);
                    if (mModuleAudio.getMicCount() > 0) {
                        AudioRecording recorder7 = new AudioRecording(this.context, true);
                        recorder7.setReadInterval(interval5);
                        recorder7.setRmsCount(readCount5);
                        recorder7.setRmsSkipCount(skipCount5);
                        recorder7.STATE = 2002;
                        recorder7.startRecordingForFreq();
                        int targetMic16 = 2000;
                        int targetMic22 = 2001;
                        if (rmsSwap == 1) {
                            targetMic16 = 2001;
                            targetMic22 = 2000;
                        }
                        String result6 = recorder7.getFreqValue(targetMic16, 10000) + "," + recorder7.getFreqValue(targetMic22, 10000);
                        if (!"NG".equalsIgnoreCase(result6)) {
                            resData3 = responseString(argu[0], "OK," + EgisFingerprint.MAJOR_VERSION + "," + result6);
                        } else {
                            resData3 = responseNG(argu[0]);
                        }
                        resData4 = resData3;
                    } else {
                        resData4 = responseNA();
                    }
                } else {
                    resData4 = responseNG(argu[0]);
                }
            } else {
                resData4 = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0"})) {
            String result7 = readMicEchoDataFile(0);
            if (result7 != null) {
                resData4 = responseString(argu[0], result7);
            } else {
                resData4 = responseNA();
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", EgisFingerprint.MAJOR_VERSION})) {
            String result8 = readMicEchoDataFile(1);
            if (result8 != null) {
                resData4 = responseString(argu[0], result8);
            } else {
                resData4 = responseNA();
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
            String result9 = readMotorFreqGainData();
            if (result9 != null) {
                resData4 = responseString(argu[0], result9);
            } else {
                resData4 = responseString(argu[0], "NONE");
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "5"})) {
            String result10 = readMicDiffData();
            if (result10 != null) {
                resData4 = responseString(argu[0], result10);
            } else {
                resData4 = responseString(argu[0], "NONE");
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "6"})) {
            String result11 = readMicGainData();
            if (result11 != null) {
                resData4 = responseString(argu[0], result11);
            } else {
                resData4 = responseString(argu[0], "NONE");
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "7"})) {
            String result12 = this.mContext.getSharedPreferences("MIC_THD_CMD_RESULT", 0).getString("TEST_RESULT_DATA", null);
            if (result12 == null || result12.isEmpty()) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - Test data is null or empty"));
                resData4 = responseString(argu[0], "NONE");
            } else {
                resData4 = responseString(argu[0], "OK," + EgisFingerprint.MAJOR_VERSION + "," + result12);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "8"})) {
            String result13 = this.mContext.getSharedPreferences("MIC2_THD_CMD_RESULT", 0).getString("TEST_RESULT_DATA", null);
            if (result13 == null || result13.isEmpty()) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - Test data is null or empty"));
                resData4 = responseString(argu[0], "NONE");
            } else {
                resData4 = responseString(argu[0], "OK," + "2" + "," + result13);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, "0"})) {
            String result14 = readMicMuteData();
            if (result14 != null) {
                resData4 = responseString(argu[0], result14);
            } else {
                resData4 = responseString(argu[0], "NONE");
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
            String result15 = readMicEchoParallelData();
            if (result15 != null) {
                resData4 = responseString(argu[0], result15);
            } else {
                resData4 = responseString(argu[0], "NONE");
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, "2"})) {
            String result16 = readMicMuteParallelData();
            if (result16 != null) {
                resData4 = responseString(argu[0], result16);
            } else {
                resData4 = responseString(argu[0], "NONE");
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
            String result17 = readMicGainParallelData();
            if (result17 != null) {
                resData4 = responseString(argu[0], result17);
            } else {
                resData4 = responseString(argu[0], "NONE");
            }
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
            if (argu[2] != null) {
                String[] testStr5 = argu[2].split("_");
                if (testStr5.length == 3) {
                    int interval6 = Integer.parseInt(testStr5[0]);
                    int readCount6 = Integer.parseInt(testStr5[1]);
                    int skipCount6 = Integer.parseInt(testStr5[2]);
                    if (mModuleAudio.getMicCount() > 0) {
                        AudioRecording recorder8 = new AudioRecording(this.context, false);
                        recorder8.setReadInterval(interval6);
                        recorder8.setRmsCount(readCount6);
                        recorder8.setRmsSkipCount(skipCount6);
                        if (mModuleAudio.getMicCount() == 1 || Support.Feature.getBoolean(Support.Feature.SUPPORT_SEPARATED_RECORD_PATH)) {
                            recorder8.STATE = 2000;
                        } else {
                            recorder8.STATE = 2002;
                        }
                        recorder8.startRecordingForThd();
                        int targetMic6 = 2000;
                        if (containsTestCase(95, "SWAP_RMS_LR")) {
                            targetMic6 = 2001;
                        }
                        String result18 = recorder8.getThdValue(targetMic6, 10000);
                        SharedPreferences sharedPreferences = this.mContext.getSharedPreferences("MIC_THD_CMD_RESULT", 0);
                        this.mPreferences = sharedPreferences;
                        SharedPreferences.Editor edit = sharedPreferences.edit();
                        this.mPreferenceEditor = edit;
                        edit.putString("TEST_RESULT_DATA", result18);
                        this.mPreferenceEditor.commit();
                        if (!"NG".equalsIgnoreCase(result18)) {
                            resData2 = responseString(argu[0], "OK," + EgisFingerprint.MAJOR_VERSION + "," + result18);
                        } else {
                            resData2 = responseNG(argu[0]);
                        }
                    } else {
                        resData2 = responseNA();
                    }
                } else {
                    resData2 = responseNG(argu[0]);
                }
                resData4 = resData2;
            } else {
                resData4 = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "2"})) {
            if (argu[2] != null) {
                String[] testStr6 = argu[2].split("_");
                if (testStr6.length == 3) {
                    int interval7 = Integer.parseInt(testStr6[0]);
                    int readCount7 = Integer.parseInt(testStr6[1]);
                    int skipCount7 = Integer.parseInt(testStr6[2]);
                    if (mModuleAudio.getMicCount() >= 2) {
                        AudioRecording recorder9 = new AudioRecording(this.context, false);
                        recorder9.setReadInterval(interval7);
                        recorder9.setRmsCount(readCount7);
                        recorder9.setRmsSkipCount(skipCount7);
                        if (Support.Feature.getBoolean(Support.Feature.SUPPORT_SEPARATED_RECORD_PATH)) {
                            recorder9.STATE = 2001;
                        } else {
                            recorder9.STATE = 2002;
                        }
                        recorder9.startRecordingForThd();
                        int targetMic7 = 2001;
                        if (containsTestCase(95, "SWAP_RMS_LR")) {
                            targetMic7 = 2000;
                        }
                        String result19 = recorder9.getThdValue(targetMic7, 10000);
                        SharedPreferences sharedPreferences2 = this.mContext.getSharedPreferences("MIC2_THD_CMD_RESULT", 0);
                        this.mPreferences = sharedPreferences2;
                        SharedPreferences.Editor edit2 = sharedPreferences2.edit();
                        this.mPreferenceEditor = edit2;
                        edit2.putString("TEST_RESULT_DATA", result19);
                        this.mPreferenceEditor.commit();
                        if (!"NG".equalsIgnoreCase(result19)) {
                            resData = responseString(argu[0], "OK," + "2" + "," + result19);
                        } else {
                            resData = responseNG(argu[0]);
                        }
                    } else {
                        resData = responseNA();
                    }
                } else {
                    resData = responseNG(argu[0]);
                }
                resData4 = resData;
            } else {
                resData4 = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
            boolean readFail = false;
            String strData = null;
            int getCount = 10;
            if (argu[2] != null) {
                String[] testStr7 = argu[2].split("_");
                if (testStr7.length == 3) {
                    int interval8 = Integer.parseInt(testStr7[0]);
                    int readCount8 = Integer.parseInt(testStr7[1]);
                    int skipCount8 = Integer.parseInt(testStr7[2]);
                    ((AudioManager) this.context.getSystemService("audio")).setParameters("factory_test_mic_check=on");
                    MicParallelTest mMicParallelTest = new MicParallelTest(FactoryTestManager.TEST_MIC_GAIN_PARALLEL);
                    MicParallelTest.AudioRecording mAudioRecording = new MicParallelTest.AudioRecording(this.context);
                    int getCount2 = 0;
                    MicParallelTest.AudioPlayer mAudioPlayer = new MicParallelTest.AudioPlayer(this.context);
                    mMicParallelTest.setReadInterval(interval8);
                    mMicParallelTest.setReadCount(readCount8);
                    mMicParallelTest.setSkipCount(skipCount8);
                    int[] iArr = MicParallelTest.mAudioPath;
                    mAudioPlayer.setEnable(true);
                    mAudioPlayer.mModuleAudio.setMicPath(10);
                    MicParallelTest.mReadingRecorder = true;
                    mAudioRecording.startRecording();
                    while (true) {
                        if (!MicParallelTest.mReadingRecorder.booleanValue()) {
                            interval = interval8;
                            readCount = readCount8;
                            skipCount = skipCount8;
                            break;
                        }
                        try {
                            Thread.sleep((long) 50);
                            int getCount3 = getCount2 + 1;
                            if (getCount3 > (((readCount8 + skipCount8) * interval8) * 4) / 50) {
                                interval = interval8;
                                readCount = readCount8;
                                skipCount = skipCount8;
                                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - TimeOut"));
                                getCount2 = getCount3;
                                readFail = true;
                                break;
                            }
                            getCount2 = getCount3;
                            mAudioPlayer = mAudioPlayer;
                            getCount = getCount;
                            skipCount8 = skipCount8;
                        } catch (InterruptedException ie) {
                            interval = interval8;
                            readCount = readCount8;
                            skipCount = skipCount8;
                            FtUtil.log_e(ie);
                        }
                    }
                    if (!readFail) {
                        String strData2 = EgisFingerprint.MAJOR_VERSION + "," + MicParallelTest.mMicCount;
                        for (int micNum = 0; micNum < MicParallelTest.mMicCount; micNum++) {
                            strData2 = strData2 + ",M" + (micNum + 1);
                            for (int measureCnt = MicParallelTest.mSkipCount; measureCnt < MicParallelTest.mTotalCount; measureCnt++) {
                                for (int measureCase = 0; measureCase < MicParallelTest.mMeasureCase.length; measureCase++) {
                                    strData2 = strData2 + "," + ((int) MicParallelTest.mResultData[measureCnt][micNum][measureCase]);
                                }
                            }
                        }
                        strData = strData2;
                    }
                    mAudioRecording.stopRecording();
                } else {
                    responseNG(argu[0]);
                }
            }
            if (!readFail) {
                resData4 = responseString(argu[0], "OK," + strData);
            } else {
                resData4 = responseNG(argu[0]);
            }
        } else {
            resData4 = responseNA();
        }
        return resData4;
    }

    private String getRmsValueWithoutInput(int recorderState, int targetMic1, int targetMic2) {
        String str;
        int dropCount = Support.Feature.getInt(Support.Feature.LOOPTEST_COMMAND_DROP_COUNT);
        AudioRecording recorder = new AudioRecording(this.context);
        recorder.setRmsCount(3);
        recorder.setRmsSkipCount(dropCount);
        recorder.STATE = recorderState;
        recorder.startRecording();
        StringBuilder sb = new StringBuilder();
        sb.append(recorder.getRmsValue(targetMic1, 4000));
        if (targetMic2 == -1) {
            str = "";
        } else {
            str = "," + recorder.getRmsValue(targetMic2, 4000);
        }
        sb.append(str);
        return sb.toString();
    }

    private String getRmsValueWhilePlayMedia(String[] argu, int testMicNumber) {
        if (mModuleAudio.getMicCount() < testMicNumber + 1) {
            return responseNA();
        }
        if (containsTestCase(95, "SWAP_RMS_LR")) {
            if (testMicNumber == 0) {
                testMicNumber = 1;
            } else if (testMicNumber == 1) {
                testMicNumber = 0;
            }
        }
        mModuleAudio.setMicPath(testMicNumber);
        mModuleAudio.playMedia(R.raw.echo_test_signal__16k_stereo, true);
        String[] micGainAsRmsWithLeftRight = new AudioRecording(this.context).startRecording(5000).split(",");
        mModuleAudio.stopMedia();
        if (!micGainAsRmsWithLeftRight[0].equalsIgnoreCase(micGainAsRmsWithLeftRight[1])) {
            return responseNG(argu[0]);
        }
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "getRmsValueWhilePlayMedia", "checkResult pass = " + micGainAsRmsWithLeftRight[0]);
        return responseString(argu[0], micGainAsRmsWithLeftRight[0]);
    }

    public class AudioRecording {
        protected static final int AUDIO_FORMAT = 2;
        protected static final String AUDIO_PARAMETER_L_VALUE = "L_value=";
        protected static final String AUDIO_PARAMETER_R_VALUE = "R_value=";
        public static final int BIG_ENDIAN = 99998;
        protected static final int CHANNEL_CONFIG = 12;
        public static final int LITTLE_ENDIAN = 99999;
        public static final int MIC1 = 2000;
        public static final int MIC1MIC2 = 2002;
        public static final int MIC2 = 2001;
        public static final int MIC3 = 2003;
        public static final int MIC4 = 2005;
        public static final int MICNONE = -1;
        public static final int NUM_BAND = 5;
        protected static final int SAMPLE_RATE = 16000;
        public static final int UPDATE_RMS = 1000;
        protected String CLASS_NAME = "AtLooptest.AudioRecording";
        int[] Ch0_Freq_dB = null;
        int[] Ch1_Freq_dB = null;
        protected int DURATION_MIC_TEST_ON_OFF = 200;
        protected int FFT_SIZE = 2;
        protected int FRAME_SIZE = 0;
        short[] Input_buf = null;
        short[] LR_rms_dB = null;
        float[] LR_thd_pct = null;
        protected int RECODING_LOOP_CNT = Integer.MAX_VALUE;
        protected int SKIP_SAMPLING_CNT = 1;
        public int STATE = 2002;
        protected int audioSource = 5;
        byte[] buffer = null;
        protected AudioManager mAudioManager;
        protected int mBufferSize = 0;
        protected boolean mIsRecording = false;
        protected ArrayList<Integer> mMic1FreqList;
        protected ArrayList<Integer> mMic1RmsList;
        protected ArrayList<Float> mMic1ThdList;
        protected ArrayList<Float> mMic1ThdRmsList;
        protected ArrayList<Integer> mMic2FreqList;
        protected ArrayList<Integer> mMic2RmsList;
        protected ArrayList<Float> mMic2ThdList;
        protected ArrayList<Float> mMic2ThdRmsList;
        protected ArrayList<Integer> mMic3FreqList;
        protected ArrayList<Integer> mMic3RmsList;
        protected ArrayList<Float> mMic3ThdList;
        protected ArrayList<Float> mMic3ThdRmsList;
        protected ArrayList<Integer> mMic4RmsList;
        protected int mReadBytes = 0;
        protected AudioRecord mRecorder = null;
        public Thread mThread = null;
        String rms_str = null;

        AudioRecording(Context context) {
            this.mAudioManager = (AudioManager) context.getSystemService("audio");
            this.mMic1RmsList = new ArrayList<>();
            this.mMic2RmsList = new ArrayList<>();
            this.mMic3RmsList = new ArrayList<>();
            this.mMic4RmsList = new ArrayList<>();
            if (!AtLooptest.this.isBtPcmMode) {
                FtUtil.log_d(this.CLASS_NAME, "AudioRecording", "factory_test_mic_check=on");
                this.mAudioManager.setParameters("factory_test_mic_check=on");
            } else {
                FtUtil.log_d(this.CLASS_NAME, "AudioRecording", "BT PCM Mode on... so factory_test_mic_check param is not needed.");
            }
            int minBufferSize = AudioRecord.getMinBufferSize(SAMPLE_RATE, 12, 2);
            this.mBufferSize = minBufferSize;
            int i = minBufferSize * 5;
            this.mBufferSize = i;
            this.buffer = new byte[i];
            this.mRecorder = new AudioRecord(this.audioSource, SAMPLE_RATE, 12, 2, this.mBufferSize);
            this.mReadBytes = 0;
        }

        AudioRecording(Context context, boolean retFreqNotThd) {
            if (retFreqNotThd) {
                this.mAudioManager = (AudioManager) context.getSystemService("audio");
                this.mMic1FreqList = new ArrayList<>();
                this.mMic2FreqList = new ArrayList<>();
                this.mMic3FreqList = new ArrayList<>();
                FtUtil.log_d(this.CLASS_NAME, "AudioRecording", "factory_test_mic_check=on");
                this.mAudioManager.setParameters("factory_test_mic_check=on");
                this.FRAME_SIZE = AudioRecord.getMinBufferSize(SAMPLE_RATE, 12, 2);
                while (true) {
                    int i = this.FRAME_SIZE;
                    int i2 = this.FFT_SIZE;
                    if (i > i2) {
                        this.FFT_SIZE = i2 * 2;
                    } else {
                        int i3 = i * 4;
                        this.mBufferSize = i3;
                        this.buffer = new byte[i3];
                        this.Input_buf = new short[(i * 2)];
                        this.Ch0_Freq_dB = new int[5];
                        this.Ch1_Freq_dB = new int[5];
                        this.mRecorder = new AudioRecord(this.audioSource, SAMPLE_RATE, 12, 2, this.mBufferSize);
                        this.mReadBytes = 0;
                        return;
                    }
                }
            } else {
                this.mAudioManager = (AudioManager) context.getSystemService("audio");
                this.mMic1ThdList = new ArrayList<>();
                this.mMic2ThdList = new ArrayList<>();
                this.mMic3ThdList = new ArrayList<>();
                this.mMic1ThdRmsList = new ArrayList<>();
                this.mMic2ThdRmsList = new ArrayList<>();
                this.mMic3ThdRmsList = new ArrayList<>();
                FtUtil.log_d(this.CLASS_NAME, "AudioRecording", "factory_test_mic_check=on");
                this.mAudioManager.setParameters("factory_test_mic_check=on");
                this.mAudioManager.setParameters("factory_test_mic_check=thd");
                this.FRAME_SIZE = AudioRecord.getMinBufferSize(SAMPLE_RATE, 12, 2);
                while (true) {
                    int i4 = this.FRAME_SIZE;
                    int i5 = this.FFT_SIZE;
                    if (i4 > i5) {
                        this.FFT_SIZE = i5 * 2;
                    } else {
                        int i6 = i4 * 4;
                        this.mBufferSize = i6;
                        this.buffer = new byte[i6];
                        this.Input_buf = new short[(i4 * 2)];
                        this.LR_thd_pct = new float[2];
                        this.LR_rms_dB = new short[2];
                        this.mRecorder = new AudioRecord(this.audioSource, SAMPLE_RATE, 12, 2, this.mBufferSize);
                        this.mReadBytes = 0;
                        return;
                    }
                }
            }
        }

        /* access modifiers changed from: protected */
        public int getParameter(String keys, String target) {
            FtUtil.log_d(this.CLASS_NAME, "getParameter", "keys: " + keys);
            FtUtil.log_d(this.CLASS_NAME, "getParameter", "target: " + target);
            if (keys == null || keys.isEmpty() || target == null || target.isEmpty()) {
                return -1;
            }
            String param = ModuleCommunicationService.SMD_NOK;
            if (keys.contains(target)) {
                String[] values = keys.split(";");
                for (String value : values) {
                    if (value.startsWith(target)) {
                        param = value.replaceAll(target, "");
                    }
                }
            }
            FtUtil.log_d(this.CLASS_NAME, "getParameter", "target param: " + param);
            if (param == null) {
                return -1;
            }
            try {
                return Integer.parseInt(param);
            } catch (NumberFormatException ne) {
                FtUtil.log_e(ne);
                return -1;
            }
        }

        public void setRmsCount(int count) {
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "setRmsCount", "count: " + count);
            this.RECODING_LOOP_CNT = count;
        }

        public void setRmsSkipCount(int count) {
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "setRmsSkipCount", "count: " + count);
            this.SKIP_SAMPLING_CNT = count;
        }

        public void setReadInterval(int time) {
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "setReadInterval", "time: " + time);
            this.DURATION_MIC_TEST_ON_OFF = time;
        }

        public String getRMS() {
            String value = this.mAudioManager.getParameters("rms_value");
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "getRMS", "value: " + value);
            return value;
        }

        public short[] getRMSValue(byte[] data, int size) {
            if (AtLooptest.this.mFactoryRMS == null) {
                FtUtil.log_w(this.CLASS_NAME, "getRMS", "mFactoryRMS is null");
                return null;
            } else if (data == null || size <= 0) {
                FtUtil.log_w(this.CLASS_NAME, "getRMS", "data is null or size is lower than 0");
                return null;
            } else {
                String str = this.CLASS_NAME;
                FtUtil.log_d(str, "getRMS", "data length = " + data.length + ", size = " + size);
                AtLooptest.this.mFactoryRMS.Calc_RMS_init(size);
                AtLooptest.this.mFactoryRMS.Calc_RMS_exe(data, size);
                short[] lr = new short[2];
                AtLooptest.this.mFactoryRMS.Calc_RMS_deinit(lr);
                String str2 = this.CLASS_NAME;
                FtUtil.log_d(str2, "getRMS", "Ch0=" + ((int) lr[0]) + ", Ch1=" + ((int) lr[1]));
                return lr;
            }
        }

        public void getFreqValue(byte[] data, int size) {
            if (AtLooptest.this.mFactoryRMS == null) {
                FtUtil.log_w(this.CLASS_NAME, "getFreqValue", "mFactoryRMS is null");
            } else if (data == null || size <= 0) {
                FtUtil.log_w(this.CLASS_NAME, "getFreqValue", "data is null or size is lower than 0");
            } else {
                String str = this.CLASS_NAME;
                FtUtil.log_d(str, "getFreqValue", "data length = " + data.length + ", size = " + size);
                AtLooptest.this.mFactoryRMS.Calc_FREQ_init(this.FRAME_SIZE, this.FFT_SIZE, null);
                byte[] tmp = new byte[2];
                for (int i = 0; i < data.length / 2; i++) {
                    tmp[0] = data[i * 2];
                    tmp[1] = data[(i * 2) + 1];
                    this.Input_buf[i] = BytesToShort(tmp, 99999);
                }
                AtLooptest.this.mFactoryRMS.Calc_CenterFreq_Eng_exe(this.Input_buf, this.FRAME_SIZE * 2, this.FFT_SIZE, SAMPLE_RATE);
                AtLooptest.this.mFactoryRMS.Calc_FREQ_deinit(this.Ch0_Freq_dB, this.Ch1_Freq_dB);
            }
        }

        public void getThdValue(byte[] data, int size) {
            if (AtLooptest.this.mFactoryRMS == null) {
                FtUtil.log_w(this.CLASS_NAME, "getThdValue", "mFactoryRMS is null");
            } else if (data == null || size <= 0) {
                FtUtil.log_w(this.CLASS_NAME, "getThdValue", "data is null or size is lower than 0");
            } else {
                String str = this.CLASS_NAME;
                FtUtil.log_d(str, "getThdValue", "data length = " + data.length + ", size = " + size);
                AtLooptest.this.mFactoryRMS.Calc_THD_init();
                byte[] tmp = new byte[2];
                for (int i = 0; i < data.length / 2; i++) {
                    tmp[0] = data[i * 2];
                    tmp[1] = data[(i * 2) + 1];
                    this.Input_buf[i] = BytesToShort(tmp, 99999);
                }
                AtLooptest.this.mFactoryRMS.Calc_THD_exe(this.Input_buf, this.FRAME_SIZE * 2, this.FFT_SIZE, SAMPLE_RATE);
                AtLooptest.this.mFactoryRMS.Calc_THD_deinit(this.LR_thd_pct, this.LR_rms_dB);
            }
        }

        public String startRecording(int duration) {
            Thread thread = new Thread(new Runnable() {
                /* class com.sec.factory.aporiented.athandler.AtLooptest.AudioRecording.AnonymousClass1 */

                public void run() {
                    if (AudioRecording.this.mRecorder != null) {
                        AudioRecording.this.mRecorder.startRecording();
                        while (AudioRecording.this.mRecorder != null) {
                            AudioRecording.this.mIsRecording = true;
                            String str = AudioRecording.this.CLASS_NAME;
                            FtUtil.log_d(str, "startRecording", "start AudioRecord.read, mBufferSize : " + AudioRecording.this.mBufferSize);
                            AudioRecording audioRecording = AudioRecording.this;
                            audioRecording.mReadBytes = audioRecording.mRecorder.read(AudioRecording.this.buffer, 0, AudioRecording.this.mBufferSize);
                            FtUtil.log_d(AudioRecording.this.CLASS_NAME, "startRecording", "finish AudioRecord.read");
                            AudioRecording audioRecording2 = AudioRecording.this;
                            short[] lr = audioRecording2.getRMSValue(audioRecording2.buffer, AudioRecording.this.mReadBytes);
                            short s = lr[0];
                            short s2 = lr[1];
                            AudioRecording audioRecording3 = AudioRecording.this;
                            audioRecording3.rms_str = String.valueOf((int) s) + "," + String.valueOf((int) s2);
                            if (AudioRecording.this.mThread.isInterrupted()) {
                                break;
                            }
                        }
                        if (AudioRecording.this.mRecorder != null) {
                            if (AudioRecording.this.mRecorder.getState() == 3) {
                                AudioRecording.this.mRecorder.stop();
                            }
                            AudioRecording.this.mRecorder.release();
                            AudioRecording.this.mRecorder = null;
                        }
                        AudioRecording.this.mIsRecording = false;
                    }
                }
            });
            this.mThread = thread;
            thread.start();
            try {
                this.mThread.join((long) duration);
            } catch (InterruptedException e) {
                e.printStackTrace();
            } catch (Throwable th) {
                stopRecording();
                throw th;
            }
            stopRecording();
            return this.rms_str;
        }

        public boolean startRecording() {
            FtUtil.log_d(this.CLASS_NAME, "startRecording", null);
            Thread thread = new Thread(new Runnable() {
                /* class com.sec.factory.aporiented.athandler.AtLooptest.AudioRecording.AnonymousClass2 */

                public void run() {
                    FtUtil.log_d(AudioRecording.this.CLASS_NAME, "startRecording", "Started");
                    if (AudioRecording.this.mRecorder != null) {
                        if (AudioRecording.this.STATE == 2000) {
                            AudioRecording.this.mAudioManager.setParameters("factory_test_mic_check=main");
                            FtUtil.log_d(AudioRecording.this.CLASS_NAME, "setParameters-factory_test_mic_check=main");
                        } else if (AudioRecording.this.STATE == 2001) {
                            AudioRecording.this.mAudioManager.setParameters("factory_test_mic_check=sub");
                            FtUtil.log_d(AudioRecording.this.CLASS_NAME, "setParameters-factory_test_mic_check=sub");
                        } else if (AudioRecording.this.STATE == 2002) {
                            AudioRecording.this.mAudioManager.setParameters("factory_test_mic_check=2mic");
                            FtUtil.log_d(AudioRecording.this.CLASS_NAME, "setParameters-factory_test_mic_check=2mic");
                        } else if (AudioRecording.this.STATE == 2003) {
                            AudioRecording.this.mAudioManager.setParameters("factory_test_mic_check=mic3");
                            FtUtil.log_d(AudioRecording.this.CLASS_NAME, "setParameters-factory_test_mic_check=mic3");
                        } else if (AudioRecording.this.STATE == 2005) {
                            AudioRecording.this.mAudioManager.setParameters("factory_test_mic_check=mic4");
                            FtUtil.log_d(AudioRecording.this.CLASS_NAME, "setParameters-factory_test_mic_check=mic4");
                        } else {
                            AudioRecording.this.mAudioManager.setParameters("factory_test_mic_check=third");
                            FtUtil.log_d(AudioRecording.this.CLASS_NAME, "setParameters-factory_test_mic_check=third");
                        }
                        AudioRecording.this.mRecorder.startRecording();
                        for (int i = 0; i < AudioRecording.this.RECODING_LOOP_CNT + AudioRecording.this.SKIP_SAMPLING_CNT && !AudioRecording.this.mThread.isInterrupted() && AudioRecording.this.mRecorder != null; i++) {
                            AudioRecording.this.mIsRecording = true;
                            while (AudioRecording.this.mRecorder.getRecordingState() != 3) {
                                FtUtil.log_d(AudioRecording.this.CLASS_NAME, "waiting recording...", null);
                                try {
                                    Thread.sleep(50);
                                } catch (InterruptedException ie) {
                                    FtUtil.log_e(ie);
                                }
                            }
                            try {
                                Thread.sleep((long) AudioRecording.this.DURATION_MIC_TEST_ON_OFF);
                                String str = AudioRecording.this.CLASS_NAME;
                                FtUtil.log_d(str, "startRecording", "start AudioRecord.read, mBufferSize : " + AudioRecording.this.mBufferSize);
                                AudioRecording audioRecording = AudioRecording.this;
                                audioRecording.mReadBytes = audioRecording.mRecorder.read(AudioRecording.this.buffer, 0, AudioRecording.this.mBufferSize);
                                FtUtil.log_d(AudioRecording.this.CLASS_NAME, "startRecording", "finish AudioRecord.read");
                                AudioRecording audioRecording2 = AudioRecording.this;
                                short[] lr = audioRecording2.getRMSValue(audioRecording2.buffer, AudioRecording.this.mReadBytes);
                                short s = lr[0];
                                short s2 = lr[1];
                                if (i >= AudioRecording.this.SKIP_SAMPLING_CNT) {
                                    AudioRecording.this.updateInternal(s, s2);
                                } else {
                                    String str2 = AudioRecording.this.CLASS_NAME;
                                    FtUtil.log_d(str2, "Initial RMS Value is skipped", "Skipped count = " + i);
                                }
                            } catch (InterruptedException ie2) {
                                FtUtil.log_e(ie2);
                            }
                        }
                        if (AudioRecording.this.mRecorder != null) {
                            if (AudioRecording.this.mRecorder.getState() == 3) {
                                FtUtil.log_d(AudioRecording.this.CLASS_NAME, "startRecording", "stop");
                                AudioRecording.this.mRecorder.stop();
                            }
                            AudioRecording.this.mRecorder.release();
                            FtUtil.log_d(AudioRecording.this.CLASS_NAME, "startRecording", BuildConfig.BUILD_TYPE);
                            AudioRecording.this.mRecorder = null;
                        }
                        FtUtil.log_d(AudioRecording.this.CLASS_NAME, "stopRecording", "factory_test_mic_check=off");
                        AudioRecording.this.mAudioManager.setParameters("factory_test_mic_check=off");
                        AudioRecording.this.mIsRecording = false;
                    }
                }
            });
            this.mThread = thread;
            thread.start();
            return true;
        }

        public boolean startRecordingForFreq() {
            FtUtil.log_d(this.CLASS_NAME, "startRecordingForFreq", null);
            Thread thread = new Thread(new Runnable() {
                /* class com.sec.factory.aporiented.athandler.AtLooptest.AudioRecording.AnonymousClass3 */

                public void run() {
                    FtUtil.log_d(AudioRecording.this.CLASS_NAME, "startRecordingForFreq", "Started");
                    if (AudioRecording.this.mRecorder != null) {
                        if (AudioRecording.this.STATE == 2000) {
                            AudioRecording.this.mAudioManager.setParameters("factory_test_mic_check=main");
                            FtUtil.log_d(AudioRecording.this.CLASS_NAME, "setParameters-factory_test_mic_check=main");
                        } else if (AudioRecording.this.STATE == 2001) {
                            AudioRecording.this.mAudioManager.setParameters("factory_test_mic_check=sub");
                            FtUtil.log_d(AudioRecording.this.CLASS_NAME, "setParameters-factory_test_mic_check=sub");
                        } else if (AudioRecording.this.STATE == 2002) {
                            AudioRecording.this.mAudioManager.setParameters("factory_test_mic_check=2mic");
                            FtUtil.log_d(AudioRecording.this.CLASS_NAME, "setParameters-factory_test_mic_check=2mic");
                        } else if (AudioRecording.this.STATE == 2003) {
                            AudioRecording.this.mAudioManager.setParameters("factory_test_mic_check=mic3");
                            FtUtil.log_d(AudioRecording.this.CLASS_NAME, "setParameters-factory_test_mic_check=mic3");
                        } else {
                            AudioRecording.this.mAudioManager.setParameters("factory_test_mic_check=third");
                            FtUtil.log_d(AudioRecording.this.CLASS_NAME, "setParameters-factory_test_mic_check=third");
                        }
                        AudioRecording.this.mRecorder.startRecording();
                        for (int i = 0; i < AudioRecording.this.RECODING_LOOP_CNT + AudioRecording.this.SKIP_SAMPLING_CNT && !AudioRecording.this.mThread.isInterrupted() && AudioRecording.this.mRecorder != null; i++) {
                            AudioRecording.this.mIsRecording = true;
                            while (AudioRecording.this.mRecorder.getRecordingState() != 3) {
                                FtUtil.log_d(AudioRecording.this.CLASS_NAME, "waiting recording...", null);
                                try {
                                    Thread.sleep(50);
                                } catch (InterruptedException ie) {
                                    FtUtil.log_e(ie);
                                }
                            }
                            try {
                                Thread.sleep((long) AudioRecording.this.DURATION_MIC_TEST_ON_OFF);
                                String str = AudioRecording.this.CLASS_NAME;
                                FtUtil.log_d(str, "startRecordingForFreq", "start AudioRecord.read, mBufferSize : " + AudioRecording.this.mBufferSize);
                                AudioRecording audioRecording = AudioRecording.this;
                                audioRecording.mReadBytes = audioRecording.mRecorder.read(AudioRecording.this.buffer, 0, AudioRecording.this.mBufferSize);
                                FtUtil.log_d(AudioRecording.this.CLASS_NAME, "startRecordingForFreq", "finish AudioRecord.read");
                                AudioRecording audioRecording2 = AudioRecording.this;
                                audioRecording2.getFreqValue(audioRecording2.buffer, AudioRecording.this.mReadBytes);
                                if (i >= AudioRecording.this.SKIP_SAMPLING_CNT) {
                                    AudioRecording audioRecording3 = AudioRecording.this;
                                    audioRecording3.updateInternalFreq(audioRecording3.Ch0_Freq_dB, AudioRecording.this.Ch1_Freq_dB);
                                } else {
                                    String str2 = AudioRecording.this.CLASS_NAME;
                                    FtUtil.log_d(str2, "Initial RMS Value is skipped", "Skipped count = " + i);
                                }
                            } catch (InterruptedException ie2) {
                                FtUtil.log_e(ie2);
                            }
                        }
                        if (AudioRecording.this.mRecorder != null) {
                            if (AudioRecording.this.mRecorder.getState() == 3) {
                                FtUtil.log_d(AudioRecording.this.CLASS_NAME, "startRecordingForFreq", "stop");
                                AudioRecording.this.mRecorder.stop();
                            }
                            AudioRecording.this.mRecorder.release();
                            FtUtil.log_d(AudioRecording.this.CLASS_NAME, "startRecordingForFreq", BuildConfig.BUILD_TYPE);
                            AudioRecording.this.mRecorder = null;
                        }
                        FtUtil.log_d(AudioRecording.this.CLASS_NAME, "stopRecording", "factory_test_mic_check=off");
                        AudioRecording.this.mAudioManager.setParameters("factory_test_mic_check=off");
                        AudioRecording.this.mIsRecording = false;
                    }
                }
            });
            this.mThread = thread;
            thread.start();
            return true;
        }

        public boolean startRecordingForThd() {
            FtUtil.log_d(this.CLASS_NAME, "startRecordingForThd", null);
            Thread thread = new Thread(new Runnable() {
                /* class com.sec.factory.aporiented.athandler.AtLooptest.AudioRecording.AnonymousClass4 */

                public void run() {
                    FtUtil.log_d(AudioRecording.this.CLASS_NAME, "startRecordingForThd", "Started");
                    if (AudioRecording.this.mRecorder != null) {
                        if (AudioRecording.this.STATE == 2000) {
                            AudioRecording.this.mAudioManager.setParameters("factory_test_mic_check=main");
                            FtUtil.log_d(AudioRecording.this.CLASS_NAME, "setParameters-factory_test_mic_check=main");
                        } else if (AudioRecording.this.STATE == 2001) {
                            AudioRecording.this.mAudioManager.setParameters("factory_test_mic_check=sub");
                            FtUtil.log_d(AudioRecording.this.CLASS_NAME, "setParameters-factory_test_mic_check=sub");
                        } else if (AudioRecording.this.STATE == 2002) {
                            AudioRecording.this.mAudioManager.setParameters("factory_test_mic_check=2mic");
                            FtUtil.log_d(AudioRecording.this.CLASS_NAME, "setParameters-factory_test_mic_check=2mic");
                        } else {
                            AudioRecording.this.mAudioManager.setParameters("factory_test_mic_check=third");
                            FtUtil.log_d(AudioRecording.this.CLASS_NAME, "setParameters-factory_test_mic_check=third");
                        }
                        AudioRecording.this.mRecorder.startRecording();
                        for (int i = 0; i < AudioRecording.this.RECODING_LOOP_CNT + AudioRecording.this.SKIP_SAMPLING_CNT && !AudioRecording.this.mThread.isInterrupted() && AudioRecording.this.mRecorder != null; i++) {
                            AudioRecording.this.mIsRecording = true;
                            while (AudioRecording.this.mRecorder.getRecordingState() != 3) {
                                FtUtil.log_d(AudioRecording.this.CLASS_NAME, "waiting recording...", null);
                                try {
                                    Thread.sleep(50);
                                } catch (InterruptedException ie) {
                                    FtUtil.log_e(ie);
                                }
                            }
                            try {
                                Thread.sleep((long) AudioRecording.this.DURATION_MIC_TEST_ON_OFF);
                                String str = AudioRecording.this.CLASS_NAME;
                                FtUtil.log_d(str, "startRecordingForThd", "start AudioRecord.read, mBufferSize : " + AudioRecording.this.mBufferSize);
                                AudioRecording audioRecording = AudioRecording.this;
                                audioRecording.mReadBytes = audioRecording.mRecorder.read(AudioRecording.this.buffer, 0, AudioRecording.this.mBufferSize);
                                FtUtil.log_d(AudioRecording.this.CLASS_NAME, "startRecordingForThd", "finish AudioRecord.read");
                                AudioRecording audioRecording2 = AudioRecording.this;
                                audioRecording2.getThdValue(audioRecording2.buffer, AudioRecording.this.mReadBytes);
                                if (i >= AudioRecording.this.SKIP_SAMPLING_CNT) {
                                    AudioRecording audioRecording3 = AudioRecording.this;
                                    audioRecording3.updateInternalThd(audioRecording3.LR_thd_pct, AudioRecording.this.LR_rms_dB);
                                } else {
                                    String str2 = AudioRecording.this.CLASS_NAME;
                                    FtUtil.log_d(str2, "Initial RMS Value is skipped", "Skipped count = " + i);
                                }
                            } catch (InterruptedException ie2) {
                                FtUtil.log_e(ie2);
                            }
                        }
                        if (AudioRecording.this.mRecorder != null) {
                            if (AudioRecording.this.mRecorder.getState() == 3) {
                                FtUtil.log_d(AudioRecording.this.CLASS_NAME, "startRecordingForThd", "stop");
                                AudioRecording.this.mRecorder.stop();
                            }
                            AudioRecording.this.mRecorder.release();
                            FtUtil.log_d(AudioRecording.this.CLASS_NAME, "startRecordingForThd", BuildConfig.BUILD_TYPE);
                            AudioRecording.this.mRecorder = null;
                        }
                        FtUtil.log_d(AudioRecording.this.CLASS_NAME, "stopRecording", "factory_test_mic_check=off");
                        AudioRecording.this.mAudioManager.setParameters("factory_test_mic_check=off");
                        AudioRecording.this.mIsRecording = false;
                    }
                }
            });
            this.mThread = thread;
            thread.start();
            return true;
        }

        /* access modifiers changed from: protected */
        public void updateInternal(int rms0, int rms1) {
            this.mMic1RmsList.add(Integer.valueOf(rms0));
            this.mMic2RmsList.add(Integer.valueOf(rms1));
            int i = this.STATE;
            if (i == 2003 || i == 2005) {
                this.mMic3RmsList.add(Integer.valueOf(rms0));
                this.mMic4RmsList.add(Integer.valueOf(rms1));
            }
        }

        /* access modifiers changed from: protected */
        public void updateInternalFreq(int[] Ch0_freq, int[] Ch1_freq) {
            for (int i : Ch0_freq) {
                this.mMic1FreqList.add(Integer.valueOf(i));
            }
            for (int i2 : Ch1_freq) {
                this.mMic2FreqList.add(Integer.valueOf(i2));
            }
            if (this.STATE == 2003) {
                for (int i3 : Ch0_freq) {
                    this.mMic3FreqList.add(Integer.valueOf(i3));
                }
            }
        }

        /* access modifiers changed from: protected */
        public void updateInternalThd(float[] thd_pct, short[] rms_db) {
            if (thd_pct.length > 1) {
                this.mMic1ThdList.add(Float.valueOf(thd_pct[0]));
                this.mMic2ThdList.add(Float.valueOf(thd_pct[1]));
                if (this.STATE == 2003) {
                    this.mMic1ThdList.add(Float.valueOf(thd_pct[0]));
                }
            }
            if (rms_db.length > 1) {
                this.mMic1ThdRmsList.add(Float.valueOf((float) rms_db[0]));
                this.mMic2ThdRmsList.add(Float.valueOf((float) rms_db[1]));
                if (this.STATE == 2003) {
                    this.mMic1ThdRmsList.add(Float.valueOf((float) rms_db[0]));
                }
            }
        }

        public String getRmsValue(int mic, int timeout) {
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "getRmsValue", "mic : " + mic);
            Thread thread = this.mThread;
            if (thread != null && thread.isAlive()) {
                String str2 = this.CLASS_NAME;
                FtUtil.log_d(str2, "getRmsValue", "timeout: " + timeout);
                try {
                    this.mThread.join((long) timeout);
                    FtUtil.log_d(this.CLASS_NAME, "getRmsValue", "Join Recording thread.");
                } catch (InterruptedException e) {
                    FtUtil.log_d(this.CLASS_NAME, "getRmsValue", "Time out to Join thread.");
                    return "NG";
                }
            }
            switch (mic) {
                case 2000:
                    return listToString(this.mMic1RmsList);
                case 2001:
                    return listToString(this.mMic2RmsList);
                case 2002:
                case 2004:
                default:
                    return "NG";
                case 2003:
                    return listToString(this.mMic3RmsList);
                case 2005:
                    return listToString(this.mMic4RmsList);
            }
        }

        public String getFreqValue(int mic, int timeout) {
            Thread thread = this.mThread;
            if (thread != null && thread.isAlive()) {
                String str = this.CLASS_NAME;
                FtUtil.log_d(str, "getFreqValue", "timeout: " + timeout);
                try {
                    this.mThread.join((long) timeout);
                    FtUtil.log_d(this.CLASS_NAME, "getFreqValue", "Join Recording thread.");
                } catch (InterruptedException e) {
                    FtUtil.log_d(this.CLASS_NAME, "getFreqValue", "Time out to Join thread.");
                    return "NG";
                }
            }
            switch (mic) {
                case 2000:
                    return listToString(this.mMic1FreqList);
                case 2001:
                    return listToString(this.mMic2FreqList);
                case 2002:
                default:
                    return "NG";
                case 2003:
                    return listToString(this.mMic3FreqList);
            }
        }

        public String getThdValue(int mic, int timeout) {
            Thread thread = this.mThread;
            if (thread != null && thread.isAlive()) {
                String str = this.CLASS_NAME;
                FtUtil.log_d(str, "getThdValue", "timeout: " + timeout);
                try {
                    this.mThread.join((long) timeout);
                    FtUtil.log_d(this.CLASS_NAME, "getThdValue", "Join Recording thread.");
                } catch (InterruptedException e) {
                    FtUtil.log_d(this.CLASS_NAME, "getThdValue", "Time out to Join thread.");
                    return "NG";
                }
            }
            switch (mic) {
                case 2000:
                    return listToStringforThdTest(this.mMic1ThdRmsList, this.mMic1ThdList);
                case 2001:
                    return listToStringforThdTest(this.mMic2ThdRmsList, this.mMic2ThdList);
                case 2002:
                default:
                    return "NG";
                case 2003:
                    return listToStringforThdTest(this.mMic3ThdRmsList, this.mMic3ThdList);
            }
        }

        private String listToString(List<?> list) {
            if (list == null || list.size() == 0) {
                return "NG";
            }
            StringBuilder sb = new StringBuilder();
            for (Object item : list) {
                FtUtil.log_d(this.CLASS_NAME, "listToString", String.valueOf(item));
                sb.append(String.valueOf(item) + ",");
            }
            return sb.toString().replaceAll(",$", "");
        }

        private String listToStringforThdTest(List<?> firstList, List<?> secondList) {
            if (firstList == null || firstList.size() == 0 || secondList == null || secondList.size() == 0) {
                return "NG";
            }
            StringBuilder sb = new StringBuilder();
            for (int i = 0; i < firstList.size(); i++) {
                DecimalFormat format = new DecimalFormat("#.#");
                FtUtil.log_d(this.CLASS_NAME, "listToStringforThdTest", String.valueOf(format.format(firstList.get(i))));
                if (i == firstList.size() - 1) {
                    sb.append(String.valueOf(format.format(firstList.get(i))) + ",");
                } else {
                    sb.append(String.valueOf(format.format(firstList.get(i))) + "_");
                }
            }
            for (int i2 = 0; i2 < secondList.size(); i2++) {
                DecimalFormat format2 = new DecimalFormat("#.##");
                FtUtil.log_d(this.CLASS_NAME, "listToStringforThdTest", String.valueOf(format2.format(secondList.get(i2))));
                sb.append(String.valueOf(format2.format(secondList.get(i2))) + "_");
            }
            return sb.toString().replaceAll("_$", "");
        }

        public boolean stopRecording() {
            if (!AtLooptest.this.isBtPcmMode) {
                FtUtil.log_d(this.CLASS_NAME, "stopRecording", "factory_test_mic_check=off");
                this.mAudioManager.setParameters("factory_test_mic_check=off");
            } else {
                FtUtil.log_d(this.CLASS_NAME, "stopRecording", "factory_test_mic_check=off is not needed due to bt pcm mode");
            }
            Thread thread = this.mThread;
            if (thread != null) {
                thread.interrupt();
                while (this.mIsRecording) {
                    try {
                        Thread.sleep(100);
                    } catch (Exception e) {
                        e.printStackTrace();
                    }
                }
            }
            this.mThread = null;
            FtUtil.log_d(this.CLASS_NAME, "stopRecording", "Done: ");
            return true;
        }

        private byte[] ChangeByteOrder(byte[] value, int Order) {
            int idx = value.length;
            byte[] Temp = new byte[idx];
            if (Order == 99998) {
                return value;
            }
            if (Order != 99999) {
                return Temp;
            }
            for (int i = 0; i < idx; i++) {
                Temp[i] = value[idx - (i + 1)];
            }
            return Temp;
        }

        private short BytesToShort(byte[] Value, int Order) {
            byte[] temp = ChangeByteOrder(Value, Order);
            return (short) ((((short) temp[1]) & 255) | ((short) (((((short) temp[0]) << 8) & MotionEventCompat.ACTION_POINTER_INDEX_MASK) | 0)));
        }
    }

    private String readMicEchoDataFile(int mode) {
        String real_path;
        String result = null;
        if (mode == 0) {
            real_path = "/data/log/MicEchoData.txt";
        } else {
            real_path = "/data/log/15MicEchoData.txt";
        }
        if (!new File(real_path).exists()) {
            return "NONE";
        }
        try {
            FileInputStream fis = new FileInputStream(real_path);
            BufferedReader bufferReader = new BufferedReader(new InputStreamReader(fis));
            while (true) {
                String readStr = bufferReader.readLine();
                if (readStr == null) {
                    fis.close();
                    return result;
                }
                result = readStr;
                String str = this.CLASS_NAME;
                FtUtil.log_i(str, "readMicEchoDataFile", "data : " + readStr);
            }
        } catch (IOException e) {
            e.printStackTrace();
            return null;
        }
    }

    private String readMotorFreqGainData() {
        File gainDataFile = new File("data/log/MOTOR_Gain.log");
        String data = Support.Kernel.read(gainDataFile.getPath());
        if (gainDataFile.exists()) {
            try {
                FileInputStream fis = new FileInputStream(gainDataFile);
                BufferedReader bufferReader = new BufferedReader(new InputStreamReader(fis));
                while (true) {
                    String readStr = bufferReader.readLine();
                    if (readStr == null) {
                        break;
                    }
                    data = readStr;
                    String str = this.CLASS_NAME;
                    FtUtil.log_i(str, "readMotorFreqGainData", "data : " + readStr);
                }
                fis.close();
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
        return data;
    }

    private String readMicDiffData() {
        File micDiffDataFile = new File("data/log/15MicDiffData.log");
        String data = Support.Kernel.read(micDiffDataFile.getPath());
        if (micDiffDataFile.exists()) {
            try {
                FileInputStream fis = new FileInputStream(micDiffDataFile);
                BufferedReader bufferReader = new BufferedReader(new InputStreamReader(fis));
                while (true) {
                    String readStr = bufferReader.readLine();
                    if (readStr == null) {
                        break;
                    }
                    data = readStr;
                    String str = this.CLASS_NAME;
                    FtUtil.log_i(str, "readMicDiffData", "data : " + readStr);
                }
                fis.close();
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
        return data;
    }

    private String readMicGainData() {
        File micGainDataFile = new File("/data/log/15MicGainData.txt");
        String data = Support.Kernel.read(micGainDataFile.getPath());
        if (micGainDataFile.exists()) {
            try {
                FileInputStream fis = new FileInputStream(micGainDataFile);
                BufferedReader bufferReader = new BufferedReader(new InputStreamReader(fis));
                while (true) {
                    String readStr = bufferReader.readLine();
                    if (readStr == null) {
                        break;
                    }
                    data = readStr;
                    String str = this.CLASS_NAME;
                    FtUtil.log_i(str, "readMicGainData", "data : " + readStr);
                }
                fis.close();
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
        return data;
    }

    private String readMicMuteData() {
        File micGainDataFile = new File("/data/log/15MicMuteData.txt");
        String data = Support.Kernel.read(micGainDataFile.getPath());
        if (micGainDataFile.exists()) {
            try {
                FileInputStream fis = new FileInputStream(micGainDataFile);
                BufferedReader bufferReader = new BufferedReader(new InputStreamReader(fis));
                while (true) {
                    String readStr = bufferReader.readLine();
                    if (readStr == null) {
                        break;
                    }
                    data = readStr;
                    String str = this.CLASS_NAME;
                    FtUtil.log_i(str, "readMicGainData", "data : " + readStr);
                }
                fis.close();
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
        return data;
    }

    private String readMicEchoParallelData() {
        File micEchoDataFile = new File("/data/log/15MicEchoParallelData.txt");
        String data = Support.Kernel.read(micEchoDataFile.getPath());
        if (micEchoDataFile.exists()) {
            try {
                FileInputStream fis = new FileInputStream(micEchoDataFile);
                BufferedReader bufferReader = new BufferedReader(new InputStreamReader(fis));
                while (true) {
                    String readStr = bufferReader.readLine();
                    if (readStr == null) {
                        break;
                    }
                    data = readStr;
                    String str = this.CLASS_NAME;
                    FtUtil.log_i(str, "readMicEchoParallelData", "data : " + readStr);
                }
                fis.close();
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
        return data;
    }

    private String readMicMuteParallelData() {
        File micMuteDataFile = new File("/data/log/15MicMuteParallelData.txt");
        String data = Support.Kernel.read(micMuteDataFile.getPath());
        if (micMuteDataFile.exists()) {
            try {
                FileInputStream fis = new FileInputStream(micMuteDataFile);
                BufferedReader bufferReader = new BufferedReader(new InputStreamReader(fis));
                while (true) {
                    String readStr = bufferReader.readLine();
                    if (readStr == null) {
                        break;
                    }
                    data = readStr;
                    String str = this.CLASS_NAME;
                    FtUtil.log_i(str, "readMicMuteParallelData", "data : " + readStr);
                }
                fis.close();
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
        return data;
    }

    private String readMicGainParallelData() {
        File micGainDataFile = new File("/data/log/15MicGainParallelData.txt");
        String data = Support.Kernel.read(micGainDataFile.getPath());
        if (micGainDataFile.exists()) {
            try {
                FileInputStream fis = new FileInputStream(micGainDataFile);
                BufferedReader bufferReader = new BufferedReader(new InputStreamReader(fis));
                while (true) {
                    String readStr = bufferReader.readLine();
                    if (readStr == null) {
                        break;
                    }
                    data = readStr;
                    String str = this.CLASS_NAME;
                    FtUtil.log_i(str, "readMicGainParallelData", "data : " + readStr);
                }
                fis.close();
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
        return data;
    }

    private boolean containsTestCase(int testID, String param) {
        String testcase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML(testID));
        if (testcase == null || !testcase.toLowerCase().contains(param.toLowerCase())) {
            return false;
        }
        return true;
    }
}
