package com.sec.factory.aporiented.athandler;

import android.content.Context;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class AtMagtdata extends AtCommandHandler {
    public AtMagtdata(Context context) {
        super(context);
        this.CMD_NAME = "MAGTDATA";
        this.CLASS_NAME = "AtMagtdata";
        this.NUM_ARGS = 4;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        String str = this.CLASS_NAME;
        FtUtil.log_e(str, "handleCommand", "cmd length : " + argu.length);
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", "0", "0", "0"})) {
            if (Support.Kernel.write(Support.Kernel.EFS_MAGNETIC_DATA, "")) {
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0", "0"})) {
            String data = Support.Kernel.read(Support.Kernel.EFS_MAGNETIC_DATA);
            String str2 = this.CLASS_NAME;
            FtUtil.log_i(str2, "handleCommand", "data : " + data);
            if (data != null) {
                resData = responseString(argu[0], data);
            } else {
                resData = responseString(argu[0], "NONE");
            }
        } else if (checkArgu(argu, new String[]{"2", "0", "0"})) {
            String mData = argu[3].replaceAll("\"", "");
            String str3 = this.CLASS_NAME;
            FtUtil.log_i(str3, "handleCommand", "data : " + mData);
            if (Support.Kernel.write(Support.Kernel.EFS_MAGNETIC_DATA, mData)) {
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        } else {
            resData = responseNA();
        }
        return resData;
    }
}
