package com.sec.factory.aporiented.athandler;

import android.app.ActivityManager;
import android.content.BroadcastReceiver;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.content.ServiceConnection;
import android.os.Handler;
import android.os.IBinder;
import android.os.Looper;
import android.os.Message;
import com.sec.factory.aporiented.ResponseWriter;
import com.sec.factory.app.factorytest.FactoryTestMain;
import com.sec.factory.app.factorytest.FactoryTestMainInnerLoopback;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.AccCoverService;
import com.sec.factory.modules.AccGyroService;
import com.sec.factory.modules.FactoryNfc2TestService;
import com.sec.factory.modules.FactoryNfcTestService;
import com.sec.factory.modules.FingerprintServiceEgis;
import com.sec.factory.modules.FingerprintServiceGoodix;
import com.sec.factory.modules.FingerprintServiceQcom;
import com.sec.factory.modules.GeoMagneticService;
import com.sec.factory.modules.HRMServiceOnce;
import com.sec.factory.modules.HeartRateService;
import com.sec.factory.modules.MSTService;
import com.sec.factory.modules.MicEchoService;
import com.sec.factory.modules.ModuleCoverID;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.modules.ModuleNfc;
import com.sec.factory.modules.ModuleSensor;
import com.sec.factory.modules.MotorService;
import com.sec.factory.modules.OisService;
import com.sec.factory.modules.ProximityHoverService;
import com.sec.factory.modules.TspSelfTestService;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.NVAccessor;
import com.sec.xmldata.support.Support;
import egis.optical.client.api.EgisFingerprint;

public class AtMulfuncf extends AtCommandHandler {
    private static final int MSG_CHECK_START = 2;
    private static final int MSG_DETECT_START = 1;
    private static final String MSG_DIGITAL_HALL_IC_CAL_STOP_OK = "com.sec.factory.digitalhalliccal.ACTION_TEST_STOP_OK";
    public static final String MSG_SNR_START_BUTTON_PRESSED = "com.sec.factory.aporiented.athandler.AtMulfuncf.MSG_SNR_START_BUTTON_PRESSED";
    private static final String MSG_THIRDD_DIGITAL_HALL_IC_CAL_STOP_OK = "com.sec.factory.3ddigitalhalliccal.ACTION_TEST_STOP_OK";
    public static final int STOP_ACC_CHECK = 0;
    private static final String STOP_ISDBT_MULTI_FUNCTION_TEST_RES = "com.samsung.mobiletv.testmode.STOP_RES";
    public static final int STOP_SPEN_CHECK = 1;
    public static final int TIMEOUT = 50000;
    private static ComponentName mAccCoverServiceComponentName = null;
    private static ComponentName mAccGyroServiceComponentName = null;
    private static ComponentName mFingerPrintServiceComponentName = null;
    private static ComponentName mGeoMagneticServiceComponentName = null;
    private static ComponentName mHeartRateServiceComponentName = null;
    private static ComponentName mMSTServiceComponentName = null;
    private static ComponentName mMotorServiceComponentName = null;
    private static ComponentName mNFCServiceComponentName = null;
    private static ComponentName mOisServiceComponentName = null;
    private static ComponentName mProxHoverServiceComponentName = null;
    private static ComponentName mSubAccGyroServiceComponentName = null;
    private static ComponentName mTspSelfTestServiceComponentName = null;
    private BroadcastReceiver SpenDetectionReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.aporiented.athandler.AtMulfuncf.AnonymousClass8 */

        public void onReceive(Context context, Intent intent) {
            AtMulfuncf.this.spenInserted = intent.getBooleanExtra("penInsert", false);
            String str = AtMulfuncf.this.CLASS_NAME;
            FtUtil.log_d(str, "SpenDetectionReceiver", "spenInserted: " + AtMulfuncf.this.spenInserted);
        }
    };
    private Thread accCheck;
    public BroadcastReceiver cameraReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.aporiented.athandler.AtMulfuncf.AnonymousClass9 */

        public void onReceive(Context context, Intent intent) {
            AtMulfuncf atMulfuncf = AtMulfuncf.this;
            atMulfuncf.stopReceiver(atMulfuncf.cameraReceiver);
            String mAction = intent.getAction();
            String str = AtMulfuncf.this.CLASS_NAME;
            FtUtil.log_d(str, "onReceive", "mAction : " + mAction);
            if ("com.sec.factory.camera.ACTION_TEST_STATUS".equals(mAction)) {
                FtUtil.log_d(AtMulfuncf.this.CLASS_NAME, "onReceive", "ACTION_TEST_STATUS");
                String mActionResult = intent.getStringExtra("result");
                String str2 = AtMulfuncf.this.CLASS_NAME;
                FtUtil.log_d(str2, "onReceive", "mActionResult : " + mActionResult);
                AtMulfuncf.this.writer.write(AtMulfuncf.this.responseString(EgisFingerprint.MAJOR_VERSION, mActionResult));
                if (AtMulfuncf.this.isNvWrite) {
                    AtMulfuncf.this.isNvWrite = false;
                    String[] datas = mActionResult.split(",");
                    if ("OK".equals(datas[0])) {
                        AtMulfuncf.this.setTestResult((AtMulfuncf) 182, (int) 80);
                    } else if ("NG".equals(datas[0])) {
                        AtMulfuncf.this.setTestResult((AtMulfuncf) 182, (int) 70);
                    }
                }
            }
        }
    };
    private String checkNode = null;
    private String detectNode = null;
    private Handler handler = new Handler(Looper.getMainLooper()) {
        /* class com.sec.factory.aporiented.athandler.AtMulfuncf.AnonymousClass7 */

        public void handleMessage(Message msg) {
            if (msg.what == 0 && AtMulfuncf.this.isAccCheckRunning) {
                FtUtil.log_d(AtMulfuncf.this.CLASS_NAME, "handleMessage", "Stop acc sensor check");
                AtMulfuncf.this.isAccCheckRunning = false;
                AtMulfuncf.this.handler.removeMessages(0);
            } else if (msg.what == 1 && AtMulfuncf.this.isSpenCheckRunning) {
                FtUtil.log_d(AtMulfuncf.this.CLASS_NAME, "handleMessage", "Stop spen check");
                AtMulfuncf.this.isSpenCheckRunning = false;
                AtMulfuncf.this.handler.removeMessages(1);
            }
            super.handleMessage(msg);
        }
    };
    private String[] iCoordinates;
    private boolean isAccCheckRunning = false;
    private boolean isNvWrite = false;
    private boolean isSpenCheckRunning = false;
    private ServiceConnection mCameraApertureConnection = new ServiceConnection() {
        /* class com.sec.factory.aporiented.athandler.AtMulfuncf.AnonymousClass1 */

        public void onServiceConnected(ComponentName className, IBinder service) {
            FtUtil.log_i(AtMulfuncf.this.CLASS_NAME, "CameraApertureConnection", "onServiceConnected()");
        }

        public void onServiceDisconnected(ComponentName className) {
            FtUtil.log_i(AtMulfuncf.this.CLASS_NAME, "CameraApertureConnection", "onServiceDisConnected()");
        }
    };
    private ModuleCoverID mNfcCoverID = null;
    public BroadcastReceiver mReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.aporiented.athandler.AtMulfuncf.AnonymousClass4 */

        public void onReceive(Context context, Intent intent) {
            String action = intent.getAction();
            FtUtil.log_i(AtMulfuncf.this.CLASS_NAME, "onReceive action: ", action);
            if (action.equals(AtMulfuncf.STOP_ISDBT_MULTI_FUNCTION_TEST_RES)) {
                AtMulfuncf.this.writer.write(AtMulfuncf.this.responseOK("0"));
            } else if (action.equals(AtMulfuncf.MSG_DIGITAL_HALL_IC_CAL_STOP_OK)) {
                AtMulfuncf.this.writer.write(AtMulfuncf.this.responseOK("0"));
            } else if (action.equals(AtMulfuncf.MSG_THIRDD_DIGITAL_HALL_IC_CAL_STOP_OK)) {
                AtMulfuncf.this.writer.write(AtMulfuncf.this.responseOK("0"));
            }
            FtUtil.log_i(AtMulfuncf.this.CLASS_NAME, "Stop Receiver ", "");
            AtMulfuncf atMulfuncf = AtMulfuncf.this;
            atMulfuncf.stopReceiver(atMulfuncf.mReceiver);
        }
    };
    private int[] mSensorID;
    private int mTestCount = 0;
    private FactoryTestMainInnerLoopback mTestInnerLoopback = null;
    private Thread spenCheck = null;
    private boolean spenInserted = false;

    static /* synthetic */ int access$204(AtMulfuncf x0) {
        int i = x0.mTestCount + 1;
        x0.mTestCount = i;
        return i;
    }

    public AtMulfuncf(Context context, ResponseWriter writer) {
        super(context);
        this.CMD_NAME = "MULFUNCF";
        this.CLASS_NAME = "AtMulfuncf";
        this.NUM_ARGS = 4;
        this.writer = writer;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData = null;
        boolean result = false;
        boolean specialCase = false;
        boolean isFlickerTest = false;
        String cmdName = this.CMD_NAME + "=";
        for (int i = 0; i < argu.length; i++) {
            StringBuilder sb = new StringBuilder();
            sb.append(cmdName);
            sb.append(i != argu.length - 1 ? argu[i] + "," : argu[i]);
            cmdName = sb.toString();
        }
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        String className = null;
        try {
            className = ((ActivityManager) this.context.getSystemService("activity")).getRunningTasks(1).get(0).topActivity.getClassName();
            String str = this.CLASS_NAME;
            StringBuilder sb2 = new StringBuilder();
            sb2.append("Top activity class name = ");
            sb2.append(className == null ? "null" : className);
            FtUtil.log_d(str, sb2.toString());
        } catch (Exception e) {
            FtUtil.log_e(this.CLASS_NAME, "Exception : " + e);
        }
        if (className != null && (className.contains("com.sec.factory") || className.contains("com.sec.android.app.camaftest"))) {
            if (checkArgu(argu, new String[]{"0", "0", "0", "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Packet Loopback (no display change) command received"));
                result = mModuleCommon.Request15FunctionTest(1);
            } else if (checkArgu(argu, new String[]{"0", "0", "0", egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Packet Loopback2 (no display change) command received"));
                result = mModuleCommon.Request15FunctionTest(42);
            } else if (checkArgu(argu, new String[]{"0", "0", egis.client.api.EgisFingerprint.MAJOR_VERSION, "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Receiver 200(low freq) command received"));
                result = mModuleCommon.Request15FunctionTest(33);
            } else if (checkArgu(argu, new String[]{"0", "0", "2", "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "TSP Test command received"));
                result = mModuleCommon.Request15FunctionTest(10);
            } else if (checkArgu(argu, new String[]{"0", "0", "2", egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "TSP Test2 command received"));
                result = mModuleCommon.Request15FunctionTest(44);
            } else if (checkArgu(argu, new String[]{"0", "0", "2", "2"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, " TSP + S-Pen Drawing Test command received"));
                result = mModuleCommon.Request15FunctionTest(105);
            } else if (checkArgu(argu, new String[]{"0", "0", "2", EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "TSP drawing Test command received"));
                result = mModuleCommon.Request15FunctionTest(119);
            } else if (checkArgu(argu, new String[]{"0", "0", "2", "5"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "TSP drawing Segmentation Test command received"));
                result = mModuleCommon.Request15FunctionTest(118);
            } else if (checkArgu(argu, new String[]{"0", "0", "2", "6"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "TSP + S-Pen Drawing(without selftest) Test Mode command received"));
                result = mModuleCommon.Request15FunctionTest(125);
            } else if (checkArgu(argu, new String[]{"0", "0", "2", "7"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Grip Sensor Test command received"));
                result = mModuleCommon.Request15FunctionTest(34);
            } else if (checkArgu(argu, new String[]{"0", "0", "2", "8"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "TSP2 drawing Test command received"));
                result = mModuleCommon.Request15FunctionTest(150);
            } else if (checkArgu(argu, new String[]{"0", "0", "2", EgisFingerprint.JAR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "TSP1_1 drawing Test command received"));
                result = mModuleCommon.Request15FunctionTest(205);
            } else if (checkArgu(argu, new String[]{"0", "0", EgisFingerprint.MAJOR_VERSION, "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "TSP Hovering command received"));
                result = mModuleCommon.Request15FunctionTest(56);
            } else if (checkArgu(argu, new String[]{"0", "0", "4", "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Key Test command received"));
                result = mModuleCommon.Request15FunctionTest(6);
            } else if (checkArgu(argu, new String[]{"0", "0", "4", egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Key Test2 command received"));
                result = mModuleCommon.Request15FunctionTest(45);
            } else if (checkArgu(argu, new String[]{"0", "0", "5", "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Charge Test command received"));
                result = mModuleCommon.Request15FunctionTest(18);
            } else if (checkArgu(argu, new String[]{"0", "0", "6", "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Wireless Charge Test command received"));
                result = mModuleCommon.Request15FunctionTest(32);
            } else if (checkArgu(argu, new String[]{"0", "0", "7", "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Sensor-Hub Test Mode command received"));
                result = mModuleCommon.Request15FunctionTest(49);
            } else if (checkArgu(argu, new String[]{"0", "0", "8", "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "S-Pen Drawing Test Mode command received"));
                result = mModuleCommon.Request15FunctionTest(26);
            } else if (checkArgu(argu, new String[]{"0", "0", "8", egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "S-Pen Drawing Test 1-1 Mode command received"));
                result = mModuleCommon.Request15FunctionTest(FactoryTestManager.TEST_S_PEN_DRAWING1_1);
            } else if (checkArgu(argu, new String[]{"0", "0", "8", "2"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "S-Pen Magnetic Test command received"));
                result = mModuleCommon.Request15FunctionTest(FactoryTestManager.TEST_S_PEN_MAGNETIC);
            } else if (checkArgu(argu, new String[]{"0", egis.client.api.EgisFingerprint.MAJOR_VERSION, "0", "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "S-Pen Detect Test command received"));
                result = mModuleCommon.Request15FunctionTest(41);
            } else if (checkArgu(argu, new String[]{"0", egis.client.api.EgisFingerprint.MAJOR_VERSION, egis.client.api.EgisFingerprint.MAJOR_VERSION, "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "TDMB Test command received"));
                result = mModuleCommon.Request15FunctionTest(7);
            } else if (checkArgu(argu, new String[]{"0", egis.client.api.EgisFingerprint.MAJOR_VERSION, egis.client.api.EgisFingerprint.MAJOR_VERSION, egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "ISDB-T(External Antenna) Test command received"));
                result = mModuleCommon.Request15FunctionTest(8);
            } else if (checkArgu(argu, new String[]{"0", egis.client.api.EgisFingerprint.MAJOR_VERSION, egis.client.api.EgisFingerprint.MAJOR_VERSION, "2"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "CMMB Test command received"));
                result = mModuleCommon.Request15FunctionTest(54);
            } else if (checkArgu(argu, new String[]{"0", egis.client.api.EgisFingerprint.MAJOR_VERSION, egis.client.api.EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "ISDBT(USB Antenna) Test command received"));
                result = mModuleCommon.Request15FunctionTest(62);
            } else if (checkArgu(argu, new String[]{"0", egis.client.api.EgisFingerprint.MAJOR_VERSION, egis.client.api.EgisFingerprint.MAJOR_VERSION, "4"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Analog TV Test command received"));
                result = mModuleCommon.Request15FunctionTest(74);
            } else if (checkArgu(argu, new String[]{"0", egis.client.api.EgisFingerprint.MAJOR_VERSION, "2", "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Hall IC Test command received"));
                result = mModuleCommon.Request15FunctionTest(19);
            } else if (checkArgu(argu, new String[]{"0", egis.client.api.EgisFingerprint.MAJOR_VERSION, "2", "2"})) {
                if (!"com.sec.factory.app.ui.UIDigitalHallIcCalTest".equals(className)) {
                    result = false;
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "send intent - DigitalHallIcCal Test Stop");
                    IntentFilter mFilter = new IntentFilter();
                    mFilter.addAction(MSG_DIGITAL_HALL_IC_CAL_STOP_OK);
                    this.context.registerReceiver(this.mReceiver, mFilter);
                    this.context.sendBroadcast(new Intent("com.sec.factory.digitalhalliccal.ACTION_TEST_STOP"));
                    result = true;
                    specialCase = true;
                }
            } else if (checkArgu(argu, new String[]{"0", egis.client.api.EgisFingerprint.MAJOR_VERSION, "2", EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Digital Hall IC Cal Test command received"));
                result = mModuleCommon.Request15FunctionTest(301);
            } else if (checkArgu(argu, new String[]{"0", egis.client.api.EgisFingerprint.MAJOR_VERSION, "2", "4"})) {
                if (!"com.sec.factory.app.ui.UI3dDigitalHallIcCalTest".equals(className)) {
                    result = false;
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "send intent - 3dDigitalHallIcCal Test Stop");
                    IntentFilter mFilter2 = new IntentFilter();
                    mFilter2.addAction(MSG_THIRDD_DIGITAL_HALL_IC_CAL_STOP_OK);
                    this.context.registerReceiver(this.mReceiver, mFilter2);
                    this.context.sendBroadcast(new Intent("com.sec.factory.3ddigitalhalliccal.ACTION_TEST_STOP"));
                    result = true;
                    specialCase = true;
                }
            } else if (checkArgu(argu, new String[]{"0", egis.client.api.EgisFingerprint.MAJOR_VERSION, "2", "5"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "3D Digital Hall IC Cal Test command received"));
                result = mModuleCommon.Request15FunctionTest(FactoryTestManager.TEST_3D_DIGITAL_HALL_IC_CAL_TEST);
            } else if (checkArgu(argu, new String[]{"0", egis.client.api.EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "GM_GYRO Test command received"));
                result = mModuleCommon.Request15FunctionTest(37);
            } else if (checkArgu(argu, new String[]{"0", egis.client.api.EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Always On MIC Test command received"));
                result = mModuleCommon.Request15FunctionTest(68);
            } else if (checkArgu(argu, new String[]{"0", egis.client.api.EgisFingerprint.MAJOR_VERSION, "4", "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "S-Pen Key Test command received"));
                result = mModuleCommon.Request15FunctionTest(64);
            } else if (checkArgu(argu, new String[]{"0", egis.client.api.EgisFingerprint.MAJOR_VERSION, "5", "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "FingerPrint Test command received"));
                result = mModuleCommon.Request15FunctionTest(67);
            } else if (checkArgu(argu, new String[]{"0", egis.client.api.EgisFingerprint.MAJOR_VERSION, "5", "2"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Fingerprint white box cal stop command received"));
                result = stopFingerprintCalOptical();
            } else if (checkArgu(argu, new String[]{"0", egis.client.api.EgisFingerprint.MAJOR_VERSION, "5", EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Fingerprint white box cal command received"));
                result = startFingerprintCalOptical("WKBOX");
            } else if (checkArgu(argu, new String[]{"0", egis.client.api.EgisFingerprint.MAJOR_VERSION, "5", "4"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Fingerprint Black box cal stop command received"));
                result = stopFingerprintCalOptical();
            } else if (checkArgu(argu, new String[]{"0", egis.client.api.EgisFingerprint.MAJOR_VERSION, "5", "5"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Fingerprint Black box cal command received"));
                result = startFingerprintCalOptical("BKBOX");
            } else if (checkArgu(argu, new String[]{"0", egis.client.api.EgisFingerprint.MAJOR_VERSION, "5", "6"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Fingerprint Chater box SNR stop command received"));
                result = stopFingerprintCalOptical();
            } else if (checkArgu(argu, new String[]{"0", egis.client.api.EgisFingerprint.MAJOR_VERSION, "5", "7"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Fingerprint Chater box SNR command received"));
                result = startFingerprintCalOptical("CHART");
            } else if (checkArgu(argu, new String[]{"0", egis.client.api.EgisFingerprint.MAJOR_VERSION, "6", "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "AF Charge Test command received"));
                result = mModuleCommon.Request15FunctionTest(99);
            } else if (checkArgu(argu, new String[]{"0", egis.client.api.EgisFingerprint.MAJOR_VERSION, "7", "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "MHL 3.0 (UHD) Stop command received"));
                result = mModuleCommon.Request15FunctionTest(1021);
            } else if (checkArgu(argu, new String[]{"0", egis.client.api.EgisFingerprint.MAJOR_VERSION, "7", egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "MHL 3.0 (UHD) Start command received"));
                result = mModuleCommon.Request15FunctionTest(1022);
            } else if (checkArgu(argu, new String[]{"0", egis.client.api.EgisFingerprint.MAJOR_VERSION, "7", "2"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "MHL 3.0 (FHD) Stop command received"));
                result = mModuleCommon.Request15FunctionTest(1011);
            } else if (checkArgu(argu, new String[]{"0", egis.client.api.EgisFingerprint.MAJOR_VERSION, "7", EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "MHL 3.0 (FHD) Start command received"));
                result = mModuleCommon.Request15FunctionTest(1012);
            } else if (checkArgu(argu, new String[]{"0", egis.client.api.EgisFingerprint.MAJOR_VERSION, "8", egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Normal Wireless Charge Start command received"));
                result = mModuleCommon.Request15FunctionTest(117);
            } else if (checkArgu(argu, new String[]{"0", egis.client.api.EgisFingerprint.MAJOR_VERSION, EgisFingerprint.JAR_VERSION, egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "QR Test command received"));
                result = mModuleCommon.Request15FunctionTest(63);
            } else if (checkArgu(argu, new String[]{"0", egis.client.api.EgisFingerprint.MAJOR_VERSION, EgisFingerprint.JAR_VERSION, "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "QR Test Stop command received"));
                result = true;
            } else if (checkArgu(argu, new String[]{"0", "2", "0", egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "ECHO Test command received"));
                result = mModuleCommon.Request15FunctionTest(95);
            } else if (checkArgu(argu, new String[]{"0", "2", "0", "2"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Mic Gain Test command received"));
                result = mModuleCommon.Request15FunctionTest(196);
            } else if (checkArgu(argu, new String[]{"0", "2", "0", EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Mic Mute Test command received"));
                result = mModuleCommon.Request15FunctionTest(FactoryTestManager.TEST_MIC_MUTE);
            } else if (checkArgu(argu, new String[]{"0", "2", "0", "4"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Echo Parallel Test command received"));
                result = mModuleCommon.Request15FunctionTest(FactoryTestManager.TEST_ECHO_PARALLEL);
            } else if (checkArgu(argu, new String[]{"0", "2", "0", "5"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Mic Mute Parallel Test command received"));
                result = mModuleCommon.Request15FunctionTest(FactoryTestManager.TEST_MIC_MUTE_PARALLEL);
            } else if (checkArgu(argu, new String[]{"0", "2", "0", "6"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Mic Diff Test command received"));
                result = mModuleCommon.Request15FunctionTest(171);
            } else if (checkArgu(argu, new String[]{"0", "2", "0", "7"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Mic Gain Parallel Test command received"));
                result = mModuleCommon.Request15FunctionTest(FactoryTestManager.TEST_MIC_GAIN_PARALLEL);
            } else if (checkArgu(argu, new String[]{"0", "2", egis.client.api.EgisFingerprint.MAJOR_VERSION, egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "ISDB Test command received"));
                result = mModuleCommon.Request15FunctionTest(54);
            } else if (checkArgu(argu, new String[]{"0", "2", "2", egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Enroll/Verify Test command received"));
                result = mModuleCommon.Request15FunctionTest(120);
            } else if (checkArgu(argu, new String[]{"0", "2", EgisFingerprint.MAJOR_VERSION, "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Charge Test command received"));
                result = FactoryTestManager.getEnable(99) ? mModuleCommon.Request15FunctionTest(122) : mModuleCommon.Request15FunctionTest(121);
            } else if (checkArgu(argu, new String[]{"0", "2", EgisFingerprint.MAJOR_VERSION, egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                result = mModuleCommon.Request15FunctionTest(92);
            } else if (checkArgu(argu, new String[]{"0", "2", EgisFingerprint.MAJOR_VERSION, "2"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "AF Charge 2 Ports Test command received"));
                result = mModuleCommon.Request15FunctionTest(184);
            } else if (checkArgu(argu, new String[]{"0", "2", EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Direct Charge Test Stop command received"));
                result = mModuleCommon.Request15FunctionTest(1045);
            } else if (checkArgu(argu, new String[]{"0", "2", EgisFingerprint.MAJOR_VERSION, "4"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Direct Charge Test Start command received"));
                result = mModuleCommon.Request15FunctionTest(1046);
            } else if (checkArgu(argu, new String[]{"0", "2", EgisFingerprint.MAJOR_VERSION, "5"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "D2D Charge Test Stop command received"));
                result = mModuleCommon.Request15FunctionTest(FactoryTestManager.TEST_D2D_CHARGE_STOP);
            } else if (checkArgu(argu, new String[]{"0", "2", EgisFingerprint.MAJOR_VERSION, "6"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "D2D Charge Test Start command received"));
                result = mModuleCommon.Request15FunctionTest(1068);
            } else if (checkArgu(argu, new String[]{"0", "2", "4", "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Wireless AF Charge Test command received"));
                result = FactoryTestManager.getEnable(FactoryTestManager.TEST_WIRELESS_FAST_CHARGE_2) ? mModuleCommon.Request15FunctionTest(FactoryTestManager.TEST_WIRELESS_FAST_CHARGE_2_START) : mModuleCommon.Request15FunctionTest(124);
            } else if (checkArgu(argu, new String[]{"0", "2", "4", egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Wireless Charging Tx Test command received"));
                result = mModuleCommon.Request15FunctionTest(187);
            } else if (checkArgu(argu, new String[]{"0", "2", "4", "2"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Wireless Fast Charge 2.1 Test Stop command received"));
                result = mModuleCommon.Request15FunctionTest(FactoryTestManager.TEST_WIRELESS_FAST_CHARGE_2_STOP);
            } else if (checkArgu(argu, new String[]{"0", "2", "4", EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Wireless Fast Charge 2.1 Test Start command received"));
                result = mModuleCommon.Request15FunctionTest(FactoryTestManager.TEST_WIRELESS_FAST_CHARGE_2_START);
            } else if (checkArgu(argu, new String[]{"0", "2", "5", egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "OIS Selftest New Test command received"));
                result = mModuleCommon.Request15FunctionTest(127);
            } else if (checkArgu(argu, new String[]{"0", "2", "6", "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "PD Charge command received"));
                result = mModuleCommon.Request15FunctionTest(138);
            } else if (checkArgu(argu, new String[]{"0", "2", "8", egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "USB + OTG command received"));
                result = mModuleCommon.Request15FunctionTest(77);
            } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "0", "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "DP Stop command received"));
                result = mModuleCommon.Request15FunctionTest(1023);
            } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "0", egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "DP Start command received"));
                result = mModuleCommon.Request15FunctionTest(1024);
            } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, egis.client.api.EgisFingerprint.MAJOR_VERSION, egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "LED Cover command received"));
                result = mModuleCommon.Request15FunctionTest(148);
            } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "2", egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                if ("true".equals(Support.FactoryTestMenu.getEnable(FactoryTestManager.convertorID_XML(128)))) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Camera Window command received"));
                    result = mModuleCommon.Request15FunctionTest(128);
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Motor Sound command received"));
                    result = mModuleCommon.Request15FunctionTest(130);
                }
            } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Sensing open check command received"));
                result = mModuleCommon.Request15FunctionTest(157);
            } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "4", "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Force touch cal stop command received"));
                result = mModuleCommon.Request15FunctionTest(1026);
            } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "4", egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Force touch cal start command received"));
                result = mModuleCommon.Request15FunctionTest(1025);
            } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "5", "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Force touch press stop command received"));
                result = mModuleCommon.Request15FunctionTest(1028);
            } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "5", egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Force touch press start command received"));
                result = mModuleCommon.Request15FunctionTest(1027);
            } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "6", "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Iris Prox Stop command received"));
                result = mModuleCommon.Request15FunctionTest(1029);
            } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "6", egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Iris Prox Start command received"));
                result = mModuleCommon.Request15FunctionTest(1030);
            } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "7", "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Palm touch stop command received"));
                result = mModuleCommon.Request15FunctionTest(1033);
            } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "7", egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Palm touch start command received"));
                result = mModuleCommon.Request15FunctionTest(1034);
            } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "8", "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "HRM Sensor X-Talk Stop command received"));
                result = mModuleCommon.Request15FunctionTest(1031);
            } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "8", egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "HRM Sensor X-Talk Start command received"));
                result = mModuleCommon.Request15FunctionTest(1032);
            } else if (checkArgu(argu, new String[]{"0", "4", "0", egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Camera Record command received"));
                result = mModuleCommon.Request15FunctionTest(84);
            } else if (checkArgu(argu, new String[]{"0", "4", egis.client.api.EgisFingerprint.MAJOR_VERSION, egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "TSP Short test command received"));
                result = mModuleCommon.Request15FunctionTest(1036);
            } else if (checkArgu(argu, new String[]{"0", "4", egis.client.api.EgisFingerprint.MAJOR_VERSION, "2"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "TSP Open Short test command received"));
                result = mModuleCommon.Request15FunctionTest(1037);
            } else if (checkArgu(argu, new String[]{"0", "4", egis.client.api.EgisFingerprint.MAJOR_VERSION, "4"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "TSP Jitter Test command received"));
                result = mModuleCommon.Request15FunctionTest(314);
            } else if (checkArgu(argu, new String[]{"0", "4", egis.client.api.EgisFingerprint.MAJOR_VERSION, "5"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "TSP Jitter Test 2 command received"));
                result = mModuleCommon.Request15FunctionTest(FactoryTestManager.TEST_TSP_JITTER_TEST_2);
            } else if (checkArgu(argu, new String[]{"0", "4", egis.client.api.EgisFingerprint.MAJOR_VERSION, "6"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Always On Touch command received"));
                result = mModuleCommon.Request15FunctionTest(FactoryTestManager.TEST_ALWAYS_ON_TOUCH);
            } else if (checkArgu(argu, new String[]{"0", "4", egis.client.api.EgisFingerprint.MAJOR_VERSION, "7"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "TSP Jitter Delta Test command received"));
                result = mModuleCommon.Request15FunctionTest(FactoryTestManager.TEST_TSP_JITTER_DELTA_TEST);
            } else if (checkArgu(argu, new String[]{"0", "4", egis.client.api.EgisFingerprint.MAJOR_VERSION, "8"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "TSP Jitter Delta Test 2 command received"));
                result = mModuleCommon.Request15FunctionTest(FactoryTestManager.TEST_TSP_JITTER_DELTA_TEST_2);
            } else if (checkArgu(argu, new String[]{"0", "4", "2", egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Camera Aperture command received"));
                result = mModuleCommon.Request15FunctionTest(1038);
            } else if (checkArgu(argu, new String[]{"0", "4", "2", "2"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Folded Tele Camera Capture command received"));
                result = mModuleCommon.Request15FunctionTest(FactoryTestManager.TEST_FOLDED_TELE_CAMERA_CAPTURE);
            } else if (checkArgu(argu, new String[]{"0", "4", "2", EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Macro Camera Capture command received"));
                result = mModuleCommon.Request15FunctionTest(FactoryTestManager.TEST_MACRO_CAMERA_CAPTURE);
            } else if (checkArgu(argu, new String[]{"0", "4", EgisFingerprint.MAJOR_VERSION, "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "USB GEN2 stop command received"));
                result = mModuleCommon.Request15FunctionTest(1039);
            } else if (checkArgu(argu, new String[]{"0", "4", EgisFingerprint.MAJOR_VERSION, egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "USB GEN2 start command received"));
                result = mModuleCommon.Request15FunctionTest(1040);
            } else if (checkArgu(argu, new String[]{"0", "4", "4", "2"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Proximity Hover Selftest stop command received"));
                result = mModuleCommon.Request15FunctionTest(FactoryTestManager.TEST_PROXIMITY_HOVER_STOP);
            } else if (checkArgu(argu, new String[]{"0", "4", "4", EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Proximity Hover Selftest start command received"));
                result = mModuleCommon.Request15FunctionTest(FactoryTestManager.TEST_PROXIMITY_HOVER_START);
            } else if (checkArgu(argu, new String[]{"0", "4", "5", egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "AF Code test command received"));
                result = mModuleCommon.Request15FunctionTest(1044);
            } else if (checkArgu(argu, new String[]{"0", "4", EgisFingerprint.JAR_VERSION, "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "NFC Type B Stop command received"));
                result = mModuleCommon.Request15FunctionTest(FactoryTestManager.TEST_NFC_TYPE_B_STOP);
            } else if (checkArgu(argu, new String[]{"0", "4", EgisFingerprint.JAR_VERSION, egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "NFC Type B Start command received"));
                result = mModuleCommon.Request15FunctionTest(FactoryTestManager.TEST_NFC_TYPE_B_START);
            } else if (checkArgu(argu, new String[]{"0", "5", "0", egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Digitizer Electric command received"));
                result = mModuleCommon.Request15FunctionTest(214);
            } else if (checkArgu(argu, new String[]{"0", "5", egis.client.api.EgisFingerprint.MAJOR_VERSION, "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Pogo Pin Test command received"));
                result = mModuleCommon.Request15FunctionTest(158);
            } else if (checkArgu(argu, new String[]{"0", "5", egis.client.api.EgisFingerprint.MAJOR_VERSION, egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Pogo Charge Test command received"));
                result = mModuleCommon.Request15FunctionTest(166);
            } else if (checkArgu(argu, new String[]{"0", "5", egis.client.api.EgisFingerprint.MAJOR_VERSION, "2"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Pogo OTG & Charge Test command received"));
                result = mModuleCommon.Request15FunctionTest(167);
            } else if (checkArgu(argu, new String[]{"0", "5", "2", "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Ranging Sensor Test 300 Stop command received"));
                result = mModuleCommon.Request15FunctionTest(1060);
            } else if (checkArgu(argu, new String[]{"0", "5", "2", egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Ranging Sensor Test 300 Start command received"));
                result = mModuleCommon.Request15FunctionTest(1061);
            } else if (checkArgu(argu, new String[]{"0", "5", "2", "2"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Ranging Sensor Test 500 Stop command received"));
                result = mModuleCommon.Request15FunctionTest(FactoryTestManager.TEST_RANGING_SENSOR_500_STOP);
            } else if (checkArgu(argu, new String[]{"0", "5", "2", EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Ranging Sensor Test 500 Start command received"));
                result = mModuleCommon.Request15FunctionTest(FactoryTestManager.TEST_RANGING_SENSOR_500_START);
            } else if (checkArgu(argu, new String[]{"0", "5", "4", "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "TSP Color Diff Test Stop command received"));
                result = mModuleCommon.Request15FunctionTest(FactoryTestManager.TEST_TSP_COLOR_DIFF_TEST_STOP);
            } else if (checkArgu(argu, new String[]{"0", "5", "4", egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "TSP Color Diff Test Start command received"));
                result = mModuleCommon.Request15FunctionTest(FactoryTestManager.TEST_TSP_COLOR_DIFF_TEST_START);
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0", "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "Loopback stop command received"));
                result = stopLoopbackService();
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0", egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "Packet Loopback command received"));
                result = startLoopbackService(1002);
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0", "2"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "Loopback stop command received"));
                result = stopLoopbackService();
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0", EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "Loopback start (CP2) command received"));
                result = startLoopbackService(1016);
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0", "4"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "Loopback stop command received"));
                result = stopLoopbackService();
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0", "5"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "Loopback start command received"));
                result = startLoopbackService(1020);
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", egis.client.api.EgisFingerprint.MAJOR_VERSION, "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "Receiver 200 Stop command received"));
                result = mModuleCommon.Request15FunctionTest(1003);
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", egis.client.api.EgisFingerprint.MAJOR_VERSION, egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "Receiver 200 Start command received"));
                result = mModuleCommon.Request15FunctionTest(1004);
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "2", "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "IR LED Stop command received"));
                result = ModuleDevice.instance(this.context).stopIRLedSignal();
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "2", egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "IR LED Start command received"));
                result = ModuleDevice.instance(this.context).startIRLedSignal(ModuleDevice.CHANNEL_UP, 500);
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", EgisFingerprint.MAJOR_VERSION, "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "NFC Searching Stop command received"));
                result = stopNFCTestService();
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", EgisFingerprint.MAJOR_VERSION, egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "NFC Searching Start command received"));
                result = startNFCTestService();
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "4", "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "NFC battery searching stop command received"));
                result = stopNFC2TestService();
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "4", egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "NFC battery searching start command received"));
                result = startNFC2TestService();
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "6", "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "OTG Test stop command received"));
                result = mModuleCommon.Request15FunctionTest(1013);
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "6", egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "OTG Test start command received"));
                result = mModuleCommon.Request15FunctionTest(1014);
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "7", "2"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "Acc Gryo test stop command received"));
                result = stopAccGyroService();
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "7", EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "Acc Gryo test start command received"));
                result = startAccGyroService();
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "7", "4"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "Sub Acc Gryo test stop command received"));
                result = stopSubAccGyroService();
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "7", "5"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "Sub Acc Gryo test start command received"));
                result = startSubAccGyroService();
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "7", "6"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "Geomagnetic test stop command received"));
                result = stopGeoMagneticService();
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "7", "7"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "Geomagnetic test start command received"));
                result = startGeoMagneticService();
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "8", "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "Analog DMB test Service start command received"));
                result = mModuleCommon.Request15FunctionTest(74);
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "8", egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "Analog TV Test stop command received"));
                result = mModuleCommon.Request15FunctionTest(75);
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", EgisFingerprint.JAR_VERSION, "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "ID Chip test stop command received"));
                result = true;
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", EgisFingerprint.JAR_VERSION, egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "ID Chip Test start command received"));
                specialCase = true;
                startIdDetectCheckTest();
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", EgisFingerprint.JAR_VERSION, "2"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "AccCover stop command received"));
                result = stopAccCoverService();
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", EgisFingerprint.JAR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "AccCover start command received"));
                result = startAccCoverService();
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", EgisFingerprint.JAR_VERSION, "4"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "ID Chip NFC stop command received"));
                result = stopIDChipNFC();
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", EgisFingerprint.JAR_VERSION, "5"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "ID Chip NFC start command received"));
                result = startIDChipNFC();
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.client.api.EgisFingerprint.MAJOR_VERSION, "0", "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, " HRM Test Stop command received"));
                result = stopHeartRateService();
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.client.api.EgisFingerprint.MAJOR_VERSION, "0", egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, " HRM Test Start command received"));
                result = startHeartRateService();
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.client.api.EgisFingerprint.MAJOR_VERSION, egis.client.api.EgisFingerprint.MAJOR_VERSION, "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "FingerPrint service stop command received"));
                result = stopFingerPrintService();
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.client.api.EgisFingerprint.MAJOR_VERSION, egis.client.api.EgisFingerprint.MAJOR_VERSION, egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "FingerPrint service start command received"));
                result = startFingerPrintService();
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.client.api.EgisFingerprint.MAJOR_VERSION, egis.client.api.EgisFingerprint.MAJOR_VERSION, "2"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "FingerPrint(SNR) service start command received"));
                result = startFingerPrintSNRService();
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.client.api.EgisFingerprint.MAJOR_VERSION, "2", egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "Mic-Echo test command received"));
                result = startMicEchoService();
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.client.api.EgisFingerprint.MAJOR_VERSION, "4", "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "Motor Test Service Stop command received"));
                result = stopMotorService();
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.client.api.EgisFingerprint.MAJOR_VERSION, "4", egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "Motor Test Service Start command received"));
                result = startMotorService();
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.client.api.EgisFingerprint.MAJOR_VERSION, "5", "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "OIS Test Service Stop command received"));
                result = stopOisService();
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.client.api.EgisFingerprint.MAJOR_VERSION, "5", egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "OIS start command received"));
                result = startOisService(98);
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.client.api.EgisFingerprint.MAJOR_VERSION, "6", "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "OIS stop command received"));
                result = stopOisService();
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.client.api.EgisFingerprint.MAJOR_VERSION, "6", egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "OIS start command received"));
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.client.api.EgisFingerprint.MAJOR_VERSION, "7", "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "TSP Selftest Service stop command received"));
                result = stopTspSelfTestService();
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.client.api.EgisFingerprint.MAJOR_VERSION, "7", egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "TSP Selftest Service Start command received"));
                result = startTspSelfTestService();
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.client.api.EgisFingerprint.MAJOR_VERSION, "7", "2"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "Sub TSP Selftest Service stop command received"));
                result = stopTspSelfTestService();
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.client.api.EgisFingerprint.MAJOR_VERSION, "7", EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "Sub TSP Selftest Service Start command received"));
                result = startSubTspSelfTestService();
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.client.api.EgisFingerprint.MAJOR_VERSION, "7", "4"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "TSP Presentation Selftest Service stop command received"));
                result = stopTspSelfTestService();
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.client.api.EgisFingerprint.MAJOR_VERSION, "7", "5"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "TSP Presentation Selftest Service Start command received"));
                result = startTspPresentationSelfTestService();
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.client.api.EgisFingerprint.MAJOR_VERSION, "8", egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "MST Service start command received"));
                result = startMSTService();
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.client.api.EgisFingerprint.MAJOR_VERSION, "8", "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "MST Service stop command received"));
                result = stopMSTService();
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "2", "0", "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "Accelerometer Sensor test stop command received"));
                result = stopAccSensorCheck();
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "2", "0", egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "Accelerometer Sensor test start command received"));
                result = startAccSensorCheck();
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "2", egis.client.api.EgisFingerprint.MAJOR_VERSION, "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "Spen check test stop command received"));
                result = stopSpenCheck();
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "2", egis.client.api.EgisFingerprint.MAJOR_VERSION, egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "Spen check test start command received"));
                result = startSpenCheck();
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "2", "2", "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "Camera Aperture Test End"));
                this.context.unbindService(this.mCameraApertureConnection);
                result = true;
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "2", "2", egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "Camera Aperture Test Start"));
                Intent bindIntent = new Intent("com.sec.android.app.camera.BackgroundCameraService");
                bindIntent.setPackage("com.sec.factory.camera");
                bindIntent.setClassName("com.sec.factory.camera", "com.sec.android.app.camera.BackgroundCameraService");
                Context context = this.context;
                ServiceConnection serviceConnection = this.mCameraApertureConnection;
                Context context2 = this.context;
                context.bindService(bindIntent, serviceConnection, 1);
                result = true;
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "2", EgisFingerprint.MAJOR_VERSION, egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "Flickser Sensor Test Mode Start"));
                startCameraReceiver();
                sendCameraBroadcast(argu);
                isFlickerTest = true;
                this.isNvWrite = true;
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "2", EgisFingerprint.MAJOR_VERSION, "2"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "Flickser Sensor Outer Test Mode Stop"));
                startCameraReceiver();
                sendCameraBroadcast(argu);
                isFlickerTest = true;
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "2", EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "Flickser Sensor Outer Test Mode Start"));
                startCameraReceiver();
                sendCameraBroadcast(argu);
                isFlickerTest = true;
                this.isNvWrite = true;
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "2", "4", "0"})) {
                result = stopProxHoverSelftest();
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "2", "4", egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(4, cmdName, "Proximity Hover Selftest start"));
                result = startProxHoverSelftest();
            }
            if (!isFlickerTest) {
                if (result && !specialCase) {
                    resData = responseOK(argu[0]);
                } else if (!result && !specialCase) {
                    resData = responseNG(argu[0]);
                }
            }
        } else if (className == null || !className.contains("com.samsung.mobiletv.testmode") || !checkArgu(argu, new String[]{"0", "2", egis.client.api.EgisFingerprint.MAJOR_VERSION, "0"})) {
            resData = responseNG(argu[0]);
        } else {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "ISDB Test stop command received"));
            this.context.registerReceiver(this.mReceiver, new IntentFilter(STOP_ISDBT_MULTI_FUNCTION_TEST_RES));
            this.context.sendBroadcast(new Intent("com.samsung.mobiletv.testmode.STOP"));
        }
        return resData;
    }

    public boolean startLoopbackService(int loopbackPath) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "startLoopbackService", "loopbackPath = " + loopbackPath);
        if (this.mTestInnerLoopback == null) {
            this.mTestInnerLoopback = new FactoryTestMainInnerLoopback(this.context, null, null, null);
        }
        Intent intent = new Intent("com.sec.factory.UPDATE_UI_FEEDBACK_MSG");
        intent.putExtra("isStart", true);
        intent.putExtra("feedback_msg", "Loopback On");
        switch (loopbackPath) {
            case 1002:
                if ("true".equalsIgnoreCase(Support.FactoryTestMenu.getEnable(FactoryTestManager.convertorID_XML(210)))) {
                    if (!setCurrentLoopbackState(210)) {
                        return false;
                    }
                } else if (!setCurrentLoopbackState(1)) {
                    return false;
                }
                this.mTestInnerLoopback.startLoopback(0);
                break;
            case 1016:
                if (setCurrentLoopbackState(42)) {
                    this.mTestInnerLoopback.startLoopback(3);
                    break;
                } else {
                    return false;
                }
            case 1020:
                if (setCurrentLoopbackState(1)) {
                    this.mTestInnerLoopback.startLoopback(5);
                    break;
                } else {
                    return false;
                }
            default:
                String str2 = this.CLASS_NAME;
                FtUtil.log_w(str2, "mBroadcastReceiver.onReceive", "Invalid path = " + loopbackPath);
                return false;
        }
        this.context.sendBroadcast(intent);
        return true;
    }

    private boolean setCurrentLoopbackState(int reqState) {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "setCurrentLoopbackState", "reqState  = " + reqState);
        if ("true".equalsIgnoreCase(Support.FactoryTestMenu.getEnable(FactoryTestManager.convertorID_XML(reqState)))) {
            FactoryTestMain.CURRENT_TEST_ID = reqState;
        } else if ("true".equalsIgnoreCase(Support.FactoryTestMenu.getEnable(FactoryTestManager.convertorID_XML((byte) 1)))) {
            FactoryTestMain.CURRENT_TEST_ID = 1;
        } else if ("true".equalsIgnoreCase(Support.FactoryTestMenu.getEnable(FactoryTestManager.convertorID_XML((byte) FactoryTestManager.TEST_LOOPBACK_SPK)))) {
            FactoryTestMain.CURRENT_TEST_ID = 65;
        } else if ("true".equalsIgnoreCase(Support.FactoryTestMenu.getEnable(FactoryTestManager.convertorID_XML(211)))) {
            FactoryTestMain.CURRENT_TEST_ID = 211;
        } else {
            FtUtil.log_e(this.CLASS_NAME, "setCurrentLoopbackState", "wrong defined loopback feature");
            return false;
        }
        String str2 = this.CLASS_NAME;
        FtUtil.log_d(str2, "setCurrentLoopbackState", "CURRENT_TEST_ID  = " + FactoryTestMain.CURRENT_TEST_ID);
        return true;
    }

    public boolean stopLoopbackService() {
        FtUtil.log_i(this.CLASS_NAME, "stopLoopbackService", null);
        FactoryTestMainInnerLoopback factoryTestMainInnerLoopback = this.mTestInnerLoopback;
        if (factoryTestMainInnerLoopback == null) {
            return true;
        }
        factoryTestMainInnerLoopback.stopLoopback();
        this.mTestInnerLoopback = null;
        Intent intent = new Intent("com.sec.factory.UPDATE_UI_FEEDBACK_MSG");
        intent.putExtra("isStart", false);
        this.context.sendBroadcast(intent);
        return true;
    }

    public boolean startFingerprintCalOptical(String step) {
        String topActivityName = FtUtil.getStringTopActiviy(this.context);
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "startFingerprintCalOptical", "topActivityName : " + topActivityName);
        if (topActivityName == null || !topActivityName.contains("UIFingerprintCalTest")) {
            return false;
        }
        Intent i = new Intent("com.sec.factory.aporiented.athandler.ACTION_SNR_CAL_OPTICAL");
        i.putExtra("STEP", step);
        this.context.sendBroadcast(i);
        return true;
    }

    public boolean stopFingerprintCalOptical() {
        String topActivityName = FtUtil.getStringTopActiviy(this.context);
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "stopFingerprintCalOptical", "topActivityName : " + topActivityName);
        if (topActivityName == null || !topActivityName.contains("UIFingerprintCalTest")) {
            return false;
        }
        this.context.sendBroadcast(new Intent("com.sec.factory.aporiented.athandler.ACTION_SNR_CAL_OPTICAL_STOP"));
        return true;
    }

    public boolean startFingerPrintSNRService() {
        Intent i;
        FtUtil.log_i(this.CLASS_NAME, "startFingerPrintSNRService", null);
        String mFingerPrint_Vendor = Support.Kernel.read(Support.Kernel.FINGERPRINT_VENDOR);
        if ("EGISTEC".equals(mFingerPrint_Vendor)) {
            i = new Intent(MSG_SNR_START_BUTTON_PRESSED);
        } else if ("GOODIX".equals(mFingerPrint_Vendor)) {
            i = new Intent(MSG_SNR_START_BUTTON_PRESSED);
        } else if ("QCOM".equals(mFingerPrint_Vendor)) {
            i = new Intent(MSG_SNR_START_BUTTON_PRESSED);
        } else {
            i = new Intent("com.sec.factory.app.ui.UiFingerPrintTest_namsan.START_SNR_TEST");
        }
        this.context.sendBroadcast(i);
        return true;
    }

    public boolean startFingerPrintService() {
        FtUtil.log_d(this.CLASS_NAME, "startFingerPrintService", null);
        Intent i = null;
        String mFingerPrint_Vendor = Support.Kernel.read(Support.Kernel.FINGERPRINT_VENDOR);
        if ("GOODIX".equals(mFingerPrint_Vendor)) {
            i = new Intent(this.context, FingerprintServiceGoodix.class);
        } else if ("EGISTEC".equals(mFingerPrint_Vendor)) {
            i = new Intent(this.context, FingerprintServiceEgis.class);
        } else if ("QCOM".equals(mFingerPrint_Vendor)) {
            i = new Intent(this.context, FingerprintServiceQcom.class);
        } else {
            FtUtil.log_d(this.CLASS_NAME, "startFingerPrintService", "Can not find the vendor's name or chip's name");
        }
        if (i != null) {
            mFingerPrintServiceComponentName = this.context.startService(i);
        }
        if (mFingerPrintServiceComponentName != null) {
            return true;
        }
        return false;
    }

    public boolean stopFingerPrintService() {
        FtUtil.log_i(this.CLASS_NAME, "stopFingerPrintService", null);
        if (mFingerPrintServiceComponentName == null) {
            return true;
        }
        Intent i = new Intent();
        i.setComponent(mFingerPrintServiceComponentName);
        boolean result = this.context.stopService(i);
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "stopFingerPrintService", "StopService reuslt " + result);
        mFingerPrintServiceComponentName = null;
        return true;
    }

    public boolean startAccCoverService() {
        FtUtil.log_i(this.CLASS_NAME, "startAccCoverService", null);
        ComponentName startService = this.context.startService(new Intent(this.context, AccCoverService.class));
        mAccCoverServiceComponentName = startService;
        if (startService != null) {
            return true;
        }
        return false;
    }

    public boolean stopAccCoverService() {
        FtUtil.log_i(this.CLASS_NAME, "stopAccCoverService", null);
        if (mAccCoverServiceComponentName == null) {
            return true;
        }
        Intent i = new Intent();
        i.setComponent(mAccCoverServiceComponentName);
        boolean result = this.context.stopService(i);
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "stopAccCoverService", "StopService reuslt " + result);
        mAccCoverServiceComponentName = null;
        return true;
    }

    public boolean startIDChipNFC() {
        FtUtil.log_i(this.CLASS_NAME, "startIDChipNFC");
        ModuleCoverID moduleCoverID = new ModuleCoverID(this.CLASS_NAME, this.context, new ModuleCoverID.CoverIDListener() {
            /* class com.sec.factory.aporiented.athandler.AtMulfuncf.AnonymousClass2 */

            @Override // com.sec.factory.modules.ModuleCoverID.CoverIDListener
            public void onAuthenticationResult(String result, String serialNo, String id, String attachInfo, String detachInfo) {
                AtMulfuncf.this.stopIDChipNFC();
                if (result == null) {
                    FtUtil.log_w(AtMulfuncf.this.CLASS_NAME, "startIDChipNFC", "result is null");
                } else if (result.equalsIgnoreCase("OK")) {
                    AtMulfuncf.this.setTestResult((AtMulfuncf) FactoryTestManager.TEST_IDCHECK, (byte) 80);
                } else {
                    String str = AtMulfuncf.this.CLASS_NAME;
                    FtUtil.log_w(str, "startIDChipNFC", "result :" + result);
                    AtMulfuncf.this.setTestResult((AtMulfuncf) FactoryTestManager.TEST_IDCHECK, (byte) 70);
                }
                AtMulfuncf.this.context.sendBroadcast(ModuleNfc.NfcFunctions.NFC_DISABLE_DISCOVERY.getNfcIntent());
            }
        });
        this.mNfcCoverID = moduleCoverID;
        moduleCoverID.registerReceiver(ModuleCoverID.ACTION_START_AUTHENTICATION_RESULT);
        this.mNfcCoverID.sendRequest(ModuleCoverID.ACTION_START_AUTHENTICATION_REQUEST);
        return true;
    }

    public boolean stopIDChipNFC() {
        FtUtil.log_i(this.CLASS_NAME, "stopIDChipNFC");
        ModuleCoverID moduleCoverID = this.mNfcCoverID;
        if (moduleCoverID == null) {
            return true;
        }
        moduleCoverID.unRegisterReceiver();
        this.mNfcCoverID = null;
        return true;
    }

    public boolean startMotorService() {
        FtUtil.log_i(this.CLASS_NAME, "startMotorService", null);
        ComponentName startService = this.context.startService(new Intent(this.context, MotorService.class));
        mMotorServiceComponentName = startService;
        if (startService != null) {
            return true;
        }
        return false;
    }

    public boolean stopMotorService() {
        FtUtil.log_i(this.CLASS_NAME, "stopMotorService", null);
        if (mMotorServiceComponentName == null) {
            return true;
        }
        Intent i = new Intent();
        i.setComponent(mMotorServiceComponentName);
        boolean result = this.context.stopService(i);
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "stopMotorService", "StopService result " + result);
        mMotorServiceComponentName = null;
        return true;
    }

    public boolean startOisService(int testID) {
        FtUtil.log_i(this.CLASS_NAME, "startOisService", null);
        Intent i = new Intent(this.context, OisService.class);
        i.putExtra("testID", testID);
        ComponentName startService = this.context.startService(i);
        mOisServiceComponentName = startService;
        if (startService != null) {
            return true;
        }
        return false;
    }

    public boolean stopOisService() {
        FtUtil.log_i(this.CLASS_NAME, "stopOisService", null);
        if (mOisServiceComponentName == null) {
            return true;
        }
        Intent i = new Intent();
        i.setComponent(mOisServiceComponentName);
        boolean result = this.context.stopService(i);
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "stopOisService", "StopService result " + result);
        mOisServiceComponentName = null;
        return true;
    }

    public boolean startGeoMagneticService() {
        FtUtil.log_i(this.CLASS_NAME, "startGeoMagneticService", null);
        ComponentName startService = this.context.startService(new Intent(this.context, GeoMagneticService.class));
        mGeoMagneticServiceComponentName = startService;
        if (startService != null) {
            return true;
        }
        return false;
    }

    public boolean stopGeoMagneticService() {
        FtUtil.log_i(this.CLASS_NAME, "stopGeoMagneticService", null);
        if (mGeoMagneticServiceComponentName == null) {
            return true;
        }
        Intent i = new Intent();
        i.setComponent(mGeoMagneticServiceComponentName);
        boolean result = this.context.stopService(i);
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "stopGeoMagneticService", "StopService reuslt " + result);
        mGeoMagneticServiceComponentName = null;
        return result;
    }

    public boolean startAccGyroService() {
        FtUtil.log_i(this.CLASS_NAME, "startAccGyroService", null);
        Intent i = new Intent(this.context, AccGyroService.class);
        i.putExtra("sub_sensor", false);
        ComponentName startService = this.context.startService(i);
        mAccGyroServiceComponentName = startService;
        if (startService != null) {
            return true;
        }
        return false;
    }

    public boolean startSubAccGyroService() {
        FtUtil.log_i(this.CLASS_NAME, "startSubAccGyroService", null);
        Intent i = new Intent(this.context, AccGyroService.class);
        i.putExtra("sub_sensor", true);
        ComponentName startService = this.context.startService(i);
        mSubAccGyroServiceComponentName = startService;
        if (startService != null) {
            return true;
        }
        return false;
    }

    public boolean stopAccGyroService() {
        FtUtil.log_i(this.CLASS_NAME, "stopAccGyroService", null);
        if (mAccGyroServiceComponentName == null) {
            return true;
        }
        Intent i = new Intent();
        i.setComponent(mAccGyroServiceComponentName);
        boolean result = this.context.stopService(i);
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "stopAccGyroService", "StopService reuslt " + result);
        mAccGyroServiceComponentName = null;
        return result;
    }

    public boolean stopSubAccGyroService() {
        FtUtil.log_i(this.CLASS_NAME, "stopSubAccGyroService", null);
        if (mSubAccGyroServiceComponentName == null) {
            return true;
        }
        Intent i = new Intent();
        i.setComponent(mSubAccGyroServiceComponentName);
        boolean result = this.context.stopService(i);
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "stopSubAccGyroService", "StopService reuslt " + result);
        mSubAccGyroServiceComponentName = null;
        return result;
    }

    public boolean startNFCTestService() {
        FtUtil.log_i(this.CLASS_NAME, "startNFCTestService", null);
        ComponentName startService = this.context.startService(new Intent(this.context, FactoryNfcTestService.class));
        mNFCServiceComponentName = startService;
        if (startService != null) {
            return true;
        }
        return false;
    }

    public boolean stopNFCTestService() {
        FtUtil.log_i(this.CLASS_NAME, "stopNFCTestService", null);
        if (mNFCServiceComponentName == null) {
            return true;
        }
        Intent i = new Intent();
        i.setComponent(mNFCServiceComponentName);
        boolean result = this.context.stopService(i);
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "stopNFCTestService", "StopService reuslt " + result);
        mNFCServiceComponentName = null;
        return true;
    }

    public boolean startNFC2TestService() {
        FtUtil.log_i(this.CLASS_NAME, "startNFC2TestService", null);
        ComponentName startService = this.context.startService(new Intent(this.context, FactoryNfc2TestService.class));
        mNFCServiceComponentName = startService;
        if (startService != null) {
            return true;
        }
        return false;
    }

    public boolean stopNFC2TestService() {
        FtUtil.log_i(this.CLASS_NAME, "stopNFC2TestService", null);
        if (mNFCServiceComponentName == null) {
            return true;
        }
        Intent i = new Intent();
        i.setComponent(mNFCServiceComponentName);
        boolean result = this.context.stopService(i);
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "stopNFC2TestService", "StopService reuslt " + result);
        mNFCServiceComponentName = null;
        return true;
    }

    public boolean startHeartRateService() {
        Intent i;
        FtUtil.log_i(this.CLASS_NAME, "startHeartRateService", null);
        if (Support.Feature.getBoolean(Support.Feature.SUPPORT_HRM_CONCEPT_ONCE)) {
            i = new Intent(this.context, HRMServiceOnce.class);
        } else {
            i = new Intent(this.context, HeartRateService.class);
        }
        ComponentName startService = this.context.startService(i);
        mHeartRateServiceComponentName = startService;
        if (startService != null) {
            return true;
        }
        return false;
    }

    public boolean stopHeartRateService() {
        FtUtil.log_i(this.CLASS_NAME, "stopHeartRateService", null);
        if (mHeartRateServiceComponentName == null) {
            return true;
        }
        Intent i = new Intent();
        i.setComponent(mHeartRateServiceComponentName);
        boolean result = this.context.stopService(i);
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "stopHeartRateService", "StopService reuslt " + result);
        mHeartRateServiceComponentName = null;
        return true;
    }

    private boolean startMSTService() {
        FtUtil.log_i(this.CLASS_NAME, "startMSTService", null);
        ComponentName startService = this.context.startService(new Intent(this.context, MSTService.class));
        mMSTServiceComponentName = startService;
        if (startService != null) {
            return true;
        }
        return false;
    }

    public boolean stopMSTService() {
        FtUtil.log_i(this.CLASS_NAME, "stopMSTService", null);
        if (mMSTServiceComponentName == null) {
            return true;
        }
        Intent i = new Intent();
        i.setComponent(mMSTServiceComponentName);
        boolean result = this.context.stopService(i);
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "stopMSTService", "StopService result " + result);
        mMSTServiceComponentName = null;
        return true;
    }

    public boolean startTspSelfTestService() {
        FtUtil.log_i(this.CLASS_NAME, "startTspSelfTestService", null);
        ComponentName startService = this.context.startService(new Intent(this.context, TspSelfTestService.class));
        mTspSelfTestServiceComponentName = startService;
        if (startService != null) {
            return true;
        }
        return false;
    }

    public boolean startSubTspSelfTestService() {
        FtUtil.log_i(this.CLASS_NAME, "startSubTspSelfTestService", null);
        Intent i = new Intent(this.context, TspSelfTestService.class);
        i.putExtra(Support.Feature.LCD_TYPE, 1002);
        ComponentName startService = this.context.startService(i);
        mTspSelfTestServiceComponentName = startService;
        if (startService != null) {
            return true;
        }
        return false;
    }

    public boolean startTspPresentationSelfTestService() {
        FtUtil.log_i(this.CLASS_NAME, "startTspPresentationSelfTestService", null);
        Intent i = new Intent(this.context, TspSelfTestService.class);
        i.putExtra(Support.Feature.LCD_TYPE, 1003);
        ComponentName startService = this.context.startService(i);
        mTspSelfTestServiceComponentName = startService;
        if (startService != null) {
            return true;
        }
        return false;
    }

    public boolean stopTspSelfTestService() {
        FtUtil.log_i(this.CLASS_NAME, "stopTspSelfTestService", null);
        if (mTspSelfTestServiceComponentName == null) {
            return true;
        }
        Intent i = new Intent();
        i.setComponent(mTspSelfTestServiceComponentName);
        boolean result = this.context.stopService(i);
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "stopFingerPrintService", "StopService reuslt " + result);
        mTspSelfTestServiceComponentName = null;
        return true;
    }

    private void startIdDetectCheckTest() {
        new Handler(this.context.getMainLooper()) {
            /* class com.sec.factory.aporiented.athandler.AtMulfuncf.AnonymousClass3 */

            public void handleMessage(Message msg) {
                if (msg.what == 1) {
                    try {
                        AtMulfuncf.this.detectNode = Support.Kernel.read(Support.Kernel.ID_DETECT_TEST);
                        if (AtMulfuncf.access$204(AtMulfuncf.this) <= 5) {
                            String str = AtMulfuncf.this.CLASS_NAME;
                            FtUtil.log_i(str, "mHandlerMSG_DETECT_START_TestCount : " + AtMulfuncf.this.mTestCount);
                            FtUtil.log_i(AtMulfuncf.this.CLASS_NAME, Support.Kernel.ID_DETECT_TEST, AtMulfuncf.this.detectNode);
                            if ("0".equals(AtMulfuncf.this.detectNode)) {
                                FtUtil.log_i(AtMulfuncf.this.CLASS_NAME, "PASS : ID_DETECT_TEST", AtMulfuncf.this.detectNode);
                                AtMulfuncf.this.setTestResult((AtMulfuncf) FactoryTestManager.TEST_IDDETECT, (byte) 80);
                                removeMessages(1);
                                AtMulfuncf.this.mTestCount = 0;
                                sendMessageDelayed(obtainMessage(2), 700);
                                return;
                            }
                            removeMessages(1);
                            sendMessageDelayed(obtainMessage(1), 170);
                            return;
                        }
                        FtUtil.log_i(AtMulfuncf.this.CLASS_NAME, "FAIL : ID_DETECT_TEST", AtMulfuncf.this.detectNode);
                        AtMulfuncf.this.mTestCount = 0;
                        removeMessages(1);
                        sendMessageDelayed(obtainMessage(2), 700);
                    } catch (Exception e) {
                        e.printStackTrace();
                    }
                } else if (msg.what == 2) {
                    try {
                        AtMulfuncf.this.checkNode = Support.Kernel.read(Support.Kernel.ID_CHIP_VERIFY);
                        if (AtMulfuncf.access$204(AtMulfuncf.this) <= 10) {
                            String str2 = AtMulfuncf.this.CLASS_NAME;
                            FtUtil.log_i(str2, "mHandlerMSG_CHECK_START_TestCount : " + AtMulfuncf.this.mTestCount);
                            FtUtil.log_i(AtMulfuncf.this.CLASS_NAME, Support.Kernel.ID_CHIP_VERIFY, AtMulfuncf.this.checkNode);
                            if ("0".equals(AtMulfuncf.this.checkNode)) {
                                FtUtil.log_i(AtMulfuncf.this.CLASS_NAME, "PASS : ID_CHIP_VERIFY", AtMulfuncf.this.checkNode);
                                AtMulfuncf.this.setTestResult((AtMulfuncf) FactoryTestManager.TEST_IDCHECK, (byte) 80);
                                removeMessages(2);
                                AtMulfuncf.this.mTestCount = 0;
                                return;
                            }
                            removeMessages(2);
                            sendMessageDelayed(obtainMessage(2), 170);
                            return;
                        }
                        FtUtil.log_i(AtMulfuncf.this.CLASS_NAME, "FAIL : ID_CHIP_VERIFY", AtMulfuncf.this.checkNode);
                        removeMessages(2);
                        AtMulfuncf.this.mTestCount = 0;
                    } catch (Exception e2) {
                        e2.printStackTrace();
                    }
                }
            }
        }.sendEmptyMessageDelayed(1, 170);
        this.writer.write(responseOK(EgisFingerprint.MAJOR_VERSION));
    }

    private boolean startMicEchoService() {
        FtUtil.log_i(this.CLASS_NAME, "startMicEchoService", null);
        if (this.context.startService(new Intent(this.context, MicEchoService.class)) != null) {
            return true;
        }
        return false;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setTestResult(byte id, byte result) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "setTestResult, id: " + ((int) id) + " , result:" + ((int) result));
        int itemid = FactoryTestManager.getItemPosition_ID(id);
        if (itemid > -1) {
            String str2 = this.CLASS_NAME;
            FtUtil.log_i(str2, "setTestResult itemid: " + itemid);
            FactoryTestManager.setItemResult(itemid, result);
            FactoryTestManager.notifyDataSetChanged();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setTestResult(int id, byte result) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "setTestResult, id: " + id + " , result:" + ((int) result));
        int itemid = FactoryTestManager.getItemPosition_ID(id);
        if (itemid > -1) {
            String str2 = this.CLASS_NAME;
            FtUtil.log_i(str2, "setTestResult itemid: " + itemid);
            FactoryTestManager.setItemResult(itemid, result);
            FactoryTestManager.notifyDataSetChanged();
        }
    }

    private boolean startAccSensorCheck() {
        FtUtil.log_i(this.CLASS_NAME, "startAccSensorCheck");
        this.mSensorID = new int[]{ModuleSensor.ID_FILE____ACCELEROMETER, ModuleSensor.ID_FILE____ACCELEROMETER_SELF, ModuleSensor.ID_FILE____ACCELEROMETER_SELFTEST, ModuleSensor.ID_FILE____ACCELEROMETER_CAL, ModuleSensor.ID_FILE____ACCELEROMETER_INTPIN, ModuleSensor.ID_MANAGER_ACCELEROMETER};
        if (!mModuleSensor.isSensorOn(ModuleSensor.ID_MANAGER_ACCELEROMETER)) {
            mModuleSensor.SensorOn(this.mSensorID);
        }
        for (int i = 0; i < 15 && !mModuleSensor.isSensorReady(ModuleSensor.ID_MANAGER_ACCELEROMETER); i++) {
            FtUtil.log_d(this.CLASS_NAME, "startAccSensorCheck", "Waiting SensorReady");
            FtUtil.Sleep.sleep(100);
        }
        Thread thread = new Thread(new Runnable() {
            /* class com.sec.factory.aporiented.athandler.AtMulfuncf.AnonymousClass5 */

            public void run() {
                boolean z;
                int i;
                int i2;
                boolean res2;
                boolean res1 = false;
                int res22 = 0;
                int i3 = 0;
                AtMulfuncf.this.isAccCheckRunning = true;
                AtMulfuncf.this.handler.sendEmptyMessageDelayed(0, 50000);
                while (true) {
                    if (!AtMulfuncf.this.isAccCheckRunning) {
                        break;
                    }
                    if (i3 < 3) {
                        int i4 = i3 + 1;
                        AtMulfuncf.this.iCoordinates = AtCommandHandler.mModuleSensor.getData(ModuleSensor.ID_MANAGER_ACCELEROMETER_N_ANGLE);
                        if (AtMulfuncf.this.iCoordinates != null) {
                            String str = AtMulfuncf.this.CLASS_NAME;
                            FtUtil.log_i(str, "Initial Value", "AP [Coordinates] X:" + AtMulfuncf.this.iCoordinates[2] + "\t, Y:" + AtMulfuncf.this.iCoordinates[3] + "\t, Z:" + AtMulfuncf.this.iCoordinates[4] + "\nAP [___Angle___] X:" + AtMulfuncf.this.iCoordinates[5] + "\t, Y:" + AtMulfuncf.this.iCoordinates[6] + "\t, Z:" + AtMulfuncf.this.iCoordinates[7]);
                        }
                        i = i4;
                        z = false;
                    } else {
                        String[] data = AtCommandHandler.mModuleSensor.getData(ModuleSensor.ID_MANAGER_ACCELEROMETER_N_ANGLE);
                        String str2 = AtMulfuncf.this.CLASS_NAME;
                        FtUtil.log_i(str2, "Sensor Value", "AP [Coordinates] X:" + data[2] + "\t, Y:" + data[3] + "\t, Z:" + data[4] + "\nAP [___Angle___] X:" + data[5] + "\t, Y:" + data[6] + "\t, Z:" + data[7]);
                        if (data != null) {
                            if (!res1 && Math.abs(Integer.parseInt(AtMulfuncf.this.iCoordinates[5]) - Integer.parseInt(data[5])) >= 70 && Math.abs(Integer.parseInt(AtMulfuncf.this.iCoordinates[7]) - Integer.parseInt(data[7])) >= 70) {
                                String str3 = AtMulfuncf.this.CLASS_NAME;
                                FtUtil.log_d(str3, "Sensor Result", "OK X: " + data[5] + " Z: " + data[7]);
                                res1 = true;
                            }
                            if (res22 == 0 && Math.abs(Integer.parseInt(AtMulfuncf.this.iCoordinates[7]) - Integer.parseInt(data[7])) >= 70 && Math.abs(Integer.parseInt(AtMulfuncf.this.iCoordinates[6]) - Integer.parseInt(data[6])) >= 70) {
                                String str4 = AtMulfuncf.this.CLASS_NAME;
                                FtUtil.log_d(str4, "Sensor Result", "OK Y: " + data[6] + " Z: " + data[7]);
                                res22 = 1;
                            }
                            if (res1 && res22 != 0) {
                                FtUtil.log_d(AtMulfuncf.this.CLASS_NAME, "startAccSensorCheck", "PASS");
                                NVAccessor.setNV(126, (byte) 80);
                                AtMulfuncf.this.isAccCheckRunning = false;
                                AtMulfuncf.this.handler.removeMessages(0);
                                break;
                            }
                            z = false;
                            i = i3;
                        } else {
                            z = false;
                            i = i3;
                            i2 = res22;
                            res2 = res1;
                            Thread.sleep(30);
                            res1 = res2;
                            res22 = i2;
                            i3 = i;
                        }
                    }
                    i2 = res22;
                    res2 = res1;
                    try {
                        Thread.sleep(30);
                    } catch (InterruptedException e) {
                        e.printStackTrace();
                    }
                    res1 = res2;
                    res22 = i2;
                    i3 = i;
                }
                AtCommandHandler.mModuleSensor.SensorOff(AtMulfuncf.this.mSensorID);
            }
        });
        this.accCheck = thread;
        thread.start();
        return true;
    }

    private boolean stopAccSensorCheck() {
        FtUtil.log_i(this.CLASS_NAME, "stopAccSensorCheck");
        Thread thread = this.accCheck;
        if (thread == null || !thread.isAlive()) {
            return true;
        }
        this.handler.sendEmptyMessage(0);
        return true;
    }

    private boolean startSpenCheck() {
        FtUtil.log_i(this.CLASS_NAME, "startSpenCheck");
        this.context.registerReceiver(this.SpenDetectionReceiver, new IntentFilter("com.samsung.pen.INSERT"));
        FtUtil.log_d(this.CLASS_NAME, "startSpenCheck", "registerReceiver");
        Thread thread = new Thread(new Runnable() {
            /* class com.sec.factory.aporiented.athandler.AtMulfuncf.AnonymousClass6 */

            public void run() {
                FtUtil.log_d(AtMulfuncf.this.CLASS_NAME, "startSpenCheck", "Start thread");
                int countInsert = 0;
                int countRelease = 0;
                AtMulfuncf.this.handler.sendEmptyMessageDelayed(1, 50000);
                AtMulfuncf.this.isSpenCheckRunning = true;
                boolean prevState = false;
                while (true) {
                    if (AtMulfuncf.this.isSpenCheckRunning) {
                        if (countInsert >= 2 && countRelease >= 1) {
                            FtUtil.log_d(AtMulfuncf.this.CLASS_NAME, "startSpenCheck", "PASS");
                            String str = AtMulfuncf.this.CLASS_NAME;
                            FtUtil.log_d(str, "startSpenCheck", "Insert: " + countInsert + " Release: " + countRelease);
                            NVAccessor.setNV(68, (byte) 80);
                            AtMulfuncf.this.isSpenCheckRunning = false;
                            AtMulfuncf.this.handler.removeMessages(1);
                            break;
                        } else if (prevState != AtMulfuncf.this.spenInserted) {
                            String str2 = AtMulfuncf.this.CLASS_NAME;
                            FtUtil.log_d(str2, "startSpenCheck", "spenInserted: " + AtMulfuncf.this.spenInserted);
                            prevState = AtMulfuncf.this.spenInserted;
                            if (AtMulfuncf.this.spenInserted) {
                                countInsert++;
                                String str3 = AtMulfuncf.this.CLASS_NAME;
                                FtUtil.log_d(str3, "startSpenCheck", "Insert: " + countInsert + " Release: " + countRelease);
                            } else {
                                countRelease++;
                                String str4 = AtMulfuncf.this.CLASS_NAME;
                                FtUtil.log_d(str4, "startSpenCheck", "Insert: " + countInsert + " Release: " + countRelease);
                            }
                        }
                    } else {
                        break;
                    }
                }
                FtUtil.log_d(AtMulfuncf.this.CLASS_NAME, "startSpenCheck", "Unregister SpenDetectionReceiver");
                AtMulfuncf.this.context.unregisterReceiver(AtMulfuncf.this.SpenDetectionReceiver);
            }
        });
        this.spenCheck = thread;
        thread.start();
        return true;
    }

    private boolean stopSpenCheck() {
        FtUtil.log_i(this.CLASS_NAME, "stopSpenCheck");
        Thread thread = this.spenCheck;
        if (thread != null && thread.isAlive()) {
            this.handler.sendEmptyMessage(1);
        }
        return true;
    }

    private boolean startProxHoverSelftest() {
        FtUtil.log_i(this.CLASS_NAME, "startProxHoverSelftest", null);
        ComponentName startService = this.context.startService(new Intent(this.context, ProximityHoverService.class));
        mProxHoverServiceComponentName = startService;
        if (startService != null) {
            return true;
        }
        return false;
    }

    private boolean stopProxHoverSelftest() {
        FtUtil.log_i(this.CLASS_NAME, "stopProxHoverSelftest", null);
        if (mProxHoverServiceComponentName == null) {
            return true;
        }
        Intent i = new Intent();
        i.setComponent(mProxHoverServiceComponentName);
        boolean result = this.context.stopService(i);
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "stopProxHoverSelftest", "StopService reuslt " + result);
        mProxHoverServiceComponentName = null;
        return result;
    }

    /* access modifiers changed from: protected */
    public void startCameraReceiver() {
        IntentFilter mFilter = new IntentFilter();
        mFilter.addAction("com.sec.factory.camera.ACTION_TEST_STATUS");
        FtUtil.log_d(this.CLASS_NAME, "startCameraReceiver", "request to register cameraReceiver - start");
        this.context.registerReceiver(this.cameraReceiver, mFilter);
        FtUtil.log_d(this.CLASS_NAME, "startCameraReceiver", "request to register cameraReceiver - done");
    }

    private void sendCameraBroadcast(String[] arg) {
        Intent i = new Intent("com.sec.samsungtest.ACTION_CAMERATEST");
        i.putExtra("testtype", "MULFUNCF");
        i.putExtra("arg1", arg[0]);
        i.putExtra("arg2", arg[1]);
        i.putExtra("arg3", arg[2]);
        i.putExtra("arg4", arg[3]);
        i.addFlags(268435456);
        i.addFlags(16777216);
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "sendCameraIntent", "MULFUNCF=" + arg[0] + "," + arg[1] + "," + arg[2] + "," + arg[3]);
        this.context.sendBroadcast(i, "com.sec.factory.cameralyzer.PERMISSION_CAMERASCRIPT");
    }
}
