package com.sec.factory.aporiented.athandler;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import com.sec.factory.aporiented.ResponseWriter;
import com.sec.factory.support.FtUtil;
import java.util.ArrayList;
import java.util.Arrays;

public class AtNadcheck extends AtCommandHandler {
    private final String REQ_KQT_AT_COMMAND = "com.sec.factory.REQ_KQT_AT_COMMAND";
    private final String RES_KQT_AT_COMMAND = "com.sec.factory.RES_KQT_AT_COMMAND";
    private Context mContext;
    protected BroadcastReceiver mReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.aporiented.athandler.AtNadcheck.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            AtNadcheck atNadcheck = AtNadcheck.this;
            atNadcheck.stopReceiver(atNadcheck.mReceiver);
            String action = intent.getAction();
            String str = AtNadcheck.this.CLASS_NAME;
            FtUtil.log_d(str, "onReceive", "action : " + action);
            if ("com.sec.factory.RES_KQT_AT_COMMAND".equals(action)) {
                String result = intent.getExtras().getString("result");
                String str2 = AtNadcheck.this.CLASS_NAME;
                FtUtil.log_d(str2, "onReceive", "result : " + result);
                AtNadcheck.this.writer.write(result);
            }
        }
    };

    public AtNadcheck(Context context, ResponseWriter writer) {
        super(context);
        this.mContext = context;
        this.CMD_NAME = "NADCHECK";
        this.CLASS_NAME = "AtNadcheck";
        this.writer = writer;
        this.NUM_ARGS = 4;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public void startReceiver() {
        IntentFilter mFilter = new IntentFilter();
        mFilter.addAction("com.sec.factory.RES_KQT_AT_COMMAND");
        FtUtil.log_d(this.CLASS_NAME, "startReceiver", "request to register mReceiver - start");
        this.context.registerReceiver(this.mReceiver, mFilter);
        FtUtil.log_d(this.CLASS_NAME, "startReceiver", "request to register mReceiver - done");
    }

    public void sendIntent(String[] argu) {
        Intent i = new Intent("com.sec.factory.REQ_KQT_AT_COMMAND");
        i.putExtra("cmd", "NADCHECK");
        i.setPackage("com.factory.kernelqualitytest");
        i.putStringArrayListExtra("argu", new ArrayList<>(Arrays.asList(argu)));
        for (String arg : argu) {
            FtUtil.log_d(this.CLASS_NAME, "sendIntent", "arg : " + arg);
        }
        this.context.sendBroadcast(i);
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        startReceiver();
        sendIntent(argu);
        return null;
    }
}
