package com.sec.factory.aporiented.athandler;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.os.SystemProperties;
import com.sec.factory.aporiented.ResponseWriter;
import com.sec.factory.support.FtUtil;
import egis.client.api.EgisFingerprint;

public class AtNcamtest extends AtCommandHandler {
    public static final int STOP_RECEIVE_FRS_RESPONSE = 0;
    public static final int TIMEOUT = 15000;
    private static String returnArgu = "0";
    private Handler handler = new Handler(Looper.getMainLooper()) {
        /* class com.sec.factory.aporiented.athandler.AtNcamtest.AnonymousClass2 */

        public void handleMessage(Message msg) {
            if (msg.what == 0) {
                FtUtil.log_d(AtNcamtest.this.CLASS_NAME, "handleMessage", "STOP_RECEIVER_RESPONSE");
                AtNcamtest.this.handler.removeMessages(0);
                AtNcamtest.this.writer.write(AtNcamtest.this.responseNG("0"));
            }
            super.handleMessage(msg);
        }
    };
    private Context mContext;
    public BroadcastReceiver mReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.aporiented.athandler.AtNcamtest.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            AtNcamtest atNcamtest = AtNcamtest.this;
            atNcamtest.stopReceiver(atNcamtest.mReceiver);
            String mAction = intent.getAction();
            AtNcamtest.this.handler.removeMessages(0);
            String str = AtNcamtest.this.CLASS_NAME;
            FtUtil.log_d(str, "onReceive", "mAction : " + mAction);
            if ("com.sec.factory.camera.ACTION_TEST_STATUS".equals(mAction)) {
                FtUtil.log_d(AtNcamtest.this.CLASS_NAME, "onReceive", "ACTION_TEST_STATUS");
                String mActionResult = intent.getStringExtra("result");
                String str2 = AtNcamtest.this.CLASS_NAME;
                FtUtil.log_d(str2, "onReceive", "mActionResult : " + mActionResult);
                AtNcamtest.this.writer.write(AtNcamtest.this.responseString(AtNcamtest.returnArgu, mActionResult));
            }
        }
    };

    public AtNcamtest(Context context, ResponseWriter writer) {
        super(context);
        this.CMD_NAME = "NCAMTEST";
        this.CLASS_NAME = "AtNcamtest";
        this.mContext = context;
        this.NUM_ARGS = 4;
        this.writer = writer;
    }

    public AtNcamtest(Context context, ResponseWriter writer, int commandType) {
        super(context);
        this.CMD_NAME = "NCAMTEST";
        this.CLASS_NAME = "AtNcamtest";
        this.mContext = context;
        this.NUM_ARGS = 4;
        this.writer = writer;
        this.mCommandType = commandType;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public void startReceiver() {
        IntentFilter mFilter = new IntentFilter();
        mFilter.addAction("com.sec.factory.camera.ACTION_TEST_STATUS");
        FtUtil.log_d(this.CLASS_NAME, "startReceiver", "request to register mReceiver - start");
        this.context.registerReceiver(this.mReceiver, mFilter);
        FtUtil.log_d(this.CLASS_NAME, "startReceiver", "request to register mReceiver - done");
    }

    private void sendCameraBroadcast(String[] arg) {
        returnArgu = arg[0];
        Intent i = new Intent("com.sec.samsungtest.ACTION_CAMERATEST");
        i.putExtra("testtype", "NCAMTEST");
        i.putExtra("arg1", arg[0]);
        i.putExtra("arg2", arg[1]);
        i.putExtra("arg3", arg[2]);
        i.putExtra("arg4", arg[3]);
        i.addFlags(268435456);
        i.addFlags(16777216);
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "sendCameraIntent", "NCAMTEST=" + arg[0] + "," + arg[1] + "," + arg[2] + "," + arg[3]);
        this.context.sendBroadcast(i, "com.sec.factory.cameralyzer.PERMISSION_CAMERASCRIPT");
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData = null;
        int firstApiLevel = SystemProperties.getInt("ro.product.first_api_level", 0);
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "handleCommand", "argu : " + argu[0] + "," + argu[1] + "," + argu[2] + "," + argu[3]);
        if (FtUtil.isFactoryBinary() || firstApiLevel >= 28) {
            startReceiver();
            sendCameraBroadcast(argu);
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "0", "0"}) || checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "0", EgisFingerprint.MAJOR_VERSION}) || checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "0", "2"}) || checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, "0"}) || checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION}) || checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, "2"}) || checkArgu(argu, new String[]{"5", EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, "0"}) || checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "2", "0", EgisFingerprint.MAJOR_VERSION}) || checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "2", "0"}) || checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.JAR_VERSION, "0"}) || checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.JAR_VERSION, "2", "0"}) || checkArgu(argu, new String[]{"0", "0", EgisFingerprint.MAJOR_VERSION}) || checkArgu(argu, new String[]{"0", "0", "2"}) || checkArgu(argu, new String[]{"0", "0", "6"}) || checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0"}) || checkArgu(argu, new String[]{"5", "0", "0"}) || checkArgu(argu, new String[]{"5", EgisFingerprint.MAJOR_VERSION, "0"}) || checkArgu(argu, new String[]{"2", "0", EgisFingerprint.MAJOR_VERSION}) || checkArgu(argu, new String[]{"2", "0", "0"}) || checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.JAR_VERSION, "0"}) || checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.JAR_VERSION, EgisFingerprint.MAJOR_VERSION}) || checkArgu(argu, new String[]{"6", "0", "0"})) {
            if (this.mCommandType == 1) {
                this.writer.write(echoString(argu));
            }
            startReceiver();
            sendCameraBroadcast(argu);
        } else {
            resData = "NOT_APPLICABLE";
        }
        return resData;
    }
}
