package com.sec.factory.aporiented.athandler;

import android.content.Context;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.math.BigInteger;
import java.security.MessageDigest;

public class AtNeedcmdt extends AtCommandHandler {
    public AtNeedcmdt(Context context) {
        super(context);
        this.CMD_NAME = "NEEDCMDT";
        this.CLASS_NAME = "AtNeedcmdt";
        this.NUM_ARGS = 4;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (argu.length < this.NUM_ARGS) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", "0", "0"})) {
            String key = argu[3];
            int sum = 0;
            String result = getMd5SumValue(Support.Feature.getString(Support.Feature.MODEL_NAME)) + getMd5SumValue(Support.Kernel.getUniqueNumber()) + getMd5SumValue(Support.Kernel.read(Support.Kernel.SERIAL_NO));
            for (int i = 0; i < result.length(); i++) {
                sum += result.charAt(i) - '0';
            }
            if ((result + Integer.toString(sum)).equalsIgnoreCase(key)) {
                Support.Properties.set(Support.Properties.FACM_SECURITY_MODE, EgisFingerprint.MAJOR_VERSION);
                resData = responseOK(argu[0]);
            } else {
                Support.Properties.set(Support.Properties.FACM_SECURITY_MODE, "0");
                resData = responseNG(argu[0]);
            }
        } else {
            resData = responseNA();
        }
        return resData;
    }

    public String getMd5SumValue(String value) {
        String result = "";
        try {
            MessageDigest md = MessageDigest.getInstance("MD5");
            md.update(value.getBytes(), 0, value.length());
            result = "00000000000000000000000000000000" + new BigInteger(1, md.digest()).toString(16);
            return result.substring(result.length() - 32, result.length());
        } catch (Exception e) {
            return result;
        }
    }
}
