package com.sec.factory.aporiented.athandler;

import android.content.ActivityNotFoundException;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.nfc.NfcAdapter;
import android.os.Handler;
import android.os.Message;
import com.samsung.android.nfc.t4t.T4tAdapter;
import com.sec.factory.aporiented.ResponseWriter;
import com.sec.factory.modules.ModuleCommunication;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.modules.ModuleNfc;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.NVAccessor;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.File;

public class AtNfcmtest extends AtCommandHandler {
    private static final String ACTION_ESE_TEST_RESPONSE = "com.samsung.android.ese.test.action.RESPONSE";
    private static final String ACTION_NFC_STOP_APC = "com.samsung.android.nfc.action.STOP_APC";
    private static final String ACTION_NFC_STOP_APC_RESP = "com.samsung.android.nfc.action.STOP_APC_RESP";
    private static final String ACTION_NFC_TEST_RESPONSE = "com.samsung.android.nfc.test.action.RESPONSE";
    private static final String ESE_EXTRA_CMD = "com.samsung.android.ese.test.extra.CMD";
    private static final String ESE_EXTRA_DATA_INTEGER = "com.samsung.android.ese.test.extra.DATA_INTEGER";
    private static final String ESE_EXTRA_DATA_STRING = "com.samsung.android.ese.test.extra.DATA_STRING";
    private static final String ESE_EXTRA_ID = "com.samsung.android.ese.test.extra.ID";
    private static final String EXTRA_CMD = "com.samsung.android.nfc.test.extra.CMD";
    private static final String EXTRA_DATA_INTEGER = "com.samsung.android.nfc.test.extra.DATA_INTEGER";
    private static final String EXTRA_DATA_STRING = "com.samsung.android.nfc.test.extra.DATA_STRING";
    private static final String EXTRA_ID = "com.samsung.android.nfc.test.extra.ID";
    private static final String FELICA_CAL_FILE_PATH = "data/log/FelicaCal.log";
    private static final int INDICATION_V1 = 21;
    private static final int INDICATION_V2 = 22;
    private static final int INDICATION_V3 = 23;
    private static final String STRING_T4T_EMUL = "com.samsung.android.nfc.t4temul";
    private final String ACTION_NFC_RESPONSE = ModuleNfc.ACTION_NFC_RESPONSE;
    private final String ACTION_NFC_RESPONSE_V2 = "com.sec.android.app.nfctest.NFC_TEST_RESPONSE_V2";
    private final String ACTION_NFC_RESPONSE_V3 = ModuleNfc.ACTION_NFC_RESPONSE_V3;
    private boolean mEndReceiver = true;
    private NfcAdapter mNfcAdapter;
    private Handler mNfcTestHandler;
    public BroadcastReceiver mReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.aporiented.athandler.AtNfcmtest.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            String action = intent.getAction();
            if (ModuleNfc.ACTION_NFC_RESPONSE.equals(action) || "com.sec.android.app.nfctest.NFC_TEST_RESPONSE_V2".equals(action) || ModuleNfc.ACTION_NFC_RESPONSE_V3.equals(action)) {
                FtUtil.log_d(AtNfcmtest.this.CLASS_NAME, "Receive ACTION_NFC_RESPONSE(V1/V2/V3)");
                if (AtNfcmtest.this.mEndReceiver) {
                    AtNfcmtest.this.stopReceiver();
                } else {
                    AtNfcmtest.this.mEndReceiver = true;
                }
                String resData = intent.getStringExtra("S_DATA");
                if (resData == null) {
                    resData = intent.getStringExtra("I_DATA");
                }
                int resCmd = intent.getIntExtra(ModuleCommunication.EXTRA_KEY_BT_SERVICE_REQUEST, 0);
                String str = AtNfcmtest.this.CLASS_NAME;
                FtUtil.log_d(str, "onReceive", "resCmd: " + resCmd);
                AtNfcmtest.this.writer.write(AtNfcmtest.this.responseString(String.format("%d", Integer.valueOf(resCmd)), resData));
            } else if ("com.samsung.android.nfc.test.action.RESPONSE".equals(action)) {
                int id = intent.getIntExtra("com.samsung.android.nfc.test.extra.ID", -1);
                switch (id) {
                    case 21:
                    case 22:
                    case 23:
                        FtUtil.log_d(AtNfcmtest.this.CLASS_NAME, "Receive ACTION_NFC_RESPONSE(V1/V2/V3)");
                        if (AtNfcmtest.this.mEndReceiver) {
                            AtNfcmtest.this.stopReceiver();
                        } else {
                            AtNfcmtest.this.mEndReceiver = true;
                        }
                        String resData2 = intent.getStringExtra("com.samsung.android.nfc.test.extra.DATA_STRING");
                        if (resData2 == null) {
                            resData2 = intent.getStringExtra("com.samsung.android.nfc.test.extra.DATA_INTEGER");
                        }
                        int resCmd2 = intent.getIntExtra("com.samsung.android.nfc.test.extra.CMD", 0);
                        String str2 = AtNfcmtest.this.CLASS_NAME;
                        FtUtil.log_d(str2, "onReceive", "resCmd: " + resCmd2);
                        AtNfcmtest.this.writer.write(AtNfcmtest.this.responseString(String.format("%d", Integer.valueOf(resCmd2)), resData2));
                        return;
                    default:
                        String str3 = AtNfcmtest.this.CLASS_NAME;
                        FtUtil.log_e(str3, "Unknown ID: " + id);
                        return;
                }
            } else if ("com.samsung.android.ese.test.action.RESPONSE".equals(action)) {
                int id2 = intent.getIntExtra("com.samsung.android.ese.test.extra.ID", -1);
                switch (id2) {
                    case 21:
                        FtUtil.log_d(AtNfcmtest.this.CLASS_NAME, "Receive ACTION_NFC_RESPONSE(V1)");
                        if (AtNfcmtest.this.mEndReceiver) {
                            AtNfcmtest.this.stopReceiver();
                        } else {
                            AtNfcmtest.this.mEndReceiver = true;
                        }
                        String resData3 = intent.getStringExtra("com.samsung.android.ese.test.extra.DATA_STRING");
                        if (resData3 == null) {
                            resData3 = intent.getStringExtra("com.samsung.android.ese.test.extra.DATA_INTEGER");
                        }
                        int resCmd3 = intent.getIntExtra("com.samsung.android.ese.test.extra.CMD", 0);
                        String str4 = AtNfcmtest.this.CLASS_NAME;
                        FtUtil.log_d(str4, "onReceive", "resCmd: " + resCmd3);
                        AtNfcmtest.this.writer.write(AtNfcmtest.this.responseString(String.format("%d", Integer.valueOf(resCmd3)), resData3));
                        return;
                    default:
                        String str5 = AtNfcmtest.this.CLASS_NAME;
                        FtUtil.log_e(str5, "Unknown ID: " + id2);
                        return;
                }
            } else if (AtNfcmtest.ACTION_NFC_STOP_APC_RESP.equals(action)) {
                FtUtil.log_d(AtNfcmtest.this.CLASS_NAME, "Receive ACTION_NFC_STOP_APC_RESP");
                if (AtNfcmtest.this.mEndReceiver) {
                    AtNfcmtest.this.stopReceiver();
                } else {
                    AtNfcmtest.this.mEndReceiver = true;
                }
                String resData4 = intent.getStringExtra("DATA");
                int resCmd4 = intent.getIntExtra("ATTR", 0);
                String str6 = AtNfcmtest.this.CLASS_NAME;
                FtUtil.log_d(str6, "onReceive", "resCmd: " + resCmd4);
                AtNfcmtest.this.writer.write(AtNfcmtest.this.responseString(String.format("%d", Integer.valueOf(resCmd4)), resData4));
            }
        }
    };

    /* access modifiers changed from: package-private */
    public enum NfcStatus {
        NONE,
        ENABLED,
        ON,
        OFF,
        DISABLED
    }

    public AtNfcmtest(Context context, ResponseWriter writer) {
        super(context);
        this.CMD_NAME = "NFCMTEST";
        this.CLASS_NAME = "AtNfcmtest";
        this.NUM_ARGS = 2;
        this.writer = writer;
        this.mNfcAdapter = NfcAdapter.getDefaultAdapter(context);
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public void startReceiver() {
        IntentFilter filter = new IntentFilter();
        filter.addAction(ModuleNfc.ACTION_NFC_RESPONSE);
        filter.addAction("com.sec.android.app.nfctest.NFC_TEST_RESPONSE_V2");
        filter.addAction(ModuleNfc.ACTION_NFC_RESPONSE_V3);
        filter.addAction(ACTION_NFC_STOP_APC_RESP);
        filter.addAction("com.samsung.android.nfc.test.action.RESPONSE");
        filter.addAction("com.samsung.android.ese.test.action.RESPONSE");
        this.context.registerReceiver(this.mReceiver, filter);
    }

    public void stopReceiver() {
        this.context.unregisterReceiver(this.mReceiver);
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        String resData2 = null;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "AT+NFCMTEST=1,1");
            startReceiver();
            sendIntentToGetTagId();
            return null;
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "2"})) {
            String resultCmd = "0";
            String resultUI = "0";
            File detectingCmd = new File("data/log/NfcDetecting_cmd.log");
            File detectingUI = new File("data/log/NfcDetecting_ui.log");
            if (Support.Kernel.isExistFilePath(detectingCmd.getPath())) {
                resultCmd = Support.Kernel.readFromPath(detectingCmd.getPath(), false);
                FtUtil.log_i(this.CLASS_NAME, "handleCommand", "Read Detecting from CMD = " + resultCmd);
            }
            if (Support.Kernel.isExistFilePath(detectingUI.getPath())) {
                resultUI = Support.Kernel.readFromPath(detectingUI.getPath(), false);
                FtUtil.log_i(this.CLASS_NAME, "handleCommand", "Read Detecting from UI = " + resultUI);
            }
            return responseString(argu[0], resultCmd + "," + resultUI);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
            startReceiver();
            sendNfcTestIntent(ModuleNfc.getNfcTestCommandV2(1, 3));
            return null;
        } else if (checkArgu(argu, new String[]{"0", "5"})) {
            startReceiver();
            if (FtUtil.isFactoryBinary()) {
                sendNfcTestIntent(ModuleNfc.getNfcTestCommand(0, 5));
            } else {
                launchSemFactoryActivity();
            }
            return null;
        } else if (checkArgu(argu, new String[]{"0", "A"})) {
            startReceiver();
            if (FtUtil.isFactoryBinary()) {
                sendNfcTestIntent(ModuleNfc.getNfcTestCommand(0, 10));
            } else {
                launchSemFactoryActivity();
            }
            return null;
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.JAR_VERSION})) {
            if (argu[1].equals(EgisFingerprint.MAJOR_VERSION)) {
                Support.Properties.set(Support.Properties.FACM_NFC_TEST, EgisFingerprint.MAJOR_VERSION);
                resData = responseOK(argu[0]);
            } else {
                String nString = String.valueOf(Integer.parseInt(Support.Properties.get(Support.Properties.FACM_NFC_TEST)) + 1);
                if (argu[1].equals(nString)) {
                    Support.Properties.set(Support.Properties.FACM_NFC_TEST, nString);
                    resData = responseOK(argu[0]);
                } else {
                    resData = responseNG(argu[0]);
                }
            }
            return resData;
        } else if (checkArgu(argu, new String[]{"0", "8"})) {
            startReceiver();
            sendNfcTestIntent(ModuleNfc.getNfcTestCommandV2(0, 8));
            return null;
        } else if (checkArgu(argu, new String[]{"0", egis.optical.client.api.EgisFingerprint.JAR_VERSION})) {
            initNvRelatedNfc();
            startReceiver();
            sendNfcTestIntent(ModuleNfc.getNfcTestCommandV2(0, 9));
            return null;
        } else {
            if (checkArgu(argu, new String[]{"0", "0"})) {
                if (!FtUtil.isFactoryBinary()) {
                    resData2 = pollingUntilNfcIsOff() ? responseOK(argu[0]) : responseNG(argu[0]);
                } else {
                    startReceiver();
                    sendNfcTestIntent(ModuleNfc.getNfcTestCommandV2(0, 0));
                }
            } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION})) {
                this.mEndReceiver = false;
                startReceiver();
                sendNfcTestIntent(ModuleNfc.getNfcTestCommandV2(0, 1));
            } else if (checkArgu(argu, new String[]{"0", "2"})) {
                if (ModuleDevice.instance(this.context).isSupportSWP(ModuleDevice.SwpType.SWP1)) {
                    startReceiver();
                    sendNfcTestIntent(ModuleNfc.getNfcTestCommandV2(0, 2));
                } else {
                    resData2 = "\r\n+" + this.CMD_NAME + ":" + argu[0] + ",NA\r\n\r\nOK\r\n";
                }
            } else if (checkArgu(argu, new String[]{"0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
                if (!FtUtil.isFactoryBinary()) {
                    NfcStatus nfcStatus = pollingUntilNfcIsOn(10);
                    resData2 = (nfcStatus == NfcStatus.ON || nfcStatus == NfcStatus.ENABLED) ? responseOK(argu[0]) : responseNG(argu[0]);
                } else {
                    startReceiver();
                    sendNfcTestIntent(ModuleNfc.getNfcTestCommandV2(0, 3));
                }
            } else if (checkArgu(argu, new String[]{"0", "4"})) {
                if (FtUtil.isFactoryBinary()) {
                    if (ModuleNfc.isSupportEseViaSpi(this.context)) {
                        startReceiver();
                        sendNfcTestIntent(ModuleNfc.getNfcTestCommand(0, 4));
                    } else {
                        resData2 = "\r\n+" + this.CMD_NAME + ":" + argu[0] + ",NA\r\n\r\nOK\r\n";
                    }
                }
            } else if (checkArgu(argu, new String[]{"0", "6"})) {
                if (ModuleDevice.instance(this.context).isSupportSWP(ModuleDevice.SwpType.SWP2)) {
                    startReceiver();
                    sendNfcTestIntent(ModuleNfc.getNfcTestCommandV2(0, 6));
                } else {
                    resData2 = "\r\n+" + this.CMD_NAME + ":" + argu[0] + ",NA\r\n\r\nOK\r\n";
                }
            } else if (checkArgu(argu, new String[]{"0", "7"})) {
                if (FtUtil.isFactoryBinary()) {
                    if (ModuleNfc.isSupportEseViaSpi(this.context)) {
                        startReceiver();
                        sendNfcTestIntent(ModuleNfc.getNfcTestCommand(0, 7));
                    } else {
                        resData2 = "\r\n+" + this.CMD_NAME + ":" + argu[0] + ",NA\r\n\r\nOK\r\n";
                    }
                }
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0"})) {
                startReceiver();
                sendNfcTestIntent(ModuleNfc.getNfcTestCommandV2(1, 0));
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "4"})) {
                startReceiver();
                sendNfcTestIntent(ModuleNfc.getNfcTestCommand(1, 4));
                FtUtil.log_i(this.CLASS_NAME, "handleCommand", "1, 4");
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "5"})) {
                if (!checkNfcInitPropValue()) {
                    return responseString(argu[0], "NFC_INIT_FAILED");
                }
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "NFC is turning on");
                NfcStatus nfcStatus2 = pollingUntilNfcIsOn(5);
                if (nfcStatus2 == NfcStatus.OFF || nfcStatus2 == NfcStatus.NONE) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Nfc didn't was on even though app requested to turn on nfc.");
                    return responseString(argu[0], "NFC_ON_FAILED");
                }
                String t4tData = getT4tData();
                if ("T4TADAPTER_NULL".equals(t4tData)) {
                    startReceiver();
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "IMEI read");
                    sendNfcTestIntent(ModuleNfc.getNfcTestCommandV3(1, 5, "0"));
                } else {
                    resData2 = responseString(argu[0], t4tData);
                }
                if (this.mNfcAdapter != null && nfcStatus2 == NfcStatus.ON) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "NFC is turning off");
                    this.mNfcAdapter.disable();
                }
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "6"})) {
                if (FtUtil.isFactoryBinary()) {
                    String eSEData = ModuleDevice.instance(this.context).getSecureElement();
                    if (eSEData == null) {
                        return responseNG(argu[0]);
                    }
                    resData2 = responseString(argu[0], eSEData);
                }
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "7"})) {
                String nfcBlVersionValue = Support.Properties.getProp(ModuleNfc.NFC_BL_VERSION);
                resData2 = "".equalsIgnoreCase(nfcBlVersionValue) ? responseString(argu[0], "NONE") : responseString(argu[0], nfcBlVersionValue);
            } else if (checkArgu(argu, new String[]{"2"})) {
                String functionResult = setT4tData(argu[1]);
                if ("OK".equals(functionResult)) {
                    resData2 = responseOK(argu[0]);
                } else if ("NG".equals(functionResult)) {
                    resData2 = responseNG(argu[0]);
                } else if ("T4TADAPTER_NULL".equals(functionResult)) {
                    startReceiver();
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "IMEI write");
                    sendNfcTestIntent(ModuleNfc.getNfcTestCommandV3(2, 0, argu[1]));
                }
            } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0"})) {
                if (FtUtil.isFactoryBinary()) {
                    startReceiver();
                    sendStopApcCommand(0);
                } else {
                    resData2 = responseNA();
                }
            } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
                if (FtUtil.isFactoryBinary()) {
                    startReceiver();
                    sendStopApcCommand(1);
                } else {
                    resData2 = responseNA();
                }
            } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "2"})) {
                startReceiver();
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "S.LSI NFC F0 Test");
                sendNfcTestIntent(ModuleNfc.getNfcTestCommandV3(3, 2, "0"));
            } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
                startReceiver();
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "NXP NFC F0 Test");
                sendNfcTestIntent(ModuleNfc.getNfcTestCommandV3(3, 3, "0"));
            } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "4"})) {
                startReceiver();
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "NFC Bootloader & Firmware Update");
                sendNfcTestIntent(ModuleNfc.getNfcTestCommandV3(3, 4, "0"));
            } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "5"})) {
                File felicaCalFile = new File(FELICA_CAL_FILE_PATH);
                if (felicaCalFile.exists()) {
                    String testResult = Support.Kernel.readFromPath(felicaCalFile.getPath(), true);
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Read calData" + testResult);
                    resData2 = responseString(argu[0], testResult);
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "File is not existed.");
                    resData2 = responseString(argu[0], "NONE");
                }
            } else {
                resData2 = responseNA();
            }
            return resData2;
        }
    }

    private void sendIntentToGetTagId() {
        Intent intent = new Intent("com.sec.android.app.nfctest.action.GET_TAGID");
        intent.putExtra(ModuleCommunication.EXTRA_KEY_BT_SERVICE_REQUEST, 1);
        intent.putExtra("I_DATA", 1);
        this.context.sendBroadcast(intent);
    }

    private void initNvRelatedNfc() {
        setNfcTestNV(30, (byte) 78);
        setNfcTestNV(72, (byte) 78);
        setNfcTestNV(117, (byte) 78);
        setNfcTestNV(69, (byte) 78);
    }

    private String setT4tData(String imeiData) {
        T4tAdapter t4tAdapter;
        if (!this.context.getPackageManager().hasSystemFeature(STRING_T4T_EMUL) || (t4tAdapter = T4tAdapter.getDefaultAdapter(this.context)) == null) {
            return "T4TADAPTER_NULL";
        }
        byte[] data = imeiData.getBytes();
        int result = t4tAdapter.writeT4tData(T4tAdapter.FILE_ID_PROP1, data);
        if (result == data.length) {
            FtUtil.log_d(this.CLASS_NAME, "setT4tData", "Nfc T4T Write success");
            return "OK";
        }
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "setT4tData", "Nfc T4T Write fail : " + result);
        return "NG";
    }

    private String getT4tData() {
        T4tAdapter t4tAdapter;
        if (!this.context.getPackageManager().hasSystemFeature(STRING_T4T_EMUL) || (t4tAdapter = T4tAdapter.getDefaultAdapter(this.context)) == null) {
            return "T4TADAPTER_NULL";
        }
        byte[] t4tData = t4tAdapter.readT4tData(T4tAdapter.FILE_ID_PROP1);
        if (t4tData != null) {
            String resultData = new String(t4tData);
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "getT4tData", "Nfc T4T read success : " + resultData);
            return resultData;
        }
        FtUtil.log_d(this.CLASS_NAME, "getT4tData", "Nfc T4T read fail : T4T Data is null");
        return "NONE";
    }

    private boolean checkNfcInitPropValue() {
        int nfcInitCount = 0;
        boolean nfcInitFlag = "true".equalsIgnoreCase(Support.Properties.getProp(ModuleNfc.NFC_INIT_PROP));
        while (true) {
            if (nfcInitFlag) {
                break;
            }
            int nfcInitCount2 = nfcInitCount + 1;
            if (nfcInitCount > 15) {
                nfcInitCount = nfcInitCount2;
                break;
            }
            FtUtil.Sleep.sleep(1000);
            nfcInitFlag = "true".equalsIgnoreCase(Support.Properties.getProp(ModuleNfc.NFC_INIT_PROP));
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "checkNfcInitPropValue", "Check nfc init count: " + nfcInitCount2);
            nfcInitCount = nfcInitCount2;
        }
        if (nfcInitCount > 15) {
            return false;
        }
        return true;
    }

    private NfcStatus pollingUntilNfcIsOn(int maxCount) {
        NfcStatus result;
        NfcStatus result2 = NfcStatus.NONE;
        if (this.mNfcAdapter == null) {
            FtUtil.log_d(this.CLASS_NAME, "pollingUntilNfcIsOn", "NfcAdapter is null");
            return result2;
        }
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "pollingUntilNfcIsOn", "Max TimeOut : " + maxCount);
        if (!this.mNfcAdapter.isEnabled()) {
            int count = 0;
            this.mNfcAdapter.enable();
            FtUtil.Sleep.sleep(1000);
            result = NfcStatus.ON;
            while (true) {
                if (this.mNfcAdapter.isEnabled()) {
                    break;
                }
                String str2 = this.CLASS_NAME;
                FtUtil.log_d(str2, "pollingUntilNfcIsOn", "Check nfc count: " + count);
                FtUtil.Sleep.sleep(1000);
                count++;
                if (count > maxCount) {
                    result = NfcStatus.OFF;
                    break;
                }
            }
        } else {
            result = NfcStatus.ENABLED;
        }
        String str3 = this.CLASS_NAME;
        FtUtil.log_d(str3, "pollingUntilNfcIsOn", "result : " + result);
        return result;
    }

    private boolean pollingUntilNfcIsOff() {
        boolean result = true;
        NfcAdapter nfcAdapter = this.mNfcAdapter;
        if (nfcAdapter != null) {
            nfcAdapter.disable();
            int count = 0;
            while (true) {
                if (!this.mNfcAdapter.isEnabled()) {
                    break;
                }
                String str = this.CLASS_NAME;
                FtUtil.log_d(str, "pollingUntilNfcIsOff", "Check nfc count: " + count);
                FtUtil.Sleep.sleep(1000);
                count++;
                if (count > 10) {
                    result = false;
                    break;
                }
            }
        }
        String str2 = this.CLASS_NAME;
        FtUtil.log_d(str2, "pollingUntilNfcIsOff", "Result : " + result);
        return result;
    }

    private void launchSemFactoryActivity() {
        try {
            Intent intent = new Intent();
            intent.setClassName("com.sem.factoryapp", "com.sem.factory.SemFactoryActivity");
            intent.putExtra("test_type", "autotest");
            intent.setFlags(268435456);
            this.context.startActivity(intent);
        } catch (ActivityNotFoundException e) {
            FtUtil.log_d(this.CLASS_NAME, "launchNfcActivity", "Activity Not Found");
        }
    }

    private void sendStopApcCommand(int i_data) {
        FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Run APC");
        ModuleNfc.getNfcTestCommandV3(3, i_data, "0");
    }

    private void sendNfcTestIntent(final Intent intent) {
        AnonymousClass2 r0 = new Handler(this.context.getMainLooper()) {
            /* class com.sec.factory.aporiented.athandler.AtNfcmtest.AnonymousClass2 */

            public void handleMessage(Message msg) {
                AtNfcmtest.this.context.sendBroadcast(intent);
                FtUtil.log_d(AtNfcmtest.this.CLASS_NAME, "sendNfcTestIntent");
            }
        };
        this.mNfcTestHandler = r0;
        r0.sendEmptyMessageDelayed(0, 1400);
    }

    public void setNfcTestNV(int nv, byte itemResult) {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "setTSPTestNV", "NV = " + nv + ", itemResult = " + ((int) itemResult));
        NVAccessor.setNV(nv, itemResult);
    }
}
