package com.sec.factory.aporiented.athandler;

import android.content.BroadcastReceiver;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import com.sec.factory.aporiented.ResponseWriter;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class AtOndevbps extends AtCommandHandler {
    private static String returnArgu = "0";
    private Context mContext;
    public BroadcastReceiver mReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.aporiented.athandler.AtOndevbps.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            AtOndevbps atOndevbps = AtOndevbps.this;
            atOndevbps.stopReceiver(atOndevbps.mReceiver);
            String mAction = intent.getAction();
            String str = AtOndevbps.this.CLASS_NAME;
            FtUtil.log_d(str, "onReceive", "mAction : " + mAction);
            if ("com.bps.ondevicebps.BPS_RESULT".equals(mAction)) {
                FtUtil.log_d(AtOndevbps.this.CLASS_NAME, "onReceive", "BPS_RESULT");
                String mActionResult = intent.getStringExtra("data");
                String str2 = AtOndevbps.this.CLASS_NAME;
                FtUtil.log_d(str2, "onReceive", "mActionResult : " + mActionResult);
                AtOndevbps.this.writer.write(AtOndevbps.this.responseString(AtOndevbps.returnArgu, mActionResult));
            }
        }
    };

    public AtOndevbps(Context context, ResponseWriter writer) {
        super(context);
        this.CMD_NAME = "ONDEVBPS";
        this.CLASS_NAME = "AtOndevbps";
        this.NUM_ARGS = 3;
        this.mContext = context;
        this.writer = writer;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public void startReceiver() {
        IntentFilter mFilter = new IntentFilter();
        mFilter.addAction("com.bps.ondevicebps.BPS_RESULT");
        FtUtil.log_d(this.CLASS_NAME, "startReceiver", "request to register mReceiver - start");
        this.context.registerReceiver(this.mReceiver, mFilter);
        FtUtil.log_d(this.CLASS_NAME, "startReceiver", "request to register mReceiver - done");
    }

    private void sendConnectBroadcast(String[] arg, String opt) {
        returnArgu = arg[0];
        Intent intent = new Intent();
        intent.setComponent(new ComponentName("com.bps.ondevicebps", "com.bps.ondevicebps.MainActivity"));
        intent.setFlags(268468224);
        intent.putExtra("data", opt);
        this.mContext.startActivity(intent);
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData = null;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", "0", "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Bad Device Prediction Test");
            startReceiver();
            sendConnectBroadcast(argu, "at=0,0,0");
        } else if (checkArgu(argu, new String[]{"0", "0", EgisFingerprint.MAJOR_VERSION})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Bad Device Prediction Test");
            startReceiver();
            sendConnectBroadcast(argu, "at=0,0,1");
        } else if (checkArgu(argu, new String[]{"0", "0", "2"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Bad Device Prediction Test");
            startReceiver();
            sendConnectBroadcast(argu, "at=0,0,2");
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Bad Device Prediction Test 0,1,0 ");
            if (Support.Kernel.write(Support.Kernel.BPS_ENABLE_CHECKED, EgisFingerprint.MAJOR_VERSION)) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "BPS_ENABLE_CHECKED PASSED SMD FT");
                resData = responseOK(argu[0]);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "no proper node on");
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Bad Device Prediction Test 0,1,1 ");
            if (Support.Kernel.write(Support.Kernel.BPS_ENABLE_CHECKED, "2")) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "BPS_ENABLE_CHECKED PASSED RF CAL");
                resData = responseOK(argu[0]);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "no proper node on");
                resData = responseNG(argu[0]);
            }
        } else {
            resData = responseNA();
        }
        return resData;
    }
}
