package com.sec.factory.aporiented.athandler;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import com.sec.factory.modules.ModuleCommunicationService;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStreamReader;

public class AtOqcsbftt extends AtCommandHandler {
    private static final String ACTION_OQCSBFTT = "com.sec.android.app.hwmoduletest.OQCSBFTT";
    private static final String ACTION_OQCSBFTT_READ_DATA = "com.sec.factory.OQCSBFTT.READ_DATA";
    private static final String ACTION_OQCSBFTT_RESPONSE = "com.sec.factory.OQCSBFTT.RESPONSE";
    private static final int CHARGE_CURRENT_MEASURE_COUNT = 5;
    private static final int CHARGE_CURRENT_MEASURE_PERIOD = 400;
    private static final int DIRECT_CHARGE_CONNECT_TIME = 15;
    private static final int NV_O_ACSENSOR = 410;
    private static final int NV_O_CHARGE = 411;
    private static final int NV_O_DIRECT_CHARGE = 418;
    private static final int NV_O_FINGERPRINT = 409;
    private static final int NV_O_HALL_IC = 404;
    private static final int NV_O_KEY_TEST = 406;
    private static final int NV_O_LIGHT = 408;
    private static final int NV_O_MOTOR = 405;
    private static final int NV_O_PROXIMITY = 407;
    private static final int NV_O_SPEN_DETECT = 403;
    private static final int NV_O_SPEN_DRAWING = 402;
    private static final int NV_O_TSP_DRAWING = 401;
    private static final int NV_O_WIRELESS_CHARGE = 412;
    private static final int OQCSBFTT = 400;
    private static final int RESPONSE_WAIT_TIME = 100;
    private int[] hasData = {405, 406, 407, 408, 410, 411, NV_O_WIRELESS_CHARGE, NV_O_DIRECT_CHARGE};
    private boolean isDirectCharge = false;
    private boolean isNotify = false;
    private boolean isOqcsbfttStart = false;
    private int mChargeItem;
    private int mChargeStartDelay;
    private final Context mContext;
    private BroadcastReceiver mReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.aporiented.athandler.AtOqcsbftt.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            String action = intent.getAction();
            String str = AtOqcsbftt.this.CLASS_NAME;
            FtUtil.log_d(str, "mReceiver", "ACTION : " + action);
            if (action.equals(AtOqcsbftt.ACTION_OQCSBFTT_RESPONSE)) {
                AtOqcsbftt.this.isOqcsbfttStart = intent.getBooleanExtra("OQCSBFTT", false);
                synchronized (AtOqcsbftt.this.token) {
                    AtOqcsbftt.this.token.notify();
                    AtOqcsbftt.this.isNotify = true;
                }
                AtOqcsbftt atOqcsbftt = AtOqcsbftt.this;
                atOqcsbftt.stopReceiver(atOqcsbftt.mReceiver);
            } else if ("android.intent.action.BATTERY_CHANGED".equals(action)) {
                int plugged = intent.getIntExtra("plugged", 0);
                String str2 = AtOqcsbftt.this.CLASS_NAME;
                FtUtil.log_d(str2, "Battery State: " + plugged);
                if (plugged == 1) {
                    if (AtOqcsbftt.this.isDirectCharge) {
                        AtOqcsbftt.this.mChargeItem = AtOqcsbftt.NV_O_DIRECT_CHARGE;
                    } else {
                        AtOqcsbftt.this.mChargeItem = 411;
                    }
                    AtOqcsbftt.this.startChargeTest();
                    AtOqcsbftt atOqcsbftt2 = AtOqcsbftt.this;
                    atOqcsbftt2.stopReceiver(atOqcsbftt2.mReceiver);
                } else if (plugged == 4) {
                    AtOqcsbftt.this.mChargeItem = AtOqcsbftt.NV_O_WIRELESS_CHARGE;
                    AtOqcsbftt.this.startChargeTest();
                    AtOqcsbftt atOqcsbftt3 = AtOqcsbftt.this;
                    atOqcsbftt3.stopReceiver(atOqcsbftt3.mReceiver);
                }
            }
        }
    };
    private Object token;

    public AtOqcsbftt(Context context) {
        super(context);
        this.CMD_NAME = "OQCSBFTT";
        this.CLASS_NAME = "AtOqcsbftt";
        this.NUM_ARGS = 4;
        this.mContext = context;
        this.token = new Object();
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        String resData2;
        String resData3;
        resData = "";
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", "0", EgisFingerprint.MAJOR_VERSION, "0"})) {
            FtUtil.log_i(this.CLASS_NAME, "handleCommand", "Send ACTION_OQCSBFTT - start");
            this.mContext.registerReceiver(this.mReceiver, new IntentFilter(ACTION_OQCSBFTT_RESPONSE));
            Intent intent = new Intent(ACTION_OQCSBFTT);
            intent.putExtra("start", true);
            this.mContext.sendBroadcast(intent);
            FtUtil.log_i(this.CLASS_NAME, "handleCommand", "Wait response from HwModuleTest");
            synchronized (this.token) {
                try {
                    this.isNotify = false;
                    this.token.wait(3000);
                } catch (InterruptedException e) {
                    e.printStackTrace();
                }
            }
            FtUtil.log_i(this.CLASS_NAME, "handleCommand", "isNotify : " + this.isNotify);
            if (this.isNotify) {
                FtUtil.log_i(this.CLASS_NAME, "handleCommand", "Make files");
                String secefsOqcsbfttDirectory = Support.Kernel.getFilePath(Support.Kernel.SECEFS_OQCSBFTT_DIRECTORY);
                File dataDir = new File(secefsOqcsbfttDirectory);
                if (!dataDir.exists()) {
                    dataDir.mkdir();
                }
                for (int i : this.hasData) {
                    File dataFile = new File(secefsOqcsbfttDirectory + "/" + i);
                    if (!dataFile.exists()) {
                        try {
                            dataFile.createNewFile();
                        } catch (IOException e2) {
                            e2.printStackTrace();
                        }
                    }
                }
                resData2 = responseOK(argu[0]);
            } else {
                resData2 = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", "0", "0", "0"})) {
            FtUtil.log_i(this.CLASS_NAME, "handleCommand", "Send ACTION_OQCSBFTT - end");
            this.mContext.registerReceiver(this.mReceiver, new IntentFilter(ACTION_OQCSBFTT_RESPONSE));
            Intent intent2 = new Intent(ACTION_OQCSBFTT);
            intent2.putExtra("start", false);
            this.mContext.sendBroadcast(intent2);
            FtUtil.log_i(this.CLASS_NAME, "handleCommand", "Wait response from HwModuleTest");
            synchronized (this.token) {
                try {
                    this.isNotify = false;
                    this.token.wait(3000);
                } catch (InterruptedException e3) {
                    e3.printStackTrace();
                }
            }
            if (this.isNotify) {
                FtUtil.log_i(this.CLASS_NAME, "handleCommand", "Delete files");
                String secefsOqcsbfttDirectory2 = Support.Kernel.getFilePath(Support.Kernel.SECEFS_OQCSBFTT_DIRECTORY);
                for (int i2 : this.hasData) {
                    File dataFile2 = new File(secefsOqcsbfttDirectory2 + "/" + i2);
                    if (dataFile2.exists()) {
                        dataFile2.delete();
                    }
                }
                File dataDir2 = new File(secefsOqcsbfttDirectory2);
                if (dataDir2.exists()) {
                    dataDir2.delete();
                }
                resData2 = responseOK(argu[0]);
            } else {
                resData2 = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", "0", "2"})) {
            this.isDirectCharge = false;
            this.mChargeStartDelay = Integer.parseInt(argu[3]) * 1000;
            IntentFilter mIntentFilter = new IntentFilter();
            mIntentFilter.addAction("android.intent.action.BATTERY_CHANGED");
            this.mContext.registerReceiver(this.mReceiver, mIntentFilter);
            FtUtil.log_i(this.CLASS_NAME, "handleCommand", "Start charge test");
            resData2 = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", "0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
            this.isDirectCharge = true;
            this.mChargeStartDelay = Integer.parseInt(argu[3]) * 1000;
            IntentFilter mIntentFilter2 = new IntentFilter();
            mIntentFilter2.addAction("android.intent.action.BATTERY_CHANGED");
            this.mContext.registerReceiver(this.mReceiver, mIntentFilter2);
            FtUtil.log_i(this.CLASS_NAME, "handleCommand", "Start direct charge test");
            resData2 = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0", "0"})) {
            this.mContext.registerReceiver(this.mReceiver, new IntentFilter(ACTION_OQCSBFTT_RESPONSE));
            Intent i3 = new Intent(ACTION_OQCSBFTT_READ_DATA);
            i3.putExtra("item", 400);
            this.mContext.sendBroadcast(i3);
            FtUtil.log_i(this.CLASS_NAME, "handleCommand", "Request OQCSBFTT status");
            synchronized (this.token) {
                try {
                    this.token.wait(3000);
                } catch (InterruptedException e4) {
                    e4.printStackTrace();
                }
            }
            FtUtil.log_i(this.CLASS_NAME, "handleCommand", "Response OQCSBFTT status : " + this.isOqcsbfttStart);
            if (this.isOqcsbfttStart) {
                resData3 = "OQC";
            } else {
                resData3 = "NONE";
            }
            resData2 = responseString(argu[0], resData3);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, "0"})) {
            Intent i4 = new Intent(ACTION_OQCSBFTT_READ_DATA);
            String[] str = argu[3].split("_");
            FtUtil.log_i(this.CLASS_NAME, "handleCommand", "Test NV - " + str[0]);
            try {
                switch (Integer.parseInt(str[0])) {
                    case 401:
                        i4.putExtra("item", 401);
                        this.mContext.sendBroadcast(i4);
                        Thread.sleep((long) (0 + 100));
                        break;
                    case 405:
                        int measureTime = Integer.parseInt(str[1]) * 1000;
                        i4.putExtra("item", 405);
                        i4.putExtra("time", measureTime);
                        this.mContext.sendBroadcast(i4);
                        Thread.sleep((long) (measureTime + 100));
                        break;
                    case 406:
                        i4.putExtra("item", 406);
                        this.mContext.sendBroadcast(i4);
                        Thread.sleep((long) (0 + 100));
                        break;
                    case 407:
                        i4.putExtra("item", 407);
                        this.mContext.sendBroadcast(i4);
                        Thread.sleep((long) (0 + 100));
                        break;
                    case 408:
                        i4.putExtra("item", 408);
                        this.mContext.sendBroadcast(i4);
                        Thread.sleep((long) (0 + 100));
                        break;
                    case 410:
                        int measureTime2 = Integer.parseInt(str[1]) * 1000;
                        i4.putExtra("item", 410);
                        i4.putExtra("time", measureTime2);
                        this.mContext.sendBroadcast(i4);
                        Thread.sleep((long) (measureTime2 + 100));
                        break;
                    case 411:
                    case NV_O_WIRELESS_CHARGE /*{ENCODED_INT: 412}*/:
                    case NV_O_DIRECT_CHARGE /*{ENCODED_INT: 418}*/:
                        break;
                    default:
                        return responseNA();
                }
            } catch (InterruptedException e5) {
                e5.printStackTrace();
            }
            FileInputStream fis = null;
            try {
                FileInputStream fis2 = new FileInputStream(new File(Support.Kernel.getFilePath(Support.Kernel.SECEFS_OQCSBFTT_DIRECTORY) + "/" + str[0]));
                BufferedReader br = new BufferedReader(new InputStreamReader(fis2));
                while (true) {
                    String readStr = br.readLine();
                    if (readStr != null) {
                        resData = resData + readStr;
                    } else {
                        fis2.close();
                        try {
                            fis2.close();
                        } catch (IOException e6) {
                            e = e6;
                        }
                        resData2 = responseString(argu[0], resData);
                    }
                }
            } catch (IOException e7) {
                e7.printStackTrace();
                if (0 != 0) {
                    try {
                        fis.close();
                    } catch (IOException e8) {
                        e = e8;
                    }
                }
            } catch (Throwable th) {
                if (0 != 0) {
                    try {
                        fis.close();
                    } catch (IOException e9) {
                        FtUtil.log_e(e9);
                    }
                }
                throw th;
            }
        } else {
            resData2 = responseNA();
        }
        return resData2;
        FtUtil.log_e(e);
        resData2 = responseString(argu[0], resData);
        return resData2;
    }

    public void startChargeTest() {
        new Thread(new Runnable() {
            /* class com.sec.factory.aporiented.athandler.AtOqcsbftt.AnonymousClass2 */

            public void run() {
                int pathChk;
                FileOutputStream out = null;
                try {
                    int[] currValList = new int[5];
                    int minVal = Integer.MAX_VALUE;
                    int maxVal = Integer.MIN_VALUE;
                    int minIdx = 0;
                    int maxIdx = 0;
                    int pathChk2 = 0;
                    if (AtOqcsbftt.this.isDirectCharge) {
                        while (true) {
                            pathChk = pathChk2 + 1;
                            if (pathChk2 >= 15) {
                                break;
                            } else if (EgisFingerprint.MAJOR_VERSION.equals(Support.Kernel.read(Support.Kernel.DIRECT_CHARGE_STATUS))) {
                                FtUtil.log_d(AtOqcsbftt.this.CLASS_NAME, "Direct charge is connected");
                                break;
                            } else {
                                Thread.sleep(500);
                                pathChk2 = pathChk;
                            }
                        }
                        if (pathChk > 15) {
                            FtUtil.log_d(AtOqcsbftt.this.CLASS_NAME, "Not a direct charge connection");
                            FileOutputStream out2 = new FileOutputStream(Support.Kernel.getFilePath(Support.Kernel.SECEFS_OQCSBFTT_DIRECTORY) + "/" + AtOqcsbftt.this.mChargeItem);
                            out2.write(ModuleCommunicationService.SMD_NOK.getBytes());
                            try {
                                out2.close();
                                return;
                            } catch (IOException e) {
                                FtUtil.log_e(e);
                                return;
                            }
                        }
                    }
                    FtUtil.log_i(AtOqcsbftt.this.CLASS_NAME, "startChargeTest", "LCD off");
                    AtCommandHandler.mModulePower.doPartialWakeLock(true);
                    AtCommandHandler.mModulePower.doWakeLock(false);
                    if (Support.Feature.getBoolean(Support.Feature.NEED_LPA_MODE_SET, true)) {
                        AtCommandHandler.mModuleDevice.setLPAmode(ModuleDevice.LPA_MODE_DISABLE);
                    }
                    AtCommandHandler.mModulePower.setScreenState(false);
                    FtUtil.log_d(AtOqcsbftt.this.CLASS_NAME, "onReceive", "delay for " + AtOqcsbftt.this.mChargeStartDelay + " ms to read VBUS");
                    Thread.sleep((long) (AtOqcsbftt.this.mChargeStartDelay + -400));
                    int i = 0;
                    for (int i2 = 5; i < i2; i2 = 5) {
                        Thread.sleep(400);
                        int currVal = Integer.parseInt(Support.Kernel.read(Support.Kernel.HV_CHARGE_CURRENT));
                        if (currVal >= 10000 || currVal <= -10000) {
                            currValList[i] = currVal / 1000;
                        } else {
                            currValList[i] = currVal;
                        }
                        if (currValList[i] > maxVal) {
                            maxVal = currValList[i];
                            maxIdx = i;
                        }
                        if (currValList[i] < minVal) {
                            minVal = currValList[i];
                            minIdx = i;
                        }
                        FtUtil.log_i(AtOqcsbftt.this.CLASS_NAME, "startChargeTest", "current value: " + currValList[i]);
                        i++;
                    }
                    String outStr = "";
                    for (int i3 = 0; i3 < 5; i3++) {
                        if (!(i3 == maxIdx || i3 == minIdx)) {
                            outStr = outStr + currValList[i3] + ",";
                        }
                    }
                    String outStr2 = outStr.substring(0, outStr.length() - 1);
                    FileOutputStream out3 = new FileOutputStream(Support.Kernel.getFilePath(Support.Kernel.SECEFS_OQCSBFTT_DIRECTORY) + "/" + AtOqcsbftt.this.mChargeItem);
                    out3.write(outStr2.getBytes());
                    try {
                        out3.close();
                    } catch (IOException e2) {
                        FtUtil.log_e(e2);
                    }
                } catch (Exception e3) {
                    e3.printStackTrace();
                    if (0 != 0) {
                        out.close();
                    }
                } catch (Throwable e4) {
                    if (0 != 0) {
                        try {
                            out.close();
                        } catch (IOException e5) {
                            FtUtil.log_e(e5);
                        }
                    }
                    throw e4;
                }
            }
        }).start();
    }
}
