package com.sec.factory.aporiented.athandler;

import android.content.Context;
import com.sec.factory.aporiented.ResponseWriter;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class AtOtggtest extends AtCommandHandler {
    private static final int JIG_CHECK_MAX_TIME = 1000;
    private static final int JIG_CHECK_TIME_PERIOD = 50;

    public AtOtggtest(Context context, ResponseWriter writer) {
        super(context);
        this.CMD_NAME = "OTGGTEST";
        this.CLASS_NAME = "AtOtggtest";
        this.NUM_ARGS = 2;
        this.writer = writer;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (STAGE_PARALLEL) {
            this.writer.setWritable(false);
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "1,1 - Sleep 0.5sec STAGE_PARALLEL");
            FtUtil.Sleep.sleep(100);
        }
        if (checkArgu(argu, new String[]{"0", "0"})) {
            String jig = Support.Kernel.read(Support.Kernel.JIG_CONNECTION_CHECK);
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "handleCommand", "Connected jig cable type - " + jig);
            if (mModuleDevice.runOTGTestInThisThread()) {
                int i = 0;
                while (true) {
                    int i2 = i + 1;
                    if (i * 50 > 1000) {
                        break;
                    } else if (jig.equals(Support.Kernel.read(Support.Kernel.JIG_CONNECTION_CHECK))) {
                        FtUtil.log_i(this.CLASS_NAME, "handleCommand", "Jig cable is reconnected");
                        break;
                    } else {
                        FtUtil.log_i(this.CLASS_NAME, "handleCommand", "Wait 50 ms...");
                        try {
                            Thread.sleep(50);
                        } catch (InterruptedException e) {
                            FtUtil.log_e(e);
                        }
                        i = i2;
                    }
                }
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION})) {
            resData = responseString(argu[0], mModuleDevice.check_USB_Port(argu[1]));
        } else {
            resData = responseNA();
        }
        if (STAGE_PARALLEL) {
            this.writer.setWritable(true);
        }
        return resData;
    }
}
