package com.sec.factory.aporiented.athandler;

import android.content.Context;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.File;

public class AtPayments extends AtCommandHandler {
    public AtPayments(Context context) {
        super(context);
        this.CMD_NAME = "PAYMENTS";
        this.CLASS_NAME = "AtPayments";
        this.NUM_ARGS = 2;
        if (!new File(Support.Kernel.getFilePath(Support.Kernel.PRE_PAY)).exists()) {
            synchronized (this) {
                mModuleCommon.writePrePay("false");
                Support.Kernel.setPermission(Support.Kernel.getFilePath(Support.Kernel.PRE_PAY), true, true, true, true, true, false);
            }
            FtUtil.log_d(this.CLASS_NAME, "AtPayments", "PRE_PAY is created...");
            return;
        }
        FtUtil.log_d(this.CLASS_NAME, "AtPayments", "PRE_PAYis already existed...");
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", "0"})) {
            try {
                mModuleCommon.writePrePay("false");
                String sResult = mModuleCommon.readPrePay();
                if (sResult == null || !"false".equals(sResult)) {
                    resData = responseNG(argu[0]);
                } else {
                    resData = responseOK(argu[0]);
                }
            } catch (Exception e) {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION})) {
            try {
                mModuleCommon.writePrePay("true");
                String sResult2 = mModuleCommon.readPrePay();
                if (sResult2 != null) {
                    if ("true".equals(sResult2)) {
                        resData = responseOK(argu[0]);
                    }
                }
                resData = responseNG(argu[0]);
            } catch (Exception e2) {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0"})) {
            try {
                String sResult3 = mModuleCommon.readPrePay();
                if (sResult3 == null) {
                    resData = responseNG(argu[0]);
                } else if ("false".equals(sResult3)) {
                    resData = responseString(argu[0], "POSTPAY");
                } else if ("true".equals(sResult3)) {
                    resData = responseString(argu[0], "PREPAY");
                } else {
                    resData = responseNG(argu[0]);
                }
            } catch (Exception e3) {
                resData = responseNG(argu[0]);
            }
        } else {
            resData = responseNA();
        }
        return resData;
    }
}
