package com.sec.factory.aporiented.athandler;

import android.content.Context;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class AtPdicchip extends AtCommandHandler {
    protected boolean mDetected;

    public AtPdicchip(Context context) {
        super(context);
        this.CMD_NAME = "PDICCHIP";
        this.CLASS_NAME = "AtPdicchip";
        this.NUM_ARGS = 4;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData = null;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0", "0"})) {
            String data = Support.Kernel.read(Support.Kernel.PDIC_CHIP_NAME);
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "handleCommand", "data : " + data);
            if (data == null) {
                FtUtil.log_e(this.CLASS_NAME, "handleCommand", "NG: pdic chip name read failed");
                return responseNG(argu[0]);
            }
            String str2 = this.CLASS_NAME;
            FtUtil.log_d(str2, "handleCommand", "OK: cmd result=" + data);
            resData = responseString(argu[0], data);
        }
        return resData;
    }
}
