package com.sec.factory.aporiented.athandler;

import android.content.Context;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class AtPdpbacku extends AtCommandHandler {
    public AtPdpbacku(Context context) {
        super(context);
        this.CMD_NAME = "PDPBACKU";
        this.CLASS_NAME = "AtPdpbacku";
        this.NUM_ARGS = 3;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", "0", "0"})) {
            Support.Properties.set(Support.Properties.PDP_ACTION, "at_backup_req");
            FtUtil.Sleep.sleep(1500);
            String CheckedData = Support.Properties.get(Support.Properties.PDP_LAST_JOB);
            if ("backup_done".equalsIgnoreCase(CheckedData)) {
                resData = responseOK(argu[0]);
            } else if ("backup_fail_suw".equalsIgnoreCase(CheckedData) || "setupwizard".equalsIgnoreCase(CheckedData)) {
                resData = responseString(argu[0], "NG_SETUPWIZARD");
            } else if ("at_bkup_mkflag_err".equalsIgnoreCase(CheckedData)) {
                resData = responseString(argu[0], "NG_MKFLAG");
            } else if ("at_bkup_file_err".equalsIgnoreCase(CheckedData)) {
                resData = responseString(argu[0], "NG_FILE");
            } else {
                resData = responseNA();
            }
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "0"})) {
            Support.Properties.set(Support.Properties.PDP_ACTION, "at_remove_bkup");
            FtUtil.Sleep.sleep(500);
            String CheckedData2 = Support.Properties.get(Support.Properties.PDP_LAST_JOB);
            if ("remove-bkup".equalsIgnoreCase(CheckedData2)) {
                resData = responseOK(argu[0]);
            } else if ("setupwizard".equalsIgnoreCase(CheckedData2)) {
                resData = responseString(argu[0], "NG_SETUPWIZARD");
            } else if ("at_rem_bkup_err".equalsIgnoreCase(CheckedData2)) {
                resData = responseString(argu[0], "NG_ERR");
            } else {
                resData = responseNA();
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0"})) {
            Support.Properties.set(Support.Properties.PDP_ACTION, "at_check_bkup");
            FtUtil.Sleep.sleep(500);
            String CheckedData3 = Support.Properties.get(Support.Properties.PDP_LAST_JOB);
            if ("detect-bkup".equalsIgnoreCase(CheckedData3)) {
                resData = responseString(argu[0], "ON");
            } else if ("check_bkup_err".equalsIgnoreCase(CheckedData3)) {
                resData = responseString(argu[0], "OFF");
            } else {
                resData = responseNA();
            }
        } else {
            resData = responseNA();
        }
        return resData;
    }
}
