package com.sec.factory.aporiented.athandler;

import android.content.Context;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class AtPmictest extends AtCommandHandler {
    public AtPmictest(Context context) {
        super(context);
        this.CMD_NAME = "PMICTEST";
        this.CLASS_NAME = "AtPmictest";
        this.NUM_ARGS = 3;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (!FtUtil.isFactoryBinary() || !checkArgu(argu, new String[]{"0", "0", "0"})) {
            if (!FtUtil.isFactoryBinary() || !checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "0"})) {
                if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "2"})) {
                    if (Support.Kernel.writeNsync(Support.Kernel.DISPLAY_PMIC_POK_REGISTER, "0x02")) {
                        FtUtil.Sleep.sleep(10);
                        String pokRegister = Support.Kernel.read(Support.Kernel.DISPLAY_PMIC_POK_REGISTER, true);
                        String str = this.CLASS_NAME;
                        FtUtil.log_d(str, "pokRegister : " + pokRegister);
                        int val = Integer.decode(pokRegister.split(": ")[1]).intValue();
                        String str2 = this.CLASS_NAME;
                        FtUtil.log_d(str2, "pokRegister value : <" + val + ">");
                        String binary_val = Integer.toBinaryString(val | 240);
                        String str3 = this.CLASS_NAME;
                        FtUtil.log_d(str3, "pokRegister binary_val : <" + binary_val + ">");
                        String realValue = binary_val.substring(4);
                        String str4 = this.CLASS_NAME;
                        FtUtil.log_d(str4, "pokRegister realValue : <" + realValue + ">");
                        resData = responseString(argu[0], realValue);
                    } else {
                        resData = responseNG(argu[0]);
                    }
                } else if (!FtUtil.isFactoryBinary() || !checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
                    if (!FtUtil.isFactoryBinary() || !checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "4"})) {
                        if (!FtUtil.isFactoryBinary() || !checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "5"})) {
                            if (!FtUtil.isFactoryBinary() || !checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "6"})) {
                                if (!checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "7"})) {
                                    resData = responseNA();
                                } else if (Support.Kernel.writeNsync(Support.Kernel.DISPLAY_PMIC_POK_REGISTER, "0x61")) {
                                    FtUtil.Sleep.sleep(10);
                                    String pokRegister2 = Support.Kernel.read(Support.Kernel.DISPLAY_PMIC_POK_REGISTER, true);
                                    String str5 = this.CLASS_NAME;
                                    FtUtil.log_d(str5, "pokRegister : " + pokRegister2);
                                    int val2 = Integer.decode(pokRegister2.split(": ")[1]).intValue();
                                    String str6 = this.CLASS_NAME;
                                    FtUtil.log_d(str6, "pokRegister value : <" + val2 + ">");
                                    String binary_val2 = Integer.toBinaryString(val2 & 128);
                                    String str7 = this.CLASS_NAME;
                                    FtUtil.log_d(str7, "pokRegister binary_val : <" + binary_val2 + ">");
                                    String realValue2 = binary_val2.substring(0, 1);
                                    String str8 = this.CLASS_NAME;
                                    FtUtil.log_d(str8, "pokRegister realValue : <" + realValue2 + ">");
                                    resData = responseString(argu[0], realValue2);
                                } else {
                                    resData = responseNG(argu[0]);
                                }
                            } else if (Support.Kernel.writeNsync(Support.Kernel.LCD_PMIC_POWER_CONTROL, "0")) {
                                FtUtil.log_d(this.CLASS_NAME, "LCD LDO Force Power Off");
                                resData = responseOK(argu[0]);
                            } else {
                                resData = responseNG(argu[0]);
                            }
                        } else if (Support.Kernel.writeNsync(Support.Kernel.LCD_PMIC_POWER_CONTROL, EgisFingerprint.MAJOR_VERSION)) {
                            FtUtil.log_d(this.CLASS_NAME, "LCD LDO Force Power On");
                            resData = responseOK(argu[0]);
                        } else {
                            resData = responseNG(argu[0]);
                        }
                    } else if (Support.Kernel.writeNsync(Support.Kernel.LCD_PANEL_ELVSS, "0")) {
                        FtUtil.log_d(this.CLASS_NAME, "LCD_PANEL_ELVSS -2v elvss , default set");
                        resData = responseOK(argu[0]);
                    } else {
                        resData = responseNG(argu[0]);
                    }
                } else if (Support.Kernel.writeNsync(Support.Kernel.LCD_PANEL_ELVSS, EgisFingerprint.MAJOR_VERSION)) {
                    FtUtil.log_d(this.CLASS_NAME, "LCD_PANEL_ELVSS -6v elvss set");
                    resData = responseOK(argu[0]);
                } else {
                    resData = responseNG(argu[0]);
                }
            } else if (EgisFingerprint.MAJOR_VERSION.equals(Support.Kernel.read(Support.Kernel.DISPLAY_PMIC, true))) {
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (EgisFingerprint.MAJOR_VERSION.equals(Support.Kernel.read(Support.Kernel.SECOND_CAMERA_PMIC, true))) {
            resData = responseOK(argu[0]);
        } else {
            resData = responseNG(argu[0]);
        }
        return resData;
    }
}
