package com.sec.factory.aporiented.athandler;

import android.content.Context;
import android.content.Intent;
import android.util.Log;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.modules.PowResetService;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class AtPowreset extends AtCommandHandler {
    public AtPowreset(Context context) {
        super(context);
        this.CMD_NAME = "POWRESET";
        this.CLASS_NAME = "AtPowreset";
        this.NUM_ARGS = 2;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData = null;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", "0"})) {
            resData = responseOK(argu[0]);
            mModulePower.reboot((byte) 0);
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION})) {
            try {
                Intent intent = new Intent("com.android.internal.intent.action.REQUEST_SHUTDOWN");
                intent.putExtra("android.intent.extra.KEY_CONFIRM", false);
                intent.putExtra("SHUTDOWN_NO_BATTERY", true);
                intent.putExtra("android.intent.extra.REBOOT_REASON", "[FactoryTest] powreset 0,1");
                intent.setFlags(268435456);
                this.context.startActivity(intent);
                Log.e(this.CLASS_NAME, "power off");
                resData = responseOK(argu[0]);
            } catch (Exception e) {
                e.printStackTrace();
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", "2"})) {
            if (Support.Kernel.isExistFileID(Support.Kernel.CCIC_LPM_MODE)) {
                boolean suspend_mode = Support.Feature.getBoolean(Support.Feature.CHARGER_SUSPEND_MODE_ENABLE);
                if (suspend_mode) {
                    Support.Kernel.writeToPath("/sys/class/power_supply/sm5705-charger/charger_op_mode", "2");
                    FtUtil.Sleep.sleep(50);
                }
                mModuleDevice.setCcicLPMmode(ModuleDevice.CCIC_LPM_MODE_ENABLE);
                if (suspend_mode) {
                    FtUtil.Sleep.sleep(450);
                    Support.Kernel.writeToPath("/sys/class/power_supply/sm5705-charger/charger_op_mode", EgisFingerprint.MAJOR_VERSION);
                }
                FtUtil.Sleep.sleep(300);
                try {
                    Intent intent2 = new Intent("com.android.internal.intent.action.REQUEST_SHUTDOWN");
                    intent2.putExtra("android.intent.extra.KEY_CONFIRM", false);
                    intent2.putExtra("SHUTDOWN_NO_BATTERY", true);
                    intent2.putExtra("android.intent.extra.REBOOT_REASON", "[FactoryTest] powreset 0,2");
                    intent2.setFlags(268435456);
                    this.context.startActivity(intent2);
                    Log.e(this.CLASS_NAME, "power off");
                    resData = responseOK(argu[0]);
                } catch (Exception e2) {
                    e2.printStackTrace();
                    resData = responseNG(argu[0]);
                }
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", "4"})) {
            try {
                Log.e(this.CLASS_NAME, "power off");
                resData = responseOK(argu[0]);
                Intent i = new Intent(this.context, PowResetService.class);
                i.putExtra("cmd", "REBOOT");
                this.context.startService(i);
            } catch (Exception e3) {
                e3.printStackTrace();
                resData = responseNG(argu[0]);
            }
        } else if (!checkArgu(argu, new String[]{"2"})) {
            resData = responseNA();
        } else if (argu[1] != null) {
            try {
                Log.e(this.CLASS_NAME, "power off");
                int delay = Integer.parseInt(argu[1]);
                resData = responseOK(argu[0]);
                Intent i2 = new Intent(this.context, PowResetService.class);
                i2.putExtra("cmd", "POWEROFF");
                i2.putExtra("delay", delay);
                this.context.startService(i2);
            } catch (Exception e4) {
                e4.printStackTrace();
                resData = responseNG(argu[0]);
            }
        }
        return resData;
    }
}
