package com.sec.factory.aporiented.athandler;

import android.content.Context;
import com.sec.factory.modules.ModuleCommunication;
import com.sec.factory.modules.ModuleSensor;
import com.sec.factory.modules.SensorDeviceInfo;
import com.sec.factory.sensors.SensorListener;
import com.sec.factory.sensors.SensorProximity;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;

public class AtProximit extends AtCommandHandler implements SensorListener {
    private final String FLIP_STATE_MAIN = EgisFingerprint.MAJOR_VERSION;
    private final String FLIP_STATE_NORMAL = "0";
    private final String FLIP_STATE_SUB = "2";
    private final long INT_CHECK_TIME = 1000;
    public String ProximitySensorMgrValue = "5.0";
    private String RANGE_PROXIMITY_DETECT = "0.0";
    private boolean isPassCheckingADC = true;
    protected boolean mDetected;
    private int[] mSensorID;
    public SensorProximity mSensorProximity = null;
    private int m_nPrivADC = 0;
    private long m_nStartTime = 0;
    int m_nThreshHold;

    @Override // com.sec.factory.sensors.SensorListener
    public void onSensorValueReceived(int mSensor, String value) {
        FtUtil.log_d(this.CLASS_NAME, "onSensorValueReceived", value);
        switch (mSensor) {
            case 0:
                String str = this.CLASS_NAME;
                FtUtil.log_d(str, "onSensorValueReceived", "NOTI : " + value);
                break;
            case 1:
                String str2 = this.CLASS_NAME;
                FtUtil.log_d(str2, "onSensorValueReceived", "ID_MANAGER_PROXIMITY : " + value);
                this.ProximitySensorMgrValue = value;
                checkADC();
                break;
        }
        this.m_nPrivADC = Integer.valueOf(mModuleCommon.readProxiADC()).intValue();
    }

    public AtProximit(Context context) {
        super(context);
        this.CMD_NAME = "PROXIMIT";
        this.CLASS_NAME = "AtProximit";
        this.NUM_ARGS = 2;
        String sensorName = SensorDeviceInfo.getSensorName(SensorDeviceInfo.TYPE_PROXIMITY, SensorDeviceInfo.TARGET_FILE);
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "sensorName : " + sensorName);
        this.mSensorProximity = new SensorProximity(context);
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", "0"})) {
            if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, EgisFingerprint.MAJOR_VERSION);
            }
            mModuleSensor.SensorOff(this.mSensorID);
            if (mModuleSensor.isSensorOn(ModuleSensor.ID_MANAGER_PROXIMITY)) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,0", "Fail - Proximity Sensor Off Fail"));
                resData = responseNG(argu[0]);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,0", "Pass - Proximity Sensor Off"));
                resData = responseOK(argu[0]);
            }
            if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, "0");
            }
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION})) {
            if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, EgisFingerprint.MAJOR_VERSION);
            }
            this.mSensorID = new int[]{ModuleSensor.ID_MANAGER_PROXIMITY};
            if (!mModuleSensor.isSensorOn(ModuleSensor.ID_MANAGER_PROXIMITY)) {
                mModuleSensor.SensorOn(this.mSensorID);
            }
            if (mModuleSensor.isSensorOn(ModuleSensor.ID_MANAGER_PROXIMITY)) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,1", "Pass - Proximity Sensor On"));
                resData = responseOK(argu[0]);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,1", "Fail - Proximity Sensor On Fail"));
                resData = responseNG(argu[0]);
            }
            if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, "0");
            }
        } else if (checkArgu(argu, new String[]{"0", "2"})) {
            if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, EgisFingerprint.MAJOR_VERSION);
            }
            if (Support.Kernel.write(Support.Kernel.PROXI_SENSOR_OFFSET, EgisFingerprint.MAJOR_VERSION)) {
                switch (isOffsetPass()) {
                    case 0:
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,2", "Fail - Proximity Offset Sensor On Fail"));
                        resData = responseNG(argu[0]);
                        break;
                    case 1:
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,2", "Pass - Proximity Offset Write"));
                        resData = responseString(argu[0], "OK_OK");
                        break;
                    case 2:
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,2", "Pass - Proximity Offset Write"));
                        resData = responseString(argu[0], "OK_SKIP");
                        break;
                    default:
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,2", "NA - Proximity Offset Write"));
                        resData = responseNA();
                        break;
                }
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,2", "Fail - Proximity Sensor On Fail"));
                resData = responseNG(argu[0]);
            }
            if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, "0");
            }
        } else if (checkArgu(argu, new String[]{"0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
            if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, "2");
            }
            if (Support.Kernel.write(Support.Kernel.PROXI_SENSOR_OFFSET, EgisFingerprint.MAJOR_VERSION)) {
                switch (isOffsetPass()) {
                    case 0:
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,3", "Fail - Proximity Offset Sensor On Fail"));
                        resData = responseNG(argu[0]);
                        break;
                    case 1:
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,3", "Pass - Proximity Offset Write"));
                        resData = responseString(argu[0], "OK_OK");
                        break;
                    case 2:
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,3", "Pass - Proximity Offset Write"));
                        resData = responseString(argu[0], "OK_SKIP");
                        break;
                    default:
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,3", "NA - Proximity Offset Write"));
                        resData = responseNA();
                        break;
                }
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,3", "Fail - Proximity Sensor On Fail"));
                resData = responseNG(argu[0]);
            }
            if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, "0");
            }
        } else if (checkArgu(argu, new String[]{"0", "5"})) {
            if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, EgisFingerprint.MAJOR_VERSION);
            }
            if (mModuleSensor.isSensorOn(ModuleSensor.ID_MANAGER_PROXIMITY)) {
                this.mSensorProximity.SensorOn(this, new int[]{1}, 100);
                if (checkINT()) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,5", "Pass"));
                    resData = responseOK(argu[0]);
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,5", "Fail"));
                    resData = responseNG(argu[0]);
                }
                this.mSensorProximity.SensorOff();
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,5", "Fail"));
                resData = responseNG(argu[0]);
            }
            if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, "0");
            }
        } else if (checkArgu(argu, new String[]{"0", "6"})) {
            if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, "2");
            }
            mModuleSensor.SensorOff(this.mSensorID);
            if (mModuleSensor.isSensorOn(ModuleSensor.ID_MANAGER_PROXIMITY)) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,6", "Fail - Proximity Sensor2 Off Fail"));
                resData = responseNG(argu[0]);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,6", "Pass - Proximity Sensor2 Off"));
                resData = responseOK(argu[0]);
            }
            if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, "0");
            }
        } else if (checkArgu(argu, new String[]{"0", "7"})) {
            if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, "2");
            }
            this.mSensorID = new int[]{ModuleSensor.ID_MANAGER_PROXIMITY};
            if (!mModuleSensor.isSensorOn(ModuleSensor.ID_MANAGER_PROXIMITY)) {
                mModuleSensor.SensorOn(this.mSensorID);
            }
            if (mModuleSensor.isSensorOn(ModuleSensor.ID_MANAGER_PROXIMITY)) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,7", "Pass - Proximity Sensor2 On"));
                resData = responseOK(argu[0]);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,7", "Fail - Proximity Sensor2 On Fail"));
                resData = responseNG(argu[0]);
            }
            if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, "0");
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0"})) {
            if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, EgisFingerprint.MAJOR_VERSION);
            }
            if (mModuleSensor.isSensorOn(ModuleSensor.ID_MANAGER_PROXIMITY)) {
                String[] result = mModuleSensor.getData(ModuleSensor.ID_MANAGER_PROXIMITY);
                if (result != null) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,0", "Pass"));
                    String adcValue = mModuleCommon.readProxiADC();
                    String adcResult = adcValue != null ? "," + adcValue : "";
                    if (result[2].equals("0.0")) {
                        resData = responseString(argu[0], ModuleCommunication.BT_RESULT_FOUND + adcResult);
                    } else {
                        resData = responseString(argu[0], ModuleCommunication.BT_RESULT_NOT_FOUND + adcResult);
                    }
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,0", "Fail - FOUND/NOT FOUND read Fail"));
                    resData = responseNG(argu[0]);
                }
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,0", "Fail - Proximity Sensor On Fail"));
                resData = responseNG(argu[0]);
            }
            if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, "0");
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,1", "Fail"));
            resData = responseNG(argu[0]);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "2"})) {
            if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, EgisFingerprint.MAJOR_VERSION);
            }
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,2", "Pass - Read Proximity Offset"));
            resData = responseString(argu[0], mModuleCommon.readProxiOffset());
            if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, "0");
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
            if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, EgisFingerprint.MAJOR_VERSION);
            }
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,3", "Pass - Read Proximity ADC"));
            if (Support.Kernel.write(Support.Kernel.PROXI_SENSOR_OFFSET, "0")) {
                try {
                    Thread.sleep(500);
                } catch (Exception e) {
                    e.printStackTrace();
                }
                resData = responseString(argu[0], mModuleCommon.readProxiADC());
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,3", "Fail - Proximity Sensor On Fail"));
                resData = responseNG(argu[0]);
            }
            if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, "0");
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "4"})) {
            if (Support.Kernel.isExistFile(Support.Kernel.PROX_LED_TEST)) {
                String[] resultArray = Support.Kernel.read(Support.Kernel.PROX_LED_TEST).split(",");
                if (resultArray.length > 0) {
                    String testResult = resultArray[0];
                    String testData = "";
                    for (int i = 1; i < resultArray.length; i++) {
                        try {
                            if (i < resultArray.length - 1) {
                                testData = testData + resultArray[i] + ",";
                            } else {
                                testData = testData + resultArray[i];
                            }
                        } catch (ArrayIndexOutOfBoundsException e2) {
                            e2.printStackTrace();
                        }
                    }
                    if (EgisFingerprint.MAJOR_VERSION.equals(testResult)) {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,4", "Pass - Proximity LED test"));
                        resData = responseString(argu[0], "OK_" + testData);
                    } else {
                        resData = responseString(argu[0], "NG_" + testData);
                    }
                } else {
                    resData = responseNG(argu[0]);
                }
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "5"})) {
            try {
                BufferedReader in = new BufferedReader(new FileReader("/data/log/IrisProxTestResult.log"));
                resData = responseString(argu[0], in.readLine() + ",1," + in.readLine());
                in.close();
            } catch (IOException e3) {
                resData = responseString(argu[0], "NG,1,NG,NG,NG,NG");
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "6"})) {
            if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, "2");
            }
            if (mModuleSensor.isSensorOn(ModuleSensor.ID_MANAGER_PROXIMITY)) {
                String[] result2 = mModuleSensor.getData(ModuleSensor.ID_MANAGER_PROXIMITY);
                if (result2 != null) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,6", "Pass"));
                    String adcValue2 = mModuleCommon.readProxiADC();
                    String adcResult2 = adcValue2 != null ? "," + adcValue2 : "";
                    if (result2[2].equals("0.0")) {
                        resData = responseString(argu[0], ModuleCommunication.BT_RESULT_FOUND + adcResult2);
                    } else {
                        resData = responseString(argu[0], ModuleCommunication.BT_RESULT_NOT_FOUND + adcResult2);
                    }
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,6", "Fail -read Proximity2 FOUND/NOT FOUND Fail"));
                    resData = responseNG(argu[0]);
                }
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,6", "Fail -read Proximity2 Sensor On Fail"));
                resData = responseNG(argu[0]);
            }
            if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, "0");
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "7"})) {
            if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, "2");
            }
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,7", "Pass - Read Proximity2 ADC"));
            if (Support.Kernel.write(Support.Kernel.PROXI_SENSOR_OFFSET, "0")) {
                try {
                    Thread.sleep(500);
                } catch (Exception e4) {
                    e4.printStackTrace();
                }
                resData = responseString(argu[0], mModuleCommon.readProxiADC());
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,7", "Fail - Proximity Sensor On Fail"));
                resData = responseNG(argu[0]);
            }
            if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, "0");
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "8"})) {
            if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, "2");
            }
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,8", "Pass - Read Proximity Offset"));
            resData = responseString(argu[0], mModuleCommon.readProxiOffset());
            if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, "0");
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.JAR_VERSION})) {
            if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, "2");
            }
            if (mModuleSensor.isSensorOn(ModuleSensor.ID_MANAGER_PROXIMITY)) {
                this.mSensorProximity.SensorOn(this, new int[]{1}, 100);
                if (checkINT()) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,9", "Pass"));
                    resData = responseOK(argu[0]);
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,9", "Fail"));
                    resData = responseNG(argu[0]);
                }
                this.mSensorProximity.SensorOff();
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,9", "Fail"));
                resData = responseNG(argu[0]);
            }
            if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, "0");
            }
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0"})) {
            String feature = SensorDeviceInfo.getSensorName(SensorDeviceInfo.TYPE_PROXIMITY, SensorDeviceInfo.TARGET_FILE);
            if (feature != null) {
                resData = responseString(argu[0], feature);
            } else {
                resData = responseString(argu[0], "NONE");
            }
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,0", "Pass"));
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "6"})) {
            if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, EgisFingerprint.MAJOR_VERSION);
            }
            if (mModuleSensor.isSensorOn(ModuleSensor.ID_MANAGER_PROXIMITY)) {
                String[] result3 = mModuleSensor.getData(ModuleSensor.ID_MANAGER_PROXIMITY);
                if (result3 == null) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,6", "Fail - sensor getData is null"));
                    resData = responseNG(argu[0]);
                } else if (result3[2].equals("0.0")) {
                    resData = responseString(argu[0], ModuleCommunication.BT_RESULT_FOUND);
                } else if (Support.Kernel.isExistFile(Support.Kernel.PROXI_SENSOR_MODIFY_SETTING)) {
                    StringBuilder responseStr = new StringBuilder(ModuleCommunication.BT_RESULT_NOT_FOUND);
                    String thd_high = Support.Kernel.read(Support.Kernel.PROXI_SENSOR_SETTINGS_THD_HIGH);
                    String thd_low = Support.Kernel.read(Support.Kernel.PROXI_SENSOR_SETTINGS_THD_LOW);
                    if (thd_high == null || thd_low == null) {
                        FtUtil.log_d(this.CLASS_NAME, "prox=3,6", "PROXI_SENSOR_SETTINGS_THD_HIGH/LOW value null");
                        resData = responseNG(argu[0]);
                    } else {
                        int highValue = Integer.parseInt(thd_high);
                        int lowValue = Integer.parseInt(thd_low);
                        int proxiADC = Integer.valueOf(mModuleCommon.readProxiADC()).intValue();
                        FtUtil.log_d(this.CLASS_NAME, "prox=3,6", "proxiADC : " + proxiADC + " / settings_thd_low : " + lowValue + " , settings_thd_high : " + highValue);
                        if (proxiADC > lowValue && proxiADC < highValue) {
                            responseStr.append(",MODESET");
                            Support.Kernel.write(Support.Kernel.PROXI_SENSOR_MODIFY_SETTING, "2");
                        }
                        resData = responseString(argu[0], responseStr.toString());
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,6", "Pass"));
                    }
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "prox=3,6", "Not Exist PROXI_SENSOR_MODIFIY_SETTING");
                    resData = responseNG(argu[0]);
                }
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,6", "Fail - Proximity Sensor On Fail"));
                resData = responseNG(argu[0]);
            }
            if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
                Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, "0");
            }
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.JAR_VERSION})) {
            String resultTrim = Support.Kernel.read(Support.Kernel.PROXI_SENSOR_TRIM_CHECK);
            if (resultTrim != null) {
                resData = responseString(argu[0], resultTrim);
            } else {
                resData = responseString(argu[0], "NG");
            }
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,9", "Pass"));
        } else {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - NOT registered index"));
            resData = responseNA();
        }
        return resData;
    }

    private int isOffsetPass() {
        String data = Support.Kernel.read(Support.Kernel.PROXI_SENSOR_OFFSET_PASS);
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "isOffsetPass", "isOffsetPass : " + data);
        if (data == null || data.isEmpty()) {
            return 1000;
        }
        try {
            return Integer.parseInt(data.trim());
        } catch (NumberFormatException ne) {
            FtUtil.log_e(ne);
            return 1000;
        }
    }

    public void initCheckINT() {
        this.m_nPrivADC = 0;
        this.isPassCheckingADC = true;
        this.m_nStartTime = System.currentTimeMillis();
        this.m_nThreshHold = getThreshHold();
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "initCheckINT", "startTime : " + this.m_nStartTime);
    }

    public int getThreshHold() {
        int threshHold;
        String strNormalHighThreshHold = Support.Kernel.read(Support.Kernel.PROXI_SENSOR_SET_HIGH_THRESHOLD);
        String strDetectHighThreshHold = Support.Kernel.read(Support.Kernel.PROXI_SENSOR_DETECT_HIGH_THRESHOLD);
        if (strNormalHighThreshHold == null) {
            FtUtil.log_d(this.CLASS_NAME, "getThreshHold", "normal null");
            strNormalHighThreshHold = "987654321";
        }
        if (strDetectHighThreshHold == null) {
            FtUtil.log_d(this.CLASS_NAME, "getThreshHold", "detect null");
            strDetectHighThreshHold = "987654321";
        }
        String strNormalHighThreshHold2 = strNormalHighThreshHold.split(",")[0];
        String strDetectHighThreshHold2 = strDetectHighThreshHold.split(",")[0];
        int nNormalHighThreshHold = Integer.valueOf(strNormalHighThreshHold2).intValue();
        int nDetectHighThreshHold = Integer.valueOf(strDetectHighThreshHold2).intValue();
        if (nNormalHighThreshHold < nDetectHighThreshHold) {
            FtUtil.log_d(this.CLASS_NAME, "getThreshHold", "normal");
            threshHold = nNormalHighThreshHold;
        } else {
            FtUtil.log_d(this.CLASS_NAME, "getThreshHold", "detect");
            threshHold = nDetectHighThreshHold;
        }
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "getThreshHold", "threshHold : " + threshHold);
        return threshHold;
    }

    public boolean isOver1sec() {
        long intervalTime = System.currentTimeMillis() - this.m_nStartTime;
        if (1000 > intervalTime) {
            return false;
        }
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "checkINT", "Over 1 Sec, intervalTime : " + intervalTime);
        return true;
    }

    public boolean checkINT() {
        initCheckINT();
        while (!isOver1sec()) {
            if (!this.isPassCheckingADC) {
                return false;
            }
            try {
                Thread.sleep(10);
            } catch (Exception e) {
                e.printStackTrace();
            }
        }
        return true;
    }

    public void checkADC() {
        if (this.ProximitySensorMgrValue.equals(this.RANGE_PROXIMITY_DETECT)) {
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "checkINT", "PrivADC : " + this.m_nPrivADC);
            int i = this.m_nThreshHold;
            int i2 = this.m_nPrivADC;
            if (i > i2 && i2 != 0) {
                String str2 = this.CLASS_NAME;
                FtUtil.log_d(str2, "checkINT", "fail... PrixADC : " + this.m_nPrivADC);
                this.isPassCheckingADC = false;
            }
        }
    }
}
