package com.sec.factory.aporiented.athandler;

import android.app.ActivityManager;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.content.SharedPreferences;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.support.FtUtil;
import egis.client.api.EgisFingerprint;

public class AtPtestapp extends AtCommandHandler {
    private final String ACTION_TSP_OPEN_SHORT_RESULT_PRETEST = "com.android.samsungtest.ACTION_TSP_OPEN_SHORT_RESULT_PRETEST";
    private final Context mContext;
    protected boolean mDetected;
    private BroadcastReceiver mTestResultReceiverPretest = new BroadcastReceiver() {
        /* class com.sec.factory.aporiented.athandler.AtPtestapp.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            String strStatus = intent.getStringExtra("STATUS");
            String strData = intent.getStringExtra("DATA");
            String str = AtPtestapp.this.CLASS_NAME;
            FtUtil.log_d(str, "onReceive", "status : " + strStatus + ", data : " + strData);
            String strVersion = intent.getStringExtra("VERSION");
            SharedPreferences.Editor editor = context.getSharedPreferences("TSP_OPEN_SHORT_TEST_RESULT", 0).edit();
            editor.putString("STATUS", strStatus);
            editor.putString("DATA", strData);
            editor.putString("VERSION", strVersion);
            editor.commit();
            AtPtestapp.this.stopReceiverPretest();
        }
    };

    public AtPtestapp(Context context) {
        super(context);
        this.CMD_NAME = "PTESTAPP";
        this.CLASS_NAME = "AtPtestapp";
        this.NUM_ARGS = 4;
        this.mContext = context;
    }

    private void startReceiverPretest() {
        FtUtil.log_d(this.CLASS_NAME, "startReceiverPretest", "");
        this.mContext.registerReceiver(this.mTestResultReceiverPretest, new IntentFilter("com.android.samsungtest.ACTION_TSP_OPEN_SHORT_RESULT_PRETEST"));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void stopReceiverPretest() {
        FtUtil.log_d(this.CLASS_NAME, "startReceiverPretest", "");
        this.mContext.unregisterReceiver(this.mTestResultReceiverPretest);
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        boolean result = false;
        String cmdName = this.CMD_NAME + "=";
        for (int i = 0; i < argu.length; i++) {
            StringBuilder sb = new StringBuilder();
            sb.append(cmdName);
            sb.append(i != argu.length - 1 ? argu[i] + "," : argu[i]);
            cmdName = sb.toString();
        }
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (isPretestAlive()) {
            if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "0", "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Pretest Assy TSP Selftest start command received"));
                result = mModuleCommon.RequestPretest(3001);
            } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "0", EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Pretest Unit TSP Selftest start command received"));
                result = mModuleCommon.RequestPretest(3002);
            } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "0", "2"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Pretest Assy TSP2 Selftest start command received"));
                result = mModuleCommon.RequestPretest(FactoryTestManager.PRETEST_ASSY_TSP2_SELF_TEST);
            } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Pretest Unit TSP2 Selftest start command received"));
                result = mModuleCommon.RequestPretest(FactoryTestManager.PRETEST_UNIT_TSP2_SELF_TEST);
            } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Pretest Assy Force Touch Selftest start command received"));
                result = mModuleCommon.RequestPretest(3003);
            } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Pretest Unit Force Touch Selftest start command received"));
                result = mModuleCommon.RequestPretest(3004);
            } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "2", "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Pretest Assy Force Touch Press start command received"));
                result = mModuleCommon.RequestPretest(3005);
            } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Pretest Assy TSP Draw start command received"));
                result = mModuleCommon.RequestPretest(3006);
            } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "5", "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Pretest Assy TSP+SPEN Draw start command received"));
                result = mModuleCommon.RequestPretest(3007);
            } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "5", EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Pretest Assy SPEN Draw start command received"));
                result = mModuleCommon.RequestPretest(FactoryTestManager.PRETEST_ASSY_SPEN_DRAWING_TEST);
            } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "6", EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Pretest Gray Spot start command received"));
                result = mModuleCommon.RequestPretest(FactoryTestManager.PRETEST_GRAY_SPOT_TEST);
            } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "6", "2"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Pretest TSP Open Short start command received"));
                startReceiverPretest();
                result = mModuleCommon.RequestPretest(FactoryTestManager.PRETEST_OPEN_SHORT_TEST);
            } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "6", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Pretest TSP Open Short start command received"));
                startReceiverPretest();
                result = mModuleCommon.RequestPretest(FactoryTestManager.PRETEST_OPEN_SHORT_TEST2);
            } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "7", "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Pretest Assy Finger Print Service start command received"));
                result = mModuleCommon.RequestPretest(FactoryTestManager.PRETEST_ASSY_FINGERPRINT_SERVICE);
            } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "7", EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Pretest Unit Finger Print Service start command received"));
                result = mModuleCommon.RequestPretest(FactoryTestManager.PRETEST_UNIT_FINGERPRINT_SERVICE);
            } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "8", "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Pretest Fingerprint Normal scan start command received"));
                result = mModuleCommon.RequestPretest(FactoryTestManager.PRETEST_FINGERPRINT_NORMAL_SCAN);
            } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "8", EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Pretest Fingerprint White Cal start command received"));
                result = mModuleCommon.RequestPretest(FactoryTestManager.PRETEST_FINGERPRINT_WKBOX);
            } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "8", "2"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Pretest Fingerprint Black Cal start command received"));
                result = mModuleCommon.RequestPretest(FactoryTestManager.PRETEST_FINGERPRINT_BKBOX);
            } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "8", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Pretest Fingerprint SNR start command received"));
                result = mModuleCommon.RequestPretest(FactoryTestManager.PRETEST_FINGERPRINT_CHART);
            } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.JAR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, cmdName, "Pretest Sub ACC & Gyro start command received"));
                result = mModuleCommon.RequestPretest(FactoryTestManager.PRETEST_SUB_ACC_GYRO);
            }
        }
        if (result) {
            resData = responseOK(argu[0]);
        } else {
            resData = responseNG(argu[0]);
        }
        return resData;
    }

    private boolean isPretestAlive() {
        String className = null;
        try {
            className = ((ActivityManager) this.context.getSystemService("activity")).getRunningTasks(1).get(0).topActivity.getClassName();
            String str = this.CLASS_NAME;
            StringBuilder sb = new StringBuilder();
            sb.append("Top activity class name = ");
            sb.append(className == null ? "null" : className);
            FtUtil.log_d(str, sb.toString());
        } catch (Exception e) {
            String str2 = this.CLASS_NAME;
            FtUtil.log_e(str2, "Exception : " + e);
        }
        return className != null && className.contains("com.sec.OneJigBinary");
    }
}
