package com.sec.factory.aporiented.athandler;

import android.content.Context;
import android.content.Intent;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.File;

public class AtQchargei extends AtCommandHandler {
    private static final String ACTION_RECEIVE_LOAD_CURRENT = "com.sec.samsung.ACTION_RECEIVE_LOAD_CURRENT";
    private static final String ACTION_RECEIVE_VCONN_CURRENT = "com.sec.samsung.ACTION_RECEIVE_VCONN_CURRENT";
    private static final String ACTION_RECEIVE_WIRELESS_CHARGING_TX_CURRENT = "com.sec.samsung.ACTION_RECEIVE_WIRELESS_CHARGING_TX_CURRENT";

    public AtQchargei(Context context) {
        super(context);
        this.CMD_NAME = "QCHARGEI";
        this.CLASS_NAME = "AtQchargei";
        this.NUM_ARGS = 2;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (argu.length < this.NUM_ARGS) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", "0", "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "QC Quick Charge IC Self Test "));
            String value = Support.Kernel.read(Support.Kernel.HV_CHARGE_CHIP);
            FtUtil.log_i(this.CLASS_NAME, this.CMD_NAME, value);
            if ("SMB1357".equalsIgnoreCase(value) || "SMB1356".equalsIgnoreCase(value)) {
                resData = responseOK(argu[0]);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - QC Quick Charge IC Self Test"));
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "AF Charge IC Self Test"));
            String value2 = Support.Kernel.read(Support.Kernel.HV_CHARGE_CHIP);
            FtUtil.log_i(this.CLASS_NAME, this.CMD_NAME, value2);
            if ("MAX77843".equalsIgnoreCase(value2) || "MAX77833".equalsIgnoreCase(value2) || "MAX77854".equalsIgnoreCase(value2) || "MAX77865".equalsIgnoreCase(value2) || "SM5705".equalsIgnoreCase(value2) || "SM5720".equalsIgnoreCase(value2) || "S2MU004".equalsIgnoreCase(value2) || EgisFingerprint.MAJOR_VERSION.equalsIgnoreCase(value2)) {
                resData = responseOK(argu[0]);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - AF Charge IC Self Test"));
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "(Interface) Quick Charge Test Data Read"));
            File dataAvgFile = new File("data/log/AFChargeData.log");
            if (dataAvgFile.exists()) {
                resData = responseString(argu[0], Support.Kernel.readFromPath(dataAvgFile.getPath(), true));
                FtUtil.log_i(this.CLASS_NAME, this.CMD_NAME, "AFCharge current : " + Support.Kernel.readFromPath(dataAvgFile.getPath(), true));
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - AF Charge data file is empty(AFChargeData.log)"));
                resData = responseString(argu[0], "NONE");
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "(Interface) Normal Charge Test Data Read"));
            File dataAvgFile2 = new File("data/log/NormalChargeData.log");
            if (dataAvgFile2.exists()) {
                resData = responseString(argu[0], Support.Kernel.readFromPath(dataAvgFile2.getPath(), true));
                FtUtil.log_i(this.CLASS_NAME, this.CMD_NAME, "Normal Charge current : " + Support.Kernel.readFromPath(dataAvgFile2.getPath(), true));
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - Normal Charge data file is empty(NormalChargeData.log)"));
                resData = responseString(argu[0], "NONE");
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, "2"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "(Wireless) Quick Charge Test Data Read"));
            File dataAvgFile3 = new File("data/log/WirelessFastChargeData.log");
            if (dataAvgFile3.exists()) {
                try {
                    String[] afcDataArr = Support.Kernel.readFromPath(dataAvgFile3.getPath(), true).split(",");
                    resData = responseString(argu[0], afcDataArr[0]);
                    FtUtil.log_i(this.CLASS_NAME, this.CMD_NAME, "WIRELESS AF Charge current : " + afcDataArr[0]);
                } catch (NullPointerException e) {
                    resData = responseNG(argu[0]);
                }
            } else {
                resData = responseString(argu[0], "NONE");
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "(Wireless) Normal Charge Test Data Read"));
            File dataAvgFile4 = new File("data/log/WirelessChargeBuiltInData.log");
            if (dataAvgFile4.exists()) {
                resData = responseString(argu[0], Support.Kernel.readFromPath(dataAvgFile4.getPath(), true));
                FtUtil.log_i(this.CLASS_NAME, this.CMD_NAME, "WIRELESS Normal Charge current : " + Support.Kernel.readFromPath(dataAvgFile4.getPath(), true));
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - Wireless Charge data file is empty(WirelessChargeBuiltInData.log)"));
                resData = responseString(argu[0], "NONE");
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, "4"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "(Interface) Quick Charge2 Test Data Read"));
            File dataAvgFile5 = new File("data/log/AFCharge2Data.log");
            if (dataAvgFile5.exists()) {
                resData = responseString(argu[0], Support.Kernel.readFromPath(dataAvgFile5.getPath(), true));
                FtUtil.log_i(this.CLASS_NAME, this.CMD_NAME, "AF Charge2 current : " + Support.Kernel.readFromPath(dataAvgFile5.getPath(), true));
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - AF Charge2 data file is empty(AFCharge2Data.log)"));
                resData = responseString(argu[0], "NONE");
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, "5"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "(Interface) AF Charge Voltage Data Read"));
            File dataAvgFile6 = new File("data/log/AFVoltageData.log");
            if (dataAvgFile6.exists()) {
                resData = responseString(argu[0], Support.Kernel.readFromPath(dataAvgFile6.getPath(), true));
                FtUtil.log_i(this.CLASS_NAME, this.CMD_NAME, "AF Charge2 Voltage : " + Support.Kernel.readFromPath(dataAvgFile6.getPath(), true));
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - AF Charge2 Voltage data file is empty(AFVoltageData.log)"));
                resData = responseString(argu[0], "NONE");
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, "6"})) {
            File dataOpenSensing = new File("data/log/OpenSensingCheckDelta.log");
            if (dataOpenSensing.exists()) {
                resData = responseString(argu[0], Support.Kernel.readFromPath(dataOpenSensing.getPath(), true));
                FtUtil.log_i(this.CLASS_NAME, this.CMD_NAME, "Open Sensing Check Delta : " + Support.Kernel.readFromPath(dataOpenSensing.getPath(), true));
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - Open Sensing Check Delta file is empty(OpenSensingCheckDelta.log)"));
                resData = responseString(argu[0], "NONE");
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, "8"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Wireless Fast Charge 2.1 Current Data Read"));
            File fileAvgData = new File("data/log/WirelessFastChargeData.log");
            if (fileAvgData.exists()) {
                try {
                    String[] arrayAvgData = Support.Kernel.readFromPath(fileAvgData.getPath(), true).split(",");
                    resData = responseString(argu[0], arrayAvgData[0] + "," + arrayAvgData[2]);
                    FtUtil.log_i(this.CLASS_NAME, this.CMD_NAME, "Charge Test Current : " + arrayAvgData[0] + ", BattTemp : " + arrayAvgData[2]);
                } catch (NullPointerException e2) {
                    resData = responseNG(argu[0]);
                }
            } else {
                resData = responseString(argu[0], "NONE");
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "2", "2"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "(Wireless) Quick Charge Test Data Read (Current,Voltage)"));
            File dataAvgFile7 = new File("data/log/WirelessFastChargeData.log");
            if (dataAvgFile7.exists()) {
                resData = responseString(argu[0], Support.Kernel.readFromPath(dataAvgFile7.getPath(), true));
                FtUtil.log_i(this.CLASS_NAME, this.CMD_NAME, "WIRELESS AF Charge current : " + Support.Kernel.readFromPath(dataAvgFile7.getPath(), true));
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - Wireless Quick Charge Test Data file is empty(WirelessFastChargeData.log)"));
                resData = responseString(argu[0], "NONE");
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "2"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "(Wireless) TA Current Data Read"));
            File dataforTACur = new File("data/log/WirelessTACurrentData.log");
            if (dataforTACur.exists()) {
                resData = responseString(argu[0], Support.Kernel.readFromPath(dataforTACur.getPath(), true));
            } else {
                resData = responseString(argu[0], "NONE");
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Wireless Charging Tx Data Read"));
            String strOutData = "NONE,NONE";
            String strInData = "NONE,NONE";
            String strResult = "NONE,NONE";
            if (Support.Kernel.isExistFile(Support.Kernel.WIRELESS_CHARGING_TX_OUT_DATA)) {
                strOutData = Support.Kernel.read(Support.Kernel.WIRELESS_CHARGING_TX_OUT_DATA);
            }
            if (Support.Kernel.isExistFile(Support.Kernel.WIRELESS_CHARGING_TX_IN_DATA)) {
                String[] strTemp = Support.Kernel.read(Support.Kernel.WIRELESS_CHARGING_TX_IN_DATA).split(",");
                strInData = strTemp[0] + "," + strTemp[1];
            }
            if (Support.Kernel.isExistFile(Support.Kernel.WIRELESS_CHARGING_TX_RESULT)) {
                strResult = Support.Kernel.read(Support.Kernel.WIRELESS_CHARGING_TX_RESULT);
            }
            resData = responseString(argu[0], strResult + "," + strOutData + "," + strInData);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "4", EgisFingerprint.MAJOR_VERSION})) {
            File dataSBU = new File("data/log/SBUData.log");
            if (dataSBU.exists()) {
                resData = responseString(argu[0], Support.Kernel.readFromPath(dataSBU.getPath(), true));
                FtUtil.log_i(this.CLASS_NAME, this.CMD_NAME, "SBUData : " + Support.Kernel.readFromPath(dataSBU.getPath(), true));
            } else {
                resData = responseString(argu[0], "NONE");
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "4", "2"})) {
            File dataVCONNCurrent = new File("data/log/VconnCurrentData.log");
            if (dataVCONNCurrent.exists()) {
                resData = responseString(argu[0], Support.Kernel.readFromPath(dataVCONNCurrent.getPath(), true));
                FtUtil.log_i(this.CLASS_NAME, this.CMD_NAME, "VCONN Charge current : " + Support.Kernel.readFromPath(dataVCONNCurrent.getPath(), true));
            } else {
                resData = responseString(argu[0], "NONE");
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "4", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
            File dataLoadCharge = new File("data/log/LoadChargeData.log");
            if (dataLoadCharge.exists()) {
                resData = responseString(argu[0], Support.Kernel.readFromPath(dataLoadCharge.getPath(), true));
                FtUtil.log_i(this.CLASS_NAME, this.CMD_NAME, "Load Charge current : " + Support.Kernel.readFromPath(dataLoadCharge.getPath(), true));
            } else {
                resData = responseString(argu[0], "NONE");
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "4", "4"})) {
            File dataPDCharge = new File("data/log/PDChargeData.log");
            if (dataPDCharge.exists()) {
                resData = responseString(argu[0], Support.Kernel.readFromPath(dataPDCharge.getPath(), true));
                FtUtil.log_i(this.CLASS_NAME, this.CMD_NAME, "PD Charge current : " + Support.Kernel.readFromPath(dataPDCharge.getPath(), true));
            } else {
                resData = responseString(argu[0], "NONE");
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "5", "0"})) {
            File dataQCharge2 = new File("data/log/QCharge2Data.log");
            if (dataQCharge2.exists()) {
                resData = responseString(argu[0], Support.Kernel.readFromPath(dataQCharge2.getPath(), true));
                FtUtil.log_i(this.CLASS_NAME, this.CMD_NAME, "QC 2.0 current : " + Support.Kernel.readFromPath(dataQCharge2.getPath(), true));
            } else {
                resData = responseString(argu[0], "NONE");
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "5", EgisFingerprint.MAJOR_VERSION})) {
            File dataQChargeNormal = new File("data/log/QChargeNormalData.log");
            if (dataQChargeNormal.exists()) {
                resData = responseString(argu[0], Support.Kernel.readFromPath(dataQChargeNormal.getPath(), true));
                FtUtil.log_i(this.CLASS_NAME, this.CMD_NAME, "QC Normal current : " + Support.Kernel.readFromPath(dataQChargeNormal.getPath(), true));
            } else {
                resData = responseString(argu[0], "NONE");
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "5", "4"})) {
            File dataQCharge3 = new File("data/log/QCharge3Data.log");
            if (dataQCharge3.exists()) {
                resData = responseString(argu[0], Support.Kernel.readFromPath(dataQCharge3.getPath(), true));
                FtUtil.log_i(this.CLASS_NAME, this.CMD_NAME, "QC 3.0 voltage,current : " + Support.Kernel.readFromPath(dataQCharge3.getPath(), true));
            } else {
                resData = responseString(argu[0], "NONE");
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "6", "0"})) {
            File mainPMIC9VCheck = new File("data/log/MainPMIC9VCheck.log");
            if (Support.Kernel.isExistFilePath(mainPMIC9VCheck.getPath())) {
                String result = Support.Kernel.readFromPath(mainPMIC9VCheck.getPath(), true);
                FtUtil.log_i(this.CLASS_NAME, this.CMD_NAME, "MainPMIC 9V : " + result);
                if (EgisFingerprint.MAJOR_VERSION.equalsIgnoreCase(result)) {
                    resData = responseOK(argu[0]);
                } else {
                    resData = responseNG(argu[0]);
                }
            } else {
                resData = responseString(argu[0], "NONE");
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "6", EgisFingerprint.MAJOR_VERSION})) {
            File mainPMIC5VCheck = new File("data/log/MainPMIC5VCheck.log");
            if (Support.Kernel.isExistFilePath(mainPMIC5VCheck.getPath())) {
                String result2 = Support.Kernel.readFromPath(mainPMIC5VCheck.getPath(), true);
                FtUtil.log_i(this.CLASS_NAME, this.CMD_NAME, "MainPMIC 5V : " + result2);
                if (EgisFingerprint.MAJOR_VERSION.equalsIgnoreCase(result2)) {
                    resData = responseOK(argu[0]);
                } else {
                    resData = responseNG(argu[0]);
                }
            } else {
                resData = responseString(argu[0], "NONE");
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "7", EgisFingerprint.MAJOR_VERSION})) {
            File dataPogoCharge = new File("data/log/Pogo5VData.log");
            if (dataPogoCharge.exists()) {
                resData = responseString(argu[0], Support.Kernel.readFromPath(dataPogoCharge.getPath(), true));
                FtUtil.log_i(this.CLASS_NAME, this.CMD_NAME, "Pogo charge current : " + Support.Kernel.readFromPath(dataPogoCharge.getPath(), true));
            } else {
                resData = responseString(argu[0], "NONE");
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "8", "0"})) {
            File dataDirectCharge = new File("data/log/DirectChargeData.log");
            if (dataDirectCharge.exists()) {
                resData = responseString(argu[0], Support.Kernel.readFromPath(dataDirectCharge.getPath(), true));
                FtUtil.log_i(this.CLASS_NAME, this.CMD_NAME, "Direct charge current : " + Support.Kernel.readFromPath(dataDirectCharge.getPath(), true));
            } else {
                resData = responseString(argu[0], "NONE");
            }
        } else if (checkArgu(argu, new String[]{"2", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "(Wireless) TA Current Data Write"));
            File dataforTACur2 = new File("data/log/WirelessTACurrentData.log");
            if (argu[2] == null) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - file or value was not exist, check validation of command first"));
                resData = responseNG(argu[0]);
            } else if (Support.Kernel.writeToPathNsync(dataforTACur2.getPath(), argu[2])) {
                resData = responseOK(argu[0]);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - fail to write TA Current Data"));
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"2", "4"})) {
            File dataLoadCharge2 = new File("data/log/LoadChargeData.log");
            if (argu[2] == null) {
                resData = responseNG(argu[0]);
            } else if (Support.Kernel.writeToPathNsync(dataLoadCharge2.getPath(), argu[2])) {
                resData = responseOK(argu[0]);
                FtUtil.log_i(this.CLASS_NAME, this.CMD_NAME, "Write Load Charge current : " + Support.Kernel.readFromPath(dataLoadCharge2.getPath(), true));
                Intent intent = new Intent(ACTION_RECEIVE_LOAD_CURRENT);
                intent.putExtra("LOAD_CURRENT", argu[2]);
                this.context.sendBroadcast(intent);
                FtUtil.log_i(this.CLASS_NAME, this.CMD_NAME, "sendBroadcast");
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"2", "5"})) {
            File dataVconnCurrent = new File("data/log/VconnCurrentData.log");
            if (argu[2] == null) {
                resData = responseNG(argu[0]);
            } else if (Support.Kernel.writeToPathNsync(dataVconnCurrent.getPath(), argu[2])) {
                resData = responseOK(argu[0]);
                FtUtil.log_i(this.CLASS_NAME, this.CMD_NAME, "Write Vconn current : " + Support.Kernel.readFromPath(dataVconnCurrent.getPath(), true));
                Intent intent2 = new Intent(ACTION_RECEIVE_VCONN_CURRENT);
                intent2.putExtra("VCONN_CURRENT", argu[2]);
                this.context.sendBroadcast(intent2);
                FtUtil.log_i(this.CLASS_NAME, this.CMD_NAME, "sendBroadcast");
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (!checkArgu(argu, new String[]{"2", "8"})) {
            resData = responseNA();
        } else if (argu[2] != null) {
            String[] strData = argu[2].split("_");
            if (Support.Kernel.writeNsync(Support.Kernel.WIRELESS_CHARGING_TX_OUT_DATA, strData[0] + "," + strData[1])) {
                resData = responseOK(argu[0]);
                FtUtil.log_i(this.CLASS_NAME, this.CMD_NAME, "Write Wireless Charging Tx Out Data : " + Support.Kernel.read(Support.Kernel.WIRELESS_CHARGING_TX_OUT_DATA));
                this.context.sendBroadcast(new Intent(ACTION_RECEIVE_WIRELESS_CHARGING_TX_CURRENT));
                FtUtil.log_i(this.CLASS_NAME, this.CMD_NAME, "sendBroadcast ACTION_RECEIVE_WIRELESS_CHARGING_TX_CURRENT");
            } else {
                resData = responseNG(argu[0]);
            }
        } else {
            resData = responseNG(argu[0]);
        }
        return resData;
    }
}
