package com.sec.factory.aporiented.athandler;

import android.content.Context;
import android.content.Intent;
import com.sec.factory.app.ui.QrPopupDisplay;
import com.sec.factory.support.FtUtil;

public class AtQrpopupd extends AtCommandHandler {
    private Context mContext;

    public AtQrpopupd(Context context) {
        super(context);
        this.mContext = context;
        this.CMD_NAME = "QRPOPUPD";
        this.CLASS_NAME = "AtQrpopupd";
        this.NUM_ARGS = 3;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData = null;
        String cmdName = this.CMD_NAME + "=";
        for (int i = 0; i < argu.length; i++) {
            StringBuilder sb = new StringBuilder();
            sb.append(cmdName);
            sb.append(i != argu.length - 1 ? argu[i] + "," : argu[i]);
            cmdName = sb.toString();
        }
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", "0"})) {
            String atcmdData = argu[2];
            if (atcmdData == null || "".equals(atcmdData)) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "atcmdData is null or blank");
                resData = responseNG(argu[0]);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", cmdName + " : QR_POPUP_DISPLAY command received");
                Intent i2 = new Intent(this.mContext, QrPopupDisplay.class);
                i2.addFlags(335544320);
                i2.putExtra("atcmdData", atcmdData);
                this.mContext.startActivity(i2);
                resData = responseOK(argu[0]);
            }
        }
        return resData;
    }
}
