package com.sec.factory.aporiented.athandler;

import android.content.Context;
import android.os.SystemProperties;
import com.sec.factory.support.FtUtil;
import egis.client.api.EgisFingerprint;

public class AtRamsizec extends AtCommandHandler {
    private static final String DRAM_INFO_PROP = "ro.boot.dram_info";

    public AtRamsizec(Context context) {
        super(context);
        this.CMD_NAME = "RAMSIZEC";
        this.CLASS_NAME = "AtRamSizec";
        this.NUM_ARGS = 3;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, "0"})) {
            int firstApiLevel = SystemProperties.getInt("ro.product.first_api_level", -1);
            if (FtUtil.isFactoryBinary() || firstApiLevel >= 28) {
                String data = SystemProperties.get(DRAM_INFO_PROP);
                String str = this.CLASS_NAME;
                FtUtil.log_d(str, "handleCommand", "data : " + data);
                if (data != null) {
                    String[] dataArray = data.split(",");
                    if (dataArray.length >= 4) {
                        String str2 = this.CLASS_NAME;
                        FtUtil.log_d(str2, "handleCommand", "OK: cmd result=" + dataArray[3]);
                        resData = responseString(argu[0], dataArray[3].replaceAll("[a-zA-Z]", "").trim());
                    } else {
                        FtUtil.log_e(this.CLASS_NAME, "handleCommand", "NG: property argu failed");
                        return responseNG(argu[0]);
                    }
                } else {
                    FtUtil.log_e(this.CLASS_NAME, "handleCommand", "NG: property read failed");
                    return responseNG(argu[0]);
                }
            } else {
                String data2 = mModuleDevice.getTotalMemory();
                String str3 = this.CLASS_NAME;
                FtUtil.log_d(str3, "handleCommand", "data : " + data2);
                return responseString(argu[0], data2);
            }
        } else {
            resData = responseNA();
        }
        return resData;
    }
}
