package com.sec.factory.aporiented.athandler;

import android.app.ActivityManager;
import android.content.Context;
import android.content.Intent;
import com.sec.factory.support.FtUtil;
import egis.client.api.EgisFingerprint;
import java.util.List;
import java.util.Locale;

public class AtRapplist extends AtCommandHandler {
    public AtRapplist(Context context) {
        super(context);
        this.CMD_NAME = "RAPPLIST";
        this.CLASS_NAME = "AtRapplist";
        this.NUM_ARGS = 4;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        String result = "";
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0", "0"})) {
            List<ActivityManager.RecentTaskInfo> recentTasks = ((ActivityManager) this.context.getSystemService("activity")).getRecentTasks(10000, 0);
            int appLength = recentTasks.size();
            for (int i = 0; i < appLength; i++) {
                String packageName = new Intent(recentTasks.get(i).baseIntent).getComponent().getPackageName();
                String packageNameresult = packageName.substring(packageName.lastIndexOf(".") + 1, packageName.length());
                FtUtil.log_d(this.CLASS_NAME, "Recent Apps = " + packageName);
                FtUtil.log_d(this.CLASS_NAME, "Recent Apps = " + packageNameresult);
                if (packageNameresult != null) {
                    if (i > 0) {
                        result = result + ",";
                    }
                    result = result + packageNameresult;
                }
            }
            if (result == "") {
                result = "NONE";
            }
            resData = responseString(argu[0], result.toUpperCase(Locale.ENGLISH));
        } else {
            resData = responseNA();
        }
        return resData;
    }
}
