package com.sec.factory.aporiented.athandler;

import android.content.Context;
import com.sec.factory.app.ui.UIRangingSensorCal;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class AtRasensor extends AtCommandHandler {
    private Context mContext;

    public AtRasensor(Context context) {
        super(context);
        this.CMD_NAME = "RASENSOR";
        this.CLASS_NAME = "AtRasensor";
        this.NUM_ARGS = 3;
        this.mContext = context;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        resData = null;
        if (checkArgu(argu, new String[]{"0", "0", "0", "0"})) {
            if (Support.Kernel.write(Support.Kernel.RANGE_SENSOR_ENABLE, "0")) {
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", "0", "0", EgisFingerprint.MAJOR_VERSION})) {
            if (Support.Kernel.write(Support.Kernel.RANGE_SENSOR_ENABLE, EgisFingerprint.MAJOR_VERSION)) {
                String result = Support.Kernel.read(Support.Kernel.RANGE_SENSOR_ENABLE);
                if (EgisFingerprint.MAJOR_VERSION.equals(result)) {
                    resData = responseOK(argu[0]);
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Sensor On Fail, result : " + result);
                    resData = responseNG(argu[0]);
                }
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Sensor On Sysfs Write Fail");
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", "0", EgisFingerprint.MAJOR_VERSION})) {
            UIRangingSensorCal mUIRangingSensorCal = new UIRangingSensorCal("ATCMD", this.mContext);
            mUIRangingSensorCal.startCalibration();
            mUIRangingSensorCal.getData();
            mUIRangingSensorCal.saveResultData();
            String result2 = this.mContext.getSharedPreferences("RANGING_SERSOR_CAL_RESULT", 0).getString("RESULT_DATA", "0");
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "result : " + result2);
            if (result2.contains("OK")) {
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", "0", "2", "0"})) {
            if (Support.Kernel.write(Support.Kernel.RANGE_SENSOR_CALIBRATION, "2")) {
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", "0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0"})) {
            String chipID = Support.Kernel.read(Support.Kernel.RANGE_SENSOR_CHIP_ID);
            String calDataID = Support.Kernel.read(Support.Kernel.RANGE_SENSOR_CAL_DATA_ID);
            String resString = chipID + "," + calDataID;
            if (chipID == null || calDataID == null || !chipID.equals(calDataID)) {
                resData = responseString(argu[0], "NG," + resString);
            } else {
                resData = responseString(argu[0], "OK," + resString);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", EgisFingerprint.MAJOR_VERSION, "0"})) {
            if ("O".equals(Support.Kernel.read(Support.Kernel.RANGE_SENSOR_CALIBRATION))) {
                UIRangingSensorCal mUIRangingSensorCal2 = new UIRangingSensorCal("ATCMD", this.mContext);
                mUIRangingSensorCal2.getData();
                mUIRangingSensorCal2.saveResultData();
                String result3 = this.mContext.getSharedPreferences("RANGING_SERSOR_CAL_RESULT", 0).getString("RESULT_DATA", "0");
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "result : " + result3);
                resData = responseString(argu[0], result3);
            } else {
                resData = responseString(argu[0], "NONE");
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", EgisFingerprint.MAJOR_VERSION, "2"})) {
            String result4 = this.mContext.getSharedPreferences("RANGING_SERSOR_TEST_RESULT_300", 0).getString("RESULT_DATA", "0");
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "result : " + result4);
            resData = responseString(argu[0], result4);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
            String result5 = this.mContext.getSharedPreferences("RANGING_SERSOR_TEST_RESULT_500", 0).getString("RESULT_DATA", "0");
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "result : " + result5);
            resData = responseString(argu[0], result5);
        }
        return resData;
    }
}
