package com.sec.factory.aporiented.athandler;

import android.content.Context;
import android.os.Looper;
import android.telephony.PhoneStateListener;
import android.telephony.SignalStrength;
import android.telephony.TelephonyManager;
import com.sec.factory.modules.ModuleTouchScreen;
import com.sec.factory.support.FtUtil;
import egis.client.api.EgisFingerprint;

public class AtReadRssi extends AtCommandHandler {
    private Context mContext;
    private int mSignalLevel = 0;
    private TelephonyManager mTelePhony;

    public AtReadRssi(Context context) {
        super(context);
        this.CMD_NAME = "READRSSI";
        this.CLASS_NAME = "AtReadRssi";
        this.NUM_ARGS = 3;
        this.mContext = context;
        this.mTelePhony = (TelephonyManager) context.getSystemService(ModuleTouchScreen.TSP_DEVICE_TYPE__PHONE);
        new Thread(new Runnable() {
            /* class com.sec.factory.aporiented.athandler.AtReadRssi.AnonymousClass1 */

            public void run() {
                Looper.prepare();
                AtReadRssi.this.mTelePhony.listen(new PhoneStateListener() {
                    /* class com.sec.factory.aporiented.athandler.AtReadRssi.AnonymousClass1.AnonymousClass1 */

                    public void onSignalStrengthsChanged(SignalStrength signalStrength) {
                        AtReadRssi.this.mSignalLevel = signalStrength.getVendorLevel();
                    }
                }, 256);
                Looper.loop();
            }
        }).start();
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData = null;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return null;
        }
        if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "2", "0"})) {
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "handleCommand", "mSignalLevel : " + this.mSignalLevel);
            int mAntLevel = this.mSignalLevel;
            if (mAntLevel == 0) {
                resData = responseString(argu[0], "NO_SVC");
            } else {
                resData = responseString(argu[0], Integer.toString(mAntLevel));
            }
        }
        return resData;
    }
}
