package com.sec.factory.aporiented.athandler;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import com.sec.factory.aporiented.ResponseWriter;
import com.sec.factory.support.FtUtil;
import egis.client.api.EgisFingerprint;

public class AtResofreq extends AtCommandHandler {
    private static final String ACTION_NFC_TEST_REQUEST = "com.samsung.android.nfc.test.action.REQUEST";
    private static final String ACTION_NFC_TEST_RESPONSE = "com.samsung.android.nfc.test.action.RESPONSE";
    private static final int CHECK_RESONANT_FREQUENCY = 8;
    private static final String EXTRA_ATTR = "com.samsung.android.nfc.test.extra.ATTR";
    private static final String EXTRA_DATA = "com.samsung.android.nfc.test.extra.DATA";
    private static final String EXTRA_ID = "com.samsung.android.nfc.test.extra.ID";
    private static final String EXTRA_P1 = "com.samsung.android.nfc.test.extra.P1";
    private static final String EXTRA_P2 = "com.samsung.android.nfc.test.extra.P2";
    private final String ACTION_NFC_INDICATION = "com.sec.android.app.nfctest.RESONANT_FREQUENCY_CMD";
    private final String ACTION_NFC_RESPONSE = "com.sec.android.app.nfctest.RESONANT_FREQUENCY_RSP";
    public BroadcastReceiver mReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.aporiented.athandler.AtResofreq.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            String action = intent.getAction();
            if ("com.sec.android.app.nfctest.RESONANT_FREQUENCY_RSP".equals(action)) {
                int resAttr = intent.getIntExtra("ATTR", 0);
                String resData = intent.getStringExtra("DATA");
                String str = AtResofreq.this.CLASS_NAME;
                FtUtil.log_d(str, "mReceiver.onReceive", "resAttr : " + resAttr + " resData : " + resData);
                AtResofreq.this.writer.write(AtResofreq.this.responseString(String.format("%d", Integer.valueOf(resAttr)), resData));
            } else if ("com.samsung.android.nfc.test.action.RESPONSE".equals(action)) {
                if (intent.getIntExtra("com.samsung.android.nfc.test.extra.ID", -1) == 8) {
                    int resAttr2 = intent.getIntExtra(AtResofreq.EXTRA_ATTR, 0);
                    String resData2 = intent.getStringExtra("com.samsung.android.nfc.test.extra.DATA");
                    String str2 = AtResofreq.this.CLASS_NAME;
                    FtUtil.log_d(str2, "mReceiver.onReceive", "resAttr : " + resAttr2 + " resData : " + resData2);
                    AtResofreq.this.writer.write(AtResofreq.this.responseString(String.format("%d", Integer.valueOf(resAttr2)), resData2));
                } else {
                    String str3 = AtResofreq.this.CLASS_NAME;
                    FtUtil.log_e(str3, "Unknown ID: " + intent.getIntExtra("com.samsung.android.nfc.test.extra.ID", -1));
                }
            }
            if (AtResofreq.this.mReceiver != null) {
                AtResofreq.this.stopReceiver();
            }
        }
    };

    public AtResofreq(Context context, ResponseWriter writer) {
        super(context);
        this.CMD_NAME = "RESOFREQ";
        this.CLASS_NAME = "AtResofreq";
        this.NUM_ARGS = 4;
        this.writer = writer;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public void startReceiver() {
        IntentFilter filter = new IntentFilter();
        filter.addAction("com.sec.android.app.nfctest.RESONANT_FREQUENCY_RSP");
        filter.addAction("com.samsung.android.nfc.test.action.RESPONSE");
        this.context.registerReceiver(this.mReceiver, filter);
    }

    public void stopReceiver() {
        this.context.unregisterReceiver(this.mReceiver);
    }

    private void sendNfcTestCommand(int attr, int p1, int p2, String data) {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "sendNfcTestCommand", "ATTR : " + attr + " P1 : " + p1 + " P2 : " + p2 + " DATA : " + data);
        startReceiver();
        Intent intent = new Intent("com.samsung.android.nfc.test.action.REQUEST");
        intent.putExtra("com.samsung.android.nfc.test.extra.ID", 8);
        intent.putExtra(EXTRA_ATTR, attr);
        intent.putExtra(EXTRA_P1, p1);
        intent.putExtra(EXTRA_P2, p2);
        intent.putExtra("com.samsung.android.nfc.test.extra.DATA", data);
        this.context.sendBroadcast(intent);
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData = null;
        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, String.format("argu : %s, %s, %s, %s - (NFC_FT)", argu[0], argu[1], argu[2], argu[3])));
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", "0", "0", "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "sendNfcTestCommand", "Resonant Frequency data Erase");
            sendNfcTestCommand(0, 0, 0, "0");
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0", "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "sendNfcTestCommand", "Resonant Frequency data Read");
            sendNfcTestCommand(1, 0, 0, "0");
        } else if (checkArgu(argu, new String[]{"0", "0", EgisFingerprint.MAJOR_VERSION, "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "sendNfcTestCommand", "Change Resonant Frequency normal mode");
            sendNfcTestCommand(0, 0, 1, "0");
        } else if (checkArgu(argu, new String[]{"0", "0", "2", "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "sendNfcTestCommand", "Change Resonant Frequency test mode");
            sendNfcTestCommand(0, 0, 2, "0");
        } else if (checkArgu(argu, new String[]{"2", "0", "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "sendNfcTestCommand", "Resonant Frequency data write");
            sendNfcTestCommand(2, 0, 0, argu[3]);
        } else {
            resData = responseNA();
        }
        return resData;
    }
}
