package com.sec.factory.aporiented.athandler;

import android.content.Context;
import android.location.Location;
import android.location.LocationListener;
import android.location.LocationManager;
import android.net.wifi.WifiManager;
import android.os.Bundle;
import android.os.FileUtils;
import android.provider.Settings;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;

public class AtRfbkoffc extends AtCommandHandler {
    private static String COAXIAL_CABLE_FTM_FILE_PATH = "/data/system/gps/coaxialcable_started";
    private static String COAXIAL_CABLE_RESP_FTM_FILE_PATH = "/data/system/gps/coaxial.info";
    private static String RFBACKOFF_STATUS_WIFI_PATH = "/sys/wifi/wificable";
    private Context mContext = null;
    private boolean mGpsEnabledByFactory = false;
    private LocationListener mLocationListener = new LocationListener() {
        /* class com.sec.factory.aporiented.athandler.AtRfbkoffc.AnonymousClass1 */

        public void onLocationChanged(Location location) {
        }

        public void onProviderDisabled(String provider) {
        }

        public void onProviderEnabled(String provider) {
        }

        public void onStatusChanged(String provider, int status, Bundle extras) {
        }
    };
    private LocationManager mLocationManager = null;
    private WifiManager mWifiManager;

    public AtRfbkoffc(Context context) {
        super(context);
        this.CMD_NAME = "RFBKOFFC";
        this.CLASS_NAME = "AtRfbkoffc";
        this.NUM_ARGS = 3;
        this.mContext = context;
        this.mWifiManager = (WifiManager) context.getSystemService("wifi");
        this.mLocationManager = (LocationManager) context.getSystemService("location");
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String[] count_gpio;
        String result;
        String resData = "NOT_APPLICABLE";
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", EgisFingerprint.MAJOR_VERSION})) {
            int count = 0;
            FtUtil.log_i(this.CLASS_NAME, "handleCommand", "Turn on Wifi");
            this.mWifiManager.setWifiEnabled(true);
            FtUtil.log_i(this.CLASS_NAME, "handleCommand", "Checking wifi on state...");
            do {
                try {
                    Thread.sleep(100);
                    count++;
                } catch (InterruptedException e) {
                    e.printStackTrace();
                }
                if (this.mWifiManager.isWifiEnabled()) {
                    break;
                }
            } while (count < 100);
            FtUtil.log_i(this.CLASS_NAME, "handleCommand", "isWifiEnabled: " + this.mWifiManager.isWifiEnabled() + ", count: " + count);
            String result2 = Support.Kernel.readFromPath(RFBACKOFF_STATUS_WIFI_PATH, true);
            if (result2 != null) {
                resData = responseString(argu[0], result2);
            } else {
                resData = responseNG(argu[0]);
            }
            FtUtil.log_i(this.CLASS_NAME, "handleCommand", "Turn off Wifi");
            this.mWifiManager.setWifiEnabled(false);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "2"})) {
            if ("gsm".equalsIgnoreCase(Support.Feature.getString(Support.Feature.MODEL_COMMUNICATION_MODE))) {
                return "NOT_APPLICABLE";
            }
            File filePath = new File(COAXIAL_CABLE_FTM_FILE_PATH);
            try {
                filePath.createNewFile();
                FileUtils.setPermissions(filePath.toString(), 511, -1, -1);
            } catch (IOException e2) {
                e2.printStackTrace();
            }
            if (!Settings.Secure.isLocationProviderEnabled(this.mContext.getContentResolver(), "gps")) {
                Settings.Secure.setLocationProviderEnabled(this.mContext.getContentResolver(), "gps", true);
                this.mGpsEnabledByFactory = true;
            } else {
                this.mGpsEnabledByFactory = false;
            }
            this.mLocationManager.requestLocationUpdates("gps", 1000, 0.0f, this.mLocationListener);
            int count2 = 0;
            do {
                try {
                    Thread.sleep(500);
                    count2++;
                } catch (InterruptedException e3) {
                    e3.printStackTrace();
                }
                result = readOneLine(COAXIAL_CABLE_RESP_FTM_FILE_PATH);
                if (!(result == null || result.isEmpty())) {
                    break;
                }
            } while (count2 < 5);
            if (result == null || result.isEmpty()) {
                resData = responseNG(argu[0]);
            } else {
                resData = responseString(argu[0], result);
            }
            this.mLocationManager.removeUpdates(this.mLocationListener);
            if (this.mGpsEnabledByFactory) {
                Settings.Secure.setLocationProviderEnabled(this.mContext.getContentResolver(), "gps", false);
                this.mGpsEnabledByFactory = false;
            }
            try {
                filePath.delete();
            } catch (Exception e4) {
                FtUtil.log_i(this.CLASS_NAME, "COAXIAL_CABLE_FTM_FILE_PATH", "Exception : filePath delete");
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "2"})) {
            String[] count_gpio2 = argu[2].split("_");
            String result3 = "";
            for (String str : count_gpio2) {
                String ret = mModuleDevice.readGPIO(str);
                if (EgisFingerprint.MAJOR_VERSION.equals(ret)) {
                    result3 = result3 + "D";
                } else if ("0".equals(ret)) {
                    result3 = result3 + "E";
                }
            }
            if (result3.length() != count_gpio2.length) {
                resData = responseNG(argu[0]);
            } else {
                resData = responseString(argu[0], result3);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0"})) {
            String result4 = Support.Kernel.read(Support.Kernel.SECEFS_RFBKOFFC_GPIO);
            if (result4 == null || result4.equals("")) {
                resData = responseString(argu[0], "NONE");
            } else {
                resData = responseString(argu[0], result4);
            }
        } else if (checkArgu(argu, new String[]{"2", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
            boolean isValidGPIO = false;
            for (String str2 : argu[2].split("_")) {
                try {
                    Integer.parseInt(str2);
                    isValidGPIO = true;
                } catch (NumberFormatException e5) {
                    isValidGPIO = false;
                }
            }
            if (isValidGPIO) {
                Support.Kernel.writeNsync(Support.Kernel.SECEFS_RFBKOFFC_GPIO, argu[2]);
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "4"})) {
            String[] number = argu[2].split("_");
            String ret2 = Support.Kernel.readFromPath("/sys/class/sec/ap_pmic/cable_det", true);
            String result5 = "";
            for (int i = 0; i < number.length; i++) {
                try {
                    if ("0".equals(number[i])) {
                        result5 = result5 + ret2.charAt(0);
                    } else if (EgisFingerprint.MAJOR_VERSION.equals(number[i])) {
                        result5 = result5 + ret2.charAt(1);
                    } else if ("2".equals(number[i])) {
                        result5 = result5 + ret2.charAt(2);
                    } else if (egis.optical.client.api.EgisFingerprint.MAJOR_VERSION.equals(number[i])) {
                        result5 = result5 + ret2.charAt(3);
                    } else if ("4".equals(number[i])) {
                        result5 = result5 + ret2.charAt(4);
                    } else {
                        throw new IllegalArgumentException("wrong arguments");
                    }
                } catch (Exception e6) {
                    return responseNG(argu[0]);
                }
            }
            String result6 = result5.replace("0", "D").replace(EgisFingerprint.MAJOR_VERSION, "E");
            if (result6.length() != number.length) {
                resData = responseNG(argu[0]);
            } else {
                resData = responseString(argu[0], result6);
            }
        }
        return resData;
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public String readOneLine(String filepath) {
        String result = "";
        BufferedReader buf = null;
        try {
            BufferedReader buf2 = new BufferedReader(new FileReader(filepath), 8096);
            String bufline = buf2.readLine();
            if (bufline != null) {
                result = bufline.trim();
            }
            try {
                buf2.close();
            } catch (IOException e) {
                FtUtil.log_i(this.CLASS_NAME, "readOneLine", "IOException");
            }
        } catch (FileNotFoundException e2) {
            FtUtil.log_i(this.CLASS_NAME, "readOneLine", "FileNotFoundException");
            if (0 != 0) {
                buf.close();
            }
        } catch (IOException e3) {
            FtUtil.log_i(this.CLASS_NAME, "readOneLine", "IOException");
            if (0 != 0) {
                buf.close();
            }
        } catch (Throwable th) {
            if (0 != 0) {
                try {
                    buf.close();
                } catch (IOException e4) {
                    FtUtil.log_i(this.CLASS_NAME, "readOneLine", "IOException");
                }
            }
            throw th;
        }
        if (result == null) {
            return "";
        }
        return result;
    }
}
