package com.sec.factory.aporiented.athandler;

import android.content.Context;
import android.content.Intent;
import com.sec.factory.aporiented.ResponseWriter;
import com.sec.factory.app.ui.UIDisptestActivity;
import com.sec.factory.modules.SubDisplayPresentation;
import com.sec.factory.support.FtUtil;
import egis.client.api.EgisFingerprint;

public class AtRgbpdisp extends AtCommandHandler {
    private static final int RGBPDIST_RGB = 300;
    private final Context mContext;

    public AtRgbpdisp(Context context, ResponseWriter writer) {
        super(context);
        this.CMD_NAME = "RGBPDISP";
        this.CLASS_NAME = "AtRgbpdisp";
        this.NUM_ARGS = 4;
        this.mContext = context;
        this.writer = writer;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", "0", "0"}) || checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "0"})) {
            String[] rgb = argu[3].split("_");
            int red = Integer.parseInt(rgb[0]);
            int green = Integer.parseInt(rgb[1]);
            int blue = Integer.parseInt(rgb[2]);
            int color = -16777216 | ((red & 255) << 16) | ((green & 255) << 8) | (blue & 255);
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "RED is 0%x" + red + ", GREEN is 0%x" + green + ", BLUE is 0%x" + blue + ", Color is 0%d" + color);
            Intent RgbpIntent = new Intent(this.mContext, UIDisptestActivity.class);
            RgbpIntent.putExtra("TEST_TYPE", 300);
            RgbpIntent.putExtra("VALUE", color);
            RgbpIntent.addFlags(335544320);
            this.mContext.startActivity(RgbpIntent);
            resData = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", "2", "0"})) {
            String[] rgb2 = argu[3].split("_");
            int red2 = Integer.parseInt(rgb2[0]);
            int green2 = Integer.parseInt(rgb2[1]);
            int blue2 = Integer.parseInt(rgb2[2]);
            String str2 = this.CLASS_NAME;
            FtUtil.log_d(str2, "RED is " + red2 + ", GREEN is " + green2 + ", BLUE is " + blue2);
            Intent i = new Intent(this.mContext.getApplicationContext(), SubDisplayPresentation.class);
            i.setFlags(1409286144);
            i.putExtra("test_mode", "PRESENTATION_COLOR");
            i.putExtra("rgb", argu[3]);
            this.mContext.startActivity(i);
            resData = responseOK(argu[0]);
        } else {
            resData = responseNA();
        }
        return resData;
    }
}
