package com.sec.factory.aporiented.athandler;

import android.content.Context;
import android.os.SystemProperties;
import com.sec.factory.support.FtUtil;

public class AtRstcompc extends AtCommandHandler {
    public AtRstcompc(Context context) {
        super(context);
        this.CMD_NAME = "RSTCOMPC";
        this.CLASS_NAME = "AtRstcompc";
        this.NUM_ARGS = 3;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", "0", "0"})) {
            String strRilResetCompleteMsg = SystemProperties.get("ril.resetCompleteMsg", "NONE");
            if ("OK".equals(strRilResetCompleteMsg)) {
                String str = this.CLASS_NAME;
                FtUtil.log_d(str, "handleCommand", "OK - strRilResetCompleteMsg : " + strRilResetCompleteMsg);
                resData = responseOK(argu[0]);
            } else {
                String str2 = this.CLASS_NAME;
                FtUtil.log_d(str2, "handleCommand", "NG - strRilResetCompleteMsg : " + strRilResetCompleteMsg);
                resData = responseNG(argu[0]);
            }
        } else {
            resData = responseNA();
        }
        return resData;
    }
}
