package com.sec.factory.aporiented.athandler;

import android.content.Context;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import org.json.JSONException;
import org.json.JSONObject;

public class AtRstcount extends AtCommandHandler {
    private final String[] RC_KEY = {"KP", "DP", "PP", "SP", "WP", "TP", "CP"};
    private final String RESET_COUNT_FILENAME = "/data/system/users/service/data/RC.p";
    private Context mContext;

    public AtRstcount(Context context) {
        super(context);
        this.CMD_NAME = "RSTCOUNT";
        this.CLASS_NAME = "AtRstcount";
        this.NUM_ARGS = 3;
        this.mContext = context;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (!checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0"})) {
            resData = responseNA();
        } else if (Support.Kernel.isExistFilePath("/data/system/users/service/data/RC.p")) {
            String rc = Support.Kernel.readFromPath("/data/system/users/service/data/RC.p", true);
            if (rc != null) {
                int rc_sum = 0;
                String str = this.CLASS_NAME;
                FtUtil.log_i(str, "handleCommand", "reset count : " + rc);
                try {
                    JSONObject rc_map = new JSONObject("{".concat(rc).concat("}"));
                    int i = 0;
                    while (true) {
                        String[] strArr = this.RC_KEY;
                        if (i >= strArr.length) {
                            break;
                        }
                        rc_sum += Integer.parseInt(rc_map.getString(strArr[i]));
                        i++;
                    }
                } catch (NumberFormatException | JSONException e) {
                    FtUtil.log_e(this.CLASS_NAME, "handleCommand", e.toString());
                }
                resData = responseString(argu[0], Integer.toString(rc_sum));
            } else {
                resData = responseNG(argu[0]);
            }
        } else {
            resData = responseNG(argu[0]);
        }
        return resData;
    }
}
