package com.sec.factory.aporiented.athandler;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import com.sec.factory.aporiented.ResponseWriter;
import com.sec.factory.support.FtUtil;

public class AtRstverif extends AtCommandHandler {
    static final String REQUEST_ACTION = "android.intent.action.CSC_RESET_VERIFY";
    static final String RESPONSE_ACTION = "android.intent.action.CSC_RESET_VERIFY_RESULT";
    static final String RESULT_EXTRA = "RESULT";
    public BroadcastReceiver mReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.aporiented.athandler.AtRstverif.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            if (AtRstverif.RESPONSE_ACTION.equals(intent.getAction())) {
                String result = intent.getStringExtra(AtRstverif.RESULT_EXTRA);
                String str = AtRstverif.this.CLASS_NAME;
                FtUtil.log_d(str, "onReceive", "Action=android.intent.action.CSC_RESET_VERIFY_RESULT, Extra=" + result);
                AtRstverif.this.writer.write(AtRstverif.this.responseString("0", result));
            }
            AtRstverif atRstverif = AtRstverif.this;
            atRstverif.stopReceiver(atRstverif.mReceiver);
        }
    };

    public AtRstverif(Context context, ResponseWriter writer) {
        super(context);
        this.CMD_NAME = "RSTVERIF";
        this.CLASS_NAME = "AtRstverif";
        this.NUM_ARGS = 2;
        this.writer = writer;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public void startReceiver() {
        IntentFilter mFilter = new IntentFilter();
        mFilter.addAction(RESPONSE_ACTION);
        this.context.registerReceiver(this.mReceiver, mFilter);
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData = null;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Request reset verify");
            startReceiver();
            this.context.sendBroadcast(new Intent(REQUEST_ACTION));
        } else {
            resData = responseNA();
        }
        return resData;
    }
}
