package com.sec.factory.aporiented.athandler;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import com.sec.factory.aporiented.ResponseWriter;
import com.sec.factory.support.FtUtil;
import egis.optical.client.api.EgisFingerprint;

public class AtScampara extends AtCommandHandler {
    private static String returnArgu = "0";
    public BroadcastReceiver mReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.aporiented.athandler.AtScampara.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            AtScampara atScampara = AtScampara.this;
            atScampara.stopReceiver(atScampara.mReceiver);
            String mAction = intent.getAction();
            FtUtil.log_d(AtScampara.this.CLASS_NAME, "onReceive", mAction);
            if ("com.sec.factory.camera.ACTION_TEST_STATUS".equals(mAction)) {
                FtUtil.log_d(AtScampara.this.CLASS_NAME, "onReceive", "ACTION_TEST_STATUS");
                String mActionResult = intent.getStringExtra("result");
                String mActionDetailResult = intent.getStringExtra("result_details");
                if ("OK".equalsIgnoreCase(mActionResult)) {
                    if (mActionDetailResult == null || mActionDetailResult.equalsIgnoreCase("")) {
                        AtScampara.this.writer.write(AtScampara.this.responseOK(AtScampara.returnArgu));
                        return;
                    }
                    String str = AtScampara.this.CLASS_NAME;
                    FtUtil.log_d(str, "onReceive", "result_details : " + mActionDetailResult);
                    ResponseWriter responseWriter = AtScampara.this.writer;
                    AtScampara atScampara2 = AtScampara.this;
                    String str2 = AtScampara.returnArgu;
                    responseWriter.write(atScampara2.responseString(str2, "OK," + mActionDetailResult));
                } else if (mActionDetailResult == null || mActionDetailResult.equalsIgnoreCase("")) {
                    AtScampara.this.writer.write(AtScampara.this.responseString(AtScampara.returnArgu, "NG"));
                } else {
                    String str3 = AtScampara.this.CLASS_NAME;
                    FtUtil.log_d(str3, "onReceive", "result_details : " + mActionDetailResult);
                    ResponseWriter responseWriter2 = AtScampara.this.writer;
                    AtScampara atScampara3 = AtScampara.this;
                    String str4 = AtScampara.returnArgu;
                    responseWriter2.write(atScampara3.responseString(str4, "NG," + mActionDetailResult));
                }
            }
        }
    };

    public AtScampara(Context context, ResponseWriter writer) {
        super(context);
        this.CMD_NAME = "SCAMPARA";
        this.CLASS_NAME = "AtScampara";
        this.NUM_ARGS = 4;
        this.writer = writer;
    }

    public AtScampara(Context context, ResponseWriter writer, int commandType) {
        super(context);
        this.CMD_NAME = "SCAMPARA";
        this.CLASS_NAME = "AtScampara";
        this.NUM_ARGS = 4;
        this.writer = writer;
        this.mCommandType = commandType;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public void startReceiver() {
        IntentFilter mFilter = new IntentFilter();
        mFilter.addAction("com.sec.factory.camera.ACTION_TEST_STATUS");
        this.context.registerReceiver(this.mReceiver, mFilter);
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData = null;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Aperture ISO setting");
            startReceiver();
            sendCameraBroadcast(argu);
        } else if (checkArgu(argu, new String[]{"0", "4", "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Aperture EVC setting");
            startReceiver();
            sendCameraBroadcast(argu);
        } else if (checkArgu(argu, new String[]{"0", "5", "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Aperture EVC setting");
            startReceiver();
            sendCameraBroadcast(argu);
        } else if (checkArgu(argu, new String[]{"0", "6", "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Aperture EVC setting");
            startReceiver();
            sendCameraBroadcast(argu);
        } else if (checkArgu(argu, new String[]{"0", "8", egis.client.api.EgisFingerprint.MAJOR_VERSION, "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "AELOCK setting");
            startReceiver();
            sendCameraBroadcast(argu);
        } else if (checkArgu(argu, new String[]{"0", "8", egis.client.api.EgisFingerprint.MAJOR_VERSION, egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "AEUNLOCK setting");
            startReceiver();
            sendCameraBroadcast(argu);
        } else if (checkArgu(argu, new String[]{"0", "8", egis.client.api.EgisFingerprint.MAJOR_VERSION, "2"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "AE OFF setting");
            startReceiver();
            sendCameraBroadcast(argu);
        } else if (checkArgu(argu, new String[]{egis.client.api.EgisFingerprint.MAJOR_VERSION, "0", "0", "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Aperture Test ISO value read");
            startReceiver();
            sendCameraBroadcast(argu);
        } else if (checkArgu(argu, new String[]{egis.client.api.EgisFingerprint.MAJOR_VERSION, "0", "0", egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Aperture Test EVC value read");
            startReceiver();
            sendCameraBroadcast(argu);
        } else if (checkArgu(argu, new String[]{egis.client.api.EgisFingerprint.MAJOR_VERSION, "0", "0", "2"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Aperture Test Shuttle Speed value read");
            startReceiver();
            sendCameraBroadcast(argu);
        } else if (checkArgu(argu, new String[]{egis.client.api.EgisFingerprint.MAJOR_VERSION, "0", "0", EgisFingerprint.MAJOR_VERSION})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Aperture value read");
            startReceiver();
            sendCameraBroadcast(argu);
        } else if (checkArgu(argu, new String[]{egis.client.api.EgisFingerprint.MAJOR_VERSION, "0", "0", "4"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Aperture Test AELOCK read");
            startReceiver();
            sendCameraBroadcast(argu);
        } else {
            resData = responseNA();
        }
        return resData;
    }

    private void sendCameraBroadcast(String[] arg) {
        returnArgu = arg[0];
        Intent i = new Intent("com.sec.samsungtest.ACTION_CAMERATEST");
        i.putExtra("testtype", "SCAMPARA");
        i.putExtra("arg1", arg[0]);
        i.putExtra("arg2", arg[1]);
        i.putExtra("arg3", arg[2]);
        i.putExtra("arg4", arg[3]);
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "sendCameraIntent", "SCAMPARA=" + arg[0] + "," + arg[1] + "," + arg[2] + "," + arg[3]);
        this.context.sendBroadcast(i, "com.sec.factory.cameralyzer.PERMISSION_CAMERASCRIPT");
    }
}
