package com.sec.factory.aporiented.athandler;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import com.sec.factory.aporiented.ResponseWriter;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class AtScrecord extends AtCommandHandler {
    private final String REQUEST_SCR_RECORD_ERASE_ALL = "com.android.samsungtest.REQUEST_SCR_RECORD_ERASE_ALL";
    private final String REQUEST_SCR_RECORD_GET_QUALITY = "com.android.samsungtest.REQUEST_SCR_RECORD_GET_QUALITY";
    private final String REQUEST_SCR_RECORD_SET_QUALITY = "com.android.samsungtest.REQUEST_SCR_RECORD_SET_QUALITY";
    private final String REQUEST_SCR_RECORD_TURN_ONOFF = "com.android.samsungtest.REQUEST_SCR_RECORD_TURN_ONOFF";
    private final String RESPONSE_SCR_RECORD_ERASE_ALL = "com.android.samsungtest.RESPONSE_SCR_RECORD_ERASE_ALL";
    private final String RESPONSE_SCR_RECORD_GET_QUALITY = "com.android.samsungtest.RESPONSE_SCR_RECORD_GET_QUALITY";
    private final String RESPONSE_SCR_RECORD_SET_QUALITY = "com.android.samsungtest.RESPONSE_SCR_RECORD_SET_QUALITY";
    private final String RESPONSE_SCR_RECORD_TURN_ONOFF = "com.android.samsungtest.RESPONSE_SCR_RECORD_TURN_ONOFF";
    private BroadcastReceiver mScrecordReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.aporiented.athandler.AtScrecord.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            String action = intent.getAction();
            String str = AtScrecord.this.CLASS_NAME;
            FtUtil.log_d(str, "onReceive", "action : " + action);
            if (action.equals("com.android.samsungtest.RESPONSE_SCR_RECORD_SET_QUALITY")) {
                if (intent.getBooleanExtra("res", false)) {
                    AtScrecord.this.writer.write(AtScrecord.this.responseOK("2"));
                } else {
                    AtScrecord.this.writer.write(AtScrecord.this.responseNG("2"));
                }
            } else if (action.equals("com.android.samsungtest.RESPONSE_SCR_RECORD_GET_QUALITY")) {
                String strQuality = intent.getStringExtra("quality");
                String str2 = AtScrecord.this.CLASS_NAME;
                FtUtil.log_d(str2, "onReceive", "RESPONSE_SCR_RECORD_GET_QUALITY, " + strQuality);
                AtScrecord.this.writer.write(AtScrecord.this.responseString(EgisFingerprint.MAJOR_VERSION, strQuality));
            } else if (action.equals("com.android.samsungtest.RESPONSE_SCR_RECORD_TURN_ONOFF")) {
                if (intent.getBooleanExtra("res", false)) {
                    AtScrecord.this.writer.write(AtScrecord.this.responseOK("0"));
                } else {
                    AtScrecord.this.writer.write(AtScrecord.this.responseNG("0"));
                }
            } else if (action.equals("com.android.samsungtest.RESPONSE_SCR_RECORD_ERASE_ALL")) {
                AtScrecord.this.writer.write(AtScrecord.this.responseString("0", intent.getStringExtra("res")));
            }
            AtScrecord.this.stopReceiver();
        }
    };

    public AtScrecord(Context context, ResponseWriter writer) {
        super(context);
        this.CMD_NAME = "SCRECORD";
        this.CLASS_NAME = "AtScrecord";
        this.NUM_ARGS = 3;
        this.writer = writer;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData = null;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", "0", "0"})) {
            startReceiver();
            Intent intent = new Intent("com.android.samsungtest.REQUEST_SCR_RECORD_TURN_ONOFF");
            intent.addFlags(16777216);
            intent.putExtra("TURN_ONOFF", false);
            this.context.sendBroadcast(intent);
        } else if (checkArgu(argu, new String[]{"0", "0", EgisFingerprint.MAJOR_VERSION})) {
            startReceiver();
            Intent intent2 = new Intent("com.android.samsungtest.REQUEST_SCR_RECORD_TURN_ONOFF");
            intent2.addFlags(16777216);
            intent2.putExtra("TURN_ONOFF", true);
            this.context.sendBroadcast(intent2);
        } else if (checkArgu(argu, new String[]{"2", "0"})) {
            startReceiver();
            String strQuality = argu[2];
            Intent intent3 = new Intent("com.android.samsungtest.REQUEST_SCR_RECORD_SET_QUALITY");
            intent3.addFlags(16777216);
            intent3.putExtra("quality", strQuality);
            this.context.sendBroadcast(intent3);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", EgisFingerprint.MAJOR_VERSION})) {
            startReceiver();
            Intent intent4 = new Intent("com.android.samsungtest.REQUEST_SCR_RECORD_GET_QUALITY");
            intent4.addFlags(16777216);
            this.context.sendBroadcast(intent4);
        } else if (checkArgu(argu, new String[]{"0", "0", "2"})) {
            startReceiver();
            Intent intent5 = new Intent("com.android.samsungtest.REQUEST_SCR_RECORD_ERASE_ALL");
            intent5.addFlags(16777216);
            this.context.sendBroadcast(intent5);
        } else {
            resData = checkArgu(argu, new String[]{"0", "0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION}) ? Support.Kernel.isExistFilePath("/sdcard/log/scrrcd/") ? responseNG(argu[0]) : responseOK(argu[0]) : responseNA();
        }
        return resData;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public void startReceiver() {
        FtUtil.log_d(this.CLASS_NAME, "startReceiver", "");
        IntentFilter intentFilter = new IntentFilter();
        intentFilter.addAction("com.android.samsungtest.RESPONSE_SCR_RECORD_TURN_ONOFF");
        intentFilter.addAction("com.android.samsungtest.RESPONSE_SCR_RECORD_SET_QUALITY");
        intentFilter.addAction("com.android.samsungtest.RESPONSE_SCR_RECORD_GET_QUALITY");
        intentFilter.addAction("com.android.samsungtest.RESPONSE_SCR_RECORD_ERASE_ALL");
        this.context.registerReceiver(this.mScrecordReceiver, intentFilter);
    }

    public void stopReceiver() {
        FtUtil.log_d(this.CLASS_NAME, "stopReceiver", "");
        this.context.unregisterReceiver(this.mScrecordReceiver);
    }
}
