package com.sec.factory.aporiented.athandler;

import android.content.Context;
import android.os.SystemProperties;
import egis.client.api.EgisFingerprint;

public class AtSecurebt extends AtCommandHandler {
    public AtSecurebt(Context context) {
        super(context);
        this.CMD_NAME = "SECUREBT";
        this.CLASS_NAME = "AtSecurebt";
        this.NUM_ARGS = 3;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, "0"})) {
            String keyIndex = SystemProperties.get("ro.csb_val");
            if (keyIndex.equals(EgisFingerprint.MAJOR_VERSION)) {
                resData = responseString(argu[0], "NO");
            } else if (keyIndex.equals("2")) {
                resData = responseString(argu[0], "K1");
            } else if (keyIndex.equals(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION)) {
                resData = responseString(argu[0], "K2");
            } else if (keyIndex.equals("4")) {
                resData = responseString(argu[0], "K3");
            } else {
                resData = responseNA();
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "2", "0"})) {
            try {
                resData = responseString(argu[0], mModuleDevice.checkWarrnatyBit());
            } catch (NullPointerException e) {
                resData = responseNG(argu[0]);
            }
        } else {
            resData = responseNA();
        }
        return resData;
    }
}
