package com.sec.factory.aporiented.athandler;

import android.content.Context;
import android.os.Build;
import android.os.SystemProperties;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.File;

public class AtSerialno extends AtCommandHandler {
    private static final String DEFAULT_SERIALNO = "00000000000";
    private static final String NULL = "NULL";

    public AtSerialno(Context context) {
        super(context);
        this.CMD_NAME = "SERIALNO";
        this.CLASS_NAME = "AtSerialno";
        this.NUM_ARGS = 2;
        String path = Support.Kernel.getFilePath(Support.Kernel.SERIAL_NO);
        if (!Support.Kernel.isExistFilePath(path)) {
            mModuleDevice.writeSerialNo(DEFAULT_SERIALNO);
            Support.Kernel.setPermission(path, true, true, true, true, true, false);
        }
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (argu.length < this.NUM_ARGS) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0"})) {
            String rawData = mModuleDevice.readSerialNo();
            if (SystemProperties.getInt("ro.product.first_api_level", -1) >= 28) {
                String roSerial = Build.getSerial();
                String str = this.CLASS_NAME;
                FtUtil.log_d(str, "handleCommand", "Build.getSerial: " + roSerial);
                if (rawData != null) {
                    if (rawData.contains(",")) {
                        String[] tempSerial = rawData.split(",");
                        String str2 = this.CLASS_NAME;
                        FtUtil.log_d(str2, "handleCommand", "tempSerial[0]: " + tempSerial[0]);
                        if ((!tempSerial[0].equalsIgnoreCase(DEFAULT_SERIALNO) || !roSerial.equalsIgnoreCase(NULL)) && !tempSerial[0].equalsIgnoreCase(roSerial)) {
                            return responseNG(argu[0]);
                        }
                    } else {
                        String str3 = this.CLASS_NAME;
                        FtUtil.log_d(str3, "handleCommand", "rawData " + rawData);
                        if ((!rawData.equalsIgnoreCase(DEFAULT_SERIALNO) || !roSerial.equalsIgnoreCase(NULL)) && !rawData.equalsIgnoreCase(roSerial)) {
                            return responseNG(argu[0]);
                        }
                    }
                }
            }
            if (rawData == null || !rawData.contains(",")) {
                resData = responseString(argu[0], rawData);
            } else {
                String[] temp = rawData.replaceAll(",", ", ").split(",");
                StringBuilder serial_no = new StringBuilder();
                for (int i = 0; i < temp.length; i++) {
                    String str4 = this.CLASS_NAME;
                    FtUtil.log_d(str4, "Read serial no", "i=" + i + ", temp[i]=" + temp[i] + "END");
                    if (temp[i].isEmpty() || temp[i].equalsIgnoreCase(" ") || temp[i].equalsIgnoreCase(DEFAULT_SERIALNO)) {
                        temp[i] = NULL;
                    }
                    serial_no.append(temp[i].trim());
                    if (i + 1 < temp.length) {
                        serial_no.append(",");
                    }
                }
                resData = responseString(argu[0], serial_no.toString());
            }
        } else if (checkArgu(argu, new String[]{"2"})) {
            StringBuilder serial_no2 = new StringBuilder();
            for (int i2 = 1; i2 < argu.length; i2++) {
                String value = argu[i2];
                if (NULL.equalsIgnoreCase(value)) {
                    switch (i2) {
                        case 1:
                            value = DEFAULT_SERIALNO;
                            break;
                        case 2:
                        case 3:
                            value = "";
                            break;
                    }
                }
                serial_no2.append(value);
                if (i2 + 1 < argu.length) {
                    serial_no2.append(",");
                }
            }
            mModuleDevice.writeSerialNo(serial_no2.toString());
            resData = responseOK(argu[0]);
        } else {
            resData = responseNA();
        }
        return resData;
    }

    public boolean isFileExist(String aFile) {
        return new File(aFile).exists();
    }
}
