package com.sec.factory.aporiented.athandler;

import android.content.Context;
import android.telephony.TelephonyManager;
import android.telephony.UiccCardInfo;
import com.sec.factory.modules.ModuleTouchScreen;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;

public class AtSimdetec extends AtCommandHandler {
    public AtSimdetec(Context context) {
        super(context);
        this.CMD_NAME = "SIMDETEC";
        this.CLASS_NAME = "AtSimdetec";
        this.NUM_ARGS = 2;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        if (checkArgu(argu, new String[]{"0", "7"})) {
            for (UiccCardInfo cardInfo : ((TelephonyManager) this.context.getSystemService(ModuleTouchScreen.TSP_DEVICE_TYPE__PHONE)).getUiccCardsInfo()) {
                if (cardInfo.isEuicc()) {
                    String eId = cardInfo.getEid();
                    if (eId != null) {
                        String str = this.CLASS_NAME;
                        FtUtil.log_d(str, "saveEidOnEfs", "eID - " + eId);
                    }
                    if (eId == null || eId.length() != 32) {
                        FtUtil.log_d(this.CLASS_NAME, "saveEidOnEfs", "Wrong EID value");
                    } else {
                        Support.Kernel.writeNsync(Support.Kernel.SECEFS_SWITCHED_SIM_EID, eId);
                    }
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "saveEidOnEfs", "Sim state does not eSIM");
                }
            }
        } else {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Not support AP side");
        }
        return "NOT_APPLICABLE";
    }
}
