package com.sec.factory.aporiented.athandler;

import android.content.Context;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class AtSlidctrl extends AtCommandHandler {
    private Context mContext;

    public AtSlidctrl(Context context) {
        super(context);
        this.CMD_NAME = "SLIDCTRL";
        this.CLASS_NAME = "AtSlidctrl";
        this.NUM_ARGS = 3;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", "0", "0"})) {
            if (!Support.Kernel.isExistFile(Support.Kernel.ENABLE_SLIDING_MOTOR)) {
                resData = responseNG(argu[0]);
            } else if (Support.Kernel.writeNsync(Support.Kernel.ENABLE_SLIDING_MOTOR, "1 -1")) {
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (!checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "0"})) {
            resData = responseNA();
        } else if (!Support.Kernel.isExistFile(Support.Kernel.ENABLE_SLIDING_MOTOR)) {
            resData = responseNG(argu[0]);
        } else if (Support.Kernel.writeNsync(Support.Kernel.ENABLE_SLIDING_MOTOR, "1 1")) {
            resData = responseOK(argu[0]);
        } else {
            resData = responseNG(argu[0]);
        }
        return resData;
    }
}
