package com.sec.factory.aporiented.athandler;

import android.content.Context;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class AtSvcainit extends AtCommandHandler {
    private static final String PATH_SVC = "/efs/sec_efs/SVC";
    private static final String PATH_SVC_BACKUP = "/efs/sec_efs/!SVC";

    public AtSvcainit(Context context) {
        super(context);
        this.CMD_NAME = "SVCAINIT";
        this.CLASS_NAME = "AtSvcainit";
        this.NUM_ARGS = 3;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        boolean res;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", "0", "0"})) {
            boolean res2 = true;
            if (Support.Kernel.writeToPathNsync(PATH_SVC, "")) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "remove the contents of Service Agent Component Data");
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "fail to remove the contents of Service Agent Component Data");
                res2 = false;
            }
            if (Support.Kernel.writeToPathNsync(PATH_SVC_BACKUP, "")) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "remove the contents of Service Agent Component Data backup");
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "fail to remove the contents of Service Agent Component Data backup");
                res2 = false;
            }
            if (res2) {
                String str = this.CLASS_NAME;
                FtUtil.log_d(str, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,0,0", "Pass - Initialize Service Agent Component Data"));
                resData = responseOK(argu[0]);
            } else {
                String str2 = this.CLASS_NAME;
                FtUtil.log_d(str2, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,0,0", "Fail - Initialize Service Agent Component Data"));
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0"})) {
            String data = Support.Kernel.readAllFromPath(PATH_SVC, true);
            String str3 = this.CLASS_NAME;
            FtUtil.log_d(str3, "handleCommand", "data : " + data);
            if (data == null) {
                res = true;
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "true");
            } else if (data.contains("type\":\"DCI") || data.contains("type\":\"DST") || data.contains("type\":\"SVC") || data.contains("type\":\"LST") || data.contains("type\":\"SGD")) {
                res = false;
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "false");
            } else {
                res = true;
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "true2");
            }
            if (res) {
                String str4 = this.CLASS_NAME;
                FtUtil.log_d(str4, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,0,0", "Pass - Check Service Agent Component Data"));
                resData = responseOK(argu[0]);
            } else {
                String str5 = this.CLASS_NAME;
                FtUtil.log_d(str5, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,0,0", "Fail - Check Service Agent Component Data"));
                resData = responseNG(argu[0]);
            }
        } else {
            resData = responseNA();
        }
        return resData;
    }
}
