package com.sec.factory.aporiented.athandler;

import android.app.ActivityManager;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.SystemProperties;
import com.sec.factory.aporiented.ResponseWriter;
import com.sec.factory.support.FtUtil;
import egis.client.api.EgisFingerprint;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.concurrent.ConcurrentLinkedQueue;

public class AtSysdump extends AtCommandHandler {
    public static final String REMOTE_SYSDUMP_EXTRA_APCP_DUMP = "run_apcp_dump";
    public static final String REMOTE_SYSDUMP_EXTRA_AP_DUMP = "run_ap_dump";
    public static final String REMOTE_SYSDUMP_EXTRA_COPY_TO_SD = "run_sd_copy";
    public static final String REMOTE_SYSDUMP_EXTRA_CP_DUMP = "run_cp_dump";
    public static final String REMOTE_SYSDUMP_EXTRA_DELETE = "run_delete";
    public static final String REMOTE_SYSDUMP_EXTRA_ITEM_KEY = "what_item";
    public static final String REMOTE_SYSDUMP_EXTRA_KILL = "kill";
    public static final String REMOTE_SYSDUMP_EXTRA_RESULT_KEY = "result";
    public static final String REMOTE_SYSDUMP_EXTRA_RES_NG = "NG";
    public static final String REMOTE_SYSDUMP_EXTRA_RES_OK = "OK";
    public static final String REMOTE_SYSDUMP_EXTRA_SILENT_LOG_OFF = "run_silent_log_off";
    public static final String REMOTE_SYSDUMP_EXTRA_SILENT_LOG_ON = "run_silent_log_on";
    public static final String REMOTE_SYSDUMP_INTENT_READY = "com.sec.android.app.servicemodeapp.READY";
    public static final String REMOTE_SYSDUMP_INTENT_RES = "com.sec.android.app.servicemodeapp.sysdump_res";
    public static final String REMOTE_SYSDUMP_INTENT_RUN = "com.sec.android.app.servicemodeapp.sysdump_run";
    public static final String RESPONSE_RESULT = "com.sec.factory.response_result";
    private ConcurrentLinkedQueue<ItemRecord> mCommandsQueue = null;
    public BroadcastReceiver mReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.aporiented.athandler.AtSysdump.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            String action = intent.getAction();
            FtUtil.log_d(AtSysdump.this.CLASS_NAME, "onReceive", action);
            AtSysdump atSysdump = AtSysdump.this;
            atSysdump.stopReceiver(atSysdump.mReceiver);
            if (AtSysdump.REMOTE_SYSDUMP_INTENT_RES.equals(action)) {
                if (AtSysdump.this.mCommandsQueue == null || AtSysdump.this.mCommandsQueue.isEmpty()) {
                    FtUtil.log_w(AtSysdump.this.CLASS_NAME, "onReceive", "wrong response received");
                    return;
                }
                String result = intent.getStringExtra("result");
                String command = intent.getStringExtra(AtSysdump.REMOTE_SYSDUMP_EXTRA_ITEM_KEY);
                ItemRecord item = (ItemRecord) AtSysdump.this.mCommandsQueue.poll();
                if (item == null || item.getSentCommand() == null) {
                    FtUtil.log_w(AtSysdump.this.CLASS_NAME, "onReceive", "wrong response item in queue");
                    return;
                }
                if (item.getSentCommand().equals(command)) {
                    AtSysdump.this.writer.write(AtSysdump.this.responseString(item.getAtCommand()[0], result));
                } else {
                    FtUtil.log_w(AtSysdump.this.CLASS_NAME, "onReceive", "Not mached response item and item in the queue");
                    AtSysdump.this.writer.write(AtSysdump.this.responseString(item.getAtCommand()[0], result));
                }
                if (AtSysdump.REMOTE_SYSDUMP_EXTRA_KILL.equalsIgnoreCase(command)) {
                    while (!AtSysdump.this.mCommandsQueue.isEmpty()) {
                        AtSysdump.this.mCommandsQueue.remove();
                    }
                }
            } else if (AtSysdump.REMOTE_SYSDUMP_INTENT_READY.equals(action) && AtSysdump.this.mCommandsQueue != null && !AtSysdump.this.mCommandsQueue.isEmpty()) {
                AtSysdump atSysdump2 = AtSysdump.this;
                atSysdump2.handleCommand(((ItemRecord) atSysdump2.mCommandsQueue.poll()).getAtCommand());
            }
        }
    };

    public static class ItemRecord {
        private String[] atCommand;
        private String sentCommand;

        public ItemRecord(String[] at, String sent) {
            this.atCommand = at;
            this.sentCommand = sent;
        }

        public String[] getAtCommand() {
            return this.atCommand;
        }

        public String getSentCommand() {
            return this.sentCommand;
        }

        public void setSentCommand(String sent) {
            this.sentCommand = sent;
        }
    }

    public AtSysdump(Context context, ResponseWriter writer) {
        super(context);
        this.CMD_NAME = "SYSDUMP";
        this.CLASS_NAME = "AtSysdump";
        this.NUM_ARGS = 3;
        this.writer = writer;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData = null;
        if (argu.length < this.NUM_ARGS) {
            return "NA";
        }
        if (checkArgu(argu, new String[]{"5", "0", "0"})) {
            long curr = System.currentTimeMillis();
            SimpleDateFormat formatter = new SimpleDateFormat("_yyyyMMddhhmmss");
            SystemProperties.set("debug.sf.layerdump", "5");
            boolean result = FtUtil.DoShellCmd("dumpsys SurfaceFlinger");
            if (result && FtUtil.DoShellCmd("screencap -p /data/log/screenCapture_" + formatter.format(new Date(curr)) + ".jpg")) {
                return responseOK(argu[0]);
            }
            return responseNG(argu[0]);
        }
        if (this.mCommandsQueue == null) {
            this.mCommandsQueue = new ConcurrentLinkedQueue<>();
        } else {
            while (!this.mCommandsQueue.isEmpty()) {
                this.mCommandsQueue.remove();
            }
        }
        ItemRecord item = new ItemRecord(argu, null);
        this.mCommandsQueue.add(item);
        startReceiver();
        if (readySysDumpActivity() || checkArgu(argu, new String[]{"4", "0", "0"})) {
            this.writer.write(echoString(argu));
            if (checkArgu(argu, new String[]{"0", "0", "0"})) {
                item.setSentCommand(REMOTE_SYSDUMP_EXTRA_APCP_DUMP);
            } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "0"})) {
                item.setSentCommand(REMOTE_SYSDUMP_EXTRA_CP_DUMP);
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0"})) {
                item.setSentCommand(REMOTE_SYSDUMP_EXTRA_COPY_TO_SD);
            } else if (checkArgu(argu, new String[]{"2", "0", "0"})) {
                item.setSentCommand(REMOTE_SYSDUMP_EXTRA_DELETE);
            } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0", "0"})) {
                item.setSentCommand(REMOTE_SYSDUMP_EXTRA_SILENT_LOG_ON);
            } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, "0"})) {
                item.setSentCommand(REMOTE_SYSDUMP_EXTRA_SILENT_LOG_OFF);
            } else if (!checkArgu(argu, new String[]{"4", "0", "0"})) {
                this.mCommandsQueue.poll();
                return "NA";
            } else if (!readySysDumpActivity()) {
                while (!this.mCommandsQueue.isEmpty()) {
                    this.mCommandsQueue.remove();
                }
                resData = responseOK(argu[0]);
            } else {
                item.setSentCommand(REMOTE_SYSDUMP_EXTRA_KILL);
            }
            requestRunItem(item.getSentCommand());
            return resData;
        }
        startSysDumpActivity();
        return null;
    }

    private boolean readySysDumpActivity() {
        try {
            String className = ((ActivityManager) this.context.getSystemService("activity")).getRunningTasks(1).get(0).topActivity.getClassName();
            if (className != null) {
                String str = this.CLASS_NAME;
                FtUtil.log_d(str, "readySysDumpActivity", "Top activity class name = " + className);
                if ("com.sec.android.app.servicemodeapp.SysDump".contains(className)) {
                    return true;
                }
            }
        } catch (Exception e) {
            String str2 = this.CLASS_NAME;
            FtUtil.log_e(str2, "readySysDumpActivity", "Exception : " + e);
        }
        return false;
    }

    private void startSysDumpActivity() {
        Intent i = new Intent("android.intent.action.MAIN");
        i.setFlags(268435456);
        i.setClassName("com.sec.android.app.servicemodeapp", "com.sec.android.app.servicemodeapp.SysDump");
        i.putExtra("remote", true);
        this.context.startActivity(i);
    }

    private void requestRunItem(String itemName) {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "requestRunItem = " + itemName);
        Intent i = new Intent(REMOTE_SYSDUMP_INTENT_RUN);
        i.putExtra(REMOTE_SYSDUMP_EXTRA_ITEM_KEY, itemName);
        i.setPackage("com.sec.android.app.servicemodeapp");
        this.context.sendBroadcast(i, "com.sec.android.app.servicemodeapp.permission.KEYSTRING");
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public void startReceiver() {
        FtUtil.log_d(this.CLASS_NAME, "startReceiver");
        IntentFilter filter = new IntentFilter();
        filter.addAction(REMOTE_SYSDUMP_INTENT_RES);
        filter.addAction(REMOTE_SYSDUMP_INTENT_READY);
        this.context.registerReceiver(this.mReceiver, filter);
    }
}
