package com.sec.factory.aporiented.athandler;

import android.content.Context;
import com.sec.factory.aporiented.ResponseWriter;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class AtSysscope extends AtCommandHandler {
    private static final int NOK = 2;
    private static final int NOT_SCANED = -1;

    public AtSysscope(Context context, ResponseWriter writer) {
        super(context);
        this.CMD_NAME = "SYSSCOPE";
        this.CLASS_NAME = "AtSysscope";
        this.NUM_ARGS = 2;
        this.writer = writer;
        changeSysScopeStatus();
    }

    private String changeSysScopeStatus() {
        if (EgisFingerprint.MAJOR_VERSION.equals(Support.Properties.get(Support.Properties.ROOTING_CHECK))) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,0", "Pass - " + "NORMAL"));
            return "NORMAL";
        }
        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,0", "Fail - NOK"));
        return "MODIFIED";
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - NUM_ARGS ERROR"));
            return responseNA();
        } else if ("factory".equalsIgnoreCase(Support.Properties.get(Support.Properties.BINARY_TYPE))) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, " Factory Bianry does not support AT+SYSSCOPE cmd"));
            return responseNA();
        } else {
            if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0"})) {
                resData = responseString(argu[0], changeSysScopeStatus());
            } else {
                resData = responseNA();
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - NOT registerd index"));
            }
            return resData;
        }
    }
}
