package com.sec.factory.aporiented.athandler;

import android.content.Context;
import android.content.Intent;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.modules.ModulePower;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class AtSyssleep extends AtCommandHandler {
    public AtSyssleep(Context context) {
        super(context);
        this.CMD_NAME = "SYSSLEEP";
        this.CLASS_NAME = "AtSyssleep";
        this.NUM_ARGS = 2;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", "0"})) {
            Intent i = new Intent("com.samsung.intent.action.FORCE_SLEEP");
            i.addFlags(16777216);
            this.context.sendBroadcast(i);
            ModulePower.instance(this.context).sendAlarmManagerOnOff(false);
            resData = responseOK(argu[0]);
            if (FtUtil.isFactoryBinary() && "true".equals(Support.FactoryTestMenu.getEnable("09"))) {
                mModuleCommunication.nfcOff();
            }
            requestSleep(false);
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION})) {
            if (FtUtil.isFactoryBinary()) {
                mModulePower.doWakeLock(false);
            }
            mModulePower.doWakeLock(true);
            resData = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", "4"})) {
            resData = null;
        } else if (checkArgu(argu, new String[]{"0", "6"})) {
            Intent i2 = new Intent("com.samsung.intent.action.FORCE_SLEEP");
            i2.addFlags(16777216);
            this.context.sendBroadcast(i2);
            ModulePower.instance(this.context).sendAlarmManagerOnOff(false);
            resData = responseOK(argu[0]);
            if (FtUtil.isFactoryBinary() && "true".equals(Support.FactoryTestMenu.getEnable("09"))) {
                mModuleCommunication.nfcOff();
            }
            if ("MT6360".equalsIgnoreCase(Support.Kernel.read(Support.Kernel.PDIC_CHIP_NAME))) {
                requestSleep(true);
            } else {
                requestSleep(false);
            }
        } else {
            resData = responseNA();
        }
        return resData;
    }

    public void requestSleep(final boolean drpDisable) {
        new Thread(new Runnable() {
            /* class com.sec.factory.aporiented.athandler.AtSyssleep.AnonymousClass1 */

            public void run() {
                InterruptedException e;
                int count = 0;
                boolean ccicStateResult = true;
                try {
                    if ("usb".equalsIgnoreCase(Support.Properties.get(Support.Properties.ATD_TTY_VALUE))) {
                        Thread.sleep(1000);
                        if (drpDisable) {
                            Support.Kernel.writeNsync(Support.Kernel.SS_FACTORY, EgisFingerprint.MAJOR_VERSION);
                            Thread.sleep(1000);
                        }
                        Support.Kernel.write(Support.Kernel.USB_CONTROL, "Off_All");
                    } else {
                        if (Support.Kernel.isExistFileID(Support.Kernel.CCIC_LPM_MODE)) {
                            FtUtil.log_d(AtSyssleep.this.CLASS_NAME, "requestSleep", "CCIC state polling start.");
                            while (true) {
                                int count2 = count + 1;
                                if (count >= 10) {
                                    break;
                                }
                                try {
                                    if ("0".equals(Support.Kernel.readFromPath("/sys/class/sec/ccic/state", false))) {
                                        ccicStateResult = true;
                                        break;
                                    }
                                    ccicStateResult = false;
                                    Thread.sleep(150);
                                    count = count2;
                                } catch (InterruptedException e2) {
                                    e = e2;
                                    e.printStackTrace();
                                }
                            }
                        }
                        if (FtUtil.isFactoryBinary() && Support.Kernel.isExistFilePath(Support.Kernel.getFilePath(Support.Kernel.USB_CTRL))) {
                            Support.Kernel.writeToPath(Support.Kernel.getFilePath(Support.Kernel.USB_CTRL), "0");
                        }
                        if (!ccicStateResult) {
                            FtUtil.log_d(AtSyssleep.this.CLASS_NAME, "requestSleep", "CCIC state is attached.");
                        } else {
                            FtUtil.log_d(AtSyssleep.this.CLASS_NAME, "requestSleep", "CCIC state is detached.");
                        }
                        boolean suspend_mode = Support.Feature.getBoolean(Support.Feature.CHARGER_SUSPEND_MODE_ENABLE);
                        if (suspend_mode) {
                            Support.Kernel.writeToPath("/sys/class/power_supply/sm5705-charger/charger_op_mode", "2");
                            Thread.sleep(50);
                        }
                        if (!FtUtil.isFactoryBinary() && suspend_mode) {
                            Thread.sleep(450);
                            Support.Kernel.writeToPath("/sys/class/power_supply/sm5705-charger/charger_op_mode", EgisFingerprint.MAJOR_VERSION);
                        }
                    }
                    AtCommandHandler.mModuleDevice.setCcicLPMmode(ModuleDevice.CCIC_LPM_MODE_ENABLE);
                    Thread.sleep(300);
                    AtCommandHandler.mModulePower.sleep();
                } catch (InterruptedException e3) {
                    e = e3;
                    e.printStackTrace();
                }
            }
        }).start();
    }
}
