package com.sec.factory.aporiented.athandler;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import com.sec.factory.aporiented.ResponseWriter;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.File;

public class AtTdmbtest extends AtCommandHandler {
    public static final String DMB_ANSWER_BAD = "com.sec.samsungtest.DMB_BAD";
    public static final String DMB_ANSWER_BAD_AUDIO = "com.sec.samsungtest.DMB_BAD_AUDIO";
    public static final String DMB_ANSWER_BAD_BER = "com.sec.samsungtest.DMB_BAD_BER";
    public static final String DMB_ANSWER_BAD_OPEN = "com.sec.samsungtest.DMB_BAD_OPEN";
    public static final String DMB_ANSWER_BAD_POWERON = "com.sec.samsungtest.DMB_BAD_POWERON";
    public static final String DMB_ANSWER_BAD_VIDEO = "com.sec.samsungtest.DMB_BAD_VIDEO";
    public static final String DMB_ANSWER_GOOD = "com.sec.samsungtest.DMB_GOOD";
    public static final String DMB_ANSWER_GOOD_SELFTEST = "com.sec.samsungtest.DMB_GOOD_SELFTEST";
    public static final String DMB_ANSWER_RSSI = "com.sec.samsungtest.DMB_RSSI";
    public static final String DMB_GET_RSSI = "DMBGetRSSI";
    public static final String DMB_POWER_OFF = "DMBPowerOff";
    public static final String DMB_POWER_ON = "DMBPowerOn";
    public BroadcastReceiver mReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.aporiented.athandler.AtTdmbtest.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            String mAction = intent.getAction();
            FtUtil.log_d(AtTdmbtest.this.CLASS_NAME, "onReceive", mAction);
            if (AtTdmbtest.DMB_ANSWER_GOOD.equals(mAction)) {
                FtUtil.log_d(AtTdmbtest.this.CLASS_NAME, "onReceive", "DMB_GOOD");
                AtTdmbtest.this.writer.write(AtTdmbtest.this.responseOK("0"));
            } else if (AtTdmbtest.DMB_ANSWER_BAD.equals(mAction)) {
                FtUtil.log_d(AtTdmbtest.this.CLASS_NAME, "onReceive", "DMB_BAD");
                AtTdmbtest.this.writer.write(AtTdmbtest.this.responseNG("0"));
            } else if (AtTdmbtest.DMB_ANSWER_RSSI.equals(mAction)) {
                FtUtil.log_d(AtTdmbtest.this.CLASS_NAME, "onReceive", "DMB_ANSWER_RSSI");
                int mRssi = intent.getIntExtra("RSSI", -1);
                if (mRssi != -1) {
                    String str = AtTdmbtest.this.CLASS_NAME;
                    FtUtil.log_d(str, "onReceive", "RSSI : " + mRssi);
                    AtTdmbtest.this.writer.write(AtTdmbtest.this.responseString(EgisFingerprint.MAJOR_VERSION, Integer.toString(mRssi)));
                } else {
                    FtUtil.log_d(AtTdmbtest.this.CLASS_NAME, "onReceive", "DMB_ANSWER_RSSI");
                    AtTdmbtest.this.writer.write(AtTdmbtest.this.responseNG(EgisFingerprint.MAJOR_VERSION));
                }
            } else if (AtTdmbtest.DMB_ANSWER_BAD_VIDEO.equals(mAction)) {
                FtUtil.log_d(AtTdmbtest.this.CLASS_NAME, "onReceive", "DMB_BAD_VIDEO");
                AtTdmbtest.this.writer.write(AtTdmbtest.this.responseString("0", "NG_VIDEO"));
                AtTdmbtest.this.mResult = "NG_VIDEO";
            } else if (AtTdmbtest.DMB_ANSWER_BAD_AUDIO.equals(mAction)) {
                FtUtil.log_d(AtTdmbtest.this.CLASS_NAME, "onReceive", "DMB_BAD_AUDIO");
                AtTdmbtest.this.writer.write(AtTdmbtest.this.responseString("0", "NG_AUDIO"));
                AtTdmbtest.this.mResult = "NG_AUDIO";
            } else if (AtTdmbtest.DMB_ANSWER_BAD_BER.equals(mAction)) {
                FtUtil.log_d(AtTdmbtest.this.CLASS_NAME, "onReceive", "DMB_BAD_BER");
                AtTdmbtest.this.writer.write(AtTdmbtest.this.responseString("0", "NG_BER"));
                AtTdmbtest.this.mResult = "NG_BER";
            } else if (AtTdmbtest.DMB_ANSWER_BAD_POWERON.equals(mAction)) {
                FtUtil.log_d(AtTdmbtest.this.CLASS_NAME, "onReceive", "DMB_BAD_POWERON");
                AtTdmbtest.this.writer.write(AtTdmbtest.this.responseString("0", "NG_ON"));
                AtTdmbtest.this.mResult = "NG_ON";
            } else if (AtTdmbtest.DMB_ANSWER_GOOD_SELFTEST.equals(mAction)) {
                FtUtil.log_d(AtTdmbtest.this.CLASS_NAME, "onReceive", "DMB_GOOD_SELFTEST");
                AtTdmbtest.this.writer.write(AtTdmbtest.this.responseString("0", "OK"));
                AtTdmbtest.this.mResult = "OK";
            }
            AtTdmbtest atTdmbtest = AtTdmbtest.this;
            atTdmbtest.stopReceiver(atTdmbtest.mReceiver);
        }
    };
    String mResult = null;

    public AtTdmbtest(Context context, ResponseWriter writer) {
        super(context);
        this.CMD_NAME = "TDMBTEST";
        this.CLASS_NAME = "AtTdmbtest";
        this.NUM_ARGS = 3;
        this.writer = writer;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public void startReceiver() {
        IntentFilter mFilter = new IntentFilter();
        mFilter.addAction(DMB_ANSWER_GOOD);
        mFilter.addAction(DMB_ANSWER_BAD);
        mFilter.addAction(DMB_ANSWER_RSSI);
        mFilter.addAction(DMB_ANSWER_BAD_VIDEO);
        mFilter.addAction(DMB_ANSWER_BAD_AUDIO);
        mFilter.addAction(DMB_ANSWER_BAD_BER);
        mFilter.addAction(DMB_ANSWER_BAD_OPEN);
        mFilter.addAction(DMB_ANSWER_BAD_POWERON);
        mFilter.addAction(DMB_ANSWER_GOOD_SELFTEST);
        this.context.registerReceiver(this.mReceiver, mFilter);
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData = null;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", "0", "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "TDMB off start");
            startReceiver();
            Intent i = new Intent();
            i.setClassName("com.samsung.android.app.dtv.dmb", "com.samsung.android.app.dtv.dmb.DMBFactoryService");
            i.setFlags(268435456);
            i.putExtra("COMMAND", DMB_POWER_OFF);
            this.context.startService(i);
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "TDMB on start");
            startReceiver();
            Intent i2 = new Intent();
            i2.setClassName("com.samsung.android.app.dtv.dmb", "com.samsung.android.app.dtv.dmb.DMBFactoryService");
            i2.setFlags(268435456);
            i2.putExtra("COMMAND", DMB_POWER_ON);
            this.context.startService(i2);
        } else if (checkArgu(argu, new String[]{"0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "TDMB Self Test");
            startReceiver();
            Intent i3 = new Intent("com.sec.factory.action.DMB_SELFTEST");
            i3.setFlags(335544320);
            i3.putExtra("STARTMODE", "FactoryTestAuto");
            this.context.startActivity(i3);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "TDMB Rssi Read");
            startReceiver();
            Intent i4 = new Intent();
            i4.setClassName("com.samsung.android.app.dtv.dmb", "com.samsung.android.app.dtv.dmb.DMBFactoryService");
            i4.setFlags(268435456);
            i4.putExtra("COMMAND", DMB_GET_RSSI);
            this.context.startService(i4);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "2", "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "TDMB data Read");
            String buf = Support.Kernel.readFromPath(Support.Kernel.getFilePath(Support.Kernel.SECEFS_TDMBTEST_RSSI_FILE), true);
            new File(Support.Kernel.getFilePath(Support.Kernel.SECEFS_TDMBTEST_RSSI_LOG_FILE)).delete();
            if (this.mResult == null) {
                this.writer.write(responseNG(EgisFingerprint.MAJOR_VERSION));
            } else if (buf == null) {
                this.writer.write(responseString(EgisFingerprint.MAJOR_VERSION, this.mResult + "," + "NONE" + "," + "NONE"));
            } else {
                String[] returnData = buf.replace(" ", "").split(",");
                if (returnData[0] == null || returnData[1] == null) {
                    this.writer.write(responseString(EgisFingerprint.MAJOR_VERSION, this.mResult + "," + "NONE" + "," + "NONE"));
                } else {
                    this.writer.write(responseString(EgisFingerprint.MAJOR_VERSION, this.mResult + "," + returnData[1] + "," + returnData[0]));
                }
            }
        } else {
            resData = responseNA();
        }
        return resData;
    }
}
