package com.sec.factory.aporiented.athandler;

import android.content.Context;
import android.content.Intent;
import com.sec.factory.app.ui.UiTeachingTest;
import com.sec.factory.support.FtUtil;
import egis.client.api.EgisFingerprint;

public class AtTeaching extends AtCommandHandler {
    private final Context mContext;

    public AtTeaching(Context context) {
        super(context);
        this.CMD_NAME = "TEACHING";
        this.CLASS_NAME = "AtTeaching";
        this.NUM_ARGS = 4;
        this.mContext = context;
        this.writer = this.writer;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", "0", EgisFingerprint.MAJOR_VERSION})) {
            String[] xyz = argu[3].split("_");
            float x = Float.parseFloat(xyz[0]);
            float y = Float.parseFloat(xyz[1]);
            float r = Float.parseFloat(xyz[2]);
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "X is " + x + ", Y is " + y + ", R is " + r);
            Intent TeachingIntent = new Intent(this.mContext, UiTeachingTest.class);
            TeachingIntent.putExtra("X", x);
            TeachingIntent.putExtra("Y", y);
            TeachingIntent.putExtra("R", r);
            TeachingIntent.addFlags(335544320);
            this.mContext.startActivity(TeachingIntent);
            resData = responseOK(argu[0]);
        } else {
            resData = responseNA();
        }
        return resData;
    }
}
