package com.sec.factory.aporiented.athandler;

import android.content.Context;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.util.Locale;

public class AtTemptest extends AtCommandHandler {
    private static final String ChipSetName = Support.Feature.getString(Support.Feature.CHIPSET_NAME);
    private static final String ChipSetNameCP = Support.Feature.getString(Support.Feature.CHIPSET_NAME_CP);
    private final int MAX_THERMISTOR = 100;
    private final boolean isAPQ8064;
    private final boolean isAPQ8074;
    private final boolean isAPQ8084;
    private final boolean isEXYNOS5260;
    private final boolean isEXYNOS5410;
    private final boolean isEXYNOS5420;
    private final boolean isEXYNOS5422;
    private final boolean isEXYNOS_AP;
    private final boolean isM7450;
    private final boolean isMDM_CP;
    private final boolean isMSM8026;
    private final boolean isMSM8226;
    private final boolean isMSM8228;
    private final boolean isMSM8230;
    private final boolean isMSM8274;
    private final boolean isMSM8626;
    private final boolean isMSM8674;
    private final boolean isMSM8926;
    private final boolean isMSM8928;
    private final boolean isMSM8930;
    private final boolean isMSM8960;
    private final boolean isMSM8974;
    private final boolean isPXA988;
    private final boolean isPegaPrime;
    private final boolean isPegasus;
    private final boolean isPegasusPrime;
    private final boolean isSC5C210ABB;
    private final boolean isShannon222AP;
    private final boolean isXMM7260;

    public AtTemptest(Context context) {
        super(context);
        String str = ChipSetName;
        this.isMSM8960 = "MSM8960".equalsIgnoreCase(str);
        this.isMSM8930 = "MSM8930".equalsIgnoreCase(str);
        this.isMSM8230 = "MSM8230".equalsIgnoreCase(str);
        this.isMSM8974 = "MSM8974".equalsIgnoreCase(str);
        this.isMSM8928 = "MSM8928".equalsIgnoreCase(str);
        this.isMSM8228 = "MSM8228".equalsIgnoreCase(str);
        this.isMSM8674 = "MSM8674".equalsIgnoreCase(str);
        this.isMSM8274 = "MSM8274".equalsIgnoreCase(str);
        this.isMSM8026 = "MSM8026".equalsIgnoreCase(str);
        this.isMSM8226 = "MSM8226".equalsIgnoreCase(str);
        this.isMSM8626 = "MSM8626".equalsIgnoreCase(str);
        this.isMSM8926 = "MSM8926".equalsIgnoreCase(str);
        this.isAPQ8064 = "APQ8064".equalsIgnoreCase(str);
        this.isAPQ8074 = "APQ8074".equalsIgnoreCase(str);
        this.isAPQ8084 = "APQ8084".equalsIgnoreCase(str);
        this.isPegasusPrime = "PegasusPrime".equalsIgnoreCase(str);
        this.isPegaPrime = "PegaPrime".equalsIgnoreCase(str);
        this.isPegasus = "Pegasus".equalsIgnoreCase(str);
        this.isEXYNOS5410 = "EXYNOS5410".equalsIgnoreCase(str);
        this.isEXYNOS5420 = "EXYNOS5420".equalsIgnoreCase(str);
        this.isEXYNOS5422 = "EXYNOS5422".equalsIgnoreCase(str);
        this.isEXYNOS5260 = "EXYNOS5260".equalsIgnoreCase(str);
        this.isSC5C210ABB = "SC5C210ABB-A040".equalsIgnoreCase(str);
        this.isShannon222AP = "Shannon222AP".equalsIgnoreCase(str);
        this.isPXA988 = "PXA988".equalsIgnoreCase(str);
        String str2 = ChipSetNameCP;
        this.isXMM7260 = "XMM7260".equalsIgnoreCase(str2);
        this.isM7450 = "M7450".equalsIgnoreCase(str2);
        this.isMDM_CP = str2.toUpperCase(Locale.ENGLISH).contains("MDM");
        this.isEXYNOS_AP = str.toUpperCase(Locale.ENGLISH).contains("EXYNOS");
        this.CMD_NAME = "TEMPTEST";
        this.CLASS_NAME = "AtTemptest";
        this.NUM_ARGS = 3;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0"})) {
            resData = process_1_0_0_Charge_chargeBlocking(argu[0]);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", EgisFingerprint.MAJOR_VERSION})) {
            resData = process_Cp_CommandNotApplicable();
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "2"})) {
            resData = process_Cp_CommandNotApplicable();
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
            resData = process_1_0_3_Power_ApControl(argu[0]);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "4"})) {
            resData = process_1_0_4_Power_PA0TemperatureCompensation(argu[0]);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "5"})) {
            resData = process_1_0_5_Power_PA1TemperatureCompensation(argu[0]);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "6"})) {
            resData = process_1_0_6_Power_ApSiop(argu[0]);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "7"})) {
            resData = process_1_0_7_Power_XoOsc(argu[0]);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "8"})) {
            resData = process_1_0_8_Sensor_TempHumidityCpPAM(argu[0]);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", egis.optical.client.api.EgisFingerprint.JAR_VERSION})) {
            resData = process_1_0_9_Sensor_TempHumidityBattery(argu[0]);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, "0"})) {
            resData = process_1_1_0_Charge_chargeBlocking_Adc(argu[0]);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
            resData = process_Cp_CommandNotApplicable();
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, "2"})) {
            resData = process_Cp_CommandNotApplicable();
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, "4"})) {
            resData = process_1_1_4_Power_PA0TemperatureCompensation_Adc(argu[0]);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, "5"})) {
            resData = process_1_1_5_Power_PA1TemperatureCompensation_Adc(argu[0]);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, "7"})) {
            resData = process_Cp_CommandNotApplicable();
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.JAR_VERSION})) {
            resData = process_1_1_9_Sensor_TempHumidityBattery_Adc(argu[0]);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "2", "0"})) {
            resData = process_1_2_0_Charge_TempHumidityPmicThermistor(argu[0]);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "2", "2"})) {
            resData = process_1_2_2_Charge_AFChargingCurrentControl(argu[0]);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "2", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
            resData = process_1_2_3_Charge_WirelessChargingCurrentControl(argu[0]);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "2", "4"})) {
            resData = process_1_2_4_Camera_FlashCurrentControl(argu[0]);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "2", "7"})) {
            resData = process_1_2_7_Wifi_Wifi2dot4G(argu[0]);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0"})) {
            resData = process_1_3_0_Charge_TempHumidityPmicThermistor_Adc(argu[0]);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "2"})) {
            resData = process_1_3_2_Charge_AFChargingCurrentControl_Adc(argu[0]);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
            resData = process_1_3_3_Charge_WirelessChargingCurrentControl_Adc(argu[0]);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "4"})) {
            resData = process_1_3_4_Camera_FlashCurrentControl_Adc(argu[0]);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "4", "0"})) {
            resData = process_1_4_0_Charge_UsbThermistor(argu[0]);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "4", "2"})) {
            resData = process_1_4_2_Sensor_BigDataPcm(argu[0]);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "4", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
            resData = process_1_4_3_Sensor_BigDataUsb(argu[0]);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "4", "4"})) {
            resData = process_1_4_4_Charge_AvoidDamageInsideOfBlanket(argu[0]);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "4", "5"})) {
            resData = process_1_4_5_Charge_2ndChargeIC(argu[0]);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "4", "6"})) {
            resData = process_Cp_CommandNotApplicable();
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "4", "7"})) {
            resData = process_1_4_7_CpOrPower_Nr5gPam(argu[0]);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "4", "8"})) {
            resData = process_1_4_8_Power_Nr5gSiop(argu[0]);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "4", egis.optical.client.api.EgisFingerprint.JAR_VERSION})) {
            resData = process_1_4_9_Charge_DirectChargeControl(argu[0]);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "5", EgisFingerprint.MAJOR_VERSION})) {
            resData = process_1_5_1_Power_5gCp(argu[0]);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "5", "2"})) {
            resData = process_1_5_2_Power_5gRf1(argu[0]);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "5", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
            resData = process_1_5_3_Power_5gRf2(argu[0]);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "5", "4"})) {
            resData = process_Cp_CommandNotApplicable();
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "5", "5"})) {
            resData = process_1_5_5_Charge_SubBattery(argu[0]);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "5", "7"})) {
            resData = process_1_5_7_Power_LrpThermistor(argu[0]);
        } else {
            resData = responseNA();
        }
        return resData;
    }

    /* JADX INFO: Multiple debug info for r1v6 java.lang.String: [D('result_int' int), D('resData' java.lang.String)] */
    private String process_1_5_7_Power_LrpThermistor(String string) {
        FtUtil.log_i(this.CLASS_NAME, "process_1_5_7_Power_LrpThermistor");
        String result = Support.Kernel.read(Support.Kernel.LRP_THERMISTER_TEMPERATURE);
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "LRP_THERMISTER_TEMPERATURE = ", "result =" + result);
        if (result != null) {
            return responseString(string, String.valueOf(Integer.valueOf(result).intValue() / 10));
        }
        return responseNG(string);
    }

    /* JADX INFO: Multiple debug info for r0v7 java.lang.String: [D('result_int' int), D('resData' java.lang.String)] */
    private String process_1_5_5_Charge_SubBattery(String string) {
        FtUtil.log_i(this.CLASS_NAME, "process_1_5_5_Charge_SubBattery");
        if (!FtUtil.isFactoryBinary()) {
            return "NOT_APPLICABLE";
        }
        String result = Support.Kernel.read(Support.Kernel.BATTERY_SUB_TEMP);
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, Support.Kernel.BATTERY_SUB_TEMP, "Sub batt temp = " + result);
        if (result != null) {
            return responseString(string, String.valueOf(Integer.valueOf(result).intValue() / 10));
        }
        return responseNG(string);
    }

    /* JADX INFO: Multiple debug info for r0v4 java.lang.String: [D('path' java.lang.String), D('resData' java.lang.String)] */
    private String process_1_5_3_Power_5gRf2(String string) {
        FtUtil.log_i(this.CLASS_NAME, "process_1_5_3_Power_5gRf2");
        String result = Support.Kernel.readSysfs(Support.Kernel.PA_THERM3);
        if (result == null) {
            return responseNG(string);
        }
        int result_int = Integer.valueOf(result).intValue();
        String path = Support.Kernel.getFilePath(Support.Kernel.PA_THERM3);
        if (path != null) {
            if (path.matches(".*sec-.*-thermistor.*")) {
                result_int /= 10;
            } else if (path.contains("thermal_zone")) {
                result_int /= 1000;
            }
        }
        return responseString(string, String.valueOf(result_int));
    }

    /* JADX INFO: Multiple debug info for r0v4 java.lang.String: [D('path' java.lang.String), D('resData' java.lang.String)] */
    private String process_1_5_2_Power_5gRf1(String string) {
        FtUtil.log_i(this.CLASS_NAME, "process_1_5_2_Power_5gRf1");
        String result = Support.Kernel.readSysfs(Support.Kernel.PA_THERM2);
        if (result == null) {
            return responseNG(string);
        }
        int result_int = Integer.valueOf(result).intValue();
        String path = Support.Kernel.getFilePath(Support.Kernel.PA_THERM2);
        if (path != null) {
            if (path.matches(".*sec-.*-thermistor.*")) {
                result_int /= 10;
            } else if (path.contains("thermal_zone")) {
                result_int /= 1000;
            }
        }
        return responseString(string, String.valueOf(result_int));
    }

    /* JADX INFO: Multiple debug info for r0v4 java.lang.String: [D('path' java.lang.String), D('resData' java.lang.String)] */
    private String process_1_5_1_Power_5gCp(String string) {
        FtUtil.log_i(this.CLASS_NAME, "process_1_5_1_Power_5gCp");
        String result = Support.Kernel.readSysfs(Support.Kernel.PA_THERM1);
        if (result == null) {
            return responseNG(string);
        }
        int result_int = Integer.valueOf(result).intValue();
        String path = Support.Kernel.getFilePath(Support.Kernel.PA_THERM1);
        if (path != null) {
            if (path.matches(".*sec-.*-thermistor.*")) {
                result_int /= 10;
            } else if (path.contains("thermal_zone")) {
                result_int /= 1000;
            }
        }
        return responseString(string, String.valueOf(result_int));
    }

    /* JADX INFO: Multiple debug info for r1v6 java.lang.String: [D('value_int' int), D('resData' java.lang.String)] */
    private String process_1_4_8_Power_Nr5gSiop(String string) {
        FtUtil.log_i(this.CLASS_NAME, "process_1_4_8_Power_Nr5gSiop");
        if (!FtUtil.isFactoryBinary()) {
            return "NOT_APPLICABLE";
        }
        String result = Support.Kernel.read(Support.Kernel.NR_SIOP_THERMISTER_TEMPERATURE);
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "NR_SIOP_THERMISTER_TEMPERATURE = ", "result =" + result);
        if (result != null) {
            return responseString(string, String.valueOf(Integer.valueOf(result).intValue() / 10));
        }
        return responseNG(string);
    }

    private String process_1_4_9_Charge_DirectChargeControl(String string) {
        FtUtil.log_i(this.CLASS_NAME, "process_1_4_9_Charge_DirectChargeControl");
        if (!Support.Kernel.isExistFile(Support.Kernel.DIRECT_CHARGER_THERMISTER_MODE)) {
            return responseNG(string);
        }
        Support.Kernel.write(Support.Kernel.DIRECT_CHARGER_THERMISTER_MODE, EgisFingerprint.MAJOR_VERSION);
        FtUtil.Sleep.sleep(350);
        String result = Support.Kernel.read(Support.Kernel.DIRECT_CHARGER_THERMISTER_TEMPERATURE);
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "DIRECT_CHARGER_THERMISTER_TEMPERATURE = ", "result =" + result);
        String result2 = String.valueOf(Integer.valueOf(result).intValue() / 10);
        Support.Kernel.write(Support.Kernel.DIRECT_CHARGER_THERMISTER_MODE, "0");
        return responseString(string, result2);
    }

    /* JADX INFO: Multiple debug info for r0v5 java.lang.String: [D('res' java.lang.String), D('resData' java.lang.String)] */
    private String process_1_4_7_CpOrPower_Nr5gPam(String string) {
        FtUtil.log_i(this.CLASS_NAME, "process_1_4_7_CpOrPower_Nr5gPam");
        if (!Support.Kernel.isExistFile(Support.Kernel.NR_THERMISTER)) {
            return process_Cp_CommandNotApplicable();
        }
        String res = Support.Kernel.read(Support.Kernel.NR_THERMISTER);
        if (res != null) {
            res = String.valueOf(Integer.valueOf(res).intValue() / 10);
        }
        return responseString(string, res);
    }

    /* JADX INFO: Multiple debug info for r1v6 java.lang.String: [D('value_int' int), D('resData' java.lang.String)] */
    private String process_1_4_5_Charge_2ndChargeIC(String string) {
        FtUtil.log_i(this.CLASS_NAME, "process_1_4_5_Charge_2ndChargeIC");
        String result = Support.Kernel.read(Support.Kernel.CHARGER_2ND_THERMISTER_TEMPERATURE);
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "CHARGER_2ND_THERMISTER_TEMPERATURE = ", "result =" + result);
        if (result != null) {
            return responseString(string, String.valueOf(Integer.valueOf(result).intValue() / 10));
        }
        return responseNG(string);
    }

    /* JADX INFO: Multiple debug info for r1v6 java.lang.String: [D('value_int' int), D('resData' java.lang.String)] */
    private String process_1_4_4_Charge_AvoidDamageInsideOfBlanket(String string) {
        FtUtil.log_i(this.CLASS_NAME, "process_1_4_4_Charge_AvoidDamageInsideOfDamyo");
        String result = Support.Kernel.read(Support.Kernel.BLANKET_THERMISTER_TEMPERATURE);
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "BLANKET_THERMISTER_TEMPERATURE = ", "result =" + result);
        if (result != null) {
            return responseString(string, String.valueOf(Integer.valueOf(result).intValue() / 10));
        }
        return responseNG(string);
    }

    private String process_1_4_3_Sensor_BigDataUsb(String string) {
        FtUtil.log_i(this.CLASS_NAME, "process_1_4_3_Sensor_BigDataUsb");
        String res = Support.Kernel.read(Support.Kernel.EXT_SUB_THM);
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "EXT_SUB_THM = ", "res =" + res);
        return responseString(string, res);
    }

    private String process_1_4_2_Sensor_BigDataPcm(String string) {
        FtUtil.log_i(this.CLASS_NAME, "process_1_4_2_Sensor_BigDataPcm");
        String res = Support.Kernel.read(Support.Kernel.EXT_UP_THM);
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "EXT_UP_THM = ", "res =" + res);
        return responseString(string, res);
    }

    private String process_1_4_0_Charge_UsbThermistor(String string) {
        FtUtil.log_i(this.CLASS_NAME, "process_1_4_0_Charge_UsbThermistor");
        String res = Support.Kernel.read(Support.Kernel.USB_TEMP);
        if (res != null) {
            res = String.valueOf(Integer.valueOf(res).intValue() / 10);
        }
        return responseString(string, res);
    }

    private String process_1_3_4_Camera_FlashCurrentControl_Adc(String string) {
        FtUtil.log_i(this.CLASS_NAME, "process_1_3_4_Camera_FlashCurrentControl_Adc");
        return responseString(string, mModulePower.readCamFlashTempAdc());
    }

    private String process_1_3_3_Charge_WirelessChargingCurrentControl_Adc(String string) {
        FtUtil.log_i(this.CLASS_NAME, "process_1_3_3_Charge_WirelessChargingCurrentControl_Adc");
        String res = Support.Kernel.read(Support.Kernel.BATTERY_WPC_TEMP_ADC);
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, Support.Kernel.BATTERY_WPC_TEMP_ADC, "adc=" + res);
        return responseString(string, res);
    }

    private String process_1_3_2_Charge_AFChargingCurrentControl_Adc(String string) {
        FtUtil.log_i(this.CLASS_NAME, "process_1_3_2_Charge_AFChargingCurrentControl_Adc");
        return responseString(string, mModulePower.readAFChargerTempAdc());
    }

    private String process_1_3_0_Charge_TempHumidityPmicThermistor_Adc(String string) {
        FtUtil.log_i(this.CLASS_NAME, "process_1_3_0_Charge_TempHumidityPmicThermistor_Adc");
        String res = Support.Kernel.read(Support.Kernel.HUMITEMP_THERMISTER_BATT);
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, Support.Kernel.HUMITEMP_THERMISTER_BATT, "adc=" + res);
        return responseString(string, res);
    }

    private String process_1_2_7_Wifi_Wifi2dot4G(String string) {
        FtUtil.log_i(this.CLASS_NAME, "process_1_2_7_Wifi_Wifi2dot4G");
        return responseString(string, mModulePower.readWifiTemp());
    }

    private String process_1_2_4_Camera_FlashCurrentControl(String string) {
        FtUtil.log_i(this.CLASS_NAME, "process_1_2_4_Camera_FlashCurrentControl");
        return responseString(string, mModulePower.readCamFlashTemp());
    }

    private String process_1_2_3_Charge_WirelessChargingCurrentControl(String string) {
        FtUtil.log_i(this.CLASS_NAME, "process_1_2_2_Charge_WirelessChargingCurrentControl");
        String res = Support.Kernel.read(Support.Kernel.BATTERY_WPC_TEMP);
        if (res != null) {
            res = String.valueOf(Integer.valueOf(res).intValue() / 10);
        }
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, Support.Kernel.BATTERY_WPC_TEMP, "temp=" + res);
        return responseString(string, res);
    }

    private String process_1_2_2_Charge_AFChargingCurrentControl(String string) {
        FtUtil.log_i(this.CLASS_NAME, "process_1_2_2_Charge_AFChargingCurrentControl");
        return responseString(string, mModulePower.readAFChargerTemp());
    }

    private String process_1_2_0_Charge_TempHumidityPmicThermistor(String string) {
        FtUtil.log_i(this.CLASS_NAME, "process_1_2_0_Charge_TempHumidityPmicThermistor");
        String res = Support.Kernel.read(Support.Kernel.HUMITEMP_THERMISTER_BATT_CELCIUS);
        if (res != null) {
            res = String.valueOf(Integer.valueOf(res).intValue() / 10);
        }
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, Support.Kernel.HUMITEMP_THERMISTER_BATT_CELCIUS, "celcius=" + res);
        return responseString(string, res);
    }

    private String process_1_1_5_Power_PA1TemperatureCompensation_Adc(String string) {
        FtUtil.log_i(this.CLASS_NAME, "process_1_1_5_Power_PA1TemperatureCompensation_Adc");
        if ((this.isEXYNOS_AP && this.isMDM_CP) || this.isAPQ8064 || this.isAPQ8074 || this.isPegasus || this.isPegasusPrime || this.isPegaPrime || this.isEXYNOS5410 || this.isEXYNOS5420 || this.isEXYNOS5422 || this.isMDM_CP || this.isSC5C210ABB || this.isAPQ8084) {
            return process_Cp_CommandNotApplicable();
        }
        try {
            String adc = Support.Kernel.read(Support.Kernel.PA1_THERMISTER_ADC);
            String str = this.CLASS_NAME;
            FtUtil.log_i(str, Support.Kernel.PA1_THERMISTER_ADC, "adc=" + adc);
            if (!this.isMSM8960 && !this.isMSM8930) {
                if (!this.isMSM8230) {
                    if ((!Support.TestCase.getEnabled(Support.TestCase.PA1_TEMP_ADC) || !"RAW".equals(Support.TestCase.getString(Support.TestCase.PA_TEMP_ADC_VAL_TYPE))) && !this.isMSM8974 && !this.isMSM8674 && !this.isMSM8026 && !this.isMSM8226 && !this.isMSM8926 && !this.isMSM8928 && !this.isMSM8228 && !this.isMSM8626) {
                        return "NOT_APPLICABLE";
                    }
                    return responseString(string, adc);
                }
            }
            if (adc == null) {
                return responseNG(string);
            }
            int start = adc.indexOf("Raw:");
            String res = adc.substring("Raw:".length() + start);
            String str2 = this.CLASS_NAME;
            FtUtil.log_i(str2, Support.Kernel.PA1_THERMISTER_ADC, "start=" + start + ", res=" + res);
            return responseString(string, res);
        } catch (NullPointerException e) {
            return responseNG(string);
        } catch (Exception e2) {
            return responseNG(string);
        }
    }

    private String process_1_1_4_Power_PA0TemperatureCompensation_Adc(String string) {
        FtUtil.log_i(this.CLASS_NAME, "process_1_1_4_Power_PA0TemperatureCompensation_Adc");
        if ((this.isEXYNOS_AP && this.isMDM_CP) || this.isAPQ8064 || this.isAPQ8074 || this.isPegasus || this.isPegasusPrime || this.isPegaPrime || this.isEXYNOS5410 || this.isEXYNOS5420 || this.isEXYNOS5422 || this.isMDM_CP || this.isSC5C210ABB || this.isAPQ8084) {
            return process_Cp_CommandNotApplicable();
        }
        try {
            String adc = Support.Kernel.read(Support.Kernel.PA0_THERMISTER_ADC);
            String str = this.CLASS_NAME;
            FtUtil.log_i(str, Support.Kernel.PA0_THERMISTER_ADC, "adc=" + adc);
            if (!this.isMSM8960 && !this.isMSM8930) {
                if (!this.isMSM8230) {
                    if ((!Support.TestCase.getEnabled(Support.TestCase.PA0_TEMP_ADC) || !"RAW".equals(Support.TestCase.getString(Support.TestCase.PA_TEMP_ADC_VAL_TYPE))) && !this.isMSM8974 && !this.isMSM8674 && !this.isMSM8026 && !this.isMSM8226 && !this.isMSM8926 && !this.isMSM8928 && !this.isMSM8228 && !this.isMSM8626) {
                        return "NOT_APPLICABLE";
                    }
                    return responseString(string, adc);
                }
            }
            int start = adc.indexOf("Raw:");
            String res = adc.substring("Raw:".length() + start);
            String str2 = this.CLASS_NAME;
            FtUtil.log_i(str2, Support.Kernel.PA0_THERMISTER_ADC, "start=" + start + ", res=" + res);
            return responseString(string, res);
        } catch (NullPointerException e) {
            return responseNG(string);
        } catch (Exception e2) {
            return responseNG(string);
        }
    }

    private String process_Cp_CommandNotApplicable() {
        FtUtil.log_i(this.CLASS_NAME, "process_Cp_CommandNotApplicable");
        return "NOT_APPLICABLE";
    }

    private String process_1_1_0_Charge_chargeBlocking_Adc(String string) {
        FtUtil.log_i(this.CLASS_NAME, "process_1_1_0_Charge_chargeBlocking_Adc");
        return responseString(string, mModulePower.readBatteryTempAdc());
    }

    private String process_1_1_9_Sensor_TempHumidityBattery_Adc(String string) {
        FtUtil.log_i(this.CLASS_NAME, "process_1_1_9_Sensor_TempHumidityBattery_Adc");
        String res = Support.Kernel.read(Support.Kernel.HUMITEMP_THERMISTER_S_HUB_BATT);
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, Support.Kernel.HUMITEMP_THERMISTER_S_HUB_BATT, "adc=" + res);
        return responseString(string, res);
    }

    private String process_1_0_9_Sensor_TempHumidityBattery(String string) {
        FtUtil.log_i(this.CLASS_NAME, "process_1_0_9_Sensor_TempHumidityBattery");
        String res = Support.Kernel.read(Support.Kernel.HUMITEMP_THERMISTER_S_HUB_BATT_CELCIUS);
        if (res != null) {
            res = String.valueOf(Integer.valueOf(res).intValue() / 10);
        }
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, Support.Kernel.HUMITEMP_THERMISTER_S_HUB_BATT_CELCIUS, "celcius=" + res);
        return responseString(string, res);
    }

    private String process_1_0_8_Sensor_TempHumidityCpPAM(String string) {
        FtUtil.log_i(this.CLASS_NAME, "process_1_0_8_Sensor_TempHumidityCpPAM");
        String value = mModulePower.read_humitemp_thermistor_PAM();
        if (value != null) {
            value = String.valueOf(Integer.valueOf(value).intValue() / 10);
        }
        return responseString(string, value);
    }

    private String process_1_0_7_Power_XoOsc(String string) {
        FtUtil.log_i(this.CLASS_NAME, "process_1_0_7_Power_XoOsc");
        if (!Support.Feature.getBoolean(Support.Feature.SUPPORT_XO_OSC_THERMISTOR)) {
            return process_Cp_CommandNotApplicable();
        }
        return responseString(string, mModulePower.readXoOscTemp());
    }

    private String process_1_0_6_Power_ApSiop(String string) {
        FtUtil.log_i(this.CLASS_NAME, "process_1_0_6_Power_ApSiop");
        if (Support.Feature.getBoolean(Support.Feature.SUPPORT_AP_EX_THERM_ADC) || this.isPXA988 || this.isMSM8974 || this.isMSM8674 || this.isMSM8274 || this.isMSM8026 || this.isMSM8226 || this.isMSM8926 || this.isMSM8626 || this.isMSM8960 || this.isMSM8930 || this.isMSM8928 || this.isMSM8228 || this.isMSM8230 || this.isAPQ8064 || this.isAPQ8074 || this.isPegasus || this.isPegasusPrime || this.isPegaPrime || this.isEXYNOS5410 || this.isEXYNOS5420 || this.isEXYNOS5422 || this.isShannon222AP || this.isEXYNOS5260 || this.isSC5C210ABB) {
            return responseString(string, mModulePower.readExternalApChipTemp());
        }
        return "NOT_APPLICABLE";
    }

    private String process_1_0_5_Power_PA1TemperatureCompensation(String string) {
        FtUtil.log_i(this.CLASS_NAME, "process_1_0_5_Power_PA1TemperatureCompensation");
        String res = Support.Kernel.readSysfs(Support.Kernel.PA1_THERMISTER_CELCIUS);
        int devider = Support.TestCase.getIntValue(Support.TestCase.PA1_THERMISTER_CELCIUS_DIVIDER);
        if (devider > 0) {
            res = String.valueOf(Integer.valueOf(res).intValue() / devider);
        }
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, Support.Kernel.PA1_THERMISTER_CELCIUS, "celcius=" + res);
        return responseString(string, res);
    }

    private String process_1_0_4_Power_PA0TemperatureCompensation(String string) {
        String res;
        FtUtil.log_i(this.CLASS_NAME, "process_1_0_4_Power_PA0TemperatureCompensation");
        if (this.isAPQ8084) {
            return process_Cp_CommandNotApplicable();
        }
        String res2 = Support.Kernel.readSysfs(Support.Kernel.PA0_THERMISTER_CELCIUS);
        try {
            res = String.valueOf(Integer.valueOf(res2).intValue() / Support.TestCase.getIntValue(Support.TestCase.PA0_THERMISTER_CELCIUS_DIVIDER));
        } catch (ArithmeticException e) {
            FtUtil.log_e(this.CLASS_NAME, Support.Kernel.PA0_THERMISTER_CELCIUS, "Occured ArithmeticException. res val is error");
            res = "NG";
        } catch (NumberFormatException e2) {
            FtUtil.log_e(this.CLASS_NAME, Support.Kernel.PA0_THERMISTER_CELCIUS, "Occured NumberFormatException. res val is error");
            res = "NG";
        }
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, Support.Kernel.PA0_THERMISTER_CELCIUS, "celcius=" + res);
        return responseString(string, res);
    }

    /* JADX INFO: Multiple debug info for r0v18 java.lang.String: [D('value' java.lang.String), D('resData' java.lang.String)] */
    private String process_1_0_3_Power_ApControl(String string) {
        String value;
        FtUtil.log_i(this.CLASS_NAME, "process_1_0_3_Power_ApControl");
        if (Support.Feature.getBoolean(Support.Feature.SUPPORT_MULTI_THERMISTOR)) {
            return responseString(string, mModulePower.readApChipTemp_MultiThermistor());
        }
        String value2 = mModulePower.readApChipTemp();
        int value_int = -1;
        if (value2 == null || value2.length() <= 0) {
            value = "NG";
        } else if (value2.contains(",")) {
            String[] value_array_result = value2.split(",");
            value = "";
            for (int i = 0; i < value_array_result.length; i++) {
                value_int = Integer.valueOf(value_array_result[i]).intValue();
                value = Support.Feature.getBoolean(Support.Feature.CAL_AP_TEMP) ? value + value_int : value + (value_int / 10);
                if (i < value_array_result.length - 1) {
                    value = value + ",";
                }
            }
        } else {
            value_int = Integer.valueOf(value2).intValue();
            if (Support.Feature.getBoolean(Support.Feature.CAL_AP_TEMP)) {
                value_int /= 10;
            } else if ("Spreadtrum".equalsIgnoreCase(Support.Feature.getString(Support.Feature.CHIPSET_MANUFACTURE)) && !Support.Feature.getBoolean(Support.Feature.SUPPORT_LTE, false)) {
                value_int /= 1000;
            }
            value = String.valueOf(value_int);
        }
        FtUtil.log_d(this.CLASS_NAME, "103", "result value=" + value_int);
        return responseString(string, value);
    }

    private String process_1_0_0_Charge_chargeBlocking(String string) {
        FtUtil.log_i(this.CLASS_NAME, "process_1_0_0_Charge_chargeBlocking");
        return responseString(string, mModulePower.readBatteryTemp());
    }
}
