package com.sec.factory.aporiented.athandler;

import android.content.Context;
import android.content.pm.ApplicationInfo;
import android.content.pm.PackageManager;
import com.sec.factory.support.FtUtil;
import egis.client.api.EgisFingerprint;

public class AtTestapku extends AtCommandHandler {
    private Context mContext;

    public AtTestapku(Context context) {
        super(context);
        this.CMD_NAME = "TESTAPKU";
        this.CLASS_NAME = "AtTestapku";
        this.NUM_ARGS = 3;
        this.mContext = context;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (!checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", EgisFingerprint.MAJOR_VERSION})) {
            resData = responseNA();
        } else if (checkIsInstalled("com.samsung.rms.retailagent.global")) {
            resData = responseString(argu[0], "APK");
        } else {
            resData = responseString(argu[0], "NONE");
        }
        return resData;
    }

    public boolean checkIsInstalled(String packageName) {
        try {
            ApplicationInfo applicationInfo = this.mContext.getPackageManager().getPackageInfo(packageName, 128).applicationInfo;
            return true;
        } catch (PackageManager.NameNotFoundException e) {
            FtUtil.log_e(e);
            return false;
        }
    }
}
