package com.sec.factory.aporiented.athandler;

import android.content.Context;
import com.sec.factory.aporiented.ResponseWriter;
import com.sec.factory.support.FtUtil;
import egis.client.api.EgisFingerprint;

public class AtTjiginfo extends AtCommandHandler {
    public AtTjiginfo(Context context, ResponseWriter writer) {
        super(context);
        this.CMD_NAME = "TJIGINFO";
        this.CLASS_NAME = "AtTjiginfo";
        this.NUM_ARGS = 3;
        this.writer = writer;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "handleCommand", "cmd length : " + argu.length);
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "Jig Info Read", "");
            String rawData = mModuleDevice.readJigInfo();
            if (rawData == null) {
                rawData = "NONE";
            }
            resData = responseString(argu[0], rawData);
        } else if (checkArgu(argu, new String[]{"2", "0"})) {
            String str2 = this.CLASS_NAME;
            FtUtil.log_d(str2, "Jig Info Write", "Data : " + argu[2]);
            mModuleDevice.writeJigInfo(argu[2].replace("\"", ""));
            resData = responseOK(argu[0]);
        } else {
            resData = responseNA();
        }
        return resData;
    }
}
