package com.sec.factory.aporiented.athandler;

import android.content.Context;
import android.os.FactoryTest;
import egis.client.api.EgisFingerprint;

public class AtTouch extends AtCommandHandler {
    public AtTouch(Context context) {
        super(context);
        this.CMD_NAME = "TOUCH";
        this.CLASS_NAME = "AtTouch";
        this.NUM_ARGS = 3;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return "wrong";
        }
        if (FactoryTest.checkAutomationTestOption(this.context, 1)) {
            return null;
        }
        if (argu[2].equals("0")) {
            mModuleDFT.DftTouchDown(argu[0], argu[1]);
        } else if (argu[2].equals(EgisFingerprint.MAJOR_VERSION)) {
            mModuleDFT.DftTouchUp(argu[0], argu[1]);
        } else if (argu[2].equals("2")) {
            mModuleDFT.DftTouchMove(argu[0], argu[1]);
        } else if (argu[2].equals(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION)) {
            mModuleDFT.DftTouchLong(argu[0], argu[1]);
        }
        return "OK\r\n";
    }
}
