package com.sec.factory.aporiented.athandler;

import android.content.Context;
import com.sec.factory.modules.ModuleCommunicationService;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.File;

public class AtTouchkey extends AtCommandHandler {
    private Context mContext;
    private final String mPathTouchkeyInterrupt = "data/log/TSK_Interrupt.log";
    private File mTouchkeyInterruptFile;
    private File touchkeyDataFile;

    public AtTouchkey(Context context) {
        super(context);
        this.mContext = context;
        this.CMD_NAME = "TOUCHKEY";
        this.CLASS_NAME = "AtTouchkey";
        this.NUM_ARGS = 2;
        this.touchkeyDataFile = new File("data/log/TSK_Data.log");
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        String readString;
        String result;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", "0"})) {
            if (Support.Kernel.write(Support.Kernel.TOUCH_KEY_IRQ_COUNT, "0")) {
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
            Support.Kernel.writeToPath("data/log/TSK_Interrupt.log", Support.Kernel.read(Support.Kernel.TOUCH_KEY_IRQ_COUNT));
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION})) {
            File file = new File("data/log/TSK_Interrupt.log");
            this.mTouchkeyInterruptFile = file;
            if (file.delete()) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "success to delete file");
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "fail to delete file");
            }
            if (Support.Kernel.write(Support.Kernel.TOUCH_KEY_IRQ_COUNT, EgisFingerprint.MAJOR_VERSION)) {
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0"})) {
            String dataString = Support.Kernel.readFromPath(this.touchkeyDataFile.getPath(), true);
            if (dataString == null) {
                resData = responseString(argu[0], "NG_NO FILE");
            } else if ("".equals(dataString)) {
                resData = responseString(argu[0], "NG_NO DATA");
            } else {
                resData = responseString(argu[0], dataString);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
            if (Support.Kernel.isExistFilePath("data/log/TSK_Interrupt.log")) {
                readString = Support.Kernel.readFromPath("data/log/TSK_Interrupt.log", true);
            } else {
                readString = Support.Kernel.read(Support.Kernel.TOUCH_KEY_IRQ_COUNT);
            }
            if (readString != null) {
                String[] Count = readString.split(",");
                try {
                    if (!ModuleCommunicationService.SMD_NOK.equals(Count[0]) || !ModuleCommunicationService.SMD_NOK.equals(Count[0]) || !ModuleCommunicationService.SMD_NOK.equals(Count[0])) {
                        if (!Support.TestCase.isTouchkey(Support.TestCase.KEY_TEST_HOME)) {
                            if (!Support.TestCase.isTouchkey(Support.TestCase.KEY_TEST_MEDIA) || !Support.TestCase.isTouchkey(Support.TestCase.KEY_TEST_VOLUME_UP) || !Support.TestCase.isTouchkey(Support.TestCase.KEY_TEST_VOLUME_DOWN)) {
                                result = "1_" + Count[0] + ",3_" + Count[2];
                                resData = responseString(argu[0], result);
                            }
                        }
                        result = "1_" + Count[0] + ",2_" + Count[1] + ",3_" + Count[2];
                        resData = responseString(argu[0], result);
                    } else {
                        result = "NONE";
                        resData = responseString(argu[0], result);
                    }
                } catch (ArrayIndexOutOfBoundsException e) {
                    FtUtil.log_e(e);
                    result = "NG";
                }
            } else {
                resData = responseNA();
            }
        } else {
            resData = responseNA();
        }
        return resData;
    }
}
