package com.sec.factory.aporiented.athandler;

import android.app.ActivityManager;
import android.content.ActivityNotFoundException;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.content.SharedPreferences;
import android.os.SystemProperties;
import com.sec.factory.aporiented.ResponseWriter;
import com.sec.factory.app.ui.UIDisplayBG;
import com.sec.factory.app.ui.UIVrrDisptestActivity;
import com.sec.factory.modules.ForceTouchSelfTestHandler;
import com.sec.factory.modules.ModuleCommunicationService;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.modules.ModuleTouchScreen;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.NVAccessor;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class AtTspptestStandard extends AtCommandHandler {
    private static final String ACTION_TSP_OPEN_SHORT_RESULT = "com.android.samsungtest.ACTION_TSP_OPEN_SHORT_RESULT";
    private static final int ALWAYS_HIGH_SPEED = 2;
    public static final int DISPLAY_BLACK = 2;
    private static final int DISPLAY_REFRESHRATE_120HZ = 120;
    private static final int DISPLAY_REFRESHRATE_60HZ = 60;
    public static final int DISPLAY_WHITE = 1;
    private static final int NORMAL_SPEED = 0;
    public static final byte NOTEST = 78;
    public static final int NO_VALUE = -1;
    public static final int NV_TSPCAL = 132;
    public static final int NV_TSPCAL2 = 272;
    public static final int NV_TSPSELF = 287;
    public static final int NV_TSPSELF2 = 288;
    public static final byte PASS = 80;
    public static final String UI_DATE_NV = "com.sec.factory.UIupdateNV";
    private final Context mContext;
    private BroadcastReceiver mTestResultReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.aporiented.athandler.AtTspptestStandard.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            if (AtTspptestStandard.ACTION_TSP_OPEN_SHORT_RESULT.equals(intent.getAction())) {
                String strStatus = intent.getStringExtra("STATUS");
                String strData = intent.getStringExtra("DATA");
                String str = AtTspptestStandard.this.CLASS_NAME;
                FtUtil.log_d(str, "onReceive", "status : " + strStatus + ", data : " + strData);
                String strVersion = intent.getStringExtra("VERSION");
                if (strVersion == null) {
                    strVersion = EgisFingerprint.MAJOR_VERSION;
                }
                if ("OK".equalsIgnoreCase(strStatus)) {
                    ResponseWriter responseWriter = AtTspptestStandard.this.writer;
                    AtTspptestStandard atTspptestStandard = AtTspptestStandard.this;
                    responseWriter.write(atTspptestStandard.responseString(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "OK," + strVersion + "," + strData));
                } else if ("NG".equalsIgnoreCase(strStatus)) {
                    ResponseWriter responseWriter2 = AtTspptestStandard.this.writer;
                    AtTspptestStandard atTspptestStandard2 = AtTspptestStandard.this;
                    responseWriter2.write(atTspptestStandard2.responseString(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "NG," + strVersion + "," + strData));
                }
            }
            AtTspptestStandard.this.stopReceiver();
        }
    };

    public AtTspptestStandard(Context context, ResponseWriter writer) {
        super(context);
        this.CMD_NAME = "TSPPTEST";
        this.CLASS_NAME = "AtTspptestStandard";
        this.NUM_ARGS = 3;
        this.mContext = context;
        this.writer = writer;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public void startReceiver() {
        FtUtil.log_d(this.CLASS_NAME, "startReceiver", "");
        this.mContext.registerReceiver(this.mTestResultReceiver, new IntentFilter(ACTION_TSP_OPEN_SHORT_RESULT));
    }

    public void stopReceiver() {
        FtUtil.log_d(this.CLASS_NAME, "stopReceiver", "");
        this.mContext.unregisterReceiver(this.mTestResultReceiver);
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String result;
        String resData;
        String resData2;
        String result2;
        String calAllData;
        String resData3;
        String calData;
        String resData4;
        String yAxisNodeCount;
        String xAxisNodeCount;
        String resData5;
        String resData6;
        String resData7;
        String resData8;
        String setResult;
        String setResult2;
        String setResult3;
        String setResult4;
        String setResult5;
        String setResult6;
        String result3;
        String setResult7;
        String setResult8;
        String setResult9;
        String setResult10;
        String result4;
        Integer recentKey;
        Integer recentKey2;
        String result5;
        char c;
        char c2;
        char c3;
        char c4;
        char c5;
        char c6;
        String str;
        int i;
        ModuleTouchScreen moduleTouchScreen;
        String result6;
        int specMin;
        String result7;
        String resData9 = null;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        } else if (checkArgu(argu, new String[]{"0", "6", "0"})) {
            boolean isSuccess = true;
            int specMin2 = Support.Spec.getInt(Support.Spec.TOUCH_KEY_SPEC_MIN);
            boolean supportTSK_back = Support.TestCase.getEnabled(Support.TestCase.KEY_TEST_BACK) && "touch".equals(Support.TestCase.getKeyType(Support.TestCase.KEY_TEST_BACK));
            boolean supportTSK_recent = (Support.TestCase.getEnabled(Support.TestCase.KEY_TEST_APP_RECENT) && "touch".equals(Support.TestCase.getKeyType(Support.TestCase.KEY_TEST_APP_RECENT))) || (Support.TestCase.getEnabled(Support.TestCase.KEY_TEST_APP_SWITCH) && "touch".equals(Support.TestCase.getKeyType(Support.TestCase.KEY_TEST_APP_SWITCH)));
            if (!supportTSK_back) {
                specMin = specMin2;
            } else if (ModuleDevice.instance(this.mContext).readTSKSensitivity(4) != null) {
                specMin = specMin2;
                if (ModuleDevice.instance(this.mContext).readTSKSensitivity(4).intValue() > specMin) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,6,0", "Fail - Key Spec OUT"));
                    return responseNG(argu[0]);
                }
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,6,0", "Fail - TSK Sensitivity Value Read Fail"));
                return responseNG(argu[0]);
            }
            if (supportTSK_recent) {
                if (ModuleDevice.instance(this.mContext).readTSKSensitivity(187) == null) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,6,0", "Fail - TSK Sensitivity Value Read Fail"));
                    return responseNG(argu[0]);
                } else if (ModuleDevice.instance(this.mContext).readTSKSensitivity(187).intValue() > specMin) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,6,0", "Fail - Key Spec OUT"));
                    return responseNG(argu[0]);
                }
            }
            setTSPTestNV(287, (byte) 78);
            if (mModuleTouchScreen.getTspDevCount() > 1) {
                ModuleTouchScreen moduleTouchScreen2 = mModuleTouchScreen;
                ModuleTouchScreen moduleTouchScreen3 = mModuleTouchScreen;
                moduleTouchScreen2.getTSPResult(ModuleTouchScreen.TSP_ID__SELECT_TSP, "0");
            }
            mModuleDevice.setEPenDisableMode(true);
            displayScreen();
            if ("factory".equalsIgnoreCase(Support.Properties.get(Support.Properties.BINARY_TYPE))) {
                result7 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__RUN_FORCE_CALIBRATION_LCIA, (String) null);
            } else {
                result7 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__RUN_FORCE_CALIBRATION_CENT, (String) null);
            }
            displayPreviousScreen();
            mModuleDevice.setEPenDisableMode(false);
            if ("NA".equals(result7) || "NG".contains(result7)) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Calibration FAIL");
                isSuccess = false;
            }
            FtUtil.setPressureTouchStatus("0");
            if (mModuleTouchScreen.getTspDevCount() > 1) {
                ModuleTouchScreen moduleTouchScreen4 = mModuleTouchScreen;
                ModuleTouchScreen moduleTouchScreen5 = mModuleTouchScreen;
                moduleTouchScreen4.getTSPResult(ModuleTouchScreen.TSP_ID__SELECT_TSP, ModuleCommunicationService.SMD_NOK);
            }
            if (isSuccess) {
                setTSPTestNV(132, (byte) 80);
                if (FtUtil.isFactoryBinary()) {
                    UIupdateNV(132, (byte) 80);
                }
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,6,0", "Pass - Calibration"));
                return responseOK(argu[0]);
            }
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,6,0", "Fail - Calibration"));
            return responseNG(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", "6", "5"})) {
            boolean isSuccess2 = true;
            int specMin3 = Support.Spec.getInt(Support.Spec.TOUCH_KEY_SPEC_MIN);
            if (mModuleTouchScreen.getTspDevCount() > 1) {
                boolean supportTSK_back2 = Support.TestCase.getEnabled(Support.TestCase.KEY_TEST_BACK) && "touch".equals(Support.TestCase.getKeyType(Support.TestCase.KEY_TEST_BACK));
                boolean supportTSK_recent2 = (Support.TestCase.getEnabled(Support.TestCase.KEY_TEST_APP_RECENT) && "touch".equals(Support.TestCase.getKeyType(Support.TestCase.KEY_TEST_APP_RECENT))) || (Support.TestCase.getEnabled(Support.TestCase.KEY_TEST_APP_SWITCH) && "touch".equals(Support.TestCase.getKeyType(Support.TestCase.KEY_TEST_APP_SWITCH)));
                if (supportTSK_back2) {
                    if (ModuleDevice.instance(this.mContext).readTSKSensitivity(4) == null) {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,6,5", "Fail - TSK Sensitivity Value Read Fail"));
                        return responseNG(argu[0]);
                    } else if (ModuleDevice.instance(this.mContext).readTSKSensitivity(4).intValue() > specMin3) {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,6,5", "Fail - Key Spec OUT"));
                        return responseNG(argu[0]);
                    }
                }
                if (supportTSK_recent2) {
                    if (ModuleDevice.instance(this.mContext).readTSKSensitivity(187) == null) {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,6,5", "Fail - TSK Sensitivity Value Read Fail"));
                        return responseNG(argu[0]);
                    } else if (ModuleDevice.instance(this.mContext).readTSKSensitivity(187).intValue() > specMin3) {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,6,5", "Fail - Key Spec OUT"));
                        return responseNG(argu[0]);
                    }
                }
                setTSPTestNV(288, (byte) 78);
                ModuleTouchScreen moduleTouchScreen6 = mModuleTouchScreen;
                ModuleTouchScreen moduleTouchScreen7 = mModuleTouchScreen;
                moduleTouchScreen6.getTSPResult(ModuleTouchScreen.TSP_ID__SELECT_TSP, EgisFingerprint.MAJOR_VERSION);
                try {
                    mModuleDevice.setEPenDisableMode(true);
                    displayScreen();
                    if ("factory".equalsIgnoreCase(Support.Properties.get(Support.Properties.BINARY_TYPE))) {
                        result6 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__RUN_FORCE_CALIBRATION_LCIA, (String) null);
                    } else {
                        result6 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__RUN_FORCE_CALIBRATION_CENT, (String) null);
                    }
                    displayPreviousScreen();
                    mModuleDevice.setEPenDisableMode(false);
                    if ("NA".equals(result6) || "NG".contains(result6)) {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Calibration FAIL");
                        isSuccess2 = false;
                    }
                    FtUtil.setPressureTouchStatus("0");
                    moduleTouchScreen = mModuleTouchScreen;
                    ModuleTouchScreen moduleTouchScreen8 = mModuleTouchScreen;
                    i = ModuleTouchScreen.TSP_ID__SELECT_TSP;
                    str = ModuleCommunicationService.SMD_NOK;
                } catch (Exception e) {
                    e.printStackTrace();
                    moduleTouchScreen = mModuleTouchScreen;
                    ModuleTouchScreen moduleTouchScreen9 = mModuleTouchScreen;
                    i = ModuleTouchScreen.TSP_ID__SELECT_TSP;
                    str = ModuleCommunicationService.SMD_NOK;
                } catch (Throwable th) {
                    ModuleTouchScreen moduleTouchScreen10 = mModuleTouchScreen;
                    ModuleTouchScreen moduleTouchScreen11 = mModuleTouchScreen;
                    moduleTouchScreen10.getTSPResult(ModuleTouchScreen.TSP_ID__SELECT_TSP, ModuleCommunicationService.SMD_NOK);
                    throw th;
                }
                moduleTouchScreen.getTSPResult(i, str);
                if (isSuccess2) {
                    setTSPTestNV(NV_TSPCAL2, (byte) 80);
                    if (FtUtil.isFactoryBinary()) {
                        UIupdateNV(NV_TSPCAL2, (byte) 80);
                    }
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,6,5", "Pass - Calibration"));
                    return responseOK(argu[0]);
                }
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,6,5", "Fail - Calibration"));
                return responseNG(argu[0]);
            }
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,6,5", "Fail - TSP2 is not exist"));
            return responseNA();
        } else {
            if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "2", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
                Intent intent = new Intent("android.intent.action.MAIN");
                intent.setClassName("com.sec.android.app.factorykeystring", "com.sec.android.app.status.ForceTouchTest");
                intent.setFlags(872415232);
                intent.addFlags(32);
                intent.putExtra("TEST_MODE", 0);
                try {
                    this.context.startActivity(intent);
                    resData9 = responseOK(argu[0]);
                } catch (ActivityNotFoundException ane) {
                    FtUtil.log_e(ane);
                    resData9 = responseNG(argu[0]);
                }
                result = "";
            } else if (checkArgu(argu, new String[]{"0", egis.optical.client.api.EgisFingerprint.JAR_VERSION})) {
                int specMin4 = Support.Spec.getInt(Support.Spec.TOUCH_KEY_SPEC_MIN);
                boolean isSuccess3 = true;
                String[] mode = argu[2].split("_");
                String mode1 = mode[0];
                String mode2 = mode[1];
                FtUtil.log_d(this.CLASS_NAME, "Mode1 : " + mode1 + ", Mode2 : " + mode2);
                boolean supportTSK_back3 = Support.TestCase.getEnabled(Support.TestCase.KEY_TEST_BACK) && "touch".equals(Support.TestCase.getKeyType(Support.TestCase.KEY_TEST_BACK));
                boolean supportTSK_recent3 = (Support.TestCase.getEnabled(Support.TestCase.KEY_TEST_APP_RECENT) && "touch".equals(Support.TestCase.getKeyType(Support.TestCase.KEY_TEST_APP_RECENT))) || (Support.TestCase.getEnabled(Support.TestCase.KEY_TEST_APP_SWITCH) && "touch".equals(Support.TestCase.getKeyType(Support.TestCase.KEY_TEST_APP_SWITCH)));
                if (!supportTSK_back3) {
                    result4 = "";
                    recentKey = 0;
                } else if (ModuleDevice.instance(this.mContext).readTSKSensitivity(4) != null) {
                    Integer backKey = ModuleDevice.instance(this.mContext).readTSKSensitivity(4);
                    if (backKey == null || backKey.intValue() > specMin4) {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,9," + argu[2], "Fail - Key Spec OUT"));
                        return responseNG(argu[0]);
                    }
                    result4 = "";
                    recentKey = 0;
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,9," + argu[2], "Fail - TSK Sensitivity Value Read Fail"));
                    return responseNG(argu[0]);
                }
                if (supportTSK_recent3) {
                    recentKey2 = ModuleDevice.instance(this.mContext).readTSKSensitivity(187);
                    if (recentKey2 == null) {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,9," + argu[2], "Fail - TSK Sensitivity Value Read Fail"));
                        return responseNG(argu[0]);
                    } else if (recentKey2.intValue() > specMin4) {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,9," + argu[2], "Fail - Key Spec OUT"));
                        return responseNG(argu[0]);
                    }
                } else {
                    recentKey2 = recentKey;
                }
                if (mModuleTouchScreen.getTspDevCount() > 1) {
                    ModuleTouchScreen moduleTouchScreen12 = mModuleTouchScreen;
                    ModuleTouchScreen moduleTouchScreen13 = mModuleTouchScreen;
                    moduleTouchScreen12.getTSPResult(ModuleTouchScreen.TSP_ID__SELECT_TSP, "0");
                }
                mModuleDevice.setEPenDisableMode(true);
                if (!"factory".equalsIgnoreCase(Support.Properties.get(Support.Properties.BINARY_TYPE))) {
                    switch (mode1.hashCode()) {
                        case 70914:
                            if (mode1.equals("H60")) {
                                c = 0;
                                break;
                            }
                            c = 65535;
                            break;
                        case 76680:
                            if (mode1.equals("N60")) {
                                c = 1;
                                break;
                            }
                            c = 65535;
                            break;
                        case 2193639:
                            if (mode1.equals("H120")) {
                                c = 2;
                                break;
                            }
                            c = 65535;
                            break;
                        case 2372385:
                            if (mode1.equals("N120")) {
                                c = 3;
                                break;
                            }
                            c = 65535;
                            break;
                        default:
                            c = 65535;
                            break;
                    }
                    switch (c) {
                        case 0:
                            displaySetting(2, 60);
                            result5 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__RUN_FORCE_CALIBRATION_CENT, "1,60");
                            break;
                        case 1:
                            displaySetting(0, 60);
                            result5 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__RUN_FORCE_CALIBRATION_CENT, "2,60");
                            break;
                        case 2:
                            displaySetting(2, 120);
                            result5 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__RUN_FORCE_CALIBRATION_CENT, "1,120");
                            break;
                        case 3:
                            displaySetting(0, 120);
                            result5 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__RUN_FORCE_CALIBRATION_CENT, "2,120");
                            break;
                        default:
                            result5 = result4;
                            break;
                    }
                    FtUtil.Sleep.sleep(100);
                    if ("NA".equals(result5) || "NG".contains(result5)) {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Multi Calibration Mode1 FAIL");
                        isSuccess3 = false;
                    } else {
                        switch (mode2.hashCode()) {
                            case 70914:
                                if (mode2.equals("H60")) {
                                    c2 = 0;
                                    break;
                                }
                                c2 = 65535;
                                break;
                            case 76680:
                                if (mode2.equals("N60")) {
                                    c2 = 1;
                                    break;
                                }
                                c2 = 65535;
                                break;
                            case 2193639:
                                if (mode2.equals("H120")) {
                                    c2 = 2;
                                    break;
                                }
                                c2 = 65535;
                                break;
                            case 2372385:
                                if (mode2.equals("N120")) {
                                    c2 = 3;
                                    break;
                                }
                                c2 = 65535;
                                break;
                            default:
                                c2 = 65535;
                                break;
                        }
                        switch (c2) {
                            case 0:
                                displaySetting(2, 60);
                                result5 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__RUN_FORCE_CALIBRATION_CENT, "1,60");
                                break;
                            case 1:
                                displaySetting(0, 60);
                                result5 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__RUN_FORCE_CALIBRATION_CENT, "2,60");
                                break;
                            case 2:
                                displaySetting(2, 120);
                                result5 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__RUN_FORCE_CALIBRATION_CENT, "1,120");
                                break;
                            case 3:
                                displaySetting(0, 120);
                                result5 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__RUN_FORCE_CALIBRATION_CENT, "2,120");
                                break;
                        }
                        if ("NA".equals(result5) || "NG".contains(result5)) {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Multi Calibration Mode2 FAIL");
                            isSuccess3 = false;
                        }
                    }
                } else if (SystemProperties.get("sys.factory.running_pretest", " ").equals("true")) {
                    switch (mode1.hashCode()) {
                        case 70914:
                            if (mode1.equals("H60")) {
                                c5 = 0;
                                break;
                            }
                            c5 = 65535;
                            break;
                        case 76680:
                            if (mode1.equals("N60")) {
                                c5 = 1;
                                break;
                            }
                            c5 = 65535;
                            break;
                        case 2193639:
                            if (mode1.equals("H120")) {
                                c5 = 2;
                                break;
                            }
                            c5 = 65535;
                            break;
                        case 2372385:
                            if (mode1.equals("N120")) {
                                c5 = 3;
                                break;
                            }
                            c5 = 65535;
                            break;
                        default:
                            c5 = 65535;
                            break;
                    }
                    switch (c5) {
                        case 0:
                            displaySetting(2, 60);
                            result5 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__RUN_FORCE_CALIBRATION_OUTS, "1,60");
                            break;
                        case 1:
                            displaySetting(0, 60);
                            result5 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__RUN_FORCE_CALIBRATION_OUTS, "2,60");
                            break;
                        case 2:
                            displaySetting(2, 120);
                            result5 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__RUN_FORCE_CALIBRATION_OUTS, "1,120");
                            break;
                        case 3:
                            displaySetting(0, 120);
                            result5 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__RUN_FORCE_CALIBRATION_OUTS, "2,120");
                            break;
                        default:
                            result5 = result4;
                            break;
                    }
                    FtUtil.Sleep.sleep(100);
                    if (!"NA".equals(result5)) {
                        if (!"NG".contains(result5)) {
                            switch (mode2.hashCode()) {
                                case 70914:
                                    if (mode2.equals("H60")) {
                                        c6 = 0;
                                        break;
                                    }
                                    c6 = 65535;
                                    break;
                                case 76680:
                                    if (mode2.equals("N60")) {
                                        c6 = 1;
                                        break;
                                    }
                                    c6 = 65535;
                                    break;
                                case 2193639:
                                    if (mode2.equals("H120")) {
                                        c6 = 2;
                                        break;
                                    }
                                    c6 = 65535;
                                    break;
                                case 2372385:
                                    if (mode2.equals("N120")) {
                                        c6 = 3;
                                        break;
                                    }
                                    c6 = 65535;
                                    break;
                                default:
                                    c6 = 65535;
                                    break;
                            }
                            switch (c6) {
                                case 0:
                                    displaySetting(2, 60);
                                    result5 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__RUN_FORCE_CALIBRATION_OUTS, "1,60");
                                    break;
                                case 1:
                                    displaySetting(0, 60);
                                    result5 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__RUN_FORCE_CALIBRATION_OUTS, "2,60");
                                    break;
                                case 2:
                                    displaySetting(2, 120);
                                    result5 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__RUN_FORCE_CALIBRATION_OUTS, "1,120");
                                    break;
                                case 3:
                                    displaySetting(0, 120);
                                    result5 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__RUN_FORCE_CALIBRATION_OUTS, "2,120");
                                    break;
                            }
                            if ("NA".equals(result5) || "NG".contains(result5)) {
                                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Multi Calibration Mode2 FAIL");
                                isSuccess3 = false;
                            }
                        }
                    }
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Multi Calibration Mode1 FAIL");
                    isSuccess3 = false;
                } else {
                    setTSPTestNV(287, (byte) 78);
                    switch (mode1.hashCode()) {
                        case 70914:
                            if (mode1.equals("H60")) {
                                c3 = 0;
                                break;
                            }
                            c3 = 65535;
                            break;
                        case 76680:
                            if (mode1.equals("N60")) {
                                c3 = 1;
                                break;
                            }
                            c3 = 65535;
                            break;
                        case 2193639:
                            if (mode1.equals("H120")) {
                                c3 = 2;
                                break;
                            }
                            c3 = 65535;
                            break;
                        case 2372385:
                            if (mode1.equals("N120")) {
                                c3 = 3;
                                break;
                            }
                            c3 = 65535;
                            break;
                        default:
                            c3 = 65535;
                            break;
                    }
                    switch (c3) {
                        case 0:
                            displaySetting(2, 60);
                            result5 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__RUN_FORCE_CALIBRATION_LCIA, "1,60");
                            break;
                        case 1:
                            displaySetting(0, 60);
                            result5 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__RUN_FORCE_CALIBRATION_LCIA, "2,60");
                            break;
                        case 2:
                            displaySetting(2, 120);
                            result5 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__RUN_FORCE_CALIBRATION_LCIA, "1,120");
                            break;
                        case 3:
                            displaySetting(0, 120);
                            result5 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__RUN_FORCE_CALIBRATION_LCIA, "2,120");
                            break;
                        default:
                            result5 = result4;
                            break;
                    }
                    FtUtil.Sleep.sleep(100);
                    if ("NA".equals(result5) || "NG".contains(result5)) {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Multi Calibration Mode1 FAIL");
                        isSuccess3 = false;
                    } else {
                        switch (mode2.hashCode()) {
                            case 70914:
                                if (mode2.equals("H60")) {
                                    c4 = 0;
                                    break;
                                }
                                c4 = 65535;
                                break;
                            case 76680:
                                if (mode2.equals("N60")) {
                                    c4 = 1;
                                    break;
                                }
                                c4 = 65535;
                                break;
                            case 2193639:
                                if (mode2.equals("H120")) {
                                    c4 = 2;
                                    break;
                                }
                                c4 = 65535;
                                break;
                            case 2372385:
                                if (mode2.equals("N120")) {
                                    c4 = 3;
                                    break;
                                }
                                c4 = 65535;
                                break;
                            default:
                                c4 = 65535;
                                break;
                        }
                        switch (c4) {
                            case 0:
                                displaySetting(2, 60);
                                result5 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__RUN_FORCE_CALIBRATION_LCIA, "1,60");
                                break;
                            case 1:
                                displaySetting(0, 60);
                                result5 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__RUN_FORCE_CALIBRATION_LCIA, "2,60");
                                break;
                            case 2:
                                displaySetting(2, 120);
                                result5 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__RUN_FORCE_CALIBRATION_LCIA, "1,120");
                                break;
                            case 3:
                                displaySetting(0, 120);
                                result5 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__RUN_FORCE_CALIBRATION_LCIA, "2,120");
                                break;
                        }
                        if ("NA".equals(result5) || "NG".contains(result5)) {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Multi Calibration Mode2 FAIL");
                            isSuccess3 = false;
                        }
                    }
                }
                this.mContext.sendBroadcast(new Intent(UIVrrDisptestActivity.VRRDISPTEST_END));
                mModuleDevice.setEPenDisableMode(false);
                FtUtil.setPressureTouchStatus("0");
                if (mModuleTouchScreen.getTspDevCount() > 1) {
                    ModuleTouchScreen moduleTouchScreen14 = mModuleTouchScreen;
                    ModuleTouchScreen moduleTouchScreen15 = mModuleTouchScreen;
                    moduleTouchScreen14.getTSPResult(ModuleTouchScreen.TSP_ID__SELECT_TSP, ModuleCommunicationService.SMD_NOK);
                }
                if (isSuccess3) {
                    setTSPTestNV(132, (byte) 80);
                    if (FtUtil.isFactoryBinary()) {
                        UIupdateNV(132, (byte) 80);
                    }
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,9," + argu[2], "Pass - Calibration"));
                    return responseOK(argu[0]);
                }
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,9," + argu[2], "Fail - Calibration"));
                return responseNG(argu[0]);
            } else {
                result = "";
            }
            if (!FtUtil.isFactoryBinary()) {
                FtUtil.log_d(this.CLASS_NAME, "End of User-binary handler");
                return resData9;
            }
            if (checkArgu(argu, new String[]{"0", "0", "0"})) {
                String result8 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__POWER_OFF);
                if (result8.equals("OK")) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,0,0", "Pass - Master TSP OFF"));
                    resData9 = responseOK(argu[0]);
                } else if (result8.equals("NA")) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,0,0", "Fail - Master TSP OFF CMD N/A"));
                    resData9 = responseNA();
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,0,0", "Fail - Master TSP OFF"));
                    resData9 = responseNG(argu[0]);
                }
            } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "0"})) {
                String result9 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__POWER_ON);
                if (result9.equals("OK")) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,1,0", "Pass - Master TSP ON"));
                    resData9 = responseOK(argu[0]);
                } else if (result9.equals("NA")) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,1,0", "Fail - Master TSP ON CMD N/A"));
                    resData9 = responseNA();
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,1,0", "Fail - Master TSP ON"));
                    resData9 = responseNG(argu[0]);
                }
            } else if (checkArgu(argu, new String[]{"0", "2", "0"})) {
                String result10 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__POWER_OFF_SECOND_CHIP);
                if (result10.equals("OK")) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,2,0", "Pass - Slave TSP OFF"));
                    resData9 = responseOK(argu[0]);
                } else if (result10.equals("NA")) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,2,0", "Fail - Slave TSP OFF CMD N/A"));
                    resData9 = responseNA();
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,2,0", "Fail - Slave TSP OFF"));
                    resData9 = responseNG(argu[0]);
                }
            } else if (checkArgu(argu, new String[]{"0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0"})) {
                String result11 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__POWER_ON_SECOND_CHIP);
                if (result11.equals("OK")) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,3,0", "Pass - Slave TSP ON"));
                    resData9 = responseOK(argu[0]);
                } else if (result11.equals("NA")) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,3,0", "Fail - Slave TSP ON CMD N/A"));
                    resData9 = responseNA();
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,3,0", "Fail - Slave TSP ON"));
                    resData9 = responseNG(argu[0]);
                }
            } else if (checkArgu(argu, new String[]{"0", "4", "0"})) {
                int tspDevCount = mModuleTouchScreen.getTspDevCount();
                if (tspDevCount > 1) {
                    setResult10 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__SELECT_TSP, "0");
                } else {
                    setResult10 = "OK";
                }
                if (setResult10.equals("NA") || setResult10.equals("NG")) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,4,0", "Fail - TSP Connection - pannel setting error"));
                    resData9 = responseNG(argu[0]);
                } else {
                    String connectionResult = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__CHECK_CONNECTION);
                    if ("NG".equals(connectionResult)) {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,4,0", "Fail - TSP Connection - TSP_RESULT_VALUE_NG"));
                        resData9 = responseNG(argu[0]);
                    } else if ("NA".equals(connectionResult)) {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,4,0", "Fail - TSP Connection - TSP_RESULT_VALUE_NOT_APPLICABLE, TSP IC Power Off State"));
                        resData9 = responseNG(argu[0]);
                    } else {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", "0,4,0: resultString: " + connectionResult);
                        if ("OK".equals(connectionResult)) {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,4,0", "Pass - TSP Connection - TSP_RESULT_VALUE_OK"));
                            resData9 = responseOK(argu[0]);
                        } else {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,4,0", "Fail - TSP Connection - " + connectionResult));
                            resData9 = responseNG(argu[0]);
                        }
                    }
                    if (tspDevCount > 1) {
                        String setResult11 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__SELECT_TSP, ModuleCommunicationService.SMD_NOK);
                        if (setResult11.equals("NA") || setResult11.equals("NG")) {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,4,0", "Fail - TSP Connection - pannel re-setting error"));
                            resData9 = responseNG(argu[0]);
                        }
                    }
                }
            } else if (checkArgu(argu, new String[]{"0", "4", EgisFingerprint.MAJOR_VERSION})) {
                String setResult12 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__SELECT_TSP, EgisFingerprint.MAJOR_VERSION);
                if ("NA".equals(setResult12) || "NG".equals(setResult12)) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,4,1", "Fail - TSP Connection (TSP2) - pannel setting error"));
                    resData9 = responseNG(argu[0]);
                } else {
                    String connectionResult2 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__CHECK_CONNECTION);
                    if ("NG".equals(connectionResult2)) {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,4,1", "Fail - TSP Connection (TSP2) - TSP_RESULT_VALUE_NG"));
                        resData9 = responseNG(argu[0]);
                    } else if ("NA".equals(connectionResult2)) {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,4,1", "Fail - TSP Connection (TSP2) - TSP_RESULT_VALUE_NOT_APPLICABLE, TSP IC Power Off State"));
                        resData9 = responseNG(argu[0]);
                    } else {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", "0,4,1: resultString: " + connectionResult2);
                        if ("OK".equals(connectionResult2)) {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,4,1", "Pass - TSP Connection (TSP2) - TSP_RESULT_VALUE_OK"));
                            resData9 = responseOK(argu[0]);
                        } else {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,4,1", "Fail - TSP Connection (TSP2) - " + connectionResult2));
                            resData9 = responseNG(argu[0]);
                        }
                    }
                    String setResult13 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__SELECT_TSP, ModuleCommunicationService.SMD_NOK);
                    if (setResult13.equals("NA") || setResult13.equals("NG")) {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,4,1", "Fail - TSP Connection (TSP2) - pannel re-setting error"));
                        resData9 = responseNG(argu[0]);
                    }
                }
            } else if (checkArgu(argu, new String[]{"0", "5", "0"})) {
                String result12 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__REGSITER__RESULT);
                if (result12.equalsIgnoreCase("PASS")) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,5,0", "Pass - Check Register Results"));
                    resData9 = responseString(argu[0], "P");
                } else if (result12.equalsIgnoreCase("FAIL")) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,5,0", "Fail - Check Register Results"));
                    resData9 = responseString(argu[0], "F");
                } else if (result12.equalsIgnoreCase("NONE")) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,5,0", "Fail - Check Register Results (NONE)"));
                    resData9 = responseString(argu[0], "N");
                } else if (result12.equals("NA")) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,5,0", "Fail - Check Register Results (TSP_RESULT_VALUE_NOT_APPLICABLE)"));
                    resData9 = responseNA();
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,5,0", "Fail - Check Register Results"));
                    resData9 = responseNG(argu[0]);
                }
            } else if (checkArgu(argu, new String[]{"0", "5", EgisFingerprint.MAJOR_VERSION})) {
                String result13 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__REGSITER__RESULT);
                if (result13.equals("NA")) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,5,1", "Fail - Check Register Results (TSP_RESULT_VALUE_NOT_APPLICABLE)"));
                    resData9 = responseNA();
                } else if (result13.equals("NG") || result13.split(",").length < 4) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,5,1", "Fail - Check Register Results (TSP_RESULT_VALUE_NG)"));
                    resData9 = responseNG(argu[0]);
                } else {
                    String[] tspTemp = result13.split(",");
                    for (int i2 = 0; i2 < tspTemp.length; i2++) {
                        tspTemp[i2] = tspTemp[i2].split(":")[1];
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", "for tsp : " + tspTemp[i2]);
                    }
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,5,1", "Pass - Check Register Results"));
                    resData9 = responseString(argu[0] + "," + argu[2], ((("" + getTSPSetResult(tspTemp[0])) + "," + tspTemp[1]) + "," + getTSPSetResult(tspTemp[2])) + "," + tspTemp[3]);
                }
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "resData : " + resData9);
            } else if (checkArgu(argu, new String[]{"0", "5", "2"})) {
                String tspEnablePath = Support.Kernel.getFilePath(Support.Kernel.TSP_ENABLE);
                String tspEnabledValue = "";
                int tspDevCount2 = mModuleTouchScreen.getTspDevCount();
                if (tspDevCount2 > 1) {
                    tspEnablePath = tspEnablePath.replace("/tsp/", "/tsp1/");
                    tspEnabledValue = Support.Kernel.readFromPath(tspEnablePath, true);
                    if (!EgisFingerprint.MAJOR_VERSION.equals(tspEnabledValue)) {
                        Support.Kernel.writeToPath(tspEnablePath, EgisFingerprint.MAJOR_VERSION);
                    }
                    setResult8 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__SELECT_TSP, "0");
                } else {
                    setResult8 = "OK";
                }
                if (setResult8.equals("NA") || setResult8.equals("NG")) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,5,2", "Fail - OCTA repair count - pannel setting error"));
                    resData9 = responseNG(argu[0]);
                } else {
                    boolean write_result = Support.Kernel.write(Support.Kernel.TSP_COMMAND_CMD, "get_disassemble_count");
                    String result_data = Support.Kernel.read(Support.Kernel.TSP_COMMAND_RESULT);
                    if (tspDevCount2 > 1) {
                        setResult9 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__SELECT_TSP, ModuleCommunicationService.SMD_NOK);
                    } else {
                        setResult9 = "OK";
                    }
                    if (setResult9.equals("NA") || setResult9.equals("NG") || !write_result || result_data == null) {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,5,2", "Fail - OCTA repair count"));
                        resData9 = responseNG(argu[0]);
                    } else {
                        if (result_data.contains("get_disassemble_count:")) {
                            result_data = result_data.replace("get_disassemble_count:", "");
                            FtUtil.log_i(this.CLASS_NAME, "handleCommand", "after cutting : " + result_data);
                        }
                        resData9 = responseString(argu[0], "1," + result_data);
                    }
                }
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "resData : " + resData9);
                if (tspDevCount2 > 1 && !EgisFingerprint.MAJOR_VERSION.equals(tspEnabledValue)) {
                    Support.Kernel.writeToPath(tspEnablePath, "0");
                }
            } else if (checkArgu(argu, new String[]{"0", "5", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
                String result14 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__SET_TSP_RESULT, "2,2");
                if ("NA".equals(result14) || "NG".equals(result14)) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,5,3", "Fail - Set Ass'y Result"));
                    resData9 = responseNG(argu[0]);
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,5,3", "Pass - Set Ass'y Result"));
                    resData9 = responseOK(argu[0]);
                }
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "resData : " + resData9);
            } else if (checkArgu(argu, new String[]{"0", "5", "4"})) {
                String tspEnablePath2 = Support.Kernel.getFilePath(Support.Kernel.TSP_ENABLE);
                if (mModuleTouchScreen.getTspDevCount() < 2) {
                    resData9 = responseNA();
                } else {
                    String tspEnablePath3 = tspEnablePath2.replace("/tsp/", "/tsp2/");
                    String tspEnabledValue2 = Support.Kernel.readFromPath(tspEnablePath3, true);
                    if (!EgisFingerprint.MAJOR_VERSION.equals(tspEnabledValue2)) {
                        Support.Kernel.writeToPath(tspEnablePath3, EgisFingerprint.MAJOR_VERSION);
                    }
                    String setResult14 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__SELECT_TSP, EgisFingerprint.MAJOR_VERSION);
                    if (setResult14.equals("NA") || setResult14.equals("NG")) {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,5,4", "Fail - OCTA repair count (TSP2) - pannel setting error"));
                        resData9 = responseNG(argu[0]);
                    } else {
                        boolean write_result2 = Support.Kernel.write(Support.Kernel.TSP_COMMAND_CMD, "get_disassemble_count");
                        String result_data2 = Support.Kernel.read(Support.Kernel.TSP_COMMAND_RESULT);
                        String setResult15 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__SELECT_TSP, ModuleCommunicationService.SMD_NOK);
                        if (setResult15.equals("NA") || setResult15.equals("NG") || !write_result2 || result_data2 == null) {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,5,4", "Fail - OCTA repair count (TSP2)"));
                            resData9 = responseNG(argu[0]);
                        } else {
                            if (result_data2.contains("get_disassemble_count:")) {
                                result_data2 = result_data2.replace("get_disassemble_count:", "");
                                FtUtil.log_i(this.CLASS_NAME, "handleCommand", "after cutting : " + result_data2);
                            }
                            resData9 = responseString(argu[0], "1," + result_data2);
                        }
                    }
                    if (!EgisFingerprint.MAJOR_VERSION.equals(tspEnabledValue2)) {
                        Support.Kernel.writeToPath(tspEnablePath3, "0");
                    }
                }
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "resData : " + resData9);
            } else if (checkArgu(argu, new String[]{"0", "6", EgisFingerprint.MAJOR_VERSION})) {
                if (mModuleForceTouch.runAutoTune()) {
                    ForceTouchSelfTestHandler mForceTouchSelfTestHandler = new ForceTouchSelfTestHandler(this.mContext);
                    mForceTouchSelfTestHandler.runSelfTestWithoutJitter();
                    if (mForceTouchSelfTestHandler.getIsSelfTestPass()) {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,6,1", "Self Test Pass"));
                        resData9 = responseOK(argu[0]);
                    } else {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,6,1", "Self Test Fail"));
                        resData9 = responseNG(argu[0]);
                    }
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,6,1", "Auto Tune Fail"));
                    resData9 = responseNG(argu[0]);
                }
            } else if (checkArgu(argu, new String[]{"0", "6", "2"})) {
                int tspDevCount3 = mModuleTouchScreen.getTspDevCount();
                if (tspDevCount3 > 1) {
                    setResult6 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__SELECT_TSP, "0");
                } else {
                    setResult6 = "OK";
                }
                if (setResult6.equals("NA") || setResult6.equals("NG")) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,6,2", "Fail - Read PAT Infomation - pannel setting error"));
                    resData9 = responseNG(argu[0]);
                    result3 = result;
                } else {
                    result3 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__PAT_INFOMATION);
                    if (tspDevCount3 > 1) {
                        setResult7 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__SELECT_TSP, ModuleCommunicationService.SMD_NOK);
                    } else {
                        setResult7 = "OK";
                    }
                    if (setResult7.equals("NA") || setResult7.equals("NG")) {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,6,2", "Fail - Read PAT Infomation - pannel re-setting error"));
                        responseNG(argu[0]);
                    }
                    if (result3.equals("NA")) {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,6,2", "Fail - Read PAT Infomation (TSP_RESULT_VALUE_NOT_APPLICABLE)"));
                        resData9 = responseNA();
                    } else if (result3.equals("NG")) {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,6,2", "Fail - Read PAT Infomation (TSP_RESULT_VALUE_NG)"));
                        resData9 = responseNG(argu[0]);
                    } else {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,6,2", "Pass - Read PAT Infomation"));
                        resData9 = responseString(argu[0], result3);
                    }
                }
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "resData : " + resData9);
            } else if (checkArgu(argu, new String[]{"0", "6", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
                int tspDevCount4 = mModuleTouchScreen.getTspDevCount();
                if (tspDevCount4 > 1) {
                    setResult4 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__SELECT_TSP, "0");
                } else {
                    setResult4 = "OK";
                }
                if (setResult4.equals("NA") || setResult4.equals("NG")) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,6,3", "Fail - Pretest Ass'y TSP Cal - pannel setting error"));
                    resData9 = responseNG(argu[0]);
                } else if (!isPretestAlive()) {
                    resData9 = responseNA();
                } else {
                    setTSPTestNV(132, (byte) 78);
                    mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__SET_EXTERNAL_FACTORY);
                    FtUtil.Sleep.sleep(10);
                    String result15 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__RUN_FORCE_CALIBRATION_OUTS);
                    if (tspDevCount4 > 1) {
                        setResult5 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__SELECT_TSP, ModuleCommunicationService.SMD_NOK);
                    } else {
                        setResult5 = "OK";
                    }
                    if (setResult5.equals("NA") || setResult5.equals("NG")) {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,6,3", "Fail - Pretest Ass'y TSP Cal - pannel re-setting error"));
                        resData9 = responseNG(argu[0]);
                    } else if ("NA".equals(result15) || "NG".contains(result15)) {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,6,3", "Fail - Pretest Ass'y TSP Cal"));
                        return responseNG(argu[0]);
                    } else {
                        setTSPTestNV(132, (byte) 80);
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,6,3", "Pass - Pretest Ass'y TSP Cal"));
                        return responseOK(argu[0]);
                    }
                }
            } else if (checkArgu(argu, new String[]{"0", "6", "4"})) {
                if (mModuleForceTouch.runAutoTune()) {
                    ForceTouchSelfTestHandler mForceTouchSelfTestHandler2 = new ForceTouchSelfTestHandler(this.mContext);
                    mForceTouchSelfTestHandler2.runSelfTest();
                    String passResult = mForceTouchSelfTestHandler2.getIsSelfTestPass() ? "OK" : "NG";
                    resData9 = responseString(argu[0], passResult + "," + EgisFingerprint.MAJOR_VERSION + "," + mForceTouchSelfTestHandler2.getSelfTestResultAll());
                    String str2 = this.CLASS_NAME;
                    StringBuilder sb = new StringBuilder();
                    sb.append(this.CMD_NAME);
                    sb.append("=0,6,4");
                    FtUtil.log_d(str2, "handleCommand", FtUtil.setMspSeqMessage(3, sb.toString(), "Self Test " + passResult));
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,6,4", "Auto Tune Fail"));
                    resData9 = responseNG(argu[0]);
                }
            } else if (checkArgu(argu, new String[]{"0", "6", "6"})) {
                int tspDevCount5 = mModuleTouchScreen.getTspDevCount();
                if (!isPretestAlive() || tspDevCount5 < 2) {
                    resData9 = responseNA();
                } else {
                    String setResult16 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__SELECT_TSP, EgisFingerprint.MAJOR_VERSION);
                    if (setResult16.equals("NA") || setResult16.equals("NG")) {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,6,6", "Fail - Pretest Ass'y TSP Cal (TSP2) - pannel setting error"));
                        resData9 = responseNG(argu[0]);
                    } else {
                        setTSPTestNV(NV_TSPCAL2, (byte) 78);
                        mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__SET_EXTERNAL_FACTORY);
                        FtUtil.Sleep.sleep(10);
                        String result16 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__RUN_FORCE_CALIBRATION_OUTS);
                        String setResult17 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__SELECT_TSP, ModuleCommunicationService.SMD_NOK);
                        if (setResult17.equals("NA") || setResult17.equals("NG")) {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,6,6", "Fail - Pretest Ass'y TSP Cal (TSP2) - pannel re-setting error"));
                            resData9 = responseNG(argu[0]);
                        } else if ("NA".equals(result16) || "NG".contains(result16)) {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,6,6", "Fail - Pretest Ass'y TSP Cal (TSP2)"));
                            return responseNG(argu[0]);
                        } else {
                            setTSPTestNV(NV_TSPCAL2, (byte) 80);
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,6,6", "Pass - Pretest Ass'y TSP Cal (TSP2)"));
                            return responseOK(argu[0]);
                        }
                    }
                }
            } else if (checkArgu(argu, new String[]{"0", "6", "7"})) {
                if (mModuleTouchScreen.getTspDevCount() < 2) {
                    resData9 = responseNA();
                } else {
                    String setResult18 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__SELECT_TSP, EgisFingerprint.MAJOR_VERSION);
                    if (setResult18.equals("NA") || setResult18.equals("NG")) {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,6,7", "Fail - TSP Read PAT Infomation (TSP2) - pannel setting error"));
                        resData9 = responseNG(argu[0]);
                    } else {
                        String result17 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__PAT_INFOMATION);
                        String setResult19 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__SELECT_TSP, ModuleCommunicationService.SMD_NOK);
                        if (setResult19.equals("NA") || setResult19.equals("NG")) {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,6,7", "Fail - TSP Read PAT Infomation (TSP2) - pannel re-setting error"));
                            resData9 = responseNG(argu[0]);
                        } else if (result17.equals("NA")) {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,6,7", "Fail - TSP Read PAT Infomation (TSP2) (TSP_RESULT_VALUE_NOT_APPLICABLE)"));
                            resData9 = responseNA();
                        } else if (result17.equals("NG")) {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,6,7", "Fail - TSP Read PAT Infomation (TSP2) (TSP_RESULT_VALUE_NG)"));
                            resData9 = responseNG(argu[0]);
                        } else {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,6,7", "Pass - TSP Read PAT Infomation (TSP2)"));
                            resData9 = responseString(argu[0], result17);
                        }
                    }
                }
            } else if (checkArgu(argu, new String[]{"0", "7", EgisFingerprint.MAJOR_VERSION})) {
                String tspEnablePath4 = Support.Kernel.getFilePath(Support.Kernel.TSP_ENABLE);
                String tspEnabledValue3 = "";
                int tspDevCount6 = mModuleTouchScreen.getTspDevCount();
                if (tspDevCount6 > 1) {
                    tspEnablePath4 = tspEnablePath4.replace("/tsp/", "/tsp1/");
                    tspEnabledValue3 = Support.Kernel.readFromPath(tspEnablePath4, true);
                    if (!EgisFingerprint.MAJOR_VERSION.equals(tspEnabledValue3)) {
                        Support.Kernel.writeToPath(tspEnablePath4, EgisFingerprint.MAJOR_VERSION);
                    }
                    setResult2 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__SELECT_TSP, "0");
                } else {
                    setResult2 = "OK";
                }
                if (setResult2.equals("NA") || setResult2.equals("NG")) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,7,1", "Fail - TSP MIS CAL Cal - pannel setting error"));
                    responseNG(argu[0]);
                }
                String result18 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__MIS_CAL);
                if (tspDevCount6 > 1) {
                    setResult3 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__SELECT_TSP, ModuleCommunicationService.SMD_NOK);
                } else {
                    setResult3 = "OK";
                }
                if (setResult3.equals("NA") || setResult3.equals("NG")) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,7,1", "Fail - TSP MIS CAL Cal - pannel re-setting error"));
                    resData9 = responseNG(argu[0]);
                } else if (result18.equals("NA")) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,7,1", "Fail - TSP MIS CAL (TSP_RESULT_VALUE_NOT_APPLICABLE)"));
                    resData9 = responseNA();
                } else if (result18.equals("NG")) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,7,1", "Fail - TSP MIS CAL (TSP2) (TSP_RESULT_VALUE_NG)"));
                    resData9 = responseString(argu[0], result18);
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,7,1", "Pass - TSP MIS CAL Cal"));
                    resData9 = responseString(argu[0], result18);
                }
                if (tspDevCount6 > 1 && !EgisFingerprint.MAJOR_VERSION.equals(tspEnabledValue3)) {
                    Support.Kernel.writeToPath(tspEnablePath4, "0");
                }
            } else if (checkArgu(argu, new String[]{"0", "7", "2"})) {
                String tspEnablePath5 = Support.Kernel.getFilePath(Support.Kernel.TSP_ENABLE);
                if (mModuleTouchScreen.getTspDevCount() < 2) {
                    resData9 = responseNA();
                } else {
                    String tspEnablePath6 = tspEnablePath5.replace("/tsp/", "/tsp2/");
                    String tspEnabledValue4 = Support.Kernel.readFromPath(tspEnablePath6, true);
                    if (!EgisFingerprint.MAJOR_VERSION.equals(tspEnabledValue4)) {
                        Support.Kernel.writeToPath(tspEnablePath6, EgisFingerprint.MAJOR_VERSION);
                    }
                    String setResult20 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__SELECT_TSP, EgisFingerprint.MAJOR_VERSION);
                    if (setResult20.equals("NA") || setResult20.equals("NG")) {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,7,2", "Fail - TSP MIS CAL (TSP2) - pannel setting error"));
                        responseNG(argu[0]);
                    }
                    String result19 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__MIS_CAL, "MIS2");
                    String setResult21 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__SELECT_TSP, ModuleCommunicationService.SMD_NOK);
                    if (setResult21.equals("NA") || setResult21.equals("NG")) {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,7,2", "Fail - TSP MIS CAL (TSP2) - pannel re-setting error"));
                        resData9 = responseNG(argu[0]);
                    } else if (result19.equals("NA")) {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,7,2", "Fail - TSP MIS CAL (TSP2) (TSP_RESULT_VALUE_NOT_APPLICABLE)"));
                        resData9 = responseNA();
                    } else if (result19.equals("NG")) {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,7,2", "Fail - TSP MIS CAL (TSP2) (TSP_RESULT_VALUE_NG)"));
                        resData9 = responseString(argu[0], result19);
                    } else {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,7,2", "Pass - TSP MIS CAL (TSP2)"));
                        resData9 = responseString(argu[0], result19);
                    }
                    if (!EgisFingerprint.MAJOR_VERSION.equals(tspEnabledValue4)) {
                        Support.Kernel.writeToPath(tspEnablePath6, "0");
                    }
                }
            } else if (checkArgu(argu, new String[]{"0", "8", "0"})) {
                String tspEnablePath7 = Support.Kernel.getFilePath(Support.Kernel.TSP_ENABLE).replace("/tsp/", "/tsp1/");
                String tspEnabledValue5 = "";
                int tspDevCount7 = mModuleTouchScreen.getTspDevCount();
                if (tspDevCount7 > 1) {
                    setResult = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__SELECT_TSP, "0");
                } else {
                    setResult = "OK";
                }
                if (setResult.equals("NA") || setResult.equals("NG")) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,8,0", "Fail - FW checksum data - pannel setting error"));
                    resData9 = responseNG(argu[0]);
                } else {
                    if (tspDevCount7 > 1) {
                        tspEnabledValue5 = Support.Kernel.readFromPath(tspEnablePath7, true);
                        if (!EgisFingerprint.MAJOR_VERSION.equals(tspEnabledValue5)) {
                            Support.Kernel.writeToPath(tspEnablePath7, EgisFingerprint.MAJOR_VERSION);
                        }
                    }
                    String checksumResult = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__FW_CHECKSUM_DATA);
                    if (checksumResult.equals("NG")) {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,8,0", "Fail - FW checksum data (TSP_RESULT_VALUE_NG)"));
                        resData9 = responseNG(argu[0]);
                    } else if (checksumResult.equals("NA")) {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,8,0", "Fail - FW checksum data (TSP_RESULT_VALUE_NOT_APPLICABLE)"));
                        resData9 = responseNG(argu[0]);
                    } else {
                        resData9 = responseString(argu[0], "OK," + checksumResult);
                    }
                    if (tspDevCount7 > 1) {
                        String setResult22 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__SELECT_TSP, ModuleCommunicationService.SMD_NOK);
                        if (setResult22.equals("NA") || setResult22.equals("NG")) {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,8,0", "Fail - FW checksum data - pannel re-setting error"));
                            resData9 = responseNG(argu[0]);
                        }
                        if (!EgisFingerprint.MAJOR_VERSION.equals(tspEnabledValue5)) {
                            Support.Kernel.writeToPath(tspEnablePath7, "0");
                        }
                    }
                }
            } else if (checkArgu(argu, new String[]{"0", "8", EgisFingerprint.MAJOR_VERSION})) {
                String str3 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__CHECK_SRAM);
                if ("0".equals(str3)) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,8,1", "Pass - Read Result of SRAM Test"));
                    resData9 = responseOK(argu[0]);
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,8,1", "Fail - Read Result of SRAM Test (TSP_RESULT_VALUE_NG)"));
                    resData9 = responseString(argu[0], "NG," + str3);
                }
            } else if (checkArgu(argu, new String[]{"0", "8", "2"})) {
                String tspEnablePath8 = Support.Kernel.getFilePath(Support.Kernel.TSP_ENABLE).replace("/tsp/", "/tsp2/");
                if (mModuleTouchScreen.getTspDevCount() < 2) {
                    resData9 = responseNA();
                } else {
                    String setResult23 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__SELECT_TSP, EgisFingerprint.MAJOR_VERSION);
                    if (setResult23.equals("NA") || setResult23.equals("NG")) {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,8,2", "Fail - FW checksum data (TSP2) - pannel setting error"));
                        resData9 = responseNG(argu[0]);
                    } else {
                        String tspEnabledValue6 = Support.Kernel.readFromPath(tspEnablePath8, true);
                        if (!EgisFingerprint.MAJOR_VERSION.equals(tspEnabledValue6)) {
                            Support.Kernel.writeToPath(tspEnablePath8, EgisFingerprint.MAJOR_VERSION);
                        }
                        String checksumResult2 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__FW_CHECKSUM_DATA);
                        if (checksumResult2.equals("NG")) {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,8,2", "Fail - FW checksum data (TSP2) (TSP_RESULT_VALUE_NG)"));
                            resData9 = responseNG(argu[0]);
                        } else if (checksumResult2.equals("NA")) {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,8,2", "Fail - FW checksum data (TSP2) (TSP_RESULT_VALUE_NOT_APPLICABLE)"));
                            resData9 = responseNG(argu[0]);
                        } else {
                            resData9 = responseString(argu[0], "OK," + checksumResult2);
                        }
                        String setResult24 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__SELECT_TSP, ModuleCommunicationService.SMD_NOK);
                        if (setResult24.equals("NA") || setResult24.equals("NG")) {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,8,2", "Fail - FW checksum data (TSP2) - pannel re-setting error"));
                            resData9 = responseNG(argu[0]);
                        }
                        if (!EgisFingerprint.MAJOR_VERSION.equals(tspEnabledValue6)) {
                            Support.Kernel.writeToPath(tspEnablePath8, "0");
                        }
                    }
                }
            } else if (checkArgu(argu, new String[]{"0", "8", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
                String tspEnablePath9 = Support.Kernel.getFilePath(Support.Kernel.TSP_ENABLE);
                if (mModuleTouchScreen.getTspDevCount() < 2) {
                    resData9 = responseNA();
                } else {
                    String tspEnablePath10 = tspEnablePath9.replace("/tsp/", "/tsp2/");
                    String tspEnabledValue7 = Support.Kernel.readFromPath(tspEnablePath10, true);
                    if (!EgisFingerprint.MAJOR_VERSION.equals(tspEnabledValue7)) {
                        Support.Kernel.writeToPath(tspEnablePath10, EgisFingerprint.MAJOR_VERSION);
                    }
                    String setResult25 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__SELECT_TSP, EgisFingerprint.MAJOR_VERSION);
                    if (setResult25.equals("NA") || setResult25.equals("NG")) {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,8,3", "Fail - Sub UB TSP IC DataLine Check - pannel setting error"));
                        resData9 = responseNG(argu[0]);
                    }
                    boolean write_result3 = Support.Kernel.write(Support.Kernel.TSP2_COMMAND_CMD, "run_pba_linecheck");
                    String result20 = Support.Kernel.read(Support.Kernel.TSP2_COMMAND_RESULT);
                    String setResult26 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__SELECT_TSP, ModuleCommunicationService.SMD_NOK);
                    if (write_result3 && result20 != null) {
                        if (result20.contains("run_pba_linecheck:")) {
                            result20 = result20.replace("run_pba_linecheck:", "");
                            FtUtil.log_i(this.CLASS_NAME, "handleCommand", "after cutting : " + result20);
                        }
                        if (setResult26.equals("NA") || setResult26.equals("NG")) {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,8,3", "Fail - Sub UB TSP IC DataLine Check - pannel re-setting error"));
                            resData9 = responseNG(argu[0]);
                        } else if (result20.equals("NA")) {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,8,3", "Fail - Sub UB TSP IC DataLine Check - (TSP_RESULT_VALUE_NOT_APPLICABLE)"));
                            resData9 = responseNA();
                        } else if (result20.equals("NG")) {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,8,3", "Fail - Sub UB TSP IC DataLine Check - (TSP_RESULT_VALUE_NG)"));
                            resData9 = responseString(argu[0], result20);
                        } else {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,8,3", "Pass - Sub UB TSP IC DataLine Check"));
                            resData9 = responseString(argu[0], result20);
                        }
                    }
                    if (!EgisFingerprint.MAJOR_VERSION.equals(tspEnabledValue7)) {
                        Support.Kernel.writeToPath(tspEnablePath10, "0");
                    }
                }
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0"})) {
                String vendor2 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__VENDOR_NAME);
                String chip = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__CHIP_NAME);
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,0,0", "Read Vendor/Chip Name"));
                resData9 = responseString(argu[0], vendor2 + "," + chip);
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
                if (ModuleTouchScreen.TSP_VENDOR_NAME__SEC.equalsIgnoreCase(mModuleTouchScreen.getTSPVendorName())) {
                    resData8 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__CM_OFFSET_DATA_ALL, (String) null);
                } else if (!ModuleTouchScreen.TSP_VENDOR_NAME__SYNAPTICS.equalsIgnoreCase(mModuleTouchScreen.getTSPVendorName()) || !Support.TestCase.getEnabled(Support.TestCase.IS_NEW_TSP_SELFTEST_SYNAPTICS)) {
                    resData8 = mModuleTouchScreen.getTSPResult_Read(1, Integer.parseInt(argu[2]));
                } else {
                    resData8 = mModuleTouchScreen.getTSPResult_RawCapAllNode();
                }
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,1," + argu[2], "Read Node Data"));
                resData9 = responseString(argu[0], resData8);
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "resData : " + resData9);
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "2"})) {
                if (ModuleTouchScreen.TSP_VENDOR_NAME__SEC.equalsIgnoreCase(mModuleTouchScreen.getTSPVendorName())) {
                    resData7 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__CM_PRE_DELTA_ALL, (String) null);
                } else if (!ModuleTouchScreen.TSP_VENDOR_NAME__SYNAPTICS.equalsIgnoreCase(mModuleTouchScreen.getTSPVendorName()) || !Support.TestCase.getEnabled(Support.TestCase.IS_NEW_TSP_SELFTEST_SYNAPTICS)) {
                    resData7 = mModuleTouchScreen.getTSPResult_Read(2, Integer.parseInt(argu[2]));
                } else {
                    resData7 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__TRX_SHORT_TEST, (String) null);
                }
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,2," + argu[2], "Read Node Data"));
                resData9 = responseString(argu[0], resData7);
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "resData : " + resData9);
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
                if (ModuleTouchScreen.TSP_VENDOR_NAME__SEC.equalsIgnoreCase(mModuleTouchScreen.getTSPVendorName())) {
                    resData6 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__CM_FORCE_CAL_DATA, (String) null);
                } else if (!ModuleTouchScreen.TSP_VENDOR_NAME__SYNAPTICS.equalsIgnoreCase(mModuleTouchScreen.getTSPVendorName()) || !Support.TestCase.getEnabled(Support.TestCase.IS_NEW_TSP_SELFTEST_SYNAPTICS)) {
                    resData6 = mModuleTouchScreen.getTSPResult_Read(3, Integer.parseInt(argu[2]));
                } else {
                    resData6 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__TRX_OPEN_TEST, (String) null);
                }
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "resData : " + resData6);
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,3," + argu[2], "Read Node Data"));
                resData9 = responseString(argu[0], resData6);
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "4"})) {
                if (ModuleTouchScreen.TSP_VENDOR_NAME__SEC.equalsIgnoreCase(mModuleTouchScreen.getTSPVendorName())) {
                    resData5 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__SELF_OFFSET_ALL, (String) null);
                } else {
                    resData5 = mModuleTouchScreen.getTSPResult_Read(4, Integer.parseInt(argu[2]));
                }
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,4," + argu[2], "Read Node Data"));
                resData9 = responseString(argu[0], resData5);
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "resData : " + resData9);
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "5", "0"})) {
                if (Support.TestCase.getEnabled(Support.TestCase.IS_TSP_STANDARD_CHANNEL)) {
                    xAxisNodeCount = mModuleTouchScreen.getTSPChannelCountY();
                    yAxisNodeCount = mModuleTouchScreen.getTSPChannelCountX();
                } else {
                    xAxisNodeCount = mModuleTouchScreen.getTSPChannelCountX();
                    yAxisNodeCount = mModuleTouchScreen.getTSPChannelCountY();
                }
                String result21 = xAxisNodeCount + "," + yAxisNodeCount;
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "result : " + result21);
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,5,0", "Read X/Y Node Count"));
                resData9 = responseString(argu[0], result21);
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "resData : " + resData9);
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "5"})) {
                String resData10 = mModuleTouchScreen.getTSPResult_Read(5, Integer.parseInt(argu[2]));
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,5," + argu[2], "Read Mutual Cap Jitter"));
                resData9 = responseString(argu[0], resData10);
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "resData : " + resData9);
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "6", "0"})) {
                String resData11 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__TRX_SHORT_TEST).replaceAll(",$", "");
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,6,0", "Trx Short Test"));
                resData9 = responseString(argu[0], resData11);
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "resData : " + resData9);
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "6", EgisFingerprint.MAJOR_VERSION})) {
                String resData12 = mModuleTouchScreen.getTSPResult_Read(6, 1);
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,6,1", "Read All Node ABS Cap"));
                resData9 = responseString(argu[0], resData12);
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "7", EgisFingerprint.MAJOR_VERSION})) {
                String resData13 = mModuleTouchScreen.getTSPResult_Read(7, 1);
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,7,1", "Read All Node ABS Delta"));
                resData9 = responseString(argu[0], resData13);
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "8", EgisFingerprint.MAJOR_VERSION})) {
                Support.Kernel.write(Support.Kernel.TSP_COMMAND_CMD, "sidekey_enable,1");
                Support.Kernel.read(Support.Kernel.TSP_COMMAND_RESULT, true);
                String resData14 = mModuleTouchScreen.getTSPResult_Read(8, 1);
                Support.Kernel.write(Support.Kernel.TSP_COMMAND_CMD, "sidekey_enable,0");
                Support.Kernel.read(Support.Kernel.TSP_COMMAND_RESULT, true);
                String resData15 = resData14.replaceAll(",$", "");
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,8,1", "Read All Side Touch Node ABS Cap"));
                resData9 = responseString(argu[0], resData15);
            } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.JAR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
                Support.Kernel.write(Support.Kernel.TSP_COMMAND_CMD, "sidekey_enable,1");
                Support.Kernel.read(Support.Kernel.TSP_COMMAND_RESULT, true);
                String resData16 = mModuleTouchScreen.getTSPResult_Read(9, 1);
                Support.Kernel.write(Support.Kernel.TSP_COMMAND_CMD, "sidekey_enable,0");
                Support.Kernel.read(Support.Kernel.TSP_COMMAND_RESULT, true);
                String resData17 = resData16.replaceAll(",$", "");
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,9,1", "Read All Side Touch Node ABS Delta"));
                resData9 = responseString(argu[0], resData17);
            } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0", "0"})) {
                FtUtil.log_i(this.CLASS_NAME, "handleCommand", "TSP_SELF_TEST_RESULT");
                SharedPreferences preferences = this.mContext.getSharedPreferences("TSP_SELF_TEST_RESULT", 0);
                String result22 = preferences.getString("TSP_RESULT", "0");
                if (result22.equals("0")) {
                    FtUtil.log_i(this.CLASS_NAME, "handleCommand", "equals = " + result22);
                    SharedPreferences.Editor editor = preferences.edit();
                    editor.putString("TSP_RESULT", "NONE");
                    editor.apply();
                    result22 = preferences.getString("TSP_RESULT", "0");
                }
                if (result22 == null || result22.isEmpty()) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,0,0", "Fail - Self Test Log is Null or Empty"));
                    resData9 = responseNG(argu[0]);
                } else if (result22.equals("PASS")) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,0,0", "Pass - Self Test"));
                    resData9 = responseOK(argu[0]);
                } else if (result22.equals("NONE")) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,0,0", "Fail - Self Test Log Result is NONE"));
                    resData9 = responseString(argu[0], "NONE");
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,0,0", "Fail - Read Self Test Log"));
                    resData9 = responseNG(argu[0]);
                }
            } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0", "2"})) {
                String result23 = this.mContext.getSharedPreferences("TSP_TSK_GHOST_RESULT", 0).getString("RESULT", "NONE");
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,0,2", "Read Ghost Touch Result"));
                resData9 = responseString(argu[0], result23);
            } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_i(this.CLASS_NAME, "handleCommand", "TSP_SELF_TEST_RESULT");
                SharedPreferences preferences2 = this.mContext.getSharedPreferences("TSP_SELF_TEST_RESULT", 0);
                String result24 = preferences2.getString("TSP_RESULT", "0");
                String tspData = preferences2.getString("TSP_RESULT_DATA", "0");
                if (result24.equals("0")) {
                    FtUtil.log_i(this.CLASS_NAME, "handleCommand", "result = " + result24);
                    SharedPreferences.Editor editor2 = preferences2.edit();
                    editor2.putString("TSP_RESULT", "NONE");
                    editor2.apply();
                    result24 = preferences2.getString("TSP_RESULT", "0");
                }
                if (result24 == null || result24.isEmpty()) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,0,3", "Fail - Self Test Log is Null or Empty"));
                    resData9 = responseNG(argu[0]);
                } else if (result24.equals("PASS")) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,0,3", "Pass - Self Test"));
                    resData9 = responseString(argu[0], "OK," + tspData);
                } else if (result24.equals("FAIL")) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,0,3", "Fail - Self Test"));
                    resData9 = responseString(argu[0], "NG," + tspData);
                } else if (result24.equals("NONE")) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,0,3", "Fail - Self Test Log Result is NONE"));
                    resData9 = responseString(argu[0], "NONE");
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,0,3", "Fail - Read Self Test Log"));
                    resData9 = responseNG(argu[0]);
                }
            } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0", "4"})) {
                FtUtil.log_i(this.CLASS_NAME, "handleCommand", "SUB_TSP_SELF_TEST_RESULT");
                SharedPreferences preferences3 = this.mContext.getSharedPreferences("SUB_TSP_SELF_TEST_RESULT", 0);
                String result25 = preferences3.getString("SUB_TSP_RESULT", "0");
                String tspData2 = preferences3.getString("SUB_TSP_RESULT_DATA", "0");
                if (result25.equals("0")) {
                    FtUtil.log_i(this.CLASS_NAME, "handleCommand", "result = " + result25);
                    SharedPreferences.Editor editor3 = preferences3.edit();
                    editor3.putString("SUB_TSP_RESULT", "NONE");
                    editor3.apply();
                    result25 = preferences3.getString("SUB_TSP_RESULT", "0");
                }
                if (result25 == null || result25.isEmpty()) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,0,4", "Fail - Sub TSP Self Test Log is Null or Empty"));
                    resData9 = responseNG(argu[0]);
                } else if (result25.equals("PASS")) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,0,4", "Pass - Sub TSP Self Test"));
                    resData9 = responseString(argu[0], "OK," + tspData2);
                } else if (result25.equals("FAIL")) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,0,4", "Fail - Sub TSP Self Test"));
                    resData9 = responseString(argu[0], "NG," + tspData2);
                } else if (result25.equals("NONE")) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,0,4", "Fail - Sub TSP Self Test Log Result is NONE"));
                    resData9 = responseString(argu[0], "NONE");
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,0,4", "Fail - Sub TSP Read Self Test Log"));
                    resData9 = responseNG(argu[0]);
                }
            } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0", "5"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,0,5", "Read Short Test Result"));
                SharedPreferences prefShortTest = this.mContext.getSharedPreferences("TSP_SHORT_TEST_RESULT", 0);
                resData9 = responseString(argu[0], prefShortTest.getString("STATUS", "NG") + "," + prefShortTest.getString("DATA", "NA,NA"));
            } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0", "6"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,0,6", "Read Open Short Test Result"));
                SharedPreferences prefShortTest2 = this.mContext.getSharedPreferences("TSP_OPEN_SHORT_TEST_RESULT", 0);
                resData9 = responseString(argu[0], prefShortTest2.getString("STATUS", "NG") + "," + prefShortTest2.getString("VERSION", EgisFingerprint.MAJOR_VERSION) + "," + prefShortTest2.getString("DATA", "NA,NA,NA"));
            } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0", "7"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,0,7", "execute Open Short Test"));
                if (mModuleCommon.Request15FunctionTest(1037)) {
                    startReceiver();
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,0,7", "start activity fail"));
                }
            } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0", "8"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,0,8", "execute Open Short Test2"));
                if (mModuleCommon.Request15FunctionTest(1043)) {
                    startReceiver();
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,0,8", "start activity fail"));
                }
            } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0", egis.optical.client.api.EgisFingerprint.JAR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,0,9", "Read Open Short Test Result(TSP2)"));
                SharedPreferences prefShortTest3 = this.mContext.getSharedPreferences("TSP_OPEN_SHORT_TEST_RESULT2", 0);
                resData9 = responseString(argu[0], prefShortTest3.getString("STATUS", "NG") + "," + prefShortTest3.getString("VERSION", EgisFingerprint.MAJOR_VERSION) + "," + prefShortTest3.getString("DATA", "NA,NA,NA"));
            } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0", "10"})) {
                FtUtil.log_i(this.CLASS_NAME, "handleCommand", "PRESENTAION_TSP_SELF_TEST_RESULT");
                SharedPreferences preferences4 = this.mContext.getSharedPreferences("PRESENTAION_TSP_SELF_TEST_RESULT", 0);
                String result26 = preferences4.getString("PRESENTAION_TSP_RESULT", "0");
                String tspData3 = preferences4.getString("PRESENTAION_TSP_RESULT_DATA", "0");
                if (result26.equals("0")) {
                    FtUtil.log_i(this.CLASS_NAME, "handleCommand", "result = " + result26);
                    SharedPreferences.Editor editor4 = preferences4.edit();
                    editor4.putString("PRESENTAION_TSP_RESULT", "NONE");
                    editor4.apply();
                    result26 = preferences4.getString("PRESENTAION_TSP_RESULT", "0");
                }
                if (result26 == null || result26.isEmpty()) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,0,10", "Fail - Presentation TSP Self Test Log is Null or Empty"));
                    resData9 = responseNG(argu[0]);
                } else if (result26.equals("PASS")) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,0,10", "Pass - Presentation TSP Self Test"));
                    resData9 = responseString(argu[0], "OK," + tspData3);
                } else if (result26.equals("FAIL")) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,0,10", "Fail - Presentation TSP Self Test"));
                    resData9 = responseString(argu[0], "NG," + tspData3);
                } else if (result26.equals("NONE")) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,0,10", "Fail - Sub TSP Self Test Log Result is NONE"));
                    resData9 = responseString(argu[0], "NONE");
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,0,10", "Fail - Sub TSP Read Self Test Log"));
                    resData9 = responseNG(argu[0]);
                }
            } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0", "11"})) {
                FtUtil.log_i(this.CLASS_NAME, "handleCommand", "ALWAYS_ON_TOUCH_TEST_RESULT");
                SharedPreferences preferences5 = this.mContext.getSharedPreferences("ALWAYS_ON_TOUCH_TEST_RESULT", 0);
                String result27 = preferences5.getString("ALWAYS_ON_TOUCH_RESULT", "0");
                String tspData4 = preferences5.getString("ALWAYS_ON_TOUCH_RESULT_DATA", "0");
                if ("0".equals(result27)) {
                    FtUtil.log_i(this.CLASS_NAME, "handleCommand", "result = " + result27);
                    SharedPreferences.Editor editor5 = preferences5.edit();
                    editor5.putString("ALWAYS_ON_TOUCH_RESULT", "NONE");
                    editor5.apply();
                    result27 = preferences5.getString("ALWAYS_ON_TOUCH_RESULT", "0");
                }
                if (result27 == null || result27.isEmpty()) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,0,11", "Fail - Always On Touch Test Log is Null or Empty"));
                    resData9 = responseNG(argu[0]);
                } else if (result27.equals("PASS")) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,0,11", "Pass - Always On Touch Test"));
                    resData9 = responseString(argu[0], "OK," + tspData4);
                } else if (result27.equals("FAIL")) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,0,11", "Fail - Always On Touch Test"));
                    resData9 = responseString(argu[0], "NG," + tspData4);
                } else if (result27.equals("NONE")) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,0,11", "Fail - Always On Touch Test Log Result is NONE"));
                    resData9 = responseString(argu[0], "NONE");
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,0,11", "Fail - Always On Touch Test Log"));
                    resData9 = responseNG(argu[0]);
                }
            } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
                if (!ModuleTouchScreen.TSP_VENDOR_NAME__STM.equals(mModuleTouchScreen.getTSPVendorName()) || !Support.Feature.getBoolean(Support.Feature.SUPPORT_TOUCHKEY_RAW_DATA_DISPLAY, false)) {
                    resData4 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__KEY_READ1);
                } else {
                    resData4 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__KEY_RAW_DATA);
                }
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,1,1", "Read TSK Read1"));
                resData9 = responseString(argu[0], resData4);
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "resData : " + resData9);
            } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, "2"})) {
                String resData18 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__KEY_READ2);
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,1,1", "Read TSK Read2"));
                resData9 = responseString(argu[0], resData18);
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "resData : " + resData9);
            } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "2", "0"})) {
                String rawDataValue = this.context.getSharedPreferences("FORCE_TOUCH_SELF_TEST_RESULT", 0).getString("RAWDATA_VALUES", "NA");
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "rawDataValue : " + rawDataValue);
                String resData19 = rawDataValue.equalsIgnoreCase("NA") ? "NONE," + EgisFingerprint.MAJOR_VERSION + "," + (Support.TestCase.getEnabled(Support.TestCase.FORCE_TOUCH_TEST_LEFT) ? "0" : "NONE") + "," + (Support.TestCase.getEnabled(Support.TestCase.FORCE_TOUCH_TEST_CENTER) ? "0" : "NONE") + "," + (Support.TestCase.getEnabled(Support.TestCase.FORCE_TOUCH_TEST_RIGHT) ? "0" : "NONE") : "OK," + EgisFingerprint.MAJOR_VERSION + "," + rawDataValue;
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,2,0", "Read Pressure Raw Data"));
                resData9 = responseString(argu[0], resData19);
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "resData : " + resData9);
            } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "2", EgisFingerprint.MAJOR_VERSION})) {
                try {
                    mModuleForceTouch.setTestMode(true);
                    calData = mModuleForceTouch.getCalDataForATCommand(Integer.parseInt(mModuleForceTouch.getCalDataIndex()));
                } catch (NumberFormatException ne) {
                    FtUtil.log_e(ne);
                    calData = "NG";
                }
                mModuleForceTouch.setTestMode(false);
                String resData20 = (calData.equalsIgnoreCase("NA") || calData.equalsIgnoreCase("NG")) ? "NONE," + EgisFingerprint.MAJOR_VERSION + "," + (Support.TestCase.getEnabled(Support.TestCase.FORCE_TOUCH_TEST_LEFT) ? "0" : "NONE") + "," + (Support.TestCase.getEnabled(Support.TestCase.FORCE_TOUCH_TEST_CENTER) ? "0" : "NONE") + "," + (Support.TestCase.getEnabled(Support.TestCase.FORCE_TOUCH_TEST_RIGHT) ? "0" : "NONE") : "OK," + EgisFingerprint.MAJOR_VERSION + "," + calData;
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,2,1", "Read Pressure Cal Data"));
                resData9 = responseString(argu[0], resData20);
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "resData : " + resData9);
            } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "2", "2"})) {
                String pressResult = this.context.getSharedPreferences("FORCE_TOUCH_PRESS_RESULT", 0).getString("FORCE_RESULT", ModuleCommunicationService.SMD_NOK);
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "pressResult : " + pressResult);
                String resData21 = pressResult.equals(ModuleCommunicationService.SMD_NOK) ? "NONE," + EgisFingerprint.MAJOR_VERSION + "," + (Support.TestCase.getEnabled(Support.TestCase.FORCE_TOUCH_TEST_LEFT) ? "0" : "NONE") + "," + (Support.TestCase.getEnabled(Support.TestCase.FORCE_TOUCH_TEST_CENTER) ? "0" : "NONE") + "," + (Support.TestCase.getEnabled(Support.TestCase.FORCE_TOUCH_TEST_RIGHT) ? "0" : "NONE") : "OK," + EgisFingerprint.MAJOR_VERSION + "," + pressResult;
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,2,2", "Read Pressure Test Data"));
                resData9 = responseString(argu[0], resData21);
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "resData : " + resData9);
            } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "2", "4"})) {
                try {
                    calAllData = mModuleForceTouch.getCalAllDataForATCommand();
                } catch (NumberFormatException ne2) {
                    FtUtil.log_e(ne2);
                    calAllData = "NG";
                }
                if (calAllData.equalsIgnoreCase("NONE")) {
                    resData3 = "NONE";
                } else if (calAllData.equalsIgnoreCase("NG")) {
                    resData3 = "NG";
                } else {
                    resData3 = "OK," + EgisFingerprint.MAJOR_VERSION + "," + calAllData;
                }
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,2,4", "Read Pressure Cal ALL Data"));
                resData9 = responseString(argu[0], resData3);
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "resData : " + resData9);
            } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "2", "5"})) {
                mModuleForceTouch.setTestMode(true);
                String rawDataValue2 = mModuleForceTouch.getStringRawCap();
                mModuleForceTouch.setTestMode(false);
                String resData22 = (rawDataValue2.equalsIgnoreCase("NA") || rawDataValue2.equalsIgnoreCase("NG")) ? "NG," + EgisFingerprint.MAJOR_VERSION + ",0,0,0" : "OK," + EgisFingerprint.MAJOR_VERSION + "," + rawDataValue2;
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,2,5", "Read Pressure Raw Data"));
                resData9 = responseString(argu[0], resData22);
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "resData : " + resData9);
            } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "2", "6"})) {
                String rawDataValue3 = mModuleForceTouch.getCalDataSDCForATCommand();
                String resData23 = rawDataValue3 != null ? "OK," + EgisFingerprint.MAJOR_VERSION + rawDataValue3 : "NG";
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,2,6", "Read Pressure SDC Cal Data"));
                resData9 = responseString(argu[0], resData23);
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "resData : " + resData9);
            } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0"})) {
                String tempStr = this.mContext.getSharedPreferences("PROXIMITY_HOVER_SELF_RESULT", 0).getString("RESULT_DATA", "0");
                if (tempStr.contains("OK")) {
                    result2 = "OK";
                } else if (tempStr.contains("NONE")) {
                    result2 = "NONE";
                } else {
                    result2 = "NG";
                }
                resData9 = responseString(argu[0], result2);
            } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
                resData9 = responseString(argu[0], this.mContext.getSharedPreferences("PROXIMITY_HOVER_RESULT", 0).getString("RESULT_DATA", "0"));
            } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "4", "0"})) {
                String result28 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__TRX_OPEN_TEST);
                if (result28.equalsIgnoreCase("NA") || result28.equalsIgnoreCase("NG")) {
                    resData2 = "NG";
                } else {
                    resData2 = result28;
                }
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,4,0", "OPEN A result Read"));
                resData9 = responseString(argu[0], resData2);
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "resData : " + resData9);
            } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "5", "0"})) {
                String result29 = mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__CLEAR_HISTORY);
                if (result29.equalsIgnoreCase("NA") || result29.equalsIgnoreCase("NG")) {
                    resData = "NG";
                } else {
                    resData = result29;
                }
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,5,0", "Clear Pretest Unit/Assy History"));
                resData9 = responseString(argu[0], resData);
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "resData : " + resData9);
            } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "7", "7"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,7,7", "Read Tsp Jitter Test 2 Result"));
                SharedPreferences prefJitterTest = this.mContext.getSharedPreferences("TSP_JITTER_TEST_2_RESULT", 0);
                resData9 = responseString(argu[0], prefJitterTest.getString("STATUS", "NG") + "," + prefJitterTest.getString("DATA", "NA"));
            } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "7", egis.optical.client.api.EgisFingerprint.JAR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,7,9", "Read Tsp Jitter Test Result"));
                SharedPreferences prefJitterTest2 = this.mContext.getSharedPreferences("TSP_JITTER_TEST_RESULT", 0);
                resData9 = responseString(argu[0], prefJitterTest2.getString("STATUS", "NG") + "," + prefJitterTest2.getString("DATA", "NA"));
            } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "8", "0"})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,8,0", "Read Tsp Jitter Delta Test Result"));
                SharedPreferences prefJitterTest3 = this.mContext.getSharedPreferences("TSP_JITTER_DELTA_TEST_RESULT", 0);
                resData9 = responseString(argu[0], prefJitterTest3.getString("STATUS", "NG") + "," + prefJitterTest3.getString("DATA", "NA,NA,NA,NA,NA,NA"));
            } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "8", EgisFingerprint.MAJOR_VERSION})) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,8,1", "Read Tsp Jitter Delta Test 2 Result"));
                SharedPreferences prefJitterTest4 = this.mContext.getSharedPreferences("TSP_JITTER_DELTA_TEST_2_RESULT", 0);
                resData9 = responseString(argu[0], prefJitterTest4.getString("STATUS", "NG") + "," + prefJitterTest4.getString("DATA", "NA,NA,NA,NA,NA,NA"));
            }
            return resData9;
        }
    }

    public String getTSPSetResult(String result) {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "getTSPSetResult", "string=" + result);
        if (result.equalsIgnoreCase("PASS")) {
            return "P";
        }
        if (result.equalsIgnoreCase("FAIL")) {
            return "F";
        }
        if (result.equalsIgnoreCase("NONE")) {
            return "N";
        }
        return result;
    }

    public void setTSPTestNV(int nv, byte itemResult) {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "setTSPTestNV", "NV = " + nv + ", itemResult = " + ((int) itemResult));
        NVAccessor.setNV(nv, itemResult);
    }

    public void displaySetting(int speed, int rate) {
        FtUtil.log_d(this.CLASS_NAME, "displaySetting");
        Intent dispIntent = new Intent(this.mContext, UIVrrDisptestActivity.class);
        if (Support.Feature.getBoolean(Support.Feature.SUPPORT_TSPCAL_WHITE)) {
            dispIntent.putExtra("TEST_FILENAME", "WHITE");
        } else {
            dispIntent.putExtra("TEST_FILENAME", "BLACK");
        }
        dispIntent.putExtra("TEST_SPEED", speed);
        dispIntent.putExtra("TEST_RATE", rate);
        dispIntent.addFlags(805306368);
        this.mContext.startActivity(dispIntent);
        FtUtil.Sleep.sleep(300);
    }

    public void displayScreen() {
        FtUtil.log_d(this.CLASS_NAME, "displayScreen");
        Intent dispIntent = new Intent();
        dispIntent.setClassName("com.sec.factory", "com.sec.factory.app.ui.UIDisplayBG");
        if (Support.Feature.getBoolean(Support.Feature.SUPPORT_TSPCAL_WHITE)) {
            dispIntent.putExtra("TEST_TYPE", 1);
        } else {
            dispIntent.putExtra("TEST_TYPE", 2);
        }
        dispIntent.addFlags(335544320);
        this.mContext.startActivity(dispIntent);
    }

    public void displayPreviousScreen() {
        FtUtil.Sleep.sleep(200);
        if (UIDisplayBG.getInstance() != null) {
            UIDisplayBG.getInstance().finish();
        }
    }

    public void UIupdateNV(int nv, byte value) {
        FtUtil.log_d(this.CLASS_NAME, "UIupdateNV");
        Intent intent = new Intent();
        intent.setAction(UI_DATE_NV);
        intent.putExtra("NV", nv);
        intent.putExtra("VALUE", value);
        this.mContext.sendBroadcast(intent);
    }

    private boolean isRawdataZeroOrOne(int data1, int data2) {
        return data1 == 0 || data1 == 1 || data2 == 0;
    }

    private boolean isPretestAlive() {
        String className = null;
        try {
            className = ((ActivityManager) this.context.getSystemService("activity")).getRunningTasks(1).get(0).topActivity.getClassName();
            String str = this.CLASS_NAME;
            StringBuilder sb = new StringBuilder();
            sb.append("Top activity class name = ");
            sb.append(className == null ? "null" : className);
            FtUtil.log_d(str, sb.toString());
        } catch (Exception e) {
            String str2 = this.CLASS_NAME;
            FtUtil.log_e(str2, "Exception : " + e);
        }
        return className != null && className.contains("com.sec.OneJigBinary");
    }
}
