package com.sec.factory.aporiented.athandler;

import android.content.Context;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class AtTssCheck extends AtCommandHandler {
    private static final String PATH_COUNTRYISO_CODE = "/efs/imei/countryiso_code.json";

    public AtTssCheck(Context context) {
        super(context);
        this.CMD_NAME = "TSSCHECK";
        this.CLASS_NAME = "AtTssCheck";
        this.NUM_ARGS = 3;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", "0", "0"})) {
            boolean res = true;
            if (!Support.Kernel.isExistFilePath(PATH_COUNTRYISO_CODE)) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "file not exist");
            } else if (Support.Kernel.writeToPathNsync(PATH_COUNTRYISO_CODE, "")) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "remove the contents of countryiso_code");
            } else {
                res = false;
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "failed to remove the contents of countryiso_code");
            }
            if (res) {
                String str = this.CLASS_NAME;
                FtUtil.log_d(str, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,0,0", "Pass - Init Wifi Tablet TSS"));
                resData = responseOK(argu[0]);
            } else {
                String str2 = this.CLASS_NAME;
                FtUtil.log_d(str2, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,0,0", "Fail - Init Wifi Tablet TSS"));
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0"})) {
            boolean res2 = true;
            if (Support.Kernel.isExistFilePath(PATH_COUNTRYISO_CODE)) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "file exist");
                String data = Support.Kernel.readFromPath(PATH_COUNTRYISO_CODE, true);
                if (data == null || "".equals(data)) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "file is empty");
                } else {
                    res2 = false;
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "file isn't empty");
                }
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "file not exist");
            }
            if (res2) {
                String str3 = this.CLASS_NAME;
                FtUtil.log_d(str3, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,0,0", "Pass - Check Tablet TSS Init"));
                resData = responseString(argu[0], "NONE");
            } else {
                String str4 = this.CLASS_NAME;
                FtUtil.log_d(str4, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,0,0", "Fail - Check Tablet TSS Init"));
                resData = responseNG(argu[0]);
            }
        } else {
            resData = responseNA();
        }
        return resData;
    }
}
