package com.sec.factory.aporiented.athandler;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import com.sec.factory.aporiented.ResponseWriter;
import com.sec.factory.support.FtUtil;
import egis.client.api.EgisFingerprint;

public class AtUartswit extends AtCommandHandler {
    private static final String ACTION_SET_PATH = "com.sec.factory.aporiented.athandler.AtUartswit.SetUartPath";
    private static final String EXTRA_KEY = "PATH";
    public BroadcastReceiver mReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.aporiented.athandler.AtUartswit.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            if (intent.getAction().equals(AtUartswit.ACTION_SET_PATH)) {
                String resData = intent.getStringExtra(AtUartswit.EXTRA_KEY);
                String str = AtUartswit.this.CLASS_NAME;
                FtUtil.log_d(str, "onReceive", "com.sec.factory.aporiented.athandler.AtUartswit.SetUartPath : Set : " + resData);
                AtUartswit.this.writer.write(resData);
            }
        }
    };

    public AtUartswit(Context context, ResponseWriter writer) {
        super(context);
        this.CMD_NAME = "UARTSWIT";
        this.CLASS_NAME = "AtUartswit";
        this.NUM_ARGS = 2;
        this.writer = writer;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public void startReceiver() {
        IntentFilter filter = new IntentFilter();
        filter.addAction(ACTION_SET_PATH);
        this.context.registerReceiver(this.mReceiver, filter);
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        String currentUart;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "MODEM");
            startReceiver();
            if (mModuleCommon.setUartPath("CP")) {
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
            stopReceiver(this.mReceiver);
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "PDA");
            startReceiver();
            if (mModuleCommon.setUartPath("AP")) {
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
            stopReceiver(this.mReceiver);
        } else if (checkArgu(argu, new String[]{"0", "2"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "LTE");
            startReceiver();
            if (mModuleCommon.setUartPath("LTE")) {
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
            stopReceiver(this.mReceiver);
        } else if (checkArgu(argu, new String[]{"0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "CP2");
            startReceiver();
            if (mModuleCommon.setUartPath("CP2")) {
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
            stopReceiver(this.mReceiver);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Read UART");
            startReceiver();
            String currentUart2 = mModuleCommon.getUartPath();
            if (currentUart2 == null) {
                currentUart = "NG";
            } else if (currentUart2.contains("CP")) {
                currentUart = "UART1";
            } else if (currentUart2.contains("AP")) {
                currentUart = "UART2";
            } else if (currentUart2.contains("LTE")) {
                currentUart = "UART3";
            } else if (currentUart2.contains("CP2")) {
                currentUart = "UART4";
            } else {
                currentUart = "NG";
            }
            resData = responseString(argu[0], currentUart);
            stopReceiver(this.mReceiver);
        } else {
            resData = responseNA();
        }
        return resData;
    }
}
