package com.sec.factory.aporiented.athandler;

import android.content.Context;
import android.content.Intent;
import android.os.Environment;
import com.sec.factory.app.ui.UIDisplayBG;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.File;
import java.io.IOException;

public class AtUbcttest extends AtCommandHandler {
    private static final int DISPLAY_LCD_1 = 3;
    private static final int DISPLAY_LCD_2 = 4;
    private final int SLEEP_TIME = 1000;
    private Context mContext;
    private final int mSpkCount = Support.Feature.getInt(Support.Feature.SPEAKER_COUNT);

    public AtUbcttest(Context context) {
        super(context);
        this.mContext = context;
        this.CMD_NAME = "UBCTTEST";
        this.CLASS_NAME = "AtUbcttest";
        this.NUM_ARGS = 4;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        int nAudioPath;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if ("0".equals(argu[1]) && mModuleAudio.isPlayingSound()) {
            mModuleAudio.stopMedia();
            mModuleCommon.sleepThread(200);
        }
        if (checkArgu(argu, new String[]{"0", "0", "0", "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Sound contents stop");
            mModuleAudio.setAudioPath(4);
            resData = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", "0", EgisFingerprint.MAJOR_VERSION})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Receiver sound contents play");
            if (openFileForAudioTest(1, argu[3])) {
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", "0", "2"})) {
            FtUtil.log_i(this.CLASS_NAME, "handleCommand", "Earphone sound contents play");
            if (openFileForAudioTest(2, argu[3])) {
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", "0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
            FtUtil.log_i(this.CLASS_NAME, "handleCommand", "Speaker 1 sound contents play");
            if (this.mSpkCount == 1) {
                nAudioPath = 0;
            } else {
                nAudioPath = 8;
            }
            if (openFileForAudioTest(nAudioPath, argu[3])) {
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", "0", "4"})) {
            FtUtil.log_i(this.CLASS_NAME, "handleCommand", "Speaker 2 sound contents play");
            if (openFileForAudioTest(9, argu[3])) {
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", "0", "5"})) {
            FtUtil.log_i(this.CLASS_NAME, "handleCommand", "Speaker 3 sound contents play");
            if (openFileForAudioTest(10, argu[3])) {
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", "0", "6"})) {
            FtUtil.log_i(this.CLASS_NAME, "handleCommand", "Speaker 4 sound contents play");
            if (openFileForAudioTest(11, argu[3])) {
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", "0", "7"})) {
            FtUtil.log_i(this.CLASS_NAME, "handleCommand", "Speaker-Left sound contents play");
            if (openFileForAudioTest(12, argu[3])) {
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", "0", "8"})) {
            FtUtil.log_i(this.CLASS_NAME, "handleCommand", "Speaker-Right sound contents play");
            if (openFileForAudioTest(13, argu[3])) {
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", "0", egis.optical.client.api.EgisFingerprint.JAR_VERSION})) {
            FtUtil.log_i(this.CLASS_NAME, "handleCommand", "Speaker-All sound contents play");
            if (openFileForAudioTest(0, argu[3])) {
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "0", "0"})) {
            FtUtil.log_i(this.CLASS_NAME, "handleCommand", "Image contents display finish");
            if (UIDisplayBG.getInstance() != null) {
                UIDisplayBG.getInstance().finish();
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
            FtUtil.log_i(this.CLASS_NAME, "handleCommand", "Display 1 image contents display");
            if (openFileForDisplayTest(3, argu[3])) {
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "2"})) {
            FtUtil.log_i(this.CLASS_NAME, "handleCommand", "Display 2 image contents display");
            if (openFileForDisplayTest(4, argu[3])) {
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        } else {
            resData = responseNA();
        }
        return resData;
    }

    public boolean openFileForAudioTest(int audio_path, String file_name) {
        FtUtil.log_d(this.CLASS_NAME, "openFileForAudioTest", "audio path: " + audio_path);
        FtUtil.log_d(this.CLASS_NAME, "openFileForAudioTest", "file path: " + file_name);
        String SD_PATH = Environment.getExternalStorageDirectory().getPath() + "/testmedia/";
        String EXT_SD_PATH = mModuleDevice.getStoragePath(1) + "/testmedia/";
        FtUtil.log_d(this.CLASS_NAME, "openFileForAudioTest", "DATA_PATH : " + "/system/factory/testmedia/");
        String path = null;
        String name = getFullName(EXT_SD_PATH, file_name);
        FtUtil.log_d(this.CLASS_NAME, "openFileForAudioTest", "Check Externel SD Card");
        if (!mModuleDevice.isExternalMemoryExist() || !mModuleDevice.isMountedStorage(1) || name == null) {
            String name2 = getFullName(SD_PATH, file_name);
            FtUtil.log_d(this.CLASS_NAME, "openFileForAudioTest", "Check SD Card");
            if (name2 != null) {
                FtUtil.log_d(this.CLASS_NAME, "openFileForAudioTest", "Get file from SD Card");
                path = SD_PATH + name2;
            } else {
                String name3 = getFullName("/system/factory/testmedia/", file_name);
                FtUtil.log_d(this.CLASS_NAME, "openFileForAudioTest", "Check data path");
                if (name3 != null) {
                    FtUtil.log_d(this.CLASS_NAME, "openFileForAudioTest", "Get file from data path");
                    path = "/system/factory/testmedia/" + name3;
                }
            }
        } else {
            FtUtil.log_d(this.CLASS_NAME, "openFileForAudioTest", "Get file from Externel SD Card");
            path = EXT_SD_PATH + name;
        }
        FtUtil.log_d(this.CLASS_NAME, "openFileForAudioTest", "path: " + path);
        mModuleAudio.setAudioPath(audio_path);
        if (path != null) {
            try {
                FtUtil.log_d(this.CLASS_NAME, "openFileForAudioTest", "playMedia");
                mModuleAudio.playMedia(path, true);
                return true;
            } catch (IOException e) {
                e.printStackTrace();
                return false;
            }
        } else {
            FtUtil.log_d(this.CLASS_NAME, "openFileForAudioTest", "path is null");
            return false;
        }
    }

    public boolean openFileForDisplayTest(int lcd_type, String file_name) {
        FtUtil.log_d(this.CLASS_NAME, "openFileForDisplayTest", "lcd type: " + lcd_type);
        FtUtil.log_d(this.CLASS_NAME, "openFileForDisplayTest", "file path: " + file_name);
        String SD_PATH = Environment.getExternalStorageDirectory().getPath() + "/testmedia/";
        String EXT_SD_PATH = mModuleDevice.getStoragePath(1) + "/testmedia/";
        FtUtil.log_d(this.CLASS_NAME, "openFileForDisplayTest", "DATA_PATH : " + "/system/factory/testmedia/");
        String path = null;
        String name = getFullName(EXT_SD_PATH, file_name);
        FtUtil.log_d(this.CLASS_NAME, "openFileForDisplayTest", "Check Externel SD Card");
        if (!mModuleDevice.isExternalMemoryExist() || !mModuleDevice.isMountedStorage(1) || name == null) {
            String name2 = getFullName(SD_PATH, file_name);
            FtUtil.log_d(this.CLASS_NAME, "openFileForDisplayTest", "Check SD Card");
            if (name2 != null) {
                FtUtil.log_d(this.CLASS_NAME, "openFileForDisplayTest", "Get file from SD Card");
                path = SD_PATH + name2;
            } else {
                String name3 = getFullName("/system/factory/testmedia/", file_name);
                FtUtil.log_d(this.CLASS_NAME, "openFileForDisplayTest", "Check data path");
                if (name3 != null) {
                    FtUtil.log_d(this.CLASS_NAME, "openFileForDisplayTest", "Get file from data path");
                    path = "/system/factory/testmedia/" + name3;
                }
            }
        } else {
            FtUtil.log_d(this.CLASS_NAME, "openFileForDisplayTest", "Get file from Externel SD Card");
            path = EXT_SD_PATH + name;
        }
        FtUtil.log_d(this.CLASS_NAME, "openFileForDisplayTest", "path: " + path);
        if (path == null) {
            return false;
        }
        Intent dispIntent = new Intent(this.mContext, UIDisplayBG.class);
        dispIntent.putExtra("TEST_TYPE", lcd_type);
        dispIntent.putExtra("FILE_PATH", path);
        dispIntent.addFlags(335544320);
        this.mContext.startActivity(dispIntent);
        FtUtil.log_d(this.CLASS_NAME, "openFileForDisplayTest", "displayFile");
        return true;
    }

    public String getFullName(String path, String name) {
        File[] files = new File(path).listFiles();
        if (files == null) {
            return null;
        }
        for (int i = 0; i < files.length; i++) {
            if (files[i].isFile()) {
                String fullName = files[i].getName();
                FtUtil.log_d(this.CLASS_NAME, "getFullName", fullName);
                int pos = fullName.lastIndexOf(".");
                if (pos > 0 && fullName.substring(0, pos).equals(name)) {
                    return fullName;
                }
            }
        }
        return null;
    }
}
