package com.sec.factory.aporiented.athandler;

import android.content.Context;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.File;

public class AtUencrypt extends AtCommandHandler {
    public AtUencrypt(Context context) {
        super(context);
        this.CMD_NAME = "UENCRYPT";
        this.CLASS_NAME = "AtUencrypt";
        this.NUM_ARGS = 3;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        File factoryODE = new File(Support.Kernel.getFilePath(Support.Kernel.EFS_FACTORY_ODE_PATH));
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (!checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - NOT registered index"));
            resData = responseNA();
        } else if (factoryODE.exists()) {
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,1,0", "Fail - factory ode file Exist"));
            resData = responseNG(argu[0]);
        } else {
            String str2 = this.CLASS_NAME;
            FtUtil.log_d(str2, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,1,0", "Pass"));
            resData = responseOK(argu[0]);
        }
        return resData;
    }
}
