package com.sec.factory.aporiented.athandler;

import android.content.Context;
import android.content.Intent;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.File;

public class AtUsbtdata extends AtCommandHandler {
    private static final String ACTION_RECEIVE_USBTESTRESULT_IN_JIG = "com.sec.samsung.ACTION_RECEIVE_USBTESTRESULT_IN_JIG";

    public AtUsbtdata(Context context) {
        super(context);
        this.CMD_NAME = "USBTTEST";
        this.CLASS_NAME = "AtUsbtdata";
        this.NUM_ARGS = 4;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (argu.length < this.NUM_ARGS) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", EgisFingerprint.MAJOR_VERSION, "0"})) {
            FtUtil.log_i(this.CLASS_NAME, this.CMD_NAME, null);
            File fileUsbTestResultInJig = new File("data/log/USBTestResultInJig.log");
            resData = responseString(argu[0], Support.Kernel.readFromPath(fileUsbTestResultInJig.getPath(), true));
            String str = this.CLASS_NAME;
            String str2 = this.CMD_NAME;
            FtUtil.log_i(str, str2, "USB Test Result in Jig : " + Support.Kernel.readFromPath(fileUsbTestResultInJig.getPath(), true));
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
            FtUtil.log_i(this.CLASS_NAME, this.CMD_NAME, null);
            File fileUsbTestResultInPhone = new File("data/log/USBTestResultInPhone.log");
            resData = responseString(argu[0], Support.Kernel.readFromPath(fileUsbTestResultInPhone.getPath(), true));
            String str3 = this.CLASS_NAME;
            String str4 = this.CMD_NAME;
            FtUtil.log_i(str3, str4, "USB Test Result in Phone : " + Support.Kernel.readFromPath(fileUsbTestResultInPhone.getPath(), true));
        } else if (checkArgu(argu, new String[]{"2", "0", EgisFingerprint.MAJOR_VERSION})) {
            FtUtil.log_i(this.CLASS_NAME, this.CMD_NAME, argu[3]);
            File fileUsbTestResultinJig = new File("data/log/USBTestResultInJig.log");
            if (argu[3] == null) {
                resData = responseNG(argu[0]);
            } else if (Support.Kernel.writeToPathNsync(fileUsbTestResultinJig.getPath(), argu[3])) {
                resData = responseOK(argu[0]);
                String str5 = this.CLASS_NAME;
                String str6 = this.CMD_NAME;
                FtUtil.log_i(str5, str6, "Write USB Test Result in Jig : " + Support.Kernel.readFromPath(fileUsbTestResultinJig.getPath(), true));
                Intent intent = new Intent(ACTION_RECEIVE_USBTESTRESULT_IN_JIG);
                intent.putExtra("USBTESRRESULT_IN_JIG", argu[3]);
                this.context.sendBroadcast(intent);
                FtUtil.log_i(this.CLASS_NAME, this.CMD_NAME, "sendBroadcast");
            } else {
                resData = responseNG(argu[0]);
            }
        } else {
            resData = responseNA();
        }
        return resData;
    }
}
