package com.sec.factory.aporiented.athandler;

import android.content.Context;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.File;

public class AtUserdata extends AtCommandHandler {
    public AtUserdata(Context context) {
        super(context);
        this.CMD_NAME = "USERDATA";
        this.CLASS_NAME = "AtUserdata";
        this.NUM_ARGS = 3;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0"})) {
            String value = Support.Kernel.readAllFromPath(new File("data/version.txt").getPath(), true);
            String str = this.CLASS_NAME;
            String str2 = this.CMD_NAME;
            FtUtil.log_d(str, "handleCommand", FtUtil.setMspSeqMessage(3, str2, "result : " + value));
            if (value == null || !value.contains(" ")) {
                resData = responseNG(argu[0]);
            } else {
                resData = responseString(argu[0], value.split(" ")[1]);
            }
        } else {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - NOT registered index"));
            resData = responseNA();
        }
        return resData;
    }
}
