package com.sec.factory.aporiented.athandler;

import android.content.Context;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class AtVdflinfo extends AtCommandHandler {
    private String logFilePath = "/data/log/VDFailData.log";
    private Context mContext;

    public AtVdflinfo(Context context) {
        super(context);
        this.CMD_NAME = "VDFLINFO";
        this.CLASS_NAME = "AtVdflinfo";
        this.mContext = context;
        this.NUM_ARGS = 4;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (argu.length < this.NUM_ARGS) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", EgisFingerprint.MAJOR_VERSION, "0"})) {
            String result = Support.Kernel.readFromPath(this.logFilePath, true);
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "handleCommand", "read Vision-Display Location Info result : " + result);
            if (result != null) {
                resData = responseString(argu[0], result);
            } else {
                resData = responseString(argu[0], "NONE");
            }
        } else if (checkArgu(argu, new String[]{"2", "0", EgisFingerprint.MAJOR_VERSION})) {
            StringBuffer tempFdata = new StringBuffer(15);
            for (int i = 3; i < argu.length; i++) {
                tempFdata.append(argu[i]);
                if (i != argu.length - 1) {
                    tempFdata.append(',');
                }
            }
            String fData = tempFdata.toString();
            String str2 = this.CLASS_NAME;
            FtUtil.log_d(str2, "handleCommand", "write Vision-Display Location Info : " + fData);
            if (Support.Kernel.writeToPathNsync(this.logFilePath, fData)) {
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        } else {
            resData = responseNA();
        }
        return resData;
    }
}
