package com.sec.factory.aporiented.athandler;

import android.content.BroadcastReceiver;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.media.AudioAttributes;
import android.media.AudioManager;
import android.media.MediaPlayer;
import android.net.Uri;
import android.os.SystemProperties;
import com.goodix.fingerprint.BuildConfig;
import com.sec.factory.R;
import com.sec.factory.aporiented.ResponseWriter;
import com.sec.factory.modules.MotorService;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.File;

public class AtVibrtest extends AtCommandHandler {
    public static final int AUDIO_PATH_EAR = 2;
    public static final int AUDIO_PATH_HDMI = 3;
    public static final int AUDIO_PATH_OFF = 4;
    public static final int AUDIO_PATH_RCV = 1;
    public static final int AUDIO_PATH_SPK = 0;
    private static final String MOTORSERVICE_DONE = "com.sec.factory.MotorService.DONE";
    private static ComponentName mMotorServiceComponentName = null;
    private final String[] AUDIO_PATH = {"spk", "rcv", "ear", "hdmi", "off"};
    private AudioAttributes mAudioAttributes = new AudioAttributes.Builder().setUsage(4).setHapticChannelsMuted(false).build();
    private AudioManager mAudioManager;
    private Context mContext;
    private MediaPlayer mMediaPlayer;
    public BroadcastReceiver mReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.aporiented.athandler.AtVibrtest.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            String mAction = intent.getAction();
            FtUtil.log_d(AtVibrtest.this.CLASS_NAME, "onReceive", mAction);
            if (AtVibrtest.MOTORSERVICE_DONE.equals(mAction)) {
                String dataString = Support.Kernel.readFromPath(AtVibrtest.this.motorDataFile.getPath(), true);
                if (dataString == null) {
                    AtVibrtest.this.writer.write(AtVibrtest.this.responseString("0", "NG_NO FILE"));
                } else if ("".equals(dataString)) {
                    AtVibrtest.this.writer.write(AtVibrtest.this.responseString("0", "NG_NO DATA"));
                } else {
                    String[] datas = dataString.split(",");
                    if (datas[0] == null || datas[1] == null || datas[2] == null || datas[3] == null || datas[4] == null || datas[5] == null) {
                        AtVibrtest.this.writer.write(AtVibrtest.this.responseString("0", "NG_NO DATA"));
                    } else {
                        ResponseWriter responseWriter = AtVibrtest.this.writer;
                        AtVibrtest atVibrtest = AtVibrtest.this;
                        responseWriter.write(atVibrtest.responseString("0", "OK_" + datas[0] + "," + datas[1] + "," + datas[2] + "," + datas[3] + "," + datas[4] + "," + datas[5]));
                    }
                }
                AtVibrtest atVibrtest2 = AtVibrtest.this;
                atVibrtest2.stopReceiver(atVibrtest2.mReceiver);
                AtVibrtest.this.stopMotorService();
            }
        }
    };
    private File motorDataFile;

    public AtVibrtest(Context context, ResponseWriter writer) {
        super(context);
        this.CMD_NAME = "VIBRTEST";
        this.CLASS_NAME = "AtVibrtest";
        this.NUM_ARGS = 2;
        this.motorDataFile = new File("data/log/MOTOR_Data.log");
        this.mContext = context;
        this.writer = writer;
        this.mAudioManager = (AudioManager) context.getSystemService("audio");
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData = null;
        int firstApiLevel = SystemProperties.getInt("ro.product.first_api_level", 0);
        FtUtil.log_d(this.CLASS_NAME, "handleCommand", "firstApiLevel:" + firstApiLevel);
        if (argu.length == (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            if (Support.Feature.getBoolean(Support.Feature.SUPPORT_VIBRATOR, true)) {
                if (firstApiLevel < 28) {
                    return responseNA();
                }
                if (checkArgu(argu, new String[]{"0", "0"})) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "start vibrate cmd");
                    mModuleDevice.startVibrate();
                    resData = responseOK(argu[0]);
                } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION}) || checkArgu(argu, new String[]{"0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "stop vibrate cmd");
                    mModuleDevice.stopVibrate();
                    resData = responseOK(argu[0]);
                } else if (checkArgu(argu, new String[]{"0", "6"})) {
                    startMotorService();
                } else if (checkArgu(argu, new String[]{"0", "8"})) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "start ACH cmd");
                    setAudioPath(0);
                    startMedia(R.raw.dc_5s);
                    FtUtil.Sleep.sleep(1000);
                    if (Support.Kernel.isExistFile(Support.Kernel.ACH_I2S_SYSFS)) {
                        String data = Support.Kernel.read(Support.Kernel.ACH_I2S_SYSFS);
                        setAudioPath(4);
                        stopMedia();
                        FtUtil.Sleep.sleep(500);
                        if (data == null || data.isEmpty()) {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "ACH value is empty");
                            resData = responseNG(argu[0]);
                        } else {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "ACH value: " + data);
                            if (EgisFingerprint.MAJOR_VERSION.equals(data)) {
                                resData = responseOK(argu[0]);
                            } else {
                                resData = responseNG(argu[0]);
                            }
                        }
                    } else {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", "ACH sysfs was not exist");
                        setAudioPath(4);
                        stopMedia();
                        FtUtil.Sleep.sleep(500);
                        resData = responseNG(argu[0]);
                    }
                } else if (checkArgu(argu, new String[]{"0", egis.optical.client.api.EgisFingerprint.JAR_VERSION})) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "ACH Motor Sound Test Start");
                    setAudioPath(0);
                    startMedia(R.raw.ach_test_sweep_linear_145_175hz_2s_on_1s_off);
                    FtUtil.Sleep.sleep(500);
                    resData = responseOK(argu[0]);
                } else if (checkArgu(argu, new String[]{"0", "4"})) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "ACH Motor Sound Test Stop");
                    setAudioPath(4);
                    stopMedia();
                    FtUtil.Sleep.sleep(500);
                    resData = responseOK(argu[0]);
                } else if (checkArgu(argu, new String[]{"4"})) {
                    long[] pattern = new long[2];
                    if (argu[1] != null) {
                        String[] data2 = argu[1].split("_");
                        if (data2.length == 3) {
                            pattern[0] = Long.parseLong(data2[1]);
                            pattern[1] = Long.parseLong(data2[0]);
                            if (mModuleDevice.startVibrateVrms(pattern, Float.parseFloat(data2[2]))) {
                                resData = responseOK(argu[0]);
                            } else {
                                resData = responseNG(argu[0]);
                            }
                        } else {
                            resData = responseNG(argu[0]);
                        }
                    } else {
                        resData = responseNG(argu[0]);
                    }
                } else if (!FtUtil.isFactoryBinary()) {
                    resData = responseNA();
                } else if (checkArgu(argu, new String[]{"0", "5"})) {
                    String dataString = Support.Kernel.readFromPath(this.motorDataFile.getPath(), true);
                    if (dataString == null) {
                        resData = responseString(argu[0], "NONE");
                    } else if ("".equals(dataString)) {
                        resData = responseString(argu[0], "NONE");
                    } else {
                        String[] datas = dataString.split(",");
                        String result = "P".equals(datas[datas.length - 1]) ? "" + "OK_1" : "" + "NG_1";
                        for (int index = 0; index < datas.length - 1; index++) {
                            result = result + "," + datas[index];
                        }
                        resData = responseString(argu[0], result);
                    }
                } else if (checkArgu(argu, new String[]{"0", "7"})) {
                    if (Support.Kernel.isExistFile(Support.Kernel.THE_DEVICE_MOTOR_TYPE)) {
                        String MotorType = Support.Kernel.read(Support.Kernel.THE_DEVICE_MOTOR_TYPE);
                        if ("LINEAR_INDEX".equals(MotorType) || "LINEAR_1030".equals(MotorType) || "LINEAR_INDEX_RC".equals(MotorType) || "LINEAR_1040".equals(MotorType)) {
                            resData = responseOK(argu[0]);
                        } else {
                            resData = responseNG(argu[0]);
                        }
                    } else if (Support.Kernel.isExistFile(Support.Kernel.BUS_INPUT_DEVICE)) {
                        String busInputDevice = Support.Kernel.readAllLine(Support.Kernel.BUS_INPUT_DEVICE, true);
                        if (busInputDevice == null || busInputDevice.indexOf("sec_vibrator_inputff") == -1) {
                            resData = responseNG(argu[0]);
                        } else {
                            resData = responseOK(argu[0]);
                        }
                    } else {
                        resData = responseNG(argu[0]);
                    }
                } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
                    long[] pattern2 = new long[2];
                    int[] amplitude = new int[2];
                    if (argu[1] != null) {
                        String[] data3 = argu[1].split("_");
                        if (data3.length == 3) {
                            pattern2[0] = Long.parseLong(data3[1]);
                            pattern2[1] = Long.parseLong(data3[0]);
                            amplitude[0] = 0;
                            amplitude[1] = Integer.parseInt(data3[2]);
                            mModuleDevice.startVibrate(pattern2, amplitude);
                            resData = responseOK(argu[0]);
                        } else {
                            resData = responseNG(argu[0]);
                        }
                    } else {
                        resData = responseNG(argu[0]);
                    }
                } else {
                    resData = responseNA();
                }
                return resData;
            }
        }
        return responseNA();
    }

    private void startMotorService() {
        startReceiver();
        FtUtil.log_i(this.CLASS_NAME, "startMotorService", null);
        Intent i = new Intent(this.context, MotorService.class);
        i.putExtra("isAutoResponse", true);
        mMotorServiceComponentName = this.context.startService(i);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void stopMotorService() {
        FtUtil.log_i(this.CLASS_NAME, "stopMotorService", null);
        if (mMotorServiceComponentName != null) {
            Intent i = new Intent();
            i.setComponent(mMotorServiceComponentName);
            boolean result = this.context.stopService(i);
            String str = this.CLASS_NAME;
            FtUtil.log_i(str, "stopMotorService", "StopService result " + result);
            mMotorServiceComponentName = null;
        }
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public void startReceiver() {
        IntentFilter mFilter = new IntentFilter();
        mFilter.addAction(MOTORSERVICE_DONE);
        this.context.registerReceiver(this.mReceiver, mFilter);
    }

    private void startMedia(int resId) {
        FtUtil.log_d(this.CLASS_NAME, "startMedia", null);
        release();
        try {
            MediaPlayer mediaPlayer = new MediaPlayer();
            this.mMediaPlayer = mediaPlayer;
            mediaPlayer.reset();
            this.mMediaPlayer.setLooping(true);
            MediaPlayer mediaPlayer2 = this.mMediaPlayer;
            Context applicationContext = this.mContext.getApplicationContext();
            mediaPlayer2.setDataSource(applicationContext, Uri.parse("android.resource://" + this.mContext.getApplicationContext().getPackageName() + "/" + resId));
            this.mMediaPlayer.setAudioAttributes(this.mAudioAttributes);
            this.mMediaPlayer.prepare();
            this.mMediaPlayer.start();
        } catch (Exception e) {
            FtUtil.log_e(e);
            release();
        }
    }

    private void stopMedia() {
        FtUtil.log_d(this.CLASS_NAME, "stopMedia", null);
        MediaPlayer mediaPlayer = this.mMediaPlayer;
        if (mediaPlayer != null) {
            mediaPlayer.stop();
            release();
        }
    }

    private void release() {
        FtUtil.log_d(this.CLASS_NAME, BuildConfig.BUILD_TYPE, null);
        MediaPlayer mediaPlayer = this.mMediaPlayer;
        if (mediaPlayer != null) {
            mediaPlayer.release();
            this.mMediaPlayer = null;
        }
    }

    public void setAudioPath(int path) {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "setMode", "setAudioPath : factory_test_route=" + this.AUDIO_PATH[path]);
        AudioManager audioManager = this.mAudioManager;
        audioManager.setParameters("factory_test_route=" + this.AUDIO_PATH[path]);
    }
}
