package com.sec.factory.aporiented.athandler;

import android.content.Context;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.optical.client.api.EgisFingerprint;

public class AtWColorid extends AtCommandHandler {
    private static final String STRING_NO_OCTA_DATA_CASE_FIRST = "ff ff ff";
    private static final String STRING_NO_OCTA_DATA_CASE_SECOND = "00 00 00";
    private static final String STRING_WRITE_DATA = "1";

    public AtWColorid(Context context) {
        super(context);
        this.CMD_NAME = "WCOLORID";
        this.CLASS_NAME = "AtWColorid";
        this.NUM_ARGS = 4;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        String str = this.CLASS_NAME;
        FtUtil.log_e(str, "handleCommand", "cmd length : " + argu.length);
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"1", "0", "0", "0"})) {
            String data = Support.Kernel.read(Support.Kernel.WINDOW_TYPE);
            if (data == null) {
                resData = responseNG(argu[0]);
            } else if (STRING_NO_OCTA_DATA_CASE_FIRST.equalsIgnoreCase(data) || STRING_NO_OCTA_DATA_CASE_SECOND.equalsIgnoreCase(data) || "NULL".equalsIgnoreCase(data)) {
                FtUtil.log_e(this.CLASS_NAME, "handleCommand", "Device was not equipped octa. So octa data was empty...");
                resData = responseNG(argu[0]);
            } else {
                resData = responseString(argu[0], data.substring(1, 2));
            }
        } else if (checkArgu(argu, new String[]{"1", "0", "0", "1"})) {
            String data2 = Support.Kernel.read(Support.Kernel.WINDOW_TYPE_2);
            if (data2 == null) {
                resData = responseNG(argu[0]);
            } else if (STRING_NO_OCTA_DATA_CASE_FIRST.equalsIgnoreCase(data2) || STRING_NO_OCTA_DATA_CASE_SECOND.equalsIgnoreCase(data2) || "NULL".equalsIgnoreCase(data2)) {
                FtUtil.log_e(this.CLASS_NAME, "handleCommand", "Device was not equipped octa. So octa data was empty...");
                resData = responseNG(argu[0]);
            } else {
                resData = responseString(argu[0], data2.substring(1, 2));
            }
        } else if (checkArgu(argu, new String[]{"1", "0", "1", "0"})) {
            String result = Support.Kernel.read(Support.Kernel.HIDDEN_HOLE_VER);
            if (result == null) {
                resData = responseNG(argu[0]);
            } else if ("0,0".equals(result)) {
                resData = responseString(argu[0], "NG_CS");
            } else {
                resData = responseString(argu[0], result);
            }
        } else if (checkArgu(argu, new String[]{"1", "0", "2", "0"})) {
            resData = responseString(argu[0], Support.Kernel.read(Support.Kernel.TSK_LIGHT_VER));
        } else if (checkArgu(argu, new String[]{"1", "1", "0", "0"})) {
            String result2 = Support.Kernel.read(Support.Kernel.WINDOW_TYPE);
            if (result2 == null) {
                resData = responseString(argu[0], "NONE");
            } else if (Integer.parseInt(result2.substring(0, 1), 16) < 8) {
                resData = responseString(argu[0], "SAMSUNG");
            } else {
                resData = responseString(argu[0], "NONE");
            }
        } else if (checkArgu(argu, new String[]{"1", "1", "1", "0"})) {
            String result3 = mModuleCommon.readLcdType();
            if (result3 != null) {
                String result4 = result3.substring(6, 7);
                String str2 = this.CLASS_NAME;
                FtUtil.log_e(str2, "handleCommand", "result : " + result4);
                int remain = Integer.parseInt(result4) % 4;
                if (remain == 0 || remain == 1) {
                    resData = responseString(argu[0], "P");
                } else {
                    resData = responseString(argu[0], "G");
                }
            } else {
                resData = responseString(argu[0], "NONE");
            }
        } else if (checkArgu(argu, new String[]{"2", "0", "0", "0"})) {
            if (!FtUtil.isFactoryBinary()) {
                resData = responseNA();
            } else if ("TRUE".equalsIgnoreCase(Support.Kernel.read(Support.Kernel.HIDDEN_HOLE_DATA))) {
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"2", "0", "1", "0"})) {
            if (!FtUtil.isFactoryBinary()) {
                resData = responseNA();
            } else if (Support.Kernel.write(Support.Kernel.TSK_LIGHT_DATA, "1")) {
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"2", "0", "2"})) {
            String[] mData_result = argu[3].replaceAll("\"", "").split("_");
            if ("V".equalsIgnoreCase(mData_result[0])) {
                String str3 = this.CLASS_NAME;
                FtUtil.log_e(str3, "handleCommand", "Version[" + mData_result[0] + "] : " + mData_result[1]);
                if (Support.Kernel.write(Support.Kernel.HIDDEN_HOLE_VER, mData_result[1])) {
                    resData = responseOK(argu[0]);
                } else {
                    resData = responseNG(argu[0]);
                }
            } else {
                String str4 = this.CLASS_NAME;
                FtUtil.log_e(str4, "handleCommand", "Index[" + mData_result[0] + "] : " + mData_result[1]);
                if (Support.Kernel.write(Support.Kernel.HIDDEN_HOLE_DATA, mData_result[1])) {
                    resData = responseOK(argu[0]);
                } else {
                    resData = responseNG(argu[0]);
                }
            }
        } else if (checkArgu(argu, new String[]{"2", "0", EgisFingerprint.MAJOR_VERSION})) {
            if (Support.Kernel.write(Support.Kernel.TSK_LIGHT_WRITE_DATA, argu[3].replaceAll("\"", ""))) {
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0", "0"})) {
            if ("TRUE".equalsIgnoreCase(Support.Kernel.read(Support.Kernel.COMPARE_HIDDEN_HOLE_OCTA_COLOR))) {
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (!checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "1", "0"})) {
            resData = responseNA();
        } else if ("OK".equalsIgnoreCase(Support.Kernel.read(Support.Kernel.COMPARE_TSK_LIGHT_OCTA_COLOR))) {
            resData = responseOK(argu[0]);
        } else {
            resData = responseNG(argu[0]);
        }
        return resData;
    }
}
