package com.sec.factory.aporiented.athandler;

import android.content.Context;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class AtWPCCScmd extends AtCommandHandler {
    private Context mContext;

    public AtWPCCScmd(Context context) {
        super(context);
        this.mContext = context;
        this.CMD_NAME = "WPCCSCMD";
        this.CLASS_NAME = "AtWPCCScmd";
        this.NUM_ARGS = 3;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (!checkArgu(argu, new String[]{"0", "0", "0"})) {
            resData = responseNA();
        } else if (!Support.Kernel.write(Support.Kernel.BATTERY_WPC_CHARGE, EgisFingerprint.MAJOR_VERSION)) {
            return responseNG(argu[0]);
        } else {
            try {
                FtUtil.log_d(this.CLASS_NAME, "delay", " : 100ms");
                Thread.sleep(100);
            } catch (InterruptedException e) {
                e.printStackTrace();
            }
            String result = Support.Kernel.read(Support.Kernel.BATTERY_WPC_CHARGE, true);
            if (result == null || result.isEmpty()) {
                return responseNG(argu[0]);
            } else if (result.charAt(0) == '1') {
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
        }
        return resData;
    }
}
