package com.sec.factory.aporiented.athandler;

import android.content.Context;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class AtWdeteccc extends AtCommandHandler {
    private final Context mContext;

    public AtWdeteccc(Context context) {
        super(context);
        this.CMD_NAME = "WDETECCC";
        this.CLASS_NAME = "AtWdeteccc";
        this.NUM_ARGS = 3;
        this.mContext = context;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", "0", "0"})) {
            String result = "";
            if (Support.Kernel.isExistFile(Support.Kernel.CCIC_WATER_CHECK)) {
                result = Support.Kernel.read(Support.Kernel.CCIC_WATER_CHECK, true);
            }
            FtUtil.log_d(this.CLASS_NAME, "WATER_CHECK : ", result);
            if (EgisFingerprint.MAJOR_VERSION.equals(result)) {
                resData = responseString(argu[0], "DRY");
            } else if ("0".equals(result)) {
                resData = responseString(argu[0], "WET");
            } else {
                resData = responseNG(argu[0]);
            }
        } else {
            resData = responseNA();
        }
        return resData;
    }
}
