package com.sec.factory.aporiented.athandler;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import com.sec.factory.aporiented.ResponseWriter;
import com.sec.factory.support.FtUtil;
import egis.client.api.EgisFingerprint;

public class AtWidcount extends AtCommandHandler {
    private final String ACTION_HOME_WIDCOUNT_REQUEST = "android.intent.action.REQUEST_HOME_COUNT";
    private final String ACTION_HOME_WIDCOUNT_RESPONSE = "android.intent.action.RESPONSE_HOME_COUNT";
    private final String ACTION_WIDCOUNT_REQUEST = "android.intent.action.REQUEST_WIDGET_COUNT";
    private final String ACTION_WIDCOUNT_RESPONSE = "android.intent.action.RESPONSE_WIDGET_COUNT";
    private int homeWidgetCount = -1;
    private boolean mIsReceived_HOME_COUNT = false;
    private boolean mIsReceived_WID_COUNT = false;
    public BroadcastReceiver mReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.aporiented.athandler.AtWidcount.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            String action = intent.getAction();
            if ("android.intent.action.RESPONSE_HOME_COUNT".equals(action)) {
                AtWidcount.this.mIsReceived_HOME_COUNT = true;
                AtWidcount.this.homeWidgetCount = intent.getIntExtra("HOME_ALL_COUNT", -99);
                FtUtil.log_d(AtWidcount.this.CLASS_NAME, "onReceive", "homeWidgetCount: " + AtWidcount.this.homeWidgetCount);
            } else if ("android.intent.action.RESPONSE_WIDGET_COUNT".equals(action)) {
                AtWidcount.this.mIsReceived_WID_COUNT = true;
                AtWidcount.this.menuWidgetCount = intent.getIntExtra("WIDGET_ALL_COUNT", -99);
                FtUtil.log_d(AtWidcount.this.CLASS_NAME, "onReceive", "menuWidgetCount: " + AtWidcount.this.menuWidgetCount);
            }
            if (AtWidcount.this.mIsReceived_WID_COUNT && AtWidcount.this.mIsReceived_HOME_COUNT) {
                String result = AtWidcount.this.menuWidgetCount + "," + AtWidcount.this.homeWidgetCount;
                FtUtil.log_d(AtWidcount.this.CLASS_NAME, "onReceive", "result: " + result);
                AtWidcount.this.writer.write(AtWidcount.this.responseString(EgisFingerprint.MAJOR_VERSION, result));
                AtWidcount atWidcount = AtWidcount.this;
                atWidcount.stopReceiver(atWidcount.mReceiver);
            }
        }
    };
    private int menuWidgetCount = -1;

    public AtWidcount(Context context, ResponseWriter writer) {
        super(context);
        this.CMD_NAME = "WIDCOUNT";
        this.CLASS_NAME = "AtWidcount";
        this.NUM_ARGS = 3;
        this.writer = writer;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public void startReceiver() {
        IntentFilter filter = new IntentFilter();
        filter.addAction("android.intent.action.RESPONSE_WIDGET_COUNT");
        filter.addAction("android.intent.action.RESPONSE_HOME_COUNT");
        this.context.registerReceiver(this.mReceiver, filter);
    }

    public void stopReceiver() {
        this.context.unregisterReceiver(this.mReceiver);
        this.mIsReceived_WID_COUNT = false;
        this.mIsReceived_HOME_COUNT = false;
        this.homeWidgetCount = -1;
        this.menuWidgetCount = -1;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData = null;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0"})) {
            startReceiver();
            this.context.sendBroadcast(new Intent("android.intent.action.REQUEST_WIDGET_COUNT"));
            this.context.sendBroadcast(new Intent("android.intent.action.REQUEST_HOME_COUNT"));
        } else {
            resData = responseNA();
        }
        return resData;
    }
}
