package com.sec.factory.aporiented.athandler;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import com.sec.factory.aporiented.ResponseWriter;
import com.sec.factory.modules.ModuleCommunication;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.optical.client.api.EgisFingerprint;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.nio.charset.StandardCharsets;

public class AtWifitest extends AtCommandHandler {
    private static final String ACTION_WIFI_STRESS_TEST = "com.sec.factory.aporiented.athandler.AtWifitest.WIFI_STRESS_TEST";
    private static final String ACTION_WIFI_STRESS_TEST_REMOTE = "remote";
    private static final String ACTION_WIFI_STRESS_TEST_RESULT = "result";
    private static String first_argu = null;
    private static boolean isReceivedATCommands = false;
    public BroadcastReceiver mReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.aporiented.athandler.AtWifitest.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            String mAction = intent.getAction();
            String str = AtWifitest.this.CLASS_NAME;
            FtUtil.log_d(str, "handleCommand", "Action: " + mAction);
            if (!AtWifitest.isReceivedATCommands) {
                AtWifitest atWifitest = AtWifitest.this;
                atWifitest.stopReceiver(atWifitest.mReceiver);
                String str2 = AtWifitest.this.CLASS_NAME;
                FtUtil.log_w(str2, "handleCommand", "isReceivedATCommands: " + AtWifitest.isReceivedATCommands);
            } else if ("com.sec.android.app.wlantest.WIFI_TEST_RESPONSE".equals(mAction)) {
                AtWifitest atWifitest2 = AtWifitest.this;
                atWifitest2.stopReceiver(atWifitest2.mReceiver);
                AtWifitest.this.writer.write(AtWifitest.this.responseString(AtWifitest.first_argu, intent.getStringExtra("S_DATA")));
            } else if ("android.intent.action.WIFI_DRIVER_INDICATION".equals(mAction)) {
                String str3 = AtWifitest.this.CLASS_NAME;
                FtUtil.log_d(str3, "handleCommand", "Status: " + intent.getStringExtra("STATUS"));
                if (intent.getStringExtra("STATUS").equals("ready")) {
                    AtWifitest.this.mWlanTest = 1;
                    AtWifitest atWifitest3 = AtWifitest.this;
                    atWifitest3.handleCommand(atWifitest3.savedArgu);
                    return;
                }
                AtWifitest.this.mWlanTest = 0;
            }
        }
    };
    private BroadcastReceiver mWiFiStressTestReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.aporiented.athandler.AtWifitest.AnonymousClass2 */

        public void onReceive(Context context, Intent intent) {
            if (AtWifitest.ACTION_WIFI_STRESS_TEST.equals(intent.getAction())) {
                String response = intent.getStringExtra("result");
                String str = AtWifitest.this.CLASS_NAME;
                FtUtil.log_d(str, "BroadcastReceiver.onReceive", "ACTION_SEMI_FUNCTION_TEST_RESULT response: " + response);
                if (AtWifitest.this.writer != null) {
                    AtWifitest.this.writer.write(AtWifitest.this.responseString(EgisFingerprint.MAJOR_VERSION, response));
                }
            }
            AtWifitest atWifitest = AtWifitest.this;
            atWifitest.stopReceiver(atWifitest.mWiFiStressTestReceiver);
        }
    };
    private int mWlanTest = 0;
    private String[] savedArgu;

    public AtWifitest(Context context, ResponseWriter writer) {
        super(context);
        this.CMD_NAME = "WIFITEST";
        this.CLASS_NAME = "AtWifitest";
        this.NUM_ARGS = 4;
        this.writer = writer;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public void startReceiver() {
        FtUtil.log_i(this.CLASS_NAME, "startReceiver");
        IntentFilter mFilter = new IntentFilter();
        mFilter.addAction("com.sec.android.app.wlantest.WIFI_TEST_RESPONSE");
        mFilter.addAction("android.intent.action.WIFI_DRIVER_INDICATION");
        this.context.registerReceiver(this.mReceiver, mFilter);
    }

    private void startWiFiStressTestReceiver() {
        FtUtil.log_d(this.CLASS_NAME, "startWiFiStressTestReceiver");
        IntentFilter mFilter = new IntentFilter();
        mFilter.addAction(ACTION_WIFI_STRESS_TEST);
        this.context.registerReceiver(this.mWiFiStressTestReceiver, mFilter);
    }

    public boolean runWiFiStressTest() {
        FtUtil.log_i(this.CLASS_NAME, "runWiFiStressTest");
        if (!FtUtil.isFactoryBinary()) {
            return false;
        }
        FtUtil.log_i(this.CLASS_NAME, "Start WiFiStressTest");
        Intent i = new Intent();
        i.setClassName("com.sec.android.app.factorykeystring", "com.sec.android.app.status.WiFiStressTest");
        i.putExtra(ACTION_WIFI_STRESS_TEST_REMOTE, true);
        i.setFlags(872415232);
        this.context.startActivity(i);
        return true;
    }

    /* access modifiers changed from: package-private */
    public int DoShellCmd(String cmd) {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "DoShellCmd", "cmd = " + cmd);
        String[] shell_command = {"/system/bin/sh", "-c", cmd};
        try {
            FtUtil.log_d(this.CLASS_NAME, "DoShellCmd", "exec command");
            Process p = Runtime.getRuntime().exec(shell_command);
            p.waitFor();
            BufferedReader br = new BufferedReader(new InputStreamReader(p.getInputStream(), StandardCharsets.UTF_8));
            while (true) {
                String line = br.readLine();
                if (line != null) {
                    FtUtil.log_i("DoShellCmd", line);
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "DoShellCmd", "exec done");
                    FtUtil.log_d(this.CLASS_NAME, "DoShellCmd", "DoShellCmd done");
                    return 1;
                }
            }
        } catch (IOException exception) {
            String str2 = this.CLASS_NAME;
            FtUtil.log_e(str2, "DoShellCmd", "DoShellCmd - IOException" + exception);
            return -1;
        } catch (SecurityException exception2) {
            String str3 = this.CLASS_NAME;
            FtUtil.log_e(str3, "DoShellCmd", "SecurityException" + exception2);
            return -1;
        } catch (InterruptedException e) {
            String str4 = this.CLASS_NAME;
            FtUtil.log_e(str4, "DoShellCmd", "InterruptedException" + e);
            return -1;
        }
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        String command = "";
        for (int i = 0; i < argu.length; i++) {
            command = command + argu[i];
        }
        FtUtil.log_d(this.CLASS_NAME, "handleCommand", "command : " + command);
        String resData2 = null;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            if (argu.length != (STAGE_PARALLEL ? 13 : 12)) {
                return responseNA();
            }
        }
        first_argu = argu[0];
        if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.JAR_VERSION, EgisFingerprint.JAR_VERSION, "0"})) {
            if (runWiFiStressTest()) {
                startWiFiStressTestReceiver();
            } else {
                resData2 = responseNG(argu[0]);
            }
            return resData2;
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "8", "0", "0"})) {
            Support.Kernel.writeNsync(Support.Kernel.AIR_COMMAND_WIFI, "0");
            return responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "8", "0", egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
            Support.Kernel.writeNsync(Support.Kernel.AIR_COMMAND_WIFI, egis.client.api.EgisFingerprint.MAJOR_VERSION);
            return responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "8", "0", "2"})) {
            return responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.JAR_VERSION, EgisFingerprint.JAR_VERSION, EgisFingerprint.JAR_VERSION})) {
            if (DoShellCmd("/vendor/bin/enable_test_mode.sh " + argu[3]) == 1) {
                resData = responseOK(argu[0]);
            } else {
                resData = responseNG(argu[0]);
            }
            return resData;
        } else {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "mWlanTest: " + this.mWlanTest);
            isReceivedATCommands = true;
            if (this.mWlanTest != 0) {
                startReceiver();
                if (checkArgu(argu, new String[]{"0", egis.client.api.EgisFingerprint.MAJOR_VERSION, "0"})) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "command : closeDut");
                    sendIntent(1, argu[3]);
                    this.mWlanTest = 0;
                } else if (checkArgu(argu, new String[]{"0", egis.client.api.EgisFingerprint.MAJOR_VERSION, egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "command : openDut");
                    sendIntent(0, argu[3]);
                } else if (checkArgu(argu, new String[]{"0", egis.client.api.EgisFingerprint.MAJOR_VERSION, "2"})) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "command : unloadNormalFW");
                    sendIntent(19, argu[3]);
                } else if (checkArgu(argu, new String[]{"0", egis.client.api.EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "command : loadNormalFW");
                    sendIntent(18, argu[3]);
                } else if (checkArgu(argu, new String[]{"0", egis.client.api.EgisFingerprint.MAJOR_VERSION, "5"})) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "command : Channel Encoding");
                    sendIntent(26, argu[3]);
                } else if (checkArgu(argu, new String[]{"0", egis.client.api.EgisFingerprint.MAJOR_VERSION, "6"})) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "command : RU Base Rx Test Setting");
                    sendIntent(28, argu[3]);
                } else if (checkArgu(argu, new String[]{"0", egis.client.api.EgisFingerprint.MAJOR_VERSION, "7"})) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "command : C-RED Setting (On / Off)");
                    sendIntent(42, argu[3]);
                } else if (checkArgu(argu, new String[]{"0", egis.client.api.EgisFingerprint.MAJOR_VERSION, "8"})) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "command : Set Country");
                    sendIntent(40, argu[3]);
                } else if (checkArgu(argu, new String[]{"0", egis.client.api.EgisFingerprint.MAJOR_VERSION, EgisFingerprint.JAR_VERSION})) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "command : Get Country");
                    sendIntent(39, argu[3]);
                } else if (checkArgu(argu, new String[]{"0", "0", "0"})) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "command : channelSetting");
                    sendIntent(6, argu[3]);
                } else if (checkArgu(argu, new String[]{"0", "0", egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "command : dataRateSetting");
                    sendIntent(2, argu[3]);
                } else if (checkArgu(argu, new String[]{"0", "0", "2"})) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "command : preambleSetting");
                    sendIntent(5, argu[3]);
                } else if (checkArgu(argu, new String[]{"0", "0", EgisFingerprint.MAJOR_VERSION})) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "command : txGainSetting");
                    sendIntent(7, argu[3]);
                } else if (checkArgu(argu, new String[]{"0", "0", "4"})) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "command : payloadLengthSetting");
                    sendIntent(9, argu[3]);
                } else if (checkArgu(argu, new String[]{"0", "0", "5"})) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "command : burstIntervalSetting");
                    sendIntent(8, argu[3]);
                } else if (checkArgu(argu, new String[]{"0", "0", "6"})) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "command : BandSetting");
                    sendIntent(16, argu[3]);
                } else if (checkArgu(argu, new String[]{"0", "0", "7"})) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "command : BandwidthSetting");
                    sendIntent(17, argu[3]);
                } else if (checkArgu(argu, new String[]{"0", "0", EgisFingerprint.JAR_VERSION})) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "command : RU");
                    sendIntent(27, argu[3]);
                } else if (checkArgu(argu, new String[]{"0", "2", "0"})) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "command : stopTx");
                    sendIntent(11, argu[3]);
                } else if (checkArgu(argu, new String[]{"0", "2", egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "command : startTx");
                    sendIntent(10, argu[3]);
                } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "0"})) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "command : stopRx");
                    sendIntent(13, argu[3]);
                } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "command : startRx");
                    sendIntent(12, argu[3]);
                } else if (checkArgu(argu, new String[]{"0", "4", "0"})) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "command : rxFrameReceiveError");
                    sendIntent(14, argu[3]);
                } else if (checkArgu(argu, new String[]{"0", "4", egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "command : rxFrameReceiveGood");
                    sendIntent(15, argu[3]);
                } else if (checkArgu(argu, new String[]{"0", "4", "2"})) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "command : GetRSSI");
                    sendIntent(23, argu[3]);
                } else if (checkArgu(argu, new String[]{"0", "4", EgisFingerprint.MAJOR_VERSION})) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "command : GetRED");
                    sendIntent(25, argu[3]);
                } else if (checkArgu(argu, new String[]{"0", "4", "4"})) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "command : Close Loop Power Control TSSI Test");
                    sendIntent(43, argu[3]);
                } else if (checkArgu(argu, new String[]{"0", "4", "5"})) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "command : 11ax Tx Error");
                    sendIntent(44, argu[3]);
                } else if (checkArgu(argu, new String[]{"0", "6", "0"})) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "command : joinAP");
                    sendIntent(20, argu[3]);
                } else if (checkArgu(argu, new String[]{"0", "6", egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "command : joinAP with 2GHz");
                    sendIntent(21, argu[3]);
                } else if (checkArgu(argu, new String[]{"0", "6", "2"})) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "command : joinAP with 5GHz");
                    sendIntent(22, argu[3]);
                } else if (checkArgu(argu, new String[]{"0", "7", "0"})) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "command : Ant Select");
                    sendIntent(4, argu[3]);
                } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.JAR_VERSION, EgisFingerprint.JAR_VERSION})) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "command : Set All settings");
                    String dataArgu = argu[3];
                    for (int i2 = 4; i2 < (STAGE_PARALLEL ? argu.length : argu.length - 1); i2++) {
                        dataArgu = (dataArgu + ",") + argu[i2];
                    }
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "dataArgu : " + dataArgu);
                    sendIntent(24, dataArgu);
                } else if (checkArgu(argu, new String[]{egis.client.api.EgisFingerprint.MAJOR_VERSION, "0", "0"})) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "command : Get Module Vendor");
                    sendIntent(41, argu[3]);
                } else {
                    resData2 = responseNA();
                }
            } else if (checkArgu(argu, new String[]{"0", egis.client.api.EgisFingerprint.MAJOR_VERSION, "0"}) || checkArgu(argu, new String[]{"0", egis.client.api.EgisFingerprint.MAJOR_VERSION, "2"})) {
                resData2 = responseOK(argu[0]);
            } else {
                startReceiver();
                this.savedArgu = argu;
                Intent i3 = new Intent();
                i3.setClassName("com.sec.android.app.wlantest", "com.sec.android.app.wlantest.WlanTest");
                i3.setFlags(268435456);
                i3.putExtra("MODE", "auto");
                this.context.startActivity(i3);
            }
            return resData2;
        }
    }

    /* access modifiers changed from: protected */
    public void sendIntent(int cmdID, String argu) {
        if (this.mWlanTest == 1) {
            Intent mIntent = new Intent("com.sec.android.app.wlantest.WIFI_TEST_INDICATION");
            mIntent.putExtra(ModuleCommunication.EXTRA_KEY_BT_SERVICE_REQUEST, cmdID);
            mIntent.putExtra("S_DATA", argu);
            this.context.sendBroadcast(mIntent);
        }
    }
}
