package com.sec.factory.aporiented.athandler;

import android.content.Context;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class AtWprotect extends AtCommandHandler {
    public AtWprotect(Context context) {
        super(context);
        this.CMD_NAME = "WPROTECT";
        this.CLASS_NAME = "AtWprotect";
        this.NUM_ARGS = 2;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData = null;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0"})) {
            String mCsd = Support.Kernel.read(Support.Kernel.MMCBLK_DEVICE_CSD);
            FtUtil.log_i(this.CLASS_NAME, "handleCommand", mCsd);
            if (mCsd != null) {
                String mWprotect = mCsd.substring(28, 29);
                FtUtil.log_i(this.CLASS_NAME, "handleCommand", mWprotect);
                int ch = Integer.parseInt(mWprotect) & 3;
                FtUtil.log_i(this.CLASS_NAME, "handleCommand", Integer.toString(ch));
                switch (ch) {
                    case 0:
                        resData = responseString(argu[0], "NONE");
                        break;
                    case 1:
                        resData = responseString(argu[0], "TEMP");
                        break;
                    case 2:
                    case 3:
                        resData = responseString(argu[0], "PERM");
                        break;
                }
            } else {
                return responseNG(argu[0]);
            }
        } else {
            resData = responseNA();
        }
        return resData;
    }
}
