package com.sec.factory.app.factorytest;

import android.app.AlertDialog;
import android.content.DialogInterface;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.View;
import android.widget.Button;
import android.widget.LinearLayout;
import com.sec.factory.R;
import com.sec.factory.app.ui.DFailLocationInfoView;
import com.sec.factory.app.ui.UIBase;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.modules.ModuleTouchScreen;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;

public class DFailLocationInfo extends UIBase implements View.OnClickListener {
    private static final String CLASS_NAME = "DFailLocationInfo";
    private int DUMMY = 0;
    private int ENABLE_BUTTON;
    private int FINISH_TEST;
    private int TEST_FAIL;
    private Button button_exit;
    private Button button_retry;
    private String logFilePath;
    private int mBackGroundColor = -1;
    private LinearLayout mBackground;
    private int mCountCircle = 0;
    private DFailLocationInfoView mDFailLocationInfoView;
    private final Handler mHandler;
    private ModuleDevice mModuleDevice;
    public ModuleTouchScreen mModuleTouchScreen;

    public DFailLocationInfo() {
        super(CLASS_NAME);
        int i = 0 + 1;
        this.DUMMY = i;
        this.ENABLE_BUTTON = 0;
        int i2 = i + 1;
        this.DUMMY = i2;
        this.FINISH_TEST = i;
        this.DUMMY = i2 + 1;
        this.TEST_FAIL = i2;
        this.logFilePath = "/data/log/VDFailData.log";
        this.mHandler = new Handler() {
            /* class com.sec.factory.app.factorytest.DFailLocationInfo.AnonymousClass1 */

            public void handleMessage(Message msg) {
                if (msg.what == DFailLocationInfo.this.ENABLE_BUTTON) {
                    DFailLocationInfo.this.enableBtn(true);
                }
            }
        };
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_dfail_location_info);
        this.button_retry = (Button) findViewById(R.id.button_retry);
        this.button_exit = (Button) findViewById(R.id.button_exit);
        this.button_retry.setOnClickListener(this);
        this.button_exit.setOnClickListener(this);
        this.mHandler.sendEmptyMessageDelayed(this.ENABLE_BUTTON, 5000);
        enableBtn(false);
        DFailLocationInfoView dFailLocationInfoView = (DFailLocationInfoView) findViewById(R.id.dfaillocationinfoview);
        this.mDFailLocationInfoView = dFailLocationInfoView;
        dFailLocationInfoView.setVisibility(0);
        FtUtil.setRemoveSystemUI(getWindow(), true);
        if (!Support.Kernel.isExistFilePath(this.logFilePath)) {
            showAlertDialog("There is no Display-Failure");
        }
    }

    public boolean onTouchEvent(MotionEvent event) {
        super.onTouchEvent(event);
        FtUtil.log_d(CLASS_NAME, "onTouchEvent", null);
        return true;
    }

    @Override // com.sec.factory.app.ui.UIBase
    public boolean onKeyDown(int keyCode, KeyEvent event) {
        switch (keyCode) {
            case 4:
            case 187:
                FtUtil.log_d(CLASS_NAME, "onKeyDown", "Key Pressed!");
                break;
            case 24:
                finish();
                break;
        }
        return super.onKeyDown(keyCode, event);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void enableBtn(boolean enable) {
        FtUtil.log_i(CLASS_NAME, "enableBtn", "enable : " + enable);
        if (enable) {
            this.button_retry.setVisibility(0);
            this.button_exit.setVisibility(0);
            return;
        }
        this.button_retry.setVisibility(4);
        this.button_exit.setVisibility(4);
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.button_exit:
                FtUtil.log_i(CLASS_NAME, "onClick", "Test EXIT");
                finish();
                return;
            case R.id.button_retry:
                enableBtn(false);
                FtUtil.log_i(CLASS_NAME, "onClick", "Test Pass");
                this.mHandler.sendEmptyMessageDelayed(this.ENABLE_BUTTON, 5000);
                return;
            default:
                FtUtil.log_i(CLASS_NAME, "onClick", "Default");
                return;
        }
    }

    private void showAlertDialog(String msg) {
        new AlertDialog.Builder(this).setTitle("Notice").setMessage(msg).setPositiveButton(R.string.exit, new DialogInterface.OnClickListener() {
            /* class com.sec.factory.app.factorytest.DFailLocationInfo.AnonymousClass2 */

            public void onClick(DialogInterface dialog, int which) {
                DFailLocationInfo.this.finish();
            }
        }).setCancelable(false).show();
    }
}
