package com.sec.factory.app.factorytest;

import android.content.Context;
import android.os.Environment;
import android.os.Handler;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.FileReader;
import java.io.IOException;
import java.text.DecimalFormat;
import java.util.Calendar;

public class FactoryTestDump {
    private static final String CLASS_NAME = "FactoryTestDump";
    private static final String DUMP_FILE_PATH = "/data/log/";
    private byte[] buf = new byte[1024];
    private FileInputStream fin = null;
    private FileInputStream fis = null;
    private FileOutputStream fos = null;
    private FileOutputStream fout = null;
    private Context mContext;
    private String mDumpFileName = "";
    private String mDumpTime = "";
    private Handler mUIBaseHandler;

    public FactoryTestDump(Context context, Handler handler) {
        this.mContext = context;
        this.mUIBaseHandler = handler;
    }

    public void doDumpStateForUI(String stage) {
        setDumpStateFileName(stage);
        final String dumpFileName = getDumpStateFileName();
        FtUtil.log_d(CLASS_NAME, "doDumpStateForUI", "File Name : " + dumpFileName);
        new Thread(new Runnable() {
            /* class com.sec.factory.app.factorytest.FactoryTestDump.AnonymousClass1 */

            public void run() {
                File dataLogDirectory = new File(FactoryTestDump.DUMP_FILE_PATH);
                if (!dataLogDirectory.exists()) {
                    dataLogDirectory.mkdir();
                }
                String new_dumpFileName = dumpFileName.replaceAll("[\\(\\)]", "");
                FtUtil.log_d(FactoryTestDump.CLASS_NAME, "doDumpStateForUI", "replace File Name : " + new_dumpFileName);
                String dumpstateName = FactoryTestDump.DUMP_FILE_PATH + new_dumpFileName;
                if (FactoryTestDump.this.DoShellCmd("bugreportz -s > " + dumpstateName) == 1) {
                    FactoryTestDump.this.mUIBaseHandler.sendEmptyMessageDelayed(1000, 3000);
                } else {
                    FactoryTestDump.this.mUIBaseHandler.sendEmptyMessageDelayed(1002, 3000);
                }
                Support.Kernel.setPermission(dumpstateName, false, true, true, true, true, false);
                FtUtil.log_i(FactoryTestDump.CLASS_NAME, "doDumpStateForUI", "Finish DumpThread");
            }
        }).start();
    }

    private void deleteSummaryFile() {
        FtUtil.log_i(CLASS_NAME, "deleteSummaryFile", "start summary file");
        String[] fileList = new File(DUMP_FILE_PATH).list();
        if (fileList != null) {
            FtUtil.log_i(CLASS_NAME, "deleteSummaryFile", "delete data area");
            for (String fileName : fileList) {
                FtUtil.log_i(CLASS_NAME, "deleteSummaryFile", "file name = " + fileName);
                if (fileName != null && fileName.contains("MSPSEQ")) {
                    FtUtil.log_i(CLASS_NAME, "deleteSummaryFile", "msp file path = " + DUMP_FILE_PATH + fileName);
                    StringBuilder sb = new StringBuilder();
                    sb.append(DUMP_FILE_PATH);
                    sb.append(fileName);
                    File deleteFile = new File(sb.toString());
                    if (deleteFile.exists()) {
                        FtUtil.log_i(CLASS_NAME, "deleteSummaryFile", "delete file!");
                        deleteFile.delete();
                    }
                }
            }
        }
        String[] fileList2 = new File("/sdcard/log/").list();
        if (fileList2 != null) {
            FtUtil.log_i(CLASS_NAME, "deleteSummaryFile", "delete sdcard area");
            for (String fileName2 : fileList2) {
                FtUtil.log_i(CLASS_NAME, "deleteSummaryFile", "file name = " + fileName2);
                if (fileName2 != null && fileName2.contains("MSPSEQ")) {
                    FtUtil.log_i(CLASS_NAME, "deleteSummaryFile", "msp file path = " + "/sdcard/log/" + fileName2);
                    StringBuilder sb2 = new StringBuilder();
                    sb2.append("/sdcard/log/");
                    sb2.append(fileName2);
                    File deleteFile2 = new File(sb2.toString());
                    if (deleteFile2.exists()) {
                        FtUtil.log_i(CLASS_NAME, "deleteSummaryFile", "delete file!");
                        deleteFile2.delete();
                    }
                }
            }
        }
    }

    private void makeSummaryFile(String logPath, String summaryPath) {
        FtUtil.log_i(CLASS_NAME, "makeSummaryFile", "start summary file");
        deleteSummaryFile();
        StringBuffer strBuf = new StringBuffer();
        BufferedReader reader = null;
        try {
            BufferedReader reader2 = new BufferedReader(new FileReader(logPath));
            while (true) {
                String text = reader2.readLine();
                if (text == null) {
                    Support.Kernel.writeToPath(summaryPath, strBuf.toString(), false);
                    try {
                        reader2.close();
                        return;
                    } catch (Exception e) {
                        FtUtil.log_e(CLASS_NAME, "makeSummaryFile", "exception : " + e);
                        return;
                    }
                } else if (text.contains("MSP_SEQ")) {
                    strBuf.append(text + '\n');
                } else if (text.contains("ATD > UART")) {
                    if (!text.contains("ATD  ")) {
                        strBuf.append(text + '\n');
                    }
                } else if (text.contains("UART > ATD") && !text.contains("ATD  ")) {
                    strBuf.append(text + '\n');
                }
            }
        } catch (Exception e2) {
            FtUtil.log_i(CLASS_NAME, "makeSummaryFile", "exception : " + e2);
            if (0 != 0) {
                try {
                    reader.close();
                } catch (Exception e3) {
                    FtUtil.log_e(CLASS_NAME, "makeSummaryFile", "exception : " + e3);
                }
            }
        } catch (Throwable th) {
            if (0 != 0) {
                try {
                    reader.close();
                } catch (Exception e4) {
                    FtUtil.log_e(CLASS_NAME, "makeSummaryFile", "exception : " + e4);
                }
            }
            throw th;
        }
    }

    public boolean doCopyDump() {
        String baseSDCardPath = Environment.getExternalStorageDirectory().getPath() + "/log";
        File dataLogDirectory = new File("/data/log");
        File dataCPLogDirectory = new File("/data/log/err");
        File dataVendorAboxDirectory = new File("/data/vendor/log/abox");
        File dataCPLogDirectoryEfs = new File(Support.Kernel.getFilePath(Support.Kernel.SECEFS_CPLOG_DIRECTORY));
        File dataCPCrashLogDirectory = new File("/tombstones/mdm");
        File sdcardLogDirectory = new File(baseSDCardPath);
        File sdcardCPLogDirectory = new File(baseSDCardPath + "/err");
        File sdcardCPCrashLogDirectory = new File(baseSDCardPath + "/cp");
        File sdcardLogAboxDirectory = new File(baseSDCardPath + "/abox");
        File btlog = new File("/data/app/bt.log");
        copyDirectory(dataLogDirectory, sdcardLogDirectory);
        copyDirectory(dataCPCrashLogDirectory, sdcardCPCrashLogDirectory);
        copyDirectory(dataCPLogDirectory, sdcardCPLogDirectory);
        copyDirectory(dataVendorAboxDirectory, sdcardLogAboxDirectory);
        File dataCPLogDirectory_vendor = new File("/data/vendor/log/err");
        File sdcardCPLogDirectory_vendor = new File(sdcardLogDirectory + "/err");
        if (dataCPLogDirectory_vendor.exists()) {
            FtUtil.log_d(CLASS_NAME, "dataCPLogDirectory.exists == true");
            copyDirectory(dataCPLogDirectory_vendor, sdcardCPLogDirectory_vendor);
        }
        if (!dataCPLogDirectoryEfs.getPath().contains(dataLogDirectory.getPath())) {
            copyDirectory(dataCPLogDirectoryEfs, sdcardLogDirectory);
        }
        if (btlog.exists()) {
            FtUtil.log_i(CLASS_NAME, "doCopyDump", "btlog.exists == true");
            WriteToSDcard("/data/app/bt.log", baseSDCardPath + "/bt.log", "bt.log");
        }
        if (this.mUIBaseHandler == null) {
            return true;
        }
        FtUtil.log_i(CLASS_NAME, "doCopyDump", "Finish CopyDumpThread");
        this.mUIBaseHandler.sendEmptyMessageDelayed(1001, 500);
        return true;
    }

    private void copyDirectory(File src, File dest) {
        FtUtil.log_d(CLASS_NAME, "copyDirectory", "src : " + src + " / dest : " + dest);
        if (src.isDirectory()) {
            if (!dest.exists()) {
                dest.mkdir();
            }
            String[] fileList = src.list();
            String[] destfileList = dest.list();
            if (fileList != null && fileList.length > 0) {
                for (int i = 0; i < fileList.length; i++) {
                    if (destfileList == null || i >= destfileList.length || !fileList[i].equals(destfileList[i])) {
                        copyDirectory(new File(src, fileList[i]), new File(dest, fileList[i]));
                    } else {
                        FtUtil.log_d(CLASS_NAME, "copyDirectory", "File already Exists: " + destfileList[i]);
                    }
                }
                return;
            }
            return;
        }
        try {
            this.fin = new FileInputStream(src);
            this.fout = new FileOutputStream(dest);
            byte[] buffer = new byte[1024];
            while (true) {
                int len = this.fin.read(buffer);
                if (len <= 0) {
                    break;
                }
                this.fout.write(buffer, 0, len);
            }
            this.fout.flush();
            this.fout.getFD().sync();
            FileInputStream fileInputStream = this.fin;
            if (fileInputStream != null) {
                try {
                    fileInputStream.close();
                } catch (Exception e) {
                }
            }
            FileOutputStream fileOutputStream = this.fout;
            if (fileOutputStream != null) {
                try {
                    fileOutputStream.close();
                } catch (Exception e2) {
                }
            }
        } catch (FileNotFoundException e3) {
            System.err.println("// Exception from");
            FileInputStream fileInputStream2 = this.fin;
            if (fileInputStream2 != null) {
                try {
                    fileInputStream2.close();
                } catch (Exception e4) {
                }
            }
            FileOutputStream fileOutputStream2 = this.fout;
            if (fileOutputStream2 != null) {
                fileOutputStream2.close();
            }
        } catch (Exception e5) {
            e5.printStackTrace();
            FileInputStream fileInputStream3 = this.fin;
            if (fileInputStream3 != null) {
                try {
                    fileInputStream3.close();
                } catch (Exception e6) {
                }
            }
            FileOutputStream fileOutputStream3 = this.fout;
            if (fileOutputStream3 != null) {
                fileOutputStream3.close();
            }
        } catch (Throwable th) {
            FileInputStream fileInputStream4 = this.fin;
            if (fileInputStream4 != null) {
                try {
                    fileInputStream4.close();
                } catch (Exception e7) {
                }
            }
            FileOutputStream fileOutputStream4 = this.fout;
            if (fileOutputStream4 != null) {
                try {
                    fileOutputStream4.close();
                } catch (Exception e8) {
                }
            }
            throw th;
        }
    }

    private boolean WriteToSDcard(String in, String out, String DumpType) {
        FtUtil.log_i(CLASS_NAME, "WriteToSDcard", "write to sdcard DumpType : " + DumpType);
        boolean result = true;
        try {
            this.fis = new FileInputStream(in);
            this.fos = new FileOutputStream(out);
            while (true) {
                int n = this.fis.read(this.buf);
                if (n <= -1) {
                    break;
                }
                this.fos.write(this.buf, 0, n);
            }
            this.fos.flush();
            this.fos.getFD().sync();
            FileOutputStream fileOutputStream = this.fos;
            if (fileOutputStream != null) {
                try {
                    fileOutputStream.close();
                } catch (Exception e) {
                }
            }
            FileInputStream fileInputStream = this.fis;
            if (fileInputStream != null) {
                try {
                    fileInputStream.close();
                } catch (Exception e2) {
                }
            }
        } catch (FileNotFoundException fnfe) {
            FtUtil.log_e(CLASS_NAME, "WriteToSDcard", "fnfe : " + fnfe.getMessage());
            result = false;
            System.err.println("// Exception from");
            FileOutputStream fileOutputStream2 = this.fos;
            if (fileOutputStream2 != null) {
                try {
                    fileOutputStream2.close();
                } catch (Exception e3) {
                }
            }
            FileInputStream fileInputStream2 = this.fis;
            if (fileInputStream2 != null) {
                fileInputStream2.close();
            }
        } catch (Exception e4) {
            result = false;
            e4.printStackTrace();
            FileOutputStream fileOutputStream3 = this.fos;
            if (fileOutputStream3 != null) {
                try {
                    fileOutputStream3.close();
                } catch (Exception e5) {
                }
            }
            FileInputStream fileInputStream3 = this.fis;
            if (fileInputStream3 != null) {
                try {
                    fileInputStream3.close();
                } catch (Exception e6) {
                }
            }
        } catch (Throwable th) {
            FileOutputStream fileOutputStream4 = this.fos;
            if (fileOutputStream4 != null) {
                try {
                    fileOutputStream4.close();
                } catch (Exception e7) {
                }
            }
            FileInputStream fileInputStream4 = this.fis;
            if (fileInputStream4 != null) {
                try {
                    fileInputStream4.close();
                } catch (Exception e8) {
                }
            }
            throw th;
        }
        return result;
    }

    public int DoShellCmd(String cmd) {
        FtUtil.log_i(CLASS_NAME, "DoShellCmd", "DoShellCmd : " + cmd);
        String[] shell_command = {"/system/bin/sh", "-c", cmd};
        try {
            FtUtil.log_i(CLASS_NAME, "DoShellCmd", "exec command");
            Runtime.getRuntime().exec(shell_command).waitFor();
            FtUtil.log_i(CLASS_NAME, "DoShellCmd", "exec done");
            FtUtil.log_i(CLASS_NAME, "DoShellCmd", "DoShellCmd done");
            return 1;
        } catch (IOException e) {
            FtUtil.log_e(CLASS_NAME, "DoShellCmd", "DoShellCmd - IOException");
            return -1;
        } catch (SecurityException e2) {
            FtUtil.log_e(CLASS_NAME, "DoShellCmd", "DoShellCmd - SecurityException");
            return -1;
        } catch (InterruptedException e3) {
            e3.printStackTrace();
            return -1;
        }
    }

    public String getTimestamp() {
        Calendar cal = Calendar.getInstance();
        String month = new DecimalFormat("00").format((long) (cal.get(2) + 1));
        String day = new DecimalFormat("00").format((long) cal.get(5));
        String hour = new DecimalFormat("00").format((long) cal.get(11));
        String min = new DecimalFormat("00").format((long) cal.get(12));
        String sec2 = new DecimalFormat("00").format((long) cal.get(13));
        return cal.get(1) + month + day + hour + min + sec2;
    }

    public String getDumpStateFileName() {
        return this.mDumpFileName;
    }

    private void setDumpStateFileName(String stage) {
        int indexFileName = getIndexForFile();
        this.mDumpTime = getTimestamp();
        stage.trim();
        stage.replaceAll("[|\\\\?*<\":>/)(]+", "");
        this.mDumpFileName = String.format("%d_%s_%s_%s.zip", Integer.valueOf(indexFileName), "15TEST_", stage.replaceAll("[ ]+", "_"), this.mDumpTime);
    }

    private int getIndexForFile() {
        return new File(DUMP_FILE_PATH).listFiles(FactoryTestDump$$ExternalSyntheticLambda0.INSTANCE).length + 1;
    }

    static /* synthetic */ boolean lambda$getIndexForFile$0(File dir, String name) {
        return name.contains("15TEST_") & (!name.startsWith("MSPSEQ"));
    }

    public boolean getLogResult() {
        return false;
    }
}
