package com.sec.factory.app.factorytest;

import android.app.Activity;
import android.app.AlertDialog;
import android.app.ProgressDialog;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.IntentFilter;
import android.content.SharedPreferences;
import android.content.res.Configuration;
import android.graphics.Point;
import android.media.AudioManager;
import android.nfc.NfcAdapter;
import android.os.Bundle;
import android.os.FactoryTest;
import android.os.Handler;
import android.os.Message;
import android.os.SystemProperties;
import android.provider.Settings;
import android.telephony.TelephonyManager;
import android.view.InputDevice;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.LinearLayout;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.ProgressBar;
import android.widget.RelativeLayout;
import android.widget.TextView;
import android.widget.Toast;
import com.google.zxing.client.result.ExpandedProductParsedResult;
import com.sec.factory.R;
import com.sec.factory.aporiented.AtParser;
import com.sec.factory.aporiented.athandler.AtLightest;
import com.sec.factory.aporiented.athandler.AtTspptestStandard;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.app.service.CablePopup;
import com.sec.factory.app.service.ServiceScreenSaver;
import com.sec.factory.app.ui.UIBase;
import com.sec.factory.app.ui.UiHallICTest;
import com.sec.factory.modules.ModuleAudio;
import com.sec.factory.modules.ModuleCommon;
import com.sec.factory.modules.ModuleCommunication;
import com.sec.factory.modules.ModuleCommunicationService;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.modules.ModuleNfc;
import com.sec.factory.modules.ModulePower;
import com.sec.factory.modules.ModuleTouchScreen;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.NVAccessor;
import com.sec.xmldata.support.Support;
import com.sec.xmldata.support.XMLDataStorage;
import egis.client.api.EgisFingerprint;
import java.io.File;
import java.util.Iterator;
import java.util.concurrent.ConcurrentLinkedQueue;

public class FactoryTestMain extends UIBase implements AdapterView.OnItemClickListener {
    public static final String ACTION_15_MAIN_START_RESULT = "com.sec.factory.ACTION_15_MAIN_START_RESULT";
    public static int CURRENT_TEST_ID = 0;
    private static int DUMMY = 0;
    private static final int GET_DUMP_DONE = 1001;
    public static final byte MSG_COMPLETE_FIRST_NV_UPDATE_FEED_BACK = 5;
    public static final byte MSG_LAUNCH_COLOUR_BALANCE_REFERENCE = 7;
    public static final byte MSG_SHOW_TOAST_FEED_BACK = 2;
    public static final byte MSG_START_EAR_KEY_FEED_BACK = 0;
    public static final byte MSG_START_NFC_SELF_TEST = 6;
    public static final byte MSG_START_PROGRESS_FEED_BACK = 3;
    public static final byte MSG_STOP_EAR_KEY_FEED_BACK = 1;
    public static final byte MSG_STOP_PROGRESS_FEED_BACK = 4;
    public static final String STOP_HDMI_TEST = "com.android.samsungtest.HDMITEST_STOP";
    public static final int WHAT_RESULT = 0;
    public static final int WHAT_RESULT_FAIL_CASE;
    public static final int WHAT_RESULT_WITHOUT_NV;
    public static final int WHAT_SCOPE_MAX;
    public static final int WHAT_SCOPE_MIN = 0;
    public static final int WHAT_SELECT_ITEM;
    private static int mAutoBrightnessMode;
    public static boolean mIsRunningLowLightTest = false;
    public static boolean mIsTestMode15Quick = false;
    private static int mSystemScreenBrightness;
    private int BG_NORMAL_COLOR = 0;
    private final String INTENT_FTA2KQT = "com.sec.kqt.FTA2KQT";
    private boolean IsCPReady = true;
    private boolean IsKeyRelease = true;
    private final String KQT_PACKAGE = "com.factory.kernelqualitytest";
    private final String REQ2KQT_CMD = "cmd";
    private final String REQ2KQT_DATA = "data";
    private final String REQ2KQT_START_TEST = "startTest";
    private boolean isAtCmd = false;
    public boolean isSpenLock = false;
    private String lpm_result = null;
    private FactoryTestMainAdapter mAdapter = null;
    private AudioManager mAudioManager;
    private BroadcastReceiver mBroadcastReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.app.factorytest.FactoryTestMain.AnonymousClass2 */

        public void onReceive(Context context, Intent intent) {
            String action = intent.getAction();
            String str = FactoryTestMain.this.CLASS_NAME;
            FtUtil.log_d(str, "mBroadcastReceiver.onReceive", "action=" + action);
            if ("com.sec.samsung.STOP_FACTORY_TEST".equals(action)) {
                FtUtil.log_i(FactoryTestMain.this.CLASS_NAME, "mBroadcastReceiver.onReceive", "STOP 15TEST");
                FactoryTestMain.this.finishAndRemoveTask();
            } else if ("com.sec.factory.app.ui.GettingDump".equals(action)) {
                FactoryTestMain.this.showProgressDialog("Getting Dump...");
            } else if ("com.sec.factory.app.ui.CopyingDump".equals(action)) {
                FactoryTestMain.this.showProgressDialog("Copying Dump...");
            } else if ("com.sec.factory.app.ui.DumpDone".equals(action)) {
                if (FactoryTestMain.this.mLogProgressDialog != null && FactoryTestMain.this.mLogProgressDialog.isShowing()) {
                    FactoryTestMain.this.mLogProgressDialog.dismiss();
                }
                FactoryTestMain.this.infoLogAll();
            } else if ("com.sec.factory.app.factorytest.TestMode".equals(action)) {
                FtUtil.log_i(FactoryTestMain.this.CLASS_NAME, "mBroadcastReceiver.onReceive", "com.sec.factory.app.factorytest.TestMode");
                int testmode = FactoryTestMain.this.getTestId(intent.getIntExtra("testmode", -1));
                FactoryTestMain.this.isAtCmd = true;
                FactoryTestMain factoryTestMain = FactoryTestMain.this;
                factoryTestMain.setAtCmd(factoryTestMain.isAtCmd);
                switch (testmode) {
                    case 1:
                    case 6:
                    case 7:
                    case 8:
                    case 18:
                    case 19:
                    case 23:
                    case 26:
                    case 32:
                    case 33:
                    case 34:
                    case 37:
                    case 41:
                    case 42:
                    case 45:
                    case 49:
                    case 54:
                    case 56:
                    case 62:
                    case 63:
                    case 64:
                    case 67:
                    case 68:
                    case 73:
                    case 74:
                    case 75:
                    case 77:
                    case 84:
                    case 92:
                    case 95:
                    case 99:
                    case 105:
                    case 117:
                    case 118:
                    case 119:
                    case 120:
                    case 121:
                    case 122:
                    case 124:
                    case 125:
                    case 127:
                    case 128:
                    case 130:
                    case 137:
                    case 138:
                    case 139:
                    case 148:
                    case 150:
                    case 152:
                    case 153:
                    case 155:
                    case 157:
                    case 158:
                    case 160:
                    case 161:
                    case 162:
                    case 165:
                    case 166:
                    case 167:
                    case 168:
                    case 170:
                    case 171:
                    case 175:
                    case 181:
                    case 183:
                    case 184:
                    case 187:
                    case 196:
                    case 198:
                    case 201:
                    case 205:
                    case 214:
                    case FactoryTestManager.TEST_WIRELESS_FAST_CHARGE_2:
                    case FactoryTestManager.TEST_MACRO_CAMERA_CAPTURE:
                    case FactoryTestManager.TEST_MIC_MUTE:
                    case FactoryTestManager.TEST_FOLDED_TELE_CAMERA_CAPTURE:
                    case FactoryTestManager.TEST_ECHO_PARALLEL:
                    case FactoryTestManager.TEST_MIC_GAIN_PARALLEL:
                    case FactoryTestManager.TEST_MIC_MUTE_PARALLEL:
                    case 260:
                    case 301:
                    case 314:
                    case FactoryTestManager.TEST_3D_DIGITAL_HALL_IC_CAL_TEST:
                    case FactoryTestManager.TEST_SUB_TSP_OPEN_SHORT_PRESENTATION:
                    case FactoryTestManager.TEST_RANGING_SENSOR_300:
                    case FactoryTestManager.TEST_RANGING_SENSOR_500:
                    case FactoryTestManager.TEST_TSP_JITTER_TEST_2:
                    case FactoryTestManager.TEST_ALWAYS_ON_TOUCH:
                    case FactoryTestManager.TEST_TSP_JITTER_DELTA_TEST:
                    case FactoryTestManager.TEST_TSP_JITTER_DELTA_TEST_2:
                    case FactoryTestManager.TEST_S_PEN_DRAWING1_1:
                    case FactoryTestManager.TEST_S_PEN_MAGNETIC:
                    case FactoryTestManager.TEST_TSP_COLOR_DIFF_TEST:
                    case FactoryTestManager.TEST_ACH_MOTOR_SOUND:
                        String str2 = FactoryTestMain.this.CLASS_NAME;
                        FtUtil.log_d(str2, "mBroadcastReceiver.onReceive", "RUN FTA item = " + testmode);
                        FactoryTestMain.CURRENT_TEST_ID = testmode;
                        FtUtil.log_d(FactoryTestMain.this.CLASS_NAME, "mBroadcastReceiver.onReceive", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(testmode), "Start"));
                        FactoryTestMain.this.launchTest(testmode);
                        break;
                    case 1003:
                        FactoryTestMain.this.mTestInner.startLowFrequency(false);
                        break;
                    case 1004:
                        FactoryTestMain.this.mTestInner.startLowFrequency(true);
                        break;
                    case 1011:
                    case 1021:
                    case 1023:
                        FactoryTestMain.this.sendBroadcast(new Intent(FactoryTestMain.STOP_HDMI_TEST));
                        break;
                    case 1013:
                        FactoryTestMain.this.mTestInnerOTG.stopOTG();
                        break;
                    case 1014:
                        FactoryTestMain.this.mTestInnerOTG.startOTG2();
                        break;
                    case 1026:
                    case 1028:
                        FactoryTestMain.this.sendBroadcast(new Intent("com.android.samsungtest.FORCE_STOP"));
                        break;
                    case 1029:
                        FactoryTestMain.this.sendBroadcast(new Intent("com.android.samsungtest.IRIS_PROX_STOP"));
                        break;
                    case 1031:
                        FactoryTestMain.this.sendBroadcast(new Intent("com.android.samsungtest.HRM_SENSOR_XTALK_STOP"));
                        break;
                    case 1033:
                        FactoryTestMain.this.sendBroadcast(new Intent("com.android.samsungtest.PALM_TOUCH_STOP"));
                        break;
                    case 1039:
                        FactoryTestMain.this.sendBroadcast(new Intent("com.android.samsungtest.USB_GEN2_STOP"));
                        break;
                    case 1045:
                        FactoryTestMain.this.sendBroadcast(new Intent("com.android.samsungtest.DIRECT_CHARGE_STOP"));
                        break;
                    case FactoryTestManager.TEST_PROXIMITY_HOVER_STOP:
                        FactoryTestMain.this.sendBroadcast(new Intent("com.sec.factory.app.factorytest.finshProximityHoverTest"));
                        break;
                    case FactoryTestManager.TEST_NFC_TYPE_B_STOP:
                        FactoryTestMain.this.sendBroadcast(new Intent("com.sec.factory.app.factorytest.finshNfcTypeBTest"));
                        break;
                    case FactoryTestManager.TEST_WIRELESS_FAST_CHARGE_2_STOP:
                        FactoryTestMain.this.sendBroadcast(new Intent("com.sec.factory.app.factorytest.finishWirelessFastCharge2"));
                        break;
                    case 1060:
                        FactoryTestMain.this.sendBroadcast(new Intent("com.sec.factory.app.factorytest.finishRangingSensorTest300"));
                        break;
                    case FactoryTestManager.TEST_RANGING_SENSOR_500_STOP:
                        FactoryTestMain.this.sendBroadcast(new Intent("com.sec.factory.app.factorytest.finishRangingSensorTest500"));
                        break;
                    case FactoryTestManager.TEST_TSP_COLOR_DIFF_TEST_STOP:
                        FactoryTestMain.this.sendBroadcast(new Intent("com.sec.factory.app.factorytest.finishTSPColorDiffTest"));
                        break;
                    case FactoryTestManager.TEST_D2D_CHARGE_STOP:
                        FactoryTestMain.this.sendBroadcast(new Intent("com.android.samsungtest.D2D_CHARGE_STOP"));
                        break;
                    default:
                        String str3 = FactoryTestMain.this.CLASS_NAME;
                        FtUtil.log_w(str3, "mBroadcastReceiver.onReceive", "Invalid item = " + testmode);
                        break;
                }
                FactoryTestMain.this.isAtCmd = false;
                FactoryTestMain factoryTestMain2 = FactoryTestMain.this;
                factoryTestMain2.setAtCmd(factoryTestMain2.isAtCmd);
                FactoryTestMain.this.mTestOuter.initCommonParam();
                return;
            } else if ("com.sec.factory.modules.NfcTestService.finish".equals(action)) {
                FtUtil.log_i(FactoryTestMain.this.CLASS_NAME, "mBroadcastReceiver.onReceive", "Finish NfcTestService");
                FactoryTestMain.this.setTestResult(9, (byte) 80);
            } else if (AtParser.ACTION_RECEIVED_FROM_RIL.equals(action)) {
                FtUtil.log_i(FactoryTestMain.this.CLASS_NAME, "mBroadcastReceiver.onReceive", "RECEIVED_FROM_RIL");
                String[] cmd = intent.getStringExtra(FactoryTestRemoteController.COMMAND).toUpperCase().split("=");
                if (cmd[0].contains("SETTESTNV")) {
                    String[] args = cmd[1].split(",");
                    FactoryTestManager.doUIupdatefromNV(Integer.parseInt(args[0]), args[1].getBytes()[0]);
                }
            } else if ("com.sec.factory.CAMERA_AF_FAIL".equals(action)) {
                boolean autoFocusStatus = intent.getBooleanExtra("AF_STATUS", false);
                String str4 = FactoryTestMain.this.CLASS_NAME;
                FtUtil.log_i(str4, "mBroadcastReceiver.onReceive", "Camera capture Auto Focus failed = " + autoFocusStatus);
            } else if ("com.sec.factory.UPDATE_UI_FEEDBACK_MSG".equals(action)) {
                if (FactoryTestMain.this.mFeedback != null) {
                    if (intent.getBooleanExtra("isStart", false)) {
                        String msg = intent.getStringExtra("feedback_msg");
                        FactoryTestMain.this.mFeedback.sendMessage(FactoryTestMain.this.mFeedback.obtainMessage(3, msg != null ? msg : "Loopback On"));
                    } else {
                        FactoryTestMain.this.mFeedback.sendEmptyMessage(4);
                    }
                }
            } else if ("com.sec.factory.athandler.SpenLock".equals(action)) {
                boolean result = intent.getBooleanExtra("data", false);
                String str5 = FactoryTestMain.this.CLASS_NAME;
                FtUtil.log_i(str5, "mBroadcastReceiver.onReceive", "Finish SpenLock result : " + result);
                FactoryTestMain.this.isSpenLock = result;
            } else if (AtTspptestStandard.UI_DATE_NV.equals(action)) {
                FtUtil.log_i(FactoryTestMain.this.CLASS_NAME, "mBroadcastReceiver.onReceive", "UIupdateNV");
                FactoryTestManager.doUIupdatefromNV(intent.getIntExtra("NV", -1), intent.getByteExtra("VALUE", (byte) 0));
            }
            FactoryTestMain.this.changeViewColor();
            FactoryTestManager.notifyDataSetChanged();
        }
    };
    BroadcastReceiver mCPCheckbroadcastReceiver;
    private Context mContext;
    private ConcurrentLinkedQueue<FactoryTestDialog> mDialogQueue = null;
    private FactoryTestRemoteController mFactoryTestRemoteController = null;
    private final Handler mFeedback = new Handler() {
        /* class com.sec.factory.app.factorytest.FactoryTestMain.AnonymousClass5 */

        public void handleMessage(Message msg) {
            String str = FactoryTestMain.this.CLASS_NAME;
            FtUtil.log_d(str, "mFeedback.handleMessage", "msg what=" + msg.what);
            switch (msg.what) {
                case 0:
                    FtUtil.log_i(FactoryTestMain.this.CLASS_NAME, "mFeedback.handleMessage", "MSG_START_EAR_KEY_FEED_BACK");
                    if (!ModuleAudio.instance(FactoryTestMain.this).isPlayingSound()) {
                        ModuleAudio.instance(FactoryTestMain.this).setStreamMusicVolumeMin();
                        if (!ModuleAudio.instance(FactoryTestMain.this).isDoingLoopback() || (!"dolphin".equalsIgnoreCase(Support.Feature.getString(Support.Feature.CHIPSET_NAME)) && !"Spreadtrum".equalsIgnoreCase(Support.Feature.getString(Support.Feature.CHIPSET_MANUFACTURE)))) {
                            FactoryTestMain.this.playSound(R.raw.beep, false);
                        } else {
                            FtUtil.log_i(FactoryTestMain.this.CLASS_NAME, "mFeedback.handleMessage", "isDoingLoopback && dolphin : beep skip");
                        }
                        ModuleDevice.instance(FactoryTestMain.this).startVibrate();
                        break;
                    }
                    break;
                case 1:
                    FtUtil.log_i(FactoryTestMain.this.CLASS_NAME, "mFeedback.handleMessage", "MSG_STOP_EAR_KEY_FEED_BACK");
                    if (ModuleAudio.instance(FactoryTestMain.this).isPlayingSound()) {
                        ModuleAudio.instance(FactoryTestMain.this).stopMedia();
                        if (!ModuleAudio.instance(FactoryTestMain.this).isDoingLoopback()) {
                            FactoryTestMain.this.mFeedback.sendEmptyMessage(4);
                        }
                    }
                    ModuleAudio.instance(FactoryTestMain.this).setStreamMusicVolumeMax();
                    ModuleDevice.instance(FactoryTestMain.this).stopVibrate();
                    break;
                case 2:
                    if (FactoryTestMain.this.mIsAtfunctest) {
                        FtUtil.log_d(FactoryTestMain.this.CLASS_NAME, "mFeedback.handleMessage", "MSG_SHOW_TOAST_FEED_BACK, Not running caused by atfunctest");
                        break;
                    } else {
                        String str2 = FactoryTestMain.this.CLASS_NAME;
                        FtUtil.log_i(str2, "mFeedback.handleMessage", "MSG_SHOW_TOAST_FEED_BACK, msg=" + msg.obj.toString());
                        Toast.makeText(FactoryTestMain.this, msg.obj.toString(), 0).show();
                        break;
                    }
                case 3:
                    String str3 = FactoryTestMain.this.CLASS_NAME;
                    FtUtil.log_i(str3, "mFeedback.handleMessage", "MSG_START_PROGRESS_FEED_BACK, msg=" + msg.obj.toString());
                    FactoryTestMain.this.mProgress.setVisibility(0);
                    FactoryTestMain.this.mFeedbackText.setText(msg.obj.toString());
                    FactoryTestMain.this.mFeedbackText.setTextColor(-16777216);
                    FactoryTestMain.this.mFeedbackText.setTextSize(2, 15.0f);
                    FactoryTestMain.this.mFeedbackText.setVisibility(0);
                    break;
                case 4:
                    FtUtil.log_i(FactoryTestMain.this.CLASS_NAME, "mFeedback.handleMessage", "MSG_STOP_PROGRESS_FEED_BACK");
                    FactoryTestMain.this.mProgress.setVisibility(4);
                    FactoryTestMain.this.mFeedbackText.setVisibility(4);
                    break;
                case 5:
                    FtUtil.log_i(FactoryTestMain.this.CLASS_NAME, "mFeedback.handleMessage", "MSG_COMPLETE_FIRST_NV_UPDATE_FEED_BACK");
                    break;
            }
            FactoryTestMain.this.changeViewColor();
            FactoryTestManager.notifyDataSetChanged();
        }
    };
    private TextView mFeedbackText;
    private boolean mFolderState = false;
    Handler mHandler = new Handler() {
        /* class com.sec.factory.app.factorytest.FactoryTestMain.AnonymousClass1 */

        public void handleMessage(Message msg) {
            switch (msg.what) {
                case 0:
                    FtUtil.log_d(FactoryTestMain.this.CLASS_NAME, "mHandler.handleMessage", "receive FactoryTestDialog.FINISH");
                    FactoryTestMain.this.finish();
                    return;
                case 1:
                case 2:
                default:
                    return;
                case 3:
                    FactoryTestMain.this.recreate();
                    return;
                case 4:
                    ModulePower.instance(FactoryTestMain.this.mContext).reboot((byte) 0);
                    return;
                case 5:
                    FactoryTestMain.this.entryTest(FactoryTestMain.CURRENT_TEST_ID);
                    return;
            }
        }
    };
    private final Handler mInnerTestResult = new Handler() {
        /* class com.sec.factory.app.factorytest.FactoryTestMain.AnonymousClass6 */

        public void handleMessage(Message msg) {
            if (msg.what == FactoryTestMain.WHAT_RESULT) {
                String str = FactoryTestMain.this.CLASS_NAME;
                FtUtil.log_d(str, "mInnerTestResult.handleMessage", "WHAT_RESULT = " + msg.arg1 + " , " + ((int) ((byte) msg.arg2)));
                if (FactoryTestManager.getEnable(24) && FactoryTestMain.this.mTestInnerOTG.isDoingOTGtest()) {
                    FactoryTestMain.this.mTestInnerOTG.mIsDoingOTGtest = false;
                }
                if (FactoryTestManager.getEnable(79) && FactoryTestMain.this.mTestInnerOTG3.isDoingOTGtest()) {
                    FactoryTestMain.this.mTestInnerOTG3.mIsDoingOTGtest = false;
                }
                if (msg.arg1 == 2) {
                    FactoryTestMain.this.onActivityResult(msg.arg1, -1, null);
                }
                if (FactoryTestManager.getEnable(77)) {
                    if (msg.arg1 == 70) {
                        int nOtgID = FactoryTestManager.getItemPosition_ID(24);
                        if (nOtgID == -1) {
                            FactoryTestMain.this.setTestResultWithoutNV(77, (byte) 80);
                        } else if (FactoryTestManager.getItemResult(nOtgID) == 80 && msg.arg2 == 80) {
                            FactoryTestMain.this.setTestResultWithoutNV(77, (byte) 80);
                        }
                    } else if (msg.arg1 == 24) {
                        int nUSBID = FactoryTestManager.getItemPosition_ID(70);
                        if (nUSBID == -1) {
                            FactoryTestMain.this.setTestResultWithoutNV(77, (byte) 80);
                        } else if (FactoryTestManager.getItemResult(nUSBID) == 80 && msg.arg2 == 80) {
                            FactoryTestMain.this.setTestResultWithoutNV(77, (byte) 80);
                        }
                    }
                }
                if (FactoryTestManager.getEnable(78) && msg.arg1 == 70 && FactoryTestManager.getItemResult(FactoryTestManager.getItemPosition_ID(138)) == 80 && msg.arg2 == 80) {
                    FactoryTestMain.this.setTestResultWithoutNV(78, (byte) 80);
                }
                FactoryTestMain.this.setTestResult(msg.arg1, (byte) msg.arg2);
                FactoryTestMain.this.changeViewColor();
            } else if (msg.what == FactoryTestMain.WHAT_RESULT_FAIL_CASE) {
                FtUtil.log_e(FactoryTestMain.this.CLASS_NAME, "mInnerTestResult.handleMessage", "WHAT_RESULT_FAIL_CASE");
                if (msg.arg1 == 2) {
                    FactoryTestMain.this.onActivityResult(msg.arg1, 0, null);
                }
                FactoryTestMain.this.setTestResultFailCase(msg.arg1);
            } else if (msg.what == FactoryTestMain.WHAT_RESULT_WITHOUT_NV) {
                FtUtil.log_d(FactoryTestMain.this.CLASS_NAME, "mInnerTestResult.handleMessage", "WHAT_RESULT_WITHOUT_NV");
                FactoryTestMain.this.setTestResultWithoutNV(msg.arg1, (byte) msg.arg2);
            } else if (msg.what == FactoryTestMain.WHAT_SELECT_ITEM) {
                String str2 = FactoryTestMain.this.CLASS_NAME;
                FtUtil.log_d(str2, "mInnerTestResult.handleMessage", "WHAT_SELECT_ITEM" + msg.arg2);
                FactoryTestMain.this.mListView.setSelection(msg.arg2);
            }
        }
    };
    private boolean mIsAtfunctest = false;
    private boolean mIsFingerprintTouchSide = false;
    private boolean mIsLcdOff = false;
    private boolean mLaunchColourBalanceReference = false;
    private final Handler mLaunchColourBalanceReferenceHandler = new Handler() {
        /* class com.sec.factory.app.factorytest.FactoryTestMain.AnonymousClass4 */

        public void handleMessage(Message msg) {
            String str = FactoryTestMain.this.CLASS_NAME;
            FtUtil.log_d(str, "mLaunchColourBalanceReferenceHandler.handleMessage", "msg what=" + msg.what);
            switch (msg.what) {
                case 7:
                    FactoryTestMain.this.mTestOuter.startColourBalanceTestReference();
                    FactoryTestMain factoryTestMain = FactoryTestMain.this;
                    factoryTestMain.removeDialog(factoryTestMain.getResources().getString(R.string.colour_bal_reference_launch));
                    return;
                default:
                    return;
            }
        }
    };
    private ListView mListView;
    private AlertDialog.Builder mLogDialogBuilder;
    private ProgressDialog mLogProgressDialog;
    private FactoryTestStatus mMainStatus;
    private ModuleCommunication mModuleCommunication;
    private boolean mMuteKeyDown = false;
    private int mPlayPauseCount = 0;
    private SharedPreferences.Editor mPreferenceEditor;
    private SharedPreferences mPreferences;
    private ProgressBar mProgress;
    private final Handler mSequentialTestHandler = new Handler() {
        /* class com.sec.factory.app.factorytest.FactoryTestMain.AnonymousClass3 */

        public void handleMessage(Message msg) {
            String str = FactoryTestMain.this.CLASS_NAME;
            FtUtil.log_d(str, "mSequentialTestHandler.handleMessage", "msg what=" + msg.what + "/ test ID=" + msg.obj);
            switch (msg.what) {
                case 6:
                    if (!FactoryTestMain.this.mTestInnerNFC.isDoingTest()) {
                        FactoryTestMain.this.mTestInnerNFC.startNFCSelf(((Integer) msg.obj).intValue());
                        return;
                    } else {
                        FactoryTestMain.this.mSequentialTestHandler.sendMessageDelayed(FactoryTestMain.this.mSequentialTestHandler.obtainMessage(6, msg.obj), 1000);
                        return;
                    }
                default:
                    return;
            }
        }
    };
    private ServiceScreenSaver mServiceScreenSaver = null;
    private FactoryTestMainInner mTestInner;
    private FactoryTestMainInnerBT mTestInnerBT;
    private FactoryTestMainInnerCoaxialCableDetect mTestInnerCoaxialCableDetect;
    private FactoryTestMainInnerEarphone mTestInnerEarphone;
    private FactoryTestMainInnerFMRadio mTestInnerFMRadio;
    private FactoryTestMainInnerLoopback mTestInnerLoopback;
    private FactoryTestMainInnerNFC mTestInnerNFC;
    private FactoryTestMainInnerOTG mTestInnerOTG;
    private FactoryTestMainInnerOTG3 mTestInnerOTG3;
    private FactoryTestMainInnerUSB3 mTestInnerUSB3;
    private FactoryTestMainOuter mTestOuter;
    private TextView mTestResultText;

    static {
        DUMMY = 0;
        int i = 0 + 1;
        DUMMY = i;
        int i2 = i + 1;
        DUMMY = i2;
        WHAT_RESULT_FAIL_CASE = i;
        int i3 = i2 + 1;
        DUMMY = i3;
        WHAT_RESULT_WITHOUT_NV = i2;
        int i4 = i3 + 1;
        DUMMY = i4;
        WHAT_SELECT_ITEM = i3;
        WHAT_SCOPE_MAX = i4;
    }

    public FactoryTestMainInnerLoopback getInstanceInnerLoopback() {
        return this.mTestInnerLoopback;
    }

    public boolean dispatchTouchEvent(MotionEvent ev) {
        if (ev.getToolType(0) == 2 && this.isSpenLock) {
            return true;
        }
        ServiceScreenSaver serviceScreenSaver = this.mServiceScreenSaver;
        if (serviceScreenSaver != null) {
            serviceScreenSaver.updateCurrentTime();
        }
        return super.dispatchTouchEvent(ev);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private int getTestId(int tmpTestId) {
        int testId = tmpTestId;
        switch (testId) {
            case 1012:
                testId = 23;
                break;
            case 1022:
                testId = 73;
                break;
            case 1024:
                testId = 155;
                break;
            case 1025:
                testId = 152;
                break;
            case 1027:
                testId = 153;
                break;
            case 1030:
                testId = 161;
                break;
            case 1032:
                testId = 162;
                break;
            case 1034:
                testId = 160;
                break;
            case 1036:
                testId = 168;
                break;
            case 1037:
                testId = 170;
                break;
            case 1038:
                testId = 260;
                break;
            case 1040:
                testId = 183;
                break;
            case 1043:
                testId = 181;
                break;
            case 1044:
                testId = 175;
                break;
            case 1046:
                testId = 201;
                break;
            case FactoryTestManager.TEST_PROXIMITY_HOVER_START:
                testId = 198;
                break;
            case FactoryTestManager.TEST_NFC_TYPE_B_START:
                testId = 165;
                break;
            case FactoryTestManager.TEST_WIRELESS_FAST_CHARGE_2_START:
                testId = FactoryTestManager.TEST_WIRELESS_FAST_CHARGE_2;
                break;
            case 1061:
                testId = FactoryTestManager.TEST_RANGING_SENSOR_300;
                break;
            case FactoryTestManager.TEST_RANGING_SENSOR_500_START:
                testId = FactoryTestManager.TEST_RANGING_SENSOR_500;
                break;
            case FactoryTestManager.TEST_TSP_COLOR_DIFF_TEST_START:
                testId = FactoryTestManager.TEST_TSP_COLOR_DIFF_TEST;
                break;
            case 1068:
                testId = 139;
                break;
        }
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "getTestId", "received test id = " + tmpTestId + ", actual test id = " + testId);
        return testId;
    }

    public FactoryTestMain() {
        super("FactoryTestMain");
    }

    private void removeDialog() {
        FtUtil.log_d(this.CLASS_NAME, "removeDialog");
        ConcurrentLinkedQueue<FactoryTestDialog> concurrentLinkedQueue = this.mDialogQueue;
        if (concurrentLinkedQueue == null) {
            FtUtil.log_d(this.CLASS_NAME, "removeDialog", "No dialog");
            return;
        }
        Iterator<FactoryTestDialog> it = concurrentLinkedQueue.iterator();
        while (it.hasNext()) {
            FactoryTestDialog diag = it.next();
            if (diag != null) {
                diag.dismiss();
            }
        }
        this.mDialogQueue.clear();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void removeDialog(String title) {
        FtUtil.log_d(this.CLASS_NAME, "removeDialog", title);
        if (this.mDialogQueue == null || title == null || title.isEmpty()) {
            FtUtil.log_d(this.CLASS_NAME, "removeDialog", "No dialog");
            return;
        }
        Iterator<FactoryTestDialog> it = this.mDialogQueue.iterator();
        while (it.hasNext()) {
            FactoryTestDialog diag = it.next();
            if (diag != null && title.equals(diag.getTitle())) {
                diag.dismiss();
                this.mDialogQueue.remove(diag);
            }
        }
    }

    /* access modifiers changed from: protected */
    public void onNewIntent(Intent intent) {
        FtUtil.log_d(this.CLASS_NAME, "onNewIntent", "onNewIntent");
        this.mListView.smoothScrollToPosition(0);
        this.mTestInnerBT.setEnable(false);
        this.mFeedback.sendEmptyMessage(4);
        mIsTestMode15Quick = false;
        FactoryTestManager.initialize("FactoryTestMenu");
        removeDialog();
        if (!ModuleAudio.instance(this).isDoingLoopback()) {
            getInstanceInnerLoopback();
            FactoryTestMainInnerLoopback.mStatus = -1;
        }
        FactoryTestRemoteController factoryTestRemoteController = this.mFactoryTestRemoteController;
        if (factoryTestRemoteController != null) {
            factoryTestRemoteController.cleanWithService();
            this.mFactoryTestRemoteController = null;
        }
        if (Support.Kernel.isExistFile(Support.Kernel.BATT_FACTORY_MODE) && !"tester".equals(Support.Properties.get(Support.Properties.FTL_GADGET_MODE))) {
            checkBatteryFactoryMode();
        }
        super.onNewIntent(intent);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        int mMarginBottom;
        if (!XMLDataStorage.instance().wasCompletedParsing()) {
            FtUtil.log_d(this.CLASS_NAME, "onCreate", "XML data parsing was failed.");
            XMLDataStorage.instance().parseXML(this);
        }
        Intent intent = getIntent();
        mIsTestMode15Quick = false;
        if (intent != null) {
            if (intent.getStringExtra("testname") == null || !"15quick".equals(intent.getStringExtra("testname"))) {
                FtUtil.log_d(this.CLASS_NAME, "onCreate", FtUtil.setMspSeqMessage(0, "onCreate", "15 TEST"));
            } else {
                mIsTestMode15Quick = true;
                FtUtil.log_d(this.CLASS_NAME, "onCreate", FtUtil.setMspSeqMessage(0, "onCreate", "15 Quick TEST"));
            }
            if (intent.getExtras() != null && intent.getExtras().getBoolean("atfunctest", false)) {
                this.mIsAtfunctest = true;
            }
            FtUtil.log_i(this.CLASS_NAME, "onCreate", "atfunctest : " + this.mIsAtfunctest);
        }
        this.mLogProgressDialog = new ProgressDialog(this);
        this.mLogDialogBuilder = new AlertDialog.Builder(this);
        this.mDialogQueue = new ConcurrentLinkedQueue<>();
        if (Support.Feature.getBoolean(Support.Feature.SUPPORT_HARDWARE_ACCELERATED)) {
            getWindow().setFlags(16777216, 16777216);
        }
        FactoryTestManager.getInstance(this);
        setContentView(R.layout.ui_factorytest);
        FactoryTestManager.initialize("FactoryTestMenu");
        mUIOrientation = null;
        if (ModuleTouchScreen.instance(this).getTSPVendorName().contains(ModuleTouchScreen.TSP_VENDOR_NAME__ZINITIX)) {
            Support.Kernel.writeToPath("/sys/class/sec/tsp/cmd", "lpm_disable");
            this.lpm_result = Support.Kernel.readFromPath("/sys/class/sec/tsp/cmd_status", true);
            Support.Kernel.readFromPath("/sys/class/sec/tsp/cmd_result", true);
        }
        if ("google_touch_display_optical,settings=3".contains("google_touch_side") && !"google_touch_display_optical,settings=3".contains("exclusive")) {
            this.mIsFingerprintTouchSide = true;
        }
        FtUtil.log_i(this.CLASS_NAME, "onCreate", "google_touch_side : " + this.mIsFingerprintTouchSide);
        if (this.mIsFingerprintTouchSide) {
            FtUtil.log_i(this.CLASS_NAME, "onCreate", "setBlockingPowerKey true");
            FactoryTest.setBlockingPowerKey(this, true);
        }
        ModuleAudio.instance(this).sendToAudioManagerFTAOnOff(true);
        FactoryTestMainAdapter factoryTestMainAdapter = new FactoryTestMainAdapter(this);
        this.mAdapter = factoryTestMainAdapter;
        FactoryTestManager.setAdapter(factoryTestMainAdapter);
        if (mUIOrientation == null || "portrait".equalsIgnoreCase(mUIOrientation)) {
            Settings.System.putInt(getContentResolver(), "accelerometer_rotation", 0);
        } else {
            Settings.System.putInt(getContentResolver(), "accelerometer_rotation", 1);
        }
        super.onCreate(savedInstanceState);
        this.mAudioManager = (AudioManager) getSystemService("audio");
        ListView listView = (ListView) findViewById(R.id.menu_list);
        this.mListView = listView;
        listView.setAdapter((ListAdapter) this.mAdapter);
        this.mListView.setOnItemClickListener(this);
        this.mListView.setLayoutParams(new LinearLayout.LayoutParams(-1, -2, 1.0f));
        this.mTestResultText = (TextView) findViewById(R.id.tv_factoryteststatus_batt_gauge);
        this.mProgress = (ProgressBar) findViewById(R.id.progress);
        this.mFeedbackText = (TextView) findViewById(R.id.feedback);
        boolean isFolderModel = Support.Feature.getBoolean(Support.Feature.SUPPORT_DUAL_LCD_FOLDER, false);
        boolean isFolderOpened = FtUtil.isFolderOpen();
        if (!isFolderModel || isFolderOpened) {
            int mMarginPxSizeLR = Support.Feature.getInt(Support.Feature.SUPPORT_STATUS_BAR_MARGIN_LR);
            int mMarginPxSizeUD = Support.Feature.getInt(Support.Feature.SUPPORT_STATUS_BAR_MARGIN_UD);
            int mMarginLeft = 0;
            int mMarginRight = 0;
            int mMarginTop = 0;
            if (mMarginPxSizeLR < 0) {
                mMarginLeft = mMarginPxSizeLR * -1;
            } else if (mMarginPxSizeLR > 0) {
                mMarginRight = mMarginPxSizeLR;
            }
            if (mMarginPxSizeUD < 0) {
                mMarginBottom = mMarginPxSizeUD * -1;
            } else {
                if (mMarginPxSizeUD > 0) {
                    mMarginTop = mMarginPxSizeUD;
                }
                mMarginBottom = 0;
            }
            FtUtil.log_i(this.CLASS_NAME, "StatusBar Margin ", "mMarginLeft=" + mMarginLeft + ", mMarginRight=" + mMarginRight + "mMarginTop=" + mMarginTop + "mMarginBottom=" + mMarginBottom);
            ((RelativeLayout) findViewById(R.id.statusbar_15_layout)).setPadding(mMarginLeft, mMarginTop, mMarginRight, mMarginBottom);
        } else {
            int mMarginPxSizeUD2 = Support.Feature.getInt(Support.Feature.SUPPORT_STATUS_BAR_MARGIN_UD);
            int mMarginTop2 = 0;
            int mMarginBottom2 = 0;
            if (mMarginPxSizeUD2 < 0) {
                mMarginBottom2 = mMarginPxSizeUD2 * -1;
            } else if (mMarginPxSizeUD2 > 0) {
                mMarginTop2 = mMarginPxSizeUD2;
            }
            FtUtil.log_i(this.CLASS_NAME, "StatusBar Margin ", "mMarginTop=" + mMarginTop2 + "mMarginBottom=" + mMarginBottom2);
            ((RelativeLayout) findViewById(R.id.statusbar_15_layout)).setPadding(0, mMarginTop2, 0, mMarginBottom2);
        }
        this.mContext = this;
        this.mMainStatus = new FactoryTestStatus(this, this.mTestResultText);
        this.mTestInner = new FactoryTestMainInner(this.mContext, this.mInnerTestResult, this.mFeedback, this.mListView);
        this.mTestInnerBT = new FactoryTestMainInnerBT(this.mContext, this.mInnerTestResult, this.mFeedback, this.mListView);
        if (Support.FactoryTestMenu.getFactoryTestName("action", "129") != null) {
            this.mTestInnerNFC = new FactoryTestMainInnerNFC(this.mContext, this.mInnerTestResult, this.mFeedback, this.mListView);
        }
        FactoryTestMainInnerLoopback factoryTestMainInnerLoopback = new FactoryTestMainInnerLoopback(this.mContext, this.mInnerTestResult, this.mFeedback, this.mListView);
        this.mTestInnerLoopback = factoryTestMainInnerLoopback;
        this.mTestInnerEarphone = new FactoryTestMainInnerEarphone(this.mContext, this.mInnerTestResult, this.mFeedback, this.mListView, factoryTestMainInnerLoopback);
        this.mTestInnerOTG = new FactoryTestMainInnerOTG(this.mContext, this.mInnerTestResult, this.mFeedback);
        this.mTestInnerOTG3 = new FactoryTestMainInnerOTG3(this.mContext, this.mInnerTestResult, this.mFeedback);
        this.mTestInnerUSB3 = new FactoryTestMainInnerUSB3(this.mContext, this.mInnerTestResult, this.mFeedback);
        this.mTestInnerFMRadio = new FactoryTestMainInnerFMRadio(this.mContext, this.mInnerTestResult, this.mFeedback);
        this.mTestInnerCoaxialCableDetect = new FactoryTestMainInnerCoaxialCableDetect(this.mContext, this.mInnerTestResult, this.mFeedback);
        this.mTestOuter = new FactoryTestMainOuter(this.mContext);
        this.mModuleCommunication = ModuleCommunication.instance(this);
        this.BG_NORMAL_COLOR = this.mContext.getResources().getColor(R.color.background_gray);
        if (Support.Feature.getBoolean(Support.Feature.DISABLE_TOUCH_SOUND)) {
            Settings.System.putInt(getContentResolver(), "sound_effects_enabled", 0);
        }
        registerTestReceiver();
        if (!"none".equalsIgnoreCase(Support.Feature.getString(Support.Feature.LCD_TYPE))) {
            checkNAD();
        }
        if ("super".equals(Support.Properties.get(Support.Properties.FTL_GADGET_MODE)) || "tester".equals(Support.Properties.get(Support.Properties.FTL_GADGET_MODE))) {
            FtUtil.log_i(this.CLASS_NAME, "FactoryTestLauncher", "Skip checkCapacity & CP & NFC!");
        } else {
            if (!ModuleCommon.instance(this).isConnectionModeNone()) {
                this.IsCPReady = checkCPStatus();
            }
            checkCapacity();
            checkNFCStatusAndFinish();
        }
        if (Support.Kernel.isExistFile(Support.Kernel.BATT_FACTORY_MODE) && !"tester".equals(Support.Properties.get(Support.Properties.FTL_GADGET_MODE))) {
            checkBatteryFactoryMode();
        }
        if (FactoryTestManager.getEnable(9)) {
            this.mModuleCommunication.nfcOn();
        }
        if (this.IsCPReady) {
            for (int i = 0; i < FactoryTestManager.getItemCount(); i++) {
                if (FactoryTestManager.isAutoTest(i)) {
                    launchTest(FactoryTestManager.getItemID(i));
                } else if (mIsTestMode15Quick && (FactoryTestManager.isBackgroundTest(i) || FactoryTestManager.isForegroundTest(i))) {
                    if (this.mFactoryTestRemoteController == null) {
                        FactoryTestRemoteController factoryTestRemoteController = new FactoryTestRemoteController(this, this.mFeedback, this.mInnerTestResult, this.mAdapter);
                        this.mFactoryTestRemoteController = factoryTestRemoteController;
                        this.mAdapter.setFactoryTestRemoteController(factoryTestRemoteController);
                        this.mAdapter.setFactoryTestFeedBackHandler(this.mFeedback);
                    }
                    this.mFactoryTestRemoteController.addToQueue(FactoryTestManager.getItemID(i), i);
                }
            }
        }
        changeViewColor();
        Support.Kernel.writeToPath("/sys/class/power_supply/battery/batt_swelling_control", EgisFingerprint.MAJOR_VERSION);
        mAutoBrightnessMode = ModulePower.instance(this).getScreenBrightnessMode();
        mSystemScreenBrightness = ModulePower.instance(this).getBrightness();
        ModulePower.instance(this).setScreenBrightnessMode(0);
        this.mHandler.postDelayed(new Runnable() {
            /* class com.sec.factory.app.factorytest.FactoryTestMain.AnonymousClass7 */

            public void run() {
                ModulePower.instance(FactoryTestMain.this.mContext).setBrightness(255);
            }
        }, 100);
        if (intent.getBooleanExtra("launchColourBalanceReference", false)) {
            this.mLaunchColourBalanceReference = true;
            FactoryTestDialog diag = new FactoryTestDialog(this, getResources().getString(R.string.colour_bal_reference_launch), getResources().getString(R.string.str_wait_msg), null, 0);
            diag.setClassName(this.CLASS_NAME);
            diag.show();
            this.mDialogQueue.add(diag);
        }
        FtUtil.log_i(this.CLASS_NAME, "onCreate", " UN Info : " + Support.Kernel.getUniqueNumber());
        if (isFolderModel) {
            this.mFolderState = FtUtil.isFolderOpen();
            FtUtil.log_d(this.CLASS_NAME, "onCreate", " Folder State : " + this.mFolderState);
        }
        if (Support.Feature.getBoolean(Support.Feature.SUPPORT_CABLE_CONNECT_DETECT)) {
            setConnectorPopup();
        }
        if ("ET6034A".equalsIgnoreCase(Support.Feature.getString(Support.Feature.SUPPORT_SERVICE_LED))) {
            SharedPreferences sharedPreferences = this.mContext.getSharedPreferences("NAD_LOOP_TEST", 0);
            this.mPreferences = sharedPreferences;
            String state = sharedPreferences.getString("STATE", null);
            FtUtil.log_i(this.CLASS_NAME, "onCreate", "NAD_LOOP_TEST state : " + state);
            if ("start".equalsIgnoreCase(state)) {
                SharedPreferences.Editor edit = this.mPreferences.edit();
                this.mPreferenceEditor = edit;
                edit.putString("STATE", "done");
                this.mPreferenceEditor.apply();
                FtUtil.log_i(this.CLASS_NAME, "onCreate", "Led is controlled by KQT");
                return;
            }
            ModuleDevice.instance(this.mContext).turnOnColorLED(ModuleDevice.COLORLED_YELLOW, 1);
            FtUtil.log_i(this.CLASS_NAME, "onCreate", "Led turns yellow.");
        }
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void setTestResult(int id, byte result) {
        if (result == 80 || this.isAtCmd) {
            super.setTestResult(id, result);
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        if (this.mServiceScreenSaver == null && !"none".equalsIgnoreCase(Support.Feature.getString(Support.Feature.LCD_TYPE))) {
            ServiceScreenSaver serviceScreenSaver = new ServiceScreenSaver(this);
            this.mServiceScreenSaver = serviceScreenSaver;
            serviceScreenSaver.setRunningStatus(true);
            this.mServiceScreenSaver.updateCurrentTime();
            this.mServiceScreenSaver.start();
        }
        ModulePower.instance(this.mContext).setBrightness(255);
        this.mMainStatus.registerStatusCheckModule();
        changeViewColor();
        if (this.mModuleCommunication.isEnabledBtDevice() && this.mTestInnerBT.getEnable()) {
            setTestResult(2, (byte) 80);
            this.mTestInnerBT.setEnable(false);
        }
        if (ModuleAudio.instance(this).isConnectionModeNone()) {
            this.mAudioManager.setRingerMode(2);
        }
        if (FactoryTest.needBlockingPowerKey() && !this.mIsFingerprintTouchSide) {
            FactoryTest.setBlockingPowerKey(this, false);
        }
        FactoryTestManager.notifyDataSetChanged();
        if (this.mLaunchColourBalanceReference) {
            this.mLaunchColourBalanceReference = false;
            this.mLaunchColourBalanceReferenceHandler.sendMessageDelayed(this.mSequentialTestHandler.obtainMessage(7), 3000);
        }
        sendBroadcast(new Intent("com.samsung.android.aircommandmanager.START_MONITORING"));
        sendBroadcast(new Intent("com.sec.factory.ACTION_15_MAIN_START_RESULT").putExtra("response", "OK"));
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        ModuleAudio moduleAudio = ModuleAudio.instance(this);
        this.mMainStatus.unRegisterStatusCheckModule();
        if (this.mServiceScreenSaver != null) {
            FtUtil.log_i(this.CLASS_NAME, "onPause", "Stop mServiceScreenSaver");
            this.mServiceScreenSaver.setLCDState(2);
            this.mServiceScreenSaver.setRunningStatus(false);
            this.mServiceScreenSaver = null;
        }
        if (moduleAudio.isDoingLoopback()) {
            this.mTestInnerLoopback.stopLoopback();
            FtUtil.log_i(this.CLASS_NAME, "onPause", "Stop Loopback");
        }
        this.mTestInnerOTG.unregisterOTGReceiver();
        this.mTestInnerOTG3.unregisterOTGReceiver();
        this.mTestInnerUSB3.unregisterUSB3Receiver();
        if (!AtLightest.mIsRunningLowLightTest && ModuleAudio.instance(this).isPlayingSound()) {
            stopSound();
            try {
                FtUtil.log_d(this.CLASS_NAME, "onPause : delay", " : 500ms");
                Thread.sleep(500);
            } catch (InterruptedException e) {
                e.printStackTrace();
            }
            ModuleAudio.instance(this).setAudioPath(4);
        }
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onConfigurationChanged(Configuration newConfig) {
        super.onConfigurationChanged(newConfig);
        boolean isFolderModel = Support.Feature.getBoolean(Support.Feature.SUPPORT_DUAL_LCD_FOLDER, false);
        if (isFolderModel) {
            boolean Curstate = FtUtil.isFolderOpen();
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "onConfigurationChanged : FolderModel " + isFolderModel + " mFolderState " + Curstate);
            if (Curstate != this.mFolderState) {
                FtUtil.log_d(this.CLASS_NAME, "onConfigurationChanged", FtUtil.setMspSeqMessage(1, "FactoryTestMain", "Folder status changed"));
                Toast.makeText(this.mContext, "Folder status is changed!", 0).show();
                finish();
            }
        }
    }

    /* JADX INFO: Multiple debug info for r1v11 android.content.Intent: [D('count_tofcam' java.lang.String), D('intent' android.content.Intent)] */
    /* JADX INFO: Multiple debug info for r1v17 'count_upperpba'  java.lang.String: [D('count_upperpba' java.lang.String), D('count_tofcam' java.lang.String)] */
    /* JADX INFO: Multiple debug info for r0v6 'count_tsp'  java.lang.String: [D('count_subub' java.lang.String), D('count_tsp' java.lang.String)] */
    /* access modifiers changed from: protected */
    /* JADX WARNING: Code restructure failed: missing block: B:164:0x02b8, code lost:
        if ("0".equals(r1) != false) goto L_0x02bf;
     */
    public void setConnectorPopup() {
        boolean mSupportTofCam;
        String mAvailablePins;
        boolean mSupportOcta;
        boolean mSupportOcta2;
        boolean mSupportSubDigi;
        String count_subdigi;
        String count_octa;
        String str;
        String str2;
        Intent intent;
        boolean mSupportLowerPBA;
        boolean mSupportMainBatt;
        boolean mSupportSubBatt;
        boolean mSupportSubUB;
        String count_subub;
        String count_tofcam;
        boolean mSupportSubDigi2;
        String count_subdigi2;
        Intent intent2;
        String count_tsp;
        String count_upperpba;
        FactoryTestMain factoryTestMain;
        boolean mSupportTofCam2;
        boolean mSupportMainDigi;
        FtUtil.log_i(this.CLASS_NAME, "setConnectorPopup", "");
        String mAvailablePins2 = Support.Kernel.read(Support.Kernel.AVAILABLE_PIN_CHECK);
        boolean mSupportSubUB2 = false;
        boolean mSupportSubBatt2 = false;
        boolean mSupportMainBatt2 = false;
        boolean mSupportLowerPBA2 = false;
        boolean mSupportUpperPBA = false;
        boolean mSupportTsp = false;
        boolean mSupportSubPBA = false;
        boolean mSupportCam = false;
        String count_maindigi = null;
        String count_tofcam2 = null;
        String count_subub2 = null;
        String count_subbatt = null;
        String count_mainbatt = null;
        String count_lowerpba = null;
        String count_upperpba2 = null;
        String count_tsp2 = null;
        String count_subpba = null;
        String count_camera = null;
        String ubsupportdata = Support.Kernel.read(Support.Kernel.CABLE_DETECT_UB);
        boolean mSupportMainDigi2 = false;
        if (ubsupportdata == null || ModuleCommunicationService.SMD_NOK.equals(ubsupportdata)) {
            mSupportTofCam = false;
        } else {
            StringBuilder sb = new StringBuilder();
            mSupportTofCam = false;
            sb.append("UB_CONNECT/");
            sb.append(mAvailablePins2);
            mAvailablePins2 = sb.toString();
        }
        String ubsupportdata2 = Support.Kernel.read(Support.Kernel.CABLE_DETECT_SUB_UB);
        if (ubsupportdata2 == null || ModuleCommunicationService.SMD_NOK.equals(ubsupportdata2)) {
            mAvailablePins = mAvailablePins2;
        } else {
            mAvailablePins = mAvailablePins2 + "/UB_CONNECT_SUB";
        }
        if (mAvailablePins != null) {
            if (mAvailablePins.contains("UB_CONNECT")) {
                mSupportOcta2 = true;
            } else {
                mSupportOcta2 = false;
            }
            if (mAvailablePins.contains("CAM_CONNECT")) {
                mSupportCam = true;
            }
            if (mAvailablePins.contains("SUB_CONNECT")) {
                mSupportSubPBA = true;
            }
            if (mAvailablePins.contains("TSP_CONNECT")) {
                mSupportTsp = true;
            }
            if (mAvailablePins.contains("UPPER_C2C_DETECT")) {
                mSupportUpperPBA = true;
            }
            if (mAvailablePins.contains("LOWER_C2C_DETECT")) {
                mSupportLowerPBA2 = true;
            }
            if (mAvailablePins.contains("MAIN_BAT_DETECT")) {
                mSupportMainBatt2 = true;
            }
            if (mAvailablePins.contains("SUB_BAT_DETECT")) {
                mSupportSubBatt2 = true;
            }
            if (mAvailablePins.contains("UB_CONNECT_SUB")) {
                mSupportSubUB2 = true;
            }
            if (mAvailablePins.contains("TOF_CONNECT")) {
                mSupportTofCam2 = true;
            } else {
                mSupportTofCam2 = mSupportTofCam;
            }
            mSupportOcta = mSupportTofCam2;
            if (mAvailablePins.contains("MAIN_DIGITIZER_DETECT")) {
                mSupportMainDigi = true;
            } else {
                mSupportMainDigi = false;
            }
            mSupportMainDigi2 = mSupportMainDigi;
            if (mAvailablePins.contains("SUB_LOWER_DETECT")) {
                mSupportSubDigi = true;
            } else {
                mSupportSubDigi = false;
            }
        } else {
            mSupportOcta2 = false;
            mSupportSubDigi = false;
            mSupportOcta = mSupportTofCam;
        }
        Intent intent3 = new Intent(this, CablePopup.class);
        if (mSupportOcta2) {
            count_subdigi = null;
            count_octa = Support.Kernel.read(Support.Kernel.CABLE_DETECT_COUNT_OCTA, true);
        } else {
            count_subdigi = null;
            count_octa = null;
        }
        if (mSupportCam) {
            str = Support.Kernel.CABLE_DETECT_SUB_UB;
            count_camera = Support.Kernel.read(Support.Kernel.CABLE_DETECT_COUNT_CAMERA, true);
        } else {
            str = Support.Kernel.CABLE_DETECT_SUB_UB;
        }
        if (mSupportSubPBA) {
            str2 = Support.Kernel.CABLE_DETECT_UB;
            count_subpba = Support.Kernel.read(Support.Kernel.CABLE_DETECT_COUNT_SUBPBA, true);
        } else {
            str2 = Support.Kernel.CABLE_DETECT_UB;
        }
        if (mSupportTsp) {
            count_tsp2 = Support.Kernel.read(Support.Kernel.CABLE_DETECT_COUNT_TSP, true);
        }
        if (mSupportUpperPBA) {
            intent = intent3;
            count_upperpba2 = Support.Kernel.read(Support.Kernel.CABLE_DETECT_COUNT_UPPERPBA, true);
        } else {
            intent = intent3;
        }
        if (mSupportLowerPBA2) {
            mSupportLowerPBA = mSupportLowerPBA2;
            count_lowerpba = Support.Kernel.read(Support.Kernel.CABLE_DETECT_COUNT_LOWERPBA, true);
        } else {
            mSupportLowerPBA = mSupportLowerPBA2;
        }
        if (mSupportMainBatt2) {
            mSupportMainBatt = mSupportMainBatt2;
            count_mainbatt = Support.Kernel.read(Support.Kernel.CABLE_DETECT_COUNT_MAINBATT, true);
        } else {
            mSupportMainBatt = mSupportMainBatt2;
        }
        if (mSupportSubBatt2) {
            mSupportSubBatt = mSupportSubBatt2;
            count_subbatt = Support.Kernel.read(Support.Kernel.CABLE_DETECT_COUNT_SUBBATT, true);
        } else {
            mSupportSubBatt = mSupportSubBatt2;
        }
        if (mSupportSubUB2) {
            mSupportSubUB = mSupportSubUB2;
            count_subub2 = Support.Kernel.read(Support.Kernel.CABLE_DETECT_COUNT_SUBUB, true);
        } else {
            mSupportSubUB = mSupportSubUB2;
        }
        if (mSupportOcta) {
            count_subub = count_subub2;
            count_tofcam2 = Support.Kernel.read(Support.Kernel.CABLE_DETECT_COUNT_TOFCAM, true);
        } else {
            count_subub = count_subub2;
        }
        if (mSupportMainDigi2) {
            count_tofcam = count_tofcam2;
            count_maindigi = Support.Kernel.read(Support.Kernel.CABLE_DETECT_COUNT_MAINDIGI, true);
        } else {
            count_tofcam = count_tofcam2;
        }
        if (mSupportSubDigi) {
            mSupportSubDigi2 = mSupportSubDigi;
            count_subdigi2 = Support.Kernel.read(Support.Kernel.CABLE_DETECT_COUNT_SUBDIGI, true);
        } else {
            mSupportSubDigi2 = mSupportSubDigi;
            count_subdigi2 = count_subdigi;
        }
        if ((mSupportOcta2 && count_octa != null) || ((mSupportCam && count_camera != null) || ((mSupportSubPBA && count_subpba != null) || ((mSupportTsp && count_tsp2 != null) || ((mSupportUpperPBA && count_upperpba2 != null) || ((mSupportLowerPBA && count_lowerpba != null) || ((mSupportMainBatt && count_mainbatt != null) || ((mSupportSubBatt && count_subbatt != null) || ((mSupportSubUB && count_subub != null) || ((mSupportOcta && count_tofcam != null) || ((mSupportMainDigi2 && count_maindigi != null) || (mSupportSubDigi2 && count_subdigi2 != null)))))))))))) {
            if (mSupportOcta2 && !"0".equals(count_octa)) {
                count_tsp = count_subub;
                count_upperpba = count_tofcam;
            } else if (mSupportCam && !"0".equals(count_camera)) {
                count_tsp = count_subub;
                count_upperpba = count_tofcam;
            } else if (mSupportSubPBA && !"0".equals(count_subpba)) {
                count_tsp = count_subub;
                count_upperpba = count_tofcam;
            } else if (mSupportTsp && !"0".equals(count_tsp2)) {
                count_tsp = count_subub;
                count_upperpba = count_tofcam;
            } else if (mSupportUpperPBA && !"0".equals(count_upperpba2)) {
                count_tsp = count_subub;
                count_upperpba = count_tofcam;
            } else if (mSupportLowerPBA && !"0".equals(count_lowerpba)) {
                count_tsp = count_subub;
                count_upperpba = count_tofcam;
            } else if (mSupportMainBatt && !"0".equals(count_mainbatt)) {
                count_tsp = count_subub;
                count_upperpba = count_tofcam;
            } else if (!mSupportSubBatt || "0".equals(count_subbatt)) {
                if (mSupportSubUB) {
                    count_tsp = count_subub;
                    if (!"0".equals(count_tsp)) {
                        count_upperpba = count_tofcam;
                    }
                } else {
                    count_tsp = count_subub;
                }
                if (mSupportOcta) {
                    count_upperpba = count_tofcam;
                } else {
                    count_upperpba = count_tofcam;
                }
                if (!mSupportMainDigi2 || "0".equals(count_maindigi)) {
                    if (!mSupportSubDigi2) {
                        factoryTestMain = this;
                        intent2 = intent;
                    } else if ("0".equals(count_subdigi2)) {
                        factoryTestMain = this;
                        intent2 = intent;
                    }
                    factoryTestMain.stopService(intent2);
                    Support.Kernel.write(Support.Kernel.CABLE_DETECT_CONN, "ALL_CONNECT");
                    if (mSupportOcta2 && count_octa != null) {
                        Support.Kernel.write(str2, EgisFingerprint.MAJOR_VERSION);
                    }
                    if (mSupportSubUB && count_tsp != null) {
                        Support.Kernel.write(str, EgisFingerprint.MAJOR_VERSION);
                        return;
                    }
                }
            } else {
                count_tsp = count_subub;
                count_upperpba = count_tofcam;
            }
            intent2 = intent;
            startService(intent2);
            Support.Kernel.write(Support.Kernel.CABLE_DETECT_CONN, "ALL_CONNECT");
            Support.Kernel.write(str2, EgisFingerprint.MAJOR_VERSION);
            if (mSupportSubUB) {
            }
        }
    }

    private void ResultMessage(String message) {
        AlertDialog.Builder builder = this.mLogDialogBuilder;
        if (builder != null) {
            builder.setIcon(17301543);
            this.mLogDialogBuilder.setTitle("Dump Result");
            this.mLogDialogBuilder.setMessage(message);
            this.mLogDialogBuilder.setPositiveButton(17039370, (DialogInterface.OnClickListener) null);
            this.mLogDialogBuilder.setCancelable(true);
            this.mLogDialogBuilder.show();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void infoLogAll() {
        ResultMessage("Dump Success!");
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void showProgressDialog(String message) {
        ProgressDialog progressDialog = this.mLogProgressDialog;
        if (progressDialog != null) {
            progressDialog.setMessage(message);
            if (!this.mLogProgressDialog.isShowing()) {
                this.mLogProgressDialog.setIndeterminate(true);
                this.mLogProgressDialog.setCancelable(false);
                this.mLogProgressDialog.show();
            }
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        String str;
        if (mIsTestMode15Quick) {
            FtUtil.log_d(this.CLASS_NAME, "onDestroy", FtUtil.setMspSeqMessage(0, "onDestroy", "15 Quick TEST"));
        } else {
            FtUtil.log_d(this.CLASS_NAME, "onDestroy", FtUtil.setMspSeqMessage(0, "onDestroy", "15 TEST"));
        }
        sendBroadcast(ModuleNfc.NfcFunctions.NFC_ENABLE_DISCOVERY.getNfcIntent());
        FactoryTestRemoteController factoryTestRemoteController = this.mFactoryTestRemoteController;
        if (factoryTestRemoteController != null) {
            factoryTestRemoteController.cleanWithService();
            this.mFactoryTestRemoteController = null;
        }
        if (FactoryTest.needBlockingPowerKey()) {
            FtUtil.log_i(this.CLASS_NAME, "onDestroy", "setBlockingPowerKey false");
            FactoryTest.setBlockingPowerKey(this, false);
        }
        ModuleAudio.instance(this).setEarKeyState(0);
        ModulePower.instance(this).setScreenBrightnessMode(mAutoBrightnessMode);
        ModulePower.instance(this).setBrightness(mSystemScreenBrightness);
        unregisterTestReceiver();
        this.mTestInnerEarphone.unregisterTestReceiver();
        this.mTestInner.unregisterTestReceiver();
        this.mTestInnerOTG.unregisterOTGReceiver();
        this.mTestInnerOTG3.unregisterOTGReceiver();
        this.mTestInnerFMRadio.unregisterFMRADIOReceiver();
        this.mTestInnerUSB3.unregisterUSB3Receiver();
        if (Support.FactoryTestMenu.getFactoryTestName("action", "129") != null) {
            this.mTestInnerNFC.endInnerNFCTest();
        }
        for (int i = 0; i < FactoryTestManager.size(); i++) {
            if (FactoryTestManager.isAutoTest(i) && 2 == FactoryTestManager.getItemID(i)) {
                this.mTestInnerBT.stopBluetooth();
            }
        }
        if (this.mFactoryPhone != null) {
            this.mFactoryPhone.destroySecPhoneService();
            this.mFactoryPhone = null;
            FtUtil.log_i(this.CLASS_NAME, "onDestroy", "Unbind SecPhoneService");
        }
        ModuleAudio.instance(this).sendToAudioManagerFTAOnOff(false);
        removeDialog();
        Settings.System.putInt(getContentResolver(), "accelerometer_rotation", 1);
        if (Support.Feature.getBoolean(Support.Feature.DISABLE_TOUCH_SOUND)) {
            Settings.System.putInt(getContentResolver(), "sound_effects_enabled", 1);
        }
        if (ModuleTouchScreen.instance(this).getTSPVendorName().contains(ModuleTouchScreen.TSP_VENDOR_NAME__ZINITIX) && (str = this.lpm_result) != null && str.contains("OK")) {
            Support.Kernel.writeToPath("/sys/class/sec/tsp/cmd", "lpm_enable");
            Support.Kernel.readFromPath("/sys/class/sec/tsp/cmd_status", true);
            Support.Kernel.readFromPath("/sys/class/sec/tsp/cmd_result", true);
            this.lpm_result = null;
        }
        Support.Kernel.writeToPath("/sys/class/power_supply/battery/batt_swelling_control", "0");
        this.mSequentialTestHandler.removeMessages(6);
        this.mLaunchColourBalanceReferenceHandler.removeMessages(7);
        ModulePower.instance(this.mContext).doPartialWakeLock(false);
        super.onDestroy();
    }

    private boolean isEarKey(InputDevice dev) {
        if (dev == null) {
            FtUtil.log_e(this.CLASS_NAME, "isEarKey", "Error : Device is null");
            return false;
        }
        String devName = dev.getName();
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "onKeyDown", "Device name: " + devName);
        if (devName == null || !devName.equals("sec_jack")) {
            return false;
        }
        return true;
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    @Override // com.sec.factory.app.ui.UIBase
    public boolean onKeyDown(int keyCode, KeyEvent event) {
        FtUtil.log_d(this.CLASS_NAME, "onKeyDown", "keyCode=" + keyCode);
        if (!this.IsKeyRelease) {
            return true;
        }
        this.IsKeyRelease = false;
        switch (keyCode) {
            case 24:
                if (!"none".equalsIgnoreCase(Support.Feature.getString(Support.Feature.LCD_TYPE))) {
                    FtUtil.log_i(this.CLASS_NAME, "onKeyDown", "KEYCODE_VOLUME_UP");
                    ModuleAudio moduleAudio = ModuleAudio.instance(this);
                    if (moduleAudio.isDoingLoopback() && !moduleAudio.isEarphonePlugged()) {
                        this.mTestInnerLoopback.changeLoopbackRoute(true);
                        FactoryTestManager.notifyDataSetChanged();
                        return true;
                    } else if (!moduleAudio.isDoingLoopback() && !isEarKey(event.getDevice())) {
                        this.mListView.smoothScrollToPosition(0);
                    }
                } else if (FactoryTestManager.isGroupItem_Position(0)) {
                    FactoryTestManager.FactoryTestItemInfo[] childItems = FactoryTestManager.getChildItems(FactoryTestManager.getItemID(0));
                    if (this.mFactoryTestRemoteController == null) {
                        this.mFactoryTestRemoteController = new FactoryTestRemoteController(this, this.mFeedback, this.mInnerTestResult, this.mAdapter);
                    }
                    for (FactoryTestManager.FactoryTestItemInfo childItem : childItems) {
                        this.mFactoryTestRemoteController.addToQueue(childItem.getID(), FactoryTestManager.getItemPosition_ID(childItem.getID()));
                    }
                    FactoryTestRemoteController factoryTestRemoteController = this.mFactoryTestRemoteController;
                    if (factoryTestRemoteController != null) {
                        factoryTestRemoteController.startTest();
                    }
                }
                FtUtil.log_i(this.CLASS_NAME, "onKeyDown", "KEYCODE_VOLUME_UP = return true");
                return super.onKeyDown(keyCode, event);
            case 25:
                FtUtil.log_i(this.CLASS_NAME, "onKeyDown", "KEYCODE_VOLUME_DOWN");
                if (!ModuleAudio.instance(this).isDoingLoopback() && !isEarKey(event.getDevice())) {
                    ListView listView = this.mListView;
                    listView.smoothScrollToPosition(listView.getCount());
                }
                FtUtil.log_i(this.CLASS_NAME, "onKeyDown", "KEYCODE_VOLUME_DOWN = return true");
                return true;
            case 26:
                event.startTracking();
                return true;
            case 91:
                this.mMuteKeyDown = true;
                FtUtil.log_i(this.CLASS_NAME, "onKeyDown", "KEYCODE_MUTE");
                break;
        }
        return super.onKeyDown(keyCode, event);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public boolean onKeyLongPress(int keyCode, KeyEvent event) {
        if (keyCode == 26) {
            return true;
        }
        return super.onKeyLongPress(keyCode, event);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public boolean onKeyUp(int keyCode, KeyEvent event) {
        FtUtil.log_d(this.CLASS_NAME, "onKeyUp", "keyCode=" + keyCode);
        if (!event.isCanceled()) {
            if (keyCode == 26) {
                FtUtil.log_d(this.CLASS_NAME, "onKeyUp", "Power key pressed");
                if (this.mServiceScreenSaver == null) {
                    FtUtil.log_d(this.CLASS_NAME, "onKeyUp", "screen saver is not running");
                    ServiceScreenSaver serviceScreenSaver = new ServiceScreenSaver(this);
                    this.mServiceScreenSaver = serviceScreenSaver;
                    serviceScreenSaver.updateCurrentTime();
                    this.mServiceScreenSaver.start();
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "onKeyUp", "screen saver lcd off start");
                    this.mServiceScreenSaver.lcdOff();
                }
            } else if (keyCode == 3) {
                FtUtil.log_d(this.CLASS_NAME, "onKeyUp", "Home key pressed");
            }
        }
        this.IsKeyRelease = true;
        switch (keyCode) {
            case 7:
                if ("true".equalsIgnoreCase(Support.FactoryTestMenu.getEnable(FactoryTestManager.convertorID_XML(137)))) {
                    FtUtil.log_i(this.CLASS_NAME, "onKeyUp", "KEYCODE_NUM_0");
                    launchTest(137);
                    return true;
                }
                break;
            case 14:
                if ("true".equalsIgnoreCase(Support.FactoryTestMenu.getEnable(FactoryTestManager.convertorID_XML(161)))) {
                    FtUtil.log_i(this.CLASS_NAME, "onKeyUp", "KEYCODE_NUM_7");
                    launchTest(161);
                    return true;
                }
                break;
            case 15:
                if ("true".equalsIgnoreCase(Support.FactoryTestMenu.getEnable(FactoryTestManager.convertorID_XML(132)))) {
                    FtUtil.log_i(this.CLASS_NAME, "onKeyUp", "KEYCODE_NUM_8");
                    launchTest(132);
                    return true;
                }
                break;
            case 16:
                if ("true".equalsIgnoreCase(Support.FactoryTestMenu.getEnable(FactoryTestManager.convertorID_XML(131)))) {
                    FtUtil.log_i(this.CLASS_NAME, "onKeyUp", "KEYCODE_NUM_9");
                    launchTest(131);
                    return true;
                }
                break;
            case 85:
                if (this.mMuteKeyDown) {
                    this.mPlayPauseCount++;
                    FtUtil.log_i(this.CLASS_NAME, "onKeyUp", "PLAY_PAUSE: " + this.mPlayPauseCount);
                    if (this.mPlayPauseCount == 3) {
                        this.mPlayPauseCount = 0;
                        if ("none".equalsIgnoreCase(Support.Feature.getString(Support.Feature.LCD_TYPE))) {
                            ModuleDevice.instance(this.mContext).turnOnColorLED(ModuleDevice.COLORLED_MAGENTA, 0);
                            SharedPreferences sharedPreferences = this.mContext.getSharedPreferences("NAD_LOOP_TEST", 0);
                            this.mPreferences = sharedPreferences;
                            SharedPreferences.Editor edit = sharedPreferences.edit();
                            this.mPreferenceEditor = edit;
                            edit.putString("STATE", "start");
                            this.mPreferenceEditor.apply();
                            Intent i = new Intent("com.sec.kqt.FTA2KQT");
                            i.setPackage("com.factory.kernelqualitytest");
                            i.putExtra("cmd", "startTest");
                            i.putExtra("data", "green:" + ModuleDevice.COLORLED_GREEN + ":red:" + ModuleDevice.COLORLED_RED + ":yellow:" + ModuleDevice.COLORLED_YELLOW);
                            sendBroadcast(i);
                            break;
                        }
                    }
                } else {
                    this.mPlayPauseCount = 0;
                    break;
                }
                break;
            case 91:
                this.mMuteKeyDown = false;
                this.mPlayPauseCount = 0;
                break;
        }
        return super.onKeyUp(keyCode, event);
    }

    /* access modifiers changed from: protected */
    public void onActivityResult(int requestCode, int resultCode, Intent data) {
        String iris_led_result;
        String[] result;
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "onActivityResult", "requestCode = " + requestCode + ", resultCode = " + resultCode);
        FtUtil.log_d(this.CLASS_NAME, "onActivityResult", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(requestCode), "End"));
        changeViewColor();
        switch (requestCode) {
            case 6:
            case 7:
            case 8:
            case 17:
            case 31:
            case 41:
            case 48:
            case 53:
            case 54:
            case 62:
            case 82:
            case 85:
            case 92:
            case 94:
            case 99:
            case 117:
            case 119:
            case 121:
            case 122:
            case 123:
            case 124:
            case 128:
            case 130:
            case 134:
            case 135:
            case 138:
            case 139:
            case 148:
            case 150:
            case 151:
            case 152:
            case 153:
            case 154:
            case 157:
            case 160:
            case 161:
            case 162:
            case 168:
            case 172:
            case 177:
            case 182:
            case 189:
            case 191:
            case 195:
            case 196:
            case 197:
            case 198:
            case 199:
            case 200:
            case 201:
            case 202:
            case 206:
            case 216:
            case FactoryTestManager.TEST_WIRELESS_FAST_CHARGE_2:
            case FactoryTestManager.TEST_MIC_MUTE:
            case FactoryTestManager.TEST_ECHO_PARALLEL:
            case FactoryTestManager.TEST_MIC_GAIN_PARALLEL:
            case FactoryTestManager.TEST_MIC_MUTE_PARALLEL:
            case 260:
            case FactoryTestManager.TEST_SUB_TSP_SELF_PRESENTATION:
            case FactoryTestManager.TEST_ALWAYS_ON_TOUCH:
            case FactoryTestManager.TEST_LED_KEY:
            case FactoryTestManager.TEST_ACH_MOTOR_SOUND:
                if (resultCode != -1) {
                    setTestResultFailCase(requestCode);
                    break;
                } else {
                    setTestResult(requestCode, (byte) 80);
                    break;
                }
            case 35:
                if (resultCode != -1) {
                    setTestResultFailCase(requestCode);
                    break;
                } else {
                    setTestResult(requestCode, (byte) 80);
                    break;
                }
            case 83:
            case 194:
            case FactoryTestManager.TEST_MACRO_CAMERA_CAPTURE:
            case FactoryTestManager.TEST_REAR_CAMERA_MULTI_CAL:
            case FactoryTestManager.TEST_FOLDED_TELE_CAMERA_CAPTURE:
            case FactoryTestManager.TEST_UDC_CAPTURE:
                if (resultCode == -1) {
                    setTestResult(requestCode, (byte) 80);
                } else {
                    setTestResultFailCase(requestCode);
                }
                String str2 = this.CLASS_NAME;
                FtUtil.log_d(str2, "onActivityResult", FactoryTestManager.getItemName_RequestCode(requestCode) + " is finished. requestCode = " + requestCode);
                Handler handler = this.mFeedback;
                handler.sendMessageDelayed(handler.obtainMessage(-1), 300);
                break;
            case 84:
                if (resultCode == -1) {
                    setTestResult(84, (byte) 80);
                } else {
                    setTestResultFailCase(84);
                }
                FtUtil.log_d(this.CLASS_NAME, "onActivityResult", "Record Test is finished");
                Handler handler2 = this.mFeedback;
                handler2.sendMessageDelayed(handler2.obtainMessage(-1), 300);
                break;
            case 131:
                if (resultCode != -1) {
                    setTestResultFailCase(131);
                    FtUtil.log_d(this.CLASS_NAME, "onActivityResult", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(131), "Fail - 'com.sec.factory.iris.camera' class"));
                    break;
                } else {
                    setTestResult(131, (byte) 80);
                    break;
                }
            case 132:
                if (resultCode == -1) {
                    FtUtil.log_d(this.CLASS_NAME, "onActivityResult", "Iris LED result: OK");
                    iris_led_result = "OK";
                    setTestResult(132, (byte) 80);
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "onActivityResult", "Iris LED result: NG");
                    setTestResultFailCase(132);
                    FtUtil.log_d(this.CLASS_NAME, "onActivityResult", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(131), "Fail - 'com.sec.factory.iris.camera' class"));
                    iris_led_result = "NG";
                }
                if (data != null) {
                    int LT = data.getIntExtra("LT", 0);
                    int RT = data.getIntExtra("RT", 0);
                    int CT = data.getIntExtra("CT", 0);
                    int LB = data.getIntExtra(ExpandedProductParsedResult.POUND, 0);
                    int RB = data.getIntExtra("RB", 0);
                    String str3 = this.CLASS_NAME;
                    FtUtil.log_d(str3, "onActivityResult", "LT: " + LT + " RT: " + RT + " RB: " + RB + " LB: " + LB + " CT: " + CT);
                    String path = new File("data/log/irisLedData.log").getPath();
                    Support.Kernel.writeToPathNsync(path, iris_led_result + "," + LT + "," + RT + "," + RB + "," + LB + "," + CT);
                    break;
                }
                break;
            case 137:
                if (resultCode == -1) {
                    FtUtil.log_d(this.CLASS_NAME, "onActivityResult", "Iris Enroll result: OK");
                    setTestResult(137, (byte) 80);
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "onActivityResult", "Iris Enroll result: NG");
                    setTestResultFailCase(137);
                    FtUtil.log_d(this.CLASS_NAME, "onActivityResult", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(137), "Fail - 'com.sec.factory.iris.camera' class"));
                }
                if (!(data == null || (result = data.getStringArrayExtra("ENROLL_VERIFY_RESULT")) == null)) {
                    String str4 = this.CLASS_NAME;
                    FtUtil.log_d(str4, "onActivityResult", "result[0]: " + result[0] + " result[1]: " + result[1]);
                    String path2 = new File("data/log/irisEnrollData.log").getPath();
                    Support.Kernel.writeToPathNsync(path2, result[0] + "," + result[1]);
                    break;
                }
            case 166:
                if (resultCode != -1) {
                    setTestResultFailCase(166);
                    break;
                } else {
                    setTestResult(166, (byte) 80);
                    break;
                }
            case 167:
                if (resultCode != -1) {
                    setTestResultFailCase(167);
                    break;
                } else {
                    setTestResult(167, (byte) 80);
                    break;
                }
            case 175:
                if (resultCode == -1) {
                    setTestResult(175, (byte) 80);
                } else {
                    setTestResultFailCase(175);
                }
                FtUtil.log_d(this.CLASS_NAME, "onActivityResult", "AF CODE Test is finished");
                Handler handler3 = this.mFeedback;
                handler3.sendMessageDelayed(handler3.obtainMessage(-1), 300);
                break;
        }
        FactoryTestRemoteController factoryTestRemoteController = this.mFactoryTestRemoteController;
        if (factoryTestRemoteController != null && factoryTestRemoteController.isRunningTestAutoMatcTest() && 0 == 0) {
            this.mFactoryTestRemoteController.onEndTest(requestCode, resultCode);
        }
        FactoryTestManager.notifyDataSetChanged();
    }

    @Override // android.widget.AdapterView.OnItemClickListener
    public void onItemClick(AdapterView<?> adapterView, View view, int position, long id) {
        int testID = FactoryTestManager.getItemID(position);
        String itemName = FactoryTestManager.getItemName_Position(position);
        boolean sameSoundTest = false;
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "onItemClick", "position=" + position + ", testID=" + testID + ",  name=" + itemName);
        if (!FactoryTestManager.getClickable(position)) {
            FtUtil.log_d(this.CLASS_NAME, "onItemClick", "Not a clickable item");
            return;
        }
        FactoryTestMainAdapter factoryTestMainAdapter = this.mAdapter;
        if (factoryTestMainAdapter != null && factoryTestMainAdapter.getInvisibleItems() != null && this.mFactoryTestRemoteController != null) {
            Handler handler = this.mFeedback;
            handler.sendMessage(handler.obtainMessage(2, "Running " + this.mFactoryTestRemoteController.getCurrentTestedItemName()));
        } else if (ModuleAudio.instance(this).isDoingLoopback() && testID != CURRENT_TEST_ID) {
        } else {
            if (this.mTestInnerOTG.isDoingOTGtest() && testID != 24) {
                return;
            }
            if (this.mTestInnerOTG3.isDoingOTGtest() && testID != 79) {
                return;
            }
            if (!((Activity) this.mContext).isResumed()) {
                FtUtil.log_d(this.CLASS_NAME, "onItemClick", "Activity is not resumed");
            } else if (!this.mTestInnerUSB3.isDoingUSB3test() || testID == 70) {
                String str2 = "End";
                if (ModuleAudio.instance(this).isPlayingSound()) {
                    switch (CURRENT_TEST_ID) {
                        case 4:
                        case 5:
                        case 33:
                            FtUtil.log_d(this.CLASS_NAME, "onItemClick", "need to stop last running test");
                            if (testID == CURRENT_TEST_ID) {
                                sameSoundTest = true;
                                break;
                            } else {
                                FtUtil.log_d(this.CLASS_NAME, "onItemClick", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_Position(FactoryTestManager.getItemPosition_ID(CURRENT_TEST_ID)), str2));
                                launchTest(CURRENT_TEST_ID);
                                break;
                            }
                    }
                }
                CURRENT_TEST_ID = testID;
                setItemNameForFactoryDump(FactoryTestManager.getItemName_Position(position));
                String str3 = this.CLASS_NAME;
                if (!ModuleAudio.instance(this).isDoingLoopback() && !this.mTestInnerOTG.isDoingOTGtest() && !this.mTestInnerUSB3.isDoingUSB3test() && !sameSoundTest) {
                    str2 = "Start";
                }
                FtUtil.log_d(str3, "onItemClick", FtUtil.setMspSeqMessage(1, itemName, str2));
                launchTest(testID);
            }
        }
    }

    private void setItemNameForFactoryDump(String currentStage) {
        String currentStage2 = currentStage.trim();
        if (currentStage2.indexOf("[") > -1) {
            currentStage2 = currentStage2.substring(0, currentStage2.indexOf("[")).replace(" ", "");
        }
        for (int i = 0; i < currentStage2.length() - 1; i++) {
            String currenStageSubstring = currentStage2.substring(i, i + 1);
            if (!currenStageSubstring.matches("[0-9a-zA-Z_]+")) {
                String str = this.CLASS_NAME;
                FtUtil.log_d(str, "setItemNameForFactoryDump", "currenStageSubstring: " + currenStageSubstring);
                currentStage2 = currentStage2.replace(currenStageSubstring, "_");
            }
        }
        String str2 = this.CLASS_NAME;
        FtUtil.log_d(str2, "setItemNameForFactoryDump", "currentStage: " + currentStage2);
        savePositionData(currentStage2);
    }

    public void launchTest(final int testID) {
        this.mTestOuter.setTestId(testID);
        this.mTestOuter.setTestMode(this.isAtCmd);
        FactoryTestRemoteController factoryTestRemoteController = this.mFactoryTestRemoteController;
        if (factoryTestRemoteController != null && factoryTestRemoteController.interruptAutoTest(testID)) {
            FtUtil.log_d(this.CLASS_NAME, "launchTest", "AutoTest is on going, now interrupted");
        }
        boolean supportCardMode = true;
        switch (testID) {
            case 0:
                this.mTestOuter.startSimple();
                return;
            case 1:
            case 42:
            case 65:
            case 66:
                this.mTestInnerLoopback.startLoopback();
                return;
            case 2:
                this.mTestInnerBT.startBluetooth(testID);
                return;
            case 3:
                this.mTestInner.startSDCard(testID);
                return;
            case 4:
            case 5:
            case 169:
                this.mTestOuter.startSpeaker();
                return;
            case 6:
            case 45:
                this.mTestOuter.startKey();
                return;
            case 7:
                this.mTestOuter.startDMB1();
                return;
            case 8:
                this.mTestOuter.startDMB2();
                return;
            case 9:
                String testCase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML((byte) 9));
                boolean supportReaderMode = testCase != null && testCase.contains("READER");
                if (testCase == null || !testCase.contains("CARD")) {
                    supportCardMode = false;
                }
                if (supportReaderMode && !supportCardMode) {
                    this.mTestOuter.startNFCOnlyReaderMode();
                    return;
                } else if (supportReaderMode || !supportCardMode) {
                    this.mTestOuter.startNFC();
                    return;
                } else {
                    return;
                }
            case 11:
            case 15:
            case 164:
            case 180:
            default:
                return;
            case 14:
                this.mTestOuter.startLcd();
                return;
            case 17:
            case 188:
                this.mTestOuter.startProximityLight();
                return;
            case 18:
                this.mTestOuter.startUSB();
                return;
            case 19:
                this.mTestOuter.startHallIC();
                return;
            case 20:
            case 37:
                this.mTestOuter.startGeomagneticGyro();
                return;
            case 23:
            case 155:
                this.mTestOuter.startHDMI();
                return;
            case 24:
                this.mTestInnerOTG.startOTG();
                return;
            case 25:
                if (!this.mTestInner.startSIMCard(testID)) {
                    this.mTestInner.registerSimCardTestReceiver(new FunctionCallback() {
                        /* class com.sec.factory.app.factorytest.FactoryTestMain.AnonymousClass8 */

                        @Override // com.sec.factory.app.factorytest.FunctionCallback
                        public boolean onRun() {
                            FtUtil.log_d(FactoryTestMain.this.CLASS_NAME, "launchTest", "startSIMCard Callback triggered");
                            return FactoryTestMain.this.mTestInner.startSIMCard(testID);
                        }

                        @Override // com.sec.factory.app.factorytest.FunctionCallback
                        public String tag() {
                            return "startSIMCard";
                        }
                    });
                    return;
                }
                return;
            case 26:
                this.mTestOuter.startSPenDrawing();
                return;
            case 28:
                this.mTestOuter.startSPenEraser();
                return;
            case 30:
                this.mTestOuter.startSPDIFAudioTest();
                return;
            case 31:
                this.mTestOuter.startIRLED();
                return;
            case 32:
                this.mTestOuter.startWirelessCharge();
                return;
            case 33:
                this.mTestInner.startLowFrequency();
                return;
            case 34:
                this.mTestOuter.startGrip();
                return;
            case 35:
                this.mTestOuter.startGripAntenna();
                return;
            case 39:
                this.mTestOuter.startChargeNFCRead();
                return;
            case 40:
                this.mTestOuter.startFeliCa();
                return;
            case 41:
                this.mTestOuter.startSPenDetection();
                return;
            case 47:
                if (Support.Feature.getBoolean(Support.Feature.FEATURE_ENABLE_DYNAMIC_MULTI_SIM)) {
                    if (((TelephonyManager) getSystemService(ModuleTouchScreen.TSP_DEVICE_TYPE__PHONE)).getPhoneCount() == 2 && !this.mTestInner.startSIMCard2(testID)) {
                        this.mTestInner.registerSimCardTestReceiver(new FunctionCallback() {
                            /* class com.sec.factory.app.factorytest.FactoryTestMain.AnonymousClass9 */

                            @Override // com.sec.factory.app.factorytest.FunctionCallback
                            public boolean onRun() {
                                FtUtil.log_d(FactoryTestMain.this.CLASS_NAME, "launchTest", "startSIMCard2 Callback triggered");
                                return FactoryTestMain.this.mTestInner.startSIMCard2(testID);
                            }

                            @Override // com.sec.factory.app.factorytest.FunctionCallback
                            public String tag() {
                                return "startSIMCard2";
                            }
                        });
                        return;
                    }
                    return;
                } else if (!this.mTestInner.startSIMCard2(testID)) {
                    this.mTestInner.registerSimCardTestReceiver(new FunctionCallback() {
                        /* class com.sec.factory.app.factorytest.FactoryTestMain.AnonymousClass10 */

                        @Override // com.sec.factory.app.factorytest.FunctionCallback
                        public boolean onRun() {
                            FtUtil.log_d(FactoryTestMain.this.CLASS_NAME, "launchTest", "startSIMCard2 Callback triggered");
                            return FactoryTestMain.this.mTestInner.startSIMCard2(testID);
                        }

                        @Override // com.sec.factory.app.factorytest.FunctionCallback
                        public String tag() {
                            return "startSIMCard2";
                        }
                    });
                    return;
                } else {
                    return;
                }
            case 48:
                this.mTestOuter.startMacroAF();
                return;
            case 49:
                this.mTestOuter.startSensorHub();
                return;
            case 50:
            case 190:
                this.mTestOuter.startBarcodeEmulator();
                return;
            case 51:
                this.mTestOuter.startFMIntennaTest();
                return;
            case 52:
                this.mTestOuter.startDmbDetach();
                return;
            case 53:
                this.mTestInnerFMRadio.startFMRADIO();
                return;
            case 54:
                this.mTestOuter.startDMB3();
                return;
            case 56:
            case 105:
            case 119:
            case 125:
            case 150:
            case 205:
                this.mTestOuter.startTSP();
                return;
            case 61:
                this.mTestOuter.startNFC2();
                return;
            case 62:
                this.mTestOuter.startDMB4();
                return;
            case 63:
                this.mTestOuter.startQRtest();
                return;
            case 64:
                this.mTestOuter.startSPenKey();
                return;
            case 67:
                this.mTestOuter.startFingerprintTest();
                return;
            case 68:
            case 69:
                this.mTestOuter.startAlwaysMicOn();
                return;
            case 70:
                this.mTestInnerUSB3.startUSB3();
                return;
            case 72:
                this.mTestOuter.startNfcCardMode();
                return;
            case 73:
                this.mTestOuter.startMHL();
                return;
            case 74:
                this.mTestOuter.startDMB5();
                return;
            case 75:
                this.mTestOuter.stopDMB5();
                return;
            case 77:
                this.mTestOuter.startUSBOTG();
                return;
            case 78:
                this.mTestOuter.startUSBTypeC();
                return;
            case 79:
                this.mTestInnerOTG3.startOTG();
                return;
            case 82:
                this.mTestOuter.startIDCheck();
                return;
            case 83:
                this.mTestOuter.startCaptureTest("capture");
                return;
            case 84:
                this.mTestOuter.startRecordTest();
                return;
            case 85:
                this.mTestOuter.startHRMTest(true);
                return;
            case 86:
                this.mTestOuter.startFingerprintIntCheckTest();
                return;
            case 92:
                this.mTestOuter.startQuickCharge();
                return;
            case 94:
                this.mTestOuter.startDockCharge();
                return;
            case 95:
                this.mTestOuter.startEchoTest();
                return;
            case 97:
            case FactoryTestManager.TEST_LEAKAGE_CURRENT_CHECK_2:
                this.mTestOuter.startLeakageCurrentCheck();
                return;
            case 98:
                this.mTestOuter.startOisGyroTest();
                return;
            case 99:
            case 122:
                this.mTestOuter.startAFCharge();
                return;
            case 100:
                this.mTestOuter.startMotorTest();
                return;
            case 104:
                this.mTestOuter.startAccCoverTest();
                return;
            case 110:
                this.mTestOuter.startIDDetectCheck();
                return;
            case 113:
                if (ModuleAudio.instance(this).isEarphonePlugged()) {
                    this.mTestOuter.startFMRadio();
                    return;
                }
                Handler handler = this.mFeedback;
                handler.sendMessage(handler.obtainMessage(2, "Please insert Earphone."));
                return;
            case 115:
            case 192:
            case FactoryTestManager.TEST_SUB_MCD_PRESENTATION:
                this.mTestOuter.startMcdTest();
                return;
            case 116:
                this.mTestOuter.startMSTTest();
                return;
            case 117:
                this.mTestOuter.startWirelessChargeBuiltIn();
                return;
            case 118:
                this.mTestOuter.startTSPDrawingSegmentation();
                return;
            case 120:
                this.mTestOuter.startFingerprintEnrollTest();
                return;
            case 121:
                this.mTestOuter.startNormalCharge();
                return;
            case 123:
            case 124:
                this.mTestOuter.startWirelessAFCharge();
                return;
            case 127:
                this.mTestOuter.startOis_new();
                return;
            case 128:
                this.mTestOuter.startCameraWindow();
                return;
            case 129:
                String mModelCommunicationMode = Support.Feature.getString(Support.Feature.MODEL_COMMUNICATION_MODE);
                if (ModuleDevice.instance(this).isSimCardExist() || ("eSE".equals(ModuleDevice.instance(this).getSecureElement()) && "none".equalsIgnoreCase(mModelCommunicationMode))) {
                    Handler handler2 = this.mSequentialTestHandler;
                    handler2.sendMessage(handler2.obtainMessage(6, Integer.valueOf(testID)));
                    return;
                }
                return;
            case 130:
                this.mTestOuter.startMotorSound();
                return;
            case 131:
                this.mTestOuter.startIrisCamera();
                return;
            case 132:
                this.mTestOuter.startIrisLed();
                return;
            case 134:
                this.mTestOuter.startMoodLedTest();
                return;
            case 135:
                this.mTestOuter.startCameraDualFlash();
                return;
            case 137:
                this.mTestOuter.startIrisEnroll();
                return;
            case 138:
                this.mTestOuter.startPDCharge();
                return;
            case 139:
                this.mTestOuter.startD2DCharge();
                return;
            case 148:
                this.mTestOuter.startLEDCover();
                return;
            case 149:
                if (ModuleDevice.instance(this).isSimCardExist2()) {
                    Handler handler3 = this.mSequentialTestHandler;
                    handler3.sendMessage(handler3.obtainMessage(6, Integer.valueOf(testID)));
                    return;
                }
                return;
            case 151:
            case 154:
                this.mTestOuter.startColourBalanceTest();
                return;
            case 152:
            case 153:
                this.mTestOuter.startForceTouch();
                return;
            case 157:
                this.mTestOuter.startSensingOpenCheckTest();
                return;
            case 158:
                this.mTestOuter.startPogoPinTest();
                return;
            case 160:
            case 191:
                this.mTestOuter.startPalmTouchTest();
                return;
            case 161:
                this.mTestOuter.startIrisProx();
                return;
            case 162:
                this.mTestOuter.startHrmXTalkTest();
                return;
            case 163:
                this.mTestOuter.startMicroCrackTest();
                return;
            case 165:
                this.mTestOuter.startNfcTypeB();
                return;
            case 166:
                this.mTestOuter.startPogoCharge();
                return;
            case 167:
                this.mTestOuter.startPogoOTGChargeTest();
                return;
            case 168:
                this.mTestOuter.startTSPShortTest();
                return;
            case 170:
            case 181:
            case FactoryTestManager.TEST_SUB_TSP_OPEN_SHORT_PRESENTATION:
                this.mTestOuter.startTSPOpenShortTest();
                return;
            case 171:
                this.mTestOuter.startMicDiffTest();
                return;
            case 172:
                this.mTestOuter.startCameraSuperSlow();
                return;
            case 173:
                this.mTestOuter.startVGLTest();
                return;
            case 175:
                this.mTestOuter.startAFCodeTest();
                return;
            case 177:
                this.mTestOuter.startIrisProximity();
                return;
            case 182:
                this.mTestOuter.startFlickSensorTest();
                return;
            case 183:
                this.mTestOuter.startUSBGen2Test();
                return;
            case 184:
                this.mTestOuter.startAFCharge2Ports();
                return;
            case 187:
                this.mTestOuter.startWirelessChargingTx();
                return;
            case 189:
            case 199:
                this.mTestOuter.startAccGyroTest();
                return;
            case 193:
                this.mTestOuter.startSubDisplayTest();
                return;
            case 194:
                this.mTestOuter.startCaptureTest("capture2");
                return;
            case 195:
            case 197:
            case FactoryTestManager.TEST_SUB_TSP_SELF_PRESENTATION:
                this.mTestOuter.startTSPSelftest();
                return;
            case 196:
                this.mTestOuter.startMicGainTest();
                return;
            case 198:
                this.mTestOuter.startProximityHoverTest();
                return;
            case 200:
            case 206:
                this.mTestOuter.startTofCameraTest();
                return;
            case 201:
                this.mTestOuter.startDirectChargeTest();
                return;
            case 202:
                this.mTestOuter.startLogoLightTest();
                return;
            case 203:
                this.mTestOuter.startUCTTest();
                return;
            case 204:
                this.mTestOuter.startWaterINTTest();
                return;
            case 210:
            case 211:
                this.mTestOuter.startLoopBackTest();
                return;
            case 212:
                this.mTestOuter.startDTVANTDetectTest();
                return;
            case 214:
                this.mTestOuter.startDigitizerElectric();
                return;
            case 215:
                this.mTestOuter.startMCPTTAccessoryTest();
                return;
            case 216:
                this.mTestOuter.startWirelessFastCharge3();
                return;
            case FactoryTestManager.TEST_WIRELESS_FAST_CHARGE_2:
                this.mTestOuter.startWirelessFastCharge2();
                return;
            case FactoryTestManager.TEST_MACRO_CAMERA_CAPTURE:
            case FactoryTestManager.TEST_REAR_CAMERA_MULTI_CAL:
            case FactoryTestManager.TEST_FOLDED_TELE_CAMERA_CAPTURE:
            case FactoryTestManager.TEST_UDC_CAPTURE:
                checkNVBeforeEntryTest(testID, Integer.decode(Support.FactoryTestMenu.getTestItemNv(String.valueOf(testID))).intValue());
                return;
            case FactoryTestManager.TEST_MIC_MUTE:
                this.mTestOuter.startMicMuteTest();
                return;
            case FactoryTestManager.TEST_ECHO_PARALLEL:
                this.mTestOuter.startEchoParallelTest();
                return;
            case FactoryTestManager.TEST_MIC_GAIN_PARALLEL:
                this.mTestOuter.startMicGainParallelTest();
                return;
            case FactoryTestManager.TEST_MIC_MUTE_PARALLEL:
                this.mTestOuter.startMicMuteParallelTest();
                return;
            case FactoryTestManager.TEST_COAXIAL_CABLE_DETECT:
                this.mTestInnerCoaxialCableDetect.startTest();
                return;
            case 260:
                this.mTestOuter.startCameraAperture();
                return;
            case 301:
                this.mTestOuter.startDigitalHallIcCalTest();
                return;
            case 309:
                this.mTestOuter.startGearedMotor();
                return;
            case 314:
            case FactoryTestManager.TEST_TSP_JITTER_TEST_2:
                this.mTestOuter.startTspJitterTest();
                return;
            case 318:
                this.mTestOuter.startSlideCamTiltTest();
                return;
            case FactoryTestManager.TEST_3D_DIGITAL_HALL_IC_CAL_TEST:
                this.mTestOuter.start3dDigitalHallIcCalTest();
                return;
            case FactoryTestManager.TEST_3D_DIGITAL_HALL_IC_TEST:
                this.mTestOuter.start3dDigitalHallIcTest();
                return;
            case FactoryTestManager.TEST_LCD_GRADATION_120HZ_TEST:
                this.mTestOuter.startLcdGradation120HzTest();
                return;
            case FactoryTestManager.TEST_FOLDER_TENSION_TEST:
                this.mTestOuter.startFolderTensionTest();
                return;
            case FactoryTestManager.TEST_HLPM_TEST:
                this.mTestOuter.startHLPMTest();
                return;
            case FactoryTestManager.TEST_RANGING_SENSOR_CAL:
                this.mTestOuter.startRangingSensorCal();
                return;
            case FactoryTestManager.TEST_RANGING_SENSOR_300:
            case FactoryTestManager.TEST_RANGING_SENSOR_500:
                this.mTestOuter.startRangingSensorTest();
                return;
            case FactoryTestManager.TEST_LCD_9GRAY_120HZ_TEST:
                this.mTestOuter.startLcd9Gray120HzTest();
                return;
            case FactoryTestManager.TEST_LCD_120HZ11HZ_FREQ_TEST:
                this.mTestOuter.startLcd120Hz11HzFreqTest();
                return;
            case FactoryTestManager.TEST_LCD_9GRAY_60HZ_TEST:
                this.mTestOuter.startLcd9Gray60HzTest();
                return;
            case 351:
                this.mTestOuter.startLcd120Hz60HzFreqTest();
                return;
            case FactoryTestManager.TEST_LCD_BRIGHT_DOT_TEST:
                this.mTestOuter.startLcdBrightDotTest();
                return;
            case FactoryTestManager.TEST_RGB_PE_ONOFF_TEST:
                this.mTestOuter.startRGBPEonoffTest();
                return;
            case FactoryTestManager.TEST_LCD_32GRAY_120HZ_BRIGHT0_TEST:
                this.mTestOuter.startLcd32Gray120HzBright0Test();
                return;
            case FactoryTestManager.TEST_ALWAYS_ON_TOUCH:
                this.mTestOuter.startAlwaysOnTouch();
                return;
            case FactoryTestManager.TEST_NFC_FELICA_SELF_CAL:
                this.mTestOuter.startFelicaSelfCal();
                return;
            case FactoryTestManager.TEST_LCD_9GRAY_HS90HZ_TEST:
                this.mTestOuter.startLcd9GrayHS90HzTest();
                return;
            case FactoryTestManager.TEST_DISPLAY_LINEAR_TEST:
                this.mTestOuter.startDisplayLinearTest();
                return;
            case FactoryTestManager.TEST_TSP_JITTER_DELTA_TEST:
            case FactoryTestManager.TEST_TSP_JITTER_DELTA_TEST_2:
                this.mTestOuter.startTspJitterDeltaTest();
                return;
            case FactoryTestManager.TEST_SUB_LCD_9GRAY_120HZ_TEST:
                this.mTestOuter.startSubLcd9Gray120HzTest();
                return;
            case FactoryTestManager.TEST_SUB_LCD_32GRAY_120HZ_BRIGHT0_TEST:
                this.mTestOuter.startSubLcd32Gray120HzBright0Test();
                return;
            case FactoryTestManager.TEST_S_PEN_DRAWING1_1:
                this.mTestOuter.startSPenDrawing1_1();
                return;
            case FactoryTestManager.TEST_S_PEN_MAGNETIC:
                this.mTestOuter.startSPenMagnetic();
                return;
            case FactoryTestManager.TEST_TSP_COLOR_DIFF_TEST:
                this.mTestOuter.startTSPColorDiffTest(testID);
                return;
            case FactoryTestManager.TEST_PROXIMITY_SENSOR_TEST:
                this.mTestOuter.startProximitySensorTest();
                return;
            case FactoryTestManager.TEST_LIGHT_SENSOR:
                this.mTestOuter.startLightSensor();
                return;
            case FactoryTestManager.TEST_LED_KEY:
                this.mTestOuter.startLEDKeyTest();
                return;
            case FactoryTestManager.TEST_ACH_MOTOR_SOUND:
                this.mTestOuter.startACHMotorSound();
                return;
            case 1059:
                this.mTestInner.startSwitchedSIMCard(testID);
                return;
        }
    }

    public void checkNVBeforeEntryTest(int testID, int NV) {
        if (80 != NVAccessor.getNV(NV) || this.isAtCmd) {
            entryTest(testID);
            return;
        }
        FactoryTestDialog diag = new FactoryTestDialog(this, "Warning!", "This test item has already been passed. Would you like to test again?", this.mHandler, 8);
        diag.setClassName(this.CLASS_NAME);
        diag.show();
        this.mDialogQueue.add(diag);
    }

    public void entryTest(int testID) {
        switch (testID) {
            case FactoryTestManager.TEST_MACRO_CAMERA_CAPTURE:
                this.mTestOuter.startMacroCameraCaptureTest(testID);
                return;
            case FactoryTestManager.TEST_REAR_CAMERA_MULTI_CAL:
                this.mTestOuter.startRearCameraMultiCal(testID);
                return;
            case FactoryTestManager.TEST_FOLDED_TELE_CAMERA_CAPTURE:
                this.mTestOuter.startFoldedTeleCameraCaptureTest(testID);
                return;
            case FactoryTestManager.TEST_UDC_CAPTURE:
                this.mTestOuter.startUDCCaptureTest(testID);
                return;
            default:
                return;
        }
    }

    private void registerTestReceiver() {
        IntentFilter filter = new IntentFilter();
        filter.addAction("com.sec.factory.app.factorytest.finsh");
        filter.addAction("com.sec.samsung.STOP_FACTORY_TEST");
        filter.addAction("com.sec.factory.app.factorytest.TestMode");
        filter.addAction("com.sec.factory.modules.NfcTestService.finish");
        filter.addAction(AtParser.ACTION_RECEIVED_FROM_RIL);
        filter.addAction("com.samsung.sec.tmm.TMM_TEST_STATUS");
        filter.addAction("com.sec.factory.CAMERA_AF_FAIL");
        filter.addAction("com.sec.factory.UPDATE_UI_FEEDBACK_MSG");
        filter.addAction("com.sec.factory.athandler.SpenLock");
        filter.addAction(AtTspptestStandard.UI_DATE_NV);
        filter.addAction("com.sec.factory.app.ui.GettingDump");
        filter.addAction("com.sec.factory.app.ui.CopyingDump");
        filter.addAction("com.sec.factory.app.ui.DumpDone");
        registerReceiver(this.mBroadcastReceiver, filter);
    }

    private void unregisterTestReceiver() {
        BroadcastReceiver broadcastReceiver = this.mBroadcastReceiver;
        if (broadcastReceiver != null) {
            unregisterReceiver(broadcastReceiver);
            this.mBroadcastReceiver = null;
        }
        BroadcastReceiver broadcastReceiver2 = this.mCPCheckbroadcastReceiver;
        if (broadcastReceiver2 != null) {
            unregisterReceiver(broadcastReceiver2);
            this.mCPCheckbroadcastReceiver = null;
        }
        FtUtil.log_i(this.CLASS_NAME, "unregisterTestReceiver", null);
    }

    private boolean checkCPStatus() {
        if (!Support.Properties.PROPERTIES_DEFAULT_STRING.equalsIgnoreCase(Support.Properties.get(Support.Properties.SW_VERSION))) {
            return true;
        }
        FtUtil.log_e(this.CLASS_NAME, "checkCPStatus", "CP Unknown");
        final String title = getString(R.string.cp_unknown) + " : CP Unknown";
        FactoryTestDialog diag = new FactoryTestDialog(this, title, "Waiting CP boot-up", this.mHandler, 0);
        diag.setClassName(this.CLASS_NAME);
        diag.show();
        this.mDialogQueue.add(diag);
        AnonymousClass11 r4 = new BroadcastReceiver() {
            /* class com.sec.factory.app.factorytest.FactoryTestMain.AnonymousClass11 */

            public void onReceive(Context context, Intent intent) {
                if ("com.samsung.intent.action.SECPHONE_READY".equals(intent.getAction())) {
                    FtUtil.log_i(FactoryTestMain.this.CLASS_NAME, "mCPCheckbroadcastReceiver", "Received com.samsung.intent.action.SECPHONE_READY");
                    for (int i = 0; i < FactoryTestManager.size(); i++) {
                        if (FactoryTestManager.isAutoTest(i)) {
                            FactoryTestMain.this.launchTest(FactoryTestManager.getItemID(i));
                        }
                    }
                    FactoryTestMain.this.removeDialog(title);
                    if (FactoryTestMain.this.mCPCheckbroadcastReceiver != null) {
                        FactoryTestMain factoryTestMain = FactoryTestMain.this;
                        factoryTestMain.unregisterReceiver(factoryTestMain.mCPCheckbroadcastReceiver);
                        FactoryTestMain.this.mCPCheckbroadcastReceiver = null;
                    }
                }
            }
        };
        this.mCPCheckbroadcastReceiver = r4;
        registerReceiver(r4, new IntentFilter("com.samsung.intent.action.SECPHONE_READY"));
        return false;
    }

    private void checkCapacity() {
        int threshold = 20;
        if (ModuleTouchScreen.TSP_DEVICE_TYPE__TABLET.equalsIgnoreCase(Support.Feature.getString(Support.Feature.DEVICE_TYPE))) {
            threshold = 30;
        }
        int battLevel = registerReceiver(null, new IntentFilter("android.intent.action.BATTERY_CHANGED")).getIntExtra("level", -1);
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "checkCapacity()", "result = " + battLevel + "%");
        if (battLevel < threshold) {
            FactoryTestDialog diag = new FactoryTestDialog(this, "WARNING! Low battery", "Need to Charge " + threshold + "% Over", this.mHandler, 1);
            diag.setClassName(this.CLASS_NAME);
            diag.show();
            this.mDialogQueue.add(diag);
        }
    }

    private boolean checkSwitchSimStatus() {
        int simSwitchSlot = ModuleDevice.instance(this.mContext).getSupportSimSwitch();
        int switchStat = SystemProperties.getInt("ril.simslottype" + simSwitchSlot, 0);
        boolean isUpdatedESim = Boolean.parseBoolean(SystemProperties.get("ro.factory.switchsimupdated", "false"));
        boolean ret = false;
        boolean isCPoffBinary = SystemProperties.get("ro.build.interposer", "0").equalsIgnoreCase(EgisFingerprint.MAJOR_VERSION);
        if (simSwitchSlot == 0 || isCPoffBinary || "tester".equals(Support.Properties.get(Support.Properties.FTL_GADGET_MODE)) || Support.Feature.getBoolean(Support.Feature.SUPPORT_NO_CHECK_SIM_STATE_CHANGED)) {
            return false;
        }
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "checkSwitchSimStatus", "Switched eSim state updated - " + isUpdatedESim + " , switchStat - " + switchStat);
        if (!isUpdatedESim) {
            FactoryTestDialog diag = new FactoryTestDialog(this, "WARNING! SIM SWITCH", "Need to update switch SIM, Please wait and retry later", this.mHandler, 1);
            diag.setClassName(this.CLASS_NAME);
            diag.show();
            this.mDialogQueue.add(diag);
            ret = true;
        }
        if (switchStat != 1) {
            return ret;
        }
        Toast.makeText(this.mContext, "Need to switch eSIM -> rSIM", 0).show();
        return true;
    }

    private void checkNFCStatusAndFinish() {
        if (Support.Feature.getBoolean(Support.Feature.SUPPORT_NFC_CHECK_WHEN_ENTER_15) && getPackageManager().hasSystemFeature("android.hardware.nfc")) {
            NfcAdapter nfcAdapter = NfcAdapter.getDefaultAdapter(this);
            if (nfcAdapter == null) {
                FtUtil.log_w(this.CLASS_NAME, "checkNFCStatusAndFinish", "No NFC Adapter");
            } else if (nfcAdapter.isEnabled()) {
                FtUtil.log_d(this.CLASS_NAME, "checkNFCStatusAndFinish", "already turned on nfc");
            } else {
                if (ModuleNfc.isSupportFaver3()) {
                    FtUtil.log_w(this.CLASS_NAME, "checkNFCStatusAndFinish", "TRY NFC_RW_P2P_ON (JPN FEATURE)");
                    if (nfcAdapter.setRwP2pMode(true)) {
                        FtUtil.log_w(this.CLASS_NAME, "checkNFCStatusAndFinish", "NFC_RW_P2P_ON Success");
                        return;
                    }
                    FtUtil.log_w(this.CLASS_NAME, "checkNFCStatusAndFinish", "NFC_RW_P2P_ON Fail");
                }
                FtUtil.log_w(this.CLASS_NAME, "checkNFCStatusAndFinish", "NFC status is off");
                FactoryTestDialog diag = new FactoryTestDialog(this, "WARNING! NFC Off state", "Need to Turn on NFC, Please wait and retry later", this.mHandler, 1, 101);
                diag.setClassName(this.CLASS_NAME);
                diag.show();
                this.mDialogQueue.add(diag);
            }
        }
    }

    private void checkBatteryFactoryMode() {
        if (EgisFingerprint.MAJOR_VERSION.equalsIgnoreCase(Support.Kernel.read(Support.Kernel.BATT_FACTORY_MODE)) && !"none".equalsIgnoreCase(Support.Feature.getString(Support.Feature.BATT_TYPE))) {
            FactoryTestDialog diag = new FactoryTestDialog(this, "WARNING!\nBattery Factory Mode On", "Charging test is not available.\nPress reboot button without 301K cable.", this.mHandler, 7);
            diag.setClassName(this.CLASS_NAME);
            diag.show();
            this.mDialogQueue.add(diag);
        }
    }

    private void checkNAD() {
        if (70 == NVAccessor.getNV(241)) {
            FactoryTestDialog diag = new FactoryTestDialog(this, "NAD, DRAM FAIL", "No. 241 nv is F", this.mHandler, 1);
            diag.setClassName(this.CLASS_NAME);
            diag.show();
            this.mDialogQueue.add(diag);
        }
    }

    public void showResultPopup(boolean pass) {
        FtUtil.log_d(this.CLASS_NAME, "showResultPopup");
        Point screenRect = new Point();
        try {
            getWindowManager().getDefaultDisplay().getSize(screenRect);
        } catch (NullPointerException ne) {
            ne.printStackTrace();
        }
        View layout = getLayoutInflater().inflate(R.layout.empty_textview_dialog, (ViewGroup) findViewById(R.id.llToast));
        layout.setMinimumWidth((screenRect.x * 4) / 5);
        layout.setMinimumHeight((screenRect.y * 3) / 5);
        TextView text = (TextView) layout.findViewById(R.id.text);
        if (pass) {
            text.setText("PASS");
            text.setTextColor(getResources().getColor(R.color.sky_blue));
        } else {
            text.setText("FAIL");
            text.setTextColor(-65536);
        }
        FactoryTestDialog diag = new FactoryTestDialog(this, (String) null, (String) null, (Handler) null, 4, layout);
        diag.setClassName(this.CLASS_NAME);
        diag.show();
        this.mDialogQueue.add(diag);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void playSound(int resID, boolean isDisplayedProgressFeedback) {
        ModuleAudio moduleAudio = ModuleAudio.instance(this);
        if (!moduleAudio.isPlayingSound()) {
            moduleAudio.stopMedia();
        }
        moduleAudio.playMedia(resID, true);
        if (isDisplayedProgressFeedback) {
            Handler handler = this.mFeedback;
            handler.sendMessage(handler.obtainMessage(3, "Media playing"));
        }
    }

    private void stopSound() {
        ModuleAudio moduleAudio = ModuleAudio.instance(this);
        if (moduleAudio.isPlayingSound()) {
            moduleAudio.stopMedia();
            this.mFeedback.sendEmptyMessage(4);
        }
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void startEarKey(boolean in) {
        this.mTestInnerEarphone.startEarkey(in);
    }

    private void showCustomToast(String text) {
        if (this.mIsAtfunctest) {
            FtUtil.log_d(this.CLASS_NAME, "showCustomToast", "Not running caused by atfunctest");
            return;
        }
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "showCustomToast", "text = " + text);
        View layout = getLayoutInflater().inflate(R.layout.custom_toast_boot_completed_check, (ViewGroup) findViewById(R.id.llToast));
        ((TextView) layout.findViewById(R.id.text)).setText(text);
        Toast toast = new Toast(getApplicationContext());
        toast.setGravity(16, 0, 0);
        toast.setDuration(0);
        toast.setView(layout);
        toast.show();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void changeViewColor() {
        RelativeLayout mLayoutMargin = (RelativeLayout) findViewById(R.id.statusbar_15_layout);
        if (FactoryTestManager.getAllitemPass()) {
            this.mListView.setBackgroundColor(UiHallICTest.FONT_COLOR_PASS);
            mLayoutMargin.setBackgroundColor(this.BG_NORMAL_COLOR);
            FactoryTestMainAdapter.ALL_PASS_STATE = true;
            FactoryTestMainAdapter.All_PASS_STATE_WITHOUT_SIM_SECOND = false;
        } else if (FactoryTestManager.getAllitemPassWithoutSIM2()) {
            this.mListView.setBackgroundColor(this.BG_NORMAL_COLOR);
            mLayoutMargin.setBackgroundColor(-16711936);
            FactoryTestMainAdapter.ALL_PASS_STATE = false;
            FactoryTestMainAdapter.All_PASS_STATE_WITHOUT_SIM_SECOND = true;
        } else {
            this.mListView.setBackgroundColor(this.BG_NORMAL_COLOR);
            mLayoutMargin.setBackgroundColor(this.BG_NORMAL_COLOR);
            FactoryTestMainAdapter.ALL_PASS_STATE = false;
            FactoryTestMainAdapter.All_PASS_STATE_WITHOUT_SIM_SECOND = false;
        }
    }
}
