package com.sec.factory.app.factorytest;

import android.content.Context;
import android.graphics.Color;
import android.os.Handler;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.LinearLayout;
import android.widget.TextView;
import com.goodix.fingerprint.utils.TestResultParser;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.app.ui.UiHallICTest;
import com.sec.factory.modules.ModuleAudio;
import com.sec.factory.modules.ModuleCommunication;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;

public class FactoryTestMainAdapter extends BaseAdapter {
    public static boolean ALL_PASS_STATE = false;
    public static boolean All_PASS_STATE_WITHOUT_SIM_SECOND = false;
    private static final String CLASS_NAME = "FactoryTestMainAdapter";
    public static int COLOR_PASS_BACKGROUND = UiHallICTest.FONT_COLOR_PASS;
    public static int COLOR_PASS_TEXT = -1;
    public static final float FONT_SIZE = Support.Feature.getFactoryTextSize();
    public static int SIMPLE_FUNCTION_TEST = 0;
    public static final int SecondIsLoopback = 0;
    public static final int SecondIsRCV = 1;
    public static final int SecondIsSPK = 2;
    public static final int btIsOff = 4;
    public static final int btIsOn = 3;
    public final boolean SUPPORT_GRAPHIC_ACCLETOR;
    private FactoryTestManager.FactoryTestItemInfo[] childList;
    private int[] mBlockedItemsPosition = null;
    private Context mContext;
    private FactoryTestRemoteController mFactoryTestRemoteController = null;
    private Handler mFeedback = null;

    public FactoryTestMainAdapter(Context context) {
        boolean z = Support.Feature.getBoolean(Support.Feature.SUPPORT_GRAPHIC_ACCLETOR);
        this.SUPPORT_GRAPHIC_ACCLETOR = z;
        this.mContext = context;
        FtUtil.log_i(CLASS_NAME, CLASS_NAME, "Factorytest FONT_SIZE:" + FONT_SIZE);
        FtUtil.log_i(CLASS_NAME, CLASS_NAME, "SUPPORT_GRAPHIC_ACCLETOR: " + z);
    }

    public void setFactoryTestRemoteController(FactoryTestRemoteController fc) {
        this.mFactoryTestRemoteController = fc;
    }

    public void setFactoryTestFeedBackHandler(Handler handler) {
        this.mFeedback = handler;
    }

    public void setInvisibleItems(int[] itemsPosition) {
        this.mBlockedItemsPosition = itemsPosition == null ? null : (int[]) itemsPosition.clone();
    }

    public int[] getInvisibleItems() {
        return this.mBlockedItemsPosition;
    }

    public View getView(int position, View convertView, ViewGroup parent) {
        Exception e;
        ViewHolder holder;
        View view;
        String str;
        View view2;
        String str2 = ",";
        View view3 = convertView;
        if (view3 == null) {
            try {
                try {
                    view3 = ((LayoutInflater) this.mContext.getSystemService("layout_inflater")).inflate(R.layout.ui_factorytest_item, parent, false);
                    if (this.SUPPORT_GRAPHIC_ACCLETOR) {
                        view3.setLayerType(1, null);
                    }
                    holder = new ViewHolder();
                    holder.mLinearLayout = (LinearLayout) view3.findViewById(R.id.list_name_view);
                    holder.mTextView = (TextView) view3.findViewById(R.id.name);
                    view3.setTag(holder);
                } catch (Exception e2) {
                    e = e2;
                    FtUtil.log_e(e);
                    return view3;
                }
            } catch (Exception e3) {
                e = e3;
                FtUtil.log_e(e);
                return view3;
            }
        } else {
            holder = (ViewHolder) view3.getTag();
        }
        try {
            LinearLayout ll = holder.mLinearLayout;
            TextView tv = holder.mTextView;
            tv.setWillNotCacheDrawing(true);
            float f = FONT_SIZE;
            if (f != 0.0f) {
                tv.setTextSize(f);
            }
            tv.setText(String.valueOf(position + 1) + ". " + FactoryTestManager.getItemName_Position(position));
            if (FactoryTestManager.isGroupItem_Position(position)) {
                tv.setTextColor(-16777216);
                tv.setBackgroundColor(this.mContext.getResources().getColor(R.color.yellow));
            } else if (FactoryTestManager.getItemResult(position) == 80) {
                FactoryTestManager.FactoryTestItemInfo[] childItems = FactoryTestManager.getChildItems(FactoryTestManager.getItemID(position));
                this.childList = childItems;
                if (childItems.length <= 1) {
                    tv.setTextColor(-1);
                    tv.setBackgroundColor(UiHallICTest.FONT_COLOR_PASS);
                } else if (FactoryTestManager.isAllChildNVpass(position)) {
                    tv.setTextColor(-1);
                    tv.setBackgroundColor(UiHallICTest.FONT_COLOR_PASS);
                } else {
                    tv.setTextColor(-16777216);
                    tv.setBackgroundColor(this.mContext.getResources().getColor(R.color.background_gray));
                }
            } else {
                tv.setTextColor(-16777216);
                tv.setBackgroundColor(this.mContext.getResources().getColor(R.color.background_gray));
            }
            if (ALL_PASS_STATE) {
                ll.setBackgroundColor(UiHallICTest.FONT_COLOR_PASS);
            } else if (All_PASS_STATE_WITHOUT_SIM_SECOND) {
                ll.setBackgroundColor(this.mContext.getResources().getColor(R.color.background_gray));
            } else {
                ll.setBackgroundColor(this.mContext.getResources().getColor(R.color.background_gray));
            }
            if (this.mBlockedItemsPosition != null) {
                int i = 0;
                while (true) {
                    int[] iArr = this.mBlockedItemsPosition;
                    if (i >= iArr.length) {
                        break;
                    }
                    if (iArr[i] != position) {
                        view2 = view3;
                    } else if (i == 0) {
                        view2 = view3;
                        try {
                            tv.setTextColor(Color.rgb(216, 195, 88));
                        } catch (Exception e4) {
                            e = e4;
                            view3 = view2;
                            FtUtil.log_e(e);
                            return view3;
                        }
                    } else {
                        view2 = view3;
                        FtUtil.log_i(CLASS_NAME, CLASS_NAME, "mBlockedItemsPosition : " + position);
                        if (FactoryTestManager.getItemResult(position) == 80) {
                            tv.setTextColor(Color.rgb(10, 137, 187));
                        } else {
                            tv.setTextColor(Color.rgb(204, (int) TestResultParser.TEST_TOKEN_FLASH_ID, 216));
                        }
                    }
                    i++;
                    view3 = view2;
                }
                view = view3;
            } else {
                view = view3;
            }
            ModuleAudio.instance(this.mContext);
            switch (FactoryTestManager.getItemID(position)) {
                case 1:
                case 42:
                case 65:
                case 66:
                    if (FactoryTestMain.CURRENT_TEST_ID == FactoryTestManager.getItemID(position)) {
                        ((FactoryTestMain) this.mContext).getInstanceInnerLoopback();
                        int state = FactoryTestMainInnerLoopback.mStatus;
                        FtUtil.log_d(CLASS_NAME, "TEST_LOOPBACK", "state" + state);
                        if (state == -1) {
                            tv.setText(tv.getText());
                            break;
                        } else {
                            tv.setText(((Object) tv.getText()) + ((FactoryTestMain) this.mContext).getInstanceInnerLoopback().getPathName());
                            break;
                        }
                    }
                    break;
                case 2:
                    StringBuilder sb = new StringBuilder();
                    sb.append((Object) tv.getText());
                    if (ModuleCommunication.instance(this.mContext).isEnabledBtDevice()) {
                        str = " ON";
                    } else {
                        str = " OFF";
                    }
                    sb.append(str);
                    tv.setText(sb.toString());
                    break;
                case 13:
                    ModuleAudio moduleAudio = ModuleAudio.instance(this.mContext);
                    tv.setText(((Object) tv.getText()) + new String[]{" ", " ", " ", " UP DOWN", " DOWN UP"}[moduleAudio.getEarKeyState()]);
                    break;
                case 34:
                    String nameStr = Support.Kernel.read(Support.Kernel.GRIP_SENSOR_NAME);
                    String[] items = Support.Feature.getString(Support.Feature.GRIPSENSOR_TYPE).split(str2);
                    String[] nameArray = {"", "_2ND", "_3RD", "_4TH", "_5TH", "_6TH"};
                    int index = 1;
                    while (index < items.length) {
                        StringBuilder sb2 = new StringBuilder();
                        sb2.append(nameStr);
                        sb2.append(str2);
                        sb2.append(Support.Kernel.read(Support.Kernel.GRIP_SENSOR_NAME + nameArray[index]));
                        nameStr = sb2.toString();
                        index++;
                        str2 = str2;
                    }
                    tv.setText(((Object) tv.getText()) + "(" + nameStr + ")");
                    break;
            }
            return view;
        } catch (Exception e5) {
            e = e5;
            FtUtil.log_e(e);
            return view3;
        }
    }

    public int getCount() {
        return FactoryTestManager.getItemCount();
    }

    public Object getItem(int pos) {
        return null;
    }

    public long getItemId(int position) {
        return (long) position;
    }

    private static class ViewHolder {
        LinearLayout mLinearLayout;
        TextView mTextView;

        private ViewHolder() {
        }
    }
}
