package com.sec.factory.app.factorytest;

import android.content.Context;
import android.os.Handler;
import android.os.Message;
import com.sec.factory.modules.FactoryTestPhone;
import com.sec.factory.support.FtUtil;

public class FactoryTestMainInnerCoaxialCableDetect {
    private final String CLASS_NAME = "FactoryTestMainInnerCoaxialCableDetect";
    private final char FAILDETECT = 'D';
    private final char PASSDETECT = 'E';
    private final int RESPONSE_COAXIAL_CABLE = 1;
    private final int WHAT_UPDATE = 2;
    private String mCableResult;
    private Context mContext;
    private StringBuilder mFailNumber;
    private FactoryTestPhone mFtPhone;
    private final Handler mHandler = new Handler() {
        /* class com.sec.factory.app.factorytest.FactoryTestMainInnerCoaxialCableDetect.AnonymousClass1 */

        public void handleMessage(Message msg) {
            if (msg.what == 1) {
                int RilErrno = msg.getData().getInt("error");
                if (RilErrno == 0) {
                    byte[] mReturnData = msg.getData().getByteArray("response");
                    StringBuffer temp = new StringBuffer();
                    for (int i = 0; mReturnData[i] != 0; i++) {
                        temp.append((char) mReturnData[i]);
                    }
                    FactoryTestMainInnerCoaxialCableDetect.this.mCableResult = temp.toString();
                    FtUtil.log_d("FactoryTestMainInnerCoaxialCableDetect", "handleMessage", "Coaxial Cable Status : " + FactoryTestMainInnerCoaxialCableDetect.this.mCableResult);
                    FactoryTestMainInnerCoaxialCableDetect.this.mHandler.sendEmptyMessage(2);
                } else {
                    Handler handler = FactoryTestMainInnerCoaxialCableDetect.this.mHandlerFeedback;
                    Handler handler2 = FactoryTestMainInnerCoaxialCableDetect.this.mHandlerFeedback;
                    handler.sendMessage(handler2.obtainMessage(2, "not Support Coaxial Cable Detect test " + RilErrno));
                    FtUtil.log_d("FactoryTestMainInnerCoaxialCableDetect", "handleMessage", "RIL Error Number : " + RilErrno);
                }
                FactoryTestMainInnerCoaxialCableDetect.this.mFtPhone.unbindSecPhoneService();
            } else if (msg.what == 2) {
                if (FactoryTestMainInnerCoaxialCableDetect.this.checkResult()) {
                    FactoryTestMainInnerCoaxialCableDetect.this.mHandlerResult.sendMessage(FactoryTestMainInnerCoaxialCableDetect.this.mHandlerResult.obtainMessage(FactoryTestMain.WHAT_RESULT, FactoryTestManager.TEST_COAXIAL_CABLE_DETECT, 80));
                    FactoryTestMainInnerCoaxialCableDetect.this.mHandlerFeedback.sendMessage(FactoryTestMainInnerCoaxialCableDetect.this.mHandlerFeedback.obtainMessage(2, "Coaxial Cable Detect test is PASS"));
                    FtUtil.log_d("FactoryTestMainInnerCoaxialCableDetect", "handleMessage", FtUtil.setMspSeqMessage(1, "Coaxial Cable Detect[150]", "Pass"));
                } else {
                    FactoryTestMainInnerCoaxialCableDetect.this.mHandlerResult.sendMessage(FactoryTestMainInnerCoaxialCableDetect.this.mHandlerResult.obtainMessage(FactoryTestMain.WHAT_RESULT_WITHOUT_NV, FactoryTestManager.TEST_COAXIAL_CABLE_DETECT, 70));
                    Handler handler3 = FactoryTestMainInnerCoaxialCableDetect.this.mHandlerFeedback;
                    Handler handler4 = FactoryTestMainInnerCoaxialCableDetect.this.mHandlerFeedback;
                    handler3.sendMessage(handler4.obtainMessage(2, "Cable " + FactoryTestMainInnerCoaxialCableDetect.this.mFailNumber.toString() + " Disconnected"));
                    FtUtil.log_d("FactoryTestMainInnerCoaxialCableDetect", "handleMessage", FtUtil.setMspSeqMessage(1, "Coaxial Cable Detect[150]", "Fail"));
                }
                FtUtil.log_d("FactoryTestMainInnerCoaxialCableDetect", "handleMessage", FtUtil.setMspSeqMessage(1, "Coaxial Cable Detect[150]", "End"));
            }
        }
    };
    private Handler mHandlerFeedback;
    private Handler mHandlerResult;

    public FactoryTestMainInnerCoaxialCableDetect(Context context, Handler result, Handler feedback) {
        this.mContext = context;
        this.mHandlerFeedback = feedback;
        this.mHandlerResult = result;
        this.mCableResult = "";
    }

    public void startTest() {
        FtUtil.log_d("FactoryTestMainInnerCoaxialCableDetect", "startTest", FtUtil.setMspSeqMessage(1, "Coaxial Cable Detect[150]", "Start"));
        FactoryTestPhone factoryTestPhone = new FactoryTestPhone(this.mContext, this.mHandler);
        this.mFtPhone = factoryTestPhone;
        factoryTestPhone.requestCoaxialCableStatus(1);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean checkResult() {
        boolean result = true;
        this.mFailNumber = new StringBuilder();
        for (int i = 0; i < this.mCableResult.length(); i++) {
            if (this.mCableResult.charAt(i) == 'D') {
                result = false;
                StringBuilder sb = this.mFailNumber;
                sb.append((i + 1) + ",");
            }
        }
        if (this.mFailNumber.length() > 1) {
            StringBuilder sb2 = this.mFailNumber;
            sb2.substring(0, sb2.length() - 1);
        }
        return result;
    }
}
