package com.sec.factory.app.factorytest;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Handler;
import android.widget.ListView;
import com.sec.factory.R;
import com.sec.factory.app.ui.UiHallICTest;
import com.sec.factory.modules.ModuleAudio;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.support.FtUtil;

public class FactoryTestMainInnerEarphone {
    private static final int EARJACK_PLUGGED = 1;
    private static final int EARJACK_UNPLUGGED = 0;
    private final String CLASS_NAME = "FactoryTestMainInnerEarphone";
    private int EARPHONE_TEST_ID = 12;
    private BroadcastReceiver mBroadcastReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.app.factorytest.FactoryTestMainInnerEarphone.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            String action = intent.getAction();
            FtUtil.log_d("FactoryTestMainInnerEarphone", "mBroadcastReceiver.onReceive", "action=" + action);
            if ("android.intent.action.HEADSET_PLUG".equals(intent.getAction())) {
                boolean isHeadsetPlugged = intent.getIntExtra("state", 0) == 1;
                FtUtil.log_d("FactoryTestMainInnerEarphone", "ACTION_HEADSET_PLUG state : " + isHeadsetPlugged);
                boolean isMicrophonePlugged = intent.getIntExtra("microphone", 0) == 1;
                FtUtil.log_d("FactoryTestMainInnerEarphone", "ACTION_HEADSET_PLUG microphone : " + isMicrophonePlugged);
                if (isHeadsetPlugged && isMicrophonePlugged && FactoryTestMainInnerEarphone.this.mStatusEarJack == 0) {
                    FactoryTestMainInnerEarphone.this.mStatusEarJack = 1;
                    FtUtil.log_d("FactoryTestMainInnerEarphone", "ACTION_HEADSET_PLUG : " + FactoryTestMainInnerEarphone.this.mStatusEarJack);
                } else if (isHeadsetPlugged || FactoryTestMainInnerEarphone.this.mStatusEarJack != 1) {
                    FtUtil.log_d("FactoryTestMainInnerEarphone", "This is duplicated called, ACTION_HEADSET_PLUG state : " + isHeadsetPlugged);
                    return;
                } else {
                    FactoryTestMainInnerEarphone.this.mStatusEarJack = 0;
                    FtUtil.log_d("FactoryTestMainInnerEarphone", "ACTION_HEADSET_PLUG : " + FactoryTestMainInnerEarphone.this.mStatusEarJack);
                }
                FactoryTestMainInnerEarphone.this.startEarphone(isHeadsetPlugged);
                if (isMicrophonePlugged && ModuleAudio.instance(FactoryTestMainInnerEarphone.this.mContext).isDoingLoopback() && (FactoryTestManager.getEnable(1) || FactoryTestManager.getEnable(42) || FactoryTestManager.getEnable(65) || FactoryTestManager.getEnable(66) || FactoryTestManager.getEnable(210) || FactoryTestManager.getEnable(211))) {
                    FactoryTestMainInnerEarphone.this.mTestInnerLoopback.changeLoopbackRoute(false);
                }
            }
            if (FactoryTestManager.getAllitemPass()) {
                FactoryTestMainInnerEarphone.this.mListView.setBackgroundColor(UiHallICTest.FONT_COLOR_PASS);
                FactoryTestMainAdapter.ALL_PASS_STATE = true;
                return;
            }
            FactoryTestMainInnerEarphone.this.mListView.setBackgroundColor(FactoryTestMainInnerEarphone.this.mContext.getResources().getColor(R.color.background_gray));
            FactoryTestMainAdapter.ALL_PASS_STATE = false;
        }
    };
    private Context mContext;
    private Handler mHandlerFeedback;
    private Handler mHandlerResult;
    private ListView mListView;
    private int mStatusEarJack = 0;
    private FactoryTestMainInnerLoopback mTestInnerLoopback;

    public FactoryTestMainInnerEarphone(Context context, Handler result, Handler feedback, ListView listView, FactoryTestMainInnerLoopback testInnerLoopback) {
        this.mContext = context;
        this.mHandlerResult = result;
        this.mHandlerFeedback = feedback;
        this.mListView = listView;
        this.mTestInnerLoopback = testInnerLoopback;
        registerTestReceiver();
    }

    private void registerTestReceiver() {
        IntentFilter filter = new IntentFilter();
        if (FactoryTestManager.getEnable(12)) {
            filter.addAction("android.intent.action.HEADSET_PLUG");
        }
        this.mContext.registerReceiver(this.mBroadcastReceiver, filter);
    }

    public void unregisterTestReceiver() {
        BroadcastReceiver broadcastReceiver = this.mBroadcastReceiver;
        if (broadcastReceiver != null) {
            this.mContext.unregisterReceiver(broadcastReceiver);
            this.mBroadcastReceiver = null;
            FtUtil.log_i("FactoryTestMainInnerEarphone", "unregisterTestReceiver", null);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void startEarphone(boolean state) {
        ModuleAudio moduleAudio = ModuleAudio.instance(this.mContext);
        FtUtil.log_d("FactoryTestMainInnerEarphone", "startEarphone", "Start Earphonestate: " + state + "IsEarplugged:  " + moduleAudio.isEarphonePlugged());
        if (!state || !moduleAudio.isEarphonePlugged()) {
            FtUtil.log_i("FactoryTestMainInnerEarphone", "stopEarphone", "Earphone Plugged=false");
            if (ModuleDevice.instance(this.mContext).isVibrating()) {
                stopSound();
                ModuleDevice.instance(this.mContext).stopVibrate();
            }
            if (!ModuleAudio.instance(this.mContext).isDoingLoopback() && ModuleAudio.instance(this.mContext).isPlayingSound() && FactoryTestMain.CURRENT_TEST_ID != 33) {
                ModuleAudio.instance(this.mContext).setAudioPath(0);
            }
            Handler handler = this.mHandlerFeedback;
            handler.sendMessage(handler.obtainMessage(2, "Earphone Removed!"));
            return;
        }
        FtUtil.log_i("FactoryTestMainInnerEarphone", "startEarphone", "Earphone Plugged=true");
        if (!ModuleAudio.instance(this.mContext).isDoingLoopback() && ModuleAudio.instance(this.mContext).isPlayingSound()) {
            ModuleAudio.instance(this.mContext).setAudioPath(2);
        }
        Handler handler2 = this.mHandlerFeedback;
        handler2.sendMessage(handler2.obtainMessage(2, "Earphone Detected!"));
        sendMessageTestResult(FactoryTestMain.WHAT_RESULT, this.EARPHONE_TEST_ID, (byte) 80);
    }

    public void startEarkey(boolean isPress) {
        if (FactoryTestManager.getEnable(13) && ModuleAudio.instance(this.mContext).isEarphonePlugged()) {
            if (isPress) {
                if (ModuleAudio.instance(this.mContext).isPlayingSound()) {
                    switch (FactoryTestMain.CURRENT_TEST_ID) {
                        case 4:
                        case 5:
                        case 33:
                            FtUtil.log_d("FactoryTestMainInnerEarphone", "startEarkey", "need to stop last running test ID=" + FactoryTestMain.CURRENT_TEST_ID);
                            ((FactoryTestMain) this.mContext).launchTest(FactoryTestMain.CURRENT_TEST_ID);
                            FactoryTestMain.CURRENT_TEST_ID = 13;
                            break;
                    }
                }
                this.mHandlerFeedback.removeMessages(1);
                this.mHandlerFeedback.sendEmptyMessage(0);
                return;
            }
            this.mHandlerFeedback.sendEmptyMessageDelayed(1, 500);
            sendMessageTestResult(FactoryTestMain.WHAT_RESULT, 13, (byte) 80);
        }
    }

    private void stopSound() {
        ModuleAudio moduleAudio = ModuleAudio.instance(this.mContext);
        if (moduleAudio.isPlayingSound()) {
            moduleAudio.stopMedia();
            this.mHandlerFeedback.sendEmptyMessage(4);
        }
    }

    private void sendMessageTestResult(int what, int id, byte result) {
        FtUtil.log_d("FactoryTestMainInnerEarphone", "sendTestResultMessage", "what=" + what + " , id=" + id + " , result=" + ((int) result));
        this.mHandlerResult.sendMessage(this.mHandlerResult.obtainMessage(what, id, result));
    }
}
