package com.sec.factory.app.factorytest;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Handler;
import com.sec.factory.modules.ModuleAudio;
import com.sec.factory.modules.ModuleCommunication;
import com.sec.factory.support.FtUtil;

public class FactoryTestMainInnerFMRadio {
    public static ModuleCommunication mModuleCommunication = null;
    private final String CLASS_NAME = "FactoryTestMainInnerFMRADIO";
    private Context mContext;
    private BroadcastReceiver mFMRADIOReceiver;
    private Handler mHandlerFeedback;
    private Handler mHandlerResult;

    public FactoryTestMainInnerFMRadio(Context context, Handler result, Handler feedback) {
        this.mContext = context;
        this.mHandlerResult = result;
        this.mHandlerFeedback = feedback;
    }

    public void startFMRADIO() {
        FtUtil.log_d("FactoryTestMainInnerFMRADIO", "startFMRADIO", "Start FMRADIO");
        BroadcastReceiver broadcastReceiver = this.mFMRADIOReceiver;
        if (broadcastReceiver == null) {
            Intent intent = new Intent("test.mode.radio.on.freq");
            intent.putExtra("frequency", "98500");
            if (ModuleAudio.instance(this.mContext).isEarphonePlugged()) {
                intent.putExtra("output", "earphone");
            } else {
                intent.putExtra("output", "speaker");
            }
            intent.setFlags(268435456);
            this.mContext.startActivity(intent);
            FtUtil.log_i("FactoryTestMainInnerFMRADIO", "send Frequency", "Frequency : 98500");
            changeFMRADIOstate();
            return;
        }
        this.mContext.unregisterReceiver(broadcastReceiver);
        this.mFMRADIOReceiver = null;
        this.mHandlerFeedback.sendEmptyMessage(4);
        Intent intent2 = new Intent("test.mode.radio.off");
        intent2.setFlags(268435456);
        this.mContext.startActivity(intent2);
    }

    private void changeFMRADIOstate() {
        IntentFilter filter = new IntentFilter();
        filter.addAction("test.mode.radio.on.freq");
        filter.addAction(ModuleCommunication.FM_RADIO_TEST_ON_RESPONSE);
        AnonymousClass1 r1 = new BroadcastReceiver() {
            /* class com.sec.factory.app.factorytest.FactoryTestMainInnerFMRadio.AnonymousClass1 */

            public void onReceive(Context context, Intent intent) {
            }
        };
        this.mFMRADIOReceiver = r1;
        this.mContext.registerReceiver(r1, filter);
        Handler handler = this.mHandlerFeedback;
        handler.sendMessage(handler.obtainMessage(3, "FMRADIO : 98.5Mhz"));
        sendMessageTestResult(FactoryTestMain.WHAT_RESULT, FactoryTestManager.TEST_FMRADIO, (byte) 80);
    }

    public void unregisterFMRADIOReceiver() {
        BroadcastReceiver broadcastReceiver = this.mFMRADIOReceiver;
        if (broadcastReceiver != null) {
            this.mContext.unregisterReceiver(broadcastReceiver);
            this.mFMRADIOReceiver = null;
            FtUtil.log_i("FactoryTestMainInnerFMRADIO", "unregisterFMRADIOReceiver", null);
        }
    }

    private void sendMessageTestResult(int what, byte id, byte result) {
        FtUtil.log_d("FactoryTestMainInnerFMRADIO", "sendTestResultMessage", "what=" + what + " , id=" + ((int) id) + " , result=" + ((int) result));
        this.mHandlerResult.sendMessage(this.mHandlerResult.obtainMessage(what, id, result));
    }
}
