package com.sec.factory.app.factorytest;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Handler;
import android.os.Message;
import android.widget.ListView;
import com.sec.factory.modules.ModuleAudio;
import com.sec.factory.modules.ModuleCommon;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;

public class FactoryTestMainInnerLoopback {
    public static final int LOOPBACK_EAR_EAR = 1000;
    public static final int LOOPBACK_READY = -1;
    public static final int LOOPBACK_START = 0;
    public static final String NEXT_KEY = "com.sec.factory.app.factorytest.FactoryTestMainInnerLoopback.NEXT_KEY";
    public static final int START_LOOPBACK = 0;
    public static final int START_LOOPBACK2 = 3;
    public static final int START_LOOPBACK_MIC_EAR = 5;
    public static final int STOP_LOOPBACK = 1;
    public static final int STOP_LOOPBACK2 = 4;
    public static final int STOP_LOOPBACK_MIC_EAR = 6;
    public static int mPreStatus = 0;
    public static int mStatus = -1;
    private static boolean write_nv_state = false;
    private final String CLASS_NAME = "FactoryTestMainInnerLoopback";
    private boolean isCmd = false;
    private BroadcastReceiver mBroadcastReceiver = null;
    private BroadcastReceiver mBroadcastReceiverPlug;
    private Context mContext;
    private final Handler mHandler = new Handler() {
        /* class com.sec.factory.app.factorytest.FactoryTestMainInnerLoopback.AnonymousClass3 */

        public void handleMessage(Message msg) {
            ModuleAudio.instance(FactoryTestMainInnerLoopback.this.mContext).startLoopback(FactoryTestMainInnerLoopback.this.mLoopbackTestcase[FactoryTestMainInnerLoopback.mStatus], 2);
        }
    };
    private Handler mHandlerFeedback;
    private Handler mHandlerResult;
    private ListView mListView;
    public String[] mLoopbackTestName = null;
    public String[] mLoopbackTestcase = null;
    private String mTestCase = null;
    private String mTestName = null;
    public int mTestcaselength = 0;

    public FactoryTestMainInnerLoopback(Context context, Handler result, Handler feedback, ListView listView) {
        String testloopback = FactoryTestManager.convertorID_XML((byte) 1);
        this.mTestCase = Support.FactoryTestMenu.getTestCase(testloopback);
        this.mTestName = Support.FactoryTestMenu.getTestName(testloopback);
        String str = this.mTestCase;
        if (str != null) {
            this.mLoopbackTestcase = str.split(",");
        }
        String str2 = this.mTestName;
        if (str2 != null) {
            this.mLoopbackTestName = str2.split(",");
        }
        String[] strArr = this.mLoopbackTestcase;
        if (strArr != null) {
            this.mTestcaselength = strArr.length;
        }
        this.mContext = context;
        this.mHandlerResult = result;
        this.mHandlerFeedback = feedback;
        this.mListView = listView;
    }

    /* access modifiers changed from: protected */
    public boolean checkEarPhoneIntent() {
        FtUtil.log_i("FactoryTestMainInnerLoopback", "checkEarPhoneIntent", "checkEarPhoneIntent");
        this.mBroadcastReceiverPlug = new BroadcastReceiver() {
            /* class com.sec.factory.app.factorytest.FactoryTestMainInnerLoopback.AnonymousClass1 */

            public void onReceive(Context context, Intent intent) {
                FtUtil.log_d("FactoryTestMainInnerLoopback", "checkEarPhoneIntent", "action=" + intent.getAction());
                if ("android.intent.action.HEADSET_PLUG".equals(intent.getAction())) {
                    boolean isMicrophonePlugged = false;
                    FtUtil.log_d("FactoryTestMainInnerLoopback", "ACTION_HEADSET_PLUG state : " + (intent.getIntExtra("state", 0) == 1));
                    if (intent.getIntExtra("microphone", 0) == 1) {
                        isMicrophonePlugged = true;
                    }
                    FtUtil.log_d("FactoryTestMainInnerLoopback", "ACTION_HEADSET_PLUG microphone : " + isMicrophonePlugged);
                }
            }
        };
        IntentFilter filter = new IntentFilter();
        filter.addAction("android.intent.action.HEADSET_PLUG");
        Intent headsetIntent = this.mContext.registerReceiver(this.mBroadcastReceiverPlug, filter);
        int headSetState = headsetIntent != null ? headsetIntent.getIntExtra("state", 0) : 0;
        int microphoneState = headsetIntent != null ? headsetIntent.getIntExtra("microphone", 0) : 0;
        FtUtil.log_d("FactoryTestMainInnerLoopback", "checkEarPhoneIntent state : " + headSetState + ", microphoneState : " + microphoneState);
        StringBuilder sb = new StringBuilder();
        sb.append("return result : ");
        sb.append(headSetState == 1 && microphoneState == 1);
        FtUtil.log_i("FactoryTestMainInnerLoopback", "checkEarPhoneIntent", sb.toString());
        this.mContext.unregisterReceiver(this.mBroadcastReceiverPlug);
        if (headSetState == 1 && microphoneState == 1) {
            return true;
        }
        return false;
    }

    private void setPhoneType() {
        FtUtil.log_d("FactoryTestMainInnerLoopback", "setPhoneType()", "testid= " + FactoryTestMain.CURRENT_TEST_ID + " loopback ID = " + 42);
        if (FactoryTestMain.CURRENT_TEST_ID == 42 || FactoryTestMain.CURRENT_TEST_ID == 66) {
            FtUtil.log_d("FactoryTestMainInnerLoopback", "setPhoneType", "CP2");
            ModuleAudio.instance(this.mContext).setPhoneType("cp2");
        } else if (FactoryTestMain.CURRENT_TEST_ID == 1 || FactoryTestMain.CURRENT_TEST_ID == 65) {
            FtUtil.log_d("FactoryTestMainInnerLoopback", "setPhoneType", "CP1");
            ModuleAudio.instance(this.mContext).setPhoneType("cp1");
        }
    }

    public void stopLoopback() {
        FtUtil.log_d("FactoryTestMainInnerLoopback", "stopLoopback");
        unregisterTestReceiver();
        ListView listView = this.mListView;
        if (listView != null) {
            listView.setSoundEffectsEnabled(true);
        }
        ModuleAudio.instance(this.mContext).stopLoopback();
        Handler handler = this.mHandlerFeedback;
        if (handler != null) {
            handler.sendEmptyMessage(4);
        }
        mStatus = -1;
        if (this.mListView != null) {
            FactoryTestManager.notifyDataSetChanged();
        }
    }

    public void startLoopback() {
        String testid;
        String path;
        FtUtil.log_d("FactoryTestMainInnerLoopback", "startLoopback", "Start Loopback");
        ModuleAudio moduleAudio = ModuleAudio.instance(this.mContext);
        mStatus = 0;
        mPreStatus = 0;
        if (FactoryTestMain.CURRENT_TEST_ID < 128) {
            testid = FactoryTestManager.convertorID_XML((byte) FactoryTestMain.CURRENT_TEST_ID);
        } else {
            testid = FactoryTestManager.convertorID_XML(FactoryTestMain.CURRENT_TEST_ID);
        }
        try {
            this.mTestCase = Support.FactoryTestMenu.getTestCase(testid);
            this.mTestName = Support.FactoryTestMenu.getTestName(testid);
            this.mLoopbackTestcase = this.mTestCase.split(",");
            this.mLoopbackTestName = this.mTestName.split(",");
            this.mTestcaselength = this.mLoopbackTestcase.length;
        } catch (Exception e) {
            e.printStackTrace();
        }
        FtUtil.log_d("FactoryTestMainInnerLoopback", "startLoopback", "mTestCase : " + this.mTestCase + ", mTestName : " + this.mTestName);
        if (!moduleAudio.isDoingLoopback()) {
            if (Support.Feature.getBoolean(Support.Feature.AUDIO_PATH_OFF_WHEN_15_LOOPBACK, false)) {
                ModuleAudio.instance(this.mContext).setAudioPath(4);
            }
            write_nv_state = false;
            setPhoneType();
            ListView listView = this.mListView;
            if (listView != null) {
                listView.setSoundEffectsEnabled(false);
            }
            FtUtil.log_d("FactoryTestMainInnerLoopback", "startLoopback", "mLoopbackTestcase: [" + this.mLoopbackTestcase[mStatus] + "]");
            if (!checkEarPhoneIntent() || !moduleAudio.isEarphonePlugged()) {
                path = this.mLoopbackTestcase[mStatus];
            } else {
                mStatus = 1000;
                path = "ear_ear;";
            }
            if (!ModuleCommon.instance(this.mContext).isVoiceCapable()) {
                int type = this.isCmd ? 3 : 2;
                if (Support.Feature.getBoolean(Support.Feature.SUPPORT_REALTIME_TYPE_FOR_WIFI, false)) {
                    type = 2;
                }
                if (FactoryTestMain.CURRENT_TEST_ID == 42 || FactoryTestMain.CURRENT_TEST_ID == 66) {
                    moduleAudio.startLoopback2(path, type, this.isCmd);
                } else {
                    moduleAudio.startLoopback(path, type, true, this.isCmd);
                }
            } else if (FactoryTestMain.CURRENT_TEST_ID == 42 || FactoryTestMain.CURRENT_TEST_ID == 66) {
                moduleAudio.startLoopback2(path, 0, new boolean[0]);
            } else {
                moduleAudio.startLoopback(path, 0);
            }
            if (!"true".equalsIgnoreCase(Support.FactoryTestMenu.getEnable(FactoryTestManager.convertorID_XML(210)))) {
                FtUtil.log_d("FactoryTestMainInnerLoopback", "startLoopback", "set Loopback NVwrite");
                LoopbackNVwrite();
            } else {
                FtUtil.log_d("FactoryTestMainInnerLoopback", "startLoopback", "Skip Loopback NVwrite");
            }
            Handler handler = this.mHandlerFeedback;
            if (handler != null) {
                handler.sendMessage(handler.obtainMessage(3, "Loopback On"));
            }
            if (this.mListView != null) {
                FactoryTestManager.notifyDataSetChanged();
                return;
            }
            return;
        }
        ListView listView2 = this.mListView;
        if (listView2 != null) {
            listView2.setSoundEffectsEnabled(true);
        }
        moduleAudio.stopLoopback();
        Handler handler2 = this.mHandlerFeedback;
        if (handler2 != null) {
            handler2.sendEmptyMessage(4);
        }
        if (this.mListView != null) {
            FactoryTestManager.notifyDataSetChanged();
        }
        mStatus = -1;
    }

    public void startLoopback(String path) {
        FtUtil.log_d("FactoryTestMainInnerLoopback", "startLoopback", "Start Loopback");
        ModuleAudio moduleAudio = ModuleAudio.instance(this.mContext);
        if (!moduleAudio.isDoingLoopback()) {
            FtUtil.log_d("FactoryTestMainInnerLoopback", "startLoopback", "New StartLoopback");
            if (moduleAudio.isEarphonePlugged()) {
                ListView listView = this.mListView;
                if (listView != null) {
                    listView.setSoundEffectsEnabled(false);
                }
                if (ModuleCommon.instance(this.mContext).isVoiceCapable()) {
                    moduleAudio.startLoopback(path, 0);
                } else {
                    moduleAudio.startLoopback(path, this.isCmd ? 3 : 2);
                }
                Handler handler = this.mHandlerFeedback;
                if (handler != null) {
                    handler.sendMessage(handler.obtainMessage(3, "Loopback On"));
                }
                if (this.mListView != null) {
                    FactoryTestManager.notifyDataSetChanged();
                    return;
                }
                return;
            }
            FtUtil.log_d("FactoryTestMainInnerLoopback", "startLoopback", "Earphone Unplugged");
            return;
        }
        ListView listView2 = this.mListView;
        if (listView2 != null) {
            listView2.setSoundEffectsEnabled(true);
        }
        moduleAudio.stopLoopback();
        Handler handler2 = this.mHandlerFeedback;
        if (handler2 != null) {
            handler2.sendEmptyMessage(4);
        }
        if (this.mListView != null) {
            FactoryTestManager.notifyDataSetChanged();
        }
    }

    public void startLoopback(int command) {
        FtUtil.log_d("FactoryTestMainInnerLoopback", "startLoopback", "command = " + command);
        ModuleAudio moduleAudio = ModuleAudio.instance(this.mContext);
        this.isCmd = true;
        switch (command) {
            case 0:
            case 3:
                if (!moduleAudio.isDoingLoopback()) {
                    startLoopback();
                    registerTestReceiver();
                    return;
                }
                FtUtil.log_d("FactoryTestMainInnerLoopback", "startLoopback", "Already start loopback");
                return;
            case 1:
            case 4:
            case 6:
                stopLoopback();
                return;
            case 2:
            default:
                FtUtil.log_d("FactoryTestMainInnerLoopback", "startLoopback", "Not applicable command");
                return;
            case 5:
                if (!moduleAudio.isDoingLoopback()) {
                    startLoopback("mic_ear;");
                    return;
                } else {
                    FtUtil.log_d("FactoryTestMainInnerLoopback", "startLoopback", "Already start loopback");
                    return;
                }
        }
    }

    private void registerTestReceiver() {
        IntentFilter filter = new IntentFilter();
        filter.addAction(NEXT_KEY);
        AnonymousClass2 r1 = new BroadcastReceiver() {
            /* class com.sec.factory.app.factorytest.FactoryTestMainInnerLoopback.AnonymousClass2 */

            public void onReceive(Context context, Intent intent) {
                String action = intent.getAction();
                FtUtil.log_d("FactoryTestMainInnerLoopback", "mBroadcastReceiver.onReceive", "action=" + action);
                if (FactoryTestMainInnerLoopback.NEXT_KEY.equals(intent.getAction())) {
                    ModuleAudio moduleAudio = ModuleAudio.instance(FactoryTestMainInnerLoopback.this.mContext);
                    if (moduleAudio.isDoingLoopback() && !moduleAudio.isEarphonePlugged()) {
                        FactoryTestMainInnerLoopback.this.changeLoopbackRoute(true);
                        if (FactoryTestMainInnerLoopback.this.mListView != null) {
                            FactoryTestManager.notifyDataSetChanged();
                        }
                    }
                }
            }
        };
        this.mBroadcastReceiver = r1;
        this.mContext.registerReceiver(r1, filter);
    }

    public void unregisterTestReceiver() {
        BroadcastReceiver broadcastReceiver = this.mBroadcastReceiver;
        if (broadcastReceiver != null) {
            this.mContext.unregisterReceiver(broadcastReceiver);
            this.mBroadcastReceiver = null;
            FtUtil.log_i("FactoryTestMainInnerLoopback", "unregisterTestReceiver", null);
        }
    }

    public void changeLoopbackRoute(boolean isKeyEvent) {
        ModuleAudio moduleAudio = ModuleAudio.instance(this.mContext);
        FtUtil.log_i("FactoryTestMainInnerLoopback", "changeLoopbackRoute", "mStatus : " + mStatus + ", isKeyEvent = " + isKeyEvent);
        if (isKeyEvent) {
            int i = mStatus;
            if (i < this.mTestcaselength - 1) {
                int i2 = i + 1;
                mStatus = i2;
                mPreStatus = i2;
                if (ModuleCommon.instance(this.mContext).isVoiceCapable()) {
                    moduleAudio.setLoopbackPath(this.mLoopbackTestcase[mStatus]);
                } else {
                    moduleAudio.stopLoopback();
                    this.mHandler.sendEmptyMessage(0);
                }
            }
            LoopbackNVwrite();
        } else if (moduleAudio.isEarphonePlugged()) {
            int i3 = mStatus;
            if (i3 != 1000) {
                mPreStatus = i3;
                mStatus = 1000;
                FtUtil.log_i("FactoryTestMainInnerLoopback", "changeLoopbackRoute", "mPreStatus : " + mPreStatus + " , mStatus :" + mStatus);
                moduleAudio.setLoopbackPath("ear_ear");
            }
        } else {
            mStatus = mPreStatus;
            FtUtil.log_i("FactoryTestMainInnerLoopback", "changeLoopbackRoute", "mPreStatus : " + mPreStatus + " , mStatus :" + mStatus);
            int i4 = mStatus;
            if (i4 == -1) {
                moduleAudio.stopLoopback();
                return;
            }
            String[] strArr = this.mLoopbackTestcase;
            if (strArr != null) {
                moduleAudio.setLoopbackPath(strArr[i4]);
                FtUtil.log_i("FactoryTestMainInnerLoopback", "changeLoopbackRoute", "mLoopbackTestcase != null" + this.mLoopbackTestcase);
                return;
            }
            moduleAudio.stopLoopback();
            FtUtil.log_i("FactoryTestMainInnerLoopback", "changeLoopbackRoute", "mLoopbackTestcase is null" + this.mLoopbackTestcase);
        }
    }

    public String getPathName() {
        int i = mStatus;
        switch (i) {
            case -1:
                return "";
            case 1000:
                return "E/P";
            default:
                return this.mLoopbackTestName[i];
        }
    }

    private void sendMessageTestResult(int what, byte id, byte result) {
        FtUtil.log_d("FactoryTestMainInnerLoopback", "sendTestResultMessage", "what=" + what + " , id=" + ((int) id) + " , result=" + ((int) result));
        Handler handler = this.mHandlerResult;
        if (handler != null) {
            this.mHandlerResult.sendMessage(handler.obtainMessage(what, id, result));
            return;
        }
        setTestResult(id, result);
    }

    private void LoopbackNVwrite() {
        if (!write_nv_state) {
            if (mStatus == this.mTestcaselength - 1) {
                sendMessageTestResult(FactoryTestMain.WHAT_RESULT, (byte) FactoryTestMain.CURRENT_TEST_ID, (byte) 80);
            } else {
                sendMessageTestResult(FactoryTestMain.WHAT_RESULT, (byte) FactoryTestMain.CURRENT_TEST_ID, (byte) 70);
            }
            write_nv_state = true;
        }
    }

    private void setTestResult(int id, byte result) {
        FtUtil.log_d("FactoryTestMainInnerLoopback", "setTestResult, id: " + id + " , result:" + ((int) result));
        int itemid = FactoryTestManager.getItemPosition_ID(id);
        if (itemid > -1) {
            FtUtil.log_d("FactoryTestMainInnerLoopback", "setTestResult itemid: " + itemid);
            FactoryTestManager.setItemResult(itemid, result);
            if (this.mListView != null) {
                FactoryTestManager.notifyDataSetChanged();
            }
        }
    }
}
