package com.sec.factory.app.factorytest;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.nfc.NfcAdapter;
import android.os.Handler;
import android.os.Message;
import android.widget.ListView;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.modules.ModuleNfc;
import com.sec.factory.support.FtUtil;
import java.util.ArrayList;
import java.util.concurrent.Executors;

public class FactoryTestMainInnerNFC {
    private static final int CHECK_ESE = 6;
    private static final int CHECK_SIM = 5;
    private final String CLASS_NAME = "FactoryTestMainInnerNFC";
    private final int HANDLER_ESE_CHECK_DELAY = 1000;
    private final int HANDLER_POLLING_DELAY = 200;
    private final String LOG_TAG = "[UTOPIA_NFC_SELF]";
    private final int MSG_ESE_AND_AP_COMMUNICATION_TEST = 4;
    private final int MSG_ESE_TEST = 3;
    private final int MSG_FINISH_TEST = 6;
    private final int MSG_SIM_SWP2_TEST = 2;
    private final int MSG_SIM_TEST = 1;
    private final int MSG_SLOT_CHANGE_CHECK = 5;
    private final int NFC_DISABLE_DELAY = 400;
    private final int NFC_READ_STATUS_TIMEOUT_DELAY = 5000;
    private final int NFC_SLOT_CHANGE_DELAY = 1100;
    private boolean isReceivedESE = false;
    private Context mContext;
    private int mEseCount = 0;
    private Handler mEseHandler = new Handler() {
        /* class com.sec.factory.app.factorytest.FactoryTestMainInnerNFC.AnonymousClass5 */

        public void handleMessage(Message msg) {
            super.handleMessage(msg);
            FtUtil.log_e("FactoryTestMainInnerNFC", "mEseHandler.handleMessage", "Count: " + FactoryTestMainInnerNFC.this.mEseCount);
            if (FactoryTestMainInnerNFC.this.isReceivedESE) {
                FactoryTestMainInnerNFC.this.mEseCount = 0;
                FtUtil.log_i("FactoryTestMainInnerNFC", "mEseHandler.handleMessage", "Received eSE Communication Intent");
            } else if (FactoryTestMainInnerNFC.this.mEseCount == 5) {
                FtUtil.log_d("FactoryTestMainInnerNFC", "mEseHandler.handleMessage", "[UTOPIA_NFC_SELF][MSP_SEQ] Fail NFC eSE AP Communication");
                FactoryTestMainInnerNFC.this.mIsPasseSEAP = false;
                FactoryTestMainInnerNFC factoryTestMainInnerNFC = FactoryTestMainInnerNFC.this;
                factoryTestMainInnerNFC.checkPass(factoryTestMainInnerNFC.mIsPasseSEAP, "eSE-AP");
            } else {
                FactoryTestMainInnerNFC.access$1508(FactoryTestMainInnerNFC.this);
                FactoryTestMainInnerNFC.this.mEseHandler.sendEmptyMessageDelayed(0, 1000);
            }
        }
    };
    private int mExecutedItemNum = 0;
    private Handler mHandlerFeedback;
    private Handler mHandlerResult;
    private boolean mIsDoingTest = false;
    private boolean mIsPassSWP = false;
    private boolean mIsPassSWP2 = false;
    private boolean mIsPasseSEAP = false;
    private boolean mIsPasseSENFC = false;
    private boolean mIsSWP2ND = false;
    private ListView mListView;
    private NfcAdapter mNfcAdapter;
    public Handler mNfcTestHandler = new Handler() {
        /* class com.sec.factory.app.factorytest.FactoryTestMainInnerNFC.AnonymousClass1 */

        public void handleMessage(Message msg) {
            switch (msg.what) {
                case 1:
                    if (FactoryTestMainInnerNFC.this.mNfcAdapter == null) {
                        FtUtil.log_i("FactoryTestMainInnerNFC", "mNfcTestHandler.handleMessage", "mNfcAdapter is Null");
                        return;
                    } else if (FactoryTestMainInnerNFC.this.mNfcAdapter.isEnabled()) {
                        FtUtil.log_i("FactoryTestMainInnerNFC", "mNfcTestHandler.handleMessage", "send Intent CHECK_SEC_NFC_SIM");
                        FactoryTestMainInnerNFC.this.mContext.sendBroadcast(ModuleNfc.NfcFunctions.NFC_CHECK_SIM_TEST.getNfcIntent());
                        return;
                    } else {
                        FactoryTestMainInnerNFC.this.mNfcTestHandler.sendEmptyMessageDelayed(1, 400);
                        return;
                    }
                case 2:
                default:
                    return;
                case 3:
                    FtUtil.log_i("FactoryTestMainInnerNFC", "mNfcTestHandler.handleMessage", "send Intent CHECK_SEC_NFC_ESE");
                    FactoryTestMainInnerNFC.this.mContext.sendBroadcast(ModuleNfc.NfcFunctions.NFC_CHECK_ESE_TEST.getNfcIntent());
                    return;
                case 4:
                    FtUtil.log_i("FactoryTestMainInnerNFC", "mNfcTestHandler.handleMessage", "send Intent MSG_ESE_AND_AP_COMMUNICATION_TEST");
                    FactoryTestMainInnerNFC.this.starteSEReceiver();
                    FactoryTestMainInnerNFC.this.mContext.sendBroadcast(ModuleNfc.getNfcTestCommand(0, 4));
                    FactoryTestMainInnerNFC.this.mEseHandler.sendEmptyMessageDelayed(0, 1000);
                    return;
                case 5:
                    FtUtil.log_i("FactoryTestMainInnerNFC", "mNfcTestHandler.handleMessage", "MSG_SLOT_CHANGE_CHECK PreferredSimSlot = " + FactoryTestMainInnerNFC.this.mNfcAdapter.getPreferredSimSlot() + "/ To be changed = " + msg.arg1 + "/ nextop = " + msg.arg2);
                    if (FactoryTestMainInnerNFC.this.mNfcAdapter.getPreferredSimSlot() == msg.arg1) {
                        FactoryTestMainInnerNFC.this.mNfcTestHandler.sendEmptyMessageDelayed(msg.arg2, 400);
                        return;
                    } else if ((FactoryTestMainInnerNFC.this.mPassSwitching1 && msg.arg1 == 0) || (FactoryTestMainInnerNFC.this.mPassSwitching2 && 1 == msg.arg1)) {
                        FactoryTestMainInnerNFC.this.mNfcTestHandler.sendMessageDelayed(FactoryTestMainInnerNFC.this.mNfcTestHandler.obtainMessage(5, msg.arg1, msg.arg2), 200);
                        return;
                    } else if (!FactoryTestMainInnerNFC.this.mPassSwitching2) {
                        FactoryTestMainInnerNFC.access$508(FactoryTestMainInnerNFC.this);
                        if (FactoryTestMainInnerNFC.this.mSwitchingCount2 >= 3) {
                            FtUtil.log_i("FactoryTestMainInnerNFC", "mNfcTestHandler.handleMessage", "SWP2 Test Fail");
                            FactoryTestMainInnerNFC.this.mIsPassSWP2 = false;
                            FactoryTestMainInnerNFC factoryTestMainInnerNFC = FactoryTestMainInnerNFC.this;
                            factoryTestMainInnerNFC.checkPass(factoryTestMainInnerNFC.mIsPassSWP2, "SWP2");
                            return;
                        }
                        FactoryTestMainInnerNFC.this.mNfcTestHandler.sendMessageDelayed(FactoryTestMainInnerNFC.this.mNfcTestHandler.obtainMessage(5, msg.arg1, msg.arg2), 200);
                        return;
                    } else if (!FactoryTestMainInnerNFC.this.mPassSwitching1) {
                        FactoryTestMainInnerNFC.access$808(FactoryTestMainInnerNFC.this);
                        if (FactoryTestMainInnerNFC.this.mSwitchingCount1 >= 3) {
                            FtUtil.log_i("FactoryTestMainInnerNFC", "mNfcTestHandler.handleMessage", "SWP2 Test Fail");
                            FactoryTestMainInnerNFC.this.mIsPassSWP2 = false;
                            FactoryTestMainInnerNFC factoryTestMainInnerNFC2 = FactoryTestMainInnerNFC.this;
                            factoryTestMainInnerNFC2.checkPass(factoryTestMainInnerNFC2.mIsPassSWP2, "SWP2");
                            return;
                        }
                        FactoryTestMainInnerNFC.this.mNfcTestHandler.sendMessageDelayed(FactoryTestMainInnerNFC.this.mNfcTestHandler.obtainMessage(5, msg.arg1, msg.arg2), 200);
                        return;
                    } else {
                        return;
                    }
                case 6:
                    FtUtil.log_i("FactoryTestMainInnerNFC", "mHandler.handleMessage", "MSG_FINISH_TEST");
                    FactoryTestMainInnerNFC.this.endInnerNFCTest();
                    return;
            }
        }
    };
    private boolean mPassSwitching1 = true;
    private boolean mPassSwitching2 = true;
    private BroadcastReceiver mReceiver = null;
    private BroadcastReceiver mReceiverESE = null;
    private boolean mSupportSWP = true;
    private boolean mSupportSWP2 = false;
    private boolean mSupport_eSE = false;
    private boolean mSupport_eSEViaSpi = false;
    private int mSwitchingCount1 = 0;
    private int mSwitchingCount2 = 0;
    private int mTestID;
    private ArrayList<Integer> mTestItemList;

    static /* synthetic */ int access$1508(FactoryTestMainInnerNFC x0) {
        int i = x0.mEseCount;
        x0.mEseCount = i + 1;
        return i;
    }

    static /* synthetic */ int access$508(FactoryTestMainInnerNFC x0) {
        int i = x0.mSwitchingCount2;
        x0.mSwitchingCount2 = i + 1;
        return i;
    }

    static /* synthetic */ int access$808(FactoryTestMainInnerNFC x0) {
        int i = x0.mSwitchingCount1;
        x0.mSwitchingCount1 = i + 1;
        return i;
    }

    public FactoryTestMainInnerNFC(Context context, Handler result, Handler feedback, ListView listView) {
        this.mContext = context;
        this.mHandlerResult = result;
        this.mHandlerFeedback = feedback;
        this.mListView = listView;
        this.mNfcAdapter = NfcAdapter.getDefaultAdapter(context);
    }

    public void startNFCSelf(int testID) {
        StringBuilder sb = new StringBuilder();
        sb.append("[UTOPIA_NFC_SELF]");
        boolean z = true;
        sb.append(FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(testID), "test : " + testID));
        FtUtil.log_d("FactoryTestMainInnerNFC", "startNFCSelf", sb.toString());
        this.mExecutedItemNum = 0;
        this.mTestItemList = new ArrayList<>();
        this.mIsDoingTest = true;
        this.mTestID = testID;
        if (testID != 149) {
            z = false;
        }
        this.mIsSWP2ND = z;
        registerNFCReceiver();
        if (this.mIsSWP2ND) {
            initNfcSwp2();
        } else {
            initNfcTests();
        }
        if (this.mTestItemList.size() > 0) {
            startTest(this.mTestItemList.get(0).intValue());
        }
    }

    private void initNfcTests() {
        boolean isSupportSWP = ModuleDevice.instance(this.mContext).isSupportSWP(ModuleDevice.SwpType.SWP1);
        this.mSupportSWP = isSupportSWP;
        if (isSupportSWP) {
            this.mTestItemList.add(1);
        }
        boolean isSupportEse = ModuleNfc.isSupportEse(this.mContext);
        this.mSupport_eSE = isSupportEse;
        if (isSupportEse) {
            this.mTestItemList.add(3);
        }
        boolean isSupportEseViaSpi = ModuleNfc.isSupportEseViaSpi(this.mContext);
        this.mSupport_eSEViaSpi = isSupportEseViaSpi;
        if (isSupportEseViaSpi) {
            this.mTestItemList.add(4);
        }
        FtUtil.log_i("FactoryTestMainInnerNFC", "initNfcTests", "mSupportSWP = " + this.mSupportSWP + " mSupport_eSE = " + this.mSupport_eSE + " mSupport_eSEViaSpi = " + this.mSupport_eSEViaSpi);
        this.mIsPassSWP = this.mSupportSWP ^ true;
        this.mIsPasseSENFC = this.mSupport_eSE ^ true;
        this.mIsPasseSEAP = this.mSupport_eSEViaSpi ^ true;
    }

    private void initNfcSwp2() {
        boolean isSupportSWP = ModuleDevice.instance(this.mContext).isSupportSWP(ModuleDevice.SwpType.SWP2);
        this.mSupportSWP2 = isSupportSWP;
        if (isSupportSWP) {
            this.mTestItemList.add(2);
        }
        FtUtil.log_i("FactoryTestMainInnerNFC", "startSwp2ndTest", "mSupportSWP2 = " + this.mSupportSWP2);
        this.mIsPassSWP2 = this.mSupportSWP2 ^ true;
    }

    public void registerNFCReceiver() {
        this.mReceiver = new BroadcastReceiver() {
            /* class com.sec.factory.app.factorytest.FactoryTestMainInnerNFC.AnonymousClass2 */

            public void onReceive(Context context, Intent intent) {
                if ("com.samsung.android.nfc.test.action.RESPONSE".equals(intent.getAction())) {
                    int id = intent.getIntExtra("com.samsung.android.nfc.test.extra.ID", -1);
                    if (id == 5) {
                        FtUtil.log_i("FactoryTestMainInnerNFC", "onReceive", "Received CHECK_SIM");
                        int simTestResponse = intent.getIntExtra(ModuleNfc.EXTRA_DATA, -1);
                        if (!FactoryTestMainInnerNFC.this.mIsSWP2ND) {
                            if (simTestResponse == 1) {
                                FtUtil.log_d("FactoryTestMainInnerNFC", "onReceive", "[UTOPIA_NFC_SELF][MSP_SEQ] SWP Test Pass");
                                FactoryTestMainInnerNFC.this.mIsPassSWP = true;
                            } else {
                                FtUtil.log_d("FactoryTestMainInnerNFC", "onReceive", "[UTOPIA_NFC_SELF][MSP_SEQ] SWP Test Fail");
                                FactoryTestMainInnerNFC.this.mIsPassSWP = false;
                            }
                            FactoryTestMainInnerNFC factoryTestMainInnerNFC = FactoryTestMainInnerNFC.this;
                            factoryTestMainInnerNFC.checkPass(factoryTestMainInnerNFC.mIsPassSWP, "SWP");
                            return;
                        }
                        if (simTestResponse == 1) {
                            FtUtil.log_d("FactoryTestMainInnerNFC", "onReceive", "[UTOPIA_NFC_SELF][MSP_SEQ] SWP2 Test Pass");
                            FactoryTestMainInnerNFC.this.mIsPassSWP2 = true;
                        } else {
                            FtUtil.log_d("FactoryTestMainInnerNFC", "onReceive", "[UTOPIA_NFC_SELF][MSP_SEQ] SWP2 Test Fail");
                            FactoryTestMainInnerNFC.this.mIsPassSWP2 = false;
                        }
                        FactoryTestMainInnerNFC.this.changeSimSlot(0, 6);
                        FactoryTestMainInnerNFC factoryTestMainInnerNFC2 = FactoryTestMainInnerNFC.this;
                        factoryTestMainInnerNFC2.checkPass(factoryTestMainInnerNFC2.mIsPassSWP2, "SWP2");
                    } else if (id == 6) {
                        FtUtil.log_i("FactoryTestMainInnerNFC", "onReceive", "Received CHECK_ESE");
                        if (intent.getIntExtra(ModuleNfc.EXTRA_DATA, -1) == 1) {
                            FtUtil.log_d("FactoryTestMainInnerNFC", "onReceive", "[UTOPIA_NFC_SELF][MSP_SEQ] eSE NFC Test Pass");
                            FactoryTestMainInnerNFC.this.mIsPasseSENFC = true;
                        } else {
                            FtUtil.log_d("FactoryTestMainInnerNFC", "onReceive", "[UTOPIA_NFC_SELF][MSP_SEQ] eSE NFC Test Fail");
                            FactoryTestMainInnerNFC.this.mIsPasseSENFC = false;
                        }
                        FactoryTestMainInnerNFC factoryTestMainInnerNFC3 = FactoryTestMainInnerNFC.this;
                        factoryTestMainInnerNFC3.checkPass(factoryTestMainInnerNFC3.mIsPasseSENFC, "eSE-NFC");
                    } else {
                        FtUtil.log_d("FactoryTestMainInnerNFC", "onReceive", "Unknown ID: " + id);
                    }
                }
            }
        };
        IntentFilter filter = new IntentFilter();
        filter.addAction("com.samsung.android.nfc.test.action.RESPONSE");
        this.mContext.registerReceiver(this.mReceiver, filter);
    }

    public void starteSEReceiver() {
        this.mReceiverESE = new BroadcastReceiver() {
            /* class com.sec.factory.app.factorytest.FactoryTestMainInnerNFC.AnonymousClass3 */

            public void onReceive(Context context, Intent intent) {
                if (!ModuleNfc.ACTION_ESE_TEST_RESPONSE.equals(intent.getAction())) {
                    return;
                }
                if (intent.getIntExtra(ModuleNfc.ESE_EXTRA_ID, -1) == 21) {
                    FactoryTestMainInnerNFC.this.isReceivedESE = true;
                    String resData = intent.getStringExtra(ModuleNfc.ESE_EXTRA_DATA_STRING);
                    if (resData == null) {
                        resData = intent.getStringExtra(ModuleNfc.ESE_EXTRA_DATA_INTEGER);
                    }
                    int resCmd = intent.getIntExtra(ModuleNfc.ESE_EXTRA_CMD, 0);
                    FtUtil.log_d("FactoryTestMainInnerNFC", "onReceive", "resCmd : " + resCmd + ", resData : " + resData);
                    if ("OK".equalsIgnoreCase(resData)) {
                        FtUtil.log_d("FactoryTestMainInnerNFC", "onReceive", "[UTOPIA_NFC_SELF][MSP_SEQ] eSE AP Communication Pass");
                        FactoryTestMainInnerNFC.this.mIsPasseSEAP = true;
                    } else {
                        FtUtil.log_d("FactoryTestMainInnerNFC", "onReceive", "[UTOPIA_NFC_SELF][MSP_SEQ] eSE AP Communication Fail");
                        FactoryTestMainInnerNFC.this.mIsPasseSEAP = false;
                    }
                    FactoryTestMainInnerNFC factoryTestMainInnerNFC = FactoryTestMainInnerNFC.this;
                    factoryTestMainInnerNFC.checkPass(factoryTestMainInnerNFC.mIsPasseSEAP, "eSE-AP");
                    return;
                }
                FtUtil.log_e("FactoryTestMainInnerNFC", "Unknown ID: " + intent.getIntExtra(ModuleNfc.ESE_EXTRA_ID, -1));
            }
        };
        IntentFilter filter = new IntentFilter();
        filter.addAction(ModuleNfc.ACTION_ESE_TEST_RESPONSE);
        this.mContext.registerReceiver(this.mReceiverESE, filter);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void checkPass(boolean mIsPass, String mItem) {
        String failStr;
        if (this.mIsSWP2ND) {
            failStr = "NFC SWP 2 test is FAIL";
        } else {
            failStr = "NFC SELF test is FAIL(" + mItem + ")";
        }
        if (!mIsPass) {
            StringBuilder sb = new StringBuilder();
            sb.append("[UTOPIA_NFC_SELF]");
            sb.append(FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(this.mTestID), mItem + " - FAIL (NFC_FT)"));
            FtUtil.log_d("FactoryTestMainInnerNFC", "checkPass", sb.toString());
            Handler handler = this.mHandlerFeedback;
            handler.sendMessage(handler.obtainMessage(2, failStr));
            sendMessageTestResultFailCase(FactoryTestMain.WHAT_RESULT_FAIL_CASE, this.mTestID);
            endInnerNFCTest();
            return;
        }
        boolean z = this.mIsSWP2ND;
        boolean isSuccessedAllItems = z ? this.mIsPassSWP2 : this.mIsPasseSEAP && this.mIsPasseSENFC && this.mIsPassSWP;
        String passStr = z ? "NFC SWP 2 test is PASS" : "NFC SELF test is PASS";
        this.mExecutedItemNum++;
        FtUtil.log_d("FactoryTestMainInnerNFC", "checkPass", "[UTOPIA_NFC_SELF]" + FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(this.mTestID), String.format("PASS - ITEM : %s, ALL_ITEMS : %b, EXECUTED_ITEM_NUM : %d (NFC_FT)", mItem, Boolean.valueOf(isSuccessedAllItems), Integer.valueOf(this.mExecutedItemNum))));
        if (isSuccessedAllItems && this.mExecutedItemNum == this.mTestItemList.size()) {
            Handler handler2 = this.mHandlerFeedback;
            handler2.sendMessage(handler2.obtainMessage(2, passStr));
            sendMessageTestResult(FactoryTestMain.WHAT_RESULT, this.mTestID, (byte) 80);
            endInnerNFCTest();
        } else if (this.mExecutedItemNum < this.mTestItemList.size()) {
            startTest(this.mTestItemList.get(this.mExecutedItemNum).intValue());
        }
    }

    public void unregisterNFCReceiver() {
        BroadcastReceiver broadcastReceiver = this.mReceiver;
        if (broadcastReceiver != null) {
            this.mContext.unregisterReceiver(broadcastReceiver);
            this.mReceiver = null;
            FtUtil.log_d("FactoryTestMainInnerNFC", "unregisterNFCReceiver", "unregister mReceiver");
        }
        BroadcastReceiver broadcastReceiver2 = this.mReceiverESE;
        if (broadcastReceiver2 != null) {
            this.mContext.unregisterReceiver(broadcastReceiver2);
            this.mReceiverESE = null;
            FtUtil.log_d("FactoryTestMainInnerNFC", "unregisterNFCReceiver", "unregister mReceiverESE");
        }
    }

    public void endInnerNFCTest() {
        FtUtil.log_d("FactoryTestMainInnerNFC", "endInnerNFCTest", "[UTOPIA_NFC_SELF]NFC TEST End");
        unregisterNFCReceiver();
        this.mNfcTestHandler.removeCallbacksAndMessages(null);
        this.mEseHandler.removeMessages(0);
        this.mIsDoingTest = false;
        this.mSwitchingCount1 = 0;
        this.mSwitchingCount2 = 0;
    }

    private void sendMessageTestResult(int what, int id, byte result) {
        FtUtil.log_d("FactoryTestMainInnerNFC", "sendTestResultMessage", "what=" + what + " , id=" + id + " , result=" + ((int) result));
        this.mHandlerResult.sendMessage(this.mHandlerResult.obtainMessage(what, id, result));
    }

    private void sendMessageTestResultFailCase(int what, int id) {
        FtUtil.log_d("FactoryTestMainInnerNFC", "sendTestResultMessage", "what=" + what + " , id=" + id);
        this.mHandlerResult.sendMessage(this.mHandlerResult.obtainMessage(what, id, -1));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean changeSimSlot(final int slot, int nextop) {
        FtUtil.log_d("FactoryTestMainInnerNFC", "changeSimSlot", "slot = " + slot + " nextop = " + nextop);
        NfcAdapter nfcAdapter = this.mNfcAdapter;
        if (nfcAdapter == null || nfcAdapter.getPreferredSimSlot() == slot) {
            return false;
        }
        Executors.newSingleThreadExecutor().execute(new Runnable() {
            /* class com.sec.factory.app.factorytest.FactoryTestMainInnerNFC.AnonymousClass4 */

            public void run() {
                if (!FactoryTestMainInnerNFC.this.mNfcAdapter.setPreferredSimSlot(slot)) {
                    FtUtil.log_d("FactoryTestMainInnerNFC", "changeSimSlot$run", "[UTOPIA_NFC_SELF][MSP_SEQ] Fail switching slot : " + slot);
                    int i = slot;
                    if (i == 0) {
                        FactoryTestMainInnerNFC.this.mPassSwitching1 = false;
                    } else if (i == 1) {
                        FactoryTestMainInnerNFC.this.mPassSwitching2 = false;
                    }
                }
            }
        });
        Handler handler = this.mNfcTestHandler;
        handler.sendMessageDelayed(handler.obtainMessage(5, slot, nextop), 1100);
        return true;
    }

    public boolean isDoingTest() {
        FtUtil.log_d("FactoryTestMainInnerNFC", "isDoingTest", "mIsDoingTest=" + this.mIsDoingTest);
        return this.mIsDoingTest;
    }

    private void startTest(int testMsg) {
        FtUtil.log_d("FactoryTestMainInnerNFC", "startTest", "testMsg: " + testMsg);
        switch (testMsg) {
            case 1:
                FtUtil.log_d("FactoryTestMainInnerNFC", "startTest", "[UTOPIA_NFC_SELF][MSP_SEQ] NFC_SIM_TEST");
                if (!ModuleDevice.instance(this.mContext).isSupportSWP(ModuleDevice.SwpType.SWP2)) {
                    this.mNfcTestHandler.sendEmptyMessageDelayed(1, 400);
                    return;
                } else if (!changeSimSlot(0, 1)) {
                    this.mNfcTestHandler.sendEmptyMessageDelayed(1, 400);
                    return;
                } else {
                    return;
                }
            case 2:
                if (!changeSimSlot(1, 1)) {
                    this.mNfcTestHandler.sendEmptyMessageDelayed(1, 400);
                    return;
                }
                return;
            case 3:
                FtUtil.log_d("FactoryTestMainInnerNFC", "startTest", "[UTOPIA_NFC_SELF][MSP_SEQ] NFC_ESE_TEST");
                this.mNfcTestHandler.sendEmptyMessageDelayed(3, 400);
                return;
            case 4:
                FtUtil.log_d("FactoryTestMainInnerNFC", "startTest", "[UTOPIA_NFC_SELF][MSP_SEQ] NFC_ESE_AND_AP_COMMUNICATION");
                this.mNfcTestHandler.sendEmptyMessageDelayed(4, 400);
                return;
            default:
                return;
        }
    }
}
