package com.sec.factory.app.factorytest;

import android.content.Context;
import android.content.Intent;
import android.telephony.TelephonyManager;
import com.sec.factory.aporiented.AtParser;
import com.sec.factory.app.factorytest.StandardOrder;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.modules.ModulePower;
import com.sec.factory.modules.ModuleTouchScreen;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.NVAccessor;
import com.sec.xmldata.support.Support;
import java.text.DecimalFormat;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;

public class FactoryTestManager {
    private static final String CLASS_NAME = "FactoryTestManager";
    private static final String EXTERNAL_ITEM = "EXTERNAL ITEM";
    public static final byte FINAL_TEST = 11;
    public static final byte GPS = 15;
    public static final byte IMEI_WRITE = 16;
    public static final String INTENT_EXTRA_NAME_ENTER15MODE = "Enter15Mode";
    public static final String INTENT_EXTRA_NAME_NVKEY = "NVKey";
    private static int INVISIBLE_ITEM_COUNT = 0;
    public static final int LIST_INDEX_NONE = -1;
    public static final byte LTE_CAL = 10;
    public static final byte LTE_FINAL = 12;
    public static final byte MACRO_AF = 48;
    public static final byte MAIN_FUNCTION_TEST = 31;
    private static String NVList = null;
    public static final byte PBA_TEST = 4;
    public static final int PRETEST_ASSY_FINGERPRINT_SERVICE = 3016;
    public static final int PRETEST_ASSY_FORCE_TOUCH_PRESS_TEST = 3005;
    public static final int PRETEST_ASSY_FORCE_TOUCH_SELF_TEST = 3003;
    public static final int PRETEST_ASSY_SPEN_DRAWING_TEST = 3010;
    public static final int PRETEST_ASSY_TSP2_SELF_TEST = 3011;
    public static final int PRETEST_ASSY_TSP_DRAWING_TEST = 3006;
    public static final int PRETEST_ASSY_TSP_SELF_TEST = 3001;
    public static final int PRETEST_ASSY_TSP_SPEN_DRAWING_TEST = 3007;
    public static final int PRETEST_FINGERPRINT_BKBOX = 3019;
    public static final int PRETEST_FINGERPRINT_CHART = 3020;
    public static final int PRETEST_FINGERPRINT_NORMAL_SCAN = 3017;
    public static final int PRETEST_FINGERPRINT_WKBOX = 3018;
    public static final int PRETEST_GRAY_SPOT_TEST = 3008;
    public static final int PRETEST_OPEN_SHORT_TEST = 3009;
    public static final int PRETEST_OPEN_SHORT_TEST2 = 3013;
    public static final int PRETEST_START_END = 3999;
    public static final int PRETEST_START_INDEX = 3000;
    public static final int PRETEST_SUB_ACC_GYRO = 3015;
    public static final int PRETEST_UNIT_FINGERPRINT_SERVICE = 3014;
    public static final int PRETEST_UNIT_FORCE_TOUCH_SELF_TEST = 3004;
    public static final int PRETEST_UNIT_TSP2_SELF_TEST = 3012;
    public static final int PRETEST_UNIT_TSP_SELF_TEST = 3002;
    public static final int QR_POPUP_DISPLAY = 5000;
    public static final byte RF_CAL = 7;
    public static final byte RF_CAL2 = 8;
    public static final byte RF_CAL3 = 13;
    public static final byte SMD_FUNCTION = 1;
    public static final byte STA_NV_ERASE = 6;
    public static final int TEST_15_ALL_FIN_NV = 133;
    public static final int TEST_3D_DIGITAL_HALL_IC_CAL_TEST = 328;
    public static final int TEST_3D_DIGITAL_HALL_IC_TEST = 329;
    public static final byte TEST_ACC_COVER = 104;
    public static final int TEST_ACC_GYRO = 199;
    public static final int TEST_ACH_MOTOR_SOUND = 378;
    public static final byte TEST_AF_CHARGE = 99;
    public static final int TEST_AF_CHARGE_2PORT = 184;
    public static final int TEST_AF_CHARGE_PORT2 = 185;
    public static final int TEST_AF_CODE = 175;
    public static final int TEST_AF_CODE_START = 1044;
    public static final byte TEST_ALWAYS_ON_EAR_MIC = 69;
    public static final int TEST_ALWAYS_ON_TOUCH = 355;
    public static final int TEST_AUDIO_BOX = 179;
    public static final byte TEST_AlWAYS_MIC_ON = 68;
    public static final byte TEST_BARCODE_EMUL = 50;
    public static final int TEST_BARCODE_EMUL_2ND = 190;
    public static final byte TEST_BT = 2;
    public static final int TEST_CAMERA_APERTURE = 260;
    public static final int TEST_CAMERA_APERTURE_START = 1038;
    public static final int TEST_CAMERA_DUAL_FLASH = 135;
    public static final int TEST_CAMERA_SUPER_SLOW_MODE = 172;
    public static final int TEST_CAMERA_WINDOW = 128;
    public static final byte TEST_CAPTURE = 83;
    public static final int TEST_CAPTURE_2 = 194;
    public static final byte TEST_CHARGE_NFC_READ = 39;
    public static final byte TEST_CHARGE_TEST = 122;
    public static final int TEST_COAXIAL_CABLE_DETECT = 229;
    public static final int TEST_COLOUR_BALANCE = 151;
    public static final int TEST_COLOUR_BALANCE_2 = 154;
    public static final int TEST_D2D_CHARGE = 139;
    public static final int TEST_D2D_CHARGE_START = 1068;
    public static final int TEST_D2D_CHARGE_STOP = 1067;
    public static final int TEST_DIGITAL_HALL_IC_CAL_TEST = 301;
    public static final int TEST_DIGITIZER_ELECTRIC = 214;
    public static final int TEST_DIRECT_CHARGE = 201;
    public static final int TEST_DIRECT_CHARGE_START = 1046;
    public static final int TEST_DIRECT_CHARGE_STOP = 1045;
    public static final int TEST_DISPLAY_LINEAR_TEST = 358;
    public static final byte TEST_DMB1 = 7;
    public static final byte TEST_DMB2 = 8;
    public static final byte TEST_DMB3 = 54;
    public static final byte TEST_DMB4 = 62;
    public static final byte TEST_DMB5 = 74;
    public static final byte TEST_DMB5_STOP = 75;
    public static final byte TEST_DMB_DETACH = 52;
    public static final byte TEST_DOCK_CHARGE = 94;
    public static final int TEST_DP = 155;
    public static final int TEST_DP_START = 1024;
    public static final int TEST_DP_STOP = 1023;
    public static final int TEST_DTVANT_DETECT = 212;
    public static final byte TEST_EAR = 12;
    public static final byte TEST_EAR_KEY = 13;
    public static final int TEST_ECHO_PARALLEL = 225;
    public static final byte TEST_ECHO_TEST = 95;
    public static final byte TEST_FELICA = 40;
    public static final int TEST_FELICA_CAL = 207;
    public static final byte TEST_FINGERPRINT = 67;
    public static final byte TEST_FINGERPRINT_ENROLL = 120;
    public static final byte TEST_FINGERPRINT_INT_CHECK = 86;
    public static final int TEST_FLICKER_SENSOR = 182;
    public static final byte TEST_FLIP_DETECTION = 59;
    public static final byte TEST_FMRADIO = 53;
    public static final byte TEST_FMRADIO_MANUAL = 113;
    public static final byte TEST_FM_INTENNA = 51;
    public static final int TEST_FOLDED_TELE_CAMERA_CAPTURE = 223;
    public static final int TEST_FOLDER_TENSION_TEST = 342;
    public static final int TEST_FORCE_TOUCH = 153;
    public static final int TEST_FORCE_TOUCH_CALIBRATION = 152;
    public static final int TEST_FORCE_TOUCH_CAL_START = 1025;
    public static final int TEST_FORCE_TOUCH_CAL_STOP = 1026;
    public static final int TEST_FORCE_TOUCH_PRESS_START = 1027;
    public static final int TEST_FORCE_TOUCH_PRESS_STOP = 1028;
    public static final int TEST_FRONT_TOF_CAMERA = 206;
    public static final int TEST_GEARED_MOTOR = 309;
    public static final byte TEST_GEOMAGNETIC_GYRO = 37;
    public static final byte TEST_GRIP = 34;
    public static final byte TEST_GRIP_ANTENNA = 35;
    public static final byte TEST_GYROSCOPE = 21;
    public static final byte TEST_HALL_IC = 19;
    public static final byte TEST_HDMI = 23;
    public static final int TEST_HDMI_START = 1012;
    public static final int TEST_HDMI_STOP = 1011;
    public static final byte TEST_HEART_RATE_MEASURE = 85;
    public static final int TEST_HLPM_TEST = 343;
    public static final int TEST_HRM_SENSOR_XTALK = 162;
    public static final int TEST_HRM_SENSOR_XTALK_START = 1032;
    public static final int TEST_HRM_SENSOR_XTALK_STOP = 1031;
    public static final byte TEST_IDCHECK = 82;
    public static final byte TEST_IDDETECT = 111;
    public static final byte TEST_ID_DETECT_CHECK = 110;
    public static final int TEST_IRIS_CAMERA = 131;
    public static final int TEST_IRIS_ENROLL = 137;
    public static final int TEST_IRIS_LED = 132;
    public static final int TEST_IRIS_PROX = 161;
    public static final int TEST_IRIS_PROX_LIGHT = 177;
    public static final int TEST_IRIS_PROX_START = 1030;
    public static final int TEST_IRIS_PROX_STOP = 1029;
    public static final int TEST_IRLED_START = 1006;
    public static final int TEST_IRLED_STOP = 1005;
    public static final byte TEST_IR_LED = 31;
    public static final byte TEST_KEY = 6;
    public static final byte TEST_KEY2 = 45;
    public static final byte TEST_LCD = 14;
    public static final int TEST_LCD_120HZ11HZ_FREQ_TEST = 348;
    public static final int TEST_LCD_120HZ60HZ_FREQ_TEST = 351;
    public static final int TEST_LCD_32GRAY_120HZ_BRIGHT0_TEST = 354;
    public static final int TEST_LCD_9GRAY_120HZ_TEST = 346;
    public static final int TEST_LCD_9GRAY_60HZ_TEST = 349;
    public static final int TEST_LCD_9GRAY_HS90HZ_TEST = 357;
    public static final int TEST_LCD_BRIGHT_DOT_TEST = 352;
    public static final int TEST_LCD_GRADATION_120HZ_TEST = 330;
    public static final byte TEST_LEAKAGE_CURRENT_CHECK = 97;
    public static final int TEST_LEAKAGE_CURRENT_CHECK_2 = 224;
    public static final int TEST_LED_COVER = 148;
    public static final int TEST_LED_KEY = 374;
    public static final int TEST_LIGHT_SENSOR = 373;
    public static final int TEST_LOGO_LIGHT = 202;
    public static final byte TEST_LOOPBACK = 1;
    public static final byte TEST_LOOPBACK2 = 42;
    public static final byte TEST_LOOPBACK2_SPK = 66;
    public static final int TEST_LOOPBACK2_START = 1016;
    public static final int TEST_LOOPBACK2_STOP = 1015;
    public static final int TEST_LOOPBACK_MIC_EAR_START = 1020;
    public static final int TEST_LOOPBACK_MIC_EAR_STOP = 1019;
    public static final byte TEST_LOOPBACK_SPK = 65;
    public static final int TEST_LOOPBACK_START = 1002;
    public static final int TEST_LOOPBACK_STOP = 1001;
    public static final byte TEST_LOW_FREQUENCY = 33;
    public static final int TEST_MACRO_CAMERA_CAPTURE = 219;
    public static final int TEST_MACRO_CAMERA_RESOLUTION = 220;
    public static final byte TEST_MAGNETIC = 20;
    public static final int TEST_MAGNET_TEST = 377;
    public static final byte TEST_MCD = 115;
    public static final int TEST_MCD_2 = 192;
    public static final int TEST_MCPTT_ACCESSORY_TEST = 215;
    public static final byte TEST_MHL = 73;
    public static final int TEST_MHL_START = 1022;
    public static final int TEST_MHL_STOP = 1021;
    public static final int TEST_MICRO_CRACK = 163;
    public static final int TEST_MIC_DIFF = 171;
    public static final int TEST_MIC_GAIN = 196;
    public static final int TEST_MIC_GAIN_PARALLEL = 226;
    public static final int TEST_MIC_MUTE = 221;
    public static final int TEST_MIC_MUTE_PARALLEL = 227;
    public static final int TEST_MOOD_LED = 134;
    public static final byte TEST_MOTOR = 100;
    public static final int TEST_MOTOR_SOUND = 130;
    public static final byte TEST_MST_TEST = 116;
    public static final byte TEST_NFC = 9;
    public static final byte TEST_NFC2 = 61;
    public static final int TEST_NFC_BAT_SEARCHING_START = 1010;
    public static final int TEST_NFC_BAT_SEARCHING_STOP = 1009;
    public static final byte TEST_NFC_CARD_MODE = 72;
    public static final int TEST_NFC_F0 = 176;
    public static final int TEST_NFC_FELICA_SELF_CAL = 356;
    public static final int TEST_NFC_SEARCHING_START = 1008;
    public static final int TEST_NFC_SEARCHING_STOP = 1007;
    public static final int TEST_NFC_SELF = 129;
    public static final int TEST_NFC_SELF_2ND = 149;
    public static final int TEST_NFC_SELF_CAL = 164;
    public static final int TEST_NFC_TYPE_B = 165;
    public static final int TEST_NFC_TYPE_B_START = 1054;
    public static final int TEST_NFC_TYPE_B_STOP = 1053;
    public static final byte TEST_NORMAL_CHARGE = 121;
    public static final int TEST_OCTA_CELL_ID_READ_FOR_FOOLPROOF = 230;
    public static final byte TEST_OIS_SELFTEST_NEW = Byte.MAX_VALUE;
    public static final byte TEST_OIS_TEST = 98;
    public static final byte TEST_OTG = 24;
    public static final byte TEST_OTG3 = 79;
    public static final int TEST_OTG_START = 1014;
    public static final int TEST_OTG_STOP = 1013;
    public static final int TEST_PALM_TOUCH = 160;
    public static final int TEST_PALM_TOUCH_2 = 191;
    public static final int TEST_PALM_TOUCH_START = 1034;
    public static final int TEST_PALM_TOUCH_STOP = 1033;
    public static final int TEST_PD_CHARGE = 138;
    public static final int TEST_POGO_CHARGE = 166;
    public static final int TEST_POGO_OTG_CHARGE = 167;
    public static final int TEST_POGO_PIN = 158;
    public static final int TEST_PROXIMITY_HOVER_START = 1048;
    public static final int TEST_PROXIMITY_HOVER_STOP = 1047;
    public static final int TEST_PROXIMITY_HOVER_TEST = 198;
    public static final int TEST_PROXIMITY_SENSOR_TEST = 372;
    public static final byte TEST_PROX_LIGHT = 17;
    public static final int TEST_PROX_LIGHT_2ND = 188;
    public static final byte TEST_QR = 63;
    public static final byte TEST_QUICK_CHARGE = 92;
    public static final int TEST_RANGING_SENSOR_300 = 345;
    public static final int TEST_RANGING_SENSOR_300_START = 1061;
    public static final int TEST_RANGING_SENSOR_300_STOP = 1060;
    public static final int TEST_RANGING_SENSOR_500 = 347;
    public static final int TEST_RANGING_SENSOR_500_START = 1063;
    public static final int TEST_RANGING_SENSOR_500_STOP = 1062;
    public static final int TEST_RANGING_SENSOR_CAL = 344;
    public static final int TEST_RCV_LOOPBACK = 210;
    public static final int TEST_REAR_CAMERA_MULTI_CAL = 222;
    public static final int TEST_REAR_TOF_CAMERA = 200;
    public static final int TEST_RECEIVER_200_START = 1004;
    public static final int TEST_RECEIVER_200_STOP = 1003;
    public static final byte TEST_RECORD = 84;
    public static final int TEST_RGB_PE_ONOFF_TEST = 353;
    public static final byte TEST_SD_CARD = 3;
    public static final int TEST_SENSING_OPEN_CHECK = 157;
    public static final byte TEST_SENSORHUB = 49;
    public static final byte TEST_SIMPLE = 0;
    public static final byte TEST_SIM_CARD = 25;
    public static final byte TEST_SIM_CARD2 = 47;
    public static final int TEST_SLIDE_CAMERA_TILT = 318;
    public static final byte TEST_SPDIF = 30;
    public static final byte TEST_SPEAKER = 4;
    public static final int TEST_SPEAKER_2 = 169;
    public static final byte TEST_SPEAKER_R = 5;
    public static final byte TEST_SPEN_DETECTION = 58;
    public static final int TEST_SPEN_PAIRING = 218;
    public static final byte TEST_SPI_CHECK_TEST = 112;
    public static final int TEST_SPK_LOOPBACK = 211;
    public static final int TEST_SUB_ACC_GYRO = 189;
    public static final int TEST_SUB_DISPLAY = 193;
    public static final int TEST_SUB_LCD_32GRAY_120HZ_BRIGHT0_TEST = 368;
    public static final int TEST_SUB_LCD_9GRAY_120HZ_TEST = 367;
    public static final int TEST_SUB_MCD_PRESENTATION = 331;
    public static final int TEST_SUB_TSP_OPEN_SHORT_PRESENTATION = 333;
    public static final int TEST_SUB_TSP_SELF_PRESENTATION = 332;
    public static final int TEST_SWITCHED_SIM_CARD = 1059;
    public static final byte TEST_S_PEN_DETECTION = 41;
    public static final byte TEST_S_PEN_DRAWING = 26;
    public static final int TEST_S_PEN_DRAWING1_1 = 369;
    public static final byte TEST_S_PEN_ERASER = 28;
    public static final byte TEST_S_PEN_KEY = 64;
    public static final int TEST_S_PEN_MAGNETIC = 370;
    public static final byte TEST_S_PEN_SIDE_TEST = 102;
    public static final byte TEST_TSP = 10;
    public static final byte TEST_TSP2 = 44;
    public static final int TEST_TSP2_SELFTEST = 197;
    public static final byte TEST_TSPCAL = 126;
    public static final byte TEST_TSP_CAL = 11;
    public static final int TEST_TSP_CAL2 = 180;
    public static final int TEST_TSP_COLOR_DIFF_TEST = 371;
    public static final int TEST_TSP_COLOR_DIFF_TEST_START = 1066;
    public static final int TEST_TSP_COLOR_DIFF_TEST_STOP = 1065;
    public static final byte TEST_TSP_DRAWING = 119;
    public static final int TEST_TSP_DRAWING1_1 = 205;
    public static final int TEST_TSP_DRAWING2 = 150;
    public static final int TEST_TSP_DRAWING_SEGMENTATION = 118;
    public static final byte TEST_TSP_HOVERING = 56;
    public static final int TEST_TSP_JITTER_DELTA_TEST = 362;
    public static final int TEST_TSP_JITTER_DELTA_TEST_2 = 363;
    public static final int TEST_TSP_JITTER_TEST = 314;
    public static final int TEST_TSP_JITTER_TEST_2 = 350;
    public static final int TEST_TSP_OPEN_SHORT_TEST = 170;
    public static final int TEST_TSP_OPEN_SHORT_TEST2 = 181;
    public static final int TEST_TSP_OPEN_SHORT_TEST2_START = 1043;
    public static final int TEST_TSP_OPEN_SHORT_TEST_START = 1037;
    public static final byte TEST_TSP_PEN = 105;
    public static final byte TEST_TSP_PEN_DRAWING = 125;
    public static final byte TEST_TSP_SELF = 36;
    public static final int TEST_TSP_SELFTEST = 195;
    public static final int TEST_TSP_SHORT_TEST = 168;
    public static final int TEST_TSP_SHORT_TEST_START = 1036;
    public static final int TEST_TSP_SHORT_TEST_STOP = 1035;
    public static final byte TEST_TSP_SIDE_TEST = 101;
    public static final int TEST_UCT = 203;
    public static final int TEST_UDC_CAPTURE = 360;
    public static final byte TEST_USB = 18;
    public static final byte TEST_USB3 = 70;
    public static final int TEST_USB_GEN2 = 183;
    public static final int TEST_USB_GEN2_START = 1040;
    public static final int TEST_USB_GEN2_STOP = 1039;
    public static final int TEST_USB_OTG = 77;
    public static final int TEST_USB_TYPEC = 78;
    public static final int TEST_VGL_TEST = 173;
    public static final int TEST_VISION = 178;
    public static final int TEST_WATER_INT = 204;
    public static final int TEST_WATER_PROOF = 147;
    public static final byte TEST_WIBRO = 15;
    public static final int TEST_WIRELESS_AFC_EFFICIENCY = 136;
    public static final byte TEST_WIRELESS_AF_CHARGE = 123;
    public static final byte TEST_WIRELESS_CHARGE = 32;
    public static final byte TEST_WIRELESS_CHARGE_BUILTIN = 117;
    public static final byte TEST_WIRELESS_CHARGE_SELF = 124;
    public static final int TEST_WIRELESS_CHARGING_TX = 187;
    public static final int TEST_WIRELESS_FAST_CHARGE_2 = 217;
    public static final int TEST_WIRELESS_FAST_CHARGE_2_START = 1058;
    public static final int TEST_WIRELESS_FAST_CHARGE_2_STOP = 1057;
    public static final int TEST_WIRELESS_FAST_CHARGE_3 = 216;
    public static final byte WIBRO_CAL = 9;
    public static final byte WLAN = 14;
    private static FactoryTestMainAdapter mAdapter = null;
    private static Context mContext;
    private static FactoryTestItemInfo[] mFactoryTestItemInfo;
    private static FactoryTestManager mInstance = null;

    private FactoryTestManager() {
    }

    public static FactoryTestManager getInstance(Context c) {
        if (mInstance == null) {
            mInstance = new FactoryTestManager();
            mContext = c;
        }
        return mInstance;
    }

    public static String getNVList(String TAG) {
        NVList = "";
        initialize(TAG);
        return NVList;
    }

    /* JADX INFO: Multiple debug info for r1v24 'dmbString'  java.lang.String: [D('isdbString' java.lang.String), D('dmbString' java.lang.String)] */
    /* JADX WARNING: Removed duplicated region for block: B:90:0x028e  */
    /* JADX WARNING: Removed duplicated region for block: B:91:0x02a7  */
    public static void initialize(String TAG) {
        String str;
        String str2;
        String currentAlpmMode;
        boolean foreground;
        boolean background;
        boolean auto;
        boolean clickable;
        boolean group;
        char c;
        String dmbString;
        String str3 = CLASS_NAME;
        String str4 = "initialize";
        FtUtil.log_i(str3, str4, "FactoryTestMain Initialize");
        char c2 = 0;
        INVISIBLE_ITEM_COUNT = 0;
        boolean nfcSupport = false;
        char c3 = 1;
        boolean isDynamicNFCSupported = Support.Feature.getBoolean(Support.Feature.FEATURE_ENABLE_DYNAMIC_NFC) || Support.Feature.getBoolean(Support.Feature.SUPPORT_DUAL_INTEGRATED_BINARY);
        String[] testList = Support.FactoryTestMenu.getFactoryTestInfo(TAG);
        ArrayList<FactoryTestItemInfo> visibilityItems = new ArrayList<>();
        ArrayList<FactoryTestItemInfo> invisibilityItems = new ArrayList<>();
        if (testList == null) {
            FtUtil.log_i(str3, str4, "TestList is NULL");
            return;
        }
        if (isDynamicNFCSupported && mContext.getPackageManager().hasSystemFeature("android.hardware.nfc")) {
            nfcSupport = true;
        }
        int length = testList.length;
        int i = 0;
        while (i < length) {
            String[] item = testList[i].split(",");
            int id = Integer.parseInt(item[c2]);
            String name = item[c3];
            int nv = Integer.parseInt(item[2].substring(2), 16);
            byte result = NVAccessor.getNV(nv);
            int parentID = item[4].equals("null") ? -1 : Integer.parseInt(item[4]);
            int parentOrder = item[5].equals("null") ? 9999 : Integer.parseInt(item[5]);
            String extras = item[3];
            boolean clickable2 = true;
            if (extras.toLowerCase().contains("auto")) {
                auto = true;
                clickable2 = false;
                foreground = false;
                background = false;
            } else if (extras.toLowerCase().contains("background")) {
                background = true;
                foreground = false;
                auto = false;
            } else if (extras.toLowerCase().contains("foreground")) {
                foreground = true;
                auto = false;
                background = false;
            } else {
                foreground = false;
                auto = false;
                background = false;
            }
            if (extras.toLowerCase().contains("clickable")) {
                clickable2 = true;
            }
            if (extras.toLowerCase().contains("notclickable")) {
                clickable = false;
            } else {
                clickable = clickable2;
            }
            if (extras.toLowerCase().contains("group")) {
                group = true;
            } else {
                group = false;
            }
            FactoryTestItemInfo itemInfo = new FactoryTestItemInfo(id, name, nv, result, auto, clickable, background, foreground, parentID, parentOrder, group);
            if (extras.toLowerCase().contains("invisibility")) {
                invisibilityItems.add(itemInfo);
                INVISIBLE_ITEM_COUNT++;
                NVList += nv + ",";
                c = 1;
            } else {
                String temp = name.toUpperCase();
                if (temp.contains("SIM CARD") && temp.contains("2")) {
                    if (Support.Feature.getBoolean(Support.Feature.FEATURE_ENABLE_DYNAMIC_MULTI_SIM)) {
                        if (((TelephonyManager) mContext.getSystemService(ModuleTouchScreen.TSP_DEVICE_TYPE__PHONE)).getPhoneCount() == 1) {
                            invisibilityItems.add(itemInfo);
                            INVISIBLE_ITEM_COUNT++;
                            c = 1;
                        }
                    }
                    visibilityItems.add(itemInfo);
                    NVList += nv + ",";
                    c = 1;
                } else if (temp.contains("ID CHECK") && isDynamicNFCSupported && !nfcSupport) {
                    invisibilityItems.add(itemInfo);
                    INVISIBLE_ITEM_COUNT++;
                    c = 1;
                } else if (temp.contains("NFC") && isDynamicNFCSupported && !nfcSupport) {
                    invisibilityItems.add(itemInfo);
                    INVISIBLE_ITEM_COUNT++;
                    c = 1;
                } else if (!temp.contains("MST") || ModuleDevice.instance(mContext).isSupportMST()) {
                    if (temp.contains("DTV")) {
                        dmbString = "ISDB";
                    } else if (!temp.contains("DMB")) {
                        dmbString = "ISDB";
                        if (!temp.contains(dmbString)) {
                            c = 1;
                            visibilityItems.add(itemInfo);
                            if (nv == 500) {
                                NVList += nv + ",";
                            }
                        }
                    } else {
                        dmbString = "ISDB";
                    }
                    if (!ModuleDevice.instance(mContext).isSupportDTV()) {
                        invisibilityItems.add(itemInfo);
                        c = 1;
                        INVISIBLE_ITEM_COUNT++;
                    } else {
                        c = 1;
                        visibilityItems.add(itemInfo);
                        if (nv == 500) {
                        }
                    }
                } else {
                    invisibilityItems.add(itemInfo);
                    INVISIBLE_ITEM_COUNT++;
                    c = 1;
                }
            }
            i++;
            c3 = c;
            testList = testList;
            length = length;
            str3 = str3;
            str4 = str4;
            c2 = 0;
        }
        if (!"ModelFile".equalsIgnoreCase(Support.Feature.getString(Support.Feature.MENU_SORT))) {
            str = str3;
            str2 = str4;
            FtUtil.log_i(str, str2, "Reorder List by DOC ver. " + StandardOrder.getDocVersion());
            Collections.sort(visibilityItems, new StandardOrder.ComparatorMFT());
            FtUtil.log_i(str, str2, "End Reorder");
        } else {
            str = str3;
            str2 = str4;
        }
        ArrayList<FactoryTestItemInfo> factoryTestItems = new ArrayList<>();
        factoryTestItems.addAll(visibilityItems);
        factoryTestItems.addAll(invisibilityItems);
        mFactoryTestItemInfo = (FactoryTestItemInfo[]) factoryTestItems.toArray(new FactoryTestItemInfo[0]);
        setResultParent();
        if (Support.Feature.getBoolean(Support.Feature.PREVENT_ACCESS_TO_ALPM_NODE_WHEN_ENTERING_15TEST) && !ModulePower.instance(mContext).isScreenOn()) {
            FtUtil.log_e(str, str2, "Prevent Access to ALPM Sysfs Node");
        } else if (Support.Kernel.isExistFileID(Support.Kernel.LCD_ALPM) && (currentAlpmMode = Support.Kernel.read(Support.Kernel.LCD_ALPM)) != null && currentAlpmMode.contains(",") && !"0".equals(currentAlpmMode.split(",")[0])) {
            Support.Kernel.write(Support.Kernel.LCD_ALPM, "0");
        }
        if (Support.FactoryTestMenu.getFactoryTestName("action", "115") != null) {
            String cellID = Support.Kernel.read(Support.Kernel.OCTA_MANUFACTURE_CODE);
            if ("null".equalsIgnoreCase(cellID) || "0000000000000000000000".equalsIgnoreCase(cellID)) {
                FtUtil.log_i(str, str2, "lcd not connected");
            } else if (!"0".equals(Support.Kernel.read(Support.Kernel.MCD_STATUS_NODE))) {
                Support.Kernel.write(Support.Kernel.MCD_STATUS_NODE, "0");
            }
        }
    }

    public static void setResultParent() {
        FtUtil.log_i(CLASS_NAME, "setResultParent", null);
        int i = 0;
        while (true) {
            FactoryTestItemInfo[] factoryTestItemInfoArr = mFactoryTestItemInfo;
            if (i < factoryTestItemInfoArr.length) {
                if (factoryTestItemInfoArr[i].mParentID >= 0) {
                    int parentID_Pre = mFactoryTestItemInfo[i].mParentID;
                    boolean isPass = true;
                    int j = i;
                    while (true) {
                        FactoryTestItemInfo[] factoryTestItemInfoArr2 = mFactoryTestItemInfo;
                        if (j >= factoryTestItemInfoArr2.length || factoryTestItemInfoArr2[j].mParentID < 0) {
                            break;
                        } else if (parentID_Pre != mFactoryTestItemInfo[j].mParentID) {
                            j--;
                            break;
                        } else {
                            if (mFactoryTestItemInfo[j].mResult != 80) {
                                isPass = false;
                            }
                            j++;
                        }
                    }
                    if (isPass) {
                        setItemResultWithoutNVUpdate(getItemPosition_ID(parentID_Pre), (byte) 80);
                        FtUtil.log_i(CLASS_NAME, "setResultParent", "PASS => (ID)" + parentID_Pre);
                    } else {
                        FtUtil.log_i(CLASS_NAME, "setResultParent", "FAIL => (ID)" + parentID_Pre);
                    }
                    i = j;
                }
                i++;
            } else {
                return;
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:12:0x005a  */
    /* JADX WARNING: Removed duplicated region for block: B:15:0x0054 A[SYNTHETIC] */
    public static void doUIupdatefromNV(int nv, byte value) {
        int j;
        FtUtil.log_i(CLASS_NAME, "doUIupdatefromNV", "nv : " + nv + ", value : " + ((int) value));
        int j2 = 0;
        int i = 0;
        while (true) {
            FactoryTestItemInfo[] factoryTestItemInfoArr = mFactoryTestItemInfo;
            if (i < factoryTestItemInfoArr.length) {
                if (factoryTestItemInfoArr[i].mNVKey == nv) {
                    while (true) {
                        StringBuilder sb = new StringBuilder();
                        sb.append("getNV ");
                        j = j2 + 1;
                        sb.append(j2);
                        FtUtil.log_i(CLASS_NAME, "doUIupdatefromNV", sb.toString());
                        byte result = NVAccessor.getNV(nv);
                        if (result != value && j < 100) {
                            j2 = j;
                        } else if (j != 100) {
                            FtUtil.log_i(CLASS_NAME, "doUIupdatefromNV", "AT+SETTESTNV : Failed  or  delayed");
                            return;
                        } else {
                            mFactoryTestItemInfo[i].mResult = result;
                            j2 = j;
                        }
                    }
                    if (j != 100) {
                    }
                }
                i++;
            } else {
                return;
            }
        }
    }

    public static void setAdapter(FactoryTestMainAdapter adapter) {
        mAdapter = adapter;
    }

    public static void notifyDataSetChanged() {
        FactoryTestMainAdapter factoryTestMainAdapter = mAdapter;
        if (factoryTestMainAdapter != null) {
            factoryTestMainAdapter.notifyDataSetChanged();
        }
    }

    public static int getItemCount() {
        return mFactoryTestItemInfo.length - INVISIBLE_ITEM_COUNT;
    }

    public static boolean isGroupItem_Position(int position) {
        return mFactoryTestItemInfo[position].mGroup;
    }

    public static int getItemID(int position) {
        return mFactoryTestItemInfo[position].mID;
    }

    public static String getItemName_Position(int position) {
        if (mFactoryTestItemInfo[position].mNVKey != 500) {
            return mFactoryTestItemInfo[position].mName + "[" + mFactoryTestItemInfo[position].mNVKey + "]";
        } else if (mFactoryTestItemInfo[position].mGroup) {
            return mFactoryTestItemInfo[position].mName;
        } else {
            FactoryTestItemInfo[] childList = getChildItems(mFactoryTestItemInfo[position].mID);
            StringBuilder mNVTextBuilder = new StringBuilder();
            for (FactoryTestItemInfo factoryTestItemInfo : childList) {
                mNVTextBuilder.append(factoryTestItemInfo.mNVKey);
                mNVTextBuilder.append(",");
            }
            mNVTextBuilder.delete(mNVTextBuilder.length() - 1, mNVTextBuilder.length());
            return mFactoryTestItemInfo[position].mName + "[" + ((Object) mNVTextBuilder) + "]";
        }
    }

    public static boolean isAllChildNVpass(int position) {
        FactoryTestItemInfo[] childList = getChildItems(mFactoryTestItemInfo[position].mID);
        boolean ischildNVPass = true;
        for (int i = 0; i < childList.length; i++) {
            if (NVAccessor.getNV(childList[i].mNVKey) != 80) {
                ischildNVPass = false;
            }
            FtUtil.log_d(CLASS_NAME, "get_childNVpass", "childList[" + childList[i].mNVKey + "] : " + ((int) NVAccessor.getNV(childList[i].mNVKey)));
        }
        return ischildNVPass;
    }

    public static String getItemName_NV(int nvKey) {
        int position = getItemPosition_NV(nvKey);
        if (position == -1) {
            return null;
        }
        return getItemName_Position(position);
    }

    public static String getItemName_RequestCode(int code) {
        int position = getItemPosition_ID(code);
        if (position > -1) {
            return getItemName_Position(position);
        }
        return EXTERNAL_ITEM;
    }

    public static int getItemNVKey(int position) {
        return mFactoryTestItemInfo[position].mNVKey;
    }

    public static byte getItemResult(int position) {
        return mFactoryTestItemInfo[position].mResult;
    }

    public static void setItemResult(int position, byte itemResult) {
        FtUtil.log_d(CLASS_NAME, "setItemResult", "position:" + position + ", itemResult:" + ((int) itemResult));
        if (position > -1) {
            NVAccessor.setNV(mFactoryTestItemInfo[position].mNVKey, itemResult);
            Intent nvInfoIntent = new Intent(AtParser.ACTION_NV_INFORMATION);
            nvInfoIntent.putExtra("nv", mFactoryTestItemInfo[position].mNVKey);
            mContext.sendBroadcast(nvInfoIntent);
            byte result = NVAccessor.getNV(mFactoryTestItemInfo[position].mNVKey);
            if (mFactoryTestItemInfo[position].mResult != 80) {
                mFactoryTestItemInfo[position].mResult = result;
                FtUtil.log_d(CLASS_NAME, "setItemResult", mFactoryTestItemInfo[position].mName + " = write : " + ((int) itemResult));
            } else {
                FtUtil.log_d(CLASS_NAME, "setItemResult", mFactoryTestItemInfo[position].mName + " = PASS");
            }
            FtUtil.log_d(CLASS_NAME, "setItemResult", FtUtil.setMspSeqMessage(1, getItemName_Position(position), itemResult == 80 ? "Pass" : "Fail"));
        }
    }

    public static void setItemResultWithoutNVUpdate(int position, byte itemResult) {
        FtUtil.log_d(CLASS_NAME, "setItemResultWithoutNVUpdate", "position:" + position + ", itemResult:" + ((int) itemResult));
        if (mFactoryTestItemInfo[position].mResult != 80) {
            mFactoryTestItemInfo[position].mResult = itemResult;
            FtUtil.log_d(CLASS_NAME, "setItemResultWithoutNVUpdate", mFactoryTestItemInfo[position].mName + " = write : " + ((int) itemResult));
            return;
        }
        FtUtil.log_d(CLASS_NAME, "setItemResultWithoutNVUpdate", mFactoryTestItemInfo[position].mName + " = PASS");
    }

    public static int getItemPosition_ID(int id) {
        if (id < 0) {
            return -1;
        }
        int i = 0;
        while (true) {
            try {
                FactoryTestItemInfo[] factoryTestItemInfoArr = mFactoryTestItemInfo;
                if (i >= factoryTestItemInfoArr.length) {
                    return -1;
                }
                if (factoryTestItemInfoArr[i].mID == id) {
                    return i;
                }
                i++;
            } catch (NullPointerException ne) {
                ne.printStackTrace();
                return -1;
            } catch (Exception e) {
                e.printStackTrace();
                return -1;
            }
        }
    }

    public static int getItemPosition_NV(int nv) {
        int i = 0;
        while (true) {
            try {
                FactoryTestItemInfo[] factoryTestItemInfoArr = mFactoryTestItemInfo;
                if (i >= factoryTestItemInfoArr.length) {
                    return -1;
                }
                if (factoryTestItemInfoArr[i].mNVKey == nv) {
                    return i;
                }
                i++;
            } catch (NullPointerException ne) {
                ne.printStackTrace();
                return -1;
            } catch (Exception e) {
                e.printStackTrace();
                return -1;
            }
        }
    }

    public static int getItemPosition_Name(String name) {
        int i = 0;
        while (true) {
            FactoryTestItemInfo[] factoryTestItemInfoArr = mFactoryTestItemInfo;
            if (i >= factoryTestItemInfoArr.length) {
                return -1;
            }
            if (factoryTestItemInfoArr[i].mName.equals(name)) {
                return i;
            }
            i++;
        }
    }

    public static String getItemName_ID(int id) {
        FactoryTestItemInfo[] factoryTestItemInfoArr = mFactoryTestItemInfo;
        if (factoryTestItemInfoArr == null) {
            return "";
        }
        for (FactoryTestItemInfo factoryTestItemInfo : factoryTestItemInfoArr) {
            if (factoryTestItemInfo.mID == id) {
                return factoryTestItemInfo.mName;
            }
        }
        return "";
    }

    public static boolean getEnable(int id) {
        int i = 0;
        while (true) {
            FactoryTestItemInfo[] factoryTestItemInfoArr = mFactoryTestItemInfo;
            if (i >= factoryTestItemInfoArr.length) {
                return false;
            }
            if (factoryTestItemInfoArr[i].mID == id) {
                return true;
            }
            i++;
        }
    }

    public static boolean isAutoTest(int position) {
        return mFactoryTestItemInfo[position].mAutoTest;
    }

    public static boolean isBackgroundTest(int position) {
        return mFactoryTestItemInfo[position].mBackground;
    }

    public static boolean isForegroundTest(int position) {
        return mFactoryTestItemInfo[position].mForeground;
    }

    public static boolean getClickable(int position) {
        return mFactoryTestItemInfo[position].mClickable;
    }

    public static int size() {
        return mFactoryTestItemInfo.length;
    }

    public static FactoryTestItemInfo[] getChildItems(int parentID) {
        ArrayList<FactoryTestItemInfo> childList = new ArrayList<>();
        FactoryTestItemInfo[] factoryTestItemInfoArr = mFactoryTestItemInfo;
        for (FactoryTestItemInfo info : factoryTestItemInfoArr) {
            if (info.mParentID == parentID) {
                childList.add(info);
            }
        }
        return (FactoryTestItemInfo[]) childList.toArray(new FactoryTestItemInfo[0]);
    }

    public static boolean isTest(int id) {
        if (id < 0) {
            return false;
        }
        int i = 0;
        while (true) {
            try {
                FactoryTestItemInfo[] factoryTestItemInfoArr = mFactoryTestItemInfo;
                if (i >= factoryTestItemInfoArr.length) {
                    return false;
                }
                if (factoryTestItemInfoArr[i].mID == id) {
                    return true;
                }
                i++;
            } catch (NullPointerException ne) {
                ne.printStackTrace();
                return false;
            } catch (Exception e) {
                e.printStackTrace();
                return false;
            }
        }
    }

    public static String convertorNVValue(byte nvValue) {
        if (nvValue == 78) {
            return "[N]";
        }
        if (nvValue == 69) {
            return "[E]";
        }
        if (nvValue == 80) {
            return "[P]";
        }
        if (nvValue == 70) {
            return "[F]";
        }
        return "[None]";
    }

    public static String convertorID_XML(byte id) {
        String result = new DecimalFormat("00").format((long) id);
        FtUtil.log_d(CLASS_NAME, "convertorID_XML", "ID : " + result);
        return result;
    }

    public static String convertorID_XML(int id) {
        String result = String.valueOf(id);
        FtUtil.log_d(CLASS_NAME, "convertorID_XML", "ID : " + result);
        return result;
    }

    public static boolean getAllitemPass() {
        String allItemNv = NVAccessor.getFullTestNV();
        for (int i = 0; i < getItemCount(); i++) {
            if (mFactoryTestItemInfo[i].mNVKey != 500 && NVAccessor.getLocalTestNV(allItemNv, mFactoryTestItemInfo[i].mNVKey) != 80) {
                if (NVAccessor.getNV(133) != 78) {
                    FtUtil.log_i(CLASS_NAME, "getAllitemPass", "write 15 ALL FIN NOTEST");
                    NVAccessor.setNV(133, (byte) 78);
                }
                FtUtil.log_i(CLASS_NAME, "getAllitemPass", "false : item(" + mFactoryTestItemInfo[i].mNVKey + ") = " + ((int) NVAccessor.getLocalTestNV(allItemNv, mFactoryTestItemInfo[i].mNVKey)));
                return false;
            } else if (mFactoryTestItemInfo[i].mNVKey == 500 && !isAllChildNVpass(i)) {
                if (NVAccessor.getNV(133) != 78) {
                    FtUtil.log_i(CLASS_NAME, "getAllitemPass", "write 15 ALL FIN NOTEST");
                    NVAccessor.setNV(133, (byte) 78);
                }
                FtUtil.log_i(CLASS_NAME, "getAllitemPass", "false : item(" + mFactoryTestItemInfo[i].mNVKey + ") = " + ((int) NVAccessor.getLocalTestNV(allItemNv, mFactoryTestItemInfo[i].mNVKey)));
                return false;
            }
        }
        FtUtil.log_i(CLASS_NAME, "getAllitemPass", "true");
        return true;
    }

    public static boolean getAllitemPassWithoutSIM2() {
        String allItemNv = NVAccessor.getFullTestNV();
        for (int i = 0; i < getItemCount(); i++) {
            if (mFactoryTestItemInfo[i].mNVKey != 54) {
                if (mFactoryTestItemInfo[i].mNVKey != 500 && NVAccessor.getLocalTestNV(allItemNv, mFactoryTestItemInfo[i].mNVKey) != 80) {
                    FtUtil.log_i(CLASS_NAME, "getAllitemPassWithoutSIM2", "false : item(" + mFactoryTestItemInfo[i].mNVKey + ") = " + ((int) NVAccessor.getLocalTestNV(allItemNv, mFactoryTestItemInfo[i].mNVKey)));
                    return false;
                } else if (mFactoryTestItemInfo[i].mNVKey == 500 && !isAllChildNVpass(i)) {
                    FtUtil.log_i(CLASS_NAME, "getAllitemPassWithoutSIM2", "false : item(" + mFactoryTestItemInfo[i].mNVKey + ") = " + ((int) NVAccessor.getLocalTestNV(allItemNv, mFactoryTestItemInfo[i].mNVKey)));
                    return false;
                }
            }
        }
        FtUtil.log_i(CLASS_NAME, "getAllitemPassWithoutSIM2", "true");
        return true;
    }

    public static class FactoryTestItemInfo {
        private final boolean mAutoTest;
        private final boolean mBackground;
        private final boolean mClickable;
        private final boolean mForeground;
        private final boolean mGroup;
        private final int mID;
        private final int mNVKey;
        private final String mName;
        private final int mOrder;
        private final int mParentID;
        private byte mResult;

        public FactoryTestItemInfo(int id, String name, int nv, byte result, boolean auto, boolean clickable, boolean background, boolean foreground, int parentID, int order, boolean group) {
            this.mID = id;
            this.mName = name;
            this.mNVKey = nv;
            this.mResult = result;
            this.mAutoTest = auto;
            this.mClickable = clickable;
            this.mBackground = background;
            this.mForeground = foreground;
            this.mParentID = parentID;
            this.mOrder = order;
            this.mGroup = group;
            FtUtil.log_i(FactoryTestManager.CLASS_NAME, "FactoryTestItemInfo", "id=" + id + ", name=" + name + ", nv=" + nv + ", result=" + ((int) result) + ", pID=" + parentID + ", order=" + order + ", group=" + group);
        }

        public int getID() {
            return this.mID;
        }
    }

    static class OrderComparator implements Comparator<FactoryTestItemInfo> {
        OrderComparator() {
        }

        public int compare(FactoryTestItemInfo Info1, FactoryTestItemInfo Info2) {
            if (Info1.mOrder < Info2.mOrder) {
                return -1;
            }
            return Info1.mOrder > Info2.mOrder ? 1 : 0;
        }
    }
}
