package com.sec.factory.app.factorytest;

import android.app.Service;
import android.content.Intent;
import android.os.IBinder;
import android.telephony.PhoneStateListener;
import android.telephony.TelephonyManager;
import com.sec.factory.modules.ModuleTouchScreen;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.NVAccessor;

public class FactoryTestSupportService extends Service {
    private static final char CALL = 29;
    private static final char CALL2 = '7';
    private static final String CLASS_NAME = "FactoryTestSupportService";
    private final PhoneStateListener mPhoneStateListener = new PhoneStateListener() {
        /* class com.sec.factory.app.factorytest.FactoryTestSupportService.AnonymousClass1 */

        public void onCallStateChanged(int state, String incomingNumber) {
            switch (state) {
                case 0:
                    FtUtil.log_i(FactoryTestSupportService.CLASS_NAME, "mPhoneStateListener.onCallStateChanged", "call state idle");
                    return;
                case 1:
                    FtUtil.log_i(FactoryTestSupportService.CLASS_NAME, "mPhoneStateListener.onCallStateChanged", "call state ringing");
                    return;
                case 2:
                    FtUtil.log_i(FactoryTestSupportService.CLASS_NAME, "mPhoneStateListener.onCallStateChanged", "call state offhook");
                    FactoryTestSupportService.this.updateDetectedItem(FactoryTestSupportService.CALL);
                    return;
                default:
                    return;
            }
        }
    };
    private TelephonyManager mTelePhony;

    public IBinder onBind(Intent arg0) {
        return null;
    }

    public void onCreate() {
        FtUtil.log_i(CLASS_NAME, "onCreate", null);
        TelephonyManager telephonyManager = (TelephonyManager) getSystemService(ModuleTouchScreen.TSP_DEVICE_TYPE__PHONE);
        this.mTelePhony = telephonyManager;
        telephonyManager.listen(this.mPhoneStateListener, 32);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void updateDetectedItem(char id) {
    }

    private void updateNV(char id) {
        upDateNVAPO(id);
    }

    private void upDateNVAPO(char id) {
        FtUtil.log_i(CLASS_NAME, "upDateNVAPO", String.valueOf(id));
        NVAccessor.setNV((byte) id, (byte) 80);
    }

    public int onStartCommand(Intent intent, int flags, int startId) {
        FtUtil.log_i(CLASS_NAME, "onStartCommand", null);
        return 0;
    }

    public void onDestroy() {
        FtUtil.log_i(CLASS_NAME, "onDestroy", null);
        this.mTelePhony.listen(this.mPhoneStateListener, 0);
    }
}
