package com.sec.factory.app.factorytest;

import android.app.AlertDialog;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.KeyCharacterMap;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.LinearLayout;
import android.widget.ProgressBar;
import android.widget.TextView;
import android.widget.Toast;
import com.sec.factory.R;
import com.sec.factory.app.ui.UIBase;
import com.sec.factory.app.ui.UiHallICTest;
import com.sec.factory.modules.ModuleCommunication;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.NVAccessor;

public class NfcSelfCal extends UIBase {
    private static final String ACTION_NFC_TEST_REQUEST = "com.samsung.android.nfc.test.action.REQUEST";
    private static final String ACTION_NFC_TEST_RESPONSE = "com.samsung.android.nfc.test.action.RESPONSE";
    private static final String CLASS_NAME = "NfcSelfCal";
    private static final String EXTRA_CMD = "com.samsung.android.nfc.test.extra.CMD";
    private static final String EXTRA_DATA_INTEGER = "com.samsung.android.nfc.test.extra.DATA_INTEGER";
    private static final String EXTRA_DATA_STRING = "com.samsung.android.nfc.test.extra.DATA_STRING";
    private static final String EXTRA_ID = "com.samsung.android.nfc.test.extra.ID";
    private static final int INDICATION_V1 = 21;
    private static final int INDICATION_V2 = 22;
    private static final int INDICATION_V3 = 23;
    private static final int KEYCODE_WINK = 1082;
    public static final byte NO_TEST = 78;
    public static final int NV_NFC = 30;
    public static final int NV_NFC_2 = 72;
    public static final int NV_NFC_CAL = 69;
    public static final int NV_NFC_CARD_MODE = 117;
    public static final byte PASS = 80;
    private final String ACTION_NFC_INDICATION_V2 = "com.sec.android.app.nfctest.NFC_TEST_INDICATION_V2";
    private final String ACTION_NFC_RESPONSE_V2 = "com.sec.android.app.nfctest.NFC_TEST_RESPONSE_V2";
    private int INDEX = 0;
    private int MSG_RECEIVE_RESPONSE;
    private int MSG_START_CALIBRATION;
    private boolean hasBackKey;
    private boolean isKeyPressed;
    private boolean isPass;
    private boolean isStart;
    private LinearLayout mBackground;
    public Handler mHandler;
    private ProgressBar mNfcCalProgress;
    private TextView mNfcCalReady;
    private TextView mNfcCalStatus;
    private TextView mNfcCalTitle;
    private Handler mNfcTestHandler;
    public BroadcastReceiver mReceiver;

    public NfcSelfCal() {
        super(CLASS_NAME);
        int i = 0 + 1;
        this.INDEX = i;
        this.MSG_START_CALIBRATION = 0;
        this.INDEX = i + 1;
        this.MSG_RECEIVE_RESPONSE = i;
        this.isKeyPressed = false;
        this.isPass = false;
        this.isStart = false;
        this.hasBackKey = true;
        this.mHandler = new Handler() {
            /* class com.sec.factory.app.factorytest.NfcSelfCal.AnonymousClass1 */

            public void handleMessage(Message msg) {
                if (msg.what == NfcSelfCal.this.MSG_START_CALIBRATION) {
                    FtUtil.log_d(NfcSelfCal.CLASS_NAME, "mHandler.handleMessage", "MSG_START_CALIBRATION");
                    NfcSelfCal.this.mNfcCalStatus.setVisibility(0);
                    NfcSelfCal.this.mNfcCalProgress.setVisibility(0);
                    NfcSelfCal.this.mNfcCalReady.setVisibility(8);
                    NfcSelfCal.this.startNfcCalibration();
                } else if (msg.what == NfcSelfCal.this.MSG_RECEIVE_RESPONSE) {
                    FtUtil.log_d(NfcSelfCal.CLASS_NAME, "mHandler.handleMessage", "MSG_RECEIVE_RESPONSE");
                    String data = msg.obj.toString();
                    if (data.contains("OK")) {
                        NfcSelfCal.this.isPass = true;
                    }
                    NfcSelfCal.this.calResult(data);
                }
            }
        };
        this.mReceiver = new BroadcastReceiver() {
            /* class com.sec.factory.app.factorytest.NfcSelfCal.AnonymousClass3 */

            public void onReceive(Context context, Intent intent) {
                String action = intent.getAction();
                if ("com.sec.android.app.nfctest.NFC_TEST_RESPONSE_V2".equals(action)) {
                    String resData = intent.getStringExtra("S_DATA");
                    if (resData == null) {
                        resData = intent.getStringExtra("I_DATA");
                    }
                    int resCmd = intent.getIntExtra(ModuleCommunication.EXTRA_KEY_BT_SERVICE_REQUEST, 0);
                    FtUtil.log_d(NfcSelfCal.CLASS_NAME, "onReceive", "resCmd: " + resCmd);
                    Message msg = NfcSelfCal.this.mHandler.obtainMessage();
                    msg.what = NfcSelfCal.this.MSG_RECEIVE_RESPONSE;
                    msg.obj = resData;
                    NfcSelfCal.this.mHandler.sendMessage(msg);
                } else if (!"com.samsung.android.nfc.test.action.RESPONSE".equals(action)) {
                } else {
                    if (intent.getIntExtra("com.samsung.android.nfc.test.extra.ID", -1) == 22) {
                        String resData2 = intent.getStringExtra("com.samsung.android.nfc.test.extra.DATA_STRING");
                        if (resData2 == null) {
                            resData2 = intent.getStringExtra("com.samsung.android.nfc.test.extra.DATA_INTEGER");
                        }
                        int resCmd2 = intent.getIntExtra("com.samsung.android.nfc.test.extra.CMD", 0);
                        FtUtil.log_d(NfcSelfCal.CLASS_NAME, "onReceive", "resCmd: " + resCmd2);
                        Message msg2 = NfcSelfCal.this.mHandler.obtainMessage();
                        msg2.what = NfcSelfCal.this.MSG_RECEIVE_RESPONSE;
                        msg2.obj = resData2;
                        NfcSelfCal.this.mHandler.sendMessage(msg2);
                        return;
                    }
                    FtUtil.log_e(NfcSelfCal.CLASS_NAME, "Unknown ID: " + intent.getIntExtra("com.samsung.android.nfc.test.extra.ID", -1));
                }
            }
        };
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        mUIOrientation = null;
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_nfcselfcal);
        this.hasBackKey = KeyCharacterMap.deviceHasKey(4);
        FtUtil.setSystemKeyBlock(getComponentName(), 3);
        this.TEST_ID = getIntent().getIntExtra("testID", 164);
        FtUtil.log_d(CLASS_NAME, "onCreate", "TEST_ID: " + this.TEST_ID);
        initUI();
        showCustomToast("Not Supported");
        finish();
        FtUtil.setRemoveSystemUI(getWindow(), true);
    }

    private void initUI() {
        this.mBackground = (LinearLayout) findViewById(R.id.nfc_cal_background);
        this.mNfcCalTitle = (TextView) findViewById(R.id.nfc_self_cal_title);
        this.mNfcCalReady = (TextView) findViewById(R.id.nfc_cal_ready);
        this.mNfcCalStatus = (TextView) findViewById(R.id.nfc_cal_status);
        this.mNfcCalProgress = (ProgressBar) findViewById(R.id.nfc_cal_progress);
        if (!this.hasBackKey) {
            this.mNfcCalReady.setText(R.string.nfc_cal_ready_navigation_bar);
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        setTestNV(30, (byte) 78);
        setTestNV(72, (byte) 78);
        setTestNV(117, (byte) 78);
        setTestNV(69, (byte) 78);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        if (this.isStart) {
            unregisterReceiver(this.mReceiver);
        }
        this.mHandler.removeMessages(this.MSG_RECEIVE_RESPONSE);
        this.mHandler.removeMessages(this.MSG_START_CALIBRATION);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
    }

    public boolean onTouchEvent(MotionEvent event) {
        super.onTouchEvent(event);
        FtUtil.log_d(CLASS_NAME, "onTouchEvent", null);
        return true;
    }

    @Override // com.sec.factory.app.ui.UIBase
    public boolean onKeyDown(int keyCode, KeyEvent event) {
        switch (keyCode) {
            case 3:
            case 1082:
                if (!this.isKeyPressed) {
                    this.mHandler.sendEmptyMessage(this.MSG_START_CALIBRATION);
                    this.isKeyPressed = true;
                    break;
                }
                break;
            default:
                FtUtil.log_d(CLASS_NAME, "onKeyDown", "Key Pressed!");
                finish();
                break;
        }
        return super.onKeyDown(keyCode, event);
    }

    private void showCustomToast(String text) {
        FtUtil.log_d(CLASS_NAME, "showCustomToast", "text = " + text);
        View layout = getLayoutInflater().inflate(R.layout.custom_toast_boot_completed_check, (ViewGroup) findViewById(R.id.llToast));
        ((TextView) layout.findViewById(R.id.text)).setText(text);
        Toast toast = new Toast(getApplicationContext());
        toast.setGravity(16, 0, 0);
        toast.setDuration(0);
        toast.setView(layout);
        toast.show();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void startNfcCalibration() {
        startReceiver();
        sendNfcTestCommand(0, 9);
        this.isStart = true;
    }

    public void startReceiver() {
        IntentFilter filter = new IntentFilter();
        filter.addAction("com.sec.android.app.nfctest.NFC_TEST_RESPONSE_V2");
        filter.addAction("com.samsung.android.nfc.test.action.RESPONSE");
        registerReceiver(this.mReceiver, filter);
    }

    private void sendNfcTestCommand(int cmd_id, int i_data) {
        Intent intent = new Intent("com.samsung.android.nfc.test.action.REQUEST");
        intent.putExtra("com.samsung.android.nfc.test.extra.ID", 22);
        intent.putExtra("com.samsung.android.nfc.test.extra.CMD", cmd_id);
        intent.putExtra("com.samsung.android.nfc.test.extra.DATA_INTEGER", i_data);
        sendBroadcast(intent);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void calResult(String data) {
        if (this.isPass) {
            this.mNfcCalStatus.setText("PASS");
            this.mNfcCalStatus.setTextColor(UiHallICTest.FONT_COLOR_PASS);
        } else {
            this.mNfcCalStatus.setText("FAIL");
            this.mNfcCalStatus.setTextColor(-65536);
        }
        this.mNfcCalProgress.setVisibility(8);
        new AlertDialog.Builder(this).setTitle("NFC Cal Result").setMessage(data).setPositiveButton(R.string.ok, new DialogInterface.OnClickListener() {
            /* class com.sec.factory.app.factorytest.NfcSelfCal.AnonymousClass2 */

            public void onClick(DialogInterface dialog, int which) {
                if (NfcSelfCal.this.isPass) {
                    NfcSelfCal.this.setTestNV(69, (byte) 80);
                }
                NfcSelfCal.this.finish();
            }
        }).setCancelable(false).show();
    }

    public void setTestNV(int nv, byte itemResult) {
        FtUtil.log_d(CLASS_NAME, "setTestNV", "NV = " + nv + ", itemResult = " + ((int) itemResult));
        NVAccessor.setNV(nv, itemResult);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public boolean onKeyLongPress(int keyCode, KeyEvent event) {
        return true;
    }
}
