package com.sec.factory.app.factorytest;

import com.sec.factory.app.factorytest.FactoryTestManager;
import java.util.Comparator;
import java.util.HashMap;

public class StandardOrder {
    private static final String CLASS_NAME = "StandardOrder";
    private static final String DOC_VERSION = "0.7_proto4";
    private static final int MAX_VALUE = 9999;
    private static int[] mArrMFTOrder = {2, 3, 25, 47, 129, FactoryTestManager.TEST_COAXIAL_CABLE_DETECT, 149, 0, 193, 100, 130, FactoryTestManager.TEST_ACH_MOTOR_SOUND, 6, FactoryTestManager.TEST_LED_KEY, 131, 171, 69, 165, 309, 301, FactoryTestManager.TEST_3D_DIGITAL_HALL_IC_CAL_TEST, FactoryTestManager.TEST_3D_DIGITAL_HALL_IC_TEST, 160, 201, 115, 192, 151, 154, 148, 95, FactoryTestManager.TEST_MIC_MUTE, 34, 85, 67, 120, 86, 84, 175, FactoryTestManager.TEST_MACRO_CAMERA_CAPTURE, 200, 206, 172, 260, 83, 194, FactoryTestManager.TEST_FOLDED_TELE_CAMERA_CAPTURE, 41, FactoryTestManager.TEST_SPEN_PAIRING, 26, 105, 4, 5, 169, 68, 50, 155, 1, 210, 65, 211, 152, 153, 20, 37, 21, 199, 189, 19, 162, 82, 137, 132, 161, 176, FactoryTestManager.TEST_NFC_FELICA_SELF_CAL, 9, 127, 98, 24, 79, 77, 138, 97, 116, 72, 123, FactoryTestManager.TEST_WIRELESS_FAST_CHARGE_2, 216, 136, 187, 33, 12, 13, 196, FactoryTestManager.TEST_MIC_GAIN_PARALLEL, FactoryTestManager.TEST_MIC_MUTE_PARALLEL, FactoryTestManager.TEST_ECHO_PARALLEL, 126, 170, 168, 10, 119, 205, 195, 314, 180, 181, 150, 197, 17, 188, 198, 99, 157, 7, 53, 61, 8, 214, 18, 166, 167, 158, 182, 178, 179, FactoryTestManager.TEST_REAR_CAMERA_MULTI_CAL, FactoryTestManager.TEST_MAGNET_TEST, 139};
    private static HashMap<Integer, Integer> mHashMapMFTOrder = new HashMap<>();

    public static int getOrder(int testId) {
        Integer order = mHashMapMFTOrder.get(Integer.valueOf(testId));
        if (order != null) {
            return order.intValue();
        }
        int i = 0;
        while (true) {
            int[] iArr = mArrMFTOrder;
            if (i >= iArr.length) {
                return 9999;
            }
            mHashMapMFTOrder.put(Integer.valueOf(iArr[i]), Integer.valueOf(i));
            if (mArrMFTOrder[i] == testId) {
                return i;
            }
            i++;
        }
    }

    public static String getDocVersion() {
        return DOC_VERSION;
    }

    /* access modifiers changed from: package-private */
    public static class ComparatorMFT implements Comparator<FactoryTestManager.FactoryTestItemInfo> {
        ComparatorMFT() {
        }

        public int compare(FactoryTestManager.FactoryTestItemInfo Info1, FactoryTestManager.FactoryTestItemInfo Info2) {
            int getOrderInfo1 = StandardOrder.getOrder(Info1.getID());
            int getOrderInfo2 = StandardOrder.getOrder(Info2.getID());
            if (getOrderInfo1 < getOrderInfo2) {
                return -1;
            }
            return getOrderInfo1 > getOrderInfo2 ? 1 : 0;
        }
    }
}
