package com.sec.factory.app.service;

import android.app.Service;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.IBinder;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.WindowManager;
import com.sec.factory.R;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import java.io.File;

public class AbcPopup extends Service {
    private static final String ACTION_REMOVE_ABC_POPUP = "com.sec.factory.REMOVE_ABC_POPUP";
    public static final String CLASS_NAME = "AbcPopup";
    private View mAbcPopup;
    private BroadcastReceiver mBroadcastReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.app.service.AbcPopup.AnonymousClass1 */

        public synchronized void onReceive(Context context, Intent intent) {
            String action = intent.getAction();
            FtUtil.log_d(AbcPopup.CLASS_NAME, "mBroadcastReceiver", "action= = " + action);
            if (action.equals(AbcPopup.ACTION_REMOVE_ABC_POPUP)) {
                File log_file = new File("/sdcard/LABO_OUTPUT/fac_history.txt");
                if (log_file.exists()) {
                    log_file.delete();
                    FtUtil.log_d(AbcPopup.CLASS_NAME, "mBroadcastReceiver", "ABC log file is deleted");
                }
                Support.Properties.set(Support.Properties.ABC_RESULT, "none");
                context.stopService(new Intent(context, AbcPopup.class));
            }
        }
    };
    private WindowManager mManager;

    public void onCreate() {
        super.onCreate();
        FtUtil.log_d(CLASS_NAME, "onCreate");
        IntentFilter intentFilter = new IntentFilter();
        intentFilter.addAction(ACTION_REMOVE_ABC_POPUP);
        registerReceiver(this.mBroadcastReceiver, intentFilter);
        initUI();
    }

    public IBinder onBind(Intent intent) {
        FtUtil.log_d(CLASS_NAME, "onBind");
        return null;
    }

    public void onDestroy() {
        FtUtil.log_d(CLASS_NAME, "onDestroy");
        unregisterReceiver(this.mBroadcastReceiver);
        View view = this.mAbcPopup;
        if (view != null) {
            this.mManager.removeView(view);
        }
        super.onDestroy();
    }

    private void initUI() {
        FtUtil.log_d(CLASS_NAME, "initUI", "start init ui");
        this.mManager = (WindowManager) getSystemService("window");
        this.mAbcPopup = ((LayoutInflater) getSystemService("layout_inflater")).inflate(R.layout.abc_popup, (ViewGroup) null);
        WindowManager.LayoutParams abcPopupParams = new WindowManager.LayoutParams(-1, -1, 2006, 8, -3);
        this.mAbcPopup.setAlpha(0.7f);
        this.mManager.addView(this.mAbcPopup, abcPopupParams);
        this.mManager.updateViewLayout(this.mAbcPopup, abcPopupParams);
    }
}
