package com.sec.factory.app.service;

import android.app.Service;
import android.content.Intent;
import android.os.IBinder;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.WindowManager;
import android.widget.ImageView;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.modules.ModuleCommunicationService;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;

public class CablePopup extends Service {
    public static final String CLASS_NAME = "CablePopup";
    private TextView mCableCountCAMERA;
    private TextView mCableCountLowerPBA;
    private TextView mCableCountMainBatt;
    private TextView mCableCountMainDigi;
    private TextView mCableCountOCTA;
    private TextView mCableCountSUBPBA;
    private TextView mCableCountSubBatt;
    private TextView mCableCountSubDigi;
    private TextView mCableCountSubUB;
    private TextView mCableCountTSP;
    private TextView mCableCountTofCam;
    private TextView mCableCountUpperPBA;
    private View mCablePopup;
    private WindowManager mManager;
    private ImageView mPopupImage;
    private boolean mSupportCam;
    private boolean mSupportLowerPBA;
    private boolean mSupportMainBatt;
    private boolean mSupportMainDigi;
    private boolean mSupportOcta;
    private boolean mSupportSubBatt;
    private boolean mSupportSubDigi;
    private boolean mSupportSubPBA;
    private boolean mSupportSubUB;
    private boolean mSupportTofCam;
    private boolean mSupportTsp;
    private boolean mSupportUpperPBA;

    public void onCreate() {
        super.onCreate();
        FtUtil.log_d(CLASS_NAME, "onCreate");
        this.mSupportSubDigi = false;
        this.mSupportMainDigi = false;
        this.mSupportTofCam = false;
        this.mSupportSubUB = false;
        this.mSupportSubBatt = false;
        this.mSupportMainBatt = false;
        this.mSupportLowerPBA = false;
        this.mSupportUpperPBA = false;
        this.mSupportSubPBA = false;
        this.mSupportTsp = false;
        this.mSupportCam = false;
        this.mSupportOcta = false;
        initUI();
    }

    public int onStartCommand(Intent intent, int flags, int startId) {
        FtUtil.log_d(CLASS_NAME, "onStartCommand");
        if (this.mSupportOcta) {
            TextView textView = this.mCableCountOCTA;
            textView.setText("OCTA/LCD: " + Support.Kernel.read(Support.Kernel.CABLE_DETECT_COUNT_OCTA));
        }
        if (this.mSupportCam) {
            TextView textView2 = this.mCableCountCAMERA;
            textView2.setText("Camera: " + Support.Kernel.read(Support.Kernel.CABLE_DETECT_COUNT_CAMERA));
        }
        if (this.mSupportSubPBA) {
            TextView textView3 = this.mCableCountSUBPBA;
            textView3.setText("USB Interface PBA: " + Support.Kernel.read(Support.Kernel.CABLE_DETECT_COUNT_SUBPBA));
        }
        if (this.mSupportTsp) {
            TextView textView4 = this.mCableCountTSP;
            textView4.setText("TSP: " + Support.Kernel.read(Support.Kernel.CABLE_DETECT_COUNT_TSP));
        }
        if (this.mSupportUpperPBA) {
            TextView textView5 = this.mCableCountUpperPBA;
            textView5.setText("Sub PBA #1: " + Support.Kernel.read(Support.Kernel.CABLE_DETECT_COUNT_UPPERPBA));
        }
        if (this.mSupportLowerPBA) {
            TextView textView6 = this.mCableCountLowerPBA;
            textView6.setText("Sub PBA #2: " + Support.Kernel.read(Support.Kernel.CABLE_DETECT_COUNT_LOWERPBA));
        }
        if (this.mSupportMainBatt) {
            TextView textView7 = this.mCableCountMainBatt;
            textView7.setText("Battery #1: " + Support.Kernel.read(Support.Kernel.CABLE_DETECT_COUNT_MAINBATT));
        }
        if (this.mSupportSubBatt) {
            TextView textView8 = this.mCableCountSubBatt;
            textView8.setText("Battery #2: " + Support.Kernel.read(Support.Kernel.CABLE_DETECT_COUNT_SUBBATT));
        }
        if (this.mSupportSubUB) {
            TextView textView9 = this.mCableCountSubUB;
            textView9.setText("OCTA #2: " + Support.Kernel.read(Support.Kernel.CABLE_DETECT_COUNT_SUBUB));
        }
        if (this.mSupportTofCam) {
            TextView textView10 = this.mCableCountTofCam;
            textView10.setText("ToF Camera : " + Support.Kernel.read(Support.Kernel.CABLE_DETECT_COUNT_TOFCAM));
        }
        if (this.mSupportMainDigi) {
            TextView textView11 = this.mCableCountMainDigi;
            textView11.setText("Digitizer #1: " + Support.Kernel.read(Support.Kernel.CABLE_DETECT_COUNT_MAINDIGI));
        }
        if (this.mSupportSubDigi) {
            TextView textView12 = this.mCableCountSubDigi;
            textView12.setText("Digitizer #2: " + Support.Kernel.read(Support.Kernel.CABLE_DETECT_COUNT_SUBDIGI));
        }
        return super.onStartCommand(intent, flags, startId);
    }

    public IBinder onBind(Intent intent) {
        FtUtil.log_d(CLASS_NAME, "onBind");
        return null;
    }

    public void onDestroy() {
        super.onDestroy();
        FtUtil.log_d(CLASS_NAME, "onDestroy");
        View view = this.mCablePopup;
        if (view != null) {
            this.mManager.removeView(view);
        }
    }

    private void initUI() {
        FtUtil.log_d(CLASS_NAME, "initUI", "start init ui");
        this.mManager = (WindowManager) getSystemService("window");
        View inflate = ((LayoutInflater) getSystemService("layout_inflater")).inflate(R.layout.cable_popup, (ViewGroup) null);
        this.mCablePopup = inflate;
        this.mPopupImage = (ImageView) inflate.findViewById(R.id.disconnect_cable);
        this.mCableCountOCTA = (TextView) this.mCablePopup.findViewById(R.id.text_cable_count_octa);
        this.mCableCountCAMERA = (TextView) this.mCablePopup.findViewById(R.id.text_cable_count_camera);
        this.mCableCountSUBPBA = (TextView) this.mCablePopup.findViewById(R.id.text_cable_count_subpba);
        this.mCableCountTSP = (TextView) this.mCablePopup.findViewById(R.id.text_cable_count_tsp);
        this.mCableCountUpperPBA = (TextView) this.mCablePopup.findViewById(R.id.text_cable_count_upperpba);
        this.mCableCountLowerPBA = (TextView) this.mCablePopup.findViewById(R.id.text_cable_count_lowerpba);
        this.mCableCountMainBatt = (TextView) this.mCablePopup.findViewById(R.id.text_cable_count_mainbatt);
        this.mCableCountSubBatt = (TextView) this.mCablePopup.findViewById(R.id.text_cable_count_subbatt);
        this.mCableCountSubUB = (TextView) this.mCablePopup.findViewById(R.id.text_cable_count_subub);
        this.mCableCountTofCam = (TextView) this.mCablePopup.findViewById(R.id.text_cable_count_tofcam);
        this.mCableCountMainDigi = (TextView) this.mCablePopup.findViewById(R.id.text_cable_count_maindigi);
        this.mCableCountSubDigi = (TextView) this.mCablePopup.findViewById(R.id.text_cable_count_subdigi);
        String data = Support.Kernel.read(Support.Kernel.AVAILABLE_PIN_CHECK);
        String ubsupportdata = Support.Kernel.read(Support.Kernel.CABLE_DETECT_UB);
        if (ubsupportdata != null && !ModuleCommunicationService.SMD_NOK.equals(ubsupportdata)) {
            data = "UB_CONNECT/" + data;
        }
        String ubsupportdata2 = Support.Kernel.read(Support.Kernel.CABLE_DETECT_SUB_UB);
        if (ubsupportdata2 != null && !ModuleCommunicationService.SMD_NOK.equals(ubsupportdata2)) {
            data = data + "/UB_CONNECT_SUB";
        }
        if (data != null) {
            String[] mAvailablePins = data.split("/");
            for (String arg : mAvailablePins) {
                if ("UB_CONNECT".equals(arg)) {
                    this.mCableCountOCTA.setVisibility(0);
                    this.mSupportOcta = true;
                }
                if ("CAM_CONNECT".equals(arg)) {
                    this.mCableCountCAMERA.setVisibility(0);
                    this.mSupportCam = true;
                }
                if ("SUB_CONNECT".equals(arg)) {
                    this.mCableCountSUBPBA.setVisibility(0);
                    this.mSupportSubPBA = true;
                }
                if ("TSP_CONNECT".equals(arg)) {
                    this.mCableCountTSP.setVisibility(0);
                    this.mSupportTsp = true;
                }
                if ("UPPER_C2C_DETECT".equals(arg)) {
                    this.mCableCountUpperPBA.setVisibility(0);
                    this.mSupportUpperPBA = true;
                }
                if ("LOWER_C2C_DETECT".equals(arg)) {
                    this.mCableCountLowerPBA.setVisibility(0);
                    this.mSupportLowerPBA = true;
                }
                if ("MAIN_BAT_DETECT".equals(arg)) {
                    this.mCableCountMainBatt.setVisibility(0);
                    this.mSupportMainBatt = true;
                }
                if ("SUB_BAT_DETECT".equals(arg)) {
                    this.mCableCountSubBatt.setVisibility(0);
                    this.mSupportSubBatt = true;
                }
                if ("UB_CONNECT_SUB".equals(arg)) {
                    this.mCableCountSubUB.setVisibility(0);
                    this.mSupportSubUB = true;
                }
                if ("TOF_CONNECT".equals(arg)) {
                    this.mCableCountTofCam.setVisibility(0);
                    this.mSupportTofCam = true;
                }
                if ("MAIN_DIGITIZER_DETECT".equals(arg)) {
                    this.mCableCountMainDigi.setVisibility(0);
                    this.mSupportMainDigi = true;
                }
                if ("SUB_LOWER_DETECT".equals(arg)) {
                    this.mCableCountSubDigi.setVisibility(0);
                    this.mSupportSubDigi = true;
                }
            }
        }
        WindowManager.LayoutParams mCablePopupParams = new WindowManager.LayoutParams(-1, -1, 2006, 8, -3);
        this.mCablePopup.setAlpha(0.7f);
        this.mManager.addView(this.mCablePopup, mCablePopupParams);
        this.mManager.updateViewLayout(this.mCablePopup, mCablePopupParams);
    }
}
