package com.sec.factory.app.service;

import android.app.Service;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.IBinder;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;

public class ServiceBatteryLED extends Service {
    private static final String CLASS_NAME = "ServiceBatteryLED";
    private static final String TAG = "ServiceBatteryLED";
    private Context mContext;
    private BroadcastReceiver mIntentReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.app.service.ServiceBatteryLED.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            ServiceBatteryLED.this.mContext = context;
            String action = intent.getAction();
            FtUtil.log_d("ServiceBatteryLED", "onReceive", "onReceive action=" + action);
            if (action.equals("android.intent.action.BATTERY_CHANGED")) {
                ServiceBatteryLED.this.changeLEDColor(intent);
            }
        }
    };
    private ModuleDevice mModuleDevice = null;

    public void onCreate() {
        super.onCreate();
        FtUtil.log_d("ServiceBatteryLED", "onCreate");
        this.mModuleDevice = ModuleDevice.instance(this);
        IntentFilter mfilter = new IntentFilter();
        mfilter.addAction("android.intent.action.BATTERY_CHANGED");
        changeLEDColor(registerReceiver(this.mIntentReceiver, mfilter));
    }

    public IBinder onBind(Intent arg0) {
        return null;
    }

    public void onDestroy() {
        FtUtil.log_d("ServiceBatteryLED", "onDestroy");
        unregisterTestReceiver();
        super.onDestroy();
    }

    private void unregisterTestReceiver() {
        BroadcastReceiver broadcastReceiver = this.mIntentReceiver;
        if (broadcastReceiver != null) {
            unregisterReceiver(broadcastReceiver);
            this.mIntentReceiver = null;
            FtUtil.log_i("ServiceBatteryLED", "unregisterTestReceiver", null);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void changeLEDColor(Intent intent) {
        int mBatteryLevel = intent.getIntExtra("level", -1);
        FtUtil.log_i("ServiceBatteryLED", "changeLEDColor()", "BatteryLevel :" + mBatteryLevel);
        Support.Feature.getString(Support.Feature.SVC_LED_TEST_BRIGHTNESS);
        if (mBatteryLevel < 32) {
            this.mModuleDevice.setLEDlamp(3);
        } else {
            this.mModuleDevice.setLEDlamp(4);
        }
    }
}
