package com.sec.factory.app.service;

import android.app.Service;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Handler;
import android.os.HandlerThread;
import android.os.IBinder;
import android.os.Looper;
import android.os.Message;
import android.widget.Toast;
import com.google.common.primitives.UnsignedBytes;
import com.sec.factory.R;
import com.sec.factory.aporiented.AtParser;
import com.sec.factory.aporiented.ResponseWriter;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.optical.client.api.EgisFingerprint;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.security.MessageDigest;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

public class ServiceBottomLayer extends Service {
    private static final String CLASS_NAME = "ServiceBottomLayer";
    private static final int MSG_TIMEOUT = 1;
    private static final String TAG = "ServiceBottomLayer";
    private long StartTime;
    private long StopTime;
    private int TIMEOUT = 150;
    private long TestTime;
    private BtmlayerHandler btmlayerHandler;
    private String data;
    private File dataResultFile;
    private boolean isRunning = false;
    private Looper looper;
    private final BroadcastReceiver mBroadcastReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.app.service.ServiceBottomLayer.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            String result;
            String action = intent.getAction();
            FtUtil.log_d("DeviceCmd", "onReceive", "Action :" + action);
            if (action.equals("com.sec.factory.intent.action.BOTTOM_LAYER_CMD_RSP")) {
                String cmdData = getCmdResult(intent.getStringExtra("COMMAND"));
                String result2 = "[" + ServiceBottomLayer.this.runtestitem[0] + "=" + ServiceBottomLayer.this.runtestitem[1] + "'";
                boolean mTestNG = false;
                if (cmdData != null) {
                    result = result2 + cmdData + "/";
                    if (cmdData.equals("NG")) {
                        mTestNG = true;
                        ServiceBottomLayer.this.isRunning = false;
                    }
                } else {
                    result = result2 + "NULL_NG/";
                    mTestNG = true;
                    ServiceBottomLayer.this.isRunning = false;
                }
                FtUtil.log_d("ServiceBottomLayer", "onReceive", "cmdData : " + cmdData);
                ServiceBottomLayer.this.addTime_FileWrite(result, mTestNG);
                ServiceBottomLayer.this.mHandler.sendEmptyMessageDelayed(0, 100);
            }
        }

        public String getCmdResult(String _strCmdResult) {
            String strCmdRes;
            if (_strCmdResult.contains("CME Error:NA")) {
                strCmdRes = "CME Error:NA";
            } else {
                strCmdRes = _strCmdResult.substring(_strCmdResult.indexOf(",") + 1, _strCmdResult.indexOf("\r", _strCmdResult.indexOf("\r") + 1));
            }
            FtUtil.log_d("ServiceBottomLayer", "getCmdResult", "cmdData : " + strCmdRes);
            return strCmdRes;
        }
    };
    private Context mContext;
    private Handler mHandler = new Handler() {
        /* class com.sec.factory.app.service.ServiceBottomLayer.AnonymousClass2 */

        public void handleMessage(Message msg) {
            if (msg.what == 1) {
                try {
                    FtUtil.log_d("ServiceBottomLayer", "handleMessage", "Timeout Finish");
                    ServiceBottomLayer.this.stopSelf();
                } catch (Exception e) {
                    e.printStackTrace();
                }
            }
        }
    };
    private HashMap<String, BTMLCommand> mHmBtmlCmds;
    private long min;
    private AtParser parser;
    private boolean response = false;
    private String[] runtestitem = new String[3];

    /* renamed from: sec  reason: collision with root package name */
    private long f2sec;
    private ResponseWriter writer;

    private void initialize() {
        this.isRunning = true;
        if (this.writer == null) {
            this.writer = new ResponseWriter(this, false);
        }
        if (this.parser == null) {
            AtParser atParser = new AtParser();
            this.parser = atParser;
            atParser.registerAllHandler(this, this.writer);
        }
        File file = new File("data/log/BtmLayerResult.log");
        this.dataResultFile = file;
        Support.Kernel.writeToPathNsync(file.getPath(), "");
        FtUtil.log_i("ServiceBottomLayer", "initialize", "BtmLayerResult.log : " + Support.Kernel.readFromPath(this.dataResultFile.getPath(), true));
        IntentFilter intent = new IntentFilter();
        intent.addAction("com.sec.factory.intent.action.BOTTOM_LAYER_CMD_RSP");
        registerReceiver(this.mBroadcastReceiver, intent);
        parseBTMLCmd();
    }

    public boolean parseBTMLCmd() {
        InputStream inputStream;
        FtUtil.log_d("ServiceBottomLayer", "parseBTMLCmd", "");
        this.mHmBtmlCmds = new HashMap<>();
        StringBuilder sb = new StringBuilder();
        byte[] bArr = new byte[1024];
        try {
            File file = new File("/sdcard/btml_cmd.json");
            if (file.exists()) {
                inputStream = new FileInputStream(file);
                FtUtil.log_d("ServiceBottomLayer", "parseBTMLCmd", "load from SDCard");
                Context context = this.mContext;
                Toast.makeText(context, "Read BTML " + "/sdcard/btml_cmd.json" + " from sdcard", 1).show();
            } else {
                inputStream = getResources().openRawResource(R.raw.btml_cmd);
                FtUtil.log_d("ServiceBottomLayer", "parseBTMLCmd", "load from Resource");
            }
            BufferedReader br = new BufferedReader(new InputStreamReader(inputStream));
            while (true) {
                String line = br.readLine();
                if (line != null) {
                    sb.append(line);
                } else {
                    try {
                        break;
                    } catch (JSONException e) {
                        FtUtil.log_e(e);
                    }
                }
            }
            JSONArray objCmds = (JSONArray) new JSONObject(sb.toString()).get("BTML");
            for (int i = 0; i < objCmds.length(); i++) {
                JSONObject objCmd = (JSONObject) objCmds.get(i);
                String strBtmlCmd = (String) objCmd.get("BTMLCMD");
                this.mHmBtmlCmds.put(strBtmlCmd, new BTMLCommand(strBtmlCmd, (String) objCmd.get("ORGNCMD"), (JSONObject) objCmd.get("ARGU")));
            }
            return true;
        } catch (IOException e2) {
            FtUtil.log_e(e2);
            return false;
        }
    }

    public void onCreate() {
        super.onCreate();
        FtUtil.log_d("ServiceBottomLayer", "onCreate");
        this.mContext = getApplicationContext();
        HandlerThread handlerthread = new HandlerThread("BTMLayerThread", 10);
        handlerthread.start();
        this.looper = handlerthread.getLooper();
        this.btmlayerHandler = new BtmlayerHandler(this.looper);
        initialize();
    }

    public int onStartCommand(Intent intent, int flags, int startId) {
        FtUtil.log_d("ServiceBottomLayer", "onStartCommand");
        intent.getAction();
        this.data = intent.getStringExtra("data");
        this.btmlayerHandler.sendMessage(this.btmlayerHandler.obtainMessage());
        return 2;
    }

    public IBinder onBind(Intent intent) {
        return null;
    }

    public void onDestroy() {
        FtUtil.log_d("ServiceBottomLayer", "onDestroy");
        unregisterReceiver(this.mBroadcastReceiver);
        this.isRunning = false;
        this.writer.setCalledBottomCmd(false);
        super.onDestroy();
    }

    private final class BtmlayerHandler extends Handler {
        public BtmlayerHandler(Looper looper) {
            super(looper);
        }

        public void handleMessage(Message msg) {
            synchronized (this) {
                FtUtil.log_d("ServiceBottomLayer", "handleMessage", "data= " + ServiceBottomLayer.this.data);
                ServiceBottomLayer serviceBottomLayer = ServiceBottomLayer.this;
                serviceBottomLayer.data = serviceBottomLayer.data.replace("[", "");
                ServiceBottomLayer serviceBottomLayer2 = ServiceBottomLayer.this;
                serviceBottomLayer2.data = serviceBottomLayer2.data.replace("=", "/");
                String[] testitem = ServiceBottomLayer.this.data.split("]");
                ArrayList<String> arrCmdList = new ArrayList<>();
                for (String str : testitem) {
                    String[] testtemp = str.split("/");
                    for (int j = 1; j < testtemp.length; j++) {
                        arrCmdList.add(testtemp[0] + "=" + testtemp[j]);
                    }
                }
                ServiceBottomLayer.this.writer.setCalledBottomCmd(true);
                ServiceBottomLayer.this.StartTime = System.currentTimeMillis();
                for (int i = 0; i < arrCmdList.size(); i++) {
                    int count = 0;
                    try {
                        ServiceBottomLayer.this.response = false;
                        ServiceBottomLayer.this.runBottomLayerTest(arrCmdList.get(i));
                        if ("EW=K".equalsIgnoreCase(arrCmdList.get(i))) {
                            ServiceBottomLayer.this.TIMEOUT = 500;
                            FtUtil.log_d("ServiceBottomLayer", "handleMessage", "(EW=K) TIMEOUT is 50 sec");
                        } else {
                            ServiceBottomLayer.this.TIMEOUT = 150;
                        }
                        while (true) {
                            int count2 = count + 1;
                            if (count >= ServiceBottomLayer.this.TIMEOUT) {
                                break;
                            } else if (ServiceBottomLayer.this.response) {
                                break;
                            } else {
                                Thread.sleep(100);
                                if (count2 == ServiceBottomLayer.this.TIMEOUT) {
                                    FtUtil.log_d("ServiceBottomLayer", "handleMessage", "No Response in TIMEOUT");
                                    ServiceBottomLayer.this.isRunning = false;
                                    ServiceBottomLayer.this.addTime_FileWrite("[" + ServiceBottomLayer.this.runtestitem[0] + "=" + ServiceBottomLayer.this.runtestitem[1] + "'NoResponse/", true);
                                }
                                count = count2;
                            }
                        }
                    } catch (Exception e) {
                        FtUtil.log_d("ServiceBottomLayer", "handleMessage", "Exception : " + e.getMessage());
                    }
                    if (!ServiceBottomLayer.this.isRunning) {
                        break;
                    }
                }
                if (ServiceBottomLayer.this.isRunning) {
                    ServiceBottomLayer.this.createChecksum();
                }
            }
            ServiceBottomLayer.this.stopSelf();
        }
    }

    private long checkTestTime() {
        long currentTimeMillis = System.currentTimeMillis();
        this.StopTime = currentTimeMillis;
        long j = currentTimeMillis - this.StartTime;
        this.TestTime = j;
        this.TestTime = j / 1000;
        FtUtil.log_d("ServiceBottomLayer", "checkTestTime", "Test Time : " + this.TestTime + " sec");
        return this.TestTime;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void addTime_FileWrite(String result, boolean mTestNG) {
        this.response = true;
        this.f2sec = checkTestTime();
        Support.Kernel.writeToPathNsync(this.dataResultFile.getPath(), result + this.f2sec + "']", true);
        if (mTestNG) {
            createChecksum();
            stopSelf();
        }
    }

    public void createChecksum() {
        FtUtil.Sleep.sleep(1000);
        String data2 = Support.Kernel.readFromPath(this.dataResultFile.getPath(), true);
        try {
            MessageDigest complete = MessageDigest.getInstance("MD5");
            complete.update(data2.getBytes());
            byte[] byteData = complete.digest();
            StringBuffer sb = new StringBuffer();
            for (byte b : byteData) {
                sb.append(Integer.toString((b & UnsignedBytes.MAX_VALUE) + 256, 16).substring(1));
            }
            String MD5 = sb.toString();
            FtUtil.log_d("ServiceBottomLayer", "createChecksum", MD5);
            Support.Kernel.writeToPathNsync(this.dataResultFile.getPath(), "[CHK=" + MD5 + "]", true);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public void runBottomLayerTest(String Cmdlist) {
        FtUtil.log_d("ServiceBottomLayer", "runBottomLayerTest", "Cmdlist : " + Cmdlist);
        String TestCmd = null;
        if (Cmdlist.contains("_")) {
            String Cmdlist2 = Cmdlist.replace("'", "");
            String[] strArr = new String[3];
            this.runtestitem = strArr;
            strArr[0] = Cmdlist2.split("=")[0];
            this.runtestitem[1] = Cmdlist2.substring(Cmdlist2.indexOf("=") + 1, Cmdlist2.indexOf("_"));
            this.runtestitem[2] = Cmdlist2.substring(Cmdlist2.indexOf("_") + 1);
        } else {
            this.runtestitem = Cmdlist.split("=");
        }
        checkCommandForDelay(this.runtestitem);
        BTMLCommand btmlCommand = this.mHmBtmlCmds.get(this.runtestitem[0]);
        if (btmlCommand != null) {
            TestCmd = btmlCommand.getOrgnCmd() + "=";
            String strArgu = btmlCommand.getArgu(this.runtestitem[1]);
            if (strArgu != null) {
                TestCmd = TestCmd + strArgu;
                if (this.runtestitem.length > 2) {
                    TestCmd = TestCmd + this.runtestitem[2];
                }
            } else {
                this.isRunning = false;
                addTime_FileWrite("[" + this.runtestitem[0] + "=" + this.runtestitem[1] + "'NotSupportCmd/", true);
            }
        } else {
            this.isRunning = false;
            addTime_FileWrite("[" + this.runtestitem[0] + "=" + this.runtestitem[1] + "'NotSupportCmd/", true);
        }
        FtUtil.log_d("ServiceBottomLayer", "runBottomLayerTest", "TestCmd : " + TestCmd);
        if (this.isRunning) {
            this.parser.process(TestCmd, this.writer);
        }
    }

    private void checkCommandForDelay(String[] _strRunTestItem) {
        FtUtil.log_d("ServiceBottomLayer", "checkCommandForDelay", "");
        if ("AC".equalsIgnoreCase(_strRunTestItem[0])) {
            if ("4".equalsIgnoreCase(_strRunTestItem[1])) {
                FtUtil.log_d("ServiceBottomLayer", "checkCommandForDelay", "AC=4 need 800ms delay");
                FtUtil.Sleep.sleep(800);
            }
        } else if ("PR".equalsIgnoreCase(_strRunTestItem[0])) {
            if (EgisFingerprint.MAJOR_VERSION.equalsIgnoreCase(_strRunTestItem[1])) {
                FtUtil.log_d("ServiceBottomLayer", "checkCommandForDelay", "PR=3 need 800ms delay");
                FtUtil.Sleep.sleep(800);
            }
        } else if ("SP".equalsIgnoreCase(_strRunTestItem[0])) {
            if ("7".equalsIgnoreCase(_strRunTestItem[1])) {
                FtUtil.log_d("ServiceBottomLayer", "checkCommandForDelay", "SP=7 need 5000ms delay");
                FtUtil.Sleep.sleep(5000);
            }
        } else if ("EW".equalsIgnoreCase(_strRunTestItem[0]) && "6".equalsIgnoreCase(_strRunTestItem[1])) {
            FtUtil.log_d("ServiceBottomLayer", "checkCommandForDelay", "EW=6 need 20000ms delay");
            FtUtil.Sleep.sleep(20000);
        }
    }

    /* access modifiers changed from: private */
    public class BTMLCommand {
        private HashMap<String, String> mHmArgu = new HashMap<>();
        private HashMap<String, String> mHmDesc = new HashMap<>();
        private String mStrBTMLCmd;
        private String mStrOrgnCmd;

        public BTMLCommand(String _strBTMLCmd, String _strOrgnCmd, JSONObject _objArgu) {
            FtUtil.log_d("ServiceBottomLayer", "BTMLCommand", _strBTMLCmd + " " + _strOrgnCmd + " " + _objArgu);
            this.mStrBTMLCmd = _strBTMLCmd;
            this.mStrOrgnCmd = _strOrgnCmd;
            try {
                Iterator<String> iterArgu = _objArgu.keys();
                while (iterArgu.hasNext()) {
                    String strKey = iterArgu.next();
                    JSONArray arrArgu = (JSONArray) _objArgu.get(strKey);
                    this.mHmArgu.put(strKey, (String) arrArgu.get(0));
                    this.mHmDesc.put(strKey, (String) arrArgu.get(1));
                }
            } catch (JSONException e) {
                e.printStackTrace();
            }
        }

        public String getOrgnCmd() {
            return this.mStrOrgnCmd;
        }

        public String getArgu(String _strBtmlArgu) {
            return this.mHmArgu.get(_strBtmlArgu);
        }

        public String getDesc(String _strBtmlArgu) {
            return this.mHmDesc.get(_strBtmlArgu);
        }
    }
}
