package com.sec.factory.app.service;

import android.app.Service;
import android.content.Intent;
import android.os.IBinder;
import com.sec.factory.app.factorytest.FactoryTestMain;
import com.sec.factory.app.factorytest.FactoryTestMainInnerLoopback;
import com.sec.factory.support.FtUtil;

public class ServiceLoopbackTest extends Service {
    private static final String CLASS_NAME = "ServiceLoopbackTest";
    private FactoryTestMainInnerLoopback mTestInnerLoopback = null;

    public int onStartCommand(Intent intent, int flags, int startId) {
        FtUtil.log_d(CLASS_NAME, "onStartCommand");
        if (intent != null) {
            int path = intent.getIntExtra("path", 1);
            FtUtil.log_d(CLASS_NAME, "path : " + path);
            switch (path) {
                case 1001:
                    FactoryTestMain.CURRENT_TEST_ID = 1;
                    this.mTestInnerLoopback.startLoopback(1);
                    break;
                case 1002:
                    FactoryTestMain.CURRENT_TEST_ID = 1;
                    this.mTestInnerLoopback.startLoopback(0);
                    break;
                case 1015:
                    FactoryTestMain.CURRENT_TEST_ID = 42;
                    this.mTestInnerLoopback.startLoopback(4);
                    break;
                case 1016:
                    FactoryTestMain.CURRENT_TEST_ID = 42;
                    this.mTestInnerLoopback.startLoopback(3);
                    break;
                case 1019:
                    FactoryTestMain.CURRENT_TEST_ID = 1;
                    this.mTestInnerLoopback.startLoopback(6);
                    break;
                case 1020:
                    FactoryTestMain.CURRENT_TEST_ID = 1;
                    this.mTestInnerLoopback.startLoopback(5);
                    break;
                default:
                    FtUtil.log_w(CLASS_NAME, "mBroadcastReceiver.onReceive", "Invalid path = " + path);
                    break;
            }
        }
        return 1;
    }

    public IBinder onBind(Intent intent) {
        FtUtil.log_i(CLASS_NAME, "onBind");
        return null;
    }

    public void onCreate() {
        FtUtil.log_d(CLASS_NAME, "onDestroy");
        super.onCreate();
        if (this.mTestInnerLoopback == null) {
            this.mTestInnerLoopback = new FactoryTestMainInnerLoopback(this, null, null, null);
        }
    }

    public void onDestroy() {
        FtUtil.log_d(CLASS_NAME, "onDestroy");
        FactoryTestMainInnerLoopback factoryTestMainInnerLoopback = this.mTestInnerLoopback;
        if (factoryTestMainInnerLoopback != null) {
            factoryTestMainInnerLoopback.stopLoopback();
            this.mTestInnerLoopback = null;
        }
        super.onDestroy();
    }
}
