package com.sec.factory.app.service;

import android.app.Service;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Handler;
import android.os.IBinder;
import android.os.Message;
import com.sec.factory.modules.ModulePower;
import com.sec.factory.support.FtUtil;

public class ServiceTouchkeyLED extends Service {
    private static final int CHANGE_TOUCHKEY_LIGHT = 1001;
    private static final String CLASS_NAME = "ServiceTouchkeyLED";
    private static final String TAG = "ServiceTouchkeyLED";
    private final int DELAY = 800;
    public Handler displayHandler = new Handler() {
        /* class com.sec.factory.app.service.ServiceTouchkeyLED.AnonymousClass1 */

        public void handleMessage(Message msg) {
            if (msg.what == 1001) {
                ServiceTouchkeyLED.this.changeTouchkeyLED();
            }
        }
    };
    private Context mContext;
    private BroadcastReceiver mIntentReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.app.service.ServiceTouchkeyLED.AnonymousClass2 */

        public void onReceive(Context context, Intent intent) {
            ServiceTouchkeyLED.this.mContext = context;
            String action = intent.getAction();
            FtUtil.log_d("ServiceTouchkeyLED", "onReceive", "onReceive action=" + action);
            if (action.equals("android.intent.action.BATTERY_CHANGED")) {
                ServiceTouchkeyLED.this.checkBatteryLevel(intent);
            }
        }
    };
    private int threshold = 22;
    private boolean toggle = false;
    private boolean turnOn = true;

    public void onCreate() {
        super.onCreate();
        FtUtil.log_d("ServiceTouchkeyLED", "onCreate");
        IntentFilter mfilter = new IntentFilter();
        mfilter.addAction("android.intent.action.BATTERY_CHANGED");
        checkBatteryLevel(registerReceiver(this.mIntentReceiver, mfilter));
        this.displayHandler.sendEmptyMessage(1001);
    }

    public IBinder onBind(Intent arg0) {
        return null;
    }

    public void onDestroy() {
        FtUtil.log_d("ServiceTouchkeyLED", "onDestroy");
        unregisterTestReceiver();
        super.onDestroy();
    }

    private void unregisterTestReceiver() {
        BroadcastReceiver broadcastReceiver = this.mIntentReceiver;
        if (broadcastReceiver != null) {
            unregisterReceiver(broadcastReceiver);
            this.mIntentReceiver = null;
            FtUtil.log_i("ServiceTouchkeyLED", "unregisterTestReceiver", null);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void checkBatteryLevel(Intent intent) {
        int mBatteryLevel = intent.getIntExtra("level", -1);
        FtUtil.log_i("ServiceTouchkeyLED", "checkBatteryLevel", "BatteryLevel :" + mBatteryLevel);
        if (mBatteryLevel < 32) {
            FtUtil.log_i("ServiceTouchkeyLED", "startTouchkeyOnOff");
            this.toggle = true;
            return;
        }
        this.toggle = false;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void changeTouchkeyLED() {
        boolean z = this.turnOn;
        if (z) {
            ModulePower.instance(this).setTouchLed(true);
        } else if (!z) {
            ModulePower.instance(this).setTouchLed(false);
        }
        if (this.toggle) {
            this.turnOn = !this.turnOn;
        } else {
            this.turnOn = true;
        }
        this.displayHandler.sendEmptyMessageDelayed(1001, 800);
    }
}
