package com.sec.factory.app.ui;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.util.AttributeSet;
import android.view.View;
import java.lang.reflect.Array;

public class CrossTalkView extends View {
    private static final int X = 3;
    private static final int Y = 5;
    private int TOTAL = 15;
    private float[][] locations;
    private Bitmap mBitmap;
    private Canvas mCanvas;
    private Paint mPaint;

    public CrossTalkView(Context context) {
        super(context);
        init(context);
    }

    public CrossTalkView(Context context, AttributeSet attrs) {
        super(context, attrs);
        init(context);
    }

    public CrossTalkView(Context context, AttributeSet attrs, int defStyle) {
        super(context, attrs, defStyle);
        init(context);
    }

    private void init(Context context) {
        int i = this.TOTAL;
        int[] iArr = new int[2];
        iArr[1] = 2;
        iArr[0] = i;
        this.locations = (float[][]) Array.newInstance(float.class, iArr);
        int k = 0;
        while (k < this.TOTAL) {
            for (int i2 = 0; i2 < 5; i2++) {
                for (int j = 0; j < 3; j++) {
                    this.locations[k][0] = (float) ((getResources().getDisplayMetrics().widthPixels / 3) * j);
                    this.locations[k][1] = (float) ((getResources().getDisplayMetrics().heightPixels / 5) * i2);
                    k++;
                }
            }
        }
        this.mBitmap = Bitmap.createBitmap(getResources().getDisplayMetrics().widthPixels, getResources().getDisplayMetrics().heightPixels, Bitmap.Config.ARGB_8888);
        this.mCanvas = new Canvas(this.mBitmap);
        Paint mPaint2 = new Paint();
        mPaint2.setColor(-16777216);
        mPaint2.setAntiAlias(true);
        for (int a = 0; a < this.TOTAL; a++) {
            if (a % 2 == 0) {
                Canvas canvas = this.mCanvas;
                float[][] fArr = this.locations;
                canvas.drawRect(fArr[a][0], fArr[a][1], ((float) (getResources().getDisplayMetrics().widthPixels / 3)) + fArr[a][0], ((float) (getResources().getDisplayMetrics().heightPixels / 5)) + this.locations[a][1], mPaint2);
            }
        }
    }

    /* access modifiers changed from: protected */
    public void onDraw(Canvas canvas) {
        canvas.drawBitmap(this.mBitmap, 0.0f, 0.0f, this.mPaint);
    }
}
