package com.sec.factory.app.ui;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.support.v4.view.InputDeviceCompat;
import android.util.AttributeSet;
import android.view.View;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;

public class DFailLocationInfoView extends View {
    private static final String CLASS_NAME = "DFailLocationInfoView";
    private String[] fData = null;
    private String fRawData;
    private String logFilePath = "/data/log/VDFailData.log";
    private int mB;
    private int mBackGroundColor = -1;
    private int mCountCircle = 0;
    private int mG;
    private Paint mPaint;
    private int mR;
    private float radius;
    private float x;
    private float y;

    public DFailLocationInfoView(Context context) {
        super(context);
        init(context);
    }

    public DFailLocationInfoView(Context context, AttributeSet attrs, int defStyle) {
        super(context, attrs, defStyle);
        init(context);
    }

    public DFailLocationInfoView(Context context, AttributeSet attrs) {
        super(context, attrs);
        init(context);
    }

    private void init(Context context) {
        String readFromPath = Support.Kernel.readFromPath(this.logFilePath, true);
        this.fRawData = readFromPath;
        if (readFromPath != null) {
            String[] split = readFromPath.trim().split(",");
            this.fData = split;
            String[] mColor = split[0].trim().split("_");
            if (mColor != null) {
                this.mR = Integer.parseInt(mColor[0]);
                this.mG = Integer.parseInt(mColor[1]);
                this.mB = Integer.parseInt(mColor[2]);
            }
            this.mBackGroundColor = Color.rgb(this.mR, this.mG, this.mB);
            FtUtil.log_d(CLASS_NAME, "init", "set Background : " + this.mR + " " + this.mG + " " + this.mB + " ");
            this.mCountCircle = this.fData.length - 1;
        }
        Paint paint = new Paint(1);
        this.mPaint = paint;
        paint.setColor(-16777216);
    }

    public void drawCircle(String data) {
        FtUtil.log_d(CLASS_NAME, "drawCircle", "data : " + data);
        if (data != null) {
            String[] mData = data.trim().split("_");
            Integer.parseInt(mData[0]);
            Integer.parseInt(mData[1]);
            Integer.parseInt(mData[2]);
        }
    }

    /* access modifiers changed from: protected */
    public void onDraw(Canvas canvas) {
        FtUtil.log_d(CLASS_NAME, "onDraw", "set Background Color");
        canvas.drawColor(this.mBackGroundColor);
        for (int i = 0; i < this.mCountCircle; i++) {
            FtUtil.log_d(CLASS_NAME, "onDraw", "fData[" + i + "] : " + this.fData[i + 1]);
            String[] strArr = this.fData;
            if (strArr[i + 1] != null) {
                String[] mData = strArr[i + 1].trim().split("_");
                int mx = Integer.parseInt(mData[0]);
                int my = Integer.parseInt(mData[1]);
                int mr = Integer.parseInt(mData[2]);
                this.mPaint.setStrokeWidth(5.0f);
                this.mPaint.setColor(InputDeviceCompat.SOURCE_ANY);
                this.mPaint.setStyle(Paint.Style.STROKE);
                canvas.drawCircle((float) mx, (float) my, (float) mr, this.mPaint);
                this.mPaint.setColor(-16777216);
                canvas.drawCircle((float) mx, (float) my, (float) (mr + 2), this.mPaint);
            }
        }
    }
}
