package com.sec.factory.app.ui;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.text.Editable;
import android.text.TextWatcher;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.TextView;
import android.widget.Toast;
import com.sec.factory.R;
import com.sec.factory.modules.ModuleCommon;
import com.sec.xmldata.support.Support;
import com.sec.xmldata.support.XMLDataStorage;
import java.util.ArrayList;

public class DeviceCmdEntry extends Activity implements View.OnClickListener {
    private Button mDeviceCmdPwCalcelButton;
    private EditText mDeviceCmdPwEdit;
    private Button mDeviceCmdPwOkButton;
    private TextView mDeviceCmdPwTitle;
    private long mPrevClickEventTime = -1;
    private int mTitleClickCount = 0;
    private ListView menuList1;
    private ListView menuList2;
    private ListView menuList3;

    static /* synthetic */ int access$308(DeviceCmdEntry x0) {
        int i = x0.mTitleClickCount;
        x0.mTitleClickCount = i + 1;
        return i;
    }

    private void initialize() {
        this.mDeviceCmdPwEdit = (EditText) findViewById(R.id.et_device_cmd_pw);
        this.mDeviceCmdPwOkButton = (Button) findViewById(R.id.btn_device_cmd_pw_ok);
        this.mDeviceCmdPwCalcelButton = (Button) findViewById(R.id.btn_device_cmd_pw_cancel);
        this.mDeviceCmdPwEdit.addTextChangedListener(new TextWatcher() {
            /* class com.sec.factory.app.ui.DeviceCmdEntry.AnonymousClass1 */

            public void afterTextChanged(Editable editable) {
                if (!editable.toString().isEmpty()) {
                    DeviceCmdEntry.this.mDeviceCmdPwOkButton.setClickable(true);
                } else {
                    DeviceCmdEntry.this.mDeviceCmdPwOkButton.setClickable(false);
                }
            }

            public void beforeTextChanged(CharSequence arg0, int arg1, int arg2, int arg3) {
            }

            public void onTextChanged(CharSequence arg0, int arg1, int arg2, int arg3) {
            }
        });
        EditText editText = this.mDeviceCmdPwEdit;
        editText.setSelection(editText.getText().length());
        this.mDeviceCmdPwOkButton.setOnClickListener(this);
        this.mDeviceCmdPwOkButton.setClickable(false);
        this.mDeviceCmdPwCalcelButton.setOnClickListener(this);
        ArrayList<String> arrMenu1 = new ArrayList<>();
        arrMenu1.add("UI Commander");
        ArrayList<String> arrMenu2 = new ArrayList<>();
        arrMenu2.add("Spec Editor");
        ArrayList<String> arrMenu3 = new ArrayList<>();
        arrMenu3.add("NV Controler");
        ListView listView = (ListView) findViewById(R.id.device_cmd_choose_menu1);
        this.menuList1 = listView;
        listView.setAdapter((ListAdapter) new ArrayAdapter(this, 17367043, arrMenu1));
        this.menuList1.setOnItemClickListener(new AdapterView.OnItemClickListener() {
            /* class com.sec.factory.app.ui.DeviceCmdEntry.AnonymousClass2 */

            @Override // android.widget.AdapterView.OnItemClickListener
            public void onItemClick(AdapterView<?> adapterView, View v, int position, long id) {
                if (position == 0) {
                    Intent i = new Intent();
                    i.setClassName("com.sec.factory", "com.sec.factory.app.uicommander.UICommanderActivity");
                    i.setFlags(603979776);
                    DeviceCmdEntry.this.startActivity(i);
                    DeviceCmdEntry.this.finish();
                }
            }
        });
        this.menuList1.setVisibility(4);
        ListView listView2 = (ListView) findViewById(R.id.device_cmd_choose_menu2);
        this.menuList2 = listView2;
        listView2.setAdapter((ListAdapter) new ArrayAdapter(this, 17367043, arrMenu2));
        this.menuList2.setOnItemClickListener(new AdapterView.OnItemClickListener() {
            /* class com.sec.factory.app.ui.DeviceCmdEntry.AnonymousClass3 */

            @Override // android.widget.AdapterView.OnItemClickListener
            public void onItemClick(AdapterView<?> adapterView, View v, int position, long id) {
                if (position == 0) {
                    Intent i = new Intent();
                    i.setClassName("com.sec.factory", "com.sec.factory.app.ui.SpecEditor");
                    i.setFlags(268435456);
                    DeviceCmdEntry.this.startActivity(i);
                    DeviceCmdEntry.this.finish();
                }
            }
        });
        this.menuList2.setVisibility(4);
        ListView listView3 = (ListView) findViewById(R.id.device_cmd_choose_menu3);
        this.menuList3 = listView3;
        listView3.setAdapter((ListAdapter) new ArrayAdapter(this, 17367043, arrMenu3));
        this.menuList3.setOnItemClickListener(new AdapterView.OnItemClickListener() {
            /* class com.sec.factory.app.ui.DeviceCmdEntry.AnonymousClass4 */

            @Override // android.widget.AdapterView.OnItemClickListener
            public void onItemClick(AdapterView<?> adapterView, View v, int position, long id) {
                if (position == 0) {
                    Intent i = new Intent();
                    i.setClassName("com.sec.factory", "com.sec.factory.app.ui.NvControl");
                    i.setFlags(603979776);
                    if (!ModuleCommon.instance(DeviceCmdEntry.this.getApplicationContext()).checkRpEnabled() || DeviceCmdEntry.this.checkEngBinary()) {
                        i.putExtra("writeable", true);
                    }
                    DeviceCmdEntry.this.startActivity(i);
                    DeviceCmdEntry.this.finish();
                }
            }
        });
        this.menuList3.setVisibility(4);
        this.menuList3.setEnabled(false);
        ((TextView) findViewById(R.id.device_cmd_entry_title)).setOnClickListener(new View.OnClickListener() {
            /* class com.sec.factory.app.ui.DeviceCmdEntry.AnonymousClass5 */

            public void onClick(View v) {
                if (DeviceCmdEntry.this.mPrevClickEventTime == -1) {
                    DeviceCmdEntry.this.mPrevClickEventTime = System.currentTimeMillis();
                    DeviceCmdEntry.this.mTitleClickCount = 0;
                } else if (System.currentTimeMillis() - DeviceCmdEntry.this.mPrevClickEventTime < 10000) {
                    DeviceCmdEntry.access$308(DeviceCmdEntry.this);
                    if (DeviceCmdEntry.this.mTitleClickCount == 10) {
                        DeviceCmdEntry.this.menuList3.setEnabled(true);
                    }
                } else {
                    DeviceCmdEntry.this.mPrevClickEventTime = -1;
                    DeviceCmdEntry.this.mTitleClickCount = 0;
                }
            }
        });
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean checkEngBinary() {
        if (!XMLDataStorage.instance().wasCompletedParsing()) {
            XMLDataStorage.instance().parseXML(this);
        }
        if ("eng".equalsIgnoreCase(Support.Properties.get(Support.Properties.BUILD_TYPE))) {
            return true;
        }
        return false;
    }

    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
    }

    /* access modifiers changed from: protected */
    public void onResume() {
        super.onResume();
        setContentView(R.layout.device_cmd_entry);
        getWindow().addFlags(128);
        initialize();
    }

    /* access modifiers changed from: protected */
    public void onStop() {
        super.onStop();
        finish();
    }

    /* access modifiers changed from: protected */
    public void onPause() {
        super.onPause();
    }

    /* access modifiers changed from: protected */
    public void onDestroy() {
        super.onDestroy();
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.btn_device_cmd_pw_cancel:
                finish();
                return;
            case R.id.btn_device_cmd_pw_ok:
                if ("SYSTEMMSP".equals(this.mDeviceCmdPwEdit.getText().toString())) {
                    this.menuList1.setVisibility(0);
                    this.menuList2.setVisibility(0);
                    return;
                } else if ("SYSTEMMSPNV".equals(this.mDeviceCmdPwEdit.getText().toString())) {
                    this.menuList3.setVisibility(0);
                    this.menuList3.setEnabled(false);
                    return;
                } else {
                    this.menuList1.setVisibility(4);
                    this.menuList2.setVisibility(4);
                    this.menuList3.setVisibility(4);
                    this.mDeviceCmdPwOkButton.getLocationOnScreen(new int[2]);
                    Toast toast = Toast.makeText(this, "please retry", 0);
                    toast.setGravity(17, 0, 0);
                    toast.show();
                    return;
                }
            default:
                return;
        }
    }
}
