package com.sec.factory.app.ui;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Rect;
import android.util.AttributeSet;
import android.util.Log;
import android.view.View;
import java.lang.reflect.Array;

public class FingerPrintTestResultView extends View {
    private final String TAG;
    private final int TEXTSIZE_RATIO;
    private int mCol;
    private int mColWidth;
    private int mEachRowHeight;
    private Paint mLinePaint;
    private Paint mNumberPaint;
    private Rect mRect;
    private Paint mResultFailPaint;
    private Paint mResultPassPaint;
    private int mRow;
    private int mScreenHeight_Max;
    private int mScreenWidth;
    private Paint mTextCenterPaint;
    private Paint mTextPaint;
    private String[][] mTexts;
    private final int paddingHeight;
    private final int paddingWidth;

    public FingerPrintTestResultView(Context context) {
        super(context);
        this.TAG = "FingerPrintTestResultView";
        this.paddingWidth = 20;
        this.paddingHeight = 20;
        this.TEXTSIZE_RATIO = 36;
        this.mScreenWidth = 100;
        this.mScreenHeight_Max = 100;
        this.mRow = 1;
        this.mCol = 1;
        this.mColWidth = 100;
        this.mEachRowHeight = 100;
        this.mRect = new Rect();
        this.mTexts = new String[][]{new String[]{null}};
        init(context);
    }

    public FingerPrintTestResultView(Context context, AttributeSet attrs, int defStyle) {
        super(context, attrs, defStyle);
        this.TAG = "FingerPrintTestResultView";
        this.paddingWidth = 20;
        this.paddingHeight = 20;
        this.TEXTSIZE_RATIO = 36;
        this.mScreenWidth = 100;
        this.mScreenHeight_Max = 100;
        this.mRow = 1;
        this.mCol = 1;
        this.mColWidth = 100;
        this.mEachRowHeight = 100;
        this.mRect = new Rect();
        this.mTexts = new String[][]{new String[]{null}};
        init(context);
    }

    public FingerPrintTestResultView(Context context, AttributeSet attrs) {
        super(context, attrs);
        this.TAG = "FingerPrintTestResultView";
        this.paddingWidth = 20;
        this.paddingHeight = 20;
        this.TEXTSIZE_RATIO = 36;
        this.mScreenWidth = 100;
        this.mScreenHeight_Max = 100;
        this.mRow = 1;
        this.mCol = 1;
        this.mColWidth = 100;
        this.mEachRowHeight = 100;
        this.mRect = new Rect();
        this.mTexts = new String[][]{new String[]{null}};
        init(context);
    }

    private void init(Context context) {
        Paint paint = new Paint(1);
        this.mLinePaint = paint;
        paint.setStyle(Paint.Style.STROKE);
        this.mLinePaint.setStrokeWidth(3.0f);
        this.mLinePaint.setColor(-7829368);
        Paint paint2 = new Paint(1);
        this.mTextPaint = paint2;
        paint2.setStyle(Paint.Style.FILL_AND_STROKE);
        this.mTextPaint.setStrokeWidth(1.0f);
        this.mTextPaint.setColor(-16777216);
        this.mTextPaint.setTextSize(40.0f);
        Paint paint3 = new Paint(1);
        this.mTextCenterPaint = paint3;
        paint3.setStyle(Paint.Style.FILL_AND_STROKE);
        this.mTextCenterPaint.setStrokeWidth(1.0f);
        this.mTextCenterPaint.setColor(-16777216);
        this.mTextCenterPaint.setTextAlign(Paint.Align.CENTER);
        this.mTextCenterPaint.setTextSize(40.0f);
        Paint paint4 = new Paint(1);
        this.mNumberPaint = paint4;
        paint4.setStyle(Paint.Style.FILL_AND_STROKE);
        this.mNumberPaint.setStrokeWidth(1.0f);
        this.mNumberPaint.setColor(-16777216);
        this.mNumberPaint.setTextAlign(Paint.Align.RIGHT);
        this.mNumberPaint.setTextSize(40.0f);
        Paint paint5 = new Paint(1);
        this.mResultPassPaint = paint5;
        paint5.setStyle(Paint.Style.FILL_AND_STROKE);
        this.mResultPassPaint.setStrokeWidth(1.0f);
        this.mResultPassPaint.setColor(UiHallICTest.FONT_COLOR_PASS);
        this.mResultPassPaint.setTextAlign(Paint.Align.CENTER);
        this.mResultPassPaint.setTextSize(50.0f);
        Paint paint6 = new Paint(1);
        this.mResultFailPaint = paint6;
        paint6.setStyle(Paint.Style.FILL_AND_STROKE);
        this.mResultFailPaint.setStrokeWidth(1.0f);
        this.mResultFailPaint.setColor(-65536);
        this.mResultFailPaint.setTextAlign(Paint.Align.CENTER);
        this.mResultFailPaint.setTextSize(50.0f);
    }

    public void setRowCol(int row, int col) {
        Log.e("FingerPrintTestResultView", "setRowCol row : " + row + ", col : " + col);
        this.mRow = row;
        this.mCol = col;
        this.mTexts = null;
        int[] iArr = new int[2];
        iArr[1] = col;
        iArr[0] = row;
        this.mTexts = (String[][]) Array.newInstance(String.class, iArr);
        this.mEachRowHeight = this.mScreenHeight_Max / this.mRow;
        this.mColWidth = this.mScreenWidth / this.mCol;
        for (int i = 0; i < this.mRow; i++) {
            for (int j = 0; j < this.mCol; j++) {
                this.mTexts[i][j] = null;
            }
        }
    }

    public void setCanvasSize(int w, int h) {
        Log.e("FingerPrintTestResultView", "setCanvasSize w : " + w + ", h : " + h);
        this.mScreenWidth = w + -40;
        this.mScreenHeight_Max = h + -40;
        int textSize = w / 36;
        this.mTextPaint.setTextSize((float) textSize);
        this.mTextCenterPaint.setTextSize((float) textSize);
        this.mNumberPaint.setTextSize((float) textSize);
        this.mResultPassPaint.setTextSize((float) (textSize + 10));
        this.mResultFailPaint.setTextSize((float) (textSize + 10));
    }

    public void setTextSize(int size) {
        this.mTextPaint.setTextSize((float) size);
        this.mNumberPaint.setTextSize((float) size);
        this.mResultPassPaint.setTextSize((float) (size + 10));
        this.mResultFailPaint.setTextSize((float) (size + 10));
    }

    public void setTextData(int row, int col, String text) {
        if (row < this.mRow && col < this.mCol) {
            this.mTexts[row][col] = text;
        }
    }

    public static boolean isNumeric(String str) {
        return str.matches("-?\\d+(\\.\\d+)?");
    }

    /* access modifiers changed from: protected */
    public void onDraw(Canvas canvas) {
        Log.e("FingerPrintTestResultView", "onDraw row : " + this.mRow + ", col : " + this.mCol);
        canvas.drawColor(-1);
        int i = 0;
        while (i < this.mRow) {
            int j = 0;
            while (j < this.mCol) {
                if (this.mTexts[i][j] != null) {
                    int k = j + 1;
                    while (k < this.mCol && this.mTexts[i][k] == null) {
                        k++;
                    }
                    this.mRect.left = (this.mColWidth * j) + 20;
                    this.mRect.right = (this.mColWidth * k) + 20;
                    this.mRect.top = (this.mEachRowHeight * i) + 20;
                    this.mRect.bottom = ((i + 1) * this.mEachRowHeight) + 20;
                    canvas.drawRect(this.mRect, this.mLinePaint);
                    if ("PASS".equals(this.mTexts[i][j])) {
                        canvas.drawText(this.mTexts[i][j], (float) (this.mRect.left + ((this.mRect.right - this.mRect.left) / 2)), (float) (this.mRect.top + ((this.mEachRowHeight / 4) * 3)), this.mResultPassPaint);
                    } else if ("FAIL".equals(this.mTexts[i][j])) {
                        canvas.drawText(this.mTexts[i][j], (float) (this.mRect.left + ((this.mRect.right - this.mRect.left) / 2)), (float) (this.mRect.top + ((this.mEachRowHeight / 4) * 3)), this.mResultFailPaint);
                    } else if (isNumeric(this.mTexts[i][j])) {
                        canvas.drawText(this.mTexts[i][j], (float) (this.mRect.left + (((this.mRect.right - this.mRect.left) / 4) * 3)), (float) (this.mRect.top + ((this.mEachRowHeight / 4) * 3)), this.mNumberPaint);
                    } else {
                        canvas.drawText(this.mTexts[i][j], (float) (this.mRect.left + ((this.mRect.right - this.mRect.left) / 2)), (float) (this.mRect.top + ((this.mEachRowHeight / 4) * 3)), this.mTextCenterPaint);
                    }
                    j = k - 1;
                }
                j++;
            }
            i++;
        }
    }
}
