package com.sec.factory.app.ui;

import android.app.Fragment;
import android.content.Context;
import android.graphics.PointF;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.util.TypedValue;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.WindowManager;
import android.widget.TableRow;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.File;
import java.util.Timer;
import java.util.TimerTask;

public class FragmentGeomagneticAlpsCal extends Fragment {
    private final String CLASS_NAME;
    public float CalDeltaSpec;
    Handler Calhandler;
    private Timer Caltimer;
    private boolean Max_First;
    private boolean Min_First;
    private String bgcResult;
    private boolean isCalTestPass;
    private Context mContext;
    private HallICPoint mHallICPoint;
    private Handler mHandler;
    private WindowManager.LayoutParams mLayoutParams;
    private TableRow mTableRow_ADC;
    private TableRow mTableRow_Initialized;
    private TableRow mTableRow_Status;
    private TextView mTextResult;
    private TextView mTextResult_Cal;
    private TextView mText_ADC_Title;
    private TextView mText_ADC_X;
    private TextView mText_ADC_Y;
    private TextView mText_ADC_Z;
    private TextView mText_Cal_Moebius;
    private TextView mText_Initialized;
    private TextView mText_Initialized_Title;
    private TextView mText_Raw_Delta_Title;
    private TextView mText_Raw_Max_Title;
    private TextView mText_Raw_Min_Title;
    private TextView mText_Raw_X_Delta;
    private TextView mText_Raw_X_Max;
    private TextView mText_Raw_X_Min;
    private TextView mText_Raw_Y_Delta;
    private TextView mText_Raw_Y_Max;
    private TextView mText_Raw_Y_Min;
    private TextView mText_Raw_Z_Delta;
    private TextView mText_Raw_Z_Max;
    private TextView mText_Raw_Z_Min;
    private TextView mText_Status;
    private TextView mText_Status_Title;
    private TextView mText_Title;
    private TextView mText_X_Title;
    private TextView mText_Y_Title;
    private TextView mText_Z_Title;
    private View mView;
    private WindowManager mWindowManager;
    public float[] raw_data;
    public float[] raw_data_delta;
    public float[] raw_data_max;
    public float[] raw_data_min;
    private TimerTask task;
    public boolean x_delta_result;
    public boolean y_delta_result;
    public boolean z_delta_result;

    public static class DataGeomagneticAlpsCal {
        public String mADC_Result;
        public String mADC_X;
        public String mADC_Y;
        public String mADC_Z;
        public String mInitialized;
        public boolean mIsDisplay_ADC;
        public boolean mIsDisplay_Initialized;
        public boolean mIsDisplay_Status;
        public String mStatus;
        public String mStatus_Result;
    }

    public FragmentGeomagneticAlpsCal() {
        this.CLASS_NAME = "FragmentGeomagneticAlpsCal";
        this.bgcResult = "";
        this.raw_data = new float[3];
        this.raw_data_min = new float[3];
        this.raw_data_max = new float[3];
        this.raw_data_delta = new float[3];
        this.x_delta_result = false;
        this.y_delta_result = false;
        this.z_delta_result = false;
        this.CalDeltaSpec = (float) Integer.valueOf(Support.TestCase.getString(Support.TestCase.GEOMAGNETIC_ALPS_CAL_DELTA_SPEC)).intValue();
        this.Min_First = true;
        this.Max_First = true;
        this.isCalTestPass = false;
        this.Calhandler = new Handler() {
            /* class com.sec.factory.app.ui.FragmentGeomagneticAlpsCal.AnonymousClass1 */

            public void handleMessage(Message msg) {
                FragmentGeomagneticAlpsCal.this.GetRawMin();
                FragmentGeomagneticAlpsCal.this.GetRawMax();
                FragmentGeomagneticAlpsCal.this.GetRawDelta();
                FragmentGeomagneticAlpsCal.this.UpdateCal();
            }
        };
    }

    public FragmentGeomagneticAlpsCal(Context context) {
        this.CLASS_NAME = "FragmentGeomagneticAlpsCal";
        this.bgcResult = "";
        this.raw_data = new float[3];
        this.raw_data_min = new float[3];
        this.raw_data_max = new float[3];
        this.raw_data_delta = new float[3];
        this.x_delta_result = false;
        this.y_delta_result = false;
        this.z_delta_result = false;
        this.CalDeltaSpec = (float) Integer.valueOf(Support.TestCase.getString(Support.TestCase.GEOMAGNETIC_ALPS_CAL_DELTA_SPEC)).intValue();
        this.Min_First = true;
        this.Max_First = true;
        this.isCalTestPass = false;
        this.Calhandler = new Handler() {
            /* class com.sec.factory.app.ui.FragmentGeomagneticAlpsCal.AnonymousClass1 */

            public void handleMessage(Message msg) {
                FragmentGeomagneticAlpsCal.this.GetRawMin();
                FragmentGeomagneticAlpsCal.this.GetRawMax();
                FragmentGeomagneticAlpsCal.this.GetRawDelta();
                FragmentGeomagneticAlpsCal.this.UpdateCal();
            }
        };
        this.mContext = context;
    }

    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        FtUtil.log_d("FragmentGeomagneticAlpsCal", "onCreateView", null);
        View inflate = inflater.inflate(R.layout.fragment_geomagnetic_alps_cal, (ViewGroup) null);
        this.mView = inflate;
        init(inflate);
        setUIRate();
        return this.mView;
    }

    public void onPause() {
        super.onPause();
        TimerTask timerTask = this.task;
        if (timerTask != null) {
            timerTask.cancel();
        }
    }

    private void init(View view) {
        FtUtil.log_d("FragmentGeomagneticAlpsCal", "init", null);
        this.mText_Title = (TextView) view.findViewById(R.id.title);
        this.mTableRow_Initialized = (TableRow) view.findViewById(R.id.tablerow_initialized);
        this.mText_Initialized_Title = (TextView) view.findViewById(R.id.initialized_title);
        this.mText_Initialized = (TextView) view.findViewById(R.id.initialized);
        this.mTableRow_Status = (TableRow) view.findViewById(R.id.tablerow_status);
        this.mText_Status_Title = (TextView) view.findViewById(R.id.status_title);
        this.mText_Status = (TextView) view.findViewById(R.id.status);
        this.mText_X_Title = (TextView) view.findViewById(R.id.x_title);
        this.mText_Y_Title = (TextView) view.findViewById(R.id.y_title);
        this.mText_Z_Title = (TextView) view.findViewById(R.id.z_title);
        this.mTableRow_ADC = (TableRow) view.findViewById(R.id.tablerow_adc);
        this.mText_ADC_Title = (TextView) view.findViewById(R.id.adc_title);
        this.mText_ADC_X = (TextView) view.findViewById(R.id.adc_x);
        this.mText_ADC_Y = (TextView) view.findViewById(R.id.adc_y);
        this.mText_ADC_Z = (TextView) view.findViewById(R.id.adc_z);
        this.mText_Raw_Min_Title = (TextView) view.findViewById(R.id.raw_min_title);
        this.mText_Raw_Max_Title = (TextView) view.findViewById(R.id.raw_max_title);
        this.mText_Raw_Delta_Title = (TextView) view.findViewById(R.id.raw_delta_title);
        this.mText_Raw_X_Min = (TextView) view.findViewById(R.id.raw_x_min);
        this.mText_Raw_X_Max = (TextView) view.findViewById(R.id.raw_x_max);
        this.mText_Raw_X_Delta = (TextView) view.findViewById(R.id.raw_x_delta);
        this.mText_Raw_Y_Min = (TextView) view.findViewById(R.id.raw_y_min);
        this.mText_Raw_Y_Max = (TextView) view.findViewById(R.id.raw_y_max);
        this.mText_Raw_Y_Delta = (TextView) view.findViewById(R.id.raw_y_delta);
        this.mText_Raw_Z_Min = (TextView) view.findViewById(R.id.raw_z_min);
        this.mText_Raw_Z_Max = (TextView) view.findViewById(R.id.raw_z_max);
        this.mText_Raw_Z_Delta = (TextView) view.findViewById(R.id.raw_z_delta);
        this.mText_Cal_Moebius = (TextView) view.findViewById(R.id.cal_moebius_title);
        this.mTextResult = (TextView) view.findViewById(R.id.result);
        this.mTextResult_Cal = (TextView) view.findViewById(R.id.result_cal);
        if (Support.TestCase.getEnabled(Support.TestCase.GEOMAGNETIC_IC_POINT)) {
            this.mHallICPoint = new HallICPoint(getActivity());
            this.mWindowManager = (WindowManager) getActivity().getSystemService("window");
            WindowManager.LayoutParams layoutParams = new WindowManager.LayoutParams(-1, -1, 2005, 24, -3);
            this.mLayoutParams = layoutParams;
            this.mWindowManager.addView(this.mHallICPoint, layoutParams);
            this.mHallICPoint.setVisibility(0);
            PointF point = Support.TestCase.getViewPointF(Support.TestCase.GEOMAGNETIC_IC_POINT);
            float pxX = point.x;
            float pxY = point.y;
            float radius = Support.TestCase.getKeyTextSize(Support.TestCase.GEOMAGNETIC_IC_POINT);
            String unit = Support.TestCase.getAttribute(Support.TestCase.GEOMAGNETIC_IC_POINT, "unit", "mm");
            FtUtil.log_d("FragmentGeomagneticAlpsCal", Support.TestCase.GEOMAGNETIC_IC_POINT, "unit: " + unit);
            if ("mm".equalsIgnoreCase(unit)) {
                pxX = TypedValue.applyDimension(5, point.x, getResources().getDisplayMetrics());
                pxY = TypedValue.applyDimension(5, point.y, getResources().getDisplayMetrics());
                radius = TypedValue.applyDimension(5, radius, getResources().getDisplayMetrics());
            }
            this.mHallICPoint.setRadius(radius);
            this.mHallICPoint.setPoint(pxX, pxY);
            FtUtil.log_i("FragmentGeomagneticAlpsCal", Support.TestCase.GEOMAGNETIC_IC_POINT, "radius = " + radius);
            FtUtil.log_i("FragmentGeomagneticAlpsCal", Support.TestCase.GEOMAGNETIC_IC_POINT, "pxX = " + pxX);
            FtUtil.log_i("FragmentGeomagneticAlpsCal", Support.TestCase.GEOMAGNETIC_IC_POINT, "pxY = " + pxY);
        }
    }

    private void setUIRate() {
        float rate = Support.FactoryTestMenu.getUIRate(FactoryTestManager.convertorID_XML((byte) 20));
        FtUtil.log_d("FragmentGeomagneticAlpsCal", "setUIRate", "rate : " + rate);
        if (rate != 0.0f && rate != 1.0f) {
            TextView textView = this.mText_Title;
            textView.setTextSize(0, textView.getTextSize() * rate);
            TextView textView2 = this.mText_Initialized_Title;
            textView2.setTextSize(0, textView2.getTextSize() * rate);
            TextView textView3 = this.mText_Initialized;
            textView3.setTextSize(0, textView3.getTextSize() * rate);
            TextView textView4 = this.mText_Status_Title;
            textView4.setTextSize(0, textView4.getTextSize() * rate);
            TextView textView5 = this.mText_Status;
            textView5.setTextSize(0, textView5.getTextSize() * rate);
            TextView textView6 = this.mText_X_Title;
            textView6.setTextSize(0, textView6.getTextSize() * rate);
            TextView textView7 = this.mText_Y_Title;
            textView7.setTextSize(0, textView7.getTextSize() * rate);
            TextView textView8 = this.mText_Z_Title;
            textView8.setTextSize(0, textView8.getTextSize() * rate);
            TextView textView9 = this.mText_ADC_Title;
            textView9.setTextSize(0, textView9.getTextSize() * rate);
            TextView textView10 = this.mText_ADC_X;
            textView10.setTextSize(0, textView10.getTextSize() * rate);
            TextView textView11 = this.mText_ADC_Y;
            textView11.setTextSize(0, textView11.getTextSize() * rate);
            TextView textView12 = this.mText_ADC_Z;
            textView12.setTextSize(0, textView12.getTextSize() * rate);
            TextView textView13 = this.mText_Raw_Min_Title;
            textView13.setTextSize(0, textView13.getTextSize() * rate);
            TextView textView14 = this.mText_Raw_Max_Title;
            textView14.setTextSize(0, textView14.getTextSize() * rate);
            TextView textView15 = this.mText_Raw_Delta_Title;
            textView15.setTextSize(0, textView15.getTextSize() * rate);
            TextView textView16 = this.mText_Raw_X_Min;
            textView16.setTextSize(0, textView16.getTextSize() * rate);
            TextView textView17 = this.mText_Raw_X_Max;
            textView17.setTextSize(0, textView17.getTextSize() * rate);
            TextView textView18 = this.mText_Raw_X_Delta;
            textView18.setTextSize(0, textView18.getTextSize() * rate);
            TextView textView19 = this.mText_Raw_Y_Min;
            textView19.setTextSize(0, textView19.getTextSize() * rate);
            TextView textView20 = this.mText_Raw_Y_Max;
            textView20.setTextSize(0, textView20.getTextSize() * rate);
            TextView textView21 = this.mText_Raw_Y_Delta;
            textView21.setTextSize(0, textView21.getTextSize() * rate);
            TextView textView22 = this.mText_Raw_Z_Min;
            textView22.setTextSize(0, textView22.getTextSize() * rate);
            TextView textView23 = this.mText_Raw_Z_Max;
            textView23.setTextSize(0, textView23.getTextSize() * rate);
            TextView textView24 = this.mText_Raw_Z_Delta;
            textView24.setTextSize(0, textView24.getTextSize() * rate);
            TextView textView25 = this.mText_Cal_Moebius;
            textView25.setTextSize(0, textView25.getTextSize() * rate);
            TextView textView26 = this.mTextResult;
            textView26.setTextSize(0, textView26.getTextSize() * rate);
            TextView textView27 = this.mTextResult_Cal;
            textView27.setTextSize(0, textView27.getTextSize() * rate);
        }
    }

    public void update(DataGeomagneticAlpsCal data, Handler handler) {
        FtUtil.log_i("FragmentGeomagneticAlpsCal", "update", null);
        this.mHandler = handler;
        if (data == null) {
            FtUtil.log_e("FragmentGeomagneticAlpsCal", "update", "Warning: data is null.");
            return;
        }
        boolean isPass = true;
        if (data.mIsDisplay_Initialized) {
            this.mTableRow_Initialized.setVisibility(0);
            if (data.mInitialized != null) {
                if (data.mInitialized.equals(EgisFingerprint.MAJOR_VERSION)) {
                    FtUtil.log_d("FragmentGeomagneticAlpsCal", "update", "Initialized - Pass");
                } else {
                    FtUtil.log_e("FragmentGeomagneticAlpsCal", "update", "Initialized - Fail");
                    isPass = false;
                }
                this.mText_Initialized.setText(data.mInitialized);
                FtUtil.log_i("FragmentGeomagneticAlpsCal", "update", "Initialized Return : " + data.mInitialized);
            } else {
                isPass = false;
                this.mText_Initialized.setText("NONE");
                FtUtil.log_e("FragmentGeomagneticAlpsCal", "update", "Initialized - Fail : null");
            }
        } else {
            FtUtil.log_e("FragmentGeomagneticAlpsCal", "update", "Initialized> data==null || Display==false");
        }
        if (data.mIsDisplay_Status) {
            this.mTableRow_Status.setVisibility(0);
            if (data.mStatus == null || data.mStatus_Result == null) {
                isPass = false;
                this.mText_Status.setText("NONE");
                FtUtil.log_e("FragmentGeomagneticAlpsCal", "update", "Status - Fail : null");
            } else {
                if (data.mStatus_Result.equals("OK")) {
                    FtUtil.log_d("FragmentGeomagneticAlpsCal", "update", "Status - Pass");
                } else {
                    FtUtil.log_e("FragmentGeomagneticAlpsCal", "update", "Status - Fail");
                    isPass = false;
                }
                this.mText_Status.setText(data.mStatus);
                FtUtil.log_i("FragmentGeomagneticAlpsCal", "update", "Retuen : " + data.mStatus_Result + ", Status : " + data.mStatus);
            }
        } else {
            FtUtil.log_e("FragmentGeomagneticAlpsCal", "update", "Status> data==null || Display==false");
        }
        if (data.mIsDisplay_ADC) {
            this.mTableRow_ADC.setVisibility(0);
            if (data.mADC_X == null || data.mADC_Y == null || data.mADC_Z == null || data.mADC_Result == null) {
                isPass = false;
                this.mText_ADC_X.setText("NONE");
                this.mText_ADC_Y.setText("NONE");
                this.mText_ADC_Z.setText("NONE");
                FtUtil.log_e("FragmentGeomagneticAlpsCal", "update", "ADC - Fail : null");
            } else {
                if (data.mADC_Result.equals("OK")) {
                    FtUtil.log_d("FragmentGeomagneticAlpsCal", "update", "ADC - Pass");
                } else {
                    FtUtil.log_e("FragmentGeomagneticAlpsCal", "update", "ADC - Fail");
                    isPass = false;
                }
                this.mText_ADC_X.setText(data.mADC_X);
                this.mText_ADC_Y.setText(data.mADC_Y);
                this.mText_ADC_Z.setText(data.mADC_Z);
                FtUtil.log_i("FragmentGeomagneticAlpsCal", "update", "Retuen : " + data.mADC_Result + ", [ADC]X:" + data.mADC_X + ", Y:" + data.mADC_Y + ", Z:" + data.mADC_Z);
            }
        } else {
            FtUtil.log_e("FragmentGeomagneticAlpsCal", "update", "ADC> data==null || Display==false");
        }
        this.bgcResult += data.mInitialized;
        this.bgcResult += ",";
        this.bgcResult += data.mADC_Result;
        this.bgcResult += ",";
        this.bgcResult += data.mADC_X;
        this.bgcResult += ",";
        this.bgcResult += data.mADC_Y;
        this.bgcResult += ",";
        this.bgcResult += data.mADC_Z;
        this.mTextResult.setText(isPass ? "PASS" : "FAIL");
        this.mTextResult.setTextColor(isPass ? UiHallICTest.FONT_COLOR_PASS : -65536);
        if (isPass) {
            GeomagneticAlpsCalStart();
        } else {
            this.mHandler.sendEmptyMessage(UIGeomagneticGyro.WHAT_GEOMAGNETIC_FAIL);
        }
    }

    /* access modifiers changed from: protected */
    public void GeomagneticAlpsCalStart() {
        this.Caltimer = new Timer();
        AnonymousClass2 r2 = new TimerTask() {
            /* class com.sec.factory.app.ui.FragmentGeomagneticAlpsCal.AnonymousClass2 */

            public void run() {
                FragmentGeomagneticAlpsCal.this.MagneticGetRawData();
                if (!FragmentGeomagneticAlpsCal.this.isCalTestPass) {
                    FragmentGeomagneticAlpsCal.this.Calhandler.sendEmptyMessage(0);
                }
            }
        };
        this.task = r2;
        this.Caltimer.schedule(r2, 0, 10);
    }

    public void UpdateCal() {
        float[] fArr;
        FtUtil.log_i("FragmentGeomagneticAlpsCal", "UpdateCal", null);
        if (this.raw_data_delta == null || (fArr = this.raw_data_min) == null || this.raw_data_max == null) {
            FtUtil.log_e("FragmentGeomagneticAlpsCal", "update", "Warning: raw_data_delta is null.");
            return;
        }
        this.mText_Raw_X_Min.setText(String.valueOf(fArr[0]));
        this.mText_Raw_X_Max.setText(String.valueOf(this.raw_data_max[0]));
        this.mText_Raw_X_Delta.setText(String.valueOf(this.raw_data_delta[0]));
        this.mText_Raw_Y_Min.setText(String.valueOf(this.raw_data_min[1]));
        this.mText_Raw_Y_Max.setText(String.valueOf(this.raw_data_max[1]));
        this.mText_Raw_Y_Delta.setText(String.valueOf(this.raw_data_delta[1]));
        this.mText_Raw_Z_Min.setText(String.valueOf(this.raw_data_min[2]));
        this.mText_Raw_Z_Max.setText(String.valueOf(this.raw_data_max[2]));
        this.mText_Raw_Z_Delta.setText(String.valueOf(this.raw_data_delta[2]));
        float[] fArr2 = this.raw_data_delta;
        float f = fArr2[0];
        float f2 = this.CalDeltaSpec;
        if (f >= f2) {
            this.x_delta_result = true;
        }
        if (fArr2[1] >= f2) {
            this.y_delta_result = true;
        }
        if (fArr2[2] >= f2) {
            this.z_delta_result = true;
        }
        if (this.x_delta_result && this.y_delta_result && this.z_delta_result) {
            this.isCalTestPass = true;
            this.bgcResult += ",";
            this.bgcResult += "OK";
            this.bgcResult += ",";
            this.bgcResult += this.raw_data_delta[0];
            this.bgcResult += ",";
            this.bgcResult += this.raw_data_delta[1];
            this.bgcResult += ",";
            this.bgcResult += this.raw_data_delta[2];
            FtUtil.log_d("FragmentGeomagneticAlpsCal", "DataGeomagneticAlpsCal", "BackGroundCommandResult : " + this.bgcResult);
            Support.Kernel.writeToPathNsync(new File("/data/log/GeoMagneticData.log").getPath(), this.bgcResult);
        }
        this.mTextResult_Cal.setText(this.isCalTestPass ? "PASS" : "Cal Checking...");
        this.mTextResult_Cal.setTextColor(this.isCalTestPass ? UiHallICTest.FONT_COLOR_PASS : -65536);
        if (this.isCalTestPass) {
            FtUtil.log_d("FragmentGeomagneticAlpsCal", "UpdateCal", "RawData Delta Spec PASS");
            TimerTask timerTask = this.task;
            if (timerTask != null) {
                timerTask.cancel();
            }
            this.Calhandler.removeMessages(0);
            this.mHandler.sendEmptyMessage(UIGeomagneticGyro.WHAT_GEOMAGNETIC_PASS);
            return;
        }
        FtUtil.log_e("FragmentGeomagneticAlpsCal", "UpdateCal", "RawData Delta Spec FAIL");
        this.mHandler.sendEmptyMessage(UIGeomagneticGyro.WHAT_GEOMAGNETIC_FAIL);
    }

    public void MagneticGetRawData() {
        String str = Support.Kernel.read(Support.Kernel.MAGNT_SENSOR_RAW);
        if (str != null) {
            String[] RawDatas = str.split(",");
            if (RawDatas[0] == null) {
                RawDatas[0] = "0.0";
            }
            if (RawDatas[1] == null) {
                RawDatas[1] = "0.0";
            }
            if (RawDatas[2] == null) {
                RawDatas[2] = "0.0";
            }
            this.raw_data[0] = Float.valueOf(RawDatas[0]).floatValue();
            this.raw_data[1] = Float.valueOf(RawDatas[1]).floatValue();
            this.raw_data[2] = Float.valueOf(RawDatas[2]).floatValue();
            return;
        }
        FtUtil.log_d("FragmentGeomagneticAlpsCal", "MagneticGetRawData() str is null", str);
    }

    public void GetRawMin() {
        FtUtil.log_i("FragmentGeomagneticAlpsCal", "GetRawMin", null);
        if (this.Min_First) {
            float[] fArr = this.raw_data_min;
            float[] fArr2 = this.raw_data;
            fArr[0] = fArr2[0];
            fArr[1] = fArr2[1];
            fArr[2] = fArr2[2];
            this.Min_First = false;
        }
        float[] fArr3 = this.raw_data;
        float f = fArr3[0];
        float[] fArr4 = this.raw_data_min;
        if (f < fArr4[0]) {
            fArr4[0] = fArr3[0];
        }
        if (fArr3[1] < fArr4[1]) {
            fArr4[1] = fArr3[1];
        }
        if (fArr3[2] < fArr4[2]) {
            fArr4[2] = fArr3[2];
        }
        FtUtil.log_i("FragmentGeomagneticAlpsCal", "GetRawMin", "X : " + this.raw_data_min[0] + ", Y : " + this.raw_data_min[1] + ", Z : " + this.raw_data_min[2]);
    }

    public void GetRawMax() {
        FtUtil.log_i("FragmentGeomagneticAlpsCal", "GetRawMax", null);
        if (this.Max_First) {
            float[] fArr = this.raw_data_max;
            float[] fArr2 = this.raw_data;
            fArr[0] = fArr2[0];
            fArr[1] = fArr2[1];
            fArr[2] = fArr2[2];
            this.Max_First = false;
        }
        float[] fArr3 = this.raw_data_max;
        float f = fArr3[0];
        float[] fArr4 = this.raw_data;
        if (f < fArr4[0]) {
            fArr3[0] = fArr4[0];
        }
        if (fArr3[1] < fArr4[1]) {
            fArr3[1] = fArr4[1];
        }
        if (fArr3[2] < fArr4[2]) {
            fArr3[2] = fArr4[2];
        }
        FtUtil.log_i("FragmentGeomagneticAlpsCal", "GetRawMax", "X : " + this.raw_data_max[0] + ", Y : " + this.raw_data_max[1] + ", Z : " + this.raw_data_max[2]);
    }

    public void GetRawDelta() {
        FtUtil.log_i("FragmentGeomagneticAlpsCal", "GetRawDelta", null);
        float[] fArr = this.raw_data_delta;
        float[] fArr2 = this.raw_data_max;
        float f = fArr2[0];
        float[] fArr3 = this.raw_data_min;
        fArr[0] = f - fArr3[0];
        fArr[1] = fArr2[1] - fArr3[1];
        fArr[2] = fArr2[2] - fArr3[2];
        FtUtil.log_i("FragmentGeomagneticAlpsCal", "GetRawDelta", "X : " + this.raw_data_delta[0] + ", Y : " + this.raw_data_delta[1] + ", Z : " + this.raw_data_delta[2]);
    }
}
