package com.sec.factory.app.ui;

import android.app.Fragment;
import android.content.Context;
import android.os.Bundle;
import android.os.Handler;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TableRow;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.File;

public class FragmentGeomagneticAsahi extends Fragment {
    private final String CLASS_NAME = "FragmentGeomagneticAsahi";
    private String bgcResult = "";
    private Context mContext;
    private TableRow mTableRow_ADC;
    private TableRow mTableRow_DAC;
    private TableRow mTableRow_HX;
    private TableRow mTableRow_HY;
    private TableRow mTableRow_HZ;
    private TableRow mTableRow_Initialized;
    private TableRow mTableRow_Temp;
    private TextView mTextResult;
    private TextView mText_ADC_Title;
    private TextView mText_ADC_X;
    private TextView mText_ADC_Y;
    private TextView mText_ADC_Z;
    private TextView mText_DAC_Title;
    private TextView mText_DAC_X;
    private TextView mText_DAC_Y;
    private TextView mText_DAC_Z;
    private TextView mText_HX;
    private TextView mText_HX_Title;
    private TextView mText_HY;
    private TextView mText_HY_Title;
    private TextView mText_HZ;
    private TextView mText_HZ_Title;
    private TextView mText_Initialized;
    private TextView mText_Initialized_Title;
    private TextView mText_Temp;
    private TextView mText_Temp_Title;
    private TextView mText_Title;
    private TextView mText_X_Title;
    private TextView mText_Y_Title;
    private TextView mText_Z_Title;

    public static class DataGeomagneticAsahi {
        public String mADC_Result;
        public String mADC_X;
        public String mADC_Y;
        public String mADC_Z;
        public String mDAC_Result;
        public String mDAC_X;
        public String mDAC_Y;
        public String mDAC_Z;
        public String mInitialized;
        public boolean mIsDisplay_ADC;
        public boolean mIsDisplay_DAC;
        public boolean mIsDisplay_Initialized;
        public boolean mIsDisplay_Self;
        public boolean mIsDisplay_Temperature;
        public String mSelf_Result;
        public String mSelf_X;
        public String mSelf_Y;
        public String mSelf_Z;
        public String mTemperature;
        public String mTemperature_Result;
    }

    public FragmentGeomagneticAsahi() {
    }

    public FragmentGeomagneticAsahi(Context context) {
        this.mContext = context;
    }

    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        FtUtil.log_d("FragmentGeomagneticAsahi", "onCreateView", null);
        View view = inflater.inflate(R.layout.fragment_geomagnetic_asahi, (ViewGroup) null);
        init(view);
        setUIRate();
        return view;
    }

    private void init(View view) {
        FtUtil.log_d("FragmentGeomagneticAsahi", "init", null);
        this.mText_Title = (TextView) view.findViewById(R.id.title);
        this.mTableRow_Initialized = (TableRow) view.findViewById(R.id.tablerow_initialized);
        this.mText_Initialized_Title = (TextView) view.findViewById(R.id.initialized_title);
        this.mText_Initialized = (TextView) view.findViewById(R.id.initialized);
        this.mTableRow_Temp = (TableRow) view.findViewById(R.id.tablerow_temp);
        this.mText_Temp_Title = (TextView) view.findViewById(R.id.temp_title);
        this.mText_Temp = (TextView) view.findViewById(R.id.temp);
        this.mTableRow_HX = (TableRow) view.findViewById(R.id.tablerow_hx);
        this.mText_HX_Title = (TextView) view.findViewById(R.id.hx_title);
        this.mText_HX = (TextView) view.findViewById(R.id.hx);
        this.mTableRow_HY = (TableRow) view.findViewById(R.id.tablerow_hy);
        this.mText_HY_Title = (TextView) view.findViewById(R.id.hy_title);
        this.mText_HY = (TextView) view.findViewById(R.id.hy);
        this.mTableRow_HZ = (TableRow) view.findViewById(R.id.tablerow_hz);
        this.mText_HZ_Title = (TextView) view.findViewById(R.id.hz_title);
        this.mText_HZ = (TextView) view.findViewById(R.id.hz);
        this.mText_X_Title = (TextView) view.findViewById(R.id.x_title);
        this.mText_Y_Title = (TextView) view.findViewById(R.id.y_title);
        this.mText_Z_Title = (TextView) view.findViewById(R.id.z_title);
        this.mTableRow_DAC = (TableRow) view.findViewById(R.id.tablerow_dac);
        this.mText_DAC_Title = (TextView) view.findViewById(R.id.dac_title);
        this.mText_DAC_X = (TextView) view.findViewById(R.id.dac_x);
        this.mText_DAC_Y = (TextView) view.findViewById(R.id.dac_y);
        this.mText_DAC_Z = (TextView) view.findViewById(R.id.dac_z);
        this.mTableRow_ADC = (TableRow) view.findViewById(R.id.tablerow_adc);
        this.mText_ADC_Title = (TextView) view.findViewById(R.id.adc_title);
        this.mText_ADC_X = (TextView) view.findViewById(R.id.adc_x);
        this.mText_ADC_Y = (TextView) view.findViewById(R.id.adc_y);
        this.mText_ADC_Z = (TextView) view.findViewById(R.id.adc_z);
        this.mTextResult = (TextView) view.findViewById(R.id.result);
    }

    private void setUIRate() {
        float rate = Support.FactoryTestMenu.getUIRate(FactoryTestManager.convertorID_XML((byte) 20));
        FtUtil.log_d("FragmentGeomagneticAsahi", "setUIRate", "rate : " + rate);
        if (rate != 0.0f && rate != 1.0f) {
            TextView textView = this.mText_Title;
            textView.setTextSize(0, textView.getTextSize() * rate);
            TextView textView2 = this.mText_Initialized_Title;
            textView2.setTextSize(0, textView2.getTextSize() * rate);
            TextView textView3 = this.mText_Initialized;
            textView3.setTextSize(0, textView3.getTextSize() * rate);
            TextView textView4 = this.mText_Temp_Title;
            textView4.setTextSize(0, textView4.getTextSize() * rate);
            TextView textView5 = this.mText_Temp;
            textView5.setTextSize(0, textView5.getTextSize() * rate);
            TextView textView6 = this.mText_HX_Title;
            textView6.setTextSize(0, textView6.getTextSize() * rate);
            TextView textView7 = this.mText_HX;
            textView7.setTextSize(0, textView7.getTextSize() * rate);
            TextView textView8 = this.mText_HY_Title;
            textView8.setTextSize(0, textView8.getTextSize() * rate);
            TextView textView9 = this.mText_HY;
            textView9.setTextSize(0, textView9.getTextSize() * rate);
            TextView textView10 = this.mText_HZ_Title;
            textView10.setTextSize(0, textView10.getTextSize() * rate);
            TextView textView11 = this.mText_HZ;
            textView11.setTextSize(0, textView11.getTextSize() * rate);
            TextView textView12 = this.mText_X_Title;
            textView12.setTextSize(0, textView12.getTextSize() * rate);
            TextView textView13 = this.mText_Y_Title;
            textView13.setTextSize(0, textView13.getTextSize() * rate);
            TextView textView14 = this.mText_Z_Title;
            textView14.setTextSize(0, textView14.getTextSize() * rate);
            TextView textView15 = this.mText_DAC_Title;
            textView15.setTextSize(0, textView15.getTextSize() * rate);
            TextView textView16 = this.mText_DAC_X;
            textView16.setTextSize(0, textView16.getTextSize() * rate);
            TextView textView17 = this.mText_DAC_Y;
            textView17.setTextSize(0, textView17.getTextSize() * rate);
            TextView textView18 = this.mText_DAC_Z;
            textView18.setTextSize(0, textView18.getTextSize() * rate);
            TextView textView19 = this.mText_ADC_Title;
            textView19.setTextSize(0, textView19.getTextSize() * rate);
            TextView textView20 = this.mText_ADC_X;
            textView20.setTextSize(0, textView20.getTextSize() * rate);
            TextView textView21 = this.mText_ADC_Y;
            textView21.setTextSize(0, textView21.getTextSize() * rate);
            TextView textView22 = this.mText_ADC_Z;
            textView22.setTextSize(0, textView22.getTextSize() * rate);
            TextView textView23 = this.mTextResult;
            textView23.setTextSize(0, textView23.getTextSize() * rate);
        }
    }

    public void update(DataGeomagneticAsahi data, Handler handler) {
        FtUtil.log_i("FragmentGeomagneticAsahi", "update", null);
        if (data == null) {
            FtUtil.log_e("FragmentGeomagneticAsahi", "update", "Warning: data is null.");
            return;
        }
        boolean isPass = true;
        if (data.mIsDisplay_Initialized) {
            this.mTableRow_Initialized.setVisibility(0);
            if (data.mInitialized != null) {
                if (EgisFingerprint.MAJOR_VERSION.equals(data.mInitialized)) {
                    FtUtil.log_d("FragmentGeomagneticAsahi", "update", "Initialized - Pass");
                } else {
                    FtUtil.log_e("FragmentGeomagneticAsahi", "update", "Initialized - Fail");
                    isPass = false;
                }
                this.mText_Initialized.setText(data.mInitialized);
                FtUtil.log_i("FragmentGeomagneticAsahi", "update", "Initialized Return : " + data.mInitialized);
            } else {
                isPass = false;
                this.mText_Initialized.setText("NONE");
                FtUtil.log_e("FragmentGeomagneticAsahi", "update", "Initialized - Fail : null");
            }
        } else {
            FtUtil.log_e("FragmentGeomagneticAsahi", "update", "Initialized> data==null || Display==false");
        }
        if (data.mIsDisplay_Temperature) {
            this.mTableRow_Temp.setVisibility(0);
            if (data.mTemperature == null || data.mTemperature_Result == null) {
                isPass = false;
                this.mText_Temp.setText("NONE");
                FtUtil.log_e("FragmentGeomagneticAsahi", "update", "Temperature - Fail : null");
            } else {
                if ("OK".equals(data.mTemperature_Result)) {
                    FtUtil.log_d("FragmentGeomagneticAsahi", "update", "Temperature - Pass");
                } else {
                    FtUtil.log_e("FragmentGeomagneticAsahi", "update", "Temperature - Fail");
                    isPass = false;
                }
                this.mText_Temp.setText(data.mTemperature);
                FtUtil.log_i("FragmentGeomagneticAsahi", "update", "Retuen : " + data.mTemperature_Result + ", Temperature : " + data.mTemperature);
            }
        } else {
            FtUtil.log_e("FragmentGeomagneticAsahi", "update", "Temperature> data==null || Display==false");
        }
        if (data.mIsDisplay_Self) {
            this.mTableRow_HX.setVisibility(0);
            this.mTableRow_HY.setVisibility(0);
            this.mTableRow_HZ.setVisibility(0);
            if (data.mSelf_X == null || data.mSelf_Y == null || data.mSelf_Z == null || data.mSelf_Result == null) {
                isPass = false;
                this.mText_HX.setText("NONE");
                this.mText_HY.setText("NONE");
                this.mText_HZ.setText("NONE");
                FtUtil.log_e("FragmentGeomagneticAsahi", "update", "HX/HY/HZ - Fail : null");
            } else {
                if ("OK".equals(data.mSelf_Result)) {
                    FtUtil.log_d("FragmentGeomagneticAsahi", "update", "HX/HY/HZ - Pass");
                } else {
                    FtUtil.log_e("FragmentGeomagneticAsahi", "update", "HX/HY/HZ - Fail");
                    isPass = false;
                }
                this.mText_HX.setText(data.mSelf_X);
                this.mText_HY.setText(data.mSelf_Y);
                this.mText_HZ.setText(data.mSelf_Z);
                FtUtil.log_i("FragmentGeomagneticAsahi", "update", "Retuen : " + data.mSelf_Result + ", HX:" + data.mSelf_X + ", HY:" + data.mSelf_Y + ", HZ:" + data.mSelf_Z);
            }
        } else {
            FtUtil.log_e("FragmentGeomagneticAsahi", "update", "Self> data==null || Display==false");
        }
        if (data.mIsDisplay_DAC) {
            this.mTableRow_DAC.setVisibility(0);
            if (data.mDAC_X == null || data.mDAC_Y == null || data.mDAC_Z == null || data.mDAC_Result == null) {
                isPass = false;
                this.mText_DAC_X.setText("NONE");
                this.mText_DAC_Y.setText("NONE");
                this.mText_DAC_Z.setText("NONE");
                FtUtil.log_e("FragmentGeomagneticAsahi", "update", "DAC - Fail : null");
            } else {
                if ("OK".equals(data.mDAC_Result)) {
                    FtUtil.log_d("FragmentGeomagneticAsahi", "update", "DAC - Pass");
                } else {
                    FtUtil.log_e("FragmentGeomagneticAsahi", "update", "DAC - Fail");
                    isPass = false;
                }
                this.mText_DAC_X.setText(data.mDAC_X);
                this.mText_DAC_Y.setText(data.mDAC_Y);
                this.mText_DAC_Z.setText(data.mDAC_Z);
                FtUtil.log_i("FragmentGeomagneticAsahi", "update", "Retuen : " + data.mDAC_Result + ", [DAC]X:" + data.mDAC_X + ", Y:" + data.mDAC_Y + ", Z:" + data.mDAC_Z);
            }
        } else {
            FtUtil.log_e("FragmentGeomagneticAsahi", "update", "DAC> data==null || Display==false");
        }
        if (data.mIsDisplay_ADC) {
            this.mTableRow_ADC.setVisibility(0);
            if (data.mADC_X == null || data.mADC_Y == null || data.mADC_Z == null || data.mADC_Result == null) {
                isPass = false;
                this.mText_ADC_X.setText("NONE");
                this.mText_ADC_Y.setText("NONE");
                this.mText_ADC_Z.setText("NONE");
                FtUtil.log_e("FragmentGeomagneticAsahi", "update", "ADC - Fail : null");
            } else {
                if ("OK".equals(data.mADC_Result)) {
                    FtUtil.log_d("FragmentGeomagneticAsahi", "update", "ADC - Pass");
                } else {
                    FtUtil.log_e("FragmentGeomagneticAsahi", "update", "ADC - Fail");
                    isPass = false;
                }
                this.mText_ADC_X.setText(data.mADC_X);
                this.mText_ADC_Y.setText(data.mADC_Y);
                this.mText_ADC_Z.setText(data.mADC_Z);
                FtUtil.log_i("FragmentGeomagneticAsahi", "update", "Retuen : " + data.mADC_Result + ", [ADC]X:" + data.mADC_X + ", Y:" + data.mADC_Y + ", Z:" + data.mADC_Z);
            }
        } else {
            FtUtil.log_e("FragmentGeomagneticAsahi", "update", "ADC> data==null || Display==false");
        }
        this.bgcResult += data.mInitialized;
        this.bgcResult += ",";
        this.bgcResult += data.mADC_Result;
        this.bgcResult += ",";
        this.bgcResult += data.mADC_X;
        this.bgcResult += ",";
        this.bgcResult += data.mADC_Y;
        this.bgcResult += ",";
        this.bgcResult += data.mADC_Z;
        this.bgcResult += ",";
        this.bgcResult += data.mSelf_Result;
        this.bgcResult += ",";
        this.bgcResult += data.mSelf_X;
        this.bgcResult += ",";
        this.bgcResult += data.mSelf_Y;
        this.bgcResult += ",";
        this.bgcResult += data.mSelf_Z;
        FtUtil.log_d("FragmentGeomagneticAsahi", "DataGeomagneticAsahi", "BackGroundCommandResult : " + this.bgcResult);
        Support.Kernel.writeToPathNsync(new File("/data/log/GeoMagneticData.log").getPath(), this.bgcResult);
        this.mTextResult.setText(isPass ? "PASS" : "FAIL");
        this.mTextResult.setTextColor(isPass ? UiHallICTest.FONT_COLOR_PASS : -65536);
        if (isPass) {
            handler.sendEmptyMessage(UIGeomagneticGyro.WHAT_GEOMAGNETIC_PASS);
        } else {
            handler.sendEmptyMessage(UIGeomagneticGyro.WHAT_GEOMAGNETIC_FAIL);
        }
    }
}
