package com.sec.factory.app.ui;

import android.app.Fragment;
import android.content.Context;
import android.os.Bundle;
import android.os.Handler;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TableRow;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.SensorDeviceInfo;
import com.sec.factory.modules.SensorFeature;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.File;

public class FragmentGeomagneticYamaha extends Fragment {
    private final String CLASS_NAME = "FragmentGeomagneticYamaha";
    private String bgcResult = "";
    private Context mContext;
    private String mFeature_Geomagnetic;
    private TableRow mTableRow_ADC;
    private TableRow mTableRow_DAC;
    private TableRow mTableRow_Initialized;
    private TableRow mTableRow_Offset_H;
    private TableRow mTableRow_SX;
    private TableRow mTableRow_SY;
    private TableRow mTableRow_SY2;
    private TableRow mTableRow_Temp;
    private TextView mTextResult;
    private TextView mText_ADC_Title;
    private TextView mText_ADC_X;
    private TextView mText_ADC_Y;
    private TextView mText_ADC_Z;
    private TextView mText_DAC_Title;
    private TextView mText_DAC_X;
    private TextView mText_DAC_Y;
    private TextView mText_DAC_Z;
    private TextView mText_Initialized;
    private TextView mText_Initialized_Title;
    private TextView mText_Offset_H_Title;
    private TextView mText_Offset_H_X;
    private TextView mText_Offset_H_Y;
    private TextView mText_Offset_H_Z;
    private TextView mText_SX;
    private TextView mText_SX_Title;
    private TextView mText_SY;
    private TextView mText_SY2;
    private TextView mText_SY2_Title;
    private TextView mText_SY_Title;
    private TextView mText_Temp;
    private TextView mText_Temp_Title;
    private TextView mText_Title;
    private TextView mText_X_Title;
    private TextView mText_Y_Title;
    private TextView mText_Z_Title;

    public static class DataGeomagneticYamaha {
        public String mADC_Result;
        public String mADC_X;
        public String mADC_Y;
        public String mADC_Z;
        public String mDAC_Result;
        public String mDAC_X;
        public String mDAC_Y;
        public String mDAC_Z;
        public String mInitialized;
        public boolean mIsDisplay_ADC;
        public boolean mIsDisplay_DAC;
        public boolean mIsDisplay_Initialized;
        public boolean mIsDisplay_OffsetH;
        public boolean mIsDisplay_Self;
        public String mOffsetH_Result;
        public String mOffsetH_X;
        public String mOffsetH_Y;
        public String mOffsetH_Z;
        public String mPowerOff_Result;
        public String mSelf_Result;
        public String mSelf_X;
        public String mSelf_Y;
        public String mSelf_Y2;
        public String mSelf_Z;
        public String mStatus;
        public String mStatus_Result;
    }

    public FragmentGeomagneticYamaha() {
    }

    public FragmentGeomagneticYamaha(Context context) {
        this.mContext = context;
    }

    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        FtUtil.log_d("FragmentGeomagneticYamaha", "onCreateView", null);
        View view = inflater.inflate(R.layout.fragment_geomagnetic_yamaha, (ViewGroup) null);
        this.mFeature_Geomagnetic = SensorDeviceInfo.getSensorName(SensorDeviceInfo.TYPE_GEOMAGNETIC, SensorDeviceInfo.TARGET_XML);
        FtUtil.log_d("FragmentGeomagneticYamaha", "onCreateView", "mFeature_Geomagnetic : " + this.mFeature_Geomagnetic);
        init(view);
        setUIRate();
        return view;
    }

    private void init(View view) {
        FtUtil.log_d("FragmentGeomagneticYamaha", "init", null);
        this.mText_Title = (TextView) view.findViewById(R.id.title);
        this.mTableRow_Initialized = (TableRow) view.findViewById(R.id.tablerow_initialized);
        this.mText_Initialized_Title = (TextView) view.findViewById(R.id.initialized_title);
        this.mText_Initialized = (TextView) view.findViewById(R.id.initialized);
        this.mTableRow_Temp = (TableRow) view.findViewById(R.id.tablerow_temp);
        this.mText_Temp_Title = (TextView) view.findViewById(R.id.temp_title);
        this.mText_Temp = (TextView) view.findViewById(R.id.temp);
        this.mTableRow_SX = (TableRow) view.findViewById(R.id.tablerow_sx);
        this.mText_SX_Title = (TextView) view.findViewById(R.id.sx_title);
        this.mText_SX = (TextView) view.findViewById(R.id.sx);
        this.mTableRow_SY = (TableRow) view.findViewById(R.id.tablerow_sy);
        this.mText_SY_Title = (TextView) view.findViewById(R.id.sy_title);
        this.mText_SY = (TextView) view.findViewById(R.id.sy);
        this.mTableRow_SY2 = (TableRow) view.findViewById(R.id.tablerow_sy2);
        this.mText_SY2_Title = (TextView) view.findViewById(R.id.sy2_title);
        this.mText_SY2 = (TextView) view.findViewById(R.id.sy2);
        this.mText_X_Title = (TextView) view.findViewById(R.id.x_title);
        this.mText_Y_Title = (TextView) view.findViewById(R.id.y_title);
        this.mText_Z_Title = (TextView) view.findViewById(R.id.z_title);
        this.mTableRow_DAC = (TableRow) view.findViewById(R.id.tablerow_dac);
        this.mText_DAC_Title = (TextView) view.findViewById(R.id.dac_title);
        this.mText_DAC_X = (TextView) view.findViewById(R.id.dac_x);
        this.mText_DAC_Y = (TextView) view.findViewById(R.id.dac_y);
        this.mText_DAC_Z = (TextView) view.findViewById(R.id.dac_z);
        this.mTableRow_ADC = (TableRow) view.findViewById(R.id.tablerow_adc);
        this.mText_ADC_Title = (TextView) view.findViewById(R.id.adc_title);
        this.mText_ADC_X = (TextView) view.findViewById(R.id.adc_x);
        this.mText_ADC_Y = (TextView) view.findViewById(R.id.adc_y);
        this.mText_ADC_Z = (TextView) view.findViewById(R.id.adc_z);
        this.mTableRow_Offset_H = (TableRow) view.findViewById(R.id.tablerow_offset_h);
        this.mText_Offset_H_Title = (TextView) view.findViewById(R.id.offset_h_title);
        this.mText_Offset_H_X = (TextView) view.findViewById(R.id.offset_h_x);
        this.mText_Offset_H_Y = (TextView) view.findViewById(R.id.offset_h_y);
        this.mText_Offset_H_Z = (TextView) view.findViewById(R.id.offset_h_z);
        this.mTextResult = (TextView) view.findViewById(R.id.result);
    }

    private void setUIRate() {
        float rate = Support.FactoryTestMenu.getUIRate(FactoryTestManager.convertorID_XML((byte) 20));
        FtUtil.log_d("FragmentGeomagneticYamaha", "setUIRate", "rate : " + rate);
        if (rate != 0.0f && rate != 1.0f) {
            TextView textView = this.mText_Title;
            textView.setTextSize(0, textView.getTextSize() * rate);
            TextView textView2 = this.mText_Initialized_Title;
            textView2.setTextSize(0, textView2.getTextSize() * rate);
            TextView textView3 = this.mText_Initialized;
            textView3.setTextSize(0, textView3.getTextSize() * rate);
            TextView textView4 = this.mText_Temp_Title;
            textView4.setTextSize(0, textView4.getTextSize() * rate);
            TextView textView5 = this.mText_Temp;
            textView5.setTextSize(0, textView5.getTextSize() * rate);
            TextView textView6 = this.mText_SX_Title;
            textView6.setTextSize(0, textView6.getTextSize() * rate);
            TextView textView7 = this.mText_SX;
            textView7.setTextSize(0, textView7.getTextSize() * rate);
            TextView textView8 = this.mText_SY_Title;
            textView8.setTextSize(0, textView8.getTextSize() * rate);
            TextView textView9 = this.mText_SY;
            textView9.setTextSize(0, textView9.getTextSize() * rate);
            TextView textView10 = this.mText_X_Title;
            textView10.setTextSize(0, textView10.getTextSize() * rate);
            TextView textView11 = this.mText_Y_Title;
            textView11.setTextSize(0, textView11.getTextSize() * rate);
            TextView textView12 = this.mText_Z_Title;
            textView12.setTextSize(0, textView12.getTextSize() * rate);
            TextView textView13 = this.mText_DAC_Title;
            textView13.setTextSize(0, textView13.getTextSize() * rate);
            TextView textView14 = this.mText_DAC_X;
            textView14.setTextSize(0, textView14.getTextSize() * rate);
            TextView textView15 = this.mText_DAC_Y;
            textView15.setTextSize(0, textView15.getTextSize() * rate);
            TextView textView16 = this.mText_DAC_Z;
            textView16.setTextSize(0, textView16.getTextSize() * rate);
            TextView textView17 = this.mText_ADC_Title;
            textView17.setTextSize(0, textView17.getTextSize() * rate);
            TextView textView18 = this.mText_ADC_X;
            textView18.setTextSize(0, textView18.getTextSize() * rate);
            TextView textView19 = this.mText_ADC_Y;
            textView19.setTextSize(0, textView19.getTextSize() * rate);
            TextView textView20 = this.mText_ADC_Z;
            textView20.setTextSize(0, textView20.getTextSize() * rate);
            TextView textView21 = this.mText_Offset_H_Title;
            textView21.setTextSize(0, textView21.getTextSize() * rate);
            TextView textView22 = this.mText_Offset_H_X;
            textView22.setTextSize(0, textView22.getTextSize() * rate);
            TextView textView23 = this.mText_Offset_H_Y;
            textView23.setTextSize(0, textView23.getTextSize() * rate);
            TextView textView24 = this.mText_Offset_H_Z;
            textView24.setTextSize(0, textView24.getTextSize() * rate);
            TextView textView25 = this.mTextResult;
            textView25.setTextSize(0, textView25.getTextSize() * rate);
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:115:0x0395  */
    /* JADX WARNING: Removed duplicated region for block: B:118:0x039e  */
    /* JADX WARNING: Removed duplicated region for block: B:123:0x03cb  */
    /* JADX WARNING: Removed duplicated region for block: B:126:0x0508  */
    /* JADX WARNING: Removed duplicated region for block: B:129:0x055d  */
    /* JADX WARNING: Removed duplicated region for block: B:130:0x0560  */
    /* JADX WARNING: Removed duplicated region for block: B:133:0x0569  */
    /* JADX WARNING: Removed duplicated region for block: B:134:0x056d  */
    /* JADX WARNING: Removed duplicated region for block: B:137:0x0575  */
    /* JADX WARNING: Removed duplicated region for block: B:138:0x057d  */
    /* JADX WARNING: Removed duplicated region for block: B:96:0x02f4  */
    public void update(DataGeomagneticYamaha data, Handler handler) {
        String str;
        boolean isPass;
        FtUtil.log_d("FragmentGeomagneticYamaha", "update", null);
        if (data == null) {
            FtUtil.log_e("FragmentGeomagneticYamaha", "update", "Warning: data is null.");
            return;
        }
        boolean isPass2 = true;
        if (data.mIsDisplay_Initialized) {
            this.mTableRow_Initialized.setVisibility(0);
            if (data.mInitialized != null) {
                if (data.mInitialized.equals(EgisFingerprint.MAJOR_VERSION)) {
                    FtUtil.log_d("FragmentGeomagneticYamaha", "update", "Initialized - Pass");
                } else {
                    FtUtil.log_e("FragmentGeomagneticYamaha", "update", "Initialized - Fail");
                    isPass2 = false;
                }
                this.mText_Initialized.setText(data.mInitialized);
                FtUtil.log_i("FragmentGeomagneticYamaha", "update", "Initialized Return : " + data.mInitialized);
            } else {
                isPass2 = false;
                this.mText_Initialized.setText("NONE");
                FtUtil.log_e("FragmentGeomagneticYamaha", "update", "Initialized - Fail : null");
            }
        } else {
            FtUtil.log_e("FragmentGeomagneticYamaha", "update", "Initialized> data==null || Display==false");
        }
        if (data.mStatus == null || data.mStatus_Result == null) {
            isPass2 = false;
            FtUtil.log_e("FragmentGeomagneticYamaha", "update", "Status - Fail : null");
        } else {
            if (data.mStatus_Result.equals("OK")) {
                FtUtil.log_d("FragmentGeomagneticYamaha", "update", "Status - Pass");
            } else {
                FtUtil.log_e("FragmentGeomagneticYamaha", "update", "Status - Fail");
                isPass2 = false;
            }
            FtUtil.log_i("FragmentGeomagneticYamaha", "update", "Retuen : " + data.mStatus_Result + ", Status : " + data.mStatus);
        }
        if (data.mIsDisplay_DAC) {
            this.mTableRow_DAC.setVisibility(0);
            if (data.mDAC_X == null || data.mDAC_Y == null || data.mDAC_Z == null || data.mDAC_Result == null) {
                isPass2 = false;
                this.mText_DAC_X.setText("NONE");
                this.mText_DAC_Y.setText("NONE");
                this.mText_DAC_Z.setText("NONE");
                FtUtil.log_e("FragmentGeomagneticYamaha", "update", "DAC - Fail : null");
            } else {
                if (data.mDAC_Result.equals("OK")) {
                    FtUtil.log_d("FragmentGeomagneticYamaha", "update", "DAC - Pass");
                } else {
                    FtUtil.log_e("FragmentGeomagneticYamaha", "update", "DAC - Fail");
                    isPass2 = false;
                }
                this.mText_DAC_X.setText(data.mDAC_X);
                this.mText_DAC_Y.setText(data.mDAC_Y);
                this.mText_DAC_Z.setText(data.mDAC_Z);
                FtUtil.log_i("FragmentGeomagneticYamaha", "update", "Retuen : " + data.mDAC_Result + ", [DAC]X:" + data.mDAC_X + ", Y:" + data.mDAC_Y + ", Z:" + data.mDAC_Z);
            }
        } else {
            FtUtil.log_e("FragmentGeomagneticYamaha", "update", "DAC> data==null || Display==false");
        }
        if (data.mIsDisplay_ADC) {
            this.mTableRow_ADC.setVisibility(0);
            if (data.mADC_X == null || data.mADC_Y == null || data.mADC_Z == null || data.mADC_Result == null) {
                isPass2 = false;
                this.mText_ADC_X.setText("NONE");
                this.mText_ADC_Y.setText("NONE");
                this.mText_ADC_Z.setText("NONE");
                FtUtil.log_e("FragmentGeomagneticYamaha", "update", "ADC - Fail : null");
            } else {
                if (data.mADC_Result.equals("OK")) {
                    FtUtil.log_d("FragmentGeomagneticYamaha", "update", "ADC - Pass");
                } else {
                    FtUtil.log_e("FragmentGeomagneticYamaha", "update", "ADC - Fail");
                    isPass2 = false;
                }
                this.mText_ADC_X.setText(data.mADC_X);
                this.mText_ADC_Y.setText(data.mADC_Y);
                this.mText_ADC_Z.setText(data.mADC_Z);
                FtUtil.log_i("FragmentGeomagneticYamaha", "update", "Retuen : " + data.mADC_Result + ", [ADC]X:" + data.mADC_X + ", Y:" + data.mADC_Y + ", Z:" + data.mADC_Z);
            }
        } else {
            FtUtil.log_e("FragmentGeomagneticYamaha", "update", "ADC> data==null || Display==false");
        }
        if (SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS539.equals(this.mFeature_Geomagnetic)) {
            str = ", Y:";
            if (data.mIsDisplay_Self) {
                this.mTableRow_SX.setVisibility(0);
                this.mTableRow_SY.setVisibility(0);
                this.mTableRow_SY2.setVisibility(0);
                if (data.mSelf_X == null || data.mSelf_Y == null || data.mSelf_Y2 == null || data.mSelf_Result == null) {
                    isPass = false;
                    this.mText_SX.setText("NONE");
                    this.mText_SY.setText("NONE");
                    this.mText_SY2.setText("NONE");
                    FtUtil.log_e("FragmentGeomagneticYamaha", "update", "Self - Fail : null");
                    if (data.mIsDisplay_OffsetH) {
                        this.mTableRow_Offset_H.setVisibility(0);
                        if (SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS537.equals(this.mFeature_Geomagnetic) || SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS539.equals(this.mFeature_Geomagnetic)) {
                            this.mText_Offset_H_Title.setText("ADC2");
                        }
                        if (data.mOffsetH_X == null || data.mOffsetH_Y == null || data.mOffsetH_Z == null || data.mOffsetH_Result == null) {
                            isPass = false;
                            this.mText_Offset_H_X.setText("NONE");
                            this.mText_Offset_H_Y.setText("NONE");
                            this.mText_Offset_H_Z.setText("NONE");
                            FtUtil.log_i("FragmentGeomagneticYamaha", "update", "Offset - Fail : null");
                        } else {
                            if (data.mOffsetH_Result.equals("OK")) {
                                FtUtil.log_d("FragmentGeomagneticYamaha", "update", "Offset - Pass");
                            } else {
                                FtUtil.log_e("FragmentGeomagneticYamaha", "update", "Offset - Fail");
                                isPass = false;
                            }
                            this.mText_Offset_H_X.setText(data.mOffsetH_X);
                            this.mText_Offset_H_Y.setText(data.mOffsetH_Y);
                            this.mText_Offset_H_Z.setText(data.mOffsetH_Z);
                            FtUtil.log_i("FragmentGeomagneticYamaha", "update", "Retuen : " + data.mOffsetH_Result + ", [Offset H]X:" + data.mOffsetH_X + str + data.mOffsetH_Y + ", Z:" + data.mOffsetH_Z);
                        }
                    } else {
                        FtUtil.log_e("FragmentGeomagneticYamaha", "update", "OffsetH> data==null || Display==false");
                    }
                    if (data.mPowerOff_Result != null) {
                        if (data.mPowerOff_Result.equals(EgisFingerprint.MAJOR_VERSION)) {
                            FtUtil.log_d("FragmentGeomagneticYamaha", "update", "Released - Pass");
                        } else {
                            FtUtil.log_e("FragmentGeomagneticYamaha", "update", "Released - Fail");
                            isPass = false;
                        }
                        FtUtil.log_i("FragmentGeomagneticYamaha", "update", "Released Return : " + data.mPowerOff_Result);
                    } else {
                        isPass = false;
                        FtUtil.log_e("FragmentGeomagneticYamaha", "update", "Released - Fail : null");
                    }
                    this.bgcResult += data.mInitialized;
                    this.bgcResult += ",";
                    this.bgcResult += data.mOffsetH_Result;
                    this.bgcResult += ",";
                    this.bgcResult += data.mOffsetH_X;
                    this.bgcResult += ",";
                    this.bgcResult += data.mOffsetH_Y;
                    this.bgcResult += ",";
                    this.bgcResult += data.mOffsetH_Z;
                    this.bgcResult += ",";
                    this.bgcResult += data.mSelf_Result;
                    this.bgcResult += ",";
                    this.bgcResult += data.mSelf_X;
                    this.bgcResult += ",";
                    this.bgcResult += data.mSelf_Y;
                    if (SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS539.equals(this.mFeature_Geomagnetic)) {
                        this.bgcResult += ",";
                        this.bgcResult += data.mSelf_Y2;
                    }
                    FtUtil.log_d("FragmentGeomagneticYamaha", "DataGeomagneticYamaha", "BackGroundCommandResult : " + this.bgcResult);
                    Support.Kernel.writeToPathNsync(new File("/data/log/GeoMagneticData.log").getPath(), this.bgcResult);
                    this.mTextResult.setText(isPass ? "PASS" : "FAIL");
                    this.mTextResult.setTextColor(isPass ? UiHallICTest.FONT_COLOR_PASS : -65536);
                    if (isPass) {
                        handler.sendEmptyMessage(UIGeomagneticGyro.WHAT_GEOMAGNETIC_PASS);
                        return;
                    } else {
                        handler.sendEmptyMessage(UIGeomagneticGyro.WHAT_GEOMAGNETIC_FAIL);
                        return;
                    }
                } else {
                    if (data.mSelf_Result.equals("OK")) {
                        FtUtil.log_d("FragmentGeomagneticYamaha", "update", "Self - Pass");
                        isPass = isPass2;
                    } else {
                        FtUtil.log_e("FragmentGeomagneticYamaha", "update", "Self - Fail");
                        isPass = false;
                    }
                    this.mText_SX.setText(data.mSelf_X);
                    this.mText_SY.setText(data.mSelf_Y);
                    this.mText_SY2.setText(data.mSelf_Y2);
                    FtUtil.log_i("FragmentGeomagneticYamaha", "update", "Retuen : " + data.mSelf_Result + ", SX:" + data.mSelf_X + ", SY:" + data.mSelf_Y);
                    if (data.mIsDisplay_OffsetH) {
                    }
                    if (data.mPowerOff_Result != null) {
                    }
                    this.bgcResult += data.mInitialized;
                    this.bgcResult += ",";
                    this.bgcResult += data.mOffsetH_Result;
                    this.bgcResult += ",";
                    this.bgcResult += data.mOffsetH_X;
                    this.bgcResult += ",";
                    this.bgcResult += data.mOffsetH_Y;
                    this.bgcResult += ",";
                    this.bgcResult += data.mOffsetH_Z;
                    this.bgcResult += ",";
                    this.bgcResult += data.mSelf_Result;
                    this.bgcResult += ",";
                    this.bgcResult += data.mSelf_X;
                    this.bgcResult += ",";
                    this.bgcResult += data.mSelf_Y;
                    if (SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS539.equals(this.mFeature_Geomagnetic)) {
                    }
                    FtUtil.log_d("FragmentGeomagneticYamaha", "DataGeomagneticYamaha", "BackGroundCommandResult : " + this.bgcResult);
                    Support.Kernel.writeToPathNsync(new File("/data/log/GeoMagneticData.log").getPath(), this.bgcResult);
                    this.mTextResult.setText(isPass ? "PASS" : "FAIL");
                    this.mTextResult.setTextColor(isPass ? UiHallICTest.FONT_COLOR_PASS : -65536);
                    if (isPass) {
                    }
                }
            } else {
                FtUtil.log_e("FragmentGeomagneticYamaha", "update", "Self> data==null || Display==false");
            }
        } else {
            str = ", Y:";
            if (data.mIsDisplay_Self) {
                this.mTableRow_SX.setVisibility(0);
                this.mTableRow_SY.setVisibility(0);
                if (data.mSelf_X == null || data.mSelf_Y == null || data.mSelf_Result == null) {
                    isPass = false;
                    this.mText_SX.setText("NONE");
                    this.mText_SY.setText("NONE");
                    FtUtil.log_e("FragmentGeomagneticYamaha", "update", "Self - Fail : null");
                    if (data.mIsDisplay_OffsetH) {
                    }
                    if (data.mPowerOff_Result != null) {
                    }
                    this.bgcResult += data.mInitialized;
                    this.bgcResult += ",";
                    this.bgcResult += data.mOffsetH_Result;
                    this.bgcResult += ",";
                    this.bgcResult += data.mOffsetH_X;
                    this.bgcResult += ",";
                    this.bgcResult += data.mOffsetH_Y;
                    this.bgcResult += ",";
                    this.bgcResult += data.mOffsetH_Z;
                    this.bgcResult += ",";
                    this.bgcResult += data.mSelf_Result;
                    this.bgcResult += ",";
                    this.bgcResult += data.mSelf_X;
                    this.bgcResult += ",";
                    this.bgcResult += data.mSelf_Y;
                    if (SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS539.equals(this.mFeature_Geomagnetic)) {
                    }
                    FtUtil.log_d("FragmentGeomagneticYamaha", "DataGeomagneticYamaha", "BackGroundCommandResult : " + this.bgcResult);
                    Support.Kernel.writeToPathNsync(new File("/data/log/GeoMagneticData.log").getPath(), this.bgcResult);
                    this.mTextResult.setText(isPass ? "PASS" : "FAIL");
                    this.mTextResult.setTextColor(isPass ? UiHallICTest.FONT_COLOR_PASS : -65536);
                    if (isPass) {
                    }
                } else {
                    if (data.mSelf_Result.equals("OK")) {
                        FtUtil.log_d("FragmentGeomagneticYamaha", "update", "Self - Pass");
                        isPass = isPass2;
                    } else {
                        FtUtil.log_e("FragmentGeomagneticYamaha", "update", "Self - Fail");
                        isPass = false;
                    }
                    this.mText_SX.setText(data.mSelf_X);
                    this.mText_SY.setText(data.mSelf_Y);
                    FtUtil.log_i("FragmentGeomagneticYamaha", "update", "Retuen : " + data.mSelf_Result + ", SX:" + data.mSelf_X + ", SY:" + data.mSelf_Y);
                    if (data.mIsDisplay_OffsetH) {
                    }
                    if (data.mPowerOff_Result != null) {
                    }
                    this.bgcResult += data.mInitialized;
                    this.bgcResult += ",";
                    this.bgcResult += data.mOffsetH_Result;
                    this.bgcResult += ",";
                    this.bgcResult += data.mOffsetH_X;
                    this.bgcResult += ",";
                    this.bgcResult += data.mOffsetH_Y;
                    this.bgcResult += ",";
                    this.bgcResult += data.mOffsetH_Z;
                    this.bgcResult += ",";
                    this.bgcResult += data.mSelf_Result;
                    this.bgcResult += ",";
                    this.bgcResult += data.mSelf_X;
                    this.bgcResult += ",";
                    this.bgcResult += data.mSelf_Y;
                    if (SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS539.equals(this.mFeature_Geomagnetic)) {
                    }
                    FtUtil.log_d("FragmentGeomagneticYamaha", "DataGeomagneticYamaha", "BackGroundCommandResult : " + this.bgcResult);
                    Support.Kernel.writeToPathNsync(new File("/data/log/GeoMagneticData.log").getPath(), this.bgcResult);
                    this.mTextResult.setText(isPass ? "PASS" : "FAIL");
                    this.mTextResult.setTextColor(isPass ? UiHallICTest.FONT_COLOR_PASS : -65536);
                    if (isPass) {
                    }
                }
            } else {
                FtUtil.log_e("FragmentGeomagneticYamaha", "update", "Self> data==null || Display==false");
            }
        }
        isPass = isPass2;
        if (data.mIsDisplay_OffsetH) {
        }
        if (data.mPowerOff_Result != null) {
        }
        this.bgcResult += data.mInitialized;
        this.bgcResult += ",";
        this.bgcResult += data.mOffsetH_Result;
        this.bgcResult += ",";
        this.bgcResult += data.mOffsetH_X;
        this.bgcResult += ",";
        this.bgcResult += data.mOffsetH_Y;
        this.bgcResult += ",";
        this.bgcResult += data.mOffsetH_Z;
        this.bgcResult += ",";
        this.bgcResult += data.mSelf_Result;
        this.bgcResult += ",";
        this.bgcResult += data.mSelf_X;
        this.bgcResult += ",";
        this.bgcResult += data.mSelf_Y;
        if (SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS539.equals(this.mFeature_Geomagnetic)) {
        }
        FtUtil.log_d("FragmentGeomagneticYamaha", "DataGeomagneticYamaha", "BackGroundCommandResult : " + this.bgcResult);
        Support.Kernel.writeToPathNsync(new File("/data/log/GeoMagneticData.log").getPath(), this.bgcResult);
        this.mTextResult.setText(isPass ? "PASS" : "FAIL");
        this.mTextResult.setTextColor(isPass ? UiHallICTest.FONT_COLOR_PASS : -65536);
        if (isPass) {
        }
    }
}
