package com.sec.factory.app.ui;

import android.app.Activity;
import android.app.Fragment;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.LinearLayout;
import android.widget.TableLayout;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.app.uicommander.UICommanderService;
import com.sec.factory.modules.ModuleSensor;
import com.sec.factory.modules.SensorNotification;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;

public class FragmentGripSxDetectionAP extends Fragment {
    private static final float TEXT_SIZE = 20.0f;
    private static boolean mNeedCheckInitMode = false;
    private final String CLASS_NAME = "FragmentGripSxDetectionAP";
    private int DUMMY = 0;
    private int GRIP_DETECT = 0;
    private int GRIP_NONE = -1;
    private int GRIP_RELEASE = 5;
    private final String[] MODE_SYSFS_PATH;
    private final String[] RAW_DATA_PATH;
    private final String[] READ_CH_COUNT;
    private final String[] READ_CH_STATE;
    private final String[] RESET_SYSFS_PATH;
    private final int TESTITEM_STATUS_FINISH;
    private final int TESTITEM_STATUS_RELEASE;
    private final int TESTITEM_STATUS_WORKING;
    private final int WHAT_FINISH;
    private final int WHAT_RESET_FAIL_FINISH;
    private int fragmentNum = -1;
    private Activity mActivity;
    private LinearLayout mBgLayout;
    private int mChCount;
    private float[] mCurrValue;
    private String mGripType = "";
    public Handler mHandler;
    private int mMaxProxDiff;
    private float[] mPrevValue;
    private TableLayout[] mTableGrip;
    private int mTestIndex = -1;
    private TestItem[] mTestItem;
    private TextView[] mTextGripRelease;
    private TextView[] mTextGripReleaseResult;
    private TextView[] mTextGripSens;
    private TextView[] mTextGripWorking;
    private TextView[] mTextGripWorkingResult;
    private float mUIRate;
    private int mindex;

    public FragmentGripSxDetectionAP() {
        int i = 0 + 1;
        this.DUMMY = i;
        this.TESTITEM_STATUS_WORKING = 0;
        int i2 = i + 1;
        this.DUMMY = i2;
        this.TESTITEM_STATUS_RELEASE = i;
        int i3 = i2 + 1;
        this.DUMMY = i3;
        this.TESTITEM_STATUS_FINISH = i2;
        int i4 = i3 + 1;
        this.DUMMY = i4;
        this.WHAT_FINISH = i3;
        this.DUMMY = i4 + 1;
        this.WHAT_RESET_FAIL_FINISH = i4;
        this.mUIRate = 1.0f;
        this.mChCount = 1;
        this.mMaxProxDiff = 0;
        this.MODE_SYSFS_PATH = new String[]{Support.Kernel.GRIP_SENSOR_MODE, Support.Kernel.GRIP_SENSOR_MODE_2, Support.Kernel.GRIP_SENSOR_MODE_3, Support.Kernel.GRIP_SENSOR_MODE_4, Support.Kernel.GRIP_SENSOR_MODE_5, Support.Kernel.GRIP_SENSOR_MODE_6};
        this.RAW_DATA_PATH = new String[]{Support.Kernel.GRIP_SENSOR_RAWDATA, Support.Kernel.GRIP_SENSOR_RAWDATA_2, Support.Kernel.GRIP_SENSOR_RAWDATA_3, Support.Kernel.GRIP_SENSOR_RAWDATA_4, Support.Kernel.GRIP_SENSOR_RAWDATA_5, Support.Kernel.GRIP_SENSOR_RAWDATA_6};
        this.RESET_SYSFS_PATH = new String[]{Support.Kernel.GRIP_SENSOR_RESET, Support.Kernel.GRIP_SENSOR_RESET_2, Support.Kernel.GRIP_SENSOR_RESET_3, Support.Kernel.GRIP_SENSOR_RESET_4, Support.Kernel.GRIP_SENSOR_RESET_5, Support.Kernel.GRIP_SENSOR_RESET_6};
        this.READ_CH_STATE = new String[]{Support.Kernel.GRIP_SENSOR_CH_STATE, Support.Kernel.GRIP_SENSOR_CH_STATE_2, Support.Kernel.GRIP_SENSOR_CH_STATE_3, Support.Kernel.GRIP_SENSOR_CH_STATE_4, Support.Kernel.GRIP_SENSOR_CH_STATE_5, Support.Kernel.GRIP_SENSOR_CH_STATE_6};
        this.READ_CH_COUNT = new String[]{Support.Kernel.GRIP_SENSOR_CH_COUNT, Support.Kernel.GRIP_SENSOR_CH_COUNT_2, Support.Kernel.GRIP_SENSOR_CH_COUNT_3, Support.Kernel.GRIP_SENSOR_CH_COUNT_4, Support.Kernel.GRIP_SENSOR_CH_COUNT_5, Support.Kernel.GRIP_SENSOR_CH_COUNT_6};
        this.mHandler = new Handler() {
            /* class com.sec.factory.app.ui.FragmentGripSxDetectionAP.AnonymousClass1 */

            public void handleMessage(Message msg) {
                if (msg.what == SensorNotification.WHAT_NOTI_SENSOR_UPDATAE) {
                    FtUtil.log_d("FragmentGripSxDetectionAP", "mHandler", "WHAT_NOTI_SENSOR_UPDATAE");
                    FragmentGripSxDetectionAP.this.startTest();
                } else if (msg.what == FragmentGripSxDetectionAP.this.WHAT_FINISH) {
                    FragmentGripSxDetectionAP.this.setResult();
                } else if (msg.what == FragmentGripSxDetectionAP.this.WHAT_RESET_FAIL_FINISH) {
                    FtUtil.log_d("FragmentGripSxDetectionAP", "mHandler", "WHAT_RESET_FAIL_FINISH");
                    FragmentGripSxDetectionAP.this.setResetFailResult();
                }
            }
        };
        this.mindex = 0;
    }

    public FragmentGripSxDetectionAP(int index) {
        int i = 0 + 1;
        this.DUMMY = i;
        this.TESTITEM_STATUS_WORKING = 0;
        int i2 = i + 1;
        this.DUMMY = i2;
        this.TESTITEM_STATUS_RELEASE = i;
        int i3 = i2 + 1;
        this.DUMMY = i3;
        this.TESTITEM_STATUS_FINISH = i2;
        int i4 = i3 + 1;
        this.DUMMY = i4;
        this.WHAT_FINISH = i3;
        this.DUMMY = i4 + 1;
        this.WHAT_RESET_FAIL_FINISH = i4;
        this.mUIRate = 1.0f;
        this.mChCount = 1;
        this.mMaxProxDiff = 0;
        this.MODE_SYSFS_PATH = new String[]{Support.Kernel.GRIP_SENSOR_MODE, Support.Kernel.GRIP_SENSOR_MODE_2, Support.Kernel.GRIP_SENSOR_MODE_3, Support.Kernel.GRIP_SENSOR_MODE_4, Support.Kernel.GRIP_SENSOR_MODE_5, Support.Kernel.GRIP_SENSOR_MODE_6};
        this.RAW_DATA_PATH = new String[]{Support.Kernel.GRIP_SENSOR_RAWDATA, Support.Kernel.GRIP_SENSOR_RAWDATA_2, Support.Kernel.GRIP_SENSOR_RAWDATA_3, Support.Kernel.GRIP_SENSOR_RAWDATA_4, Support.Kernel.GRIP_SENSOR_RAWDATA_5, Support.Kernel.GRIP_SENSOR_RAWDATA_6};
        this.RESET_SYSFS_PATH = new String[]{Support.Kernel.GRIP_SENSOR_RESET, Support.Kernel.GRIP_SENSOR_RESET_2, Support.Kernel.GRIP_SENSOR_RESET_3, Support.Kernel.GRIP_SENSOR_RESET_4, Support.Kernel.GRIP_SENSOR_RESET_5, Support.Kernel.GRIP_SENSOR_RESET_6};
        this.READ_CH_STATE = new String[]{Support.Kernel.GRIP_SENSOR_CH_STATE, Support.Kernel.GRIP_SENSOR_CH_STATE_2, Support.Kernel.GRIP_SENSOR_CH_STATE_3, Support.Kernel.GRIP_SENSOR_CH_STATE_4, Support.Kernel.GRIP_SENSOR_CH_STATE_5, Support.Kernel.GRIP_SENSOR_CH_STATE_6};
        this.READ_CH_COUNT = new String[]{Support.Kernel.GRIP_SENSOR_CH_COUNT, Support.Kernel.GRIP_SENSOR_CH_COUNT_2, Support.Kernel.GRIP_SENSOR_CH_COUNT_3, Support.Kernel.GRIP_SENSOR_CH_COUNT_4, Support.Kernel.GRIP_SENSOR_CH_COUNT_5, Support.Kernel.GRIP_SENSOR_CH_COUNT_6};
        this.mHandler = new Handler() {
            /* class com.sec.factory.app.ui.FragmentGripSxDetectionAP.AnonymousClass1 */

            public void handleMessage(Message msg) {
                if (msg.what == SensorNotification.WHAT_NOTI_SENSOR_UPDATAE) {
                    FtUtil.log_d("FragmentGripSxDetectionAP", "mHandler", "WHAT_NOTI_SENSOR_UPDATAE");
                    FragmentGripSxDetectionAP.this.startTest();
                } else if (msg.what == FragmentGripSxDetectionAP.this.WHAT_FINISH) {
                    FragmentGripSxDetectionAP.this.setResult();
                } else if (msg.what == FragmentGripSxDetectionAP.this.WHAT_RESET_FAIL_FINISH) {
                    FtUtil.log_d("FragmentGripSxDetectionAP", "mHandler", "WHAT_RESET_FAIL_FINISH");
                    FragmentGripSxDetectionAP.this.setResetFailResult();
                }
            }
        };
        if (index == -1) {
            this.mindex = 0;
        } else {
            this.mindex = index;
        }
    }

    /* access modifiers changed from: private */
    public class TestItem {
        public int mGripState;
        public boolean mIsPass = false;
        public String mRawDataPath = null;
        public int mStatus;

        TestItem(String path) {
            this.mStatus = FragmentGripSxDetectionAP.this.TESTITEM_STATUS_WORKING;
            this.mGripState = FragmentGripSxDetectionAP.this.GRIP_NONE;
            this.mRawDataPath = path;
        }
    }

    @Override // android.app.Fragment
    public void onAttach(Context context) {
        super.onAttach(context);
        this.mActivity = getActivity();
        this.mChCount = 1;
        this.mTestIndex = getArguments().getInt("index");
        this.mGripType = getArguments().getString(UICommanderService.UI_UPDATE_HASHMAP_KEY_3);
    }

    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        this.mUIRate = Support.FactoryTestMenu.getUIRate(FactoryTestManager.convertorID_XML((byte) 34));
        Intent intent = this.mActivity.getIntent();
        if (intent != null) {
            mNeedCheckInitMode = intent.getBooleanExtra("init_check", false);
        }
        if (mNeedCheckInitMode && !isInitMode()) {
            initTestFail();
        }
        init_items();
        sensorOn();
    }

    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        FtUtil.log_d("FragmentGripSxDetectionAP", "onCreateView", "mChCount = " + this.mChCount);
        View rootView = inflater.inflate(R.layout.fragment_grip_sx_detection, container, false);
        this.mBgLayout = (LinearLayout) rootView.findViewById(R.id.bg_layout);
        int i = this.mChCount;
        this.mTableGrip = new TableLayout[i];
        this.mTextGripSens = new TextView[i];
        this.mTextGripWorking = new TextView[i];
        this.mTextGripRelease = new TextView[i];
        this.mTextGripWorkingResult = new TextView[i];
        this.mTextGripReleaseResult = new TextView[i];
        for (int i2 = 0; i2 < this.mChCount; i2++) {
            View view = inflater.inflate(R.layout.fragment_grip_sx_detection_table, (ViewGroup) null);
            this.mTableGrip[i2] = (TableLayout) view.findViewById(R.id.table_gripsens);
            this.mTextGripSens[i2] = (TextView) view.findViewById(R.id.grip_sens);
            this.mTextGripWorking[i2] = (TextView) view.findViewById(R.id.grip_working);
            this.mTextGripRelease[i2] = (TextView) view.findViewById(R.id.grip_release);
            this.mTextGripWorkingResult[i2] = (TextView) view.findViewById(R.id.grip_working_result);
            this.mTextGripReleaseResult[i2] = (TextView) view.findViewById(R.id.grip_release_result);
            TextView textView = this.mTextGripSens[i2];
            textView.setText(String.valueOf(this.mTestIndex + i2 + 1) + " : " + this.mGripType);
            this.mBgLayout.addView(view);
        }
        adjustTextSize(TEXT_SIZE);
        setUIRate();
        return rootView;
    }

    public void onResume() {
        FtUtil.log_d("FragmentGripSxDetectionAP", "onResume", null);
        super.onResume();
    }

    public void onPause() {
        FtUtil.log_d("FragmentGripSxDetectionAP", "onPause", null);
        super.onPause();
    }

    public void onDestroy() {
        FtUtil.log_d("FragmentGripSxDetectionAP", "onDestroy", null);
        sensorOff();
        this.mHandler.removeCallbacksAndMessages(null);
        super.onDestroy();
    }

    private void init_items() {
        int i = this.mChCount;
        this.mTestItem = new TestItem[i];
        this.mPrevValue = new float[i];
        this.mCurrValue = new float[i];
        for (int i2 = 0; i2 < this.mChCount; i2++) {
            if (this.mGripType.contains("_CH2")) {
                this.mTestItem[i2] = new TestItem(Support.Kernel.getFilePath(this.RAW_DATA_PATH[this.mindex]));
            } else {
                this.mTestItem[i2] = new TestItem(Support.Kernel.getFilePath(this.RAW_DATA_PATH[this.mindex]));
            }
            float[] fArr = this.mPrevValue;
            int i3 = this.GRIP_NONE;
            fArr[i2] = (float) i3;
            this.mCurrValue[i2] = (float) i3;
        }
    }

    private void adjustTextSize(float size) {
        FtUtil.log_d("FragmentGripSxDetectionAP", "adjustTextSize", "size : " + size);
        for (int i = 0; i < this.mChCount; i++) {
            this.mTextGripSens[i].setTextSize(size);
            this.mTextGripWorking[i].setTextSize(size);
            this.mTextGripRelease[i].setTextSize(size);
            this.mTextGripWorkingResult[i].setTextSize(size);
            this.mTextGripReleaseResult[i].setTextSize(size);
        }
    }

    private void setUIRate() {
        FtUtil.log_d("FragmentGripSxDetectionAP", "setUIRate", "rate : " + this.mUIRate);
        float f = this.mUIRate;
        if (!(f == 0.0f || f == 1.0f)) {
            for (int i = 0; i < this.mChCount; i++) {
                TextView[] textViewArr = this.mTextGripSens;
                textViewArr[i].setTextSize(0, textViewArr[i].getTextSize() * this.mUIRate);
                TextView[] textViewArr2 = this.mTextGripWorking;
                textViewArr2[i].setTextSize(0, textViewArr2[i].getTextSize() * this.mUIRate);
                TextView[] textViewArr3 = this.mTextGripRelease;
                textViewArr3[i].setTextSize(0, textViewArr3[i].getTextSize() * this.mUIRate);
                TextView[] textViewArr4 = this.mTextGripWorkingResult;
                textViewArr4[i].setTextSize(0, textViewArr4[i].getTextSize() * this.mUIRate);
                TextView[] textViewArr5 = this.mTextGripReleaseResult;
                textViewArr5[i].setTextSize(0, textViewArr5[i].getTextSize() * this.mUIRate);
            }
        }
    }

    public void startTest() {
        FtUtil.log_d("FragmentGripSxDetectionAP", "startTest", null);
        setSensorData();
        int index = 0;
        while (true) {
            TestItem[] testItemArr = this.mTestItem;
            if (index >= testItemArr.length) {
                break;
            }
            if (testItemArr[index].mGripState != this.GRIP_NONE) {
                FtUtil.log_d("FragmentGripSxDetectionAP", "startTest", "TEST STATUS : " + this.mTestItem[index].mStatus);
                this.mCurrValue[index] = (float) this.mTestItem[index].mGripState;
                if (this.mTestItem[index].mStatus == this.TESTITEM_STATUS_WORKING) {
                    this.mCurrValue[index] = (float) this.mTestItem[index].mGripState;
                    if (this.mCurrValue[index] == ((float) this.GRIP_DETECT)) {
                        FtUtil.log_d("FragmentGripSxDetectionAP", "startTest", "Working Result show : " + this.mCurrValue[index]);
                        ((UIGripSXDetection) this.mActivity).setGripState(this.mTestIndex + index, true);
                        ((UIGripSXDetection) this.mActivity).setWorking();
                        this.mTextGripWorkingResult[index].setVisibility(0);
                        this.mTextGripWorkingResult[index].setText("Pass");
                        this.mTextGripWorkingResult[index].setTextColor(UiHallICTest.FONT_COLOR_PASS);
                        this.mTestItem[index].mStatus = this.TESTITEM_STATUS_RELEASE;
                        this.mTextGripRelease[index].setVisibility(0);
                    }
                    this.mPrevValue[index] = this.mCurrValue[index];
                } else if (this.mTestItem[index].mStatus == this.TESTITEM_STATUS_RELEASE) {
                    this.mCurrValue[index] = (float) this.mTestItem[index].mGripState;
                    if (this.mPrevValue[index] == ((float) this.GRIP_DETECT) && this.mCurrValue[index] == ((float) this.GRIP_RELEASE)) {
                        FtUtil.log_d("FragmentGripSxDetectionAP", "startTest", "Release Result show : " + this.mCurrValue[index]);
                        ((UIGripSXDetection) this.mActivity).setGripState(this.mTestIndex + index, false);
                        ((UIGripSXDetection) this.mActivity).setRelease();
                        this.mTextGripReleaseResult[index].setVisibility(0);
                        this.mTextGripReleaseResult[index].setText("Pass");
                        this.mTextGripReleaseResult[index].setTextColor(UiHallICTest.FONT_COLOR_PASS);
                        this.mTestItem[index].mStatus = this.TESTITEM_STATUS_FINISH;
                        this.mTestItem[index].mIsPass = true;
                    }
                    this.mPrevValue[index] = this.mCurrValue[index];
                }
            }
            index++;
        }
        boolean allTestPass = true;
        int index2 = 0;
        while (true) {
            TestItem[] testItemArr2 = this.mTestItem;
            if (index2 >= testItemArr2.length) {
                break;
            }
            if (testItemArr2[index2].mStatus == this.TESTITEM_STATUS_FINISH) {
                float[] fArr = this.mPrevValue;
                int i = this.GRIP_NONE;
                fArr[index2] = (float) i;
                this.mCurrValue[index2] = (float) i;
            } else {
                allTestPass = false;
            }
            index2++;
        }
        if (allTestPass) {
            this.mHandler.sendEmptyMessage(this.WHAT_FINISH);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setResult() {
        for (int i = 0; i < this.mChCount; i++) {
            ((UIGripSXDetection) this.mActivity).setResult(this.mTestIndex + i, this.mTestItem[i].mIsPass);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setResetFailResult() {
        for (int i = 0; i < this.mChCount; i++) {
            ((UIGripSXDetection) this.mActivity).setResetFailResult(this.mTestIndex + i);
        }
    }

    private void initTestFail() {
        FtUtil.log_d("FragmentGripSxDetectionAP", "startTest", "temp is null " + this.mCurrValue);
        for (int i = 0; i < this.mChCount; i++) {
            this.mTextGripWorkingResult[i].setVisibility(0);
            this.mTextGripWorkingResult[i].setText("Fail");
            this.mTextGripWorkingResult[i].setTextColor(-65536);
            this.mTestItem[i].mIsPass = false;
            this.mTestItem[i].mStatus = this.TESTITEM_STATUS_FINISH;
        }
        this.mHandler.sendEmptyMessage(this.WHAT_FINISH);
    }

    private boolean isInitMode() {
        String initMode;
        if (this.mGripType.contains("_CH2")) {
            initMode = Support.Kernel.readFromPath(this.MODE_SYSFS_PATH[this.mindex], true);
        } else {
            initMode = Support.Kernel.readFromPath(this.MODE_SYSFS_PATH[this.mindex], true);
        }
        boolean mode = true;
        if (!"0".equals(initMode)) {
            mode = false;
        }
        FtUtil.log_d("FragmentGripSxDetectionAP", "isInitMode", "mode = " + mode);
        return mode;
    }

    private void setSensorData() {
        int state;
        for (int i = 0; i < this.mTestItem.length; i++) {
            String[] result = ((UIGripSXDetection) this.mActivity).mModuleSensor.getData(ModuleSensor.ID_MANAGER_GRIP);
            int i2 = this.GRIP_NONE;
            if (this.mGripType.contains("_CH2")) {
                state = result != null ? Integer.valueOf(result[2]).intValue() : this.GRIP_NONE;
                FtUtil.log_d("FragmentGripSxDetectionAP", "setSensorData", "CH2 value is " + state);
            } else {
                state = result != null ? Integer.valueOf(result[1]).intValue() : this.GRIP_NONE;
            }
            if (state == 0) {
                this.mTestItem[i].mGripState = this.GRIP_DETECT;
            } else if (state == 5) {
                this.mTestItem[i].mGripState = this.GRIP_RELEASE;
            } else {
                this.mTestItem[i].mGripState = this.GRIP_NONE;
            }
        }
    }

    private void sensorOn() {
        String resetFilePath = Support.Kernel.getFilePath(this.RESET_SYSFS_PATH[this.mindex]);
        int resetResult = 0;
        if (((UIGripSXDetection) this.mActivity).isResetGrip(resetFilePath)) {
            FtUtil.log_d("FragmentGripSxDetectionAP", "sensorOn", resetFilePath + " was already reset");
        } else {
            ((UIGripSXDetection) this.mActivity).addListGripReset(resetFilePath);
            String reset = Support.Kernel.read(this.RESET_SYSFS_PATH[this.mindex]);
            resetResult = reset != null ? Integer.parseInt(reset) : -1;
            FtUtil.log_d("FragmentGripSxDetectionAP", "sensorOn", "Sensor Reset /resetResult : " + resetResult + ", resetFilePath : " + resetFilePath);
        }
        if (resetResult != 0) {
            FtUtil.log_d("FragmentGripSxDetectionAP", "sensorOn", "Sensor Reset Fail " + resetResult);
            this.mHandler.sendEmptyMessage(this.WHAT_RESET_FAIL_FINISH);
            return;
        }
        FtUtil.log_d("FragmentGripSxDetectionAP", "sensorOn", "Sensor Reset Success " + resetResult);
        ((UIGripSXDetection) this.mActivity).mModuleSensor.SensorOn(new int[]{ModuleSensor.ID_MANAGER_GRIP}, this.mHandler, 100);
    }

    private void sensorOff() {
        FtUtil.log_d("FragmentGripSxDetectionAP", "sensorOff", null);
        ((UIGripSXDetection) this.mActivity).mModuleSensor.SensorOff(new int[]{ModuleSensor.ID_MANAGER_GRIP}, this.mHandler);
    }

    public String[] getGripData() {
        FtUtil.log_d("FragmentGripSxDetectionAP", "getGripData", null);
        String[] result = {"non-detect", "0"};
        setSensorData();
        int i = 0;
        while (true) {
            TestItem[] testItemArr = this.mTestItem;
            if (i < testItemArr.length) {
                String temp = Support.Kernel.readFromPath(testItemArr[i].mRawDataPath, true);
                if (temp == null) {
                    FtUtil.log_e("FragmentGripSxDetectionAP", "getGripData", this.mGripType + " - getting diff data[" + i + "] is fail...");
                    this.mMaxProxDiff = 0;
                } else {
                    String[] rawData = temp.split(",");
                    FtUtil.log_e("FragmentGripSxDetectionAP", "getGripData", this.mGripType + " - diff data[" + i + "] is " + rawData[3]);
                    if (Integer.valueOf(rawData[3]).intValue() > this.mMaxProxDiff) {
                        this.mMaxProxDiff = Integer.valueOf(rawData[3]).intValue();
                    }
                }
                if (this.mTestItem[i].mGripState == this.GRIP_DETECT) {
                    FtUtil.log_e("FragmentGripSxDetectionAP", "getGripData", this.mGripType + " - Fail : mTestItem[" + i + "].mGripState is detect");
                    result[0] = "detect";
                }
                i++;
            } else {
                result[1] = Integer.toString(this.mMaxProxDiff);
                return result;
            }
        }
    }
}
