package com.sec.factory.app.ui;

import android.app.Activity;
import android.app.Fragment;
import android.content.Context;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.LinearLayout;
import android.widget.TableLayout;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.uicommander.UICommanderService;
import com.sec.factory.modules.SensorNotification;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class FragmentGripTouch extends Fragment {
    private static final float TEXT_SIZE = 20.0f;
    private static boolean mLcdOffFlag = false;
    private final String CLASS_NAME = "FragmentGripTouch";
    private String DIFFDATA_SYSFS_PATH;
    private int DUMMY = 0;
    private String ENABLE_SYSFS_PATH;
    private int GRIP_DETECT = 0;
    private int GRIP_NONE = -1;
    private int GRIP_RELEASE = 5;
    private int ModuleSensorID;
    private String RESETREADY_SYSFS_PATH;
    private String RESET_SYSFS_PATH;
    private final int TESTITEM_STATUS_FINISH;
    private final int TESTITEM_STATUS_RELEASE;
    private final int TESTITEM_STATUS_WORKING;
    private String THRESHOLD_SYSFS_PATH;
    private final int WHAT_FINISH;
    private final int WHAT_RESET_FAIL_FINISH;
    private int fragmentNum = -1;
    private Activity mActivity;
    private LinearLayout mBgLayout;
    private int mChCount;
    private Context mContext;
    private float[] mCurrValue;
    private String mGripType = "";
    public Handler mHandler;
    private float[] mPrevValue;
    private TableLayout[] mTableGrip;
    private int mTestIndex = -1;
    private TestItem[] mTestItem;
    private TextView[] mTextGripRelease;
    private TextView[] mTextGripReleaseResult;
    private TextView[] mTextGripSens;
    private TextView[] mTextGripWorking;
    private TextView[] mTextGripWorkingResult;
    private View rootView;

    public FragmentGripTouch() {
        int i = 0 + 1;
        this.DUMMY = i;
        this.TESTITEM_STATUS_WORKING = 0;
        int i2 = i + 1;
        this.DUMMY = i2;
        this.TESTITEM_STATUS_RELEASE = i;
        int i3 = i2 + 1;
        this.DUMMY = i3;
        this.TESTITEM_STATUS_FINISH = i2;
        int i4 = i3 + 1;
        this.DUMMY = i4;
        this.WHAT_FINISH = i3;
        this.DUMMY = i4 + 1;
        this.WHAT_RESET_FAIL_FINISH = i4;
        this.mChCount = 1;
        this.mHandler = new Handler() {
            /* class com.sec.factory.app.ui.FragmentGripTouch.AnonymousClass1 */

            public void handleMessage(Message msg) {
                if (msg.what == SensorNotification.WHAT_NOTI_SENSOR_UPDATAE) {
                    FtUtil.log_d("FragmentGripTouch", "mHandler", "WHAT_NOTI_SENSOR_UPDATAE");
                    FragmentGripTouch.this.startTest();
                } else if (msg.what == FragmentGripTouch.this.WHAT_FINISH) {
                    FragmentGripTouch.this.setResult();
                } else if (msg.what == FragmentGripTouch.this.WHAT_RESET_FAIL_FINISH) {
                    FtUtil.log_d("FragmentGripTouch", "mHandler", "WHAT_RESET_FAIL_FINISH");
                    FragmentGripTouch.this.setResetFailResult();
                }
            }
        };
    }

    public FragmentGripTouch(Context context) {
        int i = 0 + 1;
        this.DUMMY = i;
        this.TESTITEM_STATUS_WORKING = 0;
        int i2 = i + 1;
        this.DUMMY = i2;
        this.TESTITEM_STATUS_RELEASE = i;
        int i3 = i2 + 1;
        this.DUMMY = i3;
        this.TESTITEM_STATUS_FINISH = i2;
        int i4 = i3 + 1;
        this.DUMMY = i4;
        this.WHAT_FINISH = i3;
        this.DUMMY = i4 + 1;
        this.WHAT_RESET_FAIL_FINISH = i4;
        this.mChCount = 1;
        this.mHandler = new Handler() {
            /* class com.sec.factory.app.ui.FragmentGripTouch.AnonymousClass1 */

            public void handleMessage(Message msg) {
                if (msg.what == SensorNotification.WHAT_NOTI_SENSOR_UPDATAE) {
                    FtUtil.log_d("FragmentGripTouch", "mHandler", "WHAT_NOTI_SENSOR_UPDATAE");
                    FragmentGripTouch.this.startTest();
                } else if (msg.what == FragmentGripTouch.this.WHAT_FINISH) {
                    FragmentGripTouch.this.setResult();
                } else if (msg.what == FragmentGripTouch.this.WHAT_RESET_FAIL_FINISH) {
                    FtUtil.log_d("FragmentGripTouch", "mHandler", "WHAT_RESET_FAIL_FINISH");
                    FragmentGripTouch.this.setResetFailResult();
                }
            }
        };
        this.mContext = context;
    }

    /* access modifiers changed from: private */
    public class TestItem {
        public int mGripState;
        public boolean mIsPass;
        public int mStatus;

        private TestItem() {
            this.mStatus = FragmentGripTouch.this.TESTITEM_STATUS_WORKING;
            this.mGripState = FragmentGripTouch.this.GRIP_NONE;
            this.mIsPass = false;
        }
    }

    @Override // android.app.Fragment
    public void onAttach(Context context) {
        super.onAttach(context);
        this.mActivity = getActivity();
        this.mTestIndex = getArguments().getInt("index");
        this.ENABLE_SYSFS_PATH = getArguments().getString("onoff");
        this.RESET_SYSFS_PATH = getArguments().getString("reset");
        this.RESETREADY_SYSFS_PATH = getArguments().getString("resetready");
        this.DIFFDATA_SYSFS_PATH = getArguments().getString("diffdata");
        this.THRESHOLD_SYSFS_PATH = getArguments().getString("threshold");
        this.ModuleSensorID = getArguments().getInt("gripsensorid");
        this.mGripType = getArguments().getString(UICommanderService.UI_UPDATE_HASHMAP_KEY_3);
    }

    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        init_items();
        sensorOn();
    }

    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        FtUtil.log_d("FragmentGripTouch", "onCreateView", "mChCount = " + this.mChCount);
        View rootView2 = inflater.inflate(R.layout.fragment_grip_sx_detection, container, false);
        this.mBgLayout = (LinearLayout) rootView2.findViewById(R.id.bg_layout);
        int i = this.mChCount;
        this.mTableGrip = new TableLayout[i];
        this.mTextGripSens = new TextView[i];
        this.mTextGripWorking = new TextView[i];
        this.mTextGripRelease = new TextView[i];
        this.mTextGripWorkingResult = new TextView[i];
        this.mTextGripReleaseResult = new TextView[i];
        for (int i2 = 0; i2 < this.mChCount; i2++) {
            View view = inflater.inflate(R.layout.fragment_grip_sx_detection_table, (ViewGroup) null);
            this.mTableGrip[i2] = (TableLayout) view.findViewById(R.id.table_gripsens);
            this.mTextGripSens[i2] = (TextView) view.findViewById(R.id.grip_sens);
            this.mTextGripWorking[i2] = (TextView) view.findViewById(R.id.grip_working);
            this.mTextGripRelease[i2] = (TextView) view.findViewById(R.id.grip_release);
            this.mTextGripWorkingResult[i2] = (TextView) view.findViewById(R.id.grip_working_result);
            this.mTextGripReleaseResult[i2] = (TextView) view.findViewById(R.id.grip_release_result);
            TextView textView = this.mTextGripSens[i2];
            textView.setText(String.valueOf(this.mTestIndex + i2 + 1) + " : " + this.mGripType);
            this.mBgLayout.addView(view);
        }
        adjustTextSize(TEXT_SIZE);
        return rootView2;
    }

    public void onResume() {
        FtUtil.log_d("FragmentGripTouch", "onResume", null);
        super.onResume();
    }

    public void onPause() {
        FtUtil.log_d("FragmentGripTouch", "onPause", null);
        super.onPause();
    }

    public void onDestroy() {
        FtUtil.log_d("FragmentGripTouch", "onDestroy", null);
        sensorOff();
        this.mHandler.removeCallbacksAndMessages(null);
        super.onDestroy();
    }

    private void init_items() {
        int i = this.mChCount;
        this.mTestItem = new TestItem[i];
        this.mPrevValue = new float[i];
        this.mCurrValue = new float[i];
        for (int i2 = 0; i2 < this.mChCount; i2++) {
            this.mTestItem[i2] = new TestItem();
            float[] fArr = this.mPrevValue;
            int i3 = this.GRIP_NONE;
            fArr[i2] = (float) i3;
            this.mCurrValue[i2] = (float) i3;
        }
    }

    private void adjustTextSize(float size) {
        for (int i = 0; i < this.mChCount; i++) {
            this.mTextGripWorking[i].setTextSize(size);
            this.mTextGripRelease[i].setTextSize(size);
            this.mTextGripWorkingResult[i].setTextSize(size);
            this.mTextGripReleaseResult[i].setTextSize(size);
        }
    }

    public void startTest() {
        FtUtil.log_d("FragmentGripTouch", "startTest", null);
        setSensorData();
        int index = 0;
        while (true) {
            TestItem[] testItemArr = this.mTestItem;
            if (index >= testItemArr.length) {
                break;
            }
            if (testItemArr[index].mGripState != this.GRIP_NONE) {
                FtUtil.log_d("FragmentGripTouch", "startTest", "TEST STATUS : " + this.mTestItem[index].mStatus);
                this.mCurrValue[index] = (float) this.mTestItem[index].mGripState;
                if (this.mTestItem[index].mStatus == this.TESTITEM_STATUS_WORKING) {
                    this.mCurrValue[index] = (float) this.mTestItem[index].mGripState;
                    if (this.mCurrValue[index] == ((float) this.GRIP_DETECT)) {
                        FtUtil.log_d("FragmentGripTouch", "startTest", "Working Result show : " + this.mCurrValue[index]);
                        ((UIGripSXDetection) this.mActivity).setGripState(this.mTestIndex + index, true);
                        ((UIGripSXDetection) this.mActivity).setWorking();
                        this.mTextGripWorkingResult[index].setVisibility(0);
                        this.mTextGripWorkingResult[index].setText("Pass");
                        this.mTextGripWorkingResult[index].setTextColor(UiHallICTest.FONT_COLOR_PASS);
                        this.mTestItem[index].mStatus = this.TESTITEM_STATUS_RELEASE;
                        this.mTextGripRelease[index].setVisibility(0);
                    }
                    this.mPrevValue[index] = this.mCurrValue[index];
                } else if (this.mTestItem[index].mStatus == this.TESTITEM_STATUS_RELEASE) {
                    this.mCurrValue[index] = (float) this.mTestItem[index].mGripState;
                    if (this.mPrevValue[index] == ((float) this.GRIP_DETECT) && this.mCurrValue[index] == ((float) this.GRIP_RELEASE)) {
                        FtUtil.log_d("FragmentGripTouch", "startTest", "Release Result show : " + this.mCurrValue[index]);
                        ((UIGripSXDetection) this.mActivity).setGripState(this.mTestIndex + index, false);
                        ((UIGripSXDetection) this.mActivity).setRelease();
                        this.mTextGripReleaseResult[index].setVisibility(0);
                        this.mTextGripReleaseResult[index].setText("Pass");
                        this.mTextGripReleaseResult[index].setTextColor(UiHallICTest.FONT_COLOR_PASS);
                        this.mTestItem[index].mStatus = this.TESTITEM_STATUS_FINISH;
                        this.mTestItem[index].mIsPass = true;
                    }
                    this.mPrevValue[index] = this.mCurrValue[index];
                }
            }
            index++;
        }
        boolean allTestPass = true;
        int index2 = 0;
        while (true) {
            TestItem[] testItemArr2 = this.mTestItem;
            if (index2 >= testItemArr2.length) {
                break;
            }
            if (testItemArr2[index2].mStatus == this.TESTITEM_STATUS_FINISH) {
                float[] fArr = this.mPrevValue;
                int i = this.GRIP_NONE;
                fArr[index2] = (float) i;
                this.mCurrValue[index2] = (float) i;
            } else {
                allTestPass = false;
            }
            index2++;
        }
        if (allTestPass) {
            this.mHandler.sendEmptyMessage(this.WHAT_FINISH);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setResult() {
        for (int i = 0; i < this.mChCount; i++) {
            ((UIGripSXDetection) this.mActivity).setResult(this.mTestIndex + i, this.mTestItem[i].mIsPass);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setResetFailResult() {
        for (int i = 0; i < this.mChCount; i++) {
            ((UIGripSXDetection) this.mActivity).setResetFailResult(this.mTestIndex + i);
        }
    }

    private void setSensorData() {
        for (int i = 0; i < this.mTestItem.length; i++) {
            String[] result = ((UIGripSXDetection) this.mActivity).mModuleSensor.getData(this.ModuleSensorID);
            int i2 = this.GRIP_NONE;
            int state = result != null ? Integer.valueOf(result[1]).intValue() : this.GRIP_NONE;
            if (state == 1) {
                this.mTestItem[i].mGripState = this.GRIP_DETECT;
            } else if (state == 0) {
                this.mTestItem[i].mGripState = this.GRIP_RELEASE;
            } else {
                this.mTestItem[i].mGripState = this.GRIP_NONE;
            }
        }
    }

    private void sensorOn() {
        FtUtil.log_d("FragmentGripTouch", "sensorOn", null);
        String resetFilePath = Support.Kernel.getFilePath(this.RESET_SYSFS_PATH);
        int resetResult = 1;
        if (((UIGripSXDetection) this.mActivity).isResetGrip(resetFilePath)) {
            FtUtil.log_d("FragmentGripTouch", "sensorOn", resetFilePath + " was already reset");
        } else {
            FtUtil.log_d("FragmentGripTouch", "sensorOn", "sensorReset");
            ((UIGripSXDetection) this.mActivity).addListGripReset(resetFilePath);
            Support.Kernel.write(this.RESET_SYSFS_PATH, EgisFingerprint.MAJOR_VERSION);
            String reset = Support.Kernel.read(this.RESETREADY_SYSFS_PATH);
            resetResult = reset != null ? Integer.parseInt(reset) : 0;
            FtUtil.log_d("FragmentGripTouch", "sensorOn", "Sensor Reset /resetResult : " + resetResult + ", resetFilePath : " + resetFilePath);
        }
        if (resetResult != 1) {
            FtUtil.log_d("FragmentGripTouch", "sensorOn", "Sensor Reset Fail " + resetResult);
            this.mHandler.sendEmptyMessage(this.WHAT_RESET_FAIL_FINISH);
            return;
        }
        FtUtil.log_d("FragmentGripTouch", "sensorOn", "Sensor Reset Success " + resetResult);
        Support.Kernel.write(this.ENABLE_SYSFS_PATH, EgisFingerprint.MAJOR_VERSION);
        ((UIGripSXDetection) this.mActivity).mModuleSensor.SensorOn(new int[]{this.ModuleSensorID}, this.mHandler, 100);
    }

    private void sensorOff() {
        FtUtil.log_d("FragmentGripTouch", "sensorOff", null);
        Support.Kernel.write(this.ENABLE_SYSFS_PATH, "0");
        moudleSensorOff();
    }

    private void moudleSensorOff() {
        ((UIGripSXDetection) this.mActivity).mModuleSensor.SensorOff(new int[]{this.ModuleSensorID}, this.mHandler);
    }

    public String[] getGripData() {
        String diff_raw = Support.Kernel.read(this.DIFFDATA_SYSFS_PATH);
        String thd_raw = Support.Kernel.read(this.THRESHOLD_SYSFS_PATH);
        String[] diff_data = null;
        String[] thd_data = null;
        String[] result = {"non-detect", "0"};
        if (diff_raw != null) {
            diff_data = diff_raw.split(",");
        }
        if (thd_raw != null) {
            thd_data = thd_raw.split(",");
        }
        result[1] = diff_data[0];
        if (Integer.parseInt(thd_data[0]) < Integer.parseInt(diff_data[0])) {
            result[0] = "detect";
        }
        return result;
    }
}
