package com.sec.factory.app.ui;

import android.app.Fragment;
import android.os.Bundle;
import android.os.Handler;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TableLayout;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class FragmentGyroscopeBosch extends Fragment {
    private final String CLASS_NAME = "FragmentGyroscopeBosch";
    private TableLayout mGyroSelfTestLayout;
    private Handler mHandler = new Handler();
    private boolean mPass = false;
    private String[] mSelfTestResults;
    private TextView txt_bist;
    private TextView txt_build_in_selftest;
    private TextView txt_zerox;
    private TextView txt_zeroy;
    private TextView txt_zeroz;
    private TextView txtresult;

    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        FtUtil.log_d("FragmentGyroscopeBosch", "onCreateView", null);
        View view = inflater.inflate(R.layout.fragment_gyroscope_bosch, (ViewGroup) null);
        init(view);
        return view;
    }

    private void init(View view) {
        this.txtresult = (TextView) view.findViewById(R.id.result);
        this.txt_bist = (TextView) view.findViewById(R.id.bist_str);
        this.txt_build_in_selftest = (TextView) view.findViewById(R.id.sub2_str);
        this.txt_zerox = (TextView) view.findViewById(R.id.x_value);
        this.txt_zeroy = (TextView) view.findViewById(R.id.y_value);
        this.txt_zeroz = (TextView) view.findViewById(R.id.z_value);
        this.mGyroSelfTestLayout = (TableLayout) view.findViewById(R.id.menu);
    }

    public void update(final Handler handler) {
        super.onResume();
        this.mGyroSelfTestLayout.setVisibility(8);
        this.txtresult.setVisibility(8);
        this.txtresult.setText("");
        String selfTestResult = Support.Kernel.read(Support.Kernel.GYRO_SENSOR_SELFTEST);
        if (selfTestResult != null) {
            this.mSelfTestResults = selfTestResult.split(",");
            this.txtresult.setVisibility(0);
            this.txt_build_in_selftest.setText("(Build in selftest)");
            this.mHandler.postDelayed(new Runnable() {
                /* class com.sec.factory.app.ui.FragmentGyroscopeBosch.AnonymousClass1 */

                public void run() {
                    FragmentGyroscopeBosch.this.mGyroSelfTestLayout.setVisibility(0);
                    FragmentGyroscopeBosch fragmentGyroscopeBosch = FragmentGyroscopeBosch.this;
                    fragmentGyroscopeBosch.showTestResults_BMG160(fragmentGyroscopeBosch.mSelfTestResults, handler);
                }
            }, 1000);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void showTestResults_BMG160(String[] results, Handler handler) {
        boolean z = false;
        String result = results[0].trim();
        String bist = results[1].trim();
        String zerorate_x = results[2].trim();
        String zerorate_y = results[3].trim();
        String zerorate_z = results[4].trim();
        if (EgisFingerprint.MAJOR_VERSION.equals(bist)) {
            this.txt_bist.setText(R.string.PASS);
            this.txt_bist.setTextColor(UiHallICTest.FONT_COLOR_PASS);
        } else {
            this.txt_bist.setText(R.string.FAIL);
            this.txt_bist.setTextColor(-65536);
        }
        this.txt_zerox.setText(zerorate_x);
        this.txt_zeroy.setText(zerorate_y);
        this.txt_zeroz.setText(zerorate_z);
        if (EgisFingerprint.MAJOR_VERSION.equals(result) && EgisFingerprint.MAJOR_VERSION.equals(bist)) {
            z = true;
        }
        this.mPass = z;
        if (z) {
            this.txtresult.setText(R.string.PASS);
            this.txtresult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            handler.sendEmptyMessage(UIGeomagneticGyro.WHAT_GYROSCOPE_PASS);
            return;
        }
        this.txtresult.setText(R.string.FAIL);
        this.txtresult.setTextColor(-65536);
        handler.sendEmptyMessage(UIGeomagneticGyro.WHAT_GYROSCOPE_FAIL);
    }
}
