package com.sec.factory.app.ui;

import android.app.Fragment;
import android.os.Bundle;
import android.os.Handler;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;

public class FragmentGyroscopeMaxim extends Fragment {
    private final String CLASS_NAME = "FragmentGyroscopeMaxim";
    private int mGyroSpec_Max;
    private int mGyroSpec_Min;
    private TextView mTextResult;
    private TextView mText_HW_Self_Title;
    private TextView mText_HW_Self_X;
    private TextView mText_HW_Self_Y;
    private TextView mText_HW_Self_Z;
    private TextView mText_Initialized;
    private TextView mText_Initialized_Title;
    private TextView mText_Noise_Bias_Title;
    private TextView mText_Noise_Bias_X;
    private TextView mText_Noise_Bias_Y;
    private TextView mText_Noise_Bias_Z;
    private TextView mText_Result_Title;
    private TextView mText_Sensor_Result;
    private TextView mText_Sensor_Title;
    private TextView mText_Temperature;
    private TextView mText_Temperature_Title;
    private TextView mText_Title;
    private TextView mText_X_Title;
    private TextView mText_Y_Title;
    private TextView mText_Z_Title;

    public static class DataGyroMaxim {
        public String mBias_Result;
        public String mBias_X;
        public String mBias_Y;
        public String mBias_Z;
        public String mFeature;
        public String mHWSelf_X;
        public String mHWSelf_Y;
        public String mHWSelf_Z;
        public String mInitialized;
        public String mTemperature;
    }

    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        FtUtil.log_d("FragmentGyroscopeMaxim", "onCreateView", null);
        View view = inflater.inflate(R.layout.fragment_gyroscope_maxim, (ViewGroup) null);
        inti(view);
        setUIRate();
        return view;
    }

    private void inti(View view) {
        this.mText_Title = (TextView) view.findViewById(R.id.title);
        this.mText_Initialized_Title = (TextView) view.findViewById(R.id.initialized_title);
        this.mText_Initialized = (TextView) view.findViewById(R.id.initialized);
        this.mText_Temperature_Title = (TextView) view.findViewById(R.id.temperature_title);
        this.mText_Temperature = (TextView) view.findViewById(R.id.temperature);
        this.mText_X_Title = (TextView) view.findViewById(R.id.x_title);
        this.mText_Y_Title = (TextView) view.findViewById(R.id.y_title);
        this.mText_Z_Title = (TextView) view.findViewById(R.id.z_title);
        this.mText_Noise_Bias_Title = (TextView) view.findViewById(R.id.noise_bias_title);
        this.mText_Noise_Bias_X = (TextView) view.findViewById(R.id.noise_bias_x);
        this.mText_Noise_Bias_Y = (TextView) view.findViewById(R.id.noise_bias_y);
        this.mText_Noise_Bias_Z = (TextView) view.findViewById(R.id.noise_bias_z);
        this.mText_HW_Self_Title = (TextView) view.findViewById(R.id.hw_self_title);
        this.mText_HW_Self_X = (TextView) view.findViewById(R.id.hw_self_x);
        this.mText_HW_Self_Y = (TextView) view.findViewById(R.id.hw_self_y);
        this.mText_HW_Self_Z = (TextView) view.findViewById(R.id.hw_self_z);
        this.mText_Result_Title = (TextView) view.findViewById(R.id.result_title);
        this.mTextResult = (TextView) view.findViewById(R.id.result);
    }

    private void setUIRate() {
        float rate = Support.FactoryTestMenu.getUIRate(FactoryTestManager.convertorID_XML((byte) 21));
        FtUtil.log_d("FragmentGyroscopeMaxim", "setUIRate", "rate : " + rate);
        if (rate != 0.0f && rate != 1.0f) {
            TextView textView = this.mText_Title;
            textView.setTextSize(0, textView.getTextSize() * rate);
            TextView textView2 = this.mText_Initialized_Title;
            textView2.setTextSize(0, textView2.getTextSize() * rate);
            TextView textView3 = this.mText_Initialized;
            textView3.setTextSize(0, textView3.getTextSize() * rate);
            TextView textView4 = this.mText_Temperature_Title;
            textView4.setTextSize(0, textView4.getTextSize() * rate);
            TextView textView5 = this.mText_Temperature;
            textView5.setTextSize(0, textView5.getTextSize() * rate);
            TextView textView6 = this.mText_X_Title;
            textView6.setTextSize(0, textView6.getTextSize() * rate);
            TextView textView7 = this.mText_Y_Title;
            textView7.setTextSize(0, textView7.getTextSize() * rate);
            TextView textView8 = this.mText_Z_Title;
            textView8.setTextSize(0, textView8.getTextSize() * rate);
            TextView textView9 = this.mText_Noise_Bias_Title;
            textView9.setTextSize(0, textView9.getTextSize() * rate);
            TextView textView10 = this.mText_Noise_Bias_X;
            textView10.setTextSize(0, textView10.getTextSize() * rate);
            TextView textView11 = this.mText_Noise_Bias_Y;
            textView11.setTextSize(0, textView11.getTextSize() * rate);
            TextView textView12 = this.mText_Noise_Bias_Z;
            textView12.setTextSize(0, textView12.getTextSize() * rate);
            this.mText_HW_Self_Title.setTextSize(0, this.mText_Noise_Bias_Title.getTextSize() * rate);
            this.mText_HW_Self_X.setTextSize(0, this.mText_Noise_Bias_X.getTextSize() * rate);
            this.mText_HW_Self_Y.setTextSize(0, this.mText_Noise_Bias_Y.getTextSize() * rate);
            this.mText_HW_Self_Z.setTextSize(0, this.mText_Noise_Bias_Z.getTextSize() * rate);
            TextView textView13 = this.mText_Result_Title;
            textView13.setTextSize(0, textView13.getTextSize() * rate);
            TextView textView14 = this.mTextResult;
            textView14.setTextSize(0, textView14.getTextSize() * rate);
        }
    }

    public void update(DataGyroMaxim data, Handler handler) {
        FtUtil.log_i("FragmentGyroscopeMaxim", "update", null);
        if (data == null) {
            FtUtil.log_e("FragmentGyroscopeMaxim", "update", "Warning: data is null.");
            return;
        }
        boolean isPass = true;
        if (data.mInitialized != null) {
            this.mText_Initialized.setText(data.mInitialized);
        }
        if (data.mTemperature != null) {
            FtUtil.log_i("FragmentGyroscopeMaxim", "update", "Temperature : " + data.mTemperature);
            this.mText_Temperature.setText(data.mTemperature);
        } else {
            this.mText_Temperature.setText("NONE");
        }
        int i = -65536;
        String str = "FAIL";
        if (data.mBias_Result == null || data.mBias_X == null || data.mBias_Y == null || data.mBias_Z == null || data.mHWSelf_X == null || data.mHWSelf_Y == null || data.mHWSelf_Z == null) {
            this.mText_Noise_Bias_X.setText("NONE");
            this.mText_Noise_Bias_Y.setText("NONE");
            this.mText_Noise_Bias_Z.setText("NONE");
            this.mTextResult.setText(str);
            this.mTextResult.setTextColor(-65536);
        } else {
            FtUtil.log_i("FragmentGyroscopeMaxim", "update", "Noise Bias : " + data.mBias_X + " , " + data.mBias_Y + " , " + data.mBias_Z);
            FtUtil.log_i("FragmentGyroscopeMaxim", "update", "HW Self Test : " + data.mHWSelf_X + " , " + data.mHWSelf_Y + " , " + data.mHWSelf_Z);
            this.mText_Noise_Bias_X.setText(data.mBias_X);
            this.mText_Noise_Bias_Y.setText(data.mBias_Y);
            this.mText_Noise_Bias_Z.setText(data.mBias_Z);
            this.mText_HW_Self_X.setText(data.mHWSelf_X);
            this.mText_HW_Self_Y.setText(data.mHWSelf_Y);
            this.mText_HW_Self_Z.setText(data.mHWSelf_Z);
            FtUtil.log_i("FragmentGyroscopeMaxim", "update", "ReturnValue : " + data.mBias_Result);
            this.mGyroSpec_Min = Support.Spec.getInt(Support.Spec.GYROSCOPE_SELFTEST_MIN);
            this.mGyroSpec_Max = Support.Spec.getInt(Support.Spec.GYROSCOPE_SELFTEST_MAX);
            if (1 != 1 || Float.parseFloat(data.mBias_X) > ((float) this.mGyroSpec_Max) || Float.parseFloat(data.mBias_Y) > ((float) this.mGyroSpec_Max) || Float.parseFloat(data.mBias_Z) > ((float) this.mGyroSpec_Max) || Float.parseFloat(data.mBias_X) < ((float) this.mGyroSpec_Min) || Float.parseFloat(data.mBias_Y) < ((float) this.mGyroSpec_Min) || Float.parseFloat(data.mBias_Z) < ((float) this.mGyroSpec_Min)) {
                FtUtil.log_i("FragmentGyroscopeMaxim", "spec out", "Noise Bias : " + data.mBias_X + " , " + data.mBias_Y + " , " + data.mBias_Z);
                isPass = false;
            }
            int specHwSelfTest = Support.Spec.getInt(Support.Spec.GYROSCOPE_HW_SELFTEST);
            if (isPass && (((float) specHwSelfTest) <= Float.parseFloat(data.mHWSelf_X) || ((float) specHwSelfTest) <= Float.parseFloat(data.mHWSelf_Y) || ((float) specHwSelfTest) <= Float.parseFloat(data.mHWSelf_Z))) {
                FtUtil.log_i("FragmentGyroscopeMaxim", "spec out", "HW Self Test : " + data.mHWSelf_X + " , " + data.mHWSelf_Y + " , " + data.mHWSelf_Z);
                isPass = false;
            }
            TextView textView = this.mTextResult;
            if (isPass) {
                str = "PASS";
            }
            textView.setText(str);
            TextView textView2 = this.mTextResult;
            if (isPass) {
                i = UiHallICTest.FONT_COLOR_PASS;
            }
            textView2.setTextColor(i);
        }
        if (isPass) {
            handler.sendEmptyMessage(UIGeomagneticGyro.WHAT_GYROSCOPE_PASS);
        } else {
            handler.sendEmptyMessage(UIGeomagneticGyro.WHAT_GYROSCOPE_FAIL);
        }
    }
}
