package com.sec.factory.app.ui;

import android.app.Fragment;
import android.hardware.SensorManager;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TableLayout;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.util.Arrays;

public class FragmentGyroscopeSTMicroSmartphone extends Fragment {
    private static final String TAG = "FragmentGyroscopeSTMicroSmartphone";
    private final String CLASS_NAME = TAG;
    private final int TEST_FAIL = 1000;
    private final int ZERO_RATE_PASS = 1001;
    private DataGyroSTMicroSmartphone data;
    private boolean isRevised = false;
    private TableLayout mGyroSelfTestLayout;
    private TextView mGyroZeroRateText;
    private Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.FragmentGyroscopeSTMicroSmartphone.AnonymousClass1 */

        public void handleMessage(Message msg) {
            switch (msg.what) {
                case 1000:
                    FragmentGyroscopeSTMicroSmartphone.this.mGyroZeroRateText.setText(String.format("Zero Rate Level Check:  FAIL(%s,%s,%s)", FragmentGyroscopeSTMicroSmartphone.this.data.mFifo_Zro_Avg[0], FragmentGyroscopeSTMicroSmartphone.this.data.mFifo_Zro_Avg[1], FragmentGyroscopeSTMicroSmartphone.this.data.mFifo_Zro_Avg[2]));
                    FragmentGyroscopeSTMicroSmartphone.this.mGyroZeroRateText.setTextColor(-65536);
                    return;
                case 1001:
                    FragmentGyroscopeSTMicroSmartphone.this.mGyroZeroRateText.setText("Zero Rate Level Check:  PASS");
                    FragmentGyroscopeSTMicroSmartphone.this.mGyroZeroRateText.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                    return;
                default:
                    return;
            }
        }
    };
    private String[] mSelfTestResults;
    private SensorManager mSensorManager;
    private boolean mZeroRatePass = false;
    private TextView txt_bias_result;
    private TextView txt_bias_x;
    private TextView txt_bias_y;
    private TextView txt_bias_z;
    private TextView txt_diff_selftest_result;
    private TextView txt_diff_x;
    private TextView txt_diff_y;
    private TextView txt_diff_z;
    private TextView txt_fifo_zro_result;
    private TextView txt_fifo_zro_x;
    private TextView txt_fifo_zro_y;
    private TextView txt_fifo_zro_z;
    private TextView txt_gyro_test;
    private TextView txt_gyro_test_result;
    private TextView txt_result;
    private TextView txt_zro_selftest_result;
    private TextView txt_zro_x;
    private TextView txt_zro_y;
    private TextView txt_zro_z;

    public static class DataGyroSTMicroSmartphone {
        public boolean mFIFOAVGResult;
        public String[] mFifo_Zro_Avg;
        public String[] mSelfBias;
        public String[] mSelfDiff;
        public boolean mSelfDiffResult;
        public String[] mSelfZro;
        public boolean mSelfZroResult;
    }

    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        FtUtil.log_d(TAG, "onCreateView", null);
        View view = inflater.inflate(R.layout.fragment_gyroscope_stmicro_smartphone, (ViewGroup) null);
        init(view);
        return view;
    }

    private void init(View view) {
        this.isRevised = EgisFingerprint.MAJOR_VERSION.equals(Support.Kernel.read(Support.Kernel.GYRO_SENSOR_REVISED));
        FtUtil.log_d(TAG, "init", "isRevised : " + this.isRevised);
        this.mGyroZeroRateText = (TextView) view.findViewById(R.id.gyro_zero_rate);
        this.mGyroSelfTestLayout = (TableLayout) view.findViewById(R.id.menu);
        this.txt_result = (TextView) view.findViewById(R.id.strResult);
        this.txt_fifo_zro_x = (TextView) view.findViewById(R.id.fifo_zro_x);
        this.txt_fifo_zro_y = (TextView) view.findViewById(R.id.fifo_zro_y);
        this.txt_fifo_zro_z = (TextView) view.findViewById(R.id.fifo_zro_z);
        this.txt_fifo_zro_result = (TextView) view.findViewById(R.id.fifo_zro_result);
        this.txt_zro_x = (TextView) view.findViewById(R.id.zro_x_str);
        this.txt_zro_y = (TextView) view.findViewById(R.id.zro_y_str);
        this.txt_zro_z = (TextView) view.findViewById(R.id.zro_z_str);
        this.txt_zro_selftest_result = (TextView) view.findViewById(R.id.zro_selftest_result);
        this.txt_bias_x = (TextView) view.findViewById(R.id.bias_x_str);
        this.txt_bias_y = (TextView) view.findViewById(R.id.bias_y_str);
        this.txt_bias_z = (TextView) view.findViewById(R.id.bias_z_str);
        this.txt_bias_result = (TextView) view.findViewById(R.id.bias_result);
        this.txt_diff_x = (TextView) view.findViewById(R.id.diff_x_str);
        this.txt_diff_y = (TextView) view.findViewById(R.id.diff_y_str);
        this.txt_diff_z = (TextView) view.findViewById(R.id.diff_z_str);
        this.txt_diff_selftest_result = (TextView) view.findViewById(R.id.diff_selftest_result);
        this.txt_gyro_test = (TextView) view.findViewById(R.id.gyro_test);
        this.txt_gyro_test_result = (TextView) view.findViewById(R.id.gyro_test_result);
        if (!this.isRevised) {
            this.txt_result.setVisibility(8);
            this.txt_fifo_zro_result.setVisibility(8);
            this.txt_zro_selftest_result.setVisibility(8);
            this.txt_bias_result.setVisibility(8);
            this.txt_diff_selftest_result.setVisibility(8);
        }
    }

    public void update(final Handler handler) {
        super.onResume();
        this.mGyroSelfTestLayout.setVisibility(0);
        new Thread() {
            /* class com.sec.factory.app.ui.FragmentGyroscopeSTMicroSmartphone.AnonymousClass2 */

            public void run() {
                FragmentGyroscopeSTMicroSmartphone.this.SetData(Support.Kernel.read(Support.Kernel.GYRO_SENSOR_SELFTEST));
                if (FragmentGyroscopeSTMicroSmartphone.this.data != null) {
                    FragmentGyroscopeSTMicroSmartphone.this.mHandler.postDelayed(new Runnable() {
                        /* class com.sec.factory.app.ui.FragmentGyroscopeSTMicroSmartphone.AnonymousClass2.AnonymousClass1 */

                        public void run() {
                            FragmentGyroscopeSTMicroSmartphone.this.mGyroSelfTestLayout.setVisibility(0);
                            FragmentGyroscopeSTMicroSmartphone.this.showTestResults(FragmentGyroscopeSTMicroSmartphone.this.data, handler);
                            if (!FragmentGyroscopeSTMicroSmartphone.this.data.mFIFOAVGResult) {
                                handler.sendEmptyMessage(UIGeomagneticGyro.WHAT_GYROSCOPE_FAIL);
                            }
                        }
                    }, 1000);
                }
            }
        }.start();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void SetData(String SelfTestData) {
        String[] temp;
        DataGyroSTMicroSmartphone dataGyroSTMicroSmartphone = new DataGyroSTMicroSmartphone();
        this.data = dataGyroSTMicroSmartphone;
        dataGyroSTMicroSmartphone.mFifo_Zro_Avg = new String[3];
        if (SelfTestData == null) {
            temp = new String[3];
            Arrays.fill(temp, "");
            this.data.mFIFOAVGResult = false;
            FtUtil.log_d(TAG, "SetData", "selftest value is null");
        } else {
            temp = SelfTestData.split(",");
            if (temp.length > 4) {
                this.data.mFIFOAVGResult = true;
            } else {
                this.data.mFIFOAVGResult = false;
            }
        }
        if (this.data.mFIFOAVGResult) {
            this.data.mSelfZro = new String[3];
            this.data.mSelfBias = new String[3];
            this.data.mSelfDiff = new String[3];
            for (int i = 0; i < 12; i++) {
                if (i < 3) {
                    this.data.mFifo_Zro_Avg[i] = temp[i];
                } else if (i < 6) {
                    this.data.mSelfZro[i - 3] = temp[i];
                } else if (i < 9) {
                    this.data.mSelfBias[i - 6] = temp[i];
                } else {
                    this.data.mSelfDiff[i - 9] = temp[i];
                }
            }
            this.data.mSelfDiffResult = temp[12].contains(EgisFingerprint.MAJOR_VERSION);
            this.data.mSelfZroResult = temp[13].contains(EgisFingerprint.MAJOR_VERSION);
            return;
        }
        for (int i2 = 0; i2 < 3; i2++) {
            this.data.mFifo_Zro_Avg[i2] = temp[i2];
            this.data.mSelfDiffResult = false;
            this.data.mSelfZroResult = false;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void showTestResults(DataGyroSTMicroSmartphone data2, Handler handler) {
        boolean mResult = true;
        this.txt_gyro_test.setVisibility(0);
        this.txt_gyro_test_result.setVisibility(0);
        this.txt_fifo_zro_x.setText(data2.mFifo_Zro_Avg[0]);
        this.txt_fifo_zro_y.setText(data2.mFifo_Zro_Avg[1]);
        this.txt_fifo_zro_z.setText(data2.mFifo_Zro_Avg[2]);
        if (data2.mFIFOAVGResult) {
            this.txt_fifo_zro_result.setText(R.string.PASS);
            this.txt_fifo_zro_result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            this.txt_zro_x.setText(data2.mSelfZro[0]);
            this.txt_zro_y.setText(data2.mSelfZro[1]);
            this.txt_zro_z.setText(data2.mSelfZro[2]);
            this.txt_bias_x.setText(data2.mSelfBias[0]);
            this.txt_bias_y.setText(data2.mSelfBias[1]);
            this.txt_bias_z.setText(data2.mSelfBias[2]);
            this.txt_diff_x.setText(data2.mSelfDiff[0]);
            this.txt_diff_y.setText(data2.mSelfDiff[1]);
            this.txt_diff_z.setText(data2.mSelfDiff[2]);
            if (this.isRevised) {
                if (data2.mSelfZroResult) {
                    this.txt_zro_selftest_result.setText(R.string.PASS);
                    this.txt_zro_selftest_result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                } else {
                    this.txt_zro_selftest_result.setText(R.string.FAIL);
                    this.txt_zro_selftest_result.setTextColor(-65536);
                }
                if (data2.mSelfDiffResult) {
                    this.txt_diff_selftest_result.setText(R.string.PASS);
                    this.txt_diff_selftest_result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                } else {
                    this.txt_diff_selftest_result.setText(R.string.FAIL);
                    this.txt_diff_selftest_result.setTextColor(-65536);
                }
            } else {
                int mGyroSpec_Min = Support.Spec.getInt(Support.Spec.GYROSCOPE_SELFTEST_MIN);
                int mGyroSpec_Max = Support.Spec.getInt(Support.Spec.GYROSCOPE_SELFTEST_MAX);
                for (int i = 0; i < 3; i++) {
                    if (mGyroSpec_Min > Integer.parseInt(data2.mSelfDiff[i]) || Integer.parseInt(data2.mSelfDiff[i]) > mGyroSpec_Max) {
                        mResult = false;
                    }
                }
            }
        } else {
            this.txt_fifo_zro_result.setText(R.string.FAIL);
            this.txt_fifo_zro_result.setTextColor(-65536);
        }
        if (this.isRevised) {
            if (!data2.mFIFOAVGResult || !data2.mSelfZroResult || !data2.mSelfDiffResult) {
                displayResult(false);
                FtUtil.log_d(TAG, "showTestResults", "data.mFIFOAVGResult = " + data2.mFIFOAVGResult);
                FtUtil.log_d(TAG, "showTestResults", "data.mSelfZroResult = " + data2.mSelfZroResult);
                FtUtil.log_d(TAG, "showTestResults", "data.mSelfDiffResult = " + data2.mSelfDiffResult);
                handler.sendEmptyMessage(UIGeomagneticGyro.WHAT_GYROSCOPE_FAIL);
                return;
            }
            displayResult(true);
            handler.sendEmptyMessage(UIGeomagneticGyro.WHAT_GYROSCOPE_PASS);
        } else if (!mResult || !data2.mFIFOAVGResult) {
            displayResult(false);
            handler.sendEmptyMessage(UIGeomagneticGyro.WHAT_GYROSCOPE_FAIL);
        } else {
            displayResult(true);
            handler.sendEmptyMessage(UIGeomagneticGyro.WHAT_GYROSCOPE_PASS);
        }
    }

    private void displayResult(boolean status) {
        this.txt_gyro_test_result.setVisibility(0);
        if (status) {
            this.txt_gyro_test_result.setText(R.string.PASS);
            this.txt_gyro_test_result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            return;
        }
        this.txt_gyro_test_result.setText(R.string.FAIL);
        this.txt_gyro_test_result.setTextColor(-65536);
    }
}
