package com.sec.factory.app.ui;

import android.app.Fragment;
import android.hardware.SensorManager;
import android.os.Bundle;
import android.os.FileUtils;
import android.os.Handler;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TableLayout;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.support.FtUtil;
import java.io.File;

public class FragmentGyroscopeSTMicroTablet extends Fragment {
    private static final int RET_IDX_CALIBRATION = 15;
    private static final int RET_IDX_FIFO_NUM = 9;
    private static final int RET_IDX_FIFO_X = 10;
    private static final int RET_IDX_FIFO_Y = 11;
    private static final int RET_IDX_FIFO_Z = 12;
    private static final int RET_IDX_MAX = 15;
    private static final int RET_IDX_NOMAL_X = 0;
    private static final int RET_IDX_NOMAL_Y = 1;
    private static final int RET_IDX_NOMAL_Z = 2;
    private static final int RET_IDX_SELFTEST = 13;
    private static final int RET_IDX_SELFTEST_X = 3;
    private static final int RET_IDX_SELFTEST_Y = 4;
    private static final int RET_IDX_SELFTEST_Z = 5;
    private static final int RET_IDX_ZERORATE = 14;
    private static final int RET_IDX_ZERORATE_X = 6;
    private static final int RET_IDX_ZERORATE_Y = 7;
    private static final int RET_IDX_ZERORATE_Z = 8;
    private static final String TEST_FAIL = "0";
    private static final String TEST_SUCCESS = "1";
    private final String CLASS_NAME = "FragmentGyroscopeSTMicroTablet";
    private boolean mCalibrationPass = false;
    private TableLayout mGyroSelfTestLayout;
    private TextView mGyroZeroRateText;
    private Handler mHandler = new Handler();
    private String[] mSelfTestResults;
    private SensorManager mSensorManager;
    private boolean mZeroRatePass = false;
    private TextView txt_calibration;
    private TextView txt_diff_x;
    private TextView txt_diff_y;
    private TextView txt_diff_z;
    private TextView txt_self_x;
    private TextView txt_self_y;
    private TextView txt_self_z;
    private TextView txt_x;
    private TextView txt_xyz_x;
    private TextView txt_xyz_y;
    private TextView txt_xyz_z;
    private TextView txt_y;
    private TextView txt_z;
    private TextView txt_zerorate_x;
    private TextView txt_zerorate_y;
    private TextView txt_zerorate_z;
    private TextView txtresult;

    public static class DataGyroSTMicroTablet {
        public String mFIFO;
        public String mInitialized;
        public String mNo_Self_X;
        public String mNo_Self_Y;
        public String mNo_Self_Z;
        public String mSelf_X;
        public String mSelf_Y;
        public String mSelf_Z;
        public String mTemperature;
    }

    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        FtUtil.log_d("FragmentGyroscopeSTMicroTablet", "onCreateView", null);
        View view = inflater.inflate(R.layout.fragment_gyroscope_stmicro_tablet, (ViewGroup) null);
        init(view);
        return view;
    }

    private void init(View view) {
        this.txtresult = (TextView) view.findViewById(R.id.result);
        this.txt_x = (TextView) view.findViewById(R.id.strX);
        this.txt_y = (TextView) view.findViewById(R.id.strY);
        this.txt_z = (TextView) view.findViewById(R.id.strZ);
        this.txt_xyz_x = (TextView) view.findViewById(R.id.xyz_x_str);
        this.txt_xyz_y = (TextView) view.findViewById(R.id.xyz_y_str);
        this.txt_xyz_z = (TextView) view.findViewById(R.id.xyz_z_str);
        this.txt_self_x = (TextView) view.findViewById(R.id.prime_x_str);
        this.txt_self_y = (TextView) view.findViewById(R.id.prime_y_str);
        this.txt_self_z = (TextView) view.findViewById(R.id.prime_z_str);
        this.txt_diff_x = (TextView) view.findViewById(R.id.diff_x_str);
        this.txt_diff_y = (TextView) view.findViewById(R.id.diff_y_str);
        this.txt_diff_z = (TextView) view.findViewById(R.id.diff_z_str);
        this.txt_zerorate_x = (TextView) view.findViewById(R.id.zero_x_str);
        this.txt_zerorate_y = (TextView) view.findViewById(R.id.zero_y_str);
        this.txt_zerorate_z = (TextView) view.findViewById(R.id.zero_z_str);
        this.txt_calibration = (TextView) view.findViewById(R.id.calibration_str);
        this.mGyroZeroRateText = (TextView) view.findViewById(R.id.gyro_zero_rate);
        this.mGyroSelfTestLayout = (TableLayout) view.findViewById(R.id.menu);
    }

    public void update(DataGyroSTMicroTablet data, final Handler handler) {
        boolean z;
        super.onResume();
        this.mGyroZeroRateText.setVisibility(0);
        this.mGyroSelfTestLayout.setVisibility(8);
        this.txtresult.setVisibility(8);
        this.txtresult.setText("");
        try {
            String selfTestResult = FileUtils.readTextFile(new File("/sys/class/sensors/gyro_sensor/selftest"), 8192, null);
            String[] split = selfTestResult.split(",");
            this.mSelfTestResults = split;
            if (split[15] != null) {
                boolean z2 = true;
                if (split[14].contains("1")) {
                    z = true;
                } else {
                    z = false;
                }
                this.mZeroRatePass = z;
                if (!this.mSelfTestResults[15].contains("1")) {
                    z2 = false;
                }
                this.mCalibrationPass = z2;
                FtUtil.log_d("FragmentGyroscopeSTMicroTablet", "update", "mZeroRatePass: " + this.mZeroRatePass);
                if (this.mZeroRatePass) {
                    this.mGyroZeroRateText.setText("Zero Rate Level Check:  PASS \n(Index of FIFO : " + this.mSelfTestResults[9] + " / Data : " + this.mSelfTestResults[10] + ", " + this.mSelfTestResults[11] + ", " + this.mSelfTestResults[12] + ")");
                    this.mGyroZeroRateText.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                    this.txtresult.setVisibility(0);
                    this.mHandler.postDelayed(new Runnable() {
                        /* class com.sec.factory.app.ui.FragmentGyroscopeSTMicroTablet.AnonymousClass1 */

                        public void run() {
                            FragmentGyroscopeSTMicroTablet.this.mGyroSelfTestLayout.setVisibility(0);
                            FragmentGyroscopeSTMicroTablet fragmentGyroscopeSTMicroTablet = FragmentGyroscopeSTMicroTablet.this;
                            fragmentGyroscopeSTMicroTablet.showTestResults(fragmentGyroscopeSTMicroTablet.mSelfTestResults, FragmentGyroscopeSTMicroTablet.this.mSelfTestResults[13], handler);
                        }
                    }, 1000);
                    return;
                }
                this.mGyroZeroRateText.setText("Zero Rate Level Check:  FAIL \n(Index of FIFO : " + this.mSelfTestResults[9] + " / Data : " + this.mSelfTestResults[10] + ", " + this.mSelfTestResults[11] + ", " + this.mSelfTestResults[12] + ")");
                this.mGyroZeroRateText.setTextColor(-65536);
                this.mHandler.postDelayed(new Runnable() {
                    /* class com.sec.factory.app.ui.FragmentGyroscopeSTMicroTablet.AnonymousClass2 */

                    public void run() {
                        handler.sendEmptyMessage(UIGeomagneticGyro.WHAT_GYROSCOPE_FAIL);
                    }
                }, 1000);
                return;
            }
            FtUtil.log_d("FragmentGyroscopeSTMicroTablet", "parse error: Gyro self-test ", "ret selftest: " + selfTestResult);
        } catch (Exception e) {
            FtUtil.log_d("FragmentGyroscopeSTMicroTablet", "update", "Exception:" + e.getCause());
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void showTestResults(String[] results, String resultValue, Handler handler) {
        this.txt_xyz_x.setText(results[0]);
        this.txt_xyz_y.setText(results[1]);
        this.txt_xyz_z.setText(results[2]);
        this.txt_self_x.setText(results[3]);
        this.txt_self_y.setText(results[4]);
        this.txt_self_z.setText(results[5]);
        this.txt_zerorate_x.setText(results[6]);
        this.txt_zerorate_y.setText(results[7]);
        this.txt_zerorate_z.setText(results[8]);
        this.txt_diff_x.setText(Integer.toString(Integer.parseInt(results[3]) - Integer.parseInt(results[0])));
        this.txt_diff_y.setText(Integer.toString(Integer.parseInt(results[4]) - Integer.parseInt(results[1])));
        this.txt_diff_z.setText(Integer.toString(Integer.parseInt(results[5]) - Integer.parseInt(results[2])));
        if (this.mCalibrationPass) {
            this.txt_calibration.setText(R.string.PASS);
            this.txt_calibration.setTextColor(UiHallICTest.FONT_COLOR_PASS);
        } else {
            this.txt_calibration.setText(R.string.FAIL);
            this.txt_calibration.setTextColor(-65536);
        }
        if (resultValue == null) {
            return;
        }
        if (this.mZeroRatePass && resultValue.contains("1")) {
            FtUtil.log_d("FragmentGyroscopeSTMicroTablet", "showTestResults", "resultValue catains TEST_SUCCESS");
            this.txtresult.setText(R.string.PASS);
            this.txtresult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            handler.sendEmptyMessage(UIGeomagneticGyro.WHAT_GYROSCOPE_PASS);
        } else if (resultValue.contains(TEST_FAIL)) {
            FtUtil.log_d("FragmentGyroscopeSTMicroTablet", "showTestResults", "resultValue catains TEST_FAIL");
            this.txtresult.setText(R.string.FAIL);
            this.txtresult.setTextColor(-65536);
            handler.sendEmptyMessage(UIGeomagneticGyro.WHAT_GYROSCOPE_FAIL);
        } else {
            FtUtil.log_d("FragmentGyroscopeSTMicroTablet", "showTestResults", "error: RETRY");
            this.txtresult.setText(R.string.RETRY);
            this.txtresult.setTextColor(-65536);
        }
    }
}
