package com.sec.factory.app.ui;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.util.AttributeSet;
import android.view.View;

public class HallICPoint extends View {
    private static final int LINEWIDTH = 3;
    private Paint LinePaint;
    private String Number;
    private Paint NumberPaint;
    private Paint mPaint;
    private float radius;
    private float x;
    private float y;

    public HallICPoint(Context context) {
        super(context);
        init(context);
    }

    public HallICPoint(Context context, AttributeSet attrs, int defStyle) {
        super(context, attrs, defStyle);
        init(context);
    }

    public HallICPoint(Context context, AttributeSet attrs) {
        super(context, attrs);
        init(context);
    }

    private void init(Context context) {
        Paint paint = new Paint(1);
        this.mPaint = paint;
        paint.setColor(-16777216);
        Paint paint2 = new Paint(1);
        this.LinePaint = paint2;
        paint2.setColor(-12303292);
        this.LinePaint.setStrokeWidth(3.0f);
        Paint paint3 = new Paint(1);
        this.NumberPaint = paint3;
        paint3.setColor(-1);
    }

    public void setPoint(float px, float py) {
        this.x = px;
        this.y = py;
    }

    public void setRadius(float pradius) {
        this.radius = pradius;
        this.NumberPaint.setTextSize(pradius);
    }

    public void setColor(int color) {
        this.mPaint.setColor(color);
        this.LinePaint.setColor(color);
        invalidate();
    }

    public void setNumber(String Number2) {
        this.Number = Number2;
    }

    /* access modifiers changed from: protected */
    public void onDraw(Canvas canvas) {
        canvas.drawCircle(this.x, this.y, this.radius, this.mPaint);
        float f = this.x;
        float f2 = this.y;
        float f3 = this.radius;
        canvas.drawLine(f, f2 + (f3 * 4.0f), f, f2 - (f3 * 4.0f), this.LinePaint);
        float f4 = this.x;
        float f5 = this.radius;
        float f6 = this.y;
        canvas.drawLine(f4 + (f5 * 2.8f), f6 + (f5 * 2.8f), f4 - (f5 * 2.8f), f6 - (f5 * 2.8f), this.LinePaint);
        float f7 = this.x;
        float f8 = this.radius;
        float f9 = this.y;
        canvas.drawLine(f7 + (f8 * 4.0f), f9, f7 - (f8 * 4.0f), f9, this.LinePaint);
        float f10 = this.x;
        float f11 = this.radius;
        float f12 = this.y;
        canvas.drawLine(f10 + (f11 * 2.8f), f12 - (f11 * 2.8f), f10 - (f11 * 2.8f), f12 + (f11 * 2.8f), this.LinePaint);
        canvas.drawText(this.Number, this.x, this.y, this.NumberPaint);
    }
}
