package com.sec.factory.app.ui;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.util.AttributeSet;
import android.util.TypedValue;
import android.view.View;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;

public class ProximityLightCircleView extends View {
    private static final String CLASS_NAME = "ProximityLightCircleView";
    private String[] fData = null;
    private String fRawData;
    private int mBackGroundColor = -16777216;
    private Paint mPaint;
    private float radius;
    private float x;
    private float y;

    public ProximityLightCircleView(Context context) {
        super(context);
        init(context);
    }

    public ProximityLightCircleView(Context context, AttributeSet attrs, int defStyle) {
        super(context, attrs, defStyle);
        init(context);
    }

    public ProximityLightCircleView(Context context, AttributeSet attrs) {
        super(context, attrs);
        init(context);
    }

    private void init(Context context) {
        FtUtil.log_d(CLASS_NAME, "init", "");
        String read = Support.Kernel.read(Support.Kernel.LIGHT_SENSOR_CIRCLE, true);
        this.fRawData = read;
        if (read != null) {
            this.fData = read.trim().split(" ");
        }
        Paint paint = new Paint(1);
        this.mPaint = paint;
        paint.setColor(-16777216);
    }

    public void setPoint(float px, float py, float pradius, int color) {
        this.x = px;
        this.y = py;
        this.radius = pradius;
        this.mPaint.setColor(color);
    }

    /* access modifiers changed from: protected */
    public void onDraw(Canvas canvas) {
        float mx = TypedValue.applyDimension(5, this.x, getResources().getDisplayMetrics());
        float my = TypedValue.applyDimension(5, this.y, getResources().getDisplayMetrics());
        float mr = TypedValue.applyDimension(5, this.radius, getResources().getDisplayMetrics());
        this.mPaint.setStyle(Paint.Style.FILL_AND_STROKE);
        canvas.drawCircle(mx, my, mr, this.mPaint);
        FtUtil.log_d(CLASS_NAME, "onDraw", "mx : " + mx + ", my : " + my + ", mr : " + mr);
    }
}
