package com.sec.factory.app.ui;

import android.app.Activity;
import android.graphics.Bitmap;
import android.os.Bundle;
import android.util.TypedValue;
import android.view.View;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.TextView;
import com.google.zxing.BarcodeFormat;
import com.google.zxing.MultiFormatWriter;
import com.google.zxing.common.BitMatrix;
import com.sec.factory.R;
import com.sec.factory.modules.ModulePower;
import com.sec.factory.support.FtUtil;

public class QrPopupDisplay extends Activity implements View.OnClickListener {
    private String CLASS_NAME = "QrPopupDisplay";
    private String atcmdData = null;
    private Bitmap mBitmapQRImage = null;
    private ImageView mImageViewQRImage;
    private Button mSleepButton;

    /* access modifiers changed from: protected */
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        FtUtil.log_d(this.CLASS_NAME, "onCreate", "com.sec.factory.app.ui.QrPopupDisplay");
        this.atcmdData = getIntent().getExtras().getString("atcmdData");
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "onCreate", "atcmdData : " + this.atcmdData);
        setContentView(R.layout.qr_popup_display);
        this.mBitmapQRImage = generateQRCode(this.atcmdData);
        ImageView imageView = (ImageView) findViewById(R.id.qr_image);
        this.mImageViewQRImage = imageView;
        imageView.setImageBitmap(this.mBitmapQRImage);
        this.mImageViewQRImage.setVisibility(0);
        setText(R.id.data_id, "ATCMD DATA : ");
        setText(R.id.data_value, this.atcmdData);
        Button button = (Button) findViewById(R.id.sleep_btn);
        this.mSleepButton = button;
        button.setOnClickListener(this);
    }

    /* access modifiers changed from: protected */
    public void onResume() {
        super.onResume();
        FtUtil.log_d(this.CLASS_NAME, "onResume", "null");
    }

    /* access modifiers changed from: protected */
    public void onPause() {
        super.onPause();
        FtUtil.log_d(this.CLASS_NAME, "onPause", "null");
    }

    private Bitmap generateQRCode(String str) {
        MultiFormatWriter qrCodeWriter = new MultiFormatWriter();
        try {
            int imageViewWidth = (int) TypedValue.applyDimension(5, 20.0f, getResources().getDisplayMetrics());
            int imageViewHeight = (int) TypedValue.applyDimension(5, 20.0f, getResources().getDisplayMetrics());
            String str2 = this.CLASS_NAME;
            FtUtil.log_d(str2, "generateQRCode", "imageViewWidth:" + imageViewWidth + ", imageViewHeight:" + imageViewHeight);
            BitMatrix bitMatrix = qrCodeWriter.encode(str, BarcodeFormat.QR_CODE, imageViewWidth, imageViewHeight);
            int bitMatrixWidth = bitMatrix.getWidth();
            int bitMatrixHeight = bitMatrix.getHeight();
            String str3 = this.CLASS_NAME;
            FtUtil.log_d(str3, "generateQRCode", "bitMatrixWidth:" + bitMatrixWidth + ", bitMatrixHeight:" + bitMatrixHeight);
            Bitmap bitmap = Bitmap.createBitmap(bitMatrixWidth, bitMatrixHeight, Bitmap.Config.ARGB_8888);
            for (int y = 0; y < bitMatrixHeight; y++) {
                for (int x = 0; x < bitMatrixWidth; x++) {
                    bitmap.setPixel(x, y, bitMatrix.get(x, y) ? -16777216 : -1);
                }
            }
            return bitmap;
        } catch (Exception e) {
            e.printStackTrace();
            return null;
        }
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.sleep_btn:
                FtUtil.log_d(this.CLASS_NAME, "onClick", "Click Sleep Button");
                ModulePower.instance(getApplicationContext()).gotosleep();
                FtUtil.log_d(this.CLASS_NAME, "onClick", "send MSG_FINISH");
                finish();
                return;
            default:
                return;
        }
    }

    /* access modifiers changed from: protected */
    public void setText(int id, String text) {
        ((TextView) findViewById(id)).setText(text);
    }
}
