package com.sec.factory.app.ui;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.os.PowerManager;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.inputmethod.InputMethodManager;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.BaseAdapter;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.Spinner;
import android.widget.SpinnerAdapter;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import com.sec.xmldata.support.XMLDataStorage;
import java.util.ArrayList;
import java.util.Arrays;
import org.w3c.dom.Element;

public class SpecEditor extends Activity implements View.OnClickListener {
    private static final byte MSG_UPDATE_ELEMENT_SELECT_SPINNER = 1;
    private Element[] elements;
    InputMethodManager imm = null;
    private Button mApplyValueButton;
    private AttributeListAdapter mAttributeAdaptor;
    private ArrayList<EditText> mAttributeInput = new ArrayList<>();
    private ListView mAttributeList;
    private ArrayList<TextView> mAttributeText = new ArrayList<>();
    private Spinner mClassificationSelect;
    private String[] mClassificationSelectList = {"FactoryTestMenu", Support.HwTestMenu.TAG, Support.SensorTestMenu.TAG, Support.Feature.TAG, Support.TestCase.TAG, Support.Spec.TAG, Support.Properties.TAG, Support.Kernel.TAG};
    private Spinner mElementSelect;
    private String[] mElementSelectList = new String[2];
    private final Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.SpecEditor.AnonymousClass1 */

        public void handleMessage(Message msg) {
            FtUtil.log_d("SpecEditor", "mHandler.handleMessage", "msg what=" + msg.what);
            switch (msg.what) {
                case 1:
                    Spinner spinner = SpecEditor.this.mElementSelect;
                    SpecEditor specEditor = SpecEditor.this;
                    spinner.setAdapter((SpinnerAdapter) new ArrayAdapter(specEditor, 17367048, specEditor.mElementSelectList));
                    SpecEditor.this.mElementSelect.setSelection(0, false);
                    return;
                default:
                    return;
            }
        }
    };
    private ModuleDevice mModuleDevice;
    private Button mResetButton;
    private int mSelectedClassification = 0;
    private int mSelectedElement = -1;
    private int mSelectedElementPrev = -1;
    private TextView mTitleText;

    private void initialize() {
        if (!XMLDataStorage.instance().wasCompletedParsing()) {
            XMLDataStorage.instance().parseXML(this);
        }
        this.mModuleDevice = ModuleDevice.instance(this);
        this.mTitleText = (TextView) findViewById(R.id.title_text);
        Button button = (Button) findViewById(R.id.btn_reset);
        this.mResetButton = button;
        button.setOnClickListener(this);
        Button button2 = (Button) findViewById(R.id.btn_apply);
        this.mApplyValueButton = button2;
        button2.setOnClickListener(this);
        int i = 0;
        while (true) {
            String[] strArr = this.mElementSelectList;
            if (i < strArr.length) {
                strArr[i] = "";
                i++;
            } else {
                Spinner spinner = (Spinner) findViewById(R.id.spn_element_select);
                this.mElementSelect = spinner;
                spinner.setAdapter((SpinnerAdapter) new ArrayAdapter(this, 17367048, this.mElementSelectList));
                this.mElementSelect.setOnItemSelectedListener(new AdapterView.OnItemSelectedListener() {
                    /* class com.sec.factory.app.ui.SpecEditor.AnonymousClass2 */

                    @Override // android.widget.AdapterView.OnItemSelectedListener
                    public void onItemSelected(AdapterView<?> adapterView, View v, int position, long id) {
                        int i = 0;
                        while (true) {
                            if (i >= SpecEditor.this.elements.length) {
                                break;
                            }
                            if (SpecEditor.this.elements[i].getNodeName().equals("item") || SpecEditor.this.elements[i].getNodeName().equals("item-group")) {
                                if (SpecEditor.this.mElementSelectList[position].equals(SpecEditor.this.elements[i].getAttributes().getNamedItem("name").getNodeValue())) {
                                    SpecEditor.this.mSelectedElement = i;
                                    break;
                                }
                            } else if (SpecEditor.this.mElementSelectList[position].equals(SpecEditor.this.elements[i].getAttributes().getNamedItem("id").getNodeValue())) {
                                SpecEditor.this.mSelectedElement = i;
                                break;
                            }
                            i++;
                        }
                        SpecEditor.this.mAttributeAdaptor.notifyDataSetChanged();
                    }

                    @Override // android.widget.AdapterView.OnItemSelectedListener
                    public void onNothingSelected(AdapterView<?> adapterView) {
                    }
                });
                Spinner spinner2 = (Spinner) findViewById(R.id.spn_classification_select);
                this.mClassificationSelect = spinner2;
                spinner2.setAdapter((SpinnerAdapter) new ArrayAdapter(this, 17367048, this.mClassificationSelectList));
                this.mClassificationSelect.setOnItemSelectedListener(new AdapterView.OnItemSelectedListener() {
                    /* class com.sec.factory.app.ui.SpecEditor.AnonymousClass3 */

                    @Override // android.widget.AdapterView.OnItemSelectedListener
                    public void onItemSelected(AdapterView<?> adapterView, View v, int position, long id) {
                        SpecEditor.this.mSelectedElement = -1;
                        SpecEditor.this.mSelectedElementPrev = -1;
                        SpecEditor.this.mSelectedClassification = position;
                        SpecEditor.this.elements = XMLDataStorage.instance().getChildElementSet(SpecEditor.this.mClassificationSelectList[position]);
                        FtUtil.log_d("SpecEditor", "elements.length : " + SpecEditor.this.elements.length);
                        SpecEditor specEditor = SpecEditor.this;
                        specEditor.mElementSelectList = new String[specEditor.elements.length];
                        FtUtil.log_d("SpecEditor", "mElementSelectList.length : " + SpecEditor.this.mElementSelectList.length);
                        for (int i = 0; i < SpecEditor.this.mElementSelectList.length; i++) {
                            if (i >= SpecEditor.this.elements.length) {
                                SpecEditor.this.mElementSelectList[i] = "";
                                FtUtil.log_d("SpecEditor", "elements[" + i + "] = NULL");
                            } else if (SpecEditor.this.elements[i].getNodeName().equals("item") || SpecEditor.this.elements[i].getNodeName().equals("item-group")) {
                                SpecEditor.this.mElementSelectList[i] = SpecEditor.this.elements[i].getAttributes().getNamedItem("name").getNodeValue();
                                FtUtil.log_d("SpecEditor", "elements[" + i + "] = " + SpecEditor.this.mElementSelectList[i]);
                            } else {
                                SpecEditor.this.mElementSelectList[i] = SpecEditor.this.elements[i].getAttributes().getNamedItem("id").getNodeValue();
                                FtUtil.log_d("SpecEditor", "elements[" + i + "] = " + SpecEditor.this.mElementSelectList[i]);
                            }
                        }
                        Arrays.sort(SpecEditor.this.mElementSelectList);
                        SpecEditor.this.mHandler.sendEmptyMessage(1);
                    }

                    @Override // android.widget.AdapterView.OnItemSelectedListener
                    public void onNothingSelected(AdapterView<?> adapterView) {
                    }
                });
                this.mClassificationSelect.setSelection(0, false);
                this.mAttributeList = (ListView) findViewById(R.id.attribute_list);
                AttributeListAdapter attributeListAdapter = new AttributeListAdapter(this);
                this.mAttributeAdaptor = attributeListAdapter;
                this.mAttributeList.setAdapter((ListAdapter) attributeListAdapter);
                return;
            }
        }
    }

    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.spec_editor);
        getWindow().addFlags(128);
        initialize();
    }

    /* access modifiers changed from: protected */
    public void onStop() {
        super.onStop();
        finish();
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.btn_apply:
                String currSpec = this.mModuleDevice.readLineSpec();
                String inputSpec = this.mClassificationSelectList[this.mSelectedClassification] + "//" + ((Object) ((TextView) this.mElementSelect.getSelectedView()).getText()) + "//";
                FtUtil.log_d("SpecEditor", "inputSpec : " + inputSpec);
                for (int i = 0; i < this.elements[this.mSelectedElement].getAttributes().getLength(); i++) {
                    inputSpec = inputSpec + ((Object) this.mAttributeText.get(i).getText()) + "=" + ((Object) this.mAttributeInput.get(i).getText());
                    if (i < this.elements[this.mSelectedElement].getAttributes().getLength() - 1) {
                        inputSpec = inputSpec + "__";
                    }
                }
                if (currSpec != null) {
                    inputSpec = ":" + inputSpec;
                    this.mModuleDevice.writeLineSpec(currSpec + inputSpec);
                } else {
                    this.mModuleDevice.writeLineSpec(inputSpec);
                }
                FtUtil.log_d("SpecEditor", "inputSpec : " + inputSpec);
                if (!XMLDataStorage.instance().replaceLineSpec()) {
                    resetPopup(R.string.spec_editor_reset_wrong_format);
                }
                this.mClassificationSelect.setSelection(this.mSelectedClassification, false);
                return;
            case R.id.btn_reset:
                this.mModuleDevice.deleteLineSpec();
                resetPopup(R.string.spec_editor_reset_data_deleted);
                return;
            default:
                return;
        }
    }

    public void resetPopup(int strID) {
        AlertDialog.Builder builder = new AlertDialog.Builder(this);
        builder.setIcon(17301543).setTitle("Reset device").setMessage(strID).setPositiveButton(17039370, new DialogInterface.OnClickListener() {
            /* class com.sec.factory.app.ui.SpecEditor.AnonymousClass4 */

            public void onClick(DialogInterface dialog, int whichButton) {
                ((PowerManager) SpecEditor.this.getSystemService("power")).reboot("[MSP] SpecEditor - resetPopup");
            }
        }).setCancelable(false);
        builder.show().getWindow().setGravity(17);
    }

    /* access modifiers changed from: private */
    public class AttributeListAdapter extends BaseAdapter {
        private Context mContext;

        public AttributeListAdapter(Context c) {
            this.mContext = c;
        }

        public int getCount() {
            return 10;
        }

        public Object getItem(int position) {
            return null;
        }

        public long getItemId(int position) {
            return (long) position;
        }

        public View getView(int position, View convertView, ViewGroup parent) {
            View view = convertView;
            if (convertView == null) {
                view = ((LayoutInflater) this.mContext.getSystemService("layout_inflater")).inflate(R.layout.spec_editor_attribute_item, parent, false);
                SpecEditor.this.mAttributeText.add((TextView) view.findViewById(R.id.tv_attribute_text));
                SpecEditor.this.mAttributeInput.add((EditText) view.findViewById(R.id.et_attribute_input));
            }
            if (!(SpecEditor.this.mSelectedElement == -1 || SpecEditor.this.mSelectedElementPrev == SpecEditor.this.mSelectedElement)) {
                SpecEditor specEditor = SpecEditor.this;
                specEditor.mSelectedElementPrev = specEditor.mSelectedElement;
                for (int i = 0; i < getCount(); i++) {
                    if (i < SpecEditor.this.elements[SpecEditor.this.mSelectedElement].getAttributes().getLength()) {
                        String nodeName = SpecEditor.this.elements[SpecEditor.this.mSelectedElement].getAttributes().item(i).getNodeName();
                        ((TextView) SpecEditor.this.mAttributeText.get(i)).setText(nodeName);
                        ((EditText) SpecEditor.this.mAttributeInput.get(i)).setText(SpecEditor.this.elements[SpecEditor.this.mSelectedElement].getAttributes().item(i).getNodeValue());
                        if (nodeName.equals("id") || nodeName.equals("name")) {
                            ((EditText) SpecEditor.this.mAttributeInput.get(i)).setEnabled(false);
                        } else {
                            ((EditText) SpecEditor.this.mAttributeInput.get(i)).setEnabled(true);
                        }
                    } else {
                        ((TextView) SpecEditor.this.mAttributeText.get(i)).setText("");
                        ((EditText) SpecEditor.this.mAttributeInput.get(i)).setText("");
                        ((EditText) SpecEditor.this.mAttributeInput.get(i)).setEnabled(false);
                    }
                }
                if (SpecEditor.this.mClassificationSelectList[SpecEditor.this.mSelectedClassification].equals(Support.Properties.TAG)) {
                    ((TextView) SpecEditor.this.mAttributeText.get(SpecEditor.this.elements[SpecEditor.this.mSelectedElement].getAttributes().getLength())).setText("read");
                    ((EditText) SpecEditor.this.mAttributeInput.get(SpecEditor.this.elements[SpecEditor.this.mSelectedElement].getAttributes().getLength())).setText(Support.Properties.get(SpecEditor.this.mElementSelect.getSelectedItem().toString()));
                    ((EditText) SpecEditor.this.mAttributeInput.get(SpecEditor.this.elements[SpecEditor.this.mSelectedElement].getAttributes().getLength())).setEnabled(false);
                } else if (SpecEditor.this.mClassificationSelectList[SpecEditor.this.mSelectedClassification].equals(Support.Kernel.TAG)) {
                    ((TextView) SpecEditor.this.mAttributeText.get(SpecEditor.this.elements[SpecEditor.this.mSelectedElement].getAttributes().getLength())).setText("read");
                    ((EditText) SpecEditor.this.mAttributeInput.get(SpecEditor.this.elements[SpecEditor.this.mSelectedElement].getAttributes().getLength())).setText(Support.Kernel.read(SpecEditor.this.mElementSelect.getSelectedItem().toString()));
                    ((EditText) SpecEditor.this.mAttributeInput.get(SpecEditor.this.elements[SpecEditor.this.mSelectedElement].getAttributes().getLength())).setEnabled(false);
                }
            }
            return view;
        }
    }
}
