package com.sec.factory.app.ui;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.util.AttributeSet;
import android.view.View;
import com.sec.factory.support.FtUtil;

public class TeachingTestCircleView extends View {
    private static final String CLASS_NAME = "TeachingTestCircleView";
    private int mBackGroundColor = -16777216;
    private Paint mPaint;
    private float radius;
    private float x;
    private float y;

    public TeachingTestCircleView(Context context) {
        super(context);
        init(context);
    }

    public TeachingTestCircleView(Context context, AttributeSet attrs, int defStyle) {
        super(context, attrs, defStyle);
        init(context);
    }

    public TeachingTestCircleView(Context context, AttributeSet attrs) {
        super(context, attrs);
        init(context);
    }

    private void init(Context context) {
        FtUtil.log_d(CLASS_NAME, "init", "");
        Paint paint = new Paint(1);
        this.mPaint = paint;
        paint.setColor(-16777216);
    }

    public void setPoint(float px, float py, float pradius, int color) {
        this.x = px;
        this.y = py;
        this.radius = pradius;
        this.mPaint.setColor(color);
        invalidate();
        FtUtil.log_d(CLASS_NAME, "onDraw", "x : " + this.x + ", y : " + this.y + ", r : " + this.radius);
    }

    /* access modifiers changed from: protected */
    public void onDraw(Canvas canvas) {
        this.mPaint.setStyle(Paint.Style.FILL);
        canvas.drawCircle(this.x, this.y, this.radius, this.mPaint);
    }
}
