package com.sec.factory.app.ui;

import android.app.Activity;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.widget.TableRow;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.ui.UCTTestBase;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;

public class UCTLoadChargeTest extends UCTTestBase {
    private static final String ACTION_RECEIVE_LOAD_CURRENT = "com.sec.samsung.ACTION_RECEIVE_LOAD_CURRENT";
    private final String CLASS_NAME = "UCTLoadChargeTest";
    private BroadcastReceiver mBroadcastReceiverLoad = new BroadcastReceiver() {
        /* class com.sec.factory.app.ui.UCTLoadChargeTest.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            String action = intent.getAction();
            FtUtil.log_d("UCTLoadChargeTest", "mBroadcastReceiverLoad.onReceive", "action=" + action);
            if (action.equalsIgnoreCase(UCTLoadChargeTest.ACTION_RECEIVE_LOAD_CURRENT)) {
                String strLoadCurrent = intent.getStringExtra("LOAD_CURRENT");
                FtUtil.log_i("UCTLoadChargeTest", "onReceive", "ACTION_RECEIVE_LOAD_CURRENT, " + strLoadCurrent);
                UCTLoadChargeTest.this.checkLoadCurrent(strLoadCurrent);
            }
        }
    };
    private int mLoadCurrentSpecMax;
    private int mLoadCurrentSpecMin;
    private TextView tvLoadCurrent;
    private TextView tvLoadResult;
    private TextView tvLoadSpec;

    @Override // com.sec.factory.app.ui.UCTTestBase
    public /* bridge */ /* synthetic */ void removeHandleMessage() {
        super.removeHandleMessage();
    }

    @Override // com.sec.factory.app.ui.UCTTestBase
    public /* bridge */ /* synthetic */ void setOnTestResultListener(UCTTestBase.TestResultListener testResultListener) {
        super.setOnTestResultListener(testResultListener);
    }

    public UCTLoadChargeTest(Activity _activity, UCTTestBase.TestResultListener _testResultListener) {
        super(_activity, _testResultListener);
        FtUtil.log_d("UCTLoadChargeTest", "UCTLoadChargeTest", "");
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void checkLoadCurrent(String _strLoadCurrent) {
        FtUtil.log_e("UCTLoadChargeTest", "checkLoadCurrent", " Load Current : " + _strLoadCurrent);
        this.tvLoadCurrent.setText(_strLoadCurrent);
        int nLoadCurrent = Integer.parseInt(_strLoadCurrent);
        if (nLoadCurrent < this.mLoadCurrentSpecMin || nLoadCurrent > this.mLoadCurrentSpecMax) {
            this.tvLoadResult.setTextColor(-65536);
            this.tvLoadResult.setText("FAIL");
            this.mbTestResult = false;
            this.mTestResultListener.onTestEnd(4, false);
            return;
        }
        this.tvLoadResult.setText("PASS");
        this.tvLoadResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
        this.mbTestResult = true;
        this.mTestResultListener.onTestEnd(4, true);
    }

    @Override // com.sec.factory.app.ui.UCTTestBase
    public void init(boolean enable) {
        this.mIsEnable = enable;
        FtUtil.log_d("UCTLoadChargeTest", "init", "" + enable);
        if (enable) {
            this.tvLoadSpec = (TextView) this.mActivity.findViewById(R.id.uct_load_spec);
            this.mLoadCurrentSpecMin = Support.Spec.getInt(Support.Spec.LOAD_CHARGE_SPEC_MIN);
            this.mLoadCurrentSpecMax = Support.Spec.getInt(Support.Spec.LOAD_CHARGE_SPEC_MAX);
            TextView textView = this.tvLoadSpec;
            textView.setText(this.mLoadCurrentSpecMin + "~" + this.mLoadCurrentSpecMax);
            this.tvLoadCurrent = (TextView) this.mActivity.findViewById(R.id.uct_load_value);
            this.tvLoadResult = (TextView) this.mActivity.findViewById(R.id.uct_load_result);
            return;
        }
        ((TableRow) this.mActivity.findViewById(R.id.uct_load)).setVisibility(8);
    }

    @Override // com.sec.factory.app.ui.UCTTestBase
    public void startTest() {
        FtUtil.log_d("UCTLoadChargeTest", "startTest", "");
        IntentFilter intentFilter = new IntentFilter();
        intentFilter.addAction(ACTION_RECEIVE_LOAD_CURRENT);
        this.mActivity.registerReceiver(this.mBroadcastReceiverLoad, intentFilter);
    }

    @Override // com.sec.factory.app.ui.UCTTestBase
    public void endTest() {
        FtUtil.log_d("UCTLoadChargeTest", "endTest", "");
        this.mActivity.unregisterReceiver(this.mBroadcastReceiverLoad);
    }
}
