package com.sec.factory.app.ui;

import android.app.Activity;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.widget.TableRow;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.app.ui.UCTTestBase;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;

public class UCTOTG2Test extends UCTTestBase {
    private final String CLASS_NAME = "UCTOTG2Test";
    private final int TEST_STATE_CHECK_USB_HOST = 1;
    private final int TEST_STATE_WAIT_USB_HOST = 0;
    private int mHostCheckState;
    private BroadcastReceiver mOtg2BroadcastReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.app.ui.UCTOTG2Test.AnonymousClass1 */

        public void onReceive(final Context context, Intent intent) {
            String action = intent.getAction();
            FtUtil.log_d("UCTOTG2Test", "mOtg2BroadcastReceiver.onReceive", "action=" + action);
            if (action.equals(ModuleDevice.ACTION_USB_STORAGE_MOUNTED)) {
                if (UCTOTG2Test.this.mHostCheckState == 0) {
                    FtUtil.log_i("UCTOTG2Test", "mOtg2BroadcastReceiver.onReceive", "SEQUENCE : TEST_STATE_WAIT_USB_HOST");
                    new Thread(new Runnable() {
                        /* class com.sec.factory.app.ui.UCTOTG2Test.AnonymousClass1.AnonymousClass1 */

                        public void run() {
                            FtUtil.log_i("UCTOTG2Test", "mOtg2BroadcastReceiver.onReceive", "isMountedStorage : Passed");
                            if (!"SUPER".equals(Support.Kernel.read(Support.Kernel.USB3_OTG_TYPE_CHECK))) {
                                UCTOTG2Test.this.mHostCheckState = 1;
                                ModuleDevice.instance(context).unmount(2);
                            }
                        }
                    }).start();
                }
            } else if (action.equals(ModuleDevice.ACTION_USB_STORAGE_UNMOUNTED) && UCTOTG2Test.this.mHostCheckState == 1) {
                FtUtil.log_d("UCTOTG2Test", "mOtg2BroadcastReceiver.onReceive", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(77), "PASS - OTG 2.0"));
                UCTOTG2Test.this.mbTestResult = true;
                UCTOTG2Test.this.tvOtg2Result.setText("PASS");
                UCTOTG2Test.this.tvOtg2Result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                UCTOTG2Test.this.mTestResultListener.onTestEnd(1, true);
            }
        }
    };
    private TextView tvOtg2Result;
    private TextView tvOtg2Spec;
    private TextView tvOtg2Value;

    @Override // com.sec.factory.app.ui.UCTTestBase
    public /* bridge */ /* synthetic */ void removeHandleMessage() {
        super.removeHandleMessage();
    }

    @Override // com.sec.factory.app.ui.UCTTestBase
    public /* bridge */ /* synthetic */ void setOnTestResultListener(UCTTestBase.TestResultListener testResultListener) {
        super.setOnTestResultListener(testResultListener);
    }

    public UCTOTG2Test(Activity _activity, UCTTestBase.TestResultListener _testResultListener) {
        super(_activity, _testResultListener);
        FtUtil.log_d("UCTOTG2Test", "UCTOTG2Test", "");
    }

    @Override // com.sec.factory.app.ui.UCTTestBase
    public void init(boolean enable) {
        this.mIsEnable = enable;
        FtUtil.log_d("UCTOTG2Test", "init", "" + enable);
        if (enable) {
            this.tvOtg2Spec = (TextView) this.mActivity.findViewById(R.id.uct_otg2_spec);
            this.tvOtg2Value = (TextView) this.mActivity.findViewById(R.id.uct_otg2_value);
            this.tvOtg2Result = (TextView) this.mActivity.findViewById(R.id.uct_otg2_result);
            this.tvOtg2Spec.setText("NA");
            this.tvOtg2Value.setText("NA");
            return;
        }
        ((TableRow) this.mActivity.findViewById(R.id.uct_otg2)).setVisibility(8);
    }

    @Override // com.sec.factory.app.ui.UCTTestBase
    public void startTest() {
        FtUtil.log_d("UCTOTG2Test", "startTest", "");
        IntentFilter intentFilter = new IntentFilter();
        intentFilter.addAction(ModuleDevice.ACTION_USB_STORAGE_MOUNTED);
        intentFilter.addAction(ModuleDevice.ACTION_USB_STORAGE_UNMOUNTED);
        this.mHostCheckState = 0;
        this.mActivity.registerReceiver(this.mOtg2BroadcastReceiver, intentFilter);
    }

    @Override // com.sec.factory.app.ui.UCTTestBase
    public void endTest() {
        FtUtil.log_d("UCTOTG2Test", "endTest", "");
        this.mActivity.unregisterReceiver(this.mOtg2BroadcastReceiver);
    }
}
