package com.sec.factory.app.ui;

import android.app.Activity;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.widget.TableRow;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.app.ui.UCTTestBase;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;

public class UCTOTG3Test extends UCTTestBase {
    private final String CLASS_NAME = "UCTOTG3Test";
    private final int TEST_STATE_CHECK_USB_HOST = 1;
    private final int TEST_STATE_WAIT_USB_HOST = 0;
    private int mHostCheckState;
    private BroadcastReceiver mOtg3BroadcastReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.app.ui.UCTOTG3Test.AnonymousClass1 */

        public void onReceive(final Context context, Intent intent) {
            String action = intent.getAction();
            FtUtil.log_d("UCTOTG3Test", "mOtg3BroadcastReceiver.onReceive", "action=" + action);
            if (action.equals(ModuleDevice.ACTION_USB_STORAGE_MOUNTED)) {
                FtUtil.log_i("UCTOTG3Test", "mOtg3BroadcastReceiver.onReceive", "received ACTION_USB_STORAGE_MOUNTED");
                if (UCTOTG3Test.this.mHostCheckState == 0) {
                    FtUtil.log_i("UCTOTG3Test", "mOtg3BroadcastReceiver.onReceive", "SEQUENCE : TEST_STATE_WAIT_USB_HOST");
                    new Thread(new Runnable() {
                        /* class com.sec.factory.app.ui.UCTOTG3Test.AnonymousClass1.AnonymousClass1 */

                        public void run() {
                            FtUtil.log_i("UCTOTG3Test", "mOtg3BroadcastReceiver.onReceive", "isMountedStorage : Passed");
                            if ("SUPER".equals(Support.Kernel.read(Support.Kernel.USB3_OTG_TYPE_CHECK))) {
                                UCTOTG3Test.this.mHostCheckState = 1;
                                ModuleDevice.instance(context).unmount(2);
                            }
                        }
                    }).start();
                }
            } else if (action.equals(ModuleDevice.ACTION_USB_STORAGE_UNMOUNTED)) {
                FtUtil.log_i("UCTOTG3Test", "mOtg3BroadcastReceiver.onReceive", "received ACTION_USB_STORAGE_UNMOUNTED");
                if (UCTOTG3Test.this.mHostCheckState == 1) {
                    FtUtil.log_d("UCTOTG3Test", "mOtg3BroadcastReceiver.onReceive", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(77), "PASS - OTG 3.0"));
                    UCTOTG3Test.this.mbTestResult = true;
                    UCTOTG3Test.this.tvOTG3Result.setText("PASS");
                    UCTOTG3Test.this.tvOTG3Result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                    UCTOTG3Test.this.mTestResultListener.onTestEnd(2, true);
                }
            }
        }
    };
    private TextView tvOTG3Result;
    private TextView tvOtg3Spec;
    private TextView tvOtg3Value;

    @Override // com.sec.factory.app.ui.UCTTestBase
    public /* bridge */ /* synthetic */ void removeHandleMessage() {
        super.removeHandleMessage();
    }

    @Override // com.sec.factory.app.ui.UCTTestBase
    public /* bridge */ /* synthetic */ void setOnTestResultListener(UCTTestBase.TestResultListener testResultListener) {
        super.setOnTestResultListener(testResultListener);
    }

    public UCTOTG3Test(Activity _activity, UCTTestBase.TestResultListener _testResultListener) {
        super(_activity, _testResultListener);
        FtUtil.log_d("UCTOTG3Test", "UCTOTG3Test", "");
    }

    @Override // com.sec.factory.app.ui.UCTTestBase
    public void init(boolean enable) {
        this.mIsEnable = enable;
        FtUtil.log_d("UCTOTG3Test", "init", "" + enable);
        if (enable) {
            this.tvOtg3Spec = (TextView) this.mActivity.findViewById(R.id.uct_otg3_spec);
            this.tvOtg3Value = (TextView) this.mActivity.findViewById(R.id.uct_otg3_value);
            this.tvOTG3Result = (TextView) this.mActivity.findViewById(R.id.uct_otg3_result);
            this.tvOtg3Spec.setText("NA");
            this.tvOtg3Value.setText("NA");
            return;
        }
        ((TableRow) this.mActivity.findViewById(R.id.uct_otg3)).setVisibility(8);
    }

    @Override // com.sec.factory.app.ui.UCTTestBase
    public void startTest() {
        FtUtil.log_d("UCTOTG3Test", "startTest", "");
        this.mHostCheckState = 0;
        IntentFilter intentFilter = new IntentFilter();
        intentFilter.addAction(ModuleDevice.ACTION_USB_STORAGE_MOUNTED);
        intentFilter.addAction(ModuleDevice.ACTION_USB_STORAGE_UNMOUNTED);
        this.mActivity.registerReceiver(this.mOtg3BroadcastReceiver, intentFilter);
        FtUtil.log_i("UCTOTG3Test", "mOtg3BroadcastReceiver", "registered.");
    }

    @Override // com.sec.factory.app.ui.UCTTestBase
    public void endTest() {
        FtUtil.log_d("UCTOTG3Test", "endTest", "");
        this.mActivity.unregisterReceiver(this.mOtg3BroadcastReceiver);
    }
}
