package com.sec.factory.app.ui;

import android.app.Activity;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Handler;
import android.os.Message;
import android.widget.TableRow;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.app.ui.UCTTestBase;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.modules.ModulePower;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.File;
import java.util.ArrayList;
import java.util.Collections;

public class UCTPDChargeTest extends UCTTestBase {
    private static final int MSG_PDCHARGE_CHECK_LCD_ON = 4;
    private static final int MSG_PDCHARGE_SELFTEST_START = 2;
    private static final int MSG_PDCHARGE_TEST_START = 1;
    private final int AVER_PD_CNT = 5;
    private final String CLASS_NAME = "UCTPDChargeTest";
    private final String NG = "NG";
    private final String OK = "OK";
    private boolean isPDTested = false;
    private int mAvgPDCurrent = 0;
    private BroadcastReceiver mBroadcastReceiverPD;
    private int mCntLCDOn;
    private int mCurrentCount;
    private Handler mHandler;
    private final boolean mIsChargeModeDual;
    private ModuleDevice mModuleDevice;
    private ModulePower mModulePower;
    private ArrayList<Integer> mPDCurrentList = new ArrayList<>();
    private int mPDCurrentSpecMax;
    private int mPDCurrentSpecMin;
    String[] mStrPDVoltSpecs = null;
    private String mTestCase;
    private int mTestCount;
    private String pdCheck = "";
    private TextView tvPDResult;
    private TextView tvPDSpec;
    private TextView tvPDTitle;
    private TextView tvPDValue;

    @Override // com.sec.factory.app.ui.UCTTestBase
    public /* bridge */ /* synthetic */ void setOnTestResultListener(UCTTestBase.TestResultListener testResultListener) {
        super.setOnTestResultListener(testResultListener);
    }

    public UCTPDChargeTest(Activity _activity, UCTTestBase.TestResultListener _testResultListener) {
        super(_activity, _testResultListener);
        String testCase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML(203));
        this.mTestCase = testCase;
        this.mIsChargeModeDual = testCase.contains("dual");
        this.mBroadcastReceiverPD = new BroadcastReceiver() {
            /* class com.sec.factory.app.ui.UCTPDChargeTest.AnonymousClass1 */

            public void onReceive(Context context, Intent intent) {
                String action = intent.getAction();
                FtUtil.log_d("UCTPDChargeTest", "mBroadcastReceiverPD.onReceive", "action=" + action);
                if (action.equalsIgnoreCase("android.intent.action.BATTERY_CHANGED")) {
                    int plugged = intent.getIntExtra("plugged", 0);
                    FtUtil.log_d("UCTPDChargeTest", "mBroadcastReceiverPD.onReceive", "plugged : " + plugged + ", isPDTested : " + UCTPDChargeTest.this.isPDTested);
                    if (!UCTPDChargeTest.this.isPDTested && plugged == 1) {
                        FtUtil.log_d("UCTPDChargeTest", "Battery State: " + plugged);
                        UCTPDChargeTest.this.isPDTested = true;
                        FtUtil.log_d("UCTPDChargeTest", "onReceive", "delay for 3000ms to read VBUS for PD Charge");
                        UCTPDChargeTest.this.mHandler.sendEmptyMessageDelayed(1, 3000);
                    }
                }
            }
        };
        this.mHandler = new Handler() {
            /* class com.sec.factory.app.ui.UCTPDChargeTest.AnonymousClass2 */

            public void handleMessage(Message msg) {
                switch (msg.what) {
                    case 1:
                        FtUtil.log_d("UCTPDChargeTest", "PD_Handler", "MSG_PDCHARGE_TEST_START");
                        UCTPDChargeTest.this.readPDChargeData();
                        return;
                    case 2:
                        FtUtil.log_d("UCTPDChargeTest", "PD_Handler", "MSG_PDCHARGE_SELFTEST_START");
                        UCTPDChargeTest.this.readPDCurrent();
                        return;
                    case 3:
                    default:
                        return;
                    case 4:
                        FtUtil.log_d("UCTPDChargeTest", "PD_Handler", "MSG_PDCHARGE_CHECK_LCD_ON");
                        UCTPDChargeTest.this.checkPDLCDOn();
                        return;
                }
            }
        };
        this.mCntLCDOn = 0;
        this.mTestCount = 0;
        this.mCurrentCount = 0;
        FtUtil.log_d("UCTPDChargeTest", "UCTPDChargeTest", "");
    }

    public void checkPDLCDOn() {
        int i = this.mCntLCDOn;
        this.mCntLCDOn = i + 1;
        if (i == 5) {
            FtUtil.log_d("UCTPDChargeTest", "handleMessage : LCD is not on state during 1 second.");
            this.mCntLCDOn = 0;
            this.mHandler.sendEmptyMessageDelayed(2, 400);
        } else if (this.mModulePower.isScreenOn()) {
            turnLcdOffForCurrentCheck();
            this.mHandler.sendEmptyMessageDelayed(2, 1000);
            this.mCntLCDOn = 0;
        } else {
            this.mHandler.sendEmptyMessageDelayed(4, 200);
        }
    }

    private void turnLcdOffForCurrentCheck() {
        FtUtil.log_i("UCTPDChargeTest", "turnLcdOffForCurrentCheck", "Turn LCD Off");
        this.mModulePower.doPartialWakeLock(true);
        this.mModulePower.doWakeLock(false);
        if (Support.Feature.getBoolean(Support.Feature.NEED_LPA_MODE_SET, true)) {
            this.mModuleDevice.setLPAmode(ModuleDevice.LPA_MODE_DISABLE);
        }
        this.mModulePower.gotosleep();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void readPDChargeData() {
        String strMultiChargeMode = Support.Kernel.read(Support.Kernel.SEC_MULTI_CHARGER_MODE);
        String strPDVoltage = Support.Kernel.read(Support.Kernel.SEC_CHARGING_VOLTAGE);
        String strPSReady = Support.Kernel.read(Support.Kernel.PD_CHECK_PS_READY);
        FtUtil.log_i("UCTPDChargeTest", "readPDChargeData", "MultiChargeMode : " + strMultiChargeMode + " PDVoltage : " + strPDVoltage + " PS Ready : " + strPSReady);
        boolean isVoltageSpecIn = false;
        if (Support.Feature.getBoolean(Support.Feature.SUPPORT_VOLTAGE_CHECK_IN_PD_CHARGING_TEST)) {
            int i = 0;
            while (true) {
                String[] strArr = this.mStrPDVoltSpecs;
                if (i >= strArr.length) {
                    break;
                }
                if (strArr[i].equalsIgnoreCase(strPDVoltage)) {
                    isVoltageSpecIn = true;
                }
                i++;
            }
        } else {
            FtUtil.log_i("UCTPDChargeTest", "readPDChargeData", "Skip Check Voltage Spec");
            isVoltageSpecIn = true;
        }
        boolean isPDCheckPSReady = EgisFingerprint.MAJOR_VERSION.equalsIgnoreCase(strPSReady);
        boolean isChargeMode = true;
        if (this.mIsChargeModeDual) {
            isChargeMode = "dual".equalsIgnoreCase(strMultiChargeMode);
        }
        int i2 = this.mTestCount + 1;
        this.mTestCount = i2;
        if (i2 > 20) {
            this.mTestResultListener.onTestEnd(3, false);
            String itemName_RequestCode = FactoryTestManager.getItemName_RequestCode(138);
            FtUtil.log_d("UCTPDChargeTest", "readPDChargeData", FtUtil.setMspSeqMessage(1, itemName_RequestCode, "FAIL - isVoltageSpecIn : " + isVoltageSpecIn + " isPDCheckPSReady : " + isPDCheckPSReady + " isChargeMode : " + isChargeMode));
        } else if (!isPDCheckPSReady || !isChargeMode || !isVoltageSpecIn) {
            FtUtil.log_i("UCTPDChargeTest", "readPDChargeData", "/ delay 0.5 sec - TestCount : " + this.mTestCount);
            this.mHandler.sendEmptyMessageDelayed(1, 500);
        } else {
            this.pdCheck = "OK";
            FtUtil.log_i("UCTPDChargeTest", "readPDChargeData", "pass");
            this.mHandler.sendEmptyMessageDelayed(4, 2000);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void readPDCurrent() {
        int i = this.mCurrentCount + 1;
        this.mCurrentCount = i;
        if (i <= 5) {
            this.mPDCurrentList.add(Integer.valueOf(Integer.parseInt(Support.Kernel.read(Support.Kernel.HV_CHARGE_CURRENT)) / 1000));
            StringBuilder sb = new StringBuilder();
            sb.append("Charge Current : ");
            ArrayList<Integer> arrayList = this.mPDCurrentList;
            sb.append(arrayList.get(arrayList.size() - 1));
            sb.append(" / mCurrentCount : ");
            sb.append(this.mCurrentCount);
            FtUtil.log_i("UCTPDChargeTest", "readcurrent", sb.toString());
            this.mHandler.sendEmptyMessageDelayed(2, 400);
            return;
        }
        this.mCurrentCount = 0;
        averagePDCurrent();
    }

    private void averagePDCurrent() {
        FtUtil.log_d("UCTPDChargeTest", "averagePDCurrent", "");
        Collections.sort(this.mPDCurrentList);
        ArrayList<Integer> arrayList = this.mPDCurrentList;
        arrayList.remove(arrayList.size() - 1);
        this.mPDCurrentList.remove(0);
        Integer sum = 0;
        for (int i = 0; i < this.mPDCurrentList.size(); i++) {
            sum = Integer.valueOf(sum.intValue() + this.mPDCurrentList.get(i).intValue());
        }
        this.mAvgPDCurrent = (int) (((float) sum.intValue()) / 3.0f);
        this.mPDCurrentList.clear();
        String itemName_RequestCode = FactoryTestManager.getItemName_RequestCode(138);
        FtUtil.log_d("UCTPDChargeTest", "averagePDCurrent", FtUtil.setMspSeqMessage(1, itemName_RequestCode, "PDCurrentSpecMin : " + this.mPDCurrentSpecMin));
        String itemName_RequestCode2 = FactoryTestManager.getItemName_RequestCode(138);
        FtUtil.log_d("UCTPDChargeTest", "averagePDCurrent", FtUtil.setMspSeqMessage(1, itemName_RequestCode2, "PDCurrentSpecMax : " + this.mPDCurrentSpecMax));
        String itemName_RequestCode3 = FactoryTestManager.getItemName_RequestCode(138);
        FtUtil.log_d("UCTPDChargeTest", "averagePDCurrent", FtUtil.setMspSeqMessage(1, itemName_RequestCode3, "Averege Current : " + this.mAvgPDCurrent));
        checkCurrent();
    }

    private void checkCurrent() {
        this.mModulePower.doWakeLock(true);
        File dataAvgFile = new File("data/log/PDChargeData.log");
        Support.Kernel.writeToPathNsync(dataAvgFile.getPath(), Integer.toString(this.mAvgPDCurrent));
        FtUtil.log_i("UCTPDChargeTest", "readFromPath", "PDChargeData.log : " + Support.Kernel.readFromPath(dataAvgFile.getPath(), true));
        TextView textView = this.tvPDValue;
        textView.setText("" + this.mAvgPDCurrent);
        int i = this.mAvgPDCurrent;
        if (i < this.mPDCurrentSpecMin || i > this.mPDCurrentSpecMax || !"OK".equals(this.pdCheck)) {
            FtUtil.log_d("UCTPDChargeTest", "checkCurrent", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(138), "FAIL - PD Charge current Spec out"));
            this.tvPDResult.setTextColor(-65536);
            this.tvPDResult.setText("FAIL");
            this.mTestResultListener.onTestEnd(3, false);
            return;
        }
        FtUtil.log_d("UCTPDChargeTest", "checkCurrent", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(138), "PASS - PD Charge current Spec in"));
        this.tvPDResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
        this.tvPDResult.setText("PASS");
        this.mbTestResult = true;
        this.mHandler.postDelayed(new Runnable() {
            /* class com.sec.factory.app.ui.UCTPDChargeTest.AnonymousClass3 */

            public void run() {
                UCTPDChargeTest.this.mTestResultListener.onTestEnd(3, true);
            }
        }, 1000);
    }

    @Override // com.sec.factory.app.ui.UCTTestBase
    public void init(boolean enable) {
        this.mIsEnable = enable;
        FtUtil.log_d("UCTPDChargeTest", "init", "" + enable);
        if (enable) {
            this.mModuleDevice = ModuleDevice.instance(this.mActivity);
            this.mModulePower = ModulePower.instance(this.mActivity);
            this.tvPDTitle = (TextView) this.mActivity.findViewById(R.id.uct_pd_title);
            this.tvPDSpec = (TextView) this.mActivity.findViewById(R.id.uct_pd_spec);
            this.tvPDValue = (TextView) this.mActivity.findViewById(R.id.uct_pd_value);
            this.mPDCurrentSpecMin = Support.Spec.getInt(Support.Spec.PD_CHARGE_SPEC_MIN);
            this.mPDCurrentSpecMax = Support.Spec.getInt(Support.Spec.PD_CHARGE_SPEC_MAX);
            this.tvPDResult = (TextView) this.mActivity.findViewById(R.id.uct_pd_result);
            TextView textView = this.tvPDSpec;
            textView.setText("" + this.mPDCurrentSpecMin + "~" + this.mPDCurrentSpecMax);
            String strPDVoltageSpec = Support.Spec.getString(Support.Spec.PD_VOLTAGE);
            TextView textView2 = this.tvPDTitle;
            textView2.setText("PD \n (" + strPDVoltageSpec + ")");
            this.mStrPDVoltSpecs = strPDVoltageSpec.split(",");
            for (int i = 0; i < this.mStrPDVoltSpecs.length; i++) {
                FtUtil.log_i("UCTPDChargeTest", "init", "support voltage : " + this.mStrPDVoltSpecs[i]);
            }
            return;
        }
        ((TableRow) this.mActivity.findViewById(R.id.uct_pd)).setVisibility(8);
    }

    @Override // com.sec.factory.app.ui.UCTTestBase
    public void startTest() {
        FtUtil.log_i("UCTPDChargeTest", "startTest", "");
        IntentFilter intentFilter = new IntentFilter();
        intentFilter.addAction("android.intent.action.BATTERY_CHANGED");
        this.mActivity.registerReceiver(this.mBroadcastReceiverPD, intentFilter);
    }

    @Override // com.sec.factory.app.ui.UCTTestBase
    public void endTest() {
        FtUtil.log_e("UCTPDChargeTest", "endTest", "");
        this.mActivity.unregisterReceiver(this.mBroadcastReceiverPD);
        this.mCurrentCount = 0;
        this.mModulePower.doPartialWakeLock(false);
        this.mModulePower.doWakeLock(false);
        this.mHandler.removeMessages(1);
        this.mHandler.removeMessages(2);
        this.mHandler.removeMessages(4);
    }

    @Override // com.sec.factory.app.ui.UCTTestBase
    public void removeHandleMessage() {
        this.mHandler.removeMessages(1);
        this.mHandler.removeMessages(2);
        this.mHandler.removeMessages(4);
    }
}
