package com.sec.factory.app.ui;

import android.app.Activity;
import android.content.Context;
import com.sec.factory.support.FtUtil;

/* access modifiers changed from: package-private */
public abstract class UCTTestBase {
    public static final int LAST_IDX_OF_TEST = 7;
    public static final int LOAD_CHARGE_TEST = 4;
    public static final int PD_CHARGE_TEST = 3;
    public static final int UCT_OTG2 = 1;
    public static final int UCT_OTG3 = 2;
    public static final int UCT_USB3 = 0;
    public static final int VCONN_CHARGE_TEST = 5;
    public static final int WATER_DETECT_TEST = 6;
    private final String CLASS_NAME = "UCTTestBase";
    protected Activity mActivity;
    protected Context mContext;
    protected boolean mIsEnable;
    protected TestResultListener mTestResultListener;
    protected boolean mbTestResult;

    public interface TestResultListener {
        void onTestEnd(int i, boolean z);
    }

    public abstract void endTest();

    public abstract void init(boolean z);

    public abstract void startTest();

    public UCTTestBase(Activity _activity, TestResultListener _testResultListener) {
        FtUtil.log_i("UCTTestBase", "UCTTestBase", "");
        this.mActivity = _activity;
        this.mIsEnable = false;
        this.mbTestResult = false;
        this.mTestResultListener = _testResultListener;
    }

    /* access modifiers changed from: protected */
    public boolean isPass() {
        return this.mbTestResult;
    }

    /* access modifiers changed from: protected */
    public boolean isEnable() {
        return this.mIsEnable;
    }

    public void removeHandleMessage() {
    }

    public void setOnTestResultListener(TestResultListener testResultListener) {
        this.mTestResultListener = testResultListener;
    }
}
