package com.sec.factory.app.ui;

import android.app.Activity;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.widget.TableRow;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.app.ui.UCTTestBase;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;

public class UCTUSBTest extends UCTTestBase {
    private final String CLASS_NAME = "UCTUSBTest";
    private final int TEST_STATE_CHECK_USB3_BOT = 1;
    private final int TEST_STATE_CHECK_USB3_TOP = 0;
    private BroadcastReceiver mBroadcastReceiverUSB = new BroadcastReceiver() {
        /* class com.sec.factory.app.ui.UCTUSBTest.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            String action = intent.getAction();
            FtUtil.log_d("UCTUSBTest", "mBroadcastReceiverUSBUsb31.onReceive", "action=" + action);
            if ("android.hardware.usb.action.USB_STATE".equals(action)) {
                boolean connected = intent.getExtras().getBoolean("connected");
                boolean configured = intent.getExtras().getBoolean("configured");
                FtUtil.log_d("UCTUSBTest", "USB State: " + connected + " Configured : " + configured);
                String mStrUSBType = ModuleDevice.instance(context).getUSBType();
                if (connected && configured) {
                    if (!UCTUSBTest.this.mUsbType.equals(mStrUSBType)) {
                        FtUtil.log_d("UCTUSBTest", "onReceive", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(77), "FAIL - USB 3.1"));
                        FtUtil.log_d("UCTUSBTest", "FAIL Reason : connected and configure, but USB Type is " + mStrUSBType);
                        FtUtil.log_d("UCTUSBTest", "FAIL Reason : USB type isn't " + UCTUSBTest.this.mStrTestName);
                        UCTUSBTest.this.mTestResultListener.onTestEnd(0, false);
                    } else if (UCTUSBTest.this.mState == 0) {
                        FtUtil.log_d("UCTUSBTest", "onReceive", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(77), "PASS - USB 3.1 Top"));
                        UCTUSBTest.this.tvUSB3TopPhoneResult.setText("PASS");
                        UCTUSBTest.this.tvUSB3TopPhoneResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                        UCTUSBTest.this.mState = 1;
                    } else if (UCTUSBTest.this.mState == 1) {
                        FtUtil.log_d("UCTUSBTest", "onReceive", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(77), "PASS - USB 3.1 Bottom"));
                        UCTUSBTest.this.tvUSB3BottomPhoneResult.setText("PASS");
                        UCTUSBTest.this.tvUSB3BottomPhoneResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                        UCTUSBTest.this.mbTestResult = true;
                        UCTUSBTest.this.mTestResultListener.onTestEnd(0, true);
                    }
                }
            }
        }
    };
    private int mState;
    private String mStrTestName = "USB 3";
    private String mUsbType = "";
    private TextView tvUSB3BottomPhoneResult;
    private TextView tvUSB3TopPhoneResult;
    private TextView tvUsb3BotSpec;
    private TextView tvUsb3BotValue;
    private TextView tvUsb3TopSpec;
    private TextView tvUsb3TopValue;

    @Override // com.sec.factory.app.ui.UCTTestBase
    public /* bridge */ /* synthetic */ void removeHandleMessage() {
        super.removeHandleMessage();
    }

    @Override // com.sec.factory.app.ui.UCTTestBase
    public /* bridge */ /* synthetic */ void setOnTestResultListener(UCTTestBase.TestResultListener testResultListener) {
        super.setOnTestResultListener(testResultListener);
    }

    public UCTUSBTest(Activity _activity, UCTTestBase.TestResultListener _testResultListener) {
        super(_activity, _testResultListener);
        FtUtil.log_d("UCTUSBTest", "UCTUSBTest", "");
    }

    @Override // com.sec.factory.app.ui.UCTTestBase
    public void init(boolean enable) {
        this.mIsEnable = enable;
        FtUtil.log_d("UCTUSBTest", "init", "" + enable);
        if (enable) {
            this.tvUsb3TopSpec = (TextView) this.mActivity.findViewById(R.id.uct_usb3top_spec);
            this.tvUsb3TopValue = (TextView) this.mActivity.findViewById(R.id.uct_usb3top_value);
            this.tvUSB3TopPhoneResult = (TextView) this.mActivity.findViewById(R.id.uct_usb3top_result);
            this.tvUsb3BotSpec = (TextView) this.mActivity.findViewById(R.id.uct_usb3bot_spec);
            this.tvUsb3BotValue = (TextView) this.mActivity.findViewById(R.id.uct_usb3bot_value);
            this.tvUSB3BottomPhoneResult = (TextView) this.mActivity.findViewById(R.id.uct_usb3bot_result);
            this.tvUsb3TopSpec.setText("NA");
            this.tvUsb3TopValue.setText("NA");
            this.tvUsb3BotSpec.setText("NA");
            this.tvUsb3BotValue.setText("NA");
            this.mState = 0;
            String strTestcase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML(203));
            if (strTestcase.contains(Support.TestCase.USB31)) {
                this.mUsbType = "0310";
            } else if (strTestcase.contains(Support.TestCase.USB32)) {
                this.mUsbType = "0320";
            }
            FtUtil.log_d("UCTUSBTest", "init mUsbType is set as : " + this.mUsbType);
            return;
        }
        ((TableRow) this.mActivity.findViewById(R.id.usb3bot)).setVisibility(8);
        ((TableRow) this.mActivity.findViewById(R.id.usb3top)).setVisibility(8);
    }

    @Override // com.sec.factory.app.ui.UCTTestBase
    public void startTest() {
        FtUtil.log_d("UCTUSBTest", "startTest", "");
        IntentFilter intentFilter = new IntentFilter();
        intentFilter.addAction("android.hardware.usb.action.USB_STATE");
        this.mActivity.registerReceiver(this.mBroadcastReceiverUSB, intentFilter);
    }

    @Override // com.sec.factory.app.ui.UCTTestBase
    public void endTest() {
        FtUtil.log_d("UCTUSBTest", "endTest", "");
        Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML(203));
        this.mActivity.unregisterReceiver(this.mBroadcastReceiverUSB);
    }
}
