package com.sec.factory.app.ui;

import android.app.Activity;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.widget.TableRow;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.app.ui.UCTTestBase;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class UCTVConnTest extends UCTTestBase {
    private static final String ACTION_RECEIVE_VCONN_CURRENT = "com.sec.samsung.ACTION_RECEIVE_VCONN_CURRENT";
    private final String CLASS_NAME = "UCTVConnTest";
    private int mVCONNCurrentSpecMax;
    private int mVCONNCurrentSpecMin;
    private BroadcastReceiver mVconnBroadcastReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.app.ui.UCTVConnTest.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            String action = intent.getAction();
            FtUtil.log_d("UCTVConnTest", "mVconnBroadcastReceiver.onReceive", "action=" + action);
            if (action.equalsIgnoreCase(UCTVConnTest.ACTION_RECEIVE_VCONN_CURRENT)) {
                FtUtil.log_i("UCTVConnTest", "onReceive", "ACTION_RECEIVE_VCONN_CURRENT");
                UCTVConnTest.this.checkVCONNCurrent(intent.getStringExtra("VCONN_CURRENT"));
            }
        }
    };
    private TextView tvVCONNCurrent;
    private TextView tvVCONNResult;
    private TextView tvVCONNSpec;

    @Override // com.sec.factory.app.ui.UCTTestBase
    public /* bridge */ /* synthetic */ void removeHandleMessage() {
        super.removeHandleMessage();
    }

    @Override // com.sec.factory.app.ui.UCTTestBase
    public /* bridge */ /* synthetic */ void setOnTestResultListener(UCTTestBase.TestResultListener testResultListener) {
        super.setOnTestResultListener(testResultListener);
    }

    public UCTVConnTest(Activity _activity, UCTTestBase.TestResultListener _testResultListener) {
        super(_activity, _testResultListener);
        FtUtil.log_d("UCTVConnTest", "UCTVConnTest", "");
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void checkVCONNCurrent(String _strVCONNCurrent) {
        FtUtil.log_e("UCTVConnTest", "checkVCONNCurrent", " Vconn Current : " + _strVCONNCurrent);
        FtUtil.log_e("UCTVConnTest", "checkVCONNCurrent", "min : " + this.mVCONNCurrentSpecMin + " max : " + this.mVCONNCurrentSpecMax);
        int nVCONNCurrent = Integer.parseInt(_strVCONNCurrent);
        TextView textView = this.tvVCONNCurrent;
        textView.setText("" + nVCONNCurrent);
        if (nVCONNCurrent < this.mVCONNCurrentSpecMin || nVCONNCurrent > this.mVCONNCurrentSpecMax) {
            FtUtil.log_d("UCTVConnTest", "checkVCONNCurrent", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(138), "FAIL - VCONN Test Current Spec out"));
            this.tvVCONNResult.setTextColor(-65536);
            this.tvVCONNResult.setText("FAIL");
            this.mbTestResult = false;
            this.mTestResultListener.onTestEnd(5, false);
            return;
        }
        FtUtil.log_d("UCTVConnTest", "checkVCONNCurrent", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(138), "PASS - VCONN Test Current Spec in"));
        this.tvVCONNResult.setText("PASS");
        this.tvVCONNResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
        this.mbTestResult = true;
        this.mTestResultListener.onTestEnd(5, true);
    }

    @Override // com.sec.factory.app.ui.UCTTestBase
    public void init(boolean enable) {
        this.mIsEnable = enable;
        FtUtil.log_d("UCTVConnTest", "init", "" + enable);
        if (enable) {
            this.tvVCONNSpec = (TextView) this.mActivity.findViewById(R.id.uct_vconn_spec);
            this.mVCONNCurrentSpecMin = Support.Spec.getInt(Support.Spec.VCONN_SPEC_MIN);
            this.mVCONNCurrentSpecMax = Support.Spec.getInt(Support.Spec.VCONN_SPEC_MAX);
            TextView textView = this.tvVCONNSpec;
            textView.setText(this.mVCONNCurrentSpecMin + "~" + this.mVCONNCurrentSpecMax);
            this.tvVCONNCurrent = (TextView) this.mActivity.findViewById(R.id.uct_vconn_value);
            this.tvVCONNResult = (TextView) this.mActivity.findViewById(R.id.uct_vconn_result);
            return;
        }
        ((TableRow) this.mActivity.findViewById(R.id.uct_vconn)).setVisibility(8);
    }

    @Override // com.sec.factory.app.ui.UCTTestBase
    public void startTest() {
        FtUtil.log_d("UCTVConnTest", "startTest", "");
        Support.Kernel.write(Support.Kernel.CCIC_CONTROL_OPTION, EgisFingerprint.MAJOR_VERSION);
        IntentFilter intentFilter = new IntentFilter();
        intentFilter.addAction(ACTION_RECEIVE_VCONN_CURRENT);
        this.mActivity.registerReceiver(this.mVconnBroadcastReceiver, intentFilter);
    }

    @Override // com.sec.factory.app.ui.UCTTestBase
    public void endTest() {
        FtUtil.log_d("UCTVConnTest", "endTest", "");
        Support.Kernel.write(Support.Kernel.CCIC_CONTROL_OPTION, "2");
        this.mActivity.unregisterReceiver(this.mVconnBroadcastReceiver);
    }
}
