package com.sec.factory.app.ui;

import android.app.Activity;
import android.os.Handler;
import android.os.Message;
import android.os.UEventObserver;
import android.widget.TableRow;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.ui.UCTTestBase;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.optical.client.api.EgisFingerprint;

public class UCTWaterDetectTest extends UCTTestBase {
    private static final String UEVENT_CCIC_WATER = "CCIC=WATER";
    private final String CLASS_NAME = "UCTWaterDetectTest";
    private Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UCTWaterDetectTest.AnonymousClass1 */

        public void handleMessage(Message msg) {
            UCTWaterDetectTest.this.mTestResultListener.onTestEnd(6, true);
        }
    };
    private final UEventObserver mWaterDetectUEventObserver = new UEventObserver() {
        /* class com.sec.factory.app.ui.UCTWaterDetectTest.AnonymousClass2 */

        public void onUEvent(UEventObserver.UEvent event) {
            String value = event.get(UCTWaterDetectTest.UEVENT_CCIC_WATER);
            FtUtil.log_i("UCTWaterDetectTest", "get UEvent : " + value);
            UCTWaterDetectTest.this.passWaterDetectTest();
        }
    };
    private TextView tvWaterDetectResult;
    private TextView tvWaterDetectSpec;
    private TextView tvWaterDetectValue;

    @Override // com.sec.factory.app.ui.UCTTestBase
    public /* bridge */ /* synthetic */ void removeHandleMessage() {
        super.removeHandleMessage();
    }

    @Override // com.sec.factory.app.ui.UCTTestBase
    public /* bridge */ /* synthetic */ void setOnTestResultListener(UCTTestBase.TestResultListener testResultListener) {
        super.setOnTestResultListener(testResultListener);
    }

    public UCTWaterDetectTest(Activity _activity, UCTTestBase.TestResultListener _testResultListener) {
        super(_activity, _testResultListener);
        FtUtil.log_d("UCTWaterDetectTest", "UCTWaterDetectTest", "");
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void passWaterDetectTest() {
        this.tvWaterDetectResult.setText("PASS");
        this.tvWaterDetectResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
        this.mbTestResult = true;
        this.mHandler.sendEmptyMessageDelayed(0, 100);
    }

    @Override // com.sec.factory.app.ui.UCTTestBase
    public void init(boolean enable) {
        this.mIsEnable = enable;
        FtUtil.log_d("UCTWaterDetectTest", "init", "" + enable);
        if (enable) {
            this.tvWaterDetectResult = (TextView) this.mActivity.findViewById(R.id.uct_water_result);
            this.tvWaterDetectSpec = (TextView) this.mActivity.findViewById(R.id.uct_water_spec);
            this.tvWaterDetectValue = (TextView) this.mActivity.findViewById(R.id.uct_water_value);
            this.tvWaterDetectSpec.setText("NA");
            this.tvWaterDetectValue.setText("NA");
            return;
        }
        ((TableRow) this.mActivity.findViewById(R.id.uct_water)).setVisibility(8);
    }

    @Override // com.sec.factory.app.ui.UCTTestBase
    public void startTest() {
        FtUtil.log_d("UCTWaterDetectTest", "startTest", "");
        Support.Kernel.write(Support.Kernel.CCIC_CONTROL_OPTION, EgisFingerprint.MAJOR_VERSION);
        this.mWaterDetectUEventObserver.startObserving(UEVENT_CCIC_WATER);
    }

    @Override // com.sec.factory.app.ui.UCTTestBase
    public void endTest() {
        FtUtil.log_d("UCTWaterDetectTest", "endTest", "");
        Support.Kernel.write(Support.Kernel.CCIC_CONTROL_OPTION, "4");
        this.mWaterDetectUEventObserver.stopObserving();
    }
}
