package com.sec.factory.app.ui;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.hardware.Sensor;
import android.hardware.SensorEvent;
import android.hardware.SensorEventListener;
import android.hardware.SensorManager;
import android.media.AudioManager;
import android.media.MediaPlayer;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.NVAccessor;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class UI3dDigitalHallIcCalTest extends UIBase implements View.OnClickListener {
    private static final String CLASS_NAME = "UI3dDigitalHallIcCalTest";
    private static final int MSG_CHECK_ANALOG_HALL_CLOSE = 1003;
    private static final int MSG_CHECK_ANALOG_HALL_OPEN = 1004;
    private static final int MSG_CHECK_ANGLE = 1001;
    private static final int MSG_CHECK_AUTO_CAL_FLAG = 1002;
    private static final int MSG_INIT = 1000;
    private static final float TABLE_MODE_EVENT_CLOSE = 0.0f;
    private static final float TABLE_MODE_EVENT_FLEX = 2.0f;
    private static final float TABLE_MODE_EVENT_FLEX_COVER = 1.0f;
    private static final float TABLE_MODE_EVENT_OPEN = 3.0f;
    private static final int[] checkState = new int[4];
    Button buttonExit;
    private int countAnalogClose;
    private int countAnalogOpen;
    private int countRefAngle;
    private boolean isCheckAnalogHall;
    private AccSensorListener mAccSensorListener;
    private AudioPlayer mAudioPlayer;
    private float mFoldingState = 3.0f;
    private FoldingStateListener mFoldingStateListener;
    public Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UI3dDigitalHallIcCalTest.AnonymousClass2 */

        public void handleMessage(Message msg) {
            switch (msg.what) {
                case 1000:
                    UI3dDigitalHallIcCalTest.this.init();
                    return;
                case 1001:
                    String curRefAngle = Support.Kernel.read(Support.Kernel.THREE_DIMENSION_DIGITAL_HALL_IC_REF_ANGLE, true);
                    if (curRefAngle == null) {
                        FtUtil.log_d(UI3dDigitalHallIcCalTest.CLASS_NAME, "MSG_CHECK_ANGLE", "Ref Angle is null");
                        return;
                    } else if (curRefAngle.indexOf(",") == -1) {
                        FtUtil.log_d(UI3dDigitalHallIcCalTest.CLASS_NAME, "MSG_CHECK_ANGLE", "Ref Angle is wrong format");
                        return;
                    } else if (Integer.parseInt(curRefAngle.split(",")[0]) > 170) {
                        UI3dDigitalHallIcCalTest.this.mHandler.sendEmptyMessageDelayed(1002, 1000);
                        return;
                    } else {
                        UI3dDigitalHallIcCalTest.access$208(UI3dDigitalHallIcCalTest.this);
                        if (UI3dDigitalHallIcCalTest.this.countRefAngle == 10) {
                            FtUtil.log_d(UI3dDigitalHallIcCalTest.CLASS_NAME, "MSG_CHECK_ANGLE", "Ref Angle check fail");
                            UI3dDigitalHallIcCalTest.this.mTextViewAutoCalFlag.setText("FAIL");
                            UI3dDigitalHallIcCalTest.this.mTextViewAutoCalFlag.setTextColor(-65536);
                            UI3dDigitalHallIcCalTest uI3dDigitalHallIcCalTest = UI3dDigitalHallIcCalTest.this;
                            uI3dDigitalHallIcCalTest.setTestResultFailCase(uI3dDigitalHallIcCalTest.mTestID);
                            return;
                        }
                        UI3dDigitalHallIcCalTest.this.mHandler.sendEmptyMessageDelayed(1001, 100);
                        return;
                    }
                case 1002:
                    String autoCalFlag = Support.Kernel.read(Support.Kernel.THREE_DIMENSION_DIGITAL_HALL_IC_CHECK_AUTO_CAL, true);
                    if (EgisFingerprint.MAJOR_VERSION.equals(autoCalFlag)) {
                        UI3dDigitalHallIcCalTest.this.mTextViewAutoCalFlag.setText("PASS");
                        UI3dDigitalHallIcCalTest.this.mTextViewAutoCalFlag.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                        UI3dDigitalHallIcCalTest.this.setTestResult((byte) 80);
                        UI3dDigitalHallIcCalTest.this.finish();
                        return;
                    } else if ("0".equals(autoCalFlag)) {
                        FtUtil.log_d(UI3dDigitalHallIcCalTest.CLASS_NAME, "MSG_CHECK_AUTO_CAL_FLAG", "Auto Cal Flag check fail");
                        UI3dDigitalHallIcCalTest.this.mTextViewAutoCalFlag.setText("FAIL");
                        UI3dDigitalHallIcCalTest.this.mTextViewAutoCalFlag.setTextColor(-65536);
                        UI3dDigitalHallIcCalTest uI3dDigitalHallIcCalTest2 = UI3dDigitalHallIcCalTest.this;
                        uI3dDigitalHallIcCalTest2.setTestResultFailCase(uI3dDigitalHallIcCalTest2.mTestID);
                        return;
                    } else {
                        UI3dDigitalHallIcCalTest.this.mTextViewAutoCalFlag.setText("FAIL");
                        FtUtil.log_d(UI3dDigitalHallIcCalTest.CLASS_NAME, "MSG_CHECK_AUTO_CAL_FLAG", "Auto Cal Flag check time out");
                        UI3dDigitalHallIcCalTest.this.mTextViewAutoCalFlag.setTextColor(-65536);
                        UI3dDigitalHallIcCalTest uI3dDigitalHallIcCalTest3 = UI3dDigitalHallIcCalTest.this;
                        uI3dDigitalHallIcCalTest3.setTestResultFailCase(uI3dDigitalHallIcCalTest3.mTestID);
                        return;
                    }
                case 1003:
                    if (UI3dDigitalHallIcCalTest.this.checkAnalogHallClose()) {
                        UI3dDigitalHallIcCalTest.access$608(UI3dDigitalHallIcCalTest.this);
                        FtUtil.log_d(UI3dDigitalHallIcCalTest.CLASS_NAME, "MSG_CHECK_ANALOG_HALL_CLOSE", "state :  " + UI3dDigitalHallIcCalTest.this.state);
                        UI3dDigitalHallIcCalTest.this.mAudioPlayer.playSound();
                        return;
                    }
                    UI3dDigitalHallIcCalTest.access$808(UI3dDigitalHallIcCalTest.this);
                    if (UI3dDigitalHallIcCalTest.this.countAnalogClose == 10) {
                        FtUtil.log_d(UI3dDigitalHallIcCalTest.CLASS_NAME, "MSG_CHECK_ANALOG_HALL_CLOSE", "Analog Hall Close check fail");
                        UI3dDigitalHallIcCalTest.this.mTextAnalogClose.setText("FAIL");
                        UI3dDigitalHallIcCalTest.this.mTextAnalogClose.setTextColor(-65536);
                        UI3dDigitalHallIcCalTest.this.mSensorManager.unregisterListener(UI3dDigitalHallIcCalTest.this.mFoldingStateListener);
                        UI3dDigitalHallIcCalTest uI3dDigitalHallIcCalTest4 = UI3dDigitalHallIcCalTest.this;
                        uI3dDigitalHallIcCalTest4.setTestResultFailCase(uI3dDigitalHallIcCalTest4.mTestID);
                        return;
                    }
                    sendEmptyMessageDelayed(1003, 100);
                    return;
                case 1004:
                    if (UI3dDigitalHallIcCalTest.this.checkAnalogHallOpen()) {
                        UI3dDigitalHallIcCalTest.access$608(UI3dDigitalHallIcCalTest.this);
                        FtUtil.log_d(UI3dDigitalHallIcCalTest.CLASS_NAME, "MSG_CHECK_ANALOG_HALL_OPEN", "state :  " + UI3dDigitalHallIcCalTest.this.state);
                        UI3dDigitalHallIcCalTest.this.mAudioPlayer.playSound();
                        UI3dDigitalHallIcCalTest.this.countRefAngle = 0;
                        UI3dDigitalHallIcCalTest.this.mHandler.sendEmptyMessage(1001);
                        return;
                    }
                    UI3dDigitalHallIcCalTest.access$1308(UI3dDigitalHallIcCalTest.this);
                    if (UI3dDigitalHallIcCalTest.this.countAnalogOpen == 10) {
                        FtUtil.log_d(UI3dDigitalHallIcCalTest.CLASS_NAME, "MSG_CHECK_ANALOG_HALL_OPEN", "Analog Hall Open check fail");
                        UI3dDigitalHallIcCalTest.this.mTextAnalogOpen.setText("FAIL");
                        UI3dDigitalHallIcCalTest.this.mTextAnalogOpen.setTextColor(-65536);
                        UI3dDigitalHallIcCalTest.this.mSensorManager.unregisterListener(UI3dDigitalHallIcCalTest.this.mFoldingStateListener);
                        UI3dDigitalHallIcCalTest uI3dDigitalHallIcCalTest5 = UI3dDigitalHallIcCalTest.this;
                        uI3dDigitalHallIcCalTest5.setTestResultFailCase(uI3dDigitalHallIcCalTest5.mTestID);
                        return;
                    }
                    sendEmptyMessageDelayed(1004, 100);
                    return;
                default:
                    return;
            }
        }
    };
    private SensorManager mSensorManager;
    private int mTestID = 0;
    private TextView mTextAnalogClose;
    private TextView mTextAnalogOpen;
    private TextView mTextFolderClose;
    private TextView mTextFolderOpen;
    private TextView mTextViewAnalogHall1;
    private TextView mTextViewAnalogHall2;
    private TextView mTextViewAutoCalFlag;
    private TextView mTextViewAutoCalReset;
    private int state;
    private BroadcastReceiver stopReceiver = null;

    static /* synthetic */ int access$1308(UI3dDigitalHallIcCalTest x0) {
        int i = x0.countAnalogOpen;
        x0.countAnalogOpen = i + 1;
        return i;
    }

    static /* synthetic */ int access$208(UI3dDigitalHallIcCalTest x0) {
        int i = x0.countRefAngle;
        x0.countRefAngle = i + 1;
        return i;
    }

    static /* synthetic */ int access$608(UI3dDigitalHallIcCalTest x0) {
        int i = x0.state;
        x0.state = i + 1;
        return i;
    }

    static /* synthetic */ int access$808(UI3dDigitalHallIcCalTest x0) {
        int i = x0.countAnalogClose;
        x0.countAnalogClose = i + 1;
        return i;
    }

    public UI3dDigitalHallIcCalTest() {
        super(CLASS_NAME, FactoryTestManager.TEST_3D_DIGITAL_HALL_IC_CAL_TEST);
    }

    public void registerStopReceiver() {
        if (this.stopReceiver == null) {
            IntentFilter stopFilter = new IntentFilter();
            stopFilter.addAction("com.sec.factory.3ddigitalhalliccal.ACTION_TEST_STOP");
            FtUtil.log_d(CLASS_NAME, "startReceiver", "request to register stopReceiver - start");
            AnonymousClass1 r1 = new BroadcastReceiver() {
                /* class com.sec.factory.app.ui.UI3dDigitalHallIcCalTest.AnonymousClass1 */

                public void onReceive(Context context, Intent intent) {
                    String mAction = intent.getAction();
                    FtUtil.log_d(UI3dDigitalHallIcCalTest.CLASS_NAME, "onReceive", "mAction : " + mAction);
                    if ("com.sec.factory.3ddigitalhalliccal.ACTION_TEST_STOP".equals(mAction)) {
                        UI3dDigitalHallIcCalTest.this.sendStopBroadcast();
                        UI3dDigitalHallIcCalTest.this.finish();
                    }
                }
            };
            this.stopReceiver = r1;
            registerReceiver(r1, stopFilter);
        }
    }

    private void unregisterStopReceiver() {
        BroadcastReceiver broadcastReceiver = this.stopReceiver;
        if (broadcastReceiver != null) {
            unregisterReceiver(broadcastReceiver);
            this.stopReceiver = null;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void sendStopBroadcast() {
        Intent i = new Intent("com.sec.factory.3ddigitalhalliccal.ACTION_TEST_STOP_OK");
        i.addFlags(268435456);
        FtUtil.log_d(CLASS_NAME, "sendBroadcast", "mAction : com.sec.factory.3ddigitalhalliccal.ACTION_TEST_STOP_OK");
        sendBroadcast(i);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_3d_digital_hallic_cal);
        FtUtil.log_d(CLASS_NAME, "onCreate");
        Intent i = getIntent();
        this.mTestID = i.getIntExtra("testid", 0);
        setAtCmd(i.getBooleanExtra("mIsAtCmd", false));
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        FtUtil.log_d(CLASS_NAME, "onResume");
        this.mHandler.sendEmptyMessageDelayed(1000, 100);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        FtUtil.log_d(CLASS_NAME, "onPause");
        removeAllMessage();
        this.mSensorManager.unregisterListener(this.mFoldingStateListener);
        this.mSensorManager.unregisterListener(this.mAccSensorListener);
        unregisterStopReceiver();
        this.mAudioPlayer.setVolumeToOld(this);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
        FtUtil.log_d(CLASS_NAME, "onDestory");
        removeAllMessage();
        this.mSensorManager.unregisterListener(this.mFoldingStateListener);
        this.mSensorManager.unregisterListener(this.mAccSensorListener);
        unregisterStopReceiver();
        this.mAudioPlayer.setVolumeToOld(this);
        if (Support.Feature.getBoolean(Support.Feature.IS_RESET_SLPI_FOR_3D_DIGITAL_HALL_CAL)) {
            Support.Kernel.write(Support.Kernel.SLPI_RESET, "5");
        }
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.button_exit:
                FtUtil.log_d(CLASS_NAME, "onClick", "EXIT Button");
                finish();
                return;
            default:
                return;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void init() {
        if ("ANALOG".contains(Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML(this.mTestID)))) {
            this.isCheckAnalogHall = true;
        } else {
            this.isCheckAnalogHall = false;
        }
        Button button = (Button) findViewById(R.id.button_exit);
        this.buttonExit = button;
        button.setOnClickListener(this);
        registerStopReceiver();
        this.mAudioPlayer = new AudioPlayer(this);
        if (Support.Feature.getBoolean(Support.Feature.IS_RESET_SLPI_FOR_3D_DIGITAL_HALL_CAL)) {
            Support.Kernel.write(Support.Kernel.SLPI_RESET, "4");
            FtUtil.Sleep.sleep(5000);
        }
        if (this.mSensorManager == null) {
            this.mSensorManager = (SensorManager) getSystemService(SensorManager.class);
        }
        this.mTextViewAutoCalFlag = (TextView) findViewById(R.id.text_auto_cal_flag);
        this.mTextViewAutoCalReset = (TextView) findViewById(R.id.text_auto_cal_reset);
        this.mTextFolderClose = (TextView) findViewById(R.id.text_angle_close);
        this.mTextFolderOpen = (TextView) findViewById(R.id.text_angle_open);
        this.mTextAnalogClose = (TextView) findViewById(R.id.text_analog_close);
        this.mTextAnalogOpen = (TextView) findViewById(R.id.text_analog_open);
        NVAccessor.setNV(FactoryTestManager.TEST_3D_DIGITAL_HALL_IC_CAL_TEST, (byte) 78);
        NVAccessor.setNV(FactoryTestManager.TEST_3D_DIGITAL_HALL_IC_TEST, (byte) 78);
        try {
            this.mFoldingStateListener = new FoldingStateListener();
            this.mSensorManager.registerListener(this.mFoldingStateListener, this.mSensorManager.getSensorList(65695).get(0), 3);
            this.mAccSensorListener = new AccSensorListener();
            this.mSensorManager.registerListener(this.mAccSensorListener, this.mSensorManager.getDefaultSensor(1), 2);
            this.mSensorManager.registerListener(this.mAccSensorListener, this.mSensorManager.getDefaultSensor(65687), 2);
            this.state = 0;
            if ("0".equals(Support.Kernel.read(Support.Kernel.THREE_DIMENSION_DIGITAL_HALL_IC_RESET_AUTO_CAL, true))) {
                this.mTextViewAutoCalReset.setText("PASS");
                this.mTextViewAutoCalReset.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                return;
            }
            this.mTextViewAutoCalReset.setText("FAIL");
            this.mTextViewAutoCalReset.setTextColor(-65536);
        } catch (IndexOutOfBoundsException e) {
            FtUtil.log_d(CLASS_NAME, "init", "regist sensor Fail");
            this.mTextViewAutoCalReset.setText("FAIL");
            this.mTextViewAutoCalReset.setTextColor(-65536);
            FtUtil.log_e(e);
        }
    }

    /* access modifiers changed from: private */
    public class AccSensorListener implements SensorEventListener {
        private AccSensorListener() {
        }

        public void onSensorChanged(SensorEvent event) {
        }

        public void onAccuracyChanged(Sensor sensor, int accuracy) {
        }
    }

    /* access modifiers changed from: private */
    public class FoldingStateListener implements SensorEventListener {
        public FoldingStateListener() {
        }

        public void onAccuracyChanged(Sensor sensor, int accuracy) {
        }

        public void onSensorChanged(SensorEvent event) {
            FtUtil.log_d(UI3dDigitalHallIcCalTest.CLASS_NAME, "FoldingStateListener, onSensorChanged", "event0 :  " + event.values[0]);
            UI3dDigitalHallIcCalTest.this.mFoldingState = event.values[0];
            if (event.values[0] == 0.0f) {
                FtUtil.log_d(UI3dDigitalHallIcCalTest.CLASS_NAME, "FoldingStateListener, onSensorChanged", "TABLE_MODE_EVENT_CLOSE");
                if (UI3dDigitalHallIcCalTest.this.state == 2) {
                    UI3dDigitalHallIcCalTest.access$608(UI3dDigitalHallIcCalTest.this);
                    FtUtil.log_d(UI3dDigitalHallIcCalTest.CLASS_NAME, "FoldingStateListener, onSensorChanged", "state :  " + UI3dDigitalHallIcCalTest.this.state);
                    UI3dDigitalHallIcCalTest.this.mTextFolderClose.setText("OK");
                    UI3dDigitalHallIcCalTest.this.mTextFolderClose.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                    UI3dDigitalHallIcCalTest.this.countAnalogClose = 0;
                    UI3dDigitalHallIcCalTest.this.mHandler.sendEmptyMessage(1003);
                }
            } else if (event.values[0] == UI3dDigitalHallIcCalTest.TABLE_MODE_EVENT_FLEX_COVER) {
                FtUtil.log_d(UI3dDigitalHallIcCalTest.CLASS_NAME, "FoldingStateListener, onSensorChanged", "TABLE_MODE_EVENT_FLEX_COVER");
                if (UI3dDigitalHallIcCalTest.this.state == 1) {
                    UI3dDigitalHallIcCalTest.access$608(UI3dDigitalHallIcCalTest.this);
                    FtUtil.log_d(UI3dDigitalHallIcCalTest.CLASS_NAME, "FoldingStateListener, onSensorChanged", "state :  " + UI3dDigitalHallIcCalTest.this.state);
                } else if (UI3dDigitalHallIcCalTest.this.state == 4) {
                    UI3dDigitalHallIcCalTest.access$608(UI3dDigitalHallIcCalTest.this);
                    FtUtil.log_d(UI3dDigitalHallIcCalTest.CLASS_NAME, "FoldingStateListener, onSensorChanged", "state :  " + UI3dDigitalHallIcCalTest.this.state);
                }
            } else if (event.values[0] == 2.0f) {
                FtUtil.log_d(UI3dDigitalHallIcCalTest.CLASS_NAME, "FoldingStateListener, onSensorChanged", "TABLE_MODE_EVENT_FLEX");
                if (UI3dDigitalHallIcCalTest.this.state == 0) {
                    UI3dDigitalHallIcCalTest.access$608(UI3dDigitalHallIcCalTest.this);
                    FtUtil.log_d(UI3dDigitalHallIcCalTest.CLASS_NAME, "FoldingStateListener, onSensorChanged", "state :  " + UI3dDigitalHallIcCalTest.this.state);
                } else if (UI3dDigitalHallIcCalTest.this.state == 5) {
                    UI3dDigitalHallIcCalTest.access$608(UI3dDigitalHallIcCalTest.this);
                    FtUtil.log_d(UI3dDigitalHallIcCalTest.CLASS_NAME, "FoldingStateListener, onSensorChanged", "state :  " + UI3dDigitalHallIcCalTest.this.state);
                }
            } else if (event.values[0] == 3.0f) {
                FtUtil.log_d(UI3dDigitalHallIcCalTest.CLASS_NAME, "FoldingStateListener, onSensorChanged", "TABLE_MODE_EVENT_OPEN");
                if (UI3dDigitalHallIcCalTest.this.state == 6) {
                    FtUtil.log_d(UI3dDigitalHallIcCalTest.CLASS_NAME, "FoldingStateListener, onSensorChanged", "state :  " + UI3dDigitalHallIcCalTest.this.state);
                    UI3dDigitalHallIcCalTest.this.mTextFolderOpen.setText("OK");
                    UI3dDigitalHallIcCalTest.this.mTextFolderOpen.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                    UI3dDigitalHallIcCalTest.this.countAnalogOpen = 0;
                    UI3dDigitalHallIcCalTest.this.mHandler.sendEmptyMessage(1004);
                }
            }
        }
    }

    private void removeAllMessage() {
        this.mHandler.removeMessages(1001);
        this.mHandler.removeMessages(1002);
        this.mHandler.removeMessages(1003);
        this.mHandler.removeMessages(1004);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean checkAnalogHallClose() {
        if (!this.isCheckAnalogHall) {
            return true;
        }
        if (ModuleDevice.HallIC.getHallICState3() != ModuleDevice.HallIC.FOLDER_STATE_CLOSE) {
            return false;
        }
        this.mTextAnalogClose.setText("PASS");
        this.mTextAnalogClose.setTextColor(UiHallICTest.FONT_COLOR_PASS);
        return true;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean checkAnalogHallOpen() {
        if (!this.isCheckAnalogHall) {
            return true;
        }
        if (ModuleDevice.HallIC.getHallICState3() != ModuleDevice.HallIC.FOLDER_STATE_OPEN) {
            return false;
        }
        this.mTextAnalogOpen.setText("PASS");
        this.mTextAnalogOpen.setTextColor(UiHallICTest.FONT_COLOR_PASS);
        return true;
    }

    public static class AudioPlayer {
        private static final String CLASS_NAME = "UI3dDigitalHallIcCalTest.AudioPlayer";
        private static MediaPlayer mMediaPlayer = null;
        private static int mOldVolumeIndex;

        public AudioPlayer(Context context) {
            mMediaPlayer = MediaPlayer.create(context, (int) R.raw.button);
            AudioManager am = (AudioManager) context.getSystemService("audio");
            mOldVolumeIndex = am.getStreamVolume(3);
            am.setStreamVolume(3, am.getStreamMaxVolume(3), 0);
        }

        public void setVolumeToOld(Context context) {
            MediaPlayer mediaPlayer = mMediaPlayer;
            if (mediaPlayer != null) {
                mediaPlayer.release();
                mMediaPlayer = null;
            }
            ((AudioManager) context.getSystemService("audio")).setStreamVolume(3, mOldVolumeIndex, 0);
        }

        public void playSound() {
            MediaPlayer mediaPlayer = mMediaPlayer;
            if (mediaPlayer == null) {
                FtUtil.log_d(CLASS_NAME, "playSound", "mMediaPlayer is null");
            } else if (mediaPlayer.isPlaying()) {
                try {
                    mMediaPlayer.seekTo(0);
                } catch (IllegalStateException e) {
                }
            } else {
                mMediaPlayer.start();
            }
        }
    }
}
