package com.sec.factory.app.ui;

import android.app.AlertDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.graphics.Point;
import android.graphics.PointF;
import android.hardware.Sensor;
import android.hardware.SensorEvent;
import android.hardware.SensorEventListener;
import android.hardware.SensorManager;
import android.media.AudioManager;
import android.media.MediaPlayer;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.util.TypedValue;
import android.view.LayoutInflater;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AbsoluteLayout;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import java.io.File;

public class UI3dDigitalHallIcTest extends UIBase implements View.OnTouchListener, View.OnClickListener {
    private static final String CLASS_NAME = "UI3dDigitalHallIcTest";
    private static final int MSG_REF_ANGLE = 1001;
    private String HallSpec;
    private String RefSpec;
    private String XSpec;
    private String YSpec;
    private String ZSpec;
    private String[] arrSpec = new String[20];
    Button buttonExit;
    Button buttonReset;
    Button buttonSpec;
    private String curData;
    File dataResult;
    private String[] dataResultString = new String[10];
    private boolean isFinishHalfCloseState;
    private boolean isFinishOpenHalfState;
    private AudioPlayer mAudioPlayer;
    private ImageView mButtonStartHalfClose;
    private ImageView mButtonStartOpenHalf;
    private FoldingStateListener mFoldingStateListener;
    public Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UI3dDigitalHallIcTest.AnonymousClass2 */

        public void handleMessage(Message msg) {
            switch (msg.what) {
                case 1001:
                    String curRefAngle = Support.Kernel.read(Support.Kernel.THREE_DIMENSION_DIGITAL_HALL_IC_REF_ANGLE, true);
                    if (curRefAngle == null || curRefAngle.indexOf(",") == -1) {
                        UI3dDigitalHallIcTest.this.mTextViewRefAngle.setText("NULL");
                        FtUtil.log_d(UI3dDigitalHallIcTest.CLASS_NAME, "MSG_REF_ANGLE", "Ref Angle is null");
                        return;
                    }
                    UI3dDigitalHallIcTest.this.mTextViewRefAngle.setText(curRefAngle.split(",")[0].split(",")[0]);
                    UI3dDigitalHallIcTest.this.mHandler.sendEmptyMessageDelayed(1001, 100);
                    return;
                default:
                    return;
            }
        }
    };
    private SensorManager mSensorManager;
    private AlertDialog mSpecDialog;
    private TextView mSpecHallHalfClose;
    private TextView mSpecHallOpenHalf;
    private TextView mSpecRefHalfClose;
    private TextView mSpecRefOpenHalf;
    private TextView mSpecXHalfClose;
    private TextView mSpecXOpenHalf;
    private TextView mSpecYHalfClose;
    private TextView mSpecYOpenHalf;
    private TextView mSpecZHalfClose;
    private TextView mSpecZOpenHalf;
    private int mTestID = 0;
    private TextView mTextViewHalfCloseDegree;
    private TextView mTextViewHalfCloseStart;
    private TextView mTextViewHallHalfClose;
    private TextView mTextViewHallOpenHalf;
    private TextView mTextViewOpenHalfDegree;
    private TextView mTextViewOpenHalfStart;
    private TextView mTextViewRefAngle;
    private TextView mTextViewRefHalfClose;
    private TextView mTextViewRefOpenHalf;
    private TextView mTextViewResHalfClose;
    private TextView mTextViewResOpenHalf;
    private TextView mTextViewXHalfClose;
    private TextView mTextViewXOpenHalf;
    private TextView mTextViewYHalfClose;
    private TextView mTextViewYOpenHalf;
    private TextView mTextViewZHalfClose;
    private TextView mTextViewZOpenHalf;
    private String specData;

    public UI3dDigitalHallIcTest() {
        super(CLASS_NAME, FactoryTestManager.TEST_3D_DIGITAL_HALL_IC_TEST);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_3d_digital_hallic_test);
        FtUtil.log_d(CLASS_NAME, "onCreate");
        this.mTestID = getIntent().getIntExtra("testid", 0);
        this.mAudioPlayer = new AudioPlayer(this);
        init_button();
        init();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        FtUtil.log_d(CLASS_NAME, "onResume");
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        FtUtil.log_d(CLASS_NAME, "onPause");
        this.mSensorManager.unregisterListener(this.mFoldingStateListener);
        this.mHandler.removeMessages(1001);
        this.mAudioPlayer.setVolumeToOld(this);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
        FtUtil.log_d(CLASS_NAME, "onDestory");
        this.mSensorManager.unregisterListener(this.mFoldingStateListener);
        this.mHandler.removeMessages(1001);
        this.mAudioPlayer.setVolumeToOld(this);
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.button_exit:
                FtUtil.log_d(CLASS_NAME, "onClick", "EXIT Button");
                finish();
                return;
            case R.id.button_reset:
                FtUtil.log_d(CLASS_NAME, "onClick", "RESET Button");
                init();
                return;
            case R.id.button_spec:
                FtUtil.log_d(CLASS_NAME, "onClick", "SPEC Button");
                AlertDialog.Builder builder = new AlertDialog.Builder(this);
                builder.setTitle("Specification");
                View alertView = LayoutInflater.from(builder.getContext()).inflate(R.layout.ui_3d_digital_hallic_test_spec_dialog, (ViewGroup) null);
                builder.setView(alertView);
                setSpecDialog(alertView);
                builder.setCancelable(false);
                builder.setNegativeButton("Exit", new DialogInterface.OnClickListener() {
                    /* class com.sec.factory.app.ui.UI3dDigitalHallIcTest.AnonymousClass1 */

                    public void onClick(DialogInterface dialog, int id) {
                        dialog.cancel();
                    }
                });
                AlertDialog create = builder.create();
                this.mSpecDialog = create;
                create.getWindow().setGravity(17);
                this.mSpecDialog.show();
                return;
            default:
                return;
        }
    }

    public boolean onTouch(View view, MotionEvent event) {
        switch (event.getAction()) {
            case 1:
                if (view != this.mButtonStartOpenHalf) {
                    if (view == this.mButtonStartHalfClose) {
                        FtUtil.log_d(CLASS_NAME, "onTouch", "Start 50");
                        if (!this.isFinishHalfCloseState) {
                            if (!this.isFinishOpenHalfState) {
                                FtUtil.log_d(CLASS_NAME, "onTouch", "50 cant start, need 160 done");
                                break;
                            } else {
                                this.isFinishHalfCloseState = true;
                                this.mAudioPlayer.playSound();
                                FtUtil.Sleep.sleep(1000);
                                if (processHalfCloseState()) {
                                    setTestResult((byte) 80);
                                    saveTestResult();
                                    break;
                                } else {
                                    this.isFinishOpenHalfState = true;
                                    break;
                                }
                            }
                        } else {
                            FtUtil.log_d(CLASS_NAME, "onTouch", "50 is already done");
                            break;
                        }
                    }
                } else {
                    FtUtil.log_d(CLASS_NAME, "onTouch", "Start 160");
                    if (this.isFinishOpenHalfState) {
                        FtUtil.log_d(CLASS_NAME, "onTouch", "160 is already done");
                        break;
                    } else {
                        this.isFinishOpenHalfState = true;
                        this.mAudioPlayer.playSound();
                        FtUtil.Sleep.sleep(1000);
                        if (!processOpenHalfState()) {
                            this.isFinishHalfCloseState = true;
                            break;
                        }
                    }
                }
                break;
        }
        return true;
    }

    private void init_button() {
        Point size = new Point();
        getWindowManager().getDefaultDisplay().getRealSize(size);
        Button button = (Button) findViewById(R.id.button_exit);
        this.buttonExit = button;
        button.setOnClickListener(this);
        Button button2 = (Button) findViewById(R.id.button_reset);
        this.buttonReset = button2;
        button2.setOnClickListener(this);
        Button button3 = (Button) findViewById(R.id.button_spec);
        this.buttonSpec = button3;
        button3.setOnClickListener(this);
        this.mButtonStartOpenHalf = (ImageView) findViewById(R.id.open_to_half_start_image);
        this.mButtonStartHalfClose = (ImageView) findViewById(R.id.half_to_close_start_image);
        new PointF();
        new PointF();
        PointF touchPoint_OpenHalf = Support.TestCase.getViewPointF(Support.TestCase.THREE_DIMENSION_DIGITAL_HALL_IC_TEST_OPEN_TO_HALF);
        PointF touchPoint_HalfClose = Support.TestCase.getViewPointF(Support.TestCase.THREE_DIMENSION_DIGITAL_HALL_IC_TEST_HALF_TO_CLOSE);
        float pointRadius_OpenHalf = Support.TestCase.getSize(Support.TestCase.THREE_DIMENSION_DIGITAL_HALL_IC_TEST_OPEN_TO_HALF);
        float pointRadius_HalfClose = Support.TestCase.getSize(Support.TestCase.THREE_DIMENSION_DIGITAL_HALL_IC_TEST_HALF_TO_CLOSE);
        touchPoint_OpenHalf.x = getMillimeterToPixel(touchPoint_OpenHalf.x);
        touchPoint_OpenHalf.y = getMillimeterToPixel(touchPoint_OpenHalf.y);
        touchPoint_HalfClose.x = getMillimeterToPixel(touchPoint_HalfClose.x);
        touchPoint_HalfClose.y = getMillimeterToPixel(touchPoint_HalfClose.y);
        float pointRadius_OpenHalf2 = getMillimeterToPixel(pointRadius_OpenHalf);
        float pointRadius_HalfClose2 = getMillimeterToPixel(pointRadius_HalfClose);
        setPositionPointImage(this.mButtonStartOpenHalf, pointRadius_OpenHalf2, touchPoint_OpenHalf.x, touchPoint_OpenHalf.y);
        this.mButtonStartOpenHalf.setOnTouchListener(this);
        TextView textView = (TextView) findViewById(R.id.open_to_half_start_title);
        this.mTextViewOpenHalfStart = textView;
        setPositionPointTitle(textView, pointRadius_OpenHalf2, touchPoint_OpenHalf.x, touchPoint_OpenHalf.y, size.y);
        TextView textView2 = (TextView) findViewById(R.id.open_to_half_degree);
        this.mTextViewOpenHalfDegree = textView2;
        setPositionPointTitle(textView2, pointRadius_OpenHalf2, touchPoint_OpenHalf.x, touchPoint_OpenHalf.y + ((float) (((double) pointRadius_OpenHalf2) * 1.5d)), size.y);
        setPositionPointImage(this.mButtonStartHalfClose, pointRadius_HalfClose2, touchPoint_HalfClose.x, touchPoint_HalfClose.y);
        this.mButtonStartHalfClose.setOnTouchListener(this);
        TextView textView3 = (TextView) findViewById(R.id.half_to_close_start_title);
        this.mTextViewHalfCloseStart = textView3;
        setPositionPointTitle(textView3, pointRadius_HalfClose2, touchPoint_HalfClose.x, touchPoint_HalfClose.y, size.y);
        TextView textView4 = (TextView) findViewById(R.id.half_to_close_degree);
        this.mTextViewHalfCloseDegree = textView4;
        setPositionPointTitle(textView4, pointRadius_HalfClose2, touchPoint_HalfClose.x, touchPoint_HalfClose.y + ((float) (((double) pointRadius_HalfClose2) * 1.5d)), size.y);
    }

    private void init() {
        this.isFinishOpenHalfState = false;
        this.isFinishHalfCloseState = false;
        this.dataResult = new File("data/log/3DDigitalHallIcTestResult.log");
        this.mTextViewRefAngle = (TextView) findViewById(R.id.ref_angle);
        this.mTextViewRefOpenHalf = (TextView) findViewById(R.id.ref_open_to_half);
        this.mTextViewRefHalfClose = (TextView) findViewById(R.id.ref_half_to_close);
        this.mTextViewXOpenHalf = (TextView) findViewById(R.id.x_open_to_half);
        this.mTextViewXHalfClose = (TextView) findViewById(R.id.x_half_to_close);
        this.mTextViewYOpenHalf = (TextView) findViewById(R.id.y_open_to_half);
        this.mTextViewYHalfClose = (TextView) findViewById(R.id.y_half_to_close);
        this.mTextViewZOpenHalf = (TextView) findViewById(R.id.z_open_to_half);
        this.mTextViewZHalfClose = (TextView) findViewById(R.id.z_half_to_close);
        this.mTextViewResOpenHalf = (TextView) findViewById(R.id.result_open_to_half);
        this.mTextViewResHalfClose = (TextView) findViewById(R.id.result_half_to_close);
        this.mTextViewHallOpenHalf = (TextView) findViewById(R.id.hall_open_to_half);
        this.mTextViewHallHalfClose = (TextView) findViewById(R.id.hall_half_to_close);
        this.mTextViewRefOpenHalf.setText("");
        this.mTextViewRefHalfClose.setText("");
        this.mTextViewXOpenHalf.setText("");
        this.mTextViewXHalfClose.setText("");
        this.mTextViewYOpenHalf.setText("");
        this.mTextViewYHalfClose.setText("");
        this.mTextViewZOpenHalf.setText("");
        this.mTextViewZHalfClose.setText("");
        this.mTextViewResOpenHalf.setText("");
        this.mTextViewResHalfClose.setText("");
        this.mTextViewHallOpenHalf.setText("");
        this.mTextViewHallHalfClose.setText("");
        String specRaw = Support.Kernel.read(Support.Kernel.THREE_DIMENSION_DIGITAL_HALL_IC_TEST_SPEC, true);
        if (specRaw == null) {
            for (int i = 0; i < 20; i++) {
                this.arrSpec[i] = "N/A";
            }
        } else {
            for (int i2 = 0; i2 < 20; i2++) {
                this.arrSpec[i2] = specRaw.split(",")[i2];
            }
        }
        if (this.mSensorManager == null) {
            this.mSensorManager = (SensorManager) getSystemService(SensorManager.class);
        }
        try {
            this.mFoldingStateListener = new FoldingStateListener();
            this.mSensorManager.registerListener(this.mFoldingStateListener, this.mSensorManager.getSensorList(65695).get(0), 3);
            this.mHandler.sendEmptyMessageDelayed(1001, 100);
        } catch (IndexOutOfBoundsException e) {
            FtUtil.log_d(CLASS_NAME, "init", "regist sensor Fail");
            FtUtil.log_e(e);
        }
    }

    private float getMillimeterToPixel(float mm) {
        return TypedValue.applyDimension(5, mm, getResources().getDisplayMetrics());
    }

    private void setPositionPointImage(ImageView mImageView, float mRadius, float mx, float my) {
        AbsoluteLayout.LayoutParams params = (AbsoluteLayout.LayoutParams) mImageView.getLayoutParams();
        params.width = (int) (((double) mRadius) * 2.0d);
        params.height = (int) (((double) mRadius) * 2.0d);
        params.x = (int) (mx - mRadius);
        params.y = (int) (my - mRadius);
        FtUtil.log_d(CLASS_NAME, "setPositionPointImage", "x : " + params.x + ", y : " + params.y + ", width : " + params.width + ", height : " + params.height);
        mImageView.setLayoutParams(params);
    }

    private void setPositionPointTitle(TextView mTextView, float mRadius, float mx, float my, int height) {
        AbsoluteLayout.LayoutParams params = (AbsoluteLayout.LayoutParams) mTextView.getLayoutParams();
        params.x = (int) (mx - mRadius);
        params.y = (int) (((double) my) - (((double) mRadius) / 2.0d));
        params.width = (int) (((double) mRadius) * 2.0d);
        params.height = (int) mRadius;
        FtUtil.log_d(CLASS_NAME, "setPositionPointTitle", "x : " + params.x + ", y : " + params.y + ", width : " + params.width + ", height : " + params.height);
        mTextView.setLayoutParams(params);
    }

    private void setSpecDialog(View alertView) {
        this.mSpecRefOpenHalf = (TextView) alertView.findViewById(R.id.spec_ref_open_to_half);
        this.mSpecRefHalfClose = (TextView) alertView.findViewById(R.id.spec_ref_half_to_close);
        this.mSpecXOpenHalf = (TextView) alertView.findViewById(R.id.spec_x_open_to_half);
        this.mSpecXHalfClose = (TextView) alertView.findViewById(R.id.spec_x_half_to_close);
        this.mSpecYOpenHalf = (TextView) alertView.findViewById(R.id.spec_y_open_to_half);
        this.mSpecYHalfClose = (TextView) alertView.findViewById(R.id.spec_y_half_to_close);
        this.mSpecZOpenHalf = (TextView) alertView.findViewById(R.id.spec_z_open_to_half);
        this.mSpecZHalfClose = (TextView) alertView.findViewById(R.id.spec_z_half_to_close);
        this.mSpecHallOpenHalf = (TextView) alertView.findViewById(R.id.spec_hall_open_to_half);
        this.mSpecHallHalfClose = (TextView) alertView.findViewById(R.id.spec_hall_half_to_close);
        TextView textView = this.mSpecRefOpenHalf;
        textView.setText(this.arrSpec[0] + "~" + this.arrSpec[1]);
        TextView textView2 = this.mSpecRefHalfClose;
        textView2.setText(this.arrSpec[2] + "~" + this.arrSpec[3]);
        TextView textView3 = this.mSpecXOpenHalf;
        textView3.setText(this.arrSpec[4] + "~" + this.arrSpec[5]);
        TextView textView4 = this.mSpecXHalfClose;
        textView4.setText(this.arrSpec[6] + "~" + this.arrSpec[7]);
        TextView textView5 = this.mSpecYOpenHalf;
        textView5.setText(this.arrSpec[8] + "~" + this.arrSpec[9]);
        TextView textView6 = this.mSpecYHalfClose;
        textView6.setText(this.arrSpec[10] + "~" + this.arrSpec[11]);
        TextView textView7 = this.mSpecZOpenHalf;
        textView7.setText(this.arrSpec[12] + "~" + this.arrSpec[13]);
        TextView textView8 = this.mSpecZHalfClose;
        textView8.setText(this.arrSpec[14] + "~" + this.arrSpec[15]);
        TextView textView9 = this.mSpecHallOpenHalf;
        textView9.setText(this.arrSpec[16] + "~" + this.arrSpec[17]);
        TextView textView10 = this.mSpecHallHalfClose;
        textView10.setText(this.arrSpec[18] + "~" + this.arrSpec[19]);
    }

    private boolean processOpenHalfState() {
        String[] arrTestData = new String[6];
        Support.Kernel.writeNsync(Support.Kernel.THREE_DIMENSION_DIGITAL_HALL_IC_TEST_READ, "160");
        FtUtil.Sleep.sleep(500);
        String refAngle = Support.Kernel.read(Support.Kernel.THREE_DIMENSION_DIGITAL_HALL_IC_REF_ANGLE, true);
        if (refAngle == null || refAngle.indexOf(",") == -1) {
            this.mTextViewRefOpenHalf.setText("NULL");
            FtUtil.log_d(CLASS_NAME, "processOpenState", "Ref Angle is null");
            testFail(160, true);
            return false;
        }
        String refAngleData = refAngle.split(",")[0];
        String refAngleResult = refAngle.split(",")[1];
        if (refAngleData != null) {
            this.mTextViewRefOpenHalf.setText(refAngleData);
            if ("0".equals(refAngleResult)) {
                String testData = Support.Kernel.read(Support.Kernel.THREE_DIMENSION_DIGITAL_HALL_IC_TEST_READ, true);
                if (testData != null) {
                    for (int i = 0; i < 6; i++) {
                        arrTestData[i] = testData.split(",")[i];
                    }
                    this.mTextViewXOpenHalf.setText(arrTestData[1]);
                    this.mTextViewYOpenHalf.setText(arrTestData[2]);
                    this.mTextViewZOpenHalf.setText(arrTestData[3]);
                    this.mTextViewHallOpenHalf.setText(arrTestData[4]);
                    if ("0".equals(arrTestData[5])) {
                        String[] strArr = this.dataResultString;
                        strArr[5] = refAngleData;
                        strArr[6] = arrTestData[1];
                        strArr[7] = arrTestData[2];
                        strArr[8] = arrTestData[3];
                        strArr[9] = arrTestData[4];
                        this.mTextViewResOpenHalf.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                        this.mTextViewResOpenHalf.setText("PASS");
                        return true;
                    }
                    FtUtil.log_d(CLASS_NAME, "processOpenHalfState", "Spec Out");
                    testFail(160, false);
                    return false;
                }
                this.mTextViewZOpenHalf.setText(arrTestData[3]);
                FtUtil.log_d(CLASS_NAME, "processOpenHalfState", "Test Data is null");
                testFail(160, true);
                return false;
            }
            FtUtil.log_d(CLASS_NAME, "processOpenState", "Ref Angle Spec out");
            testFail(160, false);
            return false;
        }
        this.mTextViewRefOpenHalf.setText("NULL");
        FtUtil.log_d(CLASS_NAME, "processOpenState", "Ref Angle Data is null");
        testFail(160, true);
        return false;
    }

    private boolean processHalfCloseState() {
        String[] arrTestData = new String[6];
        Support.Kernel.writeNsync(Support.Kernel.THREE_DIMENSION_DIGITAL_HALL_IC_TEST_READ, "50");
        FtUtil.Sleep.sleep(500);
        String refAngle = Support.Kernel.read(Support.Kernel.THREE_DIMENSION_DIGITAL_HALL_IC_REF_ANGLE, true);
        if (refAngle == null || refAngle.indexOf(",") == -1) {
            this.mTextViewRefHalfClose.setText("NULL");
            FtUtil.log_d(CLASS_NAME, "processOpenState", "Ref Angle is null");
            testFail(50, true);
        } else {
            String refAngleData = refAngle.split(",")[0];
            String refAngleResult = refAngle.split(",")[1];
            if (refAngleData != null) {
                this.mTextViewRefHalfClose.setText(refAngleData);
                if ("0".equals(refAngleResult)) {
                    String testData = Support.Kernel.read(Support.Kernel.THREE_DIMENSION_DIGITAL_HALL_IC_TEST_READ, true);
                    if (testData != null) {
                        for (int i = 0; i < 6; i++) {
                            arrTestData[i] = testData.split(",")[i];
                        }
                        this.mTextViewXHalfClose.setText(arrTestData[1]);
                        this.mTextViewYHalfClose.setText(arrTestData[2]);
                        this.mTextViewZHalfClose.setText(arrTestData[3]);
                        this.mTextViewHallHalfClose.setText(arrTestData[4]);
                        if ("0".equals(arrTestData[5])) {
                            String[] strArr = this.dataResultString;
                            strArr[0] = refAngleData;
                            strArr[1] = arrTestData[1];
                            strArr[2] = arrTestData[2];
                            strArr[3] = arrTestData[3];
                            strArr[4] = arrTestData[4];
                            this.mTextViewResHalfClose.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                            this.mTextViewResHalfClose.setText("PASS");
                            return true;
                        }
                        FtUtil.log_d(CLASS_NAME, "processHalfCloseState", "Spec Out");
                        testFail(50, false);
                    } else {
                        FtUtil.log_d(CLASS_NAME, "processOpenHalfState", "Test Data is null");
                        testFail(50, true);
                    }
                } else {
                    FtUtil.log_d(CLASS_NAME, "processOpenState", "Ref Angle Spec out");
                    testFail(50, false);
                }
            } else {
                this.mTextViewRefHalfClose.setText("NULL");
                FtUtil.log_d(CLASS_NAME, "processOpenState", "Ref Angle Data is null");
                testFail(50, true);
            }
        }
        return false;
    }

    private void saveTestResult() {
        FtUtil.log_d(CLASS_NAME, "saveCalResult", "");
        String calResult = "";
        for (int i = 0; i < 10; i++) {
            if (i == 9) {
                calResult = calResult + this.dataResultString[i];
            } else if (i == 4) {
                calResult = calResult + this.dataResultString[i] + "_";
            } else {
                calResult = calResult + this.dataResultString[i] + ",";
            }
        }
        Support.Kernel.writeToPathNsync(this.dataResult.getPath(), calResult);
        finish();
    }

    private void testFail(int angle, boolean isNull) {
        if (angle == 160) {
            if (isNull) {
                this.mTextViewXOpenHalf.setText("NULL");
                this.mTextViewYOpenHalf.setText("NULL");
                this.mTextViewZOpenHalf.setText("NULL");
                this.mTextViewHallOpenHalf.setText("NULL");
            }
            this.mHandler.removeMessages(1001);
            this.mTextViewResOpenHalf.setTextColor(-65536);
            this.mTextViewResOpenHalf.setText("FAIL");
            return;
        }
        if (isNull) {
            this.mTextViewXHalfClose.setText("NULL");
            this.mTextViewYHalfClose.setText("NULL");
            this.mTextViewZHalfClose.setText("NULL");
            this.mTextViewHallHalfClose.setText("NULL");
        }
        this.mHandler.removeMessages(1001);
        this.mTextViewResHalfClose.setTextColor(-65536);
        this.mTextViewResHalfClose.setText("FAIL");
    }

    public static class AudioPlayer {
        private static final String CLASS_NAME = "UI3dDigitalHallIcTest.AudioPlayer";
        private static MediaPlayer mMediaPlayer = null;
        private static int mOldVolumeIndex;

        public AudioPlayer(Context context) {
            mMediaPlayer = MediaPlayer.create(context, (int) R.raw.button);
            AudioManager am = (AudioManager) context.getSystemService("audio");
            mOldVolumeIndex = am.getStreamVolume(3);
            am.setStreamVolume(3, am.getStreamMaxVolume(3), 0);
        }

        public void setVolumeToOld(Context context) {
            MediaPlayer mediaPlayer = mMediaPlayer;
            if (mediaPlayer != null) {
                mediaPlayer.release();
                mMediaPlayer = null;
            }
            ((AudioManager) context.getSystemService("audio")).setStreamVolume(3, mOldVolumeIndex, 0);
        }

        public void playSound() {
            MediaPlayer mediaPlayer = mMediaPlayer;
            if (mediaPlayer == null) {
                FtUtil.log_d(CLASS_NAME, "playSound", "mMediaPlayer is null");
            } else if (mediaPlayer.isPlaying()) {
                try {
                    mMediaPlayer.seekTo(0);
                } catch (IllegalStateException e) {
                }
            } else {
                mMediaPlayer.start();
            }
        }
    }

    /* access modifiers changed from: private */
    public class FoldingStateListener implements SensorEventListener {
        public FoldingStateListener() {
        }

        public void onAccuracyChanged(Sensor sensor, int accuracy) {
        }

        public void onSensorChanged(SensorEvent event) {
            FtUtil.log_d(UI3dDigitalHallIcTest.CLASS_NAME, "FoldingStateListener, onSensorChanged", "event0 :  " + event.values[0]);
        }
    }
}
