package com.sec.factory.app.ui;

import android.app.ProgressDialog;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.nfc.NfcAdapter;
import android.os.BatteryManager;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.widget.LinearLayout;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.modules.ModulePower;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import java.io.File;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Iterator;
import java.util.Locale;

public class UIAFCharge extends UIBase {
    private static final String AFC_OFF = "1";
    private static final String AFC_ON = "0";
    private static final int MSG_DELAY_PREVOLTAGE_CHECK = 6;
    private static final int MSG_SELFTEST_START = 2;
    private static final int MSG_TEST_END = 3;
    private static final int MSG_TEST_START = 1;
    private static final int MSG_VOLTAGE_TEST_START = 5;
    private static final int WHAT_CHECK_LCD_ON = 4;
    private final int AVER_AFC_CNT;
    private final String CLASS_NAME = "UIAFCharge";
    private int DUMMY = 0;
    private final int TESTSTATE_AFC_CHECK_STATUS;
    private final int TESTSTATE_AFC_CONNECT;
    private final int TESTSTATE_AFC_SELFTEST;
    private boolean initTest;
    private boolean isBCRcvRegistered;
    private boolean isPass;
    private LinearLayout mAFCCurrentTable;
    private TextView mAFCSelfCheck;
    private TextView mAFCSelfNotice;
    private TextView mAFCSelfSpec;
    private TextView mAFChargeCheck;
    private TextView mAFChargeNotice;
    private TextView mAFChargeRawavg;
    private TextView mAFChargeRawdata1;
    private TextView mAFChargeRawdata2;
    private TextView mAFChargeRawdata3;
    private TextView mAFChargeRawdata4;
    private TextView mAFChargeRawdata5;
    private TextView mAFChargeSubTitle;
    private TextView mAFChargeTitle;
    private TextView mAFChargeVoltage;
    private TextView mAFCharging;
    private TextView mAFVoltageCheck;
    private TextView mAFVoltageNotice;
    private ArrayList<Integer> mAfcList;
    private int mAverAfc;
    private BroadcastReceiver mBroadcastReceiver;
    private TextView mChgDetCheck;
    private TextView mChgDetNotice;
    private int mCount;
    private int mCurrentCount;
    private Handler mHandler;
    private String mItemName;
    private ModuleDevice mModuleDevice;
    private ModulePower mModulePower;
    private int mPreSensingInt;
    private TextView mSensingIntCheck;
    private TextView mSensingIntNotice;
    private int mSpecMax;
    private int mSpecMin;
    private int mTestCount;
    private int mTestState;
    private final float mUIRate;
    private int mVoltageDiff;
    private int mVoltageNow;
    private int mVoltagePre;
    private boolean retMainPMIC;
    private boolean retSensingInt;
    private ProgressDialog waitPopup = null;

    static /* synthetic */ int access$408(UIAFCharge x0) {
        int i = x0.mCount;
        x0.mCount = i + 1;
        return i;
    }

    public UIAFCharge() {
        super("UIAFCharge", 99);
        int i = 0 + 1;
        this.DUMMY = i;
        this.TESTSTATE_AFC_CONNECT = 0;
        int i2 = i + 1;
        this.DUMMY = i2;
        this.TESTSTATE_AFC_CHECK_STATUS = i;
        this.DUMMY = i2 + 1;
        this.TESTSTATE_AFC_SELFTEST = i2;
        this.mTestCount = 0;
        this.mTestState = 0;
        this.mCurrentCount = 0;
        this.initTest = true;
        this.isPass = false;
        this.retMainPMIC = true;
        this.retSensingInt = true;
        this.isBCRcvRegistered = false;
        this.AVER_AFC_CNT = 5;
        this.mCount = 0;
        this.mAverAfc = 0;
        this.mAfcList = new ArrayList<>();
        this.mUIRate = Support.FactoryTestMenu.getUIRate(FactoryTestManager.convertorID_XML((byte) FactoryTestManager.TEST_AF_CHARGE));
        this.mBroadcastReceiver = new BroadcastReceiver() {
            /* class com.sec.factory.app.ui.UIAFCharge.AnonymousClass1 */

            public void onReceive(Context context, Intent intent) {
                String action = intent.getAction();
                FtUtil.log_d("UIAFCharge", "mBroadcastReceiver.onReceive", "action=" + action);
                if ("android.intent.action.BATTERY_CHANGED".equals(action)) {
                    int plugged = intent.getIntExtra("plugged", 0);
                    if (UIAFCharge.this.mTestState == UIAFCharge.this.TESTSTATE_AFC_CONNECT && plugged == 1) {
                        FtUtil.log_d("UIAFCharge", "Battery State: " + plugged);
                        UIAFCharge uIAFCharge = UIAFCharge.this;
                        uIAFCharge.mTestState = uIAFCharge.TESTSTATE_AFC_CHECK_STATUS;
                        FtUtil.log_d("UIAFCharge", "onReceive", "delay for 2000ms to read VBUS");
                        UIAFCharge.this.mHandler.sendEmptyMessageDelayed(1, (long) Support.Spec.getInt(Support.Spec.AF_CHARGE_HV_CHECK_DELAY));
                    }
                }
            }
        };
        this.mHandler = new Handler() {
            /* class com.sec.factory.app.ui.UIAFCharge.AnonymousClass2 */

            public void handleMessage(Message msg) {
                if (msg.what == 4) {
                    if (UIAFCharge.access$408(UIAFCharge.this) == 5) {
                        FtUtil.log_d("UIAFCharge", "handleMessage : LCD is not on state during 1 second.");
                        UIAFCharge.this.mCount = 0;
                        UIAFCharge.this.mHandler.sendEmptyMessageDelayed(5, 400);
                    } else if (UIAFCharge.this.mModulePower.isScreenOn()) {
                        if (Support.Kernel.isExistFile(Support.Kernel.MAIN_PMIC_DET)) {
                            UIAFCharge uIAFCharge = UIAFCharge.this;
                            uIAFCharge.retMainPMIC = uIAFCharge.checkMainPMIC();
                        }
                        if (Support.Kernel.isExistFile(Support.Kernel.AFC_SENSING_INT) && Support.Kernel.isReadableFile(Support.Kernel.AFC_SENSING_INT)) {
                            UIAFCharge.this.mPreSensingInt = Integer.parseInt(Support.Kernel.read(Support.Kernel.AFC_SENSING_INT));
                            if (UIAFCharge.this.mPreSensingInt >= 0) {
                                UIAFCharge uIAFCharge2 = UIAFCharge.this;
                                uIAFCharge2.retSensingInt = uIAFCharge2.checkSensingInt();
                            }
                        }
                        if (UIAFCharge.this.retMainPMIC && UIAFCharge.this.retSensingInt) {
                            UIAFCharge.this.turnLcdOffForCurrentCheck();
                            UIAFCharge.this.mHandler.sendEmptyMessageDelayed(5, (long) Support.Spec.getInt(Support.Spec.AF_CHARGE_CURRENT_CHECK_DELAY));
                            UIAFCharge.this.mCount = 0;
                        }
                    } else {
                        UIAFCharge.this.mHandler.sendEmptyMessageDelayed(4, 200);
                    }
                } else if (msg.what == 1) {
                    UIAFCharge.this.readChargeData();
                } else if (msg.what == 5) {
                    UIAFCharge.this.readvoltage();
                } else if (msg.what == 2) {
                    UIAFCharge.this.readcurrent();
                } else if (msg.what == 3) {
                    UIAFCharge.this.endMeasure();
                } else if (msg.what == 6) {
                    UIAFCharge.this.readPreVoltage();
                    if (UIAFCharge.this.waitPopup != null) {
                        if (UIAFCharge.this.waitPopup.isShowing()) {
                            UIAFCharge.this.waitPopup.dismiss();
                        }
                        UIAFCharge.this.waitPopup = null;
                    }
                }
            }
        };
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_afcharge);
        IntentFilter mIntentFilter = new IntentFilter();
        this.mModuleDevice = ModuleDevice.instance(this);
        this.mModulePower = ModulePower.instance(this);
        mIntentFilter.addAction("android.intent.action.BATTERY_CHANGED");
        this.mTestState = this.TESTSTATE_AFC_CONNECT;
        this.mAFChargeTitle = (TextView) findViewById(R.id.afchargetitle);
        TextView textView = (TextView) findViewById(R.id.afchargesubtitle);
        this.mAFChargeSubTitle = textView;
        textView.setText("(9V AFC)");
        TextView textView2 = (TextView) findViewById(R.id.afcharging);
        this.mAFCharging = textView2;
        textView2.setVisibility(8);
        TextView textView3 = (TextView) findViewById(R.id.afchargevoltage);
        this.mAFChargeVoltage = textView3;
        textView3.setVisibility(8);
        TextView textView4 = (TextView) findViewById(R.id.chgdettitle);
        this.mChgDetNotice = textView4;
        textView4.setVisibility(8);
        TextView textView5 = (TextView) findViewById(R.id.chgdetresult);
        this.mChgDetCheck = textView5;
        textView5.setVisibility(8);
        this.mAFChargeNotice = (TextView) findViewById(R.id.afchargenotice);
        this.mAFChargeCheck = (TextView) findViewById(R.id.afchargecheck);
        TextView textView6 = (TextView) findViewById(R.id.sensinginttitle);
        this.mSensingIntNotice = textView6;
        textView6.setVisibility(8);
        TextView textView7 = (TextView) findViewById(R.id.sensingintresult);
        this.mSensingIntCheck = textView7;
        textView7.setVisibility(8);
        TextView textView8 = (TextView) findViewById(R.id.afvoltagenotice);
        this.mAFVoltageNotice = textView8;
        textView8.setVisibility(8);
        TextView textView9 = (TextView) findViewById(R.id.afvoltagecheck);
        this.mAFVoltageCheck = textView9;
        textView9.setVisibility(8);
        this.mAFCSelfNotice = (TextView) findViewById(R.id.afcselftestnotice);
        this.mAFCSelfCheck = (TextView) findViewById(R.id.afcselfcheck);
        this.mAFCSelfSpec = (TextView) findViewById(R.id.afcselftestspec);
        this.mAFChargeNotice.setText("Connect Charger");
        LinearLayout linearLayout = (LinearLayout) findViewById(R.id.table);
        this.mAFCCurrentTable = linearLayout;
        linearLayout.setVisibility(8);
        this.mAFChargeRawdata1 = (TextView) findViewById(R.id.rawdata1);
        this.mAFChargeRawdata2 = (TextView) findViewById(R.id.rawdata2);
        this.mAFChargeRawdata3 = (TextView) findViewById(R.id.rawdata3);
        this.mAFChargeRawdata4 = (TextView) findViewById(R.id.rawdata4);
        this.mAFChargeRawdata5 = (TextView) findViewById(R.id.rawdata5);
        this.mAFChargeRawavg = (TextView) findViewById(R.id.rawdataavg);
        if (Support.Kernel.isExistFilePath(Support.Kernel.getFilePath(Support.Kernel.USB_CTRL))) {
            Support.Kernel.writeToPath(Support.Kernel.getFilePath(Support.Kernel.USB_CTRL), AFC_ON);
        }
        if (Support.Feature.getBoolean(Support.Feature.SUPPORT_FACTORY_CHARGING_TEST)) {
            Support.Kernel.write(Support.Kernel.FACTORY_CHARGING_TEST, "1");
        }
        if ("1".equals(Support.Kernel.read(Support.Kernel.AFC_DISABLE))) {
            Support.Kernel.write(Support.Kernel.AFC_DISABLE, AFC_ON);
        }
        this.mItemName = FactoryTestManager.getItemName_RequestCode(99);
        boolean mIsAtCmd = getIntent().getBooleanExtra("mIsAtCmd", false);
        setAtCmd(mIsAtCmd);
        boolean isEnabledDelayForPreVolCheck = Support.Feature.getBoolean(Support.Feature.SUPPORT_DELAY_PREVOLTAGE_CHECK, false);
        FtUtil.log_d("UIAFCharge", "onCreate", "mIsAtCmd : " + mIsAtCmd);
        if (mIsAtCmd || !isEnabledDelayForPreVolCheck) {
            readPreVoltage();
        } else {
            FtUtil.log_d("UIAFCharge", "Need to 4s delay for S.LSI IF PMIC");
            this.mHandler.sendEmptyMessageDelayed(6, 4000);
            this.waitPopup = ProgressDialog.show(this, "", "Wait for voltage update", true);
        }
        setUIRate();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        this.mHandler.removeMessages(1);
        this.mHandler.removeMessages(3);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
        this.mHandler.removeMessages(1);
        this.mHandler.removeMessages(3);
        this.mTestCount = 0;
        this.mCurrentCount = 0;
        if (this.isBCRcvRegistered) {
            unregisterReceiver(this.mBroadcastReceiver);
        }
        if (Support.Feature.getBoolean(Support.Feature.SUPPORT_FACTORY_CHARGING_TEST)) {
            Support.Kernel.write(Support.Kernel.FACTORY_CHARGING_TEST, AFC_ON);
        }
        NfcAdapter nfc = NfcAdapter.getDefaultAdapter(getApplicationContext());
        if (nfc != null && nfc.isEnabled()) {
            Intent intent = new Intent("com.samsung.android.nfc.test.action.REQUEST");
            intent.putExtra("com.samsung.android.nfc.test.extra.ID", 3);
            sendBroadcast(intent);
            FtUtil.log_d("UIAFCharge", "when screen off / on. NFC RF discovery was enabled. so must be disabled before exit here");
        }
        this.mModulePower.doPartialWakeLock(false);
        this.mModulePower.doWakeLock(false);
        this.mAfcList.clear();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void readChargeData() {
        int voltage_count = 10;
        this.mSpecMax = Support.Spec.getInt(Support.Spec.AFC_CURRRENT_SPEC_MAX);
        this.mSpecMin = Support.Spec.getInt(Support.Spec.AFC_CURRRENT_SPEC_MIN);
        while (true) {
            int voltage_count2 = voltage_count - 1;
            if (voltage_count <= 0 || !"UNKNOWN".equalsIgnoreCase(Support.Kernel.read(Support.Kernel.SEC_CHARGING_VOLTAGE))) {
                int i = this.mTestCount + 1;
                this.mTestCount = i;
            } else {
                FtUtil.Sleep.sleep(200);
                voltage_count = voltage_count2;
            }
        }
        int i2 = this.mTestCount + 1;
        this.mTestCount = i2;
        if (i2 > 11) {
            FtUtil.log_i("UIAFCharge", "readChargeData", "Fail| Charge Status:" + Support.Kernel.read(Support.Kernel.HV_CHARGE_STATUS));
            FtUtil.log_d("UIAFCharge", "readChargeData", FtUtil.setMspSeqMessage(1, this.mItemName, "Fail - Connection Fail"));
            this.mAFChargeNotice.setText(" Connected : ");
            this.mAFChargeCheck.setTextColor(-65536);
            this.mAFChargeCheck.setText("FAIL");
            setTestResultFailCase(99);
        } else if ("1".equals(Support.Kernel.read(Support.Kernel.HV_CHARGE_STATUS))) {
            FtUtil.log_i("UIAFCharge", "readChargeData", "Success| Charge Status:" + Support.Kernel.read(Support.Kernel.HV_CHARGE_STATUS));
            this.mAFChargeNotice.setText("Connection : ");
            this.mAFChargeCheck.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            this.mAFChargeCheck.setText("PASS");
            this.mTestState = this.TESTSTATE_AFC_SELFTEST;
            this.mAFCSelfNotice.setText(" SelfTest : ");
            this.mAFCSelfSpec.setText("SPEC : " + this.mSpecMin + "mA ~ " + this.mSpecMax + "mA");
            this.mHandler.sendEmptyMessageDelayed(4, 500);
        } else if (this.initTest) {
            this.mHandler.sendEmptyMessageDelayed(1, 1500);
            FtUtil.log_i("UIAFCharge", "readChargeData", "Charge Status:" + Support.Kernel.read(Support.Kernel.HV_CHARGE_STATUS) + " / delay 1 sec - TestCount : " + this.mTestCount);
            this.initTest = false;
        } else {
            this.mHandler.sendEmptyMessageDelayed(1, 200);
            FtUtil.log_i("UIAFCharge", "readChargeData", "Charge Status:" + Support.Kernel.read(Support.Kernel.HV_CHARGE_STATUS) + " / delay 0.2 sec - TestCount : " + this.mTestCount);
        }
    }

    private void currentCheck() {
        this.mModulePower.doWakeLock(true);
        this.mAFChargeVoltage.setText(Support.Kernel.read(Support.Kernel.SEC_CHARGING_VOLTAGE));
        this.mAFCharging.setVisibility(0);
        this.mAFChargeVoltage.setVisibility(0);
        this.mAFCCurrentTable.setVisibility(0);
        File dataAvgFile = new File("data/log/AFChargeData.log");
        Support.Kernel.writeToPathNsync(dataAvgFile.getPath(), Integer.toString(this.mAverAfc));
        FtUtil.log_i("UIAFCharge", "readFromPath", "AFChargeData.log : " + Support.Kernel.readFromPath(dataAvgFile.getPath(), true));
        int i = this.mAverAfc;
        if (i < this.mSpecMin || i > this.mSpecMax) {
            FtUtil.log_i("UIAFCharge", "currentCheck", "current SelfTest: FAIL ");
            String str = this.mItemName;
            FtUtil.log_d("UIAFCharge", "currentCheck", FtUtil.setMspSeqMessage(1, str, "Fail - SPEC(" + this.mSpecMin + "mA ~ " + this.mSpecMax + "mA) OUT : " + this.mAverAfc + "mA"));
            this.mAFCSelfCheck.setTextColor(-65536);
            this.mAFCSelfCheck.setText("FAIL");
            setTestResultFailCase(99);
            return;
        }
        FtUtil.log_i("UIAFCharge", "currentCheck", "current SelfTest: PASS ");
        this.mAFCSelfCheck.setTextColor(UiHallICTest.FONT_COLOR_PASS);
        this.mAFCSelfCheck.setText("PASS");
        this.isPass = true;
        this.mHandler.sendEmptyMessageDelayed(3, 1000);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void readvoltage() {
        this.mAFVoltageNotice.setVisibility(0);
        this.mAFVoltageCheck.setVisibility(0);
        this.mAFVoltageNotice.setText("Voltage Check : ");
        int readVal = Support.Kernel.readVal(Support.Kernel.BATTERY_VOLT_DROP);
        this.mVoltageNow = readVal;
        int i = (int) (((float) readVal) * 0.001f);
        this.mVoltageNow = i;
        this.mVoltageDiff = this.mVoltagePre - i;
        FtUtil.log_i("UIAFCharge", "readvoltage", "readvoltage : " + this.mVoltageNow);
        File dataAvgFile = new File("data/log/AFVoltageData.log");
        Support.Kernel.writeToPathNsync(dataAvgFile.getPath(), String.format(Locale.US, "%.1f,%.1f,%.1f", Double.valueOf((double) this.mVoltagePre), Double.valueOf((double) this.mVoltageNow), Double.valueOf((double) this.mVoltageDiff)));
        FtUtil.log_i("UIAFCharge", "readFromPath", "AFVoltageData.log : " + Support.Kernel.readFromPath(dataAvgFile.getPath(), true));
        if (this.mVoltageDiff <= 0) {
            this.mAFVoltageCheck.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            this.mAFVoltageCheck.setText("PASS");
            readcurrent();
            return;
        }
        FtUtil.log_i("UIAFCharge", "readvoltage", "readvoltage : FAIL ");
        String str = this.mItemName;
        FtUtil.log_d("UIAFCharge", "readvoltage", FtUtil.setMspSeqMessage(1, str, "Fail - mVoltagePre : " + this.mVoltagePre + "uV , mVoltageNow : " + this.mVoltageNow + "uV"));
        this.mAFVoltageCheck.setTextColor(-65536);
        this.mAFVoltageCheck.setText("FAIL");
        setTestResultFailCase(99);
        this.mModulePower.doWakeLock(true);
    }

    private boolean isTAConnected() {
        int isConnected = -1;
        Intent batteryIntent = getApplicationContext().registerReceiver(null, new IntentFilter("android.intent.action.BATTERY_CHANGED"));
        if (batteryIntent != null) {
            isConnected = batteryIntent.getIntExtra("plugged", -1);
        }
        if (isConnected == 1) {
            return true;
        }
        return false;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void readPreVoltage() {
        IntentFilter mIntentFilter = new IntentFilter();
        BatteryManager batteryManager = (BatteryManager) getApplicationContext().getSystemService("batterymanager");
        boolean isCharging = isTAConnected();
        FtUtil.log_i("UIAFCharge", "readPreVoltage", "isCharging : " + isCharging);
        if (isCharging) {
            this.mAFChargeNotice.setText(" Connected : ");
            this.mAFChargeCheck.setTextColor(-65536);
            this.mAFChargeCheck.setText("Already Connected");
            return;
        }
        int readVal = Support.Kernel.readVal(Support.Kernel.BATTERY_VOLT_DROP);
        this.mVoltagePre = readVal;
        this.mVoltagePre = (int) (((float) readVal) * 0.001f);
        mIntentFilter.addAction("android.intent.action.BATTERY_CHANGED");
        registerReceiver(this.mBroadcastReceiver, mIntentFilter);
        this.isBCRcvRegistered = true;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void readcurrent() {
        int i = this.mCurrentCount + 1;
        this.mCurrentCount = i;
        if (i <= 5) {
            this.mAfcList.add(Integer.valueOf(Integer.parseInt(Support.Kernel.read(Support.Kernel.HV_CHARGE_CURRENT)) / 1000));
            StringBuilder sb = new StringBuilder();
            sb.append("Charge Current:");
            ArrayList<Integer> arrayList = this.mAfcList;
            sb.append(arrayList.get(arrayList.size() - 1));
            sb.append(" / mCurrentCount : ");
            sb.append(this.mCurrentCount);
            FtUtil.log_i("UIAFCharge", "readcurrent", sb.toString());
            this.mHandler.sendEmptyMessageDelayed(2, 400);
            return;
        }
        this.mCurrentCount = 0;
        averageAfc();
    }

    private void averageAfc() {
        FtUtil.log_d("UIAFCharge", "averageAfc", "");
        TextView textView = this.mAFChargeRawdata1;
        textView.setText("" + this.mAfcList.get(0));
        TextView textView2 = this.mAFChargeRawdata2;
        textView2.setText("" + this.mAfcList.get(1));
        TextView textView3 = this.mAFChargeRawdata3;
        textView3.setText("" + this.mAfcList.get(2));
        TextView textView4 = this.mAFChargeRawdata4;
        textView4.setText("" + this.mAfcList.get(3));
        TextView textView5 = this.mAFChargeRawdata5;
        textView5.setText("" + this.mAfcList.get(4));
        Collections.sort(this.mAfcList);
        ArrayList<Integer> arrayList = this.mAfcList;
        arrayList.remove(arrayList.size() - 1);
        this.mAfcList.remove(0);
        Integer sum = 0;
        Iterator<Integer> it = this.mAfcList.iterator();
        while (it.hasNext()) {
            sum = Integer.valueOf(sum.intValue() + it.next().intValue());
        }
        this.mAverAfc = (int) (((float) sum.intValue()) / 3.0f);
        this.mAfcList.clear();
        TextView textView6 = this.mAFChargeRawavg;
        textView6.setText("" + this.mAverAfc);
        FtUtil.log_i("UIAFCharge", "averageAFC", "Averege Current: " + this.mAverAfc);
        currentCheck();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void endMeasure() {
        this.mTestCount = 0;
        this.mCurrentCount = 0;
        this.initTest = true;
        setTestResult();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean checkMainPMIC() {
        FtUtil.log_i("UIAFCharge", "checkMainPMIC", "checkMainPMIC");
        File mainPMIC9VCheck = new File("data/log/MainPMIC9VCheck.log");
        this.mChgDetNotice.setVisibility(0);
        this.mChgDetNotice.setText("CHG_DET : ");
        if ("1".equals(Support.Kernel.read(Support.Kernel.MAIN_PMIC_DET))) {
            this.mChgDetCheck.setVisibility(0);
            this.mChgDetCheck.setText("Detected");
            this.mChgDetCheck.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            Support.Kernel.writeToPathNsync(mainPMIC9VCheck.getPath(), Support.Kernel.read(Support.Kernel.MAIN_PMIC_DET));
            return true;
        }
        this.mChgDetCheck.setVisibility(0);
        this.mChgDetCheck.setText("Fail");
        this.mChgDetCheck.setTextColor(-65536);
        setTestResultFailCase(99);
        Support.Kernel.writeToPathNsync(mainPMIC9VCheck.getPath(), Support.Kernel.read(Support.Kernel.MAIN_PMIC_DET));
        return false;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean checkSensingInt() {
        FtUtil.log_i("UIAFCharge", "checkSensingInt", "checkSensingInt");
        this.mSensingIntNotice.setVisibility(0);
        this.mSensingIntNotice.setText("Sensing INT Check : ");
        if (this.mPreSensingInt != 1 || !"1".equals(Support.Kernel.read(Support.Kernel.AFC_SENSING_INT))) {
            this.mSensingIntCheck.setVisibility(0);
            this.mSensingIntCheck.setText("FAIL");
            this.mSensingIntCheck.setTextColor(-65536);
            setTestResultFailCase(99);
            FtUtil.log_d("UIAFCharge", "checkSensingInt", FtUtil.setMspSeqMessage(1, this.mItemName, "Fail - Sensing INT"));
            return false;
        }
        this.mSensingIntCheck.setVisibility(0);
        this.mSensingIntCheck.setText("PASS");
        this.mSensingIntCheck.setTextColor(UiHallICTest.FONT_COLOR_PASS);
        return true;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void turnLcdOffForCurrentCheck() {
        FtUtil.log_i("UIAFCharge", "turnLcdOffForCurrentCheck", "Turn LCD Off");
        this.mModulePower.doPartialWakeLock(true);
        this.mModulePower.doWakeLock(false);
        if (Support.Feature.getBoolean(Support.Feature.NEED_LPA_MODE_SET, true)) {
            this.mModuleDevice.setLPAmode(ModuleDevice.LPA_MODE_DISABLE);
        }
        this.mModulePower.gotosleep();
    }

    private void setTestResult() {
        FtUtil.log_e("UIAFCharge", "setTestResult", " isPass : " + this.isPass);
        if (this.isPass) {
            setTestResult((byte) 80);
        } else {
            setTestResultFailCase(99);
        }
        if ("tester".equals(Support.Properties.get(Support.Properties.FTL_GADGET_MODE))) {
            FtUtil.log_i("UIAFCharge", "setTestResult", "Skip Finish Activity");
        } else {
            finish();
        }
    }

    private void setUIRate() {
        FtUtil.log_d("UIAFCharge", "setUIRate", "rate : " + this.mUIRate);
        float f = this.mUIRate;
        if (f != 0.0f && f != 1.0f) {
            TextView textView = this.mAFChargeTitle;
            textView.setTextSize(0, textView.getTextSize() * this.mUIRate);
            TextView textView2 = this.mAFChargeSubTitle;
            textView2.setTextSize(0, textView2.getTextSize() * this.mUIRate);
            TextView textView3 = this.mAFCharging;
            textView3.setTextSize(0, textView3.getTextSize() * this.mUIRate);
            TextView textView4 = this.mAFChargeVoltage;
            textView4.setTextSize(0, textView4.getTextSize() * this.mUIRate);
            TextView textView5 = this.mAFChargeCheck;
            textView5.setTextSize(0, textView5.getTextSize() * this.mUIRate);
            TextView textView6 = this.mChgDetNotice;
            textView6.setTextSize(0, textView6.getTextSize() * this.mUIRate);
            TextView textView7 = this.mChgDetCheck;
            textView7.setTextSize(0, textView7.getTextSize() * this.mUIRate);
            TextView textView8 = this.mAFChargeNotice;
            textView8.setTextSize(0, textView8.getTextSize() * this.mUIRate);
            TextView textView9 = this.mAFCSelfCheck;
            textView9.setTextSize(0, textView9.getTextSize() * this.mUIRate);
            TextView textView10 = this.mAFCSelfNotice;
            textView10.setTextSize(0, textView10.getTextSize() * this.mUIRate);
            TextView textView11 = this.mAFCSelfSpec;
            textView11.setTextSize(0, textView11.getTextSize() * this.mUIRate);
            TextView textView12 = this.mAFVoltageNotice;
            textView12.setTextSize(0, textView12.getTextSize() * this.mUIRate);
            TextView textView13 = this.mAFVoltageCheck;
            textView13.setTextSize(0, textView13.getTextSize() * this.mUIRate);
            TextView textView14 = this.mSensingIntNotice;
            textView14.setTextSize(0, textView14.getTextSize() * this.mUIRate);
            TextView textView15 = this.mSensingIntCheck;
            textView15.setTextSize(0, textView15.getTextSize() * this.mUIRate);
        }
    }
}
