package com.sec.factory.app.ui;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.nfc.NfcAdapter;
import android.os.BatteryManager;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.KeyEvent;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.modules.ModulePower;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.File;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Iterator;

public class UIAFCharge2Ports extends UIBase {
    private static final String AFC_OFF = "1";
    private static final String AFC_ON = "0";
    private static final int MSG_SELFTEST_START = 2;
    private static final int MSG_TEST_END = 3;
    private static final int MSG_TEST_FINISH = 6;
    private static final int MSG_TEST_READY = 0;
    private static final int MSG_TEST_START = 1;
    private static final int MSG_VOLTAGE_TEST_START = 5;
    private static final String PORT_CHARGE = "1";
    private static final String PORT_DATA = "2";
    private static final int WHAT_CHECK_LCD_ON = 4;
    private final int AVER_AFC_CNT;
    private final String CLASS_NAME = "UIAFCharge2Ports";
    private int DUMMY = 0;
    private final int TESTSTATE_AFC_CHECK_STATUS;
    private final int TESTSTATE_AFC_CONNECT;
    private final int TESTSTATE_AFC_SELFTEST;
    private String afcVoltageSpec;
    private boolean initTest;
    private boolean isBCRcvRegistered;
    private boolean isUseChargeMode;
    private ArrayList<Integer> mAfcList;
    private int mAverAfc;
    private int mAverAfcCharge;
    private int mAverAfcData;
    private BroadcastReceiver mBroadcastReceiver;
    private String mChargerName;
    private int mCount;
    private int mCurrentCount;
    private Handler mHandler;
    private boolean mIsDonePortCharge;
    private boolean mIsDonePortData;
    private boolean mIsPassPortCharge;
    private boolean mIsPassPortData;
    private boolean mIsReadyNextPort;
    private String mItemName;
    private ModuleDevice mModuleDevice;
    private ModulePower mModulePower;
    private boolean mPortCharge;
    private boolean mPortData;
    private int mPreSensingInt;
    private int mSpecMax;
    private int mSpecMin;
    private int mStep;
    private int mTestCount;
    private int mTestState;
    private int mVoltageDiff;
    private int mVoltageNow;
    private int mVoltagePre;
    private boolean retMainPMIC;
    private boolean retSensingInt;
    private boolean useAfcSetVoltage;

    static /* synthetic */ int access$908(UIAFCharge2Ports x0) {
        int i = x0.mCount;
        x0.mCount = i + 1;
        return i;
    }

    public UIAFCharge2Ports() {
        super("UIAFCharge2Ports", 184);
        int i = 0 + 1;
        this.DUMMY = i;
        this.TESTSTATE_AFC_CONNECT = 0;
        int i2 = i + 1;
        this.DUMMY = i2;
        this.TESTSTATE_AFC_CHECK_STATUS = i;
        this.DUMMY = i2 + 1;
        this.TESTSTATE_AFC_SELFTEST = i2;
        this.mTestCount = 0;
        this.mTestState = 0;
        this.mCurrentCount = 0;
        this.initTest = true;
        this.retMainPMIC = true;
        this.retSensingInt = true;
        this.isBCRcvRegistered = false;
        this.AVER_AFC_CNT = 5;
        this.mCount = 0;
        this.mAverAfc = 0;
        this.mAfcList = new ArrayList<>();
        this.mChargerName = "AFC";
        this.mStep = 0;
        this.mPortData = false;
        this.mPortCharge = false;
        this.mIsPassPortData = false;
        this.mIsPassPortCharge = false;
        this.mIsDonePortCharge = false;
        this.mIsDonePortData = false;
        this.mIsReadyNextPort = false;
        this.isUseChargeMode = Support.Feature.getBoolean(Support.Feature.USE_CHARGE_MODE);
        this.useAfcSetVoltage = Support.Feature.getBoolean(Support.Feature.USE_AFC_SET_VOLTAGE);
        this.afcVoltageSpec = Support.Spec.getString(Support.Spec.AFC_VOLTAGE);
        this.mBroadcastReceiver = new BroadcastReceiver() {
            /* class com.sec.factory.app.ui.UIAFCharge2Ports.AnonymousClass1 */

            public void onReceive(Context context, Intent intent) {
                String action = intent.getAction();
                FtUtil.log_d("UIAFCharge2Ports", "mBroadcastReceiver.onReceive", "action=" + action);
                if ("android.intent.action.BATTERY_CHANGED".equals(action)) {
                    int plugged = intent.getIntExtra("plugged", 0);
                    FtUtil.log_d("UIAFCharge2Ports", "Battery State: " + plugged);
                    if (plugged == 0 && ((!UIAFCharge2Ports.this.mIsDonePortCharge || !UIAFCharge2Ports.this.mIsDonePortData) && (UIAFCharge2Ports.this.mIsDonePortCharge || UIAFCharge2Ports.this.mIsDonePortData))) {
                        UIAFCharge2Ports.this.mIsReadyNextPort = true;
                    }
                    if (!UIAFCharge2Ports.this.mIsDonePortCharge || !UIAFCharge2Ports.this.mIsDonePortData) {
                        if (UIAFCharge2Ports.this.mTestState != UIAFCharge2Ports.this.TESTSTATE_AFC_CONNECT || plugged != 1) {
                            return;
                        }
                        if ((UIAFCharge2Ports.this.mIsDonePortCharge && UIAFCharge2Ports.this.mIsDonePortData) || ((!UIAFCharge2Ports.this.mIsDonePortCharge && !UIAFCharge2Ports.this.mIsDonePortData) || UIAFCharge2Ports.this.mIsReadyNextPort)) {
                            UIAFCharge2Ports uIAFCharge2Ports = UIAFCharge2Ports.this;
                            uIAFCharge2Ports.mTestState = uIAFCharge2Ports.TESTSTATE_AFC_CHECK_STATUS;
                            String port = Support.Kernel.read(Support.Kernel.CHECK_CHARGING_PORT);
                            if (port.equals(EgisFingerprint.MAJOR_VERSION)) {
                                UIAFCharge2Ports.this.mPortCharge = true;
                            } else if (port.equals(UIAFCharge2Ports.PORT_DATA)) {
                                UIAFCharge2Ports.this.mPortData = true;
                            }
                            if (UIAFCharge2Ports.this.mPortCharge && UIAFCharge2Ports.this.mIsDonePortCharge) {
                                return;
                            }
                            if (!UIAFCharge2Ports.this.mPortData || !UIAFCharge2Ports.this.mIsDonePortData) {
                                FtUtil.log_d("UIAFCharge2Ports", "onReceive", "delay for 2000ms to read VBUS");
                                UIAFCharge2Ports.this.mHandler.sendEmptyMessageDelayed(1, 2000);
                            }
                        }
                    } else if (plugged == 0) {
                        UIAFCharge2Ports.this.finish();
                    }
                }
            }
        };
        this.mHandler = new Handler() {
            /* class com.sec.factory.app.ui.UIAFCharge2Ports.AnonymousClass2 */

            public void handleMessage(Message msg) {
                if (msg.what == 4) {
                    if (UIAFCharge2Ports.access$908(UIAFCharge2Ports.this) == 5) {
                        FtUtil.log_d("UIAFCharge2Ports", "handleMessage : LCD is not on state during 1 second.");
                        UIAFCharge2Ports.this.mCount = 0;
                        UIAFCharge2Ports.this.mHandler.sendEmptyMessageDelayed(5, 400);
                    } else if (UIAFCharge2Ports.this.mModulePower.isScreenOn()) {
                        if (Support.Kernel.isExistFile(Support.Kernel.MAIN_PMIC_DET)) {
                            UIAFCharge2Ports uIAFCharge2Ports = UIAFCharge2Ports.this;
                            uIAFCharge2Ports.retMainPMIC = uIAFCharge2Ports.checkMainPMIC();
                        }
                        if (Support.Kernel.isExistFile(Support.Kernel.AFC_SENSING_INT) && Support.Kernel.isReadableFile(Support.Kernel.AFC_SENSING_INT)) {
                            UIAFCharge2Ports.this.mPreSensingInt = Integer.parseInt(Support.Kernel.read(Support.Kernel.AFC_SENSING_INT));
                            if (UIAFCharge2Ports.this.mPreSensingInt >= 0) {
                                UIAFCharge2Ports uIAFCharge2Ports2 = UIAFCharge2Ports.this;
                                uIAFCharge2Ports2.retSensingInt = uIAFCharge2Ports2.checkSensingInt();
                            }
                        }
                        if (UIAFCharge2Ports.this.retMainPMIC && UIAFCharge2Ports.this.retSensingInt) {
                            UIAFCharge2Ports.this.turnLcdOffForCurrentCheck();
                            UIAFCharge2Ports.this.mHandler.sendEmptyMessageDelayed(5, 2000);
                            UIAFCharge2Ports.this.mCount = 0;
                        }
                    } else {
                        UIAFCharge2Ports.this.mHandler.sendEmptyMessageDelayed(4, 200);
                    }
                } else if (msg.what == 0) {
                    UIAFCharge2Ports.this.setLED4();
                    UIAFCharge2Ports.this.readPreVoltage();
                } else if (msg.what == 1) {
                    UIAFCharge2Ports.this.readChargeData();
                } else if (msg.what == 5) {
                    UIAFCharge2Ports.this.readVoltage();
                } else if (msg.what == 2) {
                    UIAFCharge2Ports.this.readCurrent();
                } else if (msg.what == 3) {
                    UIAFCharge2Ports uIAFCharge2Ports3 = UIAFCharge2Ports.this;
                    uIAFCharge2Ports3.mTestState = uIAFCharge2Ports3.TESTSTATE_AFC_CONNECT;
                    UIAFCharge2Ports.this.endMeasure();
                } else if (msg.what == 6) {
                    UIAFCharge2Ports.this.finish();
                }
            }
        };
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        IntentFilter mIntentFilter = new IntentFilter();
        this.mModuleDevice = ModuleDevice.instance(this);
        this.mModulePower = ModulePower.instance(this);
        mIntentFilter.addAction("android.intent.action.BATTERY_CHANGED");
        this.mTestState = this.TESTSTATE_AFC_CONNECT;
        if (!this.useAfcSetVoltage && EgisFingerprint.MAJOR_VERSION.equals(Support.Kernel.read(Support.Kernel.AFC_DISABLE))) {
            Support.Kernel.write(Support.Kernel.AFC_DISABLE, AFC_ON);
        }
        this.mItemName = FactoryTestManager.getItemName_RequestCode(184);
        this.mModuleDevice.sendToPMSLEDControl(true);
        this.mHandler.sendEmptyMessageDelayed(0, 200);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        this.mHandler.removeMessages(1);
        this.mHandler.removeMessages(3);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
        this.mHandler.removeMessages(1);
        this.mHandler.removeMessages(3);
        this.mTestCount = 0;
        this.mCurrentCount = 0;
        this.mModuleDevice.turnOff4Led(15);
        this.mModuleDevice.sendToPMSLEDControl(false);
        if (this.isBCRcvRegistered) {
            unregisterReceiver(this.mBroadcastReceiver);
        }
        NfcAdapter nfc = NfcAdapter.getDefaultAdapter(getApplicationContext());
        if (nfc != null && nfc.isEnabled()) {
            Intent intent = new Intent("com.samsung.android.nfc.test.action.REQUEST");
            intent.putExtra("com.samsung.android.nfc.test.extra.ID", 3);
            sendBroadcast(intent);
            FtUtil.log_d("UIAFCharge2Ports", "when screen off / on. NFC RF discovery was enabled. so must be disabled before exit here");
        }
        this.mModulePower.doPartialWakeLock(false);
        this.mModulePower.doWakeLock(false);
        this.mAfcList.clear();
    }

    @Override // com.sec.factory.app.ui.UIBase
    public boolean onKeyDown(int keyCode, KeyEvent event) {
        FtUtil.log_d("UIAFCharge2Ports", "onKeyDown", "KeyCode : " + keyCode);
        switch (keyCode) {
            case 26:
                finish();
                return true;
            default:
                return true;
        }
    }

    private void init() {
        this.mTestCount = 0;
        this.mTestState = 0;
        this.mCurrentCount = 0;
        this.initTest = true;
        this.retMainPMIC = true;
        this.retSensingInt = true;
        this.isBCRcvRegistered = false;
        this.mCount = 0;
        this.mAverAfc = 0;
        this.mVoltageDiff = 0;
        this.mPortData = false;
        this.mPortCharge = false;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void readChargeData() {
        boolean z;
        int voltage_count = 10;
        this.mSpecMax = Support.Spec.getInt(Support.Spec.AFC_CURRRENT_SPEC_MAX);
        this.mSpecMin = Support.Spec.getInt(Support.Spec.AFC_CURRRENT_SPEC_MIN);
        while (true) {
            int voltage_count2 = voltage_count - 1;
            if (voltage_count <= 0 || !"UNKNOWN".equalsIgnoreCase(Support.Kernel.read(Support.Kernel.SEC_CHARGING_VOLTAGE))) {
                int i = this.mTestCount + 1;
                this.mTestCount = i;
            } else {
                FtUtil.Sleep.sleep(200);
                voltage_count = voltage_count2;
            }
        }
        int i2 = this.mTestCount + 1;
        this.mTestCount = i2;
        if (i2 > 11) {
            FtUtil.log_i("UIAFCharge2Ports", "readChargeData", "Fail| Charge Status:" + Support.Kernel.read(Support.Kernel.HV_CHARGE_STATUS));
            FtUtil.log_d("UIAFCharge2Ports", "readChargeData", FtUtil.setMspSeqMessage(1, this.mItemName, "Fail - Connection Fail"));
        } else if (EgisFingerprint.MAJOR_VERSION.equals(Support.Kernel.read(Support.Kernel.HV_CHARGE_STATUS)) && ((!(z = this.isUseChargeMode) || 1 != 0) && (!z || "master".equalsIgnoreCase(Support.Kernel.read(Support.Kernel.SEC_MULTI_CHARGER_MODE))))) {
            FtUtil.log_i("UIAFCharge2Ports", "readChargeData", "Success| Charge Status:" + Support.Kernel.read(Support.Kernel.HV_CHARGE_STATUS));
            this.mTestState = this.TESTSTATE_AFC_SELFTEST;
            String strSpec = "SPEC : " + this.mSpecMin + "mA ~ " + this.mSpecMax + "mA";
            this.mHandler.sendEmptyMessageDelayed(4, 500);
        } else if (this.initTest) {
            this.mHandler.sendEmptyMessageDelayed(1, 1500);
            FtUtil.log_i("UIAFCharge2Ports", "readChargeData", "Charge Status:" + Support.Kernel.read(Support.Kernel.HV_CHARGE_STATUS) + " / delay 1 sec - TestCount : " + this.mTestCount);
            this.initTest = false;
        } else {
            this.mHandler.sendEmptyMessageDelayed(1, 200);
            FtUtil.log_i("UIAFCharge2Ports", "readChargeData", "Charge Status:" + Support.Kernel.read(Support.Kernel.HV_CHARGE_STATUS) + " / delay 0.2 sec - TestCount : " + this.mTestCount);
        }
    }

    private void currentCheck() {
        this.mModulePower.doWakeLock(true);
        Support.Kernel.read(Support.Kernel.SEC_CHARGING_VOLTAGE);
        if (this.mPortCharge) {
            this.mAverAfcCharge = this.mAverAfc;
        } else if (this.mPortData) {
            this.mAverAfcData = this.mAverAfc;
        }
        FtUtil.log_i("UIAFCharge2Ports", "currentCheck", "" + this.mAverAfc);
        int i = this.mAverAfc;
        if (i < this.mSpecMin || i > this.mSpecMax) {
            FtUtil.log_i("UIAFCharge2Ports", "currentCheck", "current SelfTest: FAIL ");
            String str = this.mItemName;
            FtUtil.log_d("UIAFCharge2Ports", "currentCheck", FtUtil.setMspSeqMessage(1, str, "Fail - SPEC(" + this.mSpecMin + "mA ~ " + this.mSpecMax + "mA) OUT : " + this.mAverAfc + "mA"));
        } else {
            FtUtil.log_i("UIAFCharge2Ports", "currentCheck", "current SelfTest: PASS ");
            if (this.mPortCharge) {
                this.mIsPassPortCharge = true;
                FtUtil.log_i("UIAFCharge2Ports", "currentCheck", "Charge Port PASS");
            } else if (this.mPortData) {
                this.mIsPassPortData = true;
                FtUtil.log_i("UIAFCharge2Ports", "currentCheck", "Data Port PASS");
            }
        }
        if (this.mPortCharge) {
            this.mIsDonePortCharge = true;
        } else if (this.mPortData) {
            this.mIsDonePortData = true;
        }
        writeCurrent();
        setLED4();
        this.mHandler.sendEmptyMessageDelayed(3, 500);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setLED4() {
        boolean z = this.mPortData;
        if (!z && !this.mPortCharge) {
            this.mModuleDevice.turnOn4Led(15, ModuleDevice.LED4_YELLOW, 500, 500);
        } else if (z && this.mIsPassPortData) {
            this.mModuleDevice.turnOn4Led(12, ModuleDevice.LED4_GREEN, 1, 0);
        } else if (!z || this.mIsPassPortData) {
            boolean z2 = this.mPortCharge;
            if (z2 && this.mIsPassPortCharge) {
                this.mModuleDevice.turnOn4Led(3, ModuleDevice.LED4_GREEN, 1, 0);
            } else if (z2 && !this.mIsPassPortCharge) {
                this.mModuleDevice.turnOn4Led(3, ModuleDevice.LED4_RED, 1, 0);
            }
        } else {
            this.mModuleDevice.turnOn4Led(12, ModuleDevice.LED4_RED, 1, 0);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void readVoltage() {
        int readVal = Support.Kernel.readVal(Support.Kernel.BATTERY_VOLT_DROP);
        this.mVoltageNow = readVal;
        int i = (int) (((float) readVal) * 0.001f);
        this.mVoltageNow = i;
        this.mVoltageDiff = this.mVoltagePre - i;
        FtUtil.log_i("UIAFCharge2Ports", "readVoltage", "readVoltage : " + this.mVoltageNow);
        File dataAvgFile = new File("data/log/AFVoltageData.log");
        Support.Kernel.writeToPathNsync(dataAvgFile.getPath(), String.format("%.1f,%.1f,%.1f", Double.valueOf((double) this.mVoltagePre), Double.valueOf((double) this.mVoltageNow), Double.valueOf((double) this.mVoltageDiff)));
        FtUtil.log_i("UIAFCharge2Ports", "readFromPath", "AFVoltageData.log : " + Support.Kernel.readFromPath(dataAvgFile.getPath(), true));
        if (this.mVoltageDiff <= 0) {
            readCurrent();
            return;
        }
        FtUtil.log_i("UIAFCharge2Ports", "readVoltage", "readVoltage : FAIL ");
        String str = this.mItemName;
        FtUtil.log_d("UIAFCharge2Ports", "readVoltage", FtUtil.setMspSeqMessage(1, str, "Fail - mVoltagePre : " + this.mVoltagePre + "uV , mVoltageNow : " + this.mVoltageNow + "uV"));
        this.mModulePower.doWakeLock(true);
    }

    private boolean isTAConnected() {
        int isConnected = -1;
        Intent batteryIntent = getApplicationContext().registerReceiver(null, new IntentFilter("android.intent.action.BATTERY_CHANGED"));
        if (batteryIntent != null) {
            isConnected = batteryIntent.getIntExtra("plugged", -1);
        }
        if (isConnected == 1 || isConnected == 2) {
            return true;
        }
        return false;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void readPreVoltage() {
        IntentFilter mIntentFilter = new IntentFilter();
        BatteryManager batteryManager = (BatteryManager) getApplicationContext().getSystemService("batterymanager");
        boolean isCharging = isTAConnected();
        FtUtil.log_i("UIAFCharge2Ports", "readPreVoltage", "isCharging : " + isCharging);
        if (!isCharging) {
            int readVal = Support.Kernel.readVal(Support.Kernel.BATTERY_VOLT_DROP);
            this.mVoltagePre = readVal;
            this.mVoltagePre = (int) (((float) readVal) * 0.001f);
            mIntentFilter.addAction("android.intent.action.BATTERY_CHANGED");
            registerReceiver(this.mBroadcastReceiver, mIntentFilter);
            this.isBCRcvRegistered = true;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void readCurrent() {
        int i = this.mCurrentCount + 1;
        this.mCurrentCount = i;
        if (i <= 5) {
            this.mAfcList.add(Integer.valueOf(Integer.parseInt(Support.Kernel.read(Support.Kernel.HV_CHARGE_CURRENT)) / 1000));
            StringBuilder sb = new StringBuilder();
            sb.append("Charge Current:");
            ArrayList<Integer> arrayList = this.mAfcList;
            sb.append(arrayList.get(arrayList.size() - 1));
            sb.append(" / mCurrentCount : ");
            sb.append(this.mCurrentCount);
            FtUtil.log_i("UIAFCharge2Ports", "readCurrent", sb.toString());
            this.mHandler.sendEmptyMessageDelayed(2, 400);
            return;
        }
        this.mCurrentCount = 0;
        averageAfc();
    }

    private void writeCurrent() {
        String path = new File("data/log/AFChargeData.log").getPath();
        Support.Kernel.writeToPathNsync(path, Integer.toString(this.mAverAfcCharge) + "," + Integer.toString(this.mAverAfcData));
    }

    private void averageAfc() {
        FtUtil.log_d("UIAFCharge2Ports", "averageAfc", "");
        Collections.sort(this.mAfcList);
        ArrayList<Integer> arrayList = this.mAfcList;
        arrayList.remove(arrayList.size() - 1);
        this.mAfcList.remove(0);
        Integer sum = 0;
        Iterator<Integer> it = this.mAfcList.iterator();
        while (it.hasNext()) {
            sum = Integer.valueOf(sum.intValue() + it.next().intValue());
        }
        this.mAverAfc = (int) (((float) sum.intValue()) / 3.0f);
        this.mAfcList.clear();
        FtUtil.log_i("UIAFCharge2Ports", "average" + this.mChargerName, "Averege Current: " + this.mAverAfc);
        currentCheck();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void endMeasure() {
        this.mTestCount = 0;
        this.mCurrentCount = 0;
        this.initTest = true;
        if (this.mPortCharge && this.mIsPassPortCharge) {
            setTestResult(99, (byte) 80);
        } else if (this.mPortData && this.mIsPassPortData) {
            setTestResult(185, (byte) 80);
        }
        boolean z = this.mIsDonePortCharge;
        if ((!z && this.mIsDonePortData) || (z && !this.mIsDonePortData)) {
            init();
        }
        if (this.mIsDonePortCharge && this.mIsDonePortData && this.mIsPassPortCharge && this.mIsPassPortData) {
            setTestResult((byte) 80);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean checkMainPMIC() {
        FtUtil.log_i("UIAFCharge2Ports", "checkMainPMIC", "checkMainPMIC");
        File mainPMIC9VCheck = new File("data/log/MainPMIC9VCheck.log");
        if (EgisFingerprint.MAJOR_VERSION.equals(Support.Kernel.read(Support.Kernel.MAIN_PMIC_DET))) {
            Support.Kernel.writeToPathNsync(mainPMIC9VCheck.getPath(), Support.Kernel.read(Support.Kernel.MAIN_PMIC_DET));
            return true;
        }
        Support.Kernel.writeToPathNsync(mainPMIC9VCheck.getPath(), Support.Kernel.read(Support.Kernel.MAIN_PMIC_DET));
        return false;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean checkSensingInt() {
        FtUtil.log_i("UIAFCharge2Ports", "checkSensingInt", "checkSensingInt");
        if (this.mPreSensingInt != 1 || !EgisFingerprint.MAJOR_VERSION.equals(Support.Kernel.read(Support.Kernel.AFC_SENSING_INT))) {
            return false;
        }
        return true;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void turnLcdOffForCurrentCheck() {
        FtUtil.log_i("UIAFCharge2Ports", "turnLcdOffForCurrentCheck", "Turn LCD Off");
        this.mModulePower.doPartialWakeLock(true);
        this.mModulePower.doWakeLock(false);
        if (Support.Feature.getBoolean(Support.Feature.NEED_LPA_MODE_SET, true)) {
            this.mModuleDevice.setLPAmode(ModuleDevice.LPA_MODE_DISABLE);
        }
        this.mModulePower.gotosleep();
    }
}
