package com.sec.factory.app.ui;

import android.content.Context;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.ModuleSensor;
import com.sec.factory.modules.SensorCalculator;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class UIAccGyro extends UIBase implements View.OnClickListener {
    private static accReadThread accThread;
    private static gyroReadThread gyroThread;
    private final int TESTINFO_ARRAY_INDEX_GYROSCOPE;
    public final int WHAT_ACC_SELFTEST;
    public final int WHAT_ACC_TEST_START;
    public final int WHAT_GYRO_SELFTEST;
    public final int WHAT_GYRO_TEST_START;
    public final int WHAT_RAW_DATA_READ_START;
    public final int WHAT_TEST_FINISH;
    public final int WHAT_TEST_INIT_UI;
    public final int WHAT_TEST_START;
    public final int WHAT_VECTORSUM_TEST_START;
    private boolean accGyroResult;
    private int accPhase;
    private String[] accRawData;
    private boolean accResult;
    boolean accSelfResult;
    String[] accSelftestData;
    boolean accVectorResult;
    private double accVectorSUMData;
    private Button btn_exit;
    private Button btn_start;
    private int dummy = 0;
    private int gyroPhase;
    private boolean gyroResult;
    private boolean isRevised;
    boolean isSub;
    boolean mAccGyroTestService;
    private int mAccelerometer1GValue;
    private int mAccelerometerBitCount;
    private int mAccelerometerFullScale;
    public Context mContext;
    boolean mFIFOAVGResult;
    private String mFeature_Gyroscope;
    String[] mFifo_Zro_Avg;
    public Handler mHandler;
    private ModuleSensor mModuleSensor;
    String[] mSelfBias;
    String[] mSelfDiff;
    boolean mSelfDiffResult;
    String[] mSelfZro;
    boolean mSelfZroResult;
    private final TestInfo[] mTestInfoArray;
    String selfTestResult;
    int[] senserID;
    private TextView txt_acc_gyro_result;
    private TextView txt_acc_raw_data_x;
    private TextView txt_acc_raw_data_y;
    private TextView txt_acc_raw_data_z;
    private TextView txt_acc_result;
    private TextView txt_acc_self_test_minus_result;
    private TextView txt_acc_self_test_minus_x;
    private TextView txt_acc_self_test_minus_y;
    private TextView txt_acc_self_test_minus_z;
    private TextView txt_acc_self_test_plus_result;
    private TextView txt_acc_self_test_plus_x;
    private TextView txt_acc_self_test_plus_y;
    private TextView txt_acc_self_test_plus_z;
    private TextView txt_acc_title;
    private TextView txt_acc_vector_sum;
    private TextView txt_acc_vector_sum_result;
    private TextView txt_gyro_fifo_zro_avg_result;
    private TextView txt_gyro_fifo_zro_avg_x;
    private TextView txt_gyro_fifo_zro_avg_y;
    private TextView txt_gyro_fifo_zro_avg_z;
    private TextView txt_gyro_result;
    private TextView txt_gyro_self_test_bias_result;
    private TextView txt_gyro_self_test_bias_x;
    private TextView txt_gyro_self_test_bias_y;
    private TextView txt_gyro_self_test_bias_z;
    private TextView txt_gyro_self_test_diff_result;
    private TextView txt_gyro_self_test_diff_x;
    private TextView txt_gyro_self_test_diff_y;
    private TextView txt_gyro_self_test_diff_z;
    private TextView txt_gyro_self_test_zro_result;
    private TextView txt_gyro_self_test_zro_x;
    private TextView txt_gyro_self_test_zro_y;
    private TextView txt_gyro_self_test_zro_z;
    private TextView txt_gyro_title;
    private TextView txt_title;

    private class TestInfo {
        public String mIC = null;
        public int mID = -1;
        public boolean mIsTestComplete = false;
        public boolean mIsTestPass = false;

        private TestInfo() {
        }
    }

    public UIAccGyro() {
        super("UIAccGyro");
        int i = 0 + 1;
        this.dummy = i;
        this.TESTINFO_ARRAY_INDEX_GYROSCOPE = 0;
        this.mTestInfoArray = new TestInfo[i];
        this.mAccelerometerBitCount = 10;
        this.mAccelerometerFullScale = 2;
        this.mAccelerometer1GValue = 256;
        this.isRevised = false;
        this.accResult = false;
        this.gyroResult = false;
        this.accGyroResult = false;
        this.accVectorResult = false;
        this.accSelfResult = false;
        this.isSub = false;
        this.mAccGyroTestService = false;
        this.accRawData = new String[3];
        this.accVectorSUMData = 0.0d;
        this.accPhase = 1;
        this.gyroPhase = 1;
        this.mFifo_Zro_Avg = new String[3];
        this.mSelfZro = new String[3];
        this.mSelfBias = new String[3];
        this.mSelfDiff = new String[3];
        this.mFIFOAVGResult = false;
        this.mSelfZroResult = false;
        this.mSelfDiffResult = false;
        this.WHAT_TEST_INIT_UI = 1000;
        this.WHAT_TEST_START = 1001;
        this.WHAT_RAW_DATA_READ_START = 1002;
        this.WHAT_VECTORSUM_TEST_START = 1003;
        this.WHAT_ACC_TEST_START = 1004;
        this.WHAT_GYRO_TEST_START = 1005;
        this.WHAT_TEST_FINISH = 1006;
        this.WHAT_ACC_SELFTEST = 1007;
        this.WHAT_GYRO_SELFTEST = 1008;
        this.mHandler = new Handler() {
            /* class com.sec.factory.app.ui.UIAccGyro.AnonymousClass1 */

            public void handleMessage(Message msg) {
                if (msg.what == 1000) {
                    FtUtil.log_d(UIAccGyro.this.CLASS_NAME, "mHandler.handleMessage", "WHAT_TEST_INIT_UI");
                    UIAccGyro.this.initAcc();
                    UIAccGyro.this.initGyro();
                    UIAccGyro.this.setUIRate();
                } else if (msg.what == 1001) {
                    FtUtil.log_d(UIAccGyro.this.CLASS_NAME, "mHandler.handleMessage", "WHAT_TEST_START");
                    UIAccGyro.this.accSensorOn();
                    UIAccGyro.this.checkGyroRevised();
                    UIAccGyro.this.mHandler.sendEmptyMessageDelayed(1003, 1200);
                } else if (msg.what == 1002) {
                    FtUtil.log_d(UIAccGyro.this.CLASS_NAME, "mHandler.handleMessage", "WHAT_RAW_DATA_READ_START");
                    UIAccGyro.this.getRawData();
                    UIAccGyro.this.accSensorOff();
                    UIAccGyro.this.mHandler.sendEmptyMessageDelayed(1007, 10);
                } else if (msg.what == 1003) {
                    FtUtil.log_d(UIAccGyro.this.CLASS_NAME, "mHandler.handleMessage", "WHAT_VECTORSUM_TEST_START");
                    UIAccGyro.this.getAccFeatureValue();
                    UIAccGyro.this.getVectorSUMTestReuslt();
                    UIAccGyro.this.mHandler.sendEmptyMessageDelayed(1002, 10);
                } else if (msg.what == 1007) {
                    FtUtil.log_d(UIAccGyro.this.CLASS_NAME, "mHandler.handleMessage", "WHAT_ACC_SELFTEST");
                    accReadThread unused = UIAccGyro.accThread = new accReadThread();
                    UIAccGyro.accThread.start();
                } else if (msg.what == 1008) {
                    FtUtil.log_d(UIAccGyro.this.CLASS_NAME, "mHandler.handleMessage", "WHAT_GYRO_SELFTEST");
                    gyroReadThread unused2 = UIAccGyro.gyroThread = new gyroReadThread();
                    UIAccGyro.gyroThread.start();
                } else if (msg.what == 1004) {
                    FtUtil.log_d(UIAccGyro.this.CLASS_NAME, "mHandler.handleMessage", "WHAT_ACC_TEST_START");
                    UIAccGyro.this.getAccSelfTestResult();
                    UIAccGyro.this.mHandler.sendEmptyMessageDelayed(1008, 1000);
                } else if (msg.what == 1005) {
                    FtUtil.log_d(UIAccGyro.this.CLASS_NAME, "mHandler.handleMessage", "WHAT_GYRO_TEST_START");
                    UIAccGyro.this.getGyroSelfTestReuslt();
                    UIAccGyro.this.mHandler.sendEmptyMessageDelayed(1006, 10);
                } else if (msg.what == 1006) {
                    FtUtil.log_d(UIAccGyro.this.CLASS_NAME, "mHandler.handleMessage", "WHAT_TEST_FINISH");
                    UIAccGyro.this.testFinish();
                }
            }
        };
    }

    public UIAccGyro(String type, boolean sub, Context cont) {
        super("UIAccGyro");
        int i = 0 + 1;
        this.dummy = i;
        this.TESTINFO_ARRAY_INDEX_GYROSCOPE = 0;
        this.mTestInfoArray = new TestInfo[i];
        this.mAccelerometerBitCount = 10;
        this.mAccelerometerFullScale = 2;
        this.mAccelerometer1GValue = 256;
        this.isRevised = false;
        this.accResult = false;
        this.gyroResult = false;
        this.accGyroResult = false;
        this.accVectorResult = false;
        this.accSelfResult = false;
        this.isSub = false;
        this.mAccGyroTestService = false;
        this.accRawData = new String[3];
        this.accVectorSUMData = 0.0d;
        this.accPhase = 1;
        this.gyroPhase = 1;
        this.mFifo_Zro_Avg = new String[3];
        this.mSelfZro = new String[3];
        this.mSelfBias = new String[3];
        this.mSelfDiff = new String[3];
        this.mFIFOAVGResult = false;
        this.mSelfZroResult = false;
        this.mSelfDiffResult = false;
        this.WHAT_TEST_INIT_UI = 1000;
        this.WHAT_TEST_START = 1001;
        this.WHAT_RAW_DATA_READ_START = 1002;
        this.WHAT_VECTORSUM_TEST_START = 1003;
        this.WHAT_ACC_TEST_START = 1004;
        this.WHAT_GYRO_TEST_START = 1005;
        this.WHAT_TEST_FINISH = 1006;
        this.WHAT_ACC_SELFTEST = 1007;
        this.WHAT_GYRO_SELFTEST = 1008;
        this.mHandler = new Handler() {
            /* class com.sec.factory.app.ui.UIAccGyro.AnonymousClass1 */

            public void handleMessage(Message msg) {
                if (msg.what == 1000) {
                    FtUtil.log_d(UIAccGyro.this.CLASS_NAME, "mHandler.handleMessage", "WHAT_TEST_INIT_UI");
                    UIAccGyro.this.initAcc();
                    UIAccGyro.this.initGyro();
                    UIAccGyro.this.setUIRate();
                } else if (msg.what == 1001) {
                    FtUtil.log_d(UIAccGyro.this.CLASS_NAME, "mHandler.handleMessage", "WHAT_TEST_START");
                    UIAccGyro.this.accSensorOn();
                    UIAccGyro.this.checkGyroRevised();
                    UIAccGyro.this.mHandler.sendEmptyMessageDelayed(1003, 1200);
                } else if (msg.what == 1002) {
                    FtUtil.log_d(UIAccGyro.this.CLASS_NAME, "mHandler.handleMessage", "WHAT_RAW_DATA_READ_START");
                    UIAccGyro.this.getRawData();
                    UIAccGyro.this.accSensorOff();
                    UIAccGyro.this.mHandler.sendEmptyMessageDelayed(1007, 10);
                } else if (msg.what == 1003) {
                    FtUtil.log_d(UIAccGyro.this.CLASS_NAME, "mHandler.handleMessage", "WHAT_VECTORSUM_TEST_START");
                    UIAccGyro.this.getAccFeatureValue();
                    UIAccGyro.this.getVectorSUMTestReuslt();
                    UIAccGyro.this.mHandler.sendEmptyMessageDelayed(1002, 10);
                } else if (msg.what == 1007) {
                    FtUtil.log_d(UIAccGyro.this.CLASS_NAME, "mHandler.handleMessage", "WHAT_ACC_SELFTEST");
                    accReadThread unused = UIAccGyro.accThread = new accReadThread();
                    UIAccGyro.accThread.start();
                } else if (msg.what == 1008) {
                    FtUtil.log_d(UIAccGyro.this.CLASS_NAME, "mHandler.handleMessage", "WHAT_GYRO_SELFTEST");
                    gyroReadThread unused2 = UIAccGyro.gyroThread = new gyroReadThread();
                    UIAccGyro.gyroThread.start();
                } else if (msg.what == 1004) {
                    FtUtil.log_d(UIAccGyro.this.CLASS_NAME, "mHandler.handleMessage", "WHAT_ACC_TEST_START");
                    UIAccGyro.this.getAccSelfTestResult();
                    UIAccGyro.this.mHandler.sendEmptyMessageDelayed(1008, 1000);
                } else if (msg.what == 1005) {
                    FtUtil.log_d(UIAccGyro.this.CLASS_NAME, "mHandler.handleMessage", "WHAT_GYRO_TEST_START");
                    UIAccGyro.this.getGyroSelfTestReuslt();
                    UIAccGyro.this.mHandler.sendEmptyMessageDelayed(1006, 10);
                } else if (msg.what == 1006) {
                    FtUtil.log_d(UIAccGyro.this.CLASS_NAME, "mHandler.handleMessage", "WHAT_TEST_FINISH");
                    UIAccGyro.this.testFinish();
                }
            }
        };
        this.isSub = sub;
        this.mContext = cont;
        if ("ATCMD".equals(type)) {
            this.mAccGyroTestService = true;
            setAtCmd(true);
            String str = this.CLASS_NAME;
            FtUtil.log_i(str, "UIAccGyro", "isSub = " + this.isSub);
        }
        FtUtil.log_d(this.CLASS_NAME, "UIAccGyro", "UIAccGyro");
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_acc_gyro);
        this.isSub = getIntent().getIntExtra("testid", -1) == 189;
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "onCreate", "isSub : " + this.isSub);
        this.mContext = this;
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        FtUtil.log_d(this.CLASS_NAME, "onResume", "");
        super.onResume();
        this.mHandler.sendEmptyMessageDelayed(1000, 10);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        FtUtil.log_d(this.CLASS_NAME, "onPause", "");
        ModuleSensor moduleSensor = this.mModuleSensor;
        if (moduleSensor != null) {
            if (moduleSensor.isSensorOn(ModuleSensor.ID_MANAGER_ACCELEROMETER)) {
                this.mModuleSensor.SensorOff(this.senserID);
            }
            if (this.mModuleSensor.isSensorOn(ModuleSensor.ID_MANAGER_SUB_ACCELEROMETER)) {
                this.mModuleSensor.SensorOff(this.senserID);
            }
        }
        super.onPause();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void getAccFeatureValue() {
        this.mAccelerometerBitCount = Integer.parseInt(Support.TestCase.getString(Support.TestCase.SENSOR_TEST_ACC_BIT));
        int accelerometerFullScale = SensorCalculator.getAccelerometerFullScale(this.mContext);
        this.mAccelerometerFullScale = accelerometerFullScale;
        this.mAccelerometerFullScale = accelerometerFullScale;
        this.mAccelerometer1GValue = SensorCalculator.getAccelerometer1GValue(this.mAccelerometerBitCount, accelerometerFullScale);
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "getAccFeatureValue", "mAccelerometerBitCount : " + this.mAccelerometerBitCount + " mAccelerometerFullScale : " + this.mAccelerometerFullScale + " mAccelerometer1GValue : " + this.mAccelerometer1GValue);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void checkGyroRevised() {
        if (this.isSub) {
            this.isRevised = EgisFingerprint.MAJOR_VERSION.equals(Support.Kernel.read(Support.Kernel.SUB_GYRO_SENSOR_REVISED));
        } else {
            this.isRevised = EgisFingerprint.MAJOR_VERSION.equals(Support.Kernel.read(Support.Kernel.GYRO_SENSOR_REVISED));
        }
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "checkGyroRevised", "isRevised : " + this.isRevised);
        if (!this.isRevised && !this.mAccGyroTestService) {
            this.txt_gyro_result.setText("-");
            this.txt_gyro_fifo_zro_avg_result.setText("-");
            this.txt_gyro_self_test_zro_result.setText("-");
            this.txt_gyro_self_test_bias_result.setText("-");
            this.txt_gyro_self_test_diff_result.setText("-");
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void testFinish() {
        FtUtil.log_d(this.CLASS_NAME, "testFinish", "");
        if (this.mAccGyroTestService) {
            saveResult();
            return;
        }
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "testFinish", "accResult : " + this.accResult + " gyroResult : " + this.gyroResult);
        if (!this.accResult || !this.gyroResult) {
            this.btn_start.setEnabled(true);
            this.btn_exit.setEnabled(true);
            int i = this.TEST_ID;
            setTestResultFailCase(i, "ACC/GYRO TEST - accResult : " + this.accResult + " gyroResult : " + this.gyroResult);
            setResult(0);
            return;
        }
        setResult(-1);
        setTestResult((byte) 80);
        finish();
    }

    private void saveResult() {
        boolean z;
        FtUtil.log_d(this.CLASS_NAME, "saveResult", "accResult : " + this.accResult + " gyroResult : " + this.gyroResult);
        if (this.accRawData != null && this.accSelftestData != null) {
            String gyroResData = "OK";
            String accResData = (((((!this.accSelfResult || !this.accVectorResult) ? "NG" : gyroResData) + "," + this.accPhase) + "," + this.accRawData[0] + "," + this.accRawData[1] + "," + this.accRawData[2]) + "," + this.accVectorSUMData) + "," + this.accSelftestData[2] + "," + this.accSelftestData[3] + "," + this.accSelftestData[4];
            if (this.accPhase >= 2) {
                accResData = accResData + "," + this.accSelftestData[5] + "," + this.accSelftestData[6] + "," + this.accSelftestData[7];
            }
            if (this.isSub) {
                SharedPreferences.Editor editor = this.mContext.getSharedPreferences("SUB_ACC_RESULT", 0).edit();
                editor.putString("RESULT_DATA", accResData);
                editor.commit();
            } else {
                SharedPreferences.Editor editor2 = this.mContext.getSharedPreferences("ACC_RESULT", 0).edit();
                editor2.putString("RESULT_DATA", accResData);
                editor2.commit();
            }
            if (!this.mFIFOAVGResult || !(z = this.mSelfDiffResult) || !z) {
                gyroResData = "NG";
            }
            String gyroResData2 = (gyroResData + "," + this.gyroPhase) + "," + this.mFifo_Zro_Avg[0] + "," + this.mFifo_Zro_Avg[1] + "," + this.mFifo_Zro_Avg[2];
            if (this.mFIFOAVGResult) {
                gyroResData2 = (gyroResData2 + "," + this.mSelfZro[0] + "," + this.mSelfZro[1] + "," + this.mSelfZro[2]) + "," + this.mSelfDiff[0] + "," + this.mSelfDiff[1] + "," + this.mSelfDiff[2];
            }
            if (this.isSub) {
                SharedPreferences.Editor editor3 = this.mContext.getSharedPreferences("SUB_GYRO_RESULT", 0).edit();
                editor3.putString("RESULT_DATA", gyroResData2);
                editor3.commit();
            } else {
                SharedPreferences.Editor editor4 = this.mContext.getSharedPreferences("GYRO_RESULT", 0).edit();
                editor4.putString("RESULT_DATA", gyroResData2);
                editor4.commit();
            }
            if (!this.accResult || !this.gyroResult) {
                if (this.isSub) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, "AT+MULFUNCF=3,0,7,5", "SUB ACC GYRO TEST FAIL"));
                    if (this.mAccGyroTestService) {
                        setTestResult(189, (byte) 70);
                        return;
                    }
                    return;
                }
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, "AT+MULFUNCF=3,0,7,3", "ACC GYRO TEST FAIL"));
                if (this.mAccGyroTestService) {
                    setTestResult(199, (byte) 70);
                }
            } else if (this.isSub) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, "AT+MULFUNCF=3,0,7,5", "SUB ACC GYRO TEST PASS"));
                setTestResult(189, (byte) 80);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, "AT+MULFUNCF=3,0,7,3", "ACC GYRO TEST PASS"));
                setTestResult(199, (byte) 80);
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void accSensorOn() {
        this.mModuleSensor = ModuleSensor.instance(this);
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "accSensorOn", "isSub : " + this.isSub);
        if (this.isSub) {
            this.senserID = new int[]{ModuleSensor.ID_FILE____SUB_ACCELEROMETER_SELFTEST, ModuleSensor.ID_MANAGER_SUB_ACCELEROMETER};
        } else {
            this.senserID = new int[]{ModuleSensor.ID_FILE____ACCELEROMETER_SELFTEST, ModuleSensor.ID_MANAGER_ACCELEROMETER};
        }
        this.mModuleSensor.SensorOn(this.senserID);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void accSensorOff() {
        FtUtil.log_d(this.CLASS_NAME, "accSensorOff", "");
        this.mModuleSensor.SensorOff(this.senserID);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void initAcc() {
        TextView textView = (TextView) findViewById(R.id.title);
        this.txt_title = textView;
        if (this.isSub) {
            textView.setText("SUB ACC / GYRO Test");
        }
        Button button = (Button) findViewById(R.id.start_button);
        this.btn_start = button;
        button.setOnClickListener(this);
        Button button2 = (Button) findViewById(R.id.exit_button);
        this.btn_exit = button2;
        button2.setOnClickListener(this);
        this.txt_acc_title = (TextView) findViewById(R.id.acc_title);
        this.txt_acc_raw_data_x = (TextView) findViewById(R.id.acc_raw_data_x);
        this.txt_acc_raw_data_y = (TextView) findViewById(R.id.acc_raw_data_y);
        this.txt_acc_raw_data_z = (TextView) findViewById(R.id.acc_raw_data_z);
        this.txt_acc_self_test_plus_x = (TextView) findViewById(R.id.acc_self_test_plus_x);
        this.txt_acc_self_test_plus_y = (TextView) findViewById(R.id.acc_self_test_plus_y);
        this.txt_acc_self_test_plus_z = (TextView) findViewById(R.id.acc_self_test_plus_z);
        this.txt_acc_self_test_plus_result = (TextView) findViewById(R.id.acc_self_test_plus_result);
        this.txt_acc_self_test_minus_x = (TextView) findViewById(R.id.acc_self_test_minus_x);
        this.txt_acc_self_test_minus_y = (TextView) findViewById(R.id.acc_self_test_minus_y);
        this.txt_acc_self_test_minus_z = (TextView) findViewById(R.id.acc_self_test_minus_z);
        this.txt_acc_self_test_minus_result = (TextView) findViewById(R.id.acc_self_test_minus_result);
        this.txt_acc_vector_sum = (TextView) findViewById(R.id.acc_vector_sum);
        this.txt_acc_vector_sum_result = (TextView) findViewById(R.id.acc_vector_sum_result);
        this.txt_acc_result = (TextView) findViewById(R.id.acc_result);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void initGyro() {
        this.txt_gyro_title = (TextView) findViewById(R.id.gyro_title);
        this.txt_gyro_fifo_zro_avg_x = (TextView) findViewById(R.id.gyro_fifo_zro_avg_x);
        this.txt_gyro_fifo_zro_avg_y = (TextView) findViewById(R.id.gyro_fifo_zro_avg_y);
        this.txt_gyro_fifo_zro_avg_z = (TextView) findViewById(R.id.gyro_fifo_zro_avg_z);
        this.txt_gyro_fifo_zro_avg_result = (TextView) findViewById(R.id.gyro_fifo_zro_avg_result);
        this.txt_gyro_self_test_zro_x = (TextView) findViewById(R.id.gyro_self_test_zro_x);
        this.txt_gyro_self_test_zro_y = (TextView) findViewById(R.id.gyro_self_test_zro_y);
        this.txt_gyro_self_test_zro_z = (TextView) findViewById(R.id.gyro_self_test_zro_z);
        this.txt_gyro_self_test_zro_result = (TextView) findViewById(R.id.gyro_self_test_zro_result);
        this.txt_gyro_self_test_bias_x = (TextView) findViewById(R.id.gyro_self_test_bias_x);
        this.txt_gyro_self_test_bias_y = (TextView) findViewById(R.id.gyro_self_test_bias_y);
        this.txt_gyro_self_test_bias_z = (TextView) findViewById(R.id.gyro_self_test_bias_z);
        this.txt_gyro_self_test_bias_result = (TextView) findViewById(R.id.gyro_self_test_bias_result);
        this.txt_gyro_self_test_diff_x = (TextView) findViewById(R.id.gyro_self_test_diff_x);
        this.txt_gyro_self_test_diff_y = (TextView) findViewById(R.id.gyro_self_test_diff_y);
        this.txt_gyro_self_test_diff_z = (TextView) findViewById(R.id.gyro_self_test_diff_z);
        this.txt_gyro_self_test_diff_result = (TextView) findViewById(R.id.gyro_self_test_diff_result);
        this.txt_gyro_result = (TextView) findViewById(R.id.gyro_result);
        this.txt_acc_gyro_result = (TextView) findViewById(R.id.acc_gyro_result);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setUIRate() {
        float rate;
        if (this.isSub) {
            rate = Support.FactoryTestMenu.getUIRate(FactoryTestManager.convertorID_XML(189));
        } else {
            rate = Support.FactoryTestMenu.getUIRate(FactoryTestManager.convertorID_XML(199));
        }
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "setUIRate", "rate : " + rate);
        if (rate != 0.0f && rate != 1.0f) {
            TextView textView = this.txt_title;
            textView.setTextSize(0, textView.getTextSize() * rate);
            TextView textView2 = this.txt_acc_title;
            textView2.setTextSize(0, textView2.getTextSize() * rate);
            TextView textView3 = this.txt_acc_result;
            textView3.setTextSize(0, textView3.getTextSize() * rate);
            TextView textView4 = this.txt_gyro_title;
            textView4.setTextSize(0, textView4.getTextSize() * rate);
            TextView textView5 = this.txt_gyro_result;
            textView5.setTextSize(0, textView5.getTextSize() * rate);
            TextView textView6 = this.txt_acc_gyro_result;
            textView6.setTextSize(0, textView6.getTextSize() * rate);
        }
    }

    private void resetUIAcc() {
        this.txt_acc_raw_data_x.setText((CharSequence) null);
        this.txt_acc_raw_data_y.setText((CharSequence) null);
        this.txt_acc_raw_data_z.setText((CharSequence) null);
        this.txt_acc_self_test_plus_x.setText((CharSequence) null);
        this.txt_acc_self_test_plus_y.setText((CharSequence) null);
        this.txt_acc_self_test_plus_z.setText((CharSequence) null);
        this.txt_acc_self_test_plus_result.setText((CharSequence) null);
        this.txt_acc_self_test_minus_x.setText((CharSequence) null);
        this.txt_acc_self_test_minus_y.setText((CharSequence) null);
        this.txt_acc_self_test_minus_z.setText((CharSequence) null);
        this.txt_acc_self_test_minus_result.setText((CharSequence) null);
        this.txt_acc_vector_sum.setText((CharSequence) null);
        this.txt_acc_vector_sum_result.setText((CharSequence) null);
        this.txt_acc_result.setText((CharSequence) null);
    }

    private void resetUIGyro() {
        this.txt_gyro_fifo_zro_avg_x.setText((CharSequence) null);
        this.txt_gyro_fifo_zro_avg_y.setText((CharSequence) null);
        this.txt_gyro_fifo_zro_avg_z.setText((CharSequence) null);
        this.txt_gyro_fifo_zro_avg_result.setText((CharSequence) null);
        this.txt_gyro_self_test_zro_x.setText((CharSequence) null);
        this.txt_gyro_self_test_zro_y.setText((CharSequence) null);
        this.txt_gyro_self_test_zro_z.setText((CharSequence) null);
        this.txt_gyro_self_test_zro_result.setText((CharSequence) null);
        this.txt_gyro_self_test_bias_x.setText((CharSequence) null);
        this.txt_gyro_self_test_bias_y.setText((CharSequence) null);
        this.txt_gyro_self_test_bias_z.setText((CharSequence) null);
        this.txt_gyro_self_test_bias_result.setText((CharSequence) null);
        this.txt_gyro_self_test_diff_x.setText((CharSequence) null);
        this.txt_gyro_self_test_diff_y.setText((CharSequence) null);
        this.txt_gyro_self_test_diff_z.setText((CharSequence) null);
        this.txt_gyro_self_test_diff_result.setText((CharSequence) null);
        this.txt_gyro_result.setText((CharSequence) null);
        this.txt_acc_gyro_result.setText((CharSequence) null);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void getVectorSUMTestReuslt() {
        FtUtil.log_d(this.CLASS_NAME, "getVectorSUMTestReuslt", "");
        double vectorSUM = getVectorSUM();
        this.accVectorSUMData = vectorSUM;
        if (vectorSUM < 0.8d || vectorSUM > 1.2d) {
            this.accVectorResult = false;
        } else {
            this.accVectorResult = true;
        }
        if (!this.mAccGyroTestService) {
            this.txt_acc_vector_sum.setText(String.valueOf(vectorSUM));
            if (this.accVectorResult) {
                this.txt_acc_vector_sum_result.setText("PASS");
                this.txt_acc_vector_sum_result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                return;
            }
            this.txt_acc_vector_sum_result.setText("FAIL");
            this.txt_acc_vector_sum_result.setTextColor(-65536);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void getRawData() {
        String str;
        FtUtil.log_d(this.CLASS_NAME, "getRawData", "");
        if (this.isSub) {
            str = Support.Kernel.read(Support.Kernel.SUB_ACCEL_SENSOR_RAW);
        } else {
            str = Support.Kernel.read(Support.Kernel.ACCEL_SENSOR_RAW);
        }
        if (str != null) {
            this.accRawData = str.split(",");
            String str2 = this.CLASS_NAME;
            FtUtil.log_d(str2, "getRawData", "X : " + this.accRawData[0] + " Y : " + this.accRawData[1] + " Z : " + this.accRawData[2]);
        } else {
            String str3 = this.CLASS_NAME;
            FtUtil.log_d(str3, "getRawData", "str : " + str);
            String[] strArr = this.accRawData;
            strArr[0] = "-";
            strArr[1] = "-";
            strArr[2] = "-";
        }
        String[] strArr2 = this.accRawData;
        if (strArr2 != null && !this.mAccGyroTestService) {
            this.txt_acc_raw_data_x.setText(strArr2[0]);
            this.txt_acc_raw_data_y.setText(this.accRawData[1]);
            this.txt_acc_raw_data_z.setText(this.accRawData[2]);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void getAccSelfTestResult() {
        FtUtil.log_d(this.CLASS_NAME, "getAccSelfTestResult", "");
        String[] strArr = this.accSelftestData;
        if (strArr == null) {
            FtUtil.log_e(this.CLASS_NAME, "getAccSelfTestResult", "accSelftestData is null");
            if (!this.mAccGyroTestService) {
                this.txt_acc_result.setText("FAIL");
                this.txt_acc_result.setTextColor(-65536);
            }
            this.accResult = false;
            return;
        }
        if (strArr.length >= 6) {
            this.accPhase = 2;
        } else {
            this.accPhase = 1;
        }
        this.accSelfResult = EgisFingerprint.MAJOR_VERSION.equals(strArr[1]);
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "getAccSelfTestResult", "accSelfResult = " + this.accSelfResult + " accVectorResult : " + this.accVectorResult);
        if (!this.mAccGyroTestService) {
            this.txt_acc_self_test_plus_x.setText(this.accSelftestData[2]);
            this.txt_acc_self_test_plus_y.setText(this.accSelftestData[3]);
            this.txt_acc_self_test_plus_z.setText(this.accSelftestData[4]);
            String[] strArr2 = this.accSelftestData;
            if (strArr2.length >= 6) {
                this.txt_acc_self_test_minus_x.setText(strArr2[5]);
                this.txt_acc_self_test_minus_y.setText(this.accSelftestData[6]);
                this.txt_acc_self_test_minus_z.setText(this.accSelftestData[7]);
            } else {
                this.txt_acc_self_test_minus_x.setText("-");
                this.txt_acc_self_test_minus_y.setText("-");
                this.txt_acc_self_test_minus_z.setText("-");
            }
            if (this.accSelfResult) {
                this.txt_acc_self_test_plus_result.setText("PASS");
                this.txt_acc_self_test_plus_result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                this.txt_acc_self_test_minus_result.setText("PASS");
                this.txt_acc_self_test_minus_result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            } else {
                this.txt_acc_self_test_plus_result.setText("FAIL");
                this.txt_acc_self_test_plus_result.setTextColor(-65536);
                this.txt_acc_self_test_minus_result.setText("FAIL");
                this.txt_acc_self_test_minus_result.setTextColor(-65536);
            }
            if (!this.accSelfResult || !this.accVectorResult) {
                this.txt_acc_result.setText("FAIL");
                this.txt_acc_result.setTextColor(-65536);
            } else {
                this.txt_acc_result.setText("PASS");
                this.txt_acc_result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            }
        }
        if (!this.accSelfResult || !this.accVectorResult) {
            this.accResult = false;
        } else {
            this.accResult = true;
        }
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.exit_button:
                finish();
                return;
            case R.id.start_button:
                this.btn_start.setEnabled(false);
                this.btn_exit.setEnabled(false);
                resetUIAcc();
                resetUIGyro();
                this.mHandler.sendEmptyMessageDelayed(1001, 10);
                return;
            default:
                return;
        }
    }

    /* access modifiers changed from: private */
    public class accReadThread extends Thread {
        private accReadThread() {
        }

        public void run() {
            try {
                if (UIAccGyro.this.isSub) {
                    UIAccGyro uIAccGyro = UIAccGyro.this;
                    uIAccGyro.accSelftestData = uIAccGyro.mModuleSensor.getData(ModuleSensor.ID_FILE____SUB_ACCELEROMETER_SELFTEST);
                } else {
                    UIAccGyro uIAccGyro2 = UIAccGyro.this;
                    uIAccGyro2.accSelftestData = uIAccGyro2.mModuleSensor.getData(ModuleSensor.ID_FILE____ACCELEROMETER_SELFTEST);
                }
                UIAccGyro.this.mHandler.sendEmptyMessageDelayed(1004, 10);
            } catch (Exception e) {
                e.printStackTrace();
            }
            FtUtil.log_d(UIAccGyro.this.CLASS_NAME, "accReadThread", "read End");
            super.run();
        }
    }

    /* access modifiers changed from: private */
    public class gyroReadThread extends Thread {
        private gyroReadThread() {
        }

        public void run() {
            try {
                if (UIAccGyro.this.isSub) {
                    UIAccGyro.this.selfTestResult = Support.Kernel.read(Support.Kernel.SUB_GYRO_SENSOR_SELFTEST);
                } else {
                    UIAccGyro.this.selfTestResult = Support.Kernel.read(Support.Kernel.GYRO_SENSOR_SELFTEST);
                }
                UIAccGyro.this.mHandler.sendEmptyMessageDelayed(1005, 10);
            } catch (Exception e) {
                e.printStackTrace();
            }
            FtUtil.log_d(UIAccGyro.this.CLASS_NAME, "gyroReadThread", "read End");
            super.run();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void getGyroSelfTestReuslt() {
        boolean z;
        boolean z2;
        FtUtil.log_d(this.CLASS_NAME, "getGyroSelfTestReuslt", "");
        String str = this.selfTestResult;
        if (str == null) {
            FtUtil.log_d(this.CLASS_NAME, "getGyroSelfTestReuslt", "selfTestResult is null, Not Support Gyro Sensor");
            if (!this.mAccGyroTestService) {
                this.txt_gyro_fifo_zro_avg_result.setText("N/A");
                this.txt_gyro_self_test_zro_result.setText("N/A");
                this.txt_gyro_self_test_diff_result.setText("N/A");
            }
            this.gyroResult = true;
            return;
        }
        String[] temp = str.split(",");
        this.mFifo_Zro_Avg = new String[3];
        if (temp.length > 4) {
            this.mFIFOAVGResult = true;
        } else {
            this.mFIFOAVGResult = false;
        }
        if (this.mFIFOAVGResult) {
            for (int i = 0; i < 12; i++) {
                if (i < 3) {
                    this.mFifo_Zro_Avg[i] = temp[i];
                } else if (i < 6) {
                    this.mSelfZro[i - 3] = temp[i];
                } else if (i < 9) {
                    this.mSelfBias[i - 6] = temp[i];
                } else {
                    this.mSelfDiff[i - 9] = temp[i];
                }
            }
            this.mSelfDiffResult = temp[12].contains(EgisFingerprint.MAJOR_VERSION);
            this.mSelfZroResult = temp[13].contains(EgisFingerprint.MAJOR_VERSION);
        } else {
            for (int i2 = 0; i2 < 3; i2++) {
                this.mFifo_Zro_Avg[i2] = temp[i2];
                this.mSelfDiffResult = false;
                this.mSelfZroResult = false;
            }
        }
        if (!this.mAccGyroTestService) {
            if (this.mFIFOAVGResult) {
                this.txt_gyro_fifo_zro_avg_x.setText(this.mFifo_Zro_Avg[0]);
                this.txt_gyro_fifo_zro_avg_y.setText(this.mFifo_Zro_Avg[1]);
                this.txt_gyro_fifo_zro_avg_z.setText(this.mFifo_Zro_Avg[2]);
                this.txt_gyro_fifo_zro_avg_result.setText("PASS");
                this.txt_gyro_fifo_zro_avg_result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                this.txt_gyro_self_test_zro_x.setText(this.mSelfZro[0]);
                this.txt_gyro_self_test_zro_y.setText(this.mSelfZro[1]);
                this.txt_gyro_self_test_zro_z.setText(this.mSelfZro[2]);
                if (this.mSelfZroResult) {
                    this.txt_gyro_self_test_zro_result.setText("PASS");
                    this.txt_gyro_self_test_zro_result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                } else {
                    this.txt_gyro_self_test_zro_result.setText("FAIL");
                    this.txt_gyro_self_test_zro_result.setTextColor(-65536);
                }
                this.txt_gyro_self_test_bias_x.setText(this.mSelfBias[0]);
                this.txt_gyro_self_test_bias_y.setText(this.mSelfBias[1]);
                this.txt_gyro_self_test_bias_z.setText(this.mSelfBias[2]);
                this.txt_gyro_self_test_diff_x.setText(this.mSelfDiff[0]);
                this.txt_gyro_self_test_diff_y.setText(this.mSelfDiff[1]);
                this.txt_gyro_self_test_diff_z.setText(this.mSelfDiff[2]);
                if (this.mSelfDiffResult) {
                    this.txt_gyro_self_test_diff_result.setText("PASS");
                    this.txt_gyro_self_test_diff_result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                } else {
                    this.txt_gyro_self_test_diff_result.setText("FAIL");
                    this.txt_gyro_self_test_diff_result.setTextColor(-65536);
                }
            } else {
                this.txt_gyro_fifo_zro_avg_x.setText(this.mFifo_Zro_Avg[0]);
                this.txt_gyro_fifo_zro_avg_y.setText(this.mFifo_Zro_Avg[1]);
                this.txt_gyro_fifo_zro_avg_z.setText(this.mFifo_Zro_Avg[2]);
                this.txt_gyro_fifo_zro_avg_result.setText("FAIL");
                this.txt_gyro_fifo_zro_avg_result.setTextColor(-65536);
            }
        }
        if (!this.isRevised) {
            String str2 = this.CLASS_NAME;
            FtUtil.log_d(str2, "getGyroSelfTestReuslt", "isRevised : " + this.isRevised);
            int mGyroSpec_Min = Support.Spec.getInt(Support.Spec.GYROSCOPE_SELFTEST_MIN);
            int mGyroSpec_Max = Support.Spec.getInt(Support.Spec.GYROSCOPE_SELFTEST_MAX);
            for (int i3 = 0; i3 < 3; i3++) {
                if (mGyroSpec_Min > Integer.parseInt(this.mSelfDiff[i3]) || Integer.parseInt(this.mSelfDiff[i3]) > mGyroSpec_Max) {
                    String str3 = this.CLASS_NAME;
                    FtUtil.log_e(str3, "getGyroSelfTestReuslt", "mGyroSpec_Min : " + mGyroSpec_Min + " mGyroSpec_Max : " + mGyroSpec_Max + " mSelfDiff[i] : " + this.mSelfDiff[i3]);
                    this.mSelfDiffResult = false;
                }
            }
        }
        if (!this.mAccGyroTestService) {
            if (!this.mFIFOAVGResult || !(z2 = this.mSelfDiffResult) || !z2) {
                this.txt_gyro_result.setText("FAIL");
                this.txt_gyro_result.setTextColor(-65536);
                this.gyroResult = false;
            } else {
                this.txt_gyro_result.setText("PASS");
                this.txt_gyro_result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                this.gyroResult = true;
            }
            if (!this.accResult || !this.gyroResult) {
                this.txt_acc_gyro_result.setText("FAIL");
                this.txt_acc_gyro_result.setTextColor(-65536);
                this.txt_acc_gyro_result.setTextSize(60.0f);
            } else {
                this.txt_acc_gyro_result.setText("PASS");
                this.txt_acc_gyro_result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                this.txt_acc_gyro_result.setTextSize(60.0f);
            }
            if (!this.isRevised) {
                FtUtil.log_d(this.CLASS_NAME, "getGyroSelfTestReuslt", "isRevised is false");
                this.txt_gyro_result.setText("-");
                this.txt_gyro_fifo_zro_avg_result.setText("-");
                this.txt_gyro_self_test_zro_result.setText("-");
                this.txt_gyro_self_test_bias_result.setText("-");
                this.txt_gyro_self_test_diff_result.setText("-");
            }
        } else if (!this.mFIFOAVGResult || !(z = this.mSelfDiffResult) || !z) {
            this.gyroResult = false;
        } else {
            this.gyroResult = true;
        }
    }

    private double getVectorSUM() {
        String[] mCoordinates;
        FtUtil.log_d(this.CLASS_NAME, "getVectorSUM", "");
        if (this.isSub) {
            mCoordinates = this.mModuleSensor.getData(ModuleSensor.ID_MANAGER_SUB_ACCELEROMETER_N_ANGLE);
        } else {
            mCoordinates = this.mModuleSensor.getData(ModuleSensor.ID_MANAGER_ACCELEROMETER_N_ANGLE);
        }
        if (mCoordinates == null) {
            return 0.0d;
        }
        double dVectorSum = getVectorSumToG(mCoordinates[2], mCoordinates[3], mCoordinates[4]);
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "getVectorSUM", "VectorSUM = " + String.valueOf(dVectorSum));
        return dVectorSum;
    }

    private double getVectorSumToG(String mCoordinates_x, String mCoordinates_y, String mCoordinates_z) {
        int x = Integer.parseInt(mCoordinates_x);
        int y = Integer.parseInt(mCoordinates_y);
        int z = Integer.parseInt(mCoordinates_z);
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "getVectorSumToG", "x : " + x + " y : " + y + " z : " + z + " mAccelerometer1GValue : " + this.mAccelerometer1GValue);
        return ((double) Math.round((Math.sqrt((double) (((x * x) + (y * y)) + (z * z))) / ((double) this.mAccelerometer1GValue)) * 100.0d)) / 100.0d;
    }
}
