package com.sec.factory.app.ui;

import android.app.Activity;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.nfc.NfcAdapter;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.KeyEvent;
import android.view.View;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.modules.ModulePower;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class UIAdapterChargeCurrent extends Activity {
    private static final int COUNT = 5;
    private static final int MSG_FINISH = 6;
    private static final int MSG_SELFTEST_START = 2;
    private static final int MSG_TEST_END = 3;
    private static final int MSG_TEST_START = 1;
    private static final int MSG_WRITE_CURRENT = 5;
    private static final int SLEEPDELAY = 200;
    private static final int WHAT_CHECK_LCD_ON = 4;
    private final String CLASS_NAME = "UIAdapterChargeCurrent";
    private Button btnFinish;
    private Button btnStart;
    private boolean finishFlag = false;
    private int mAverAfc = 0;
    private BroadcastReceiver mBroadcastReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.app.ui.UIAdapterChargeCurrent.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            String action = intent.getAction();
            FtUtil.log_d("UIAdapterChargeCurrent", "mBroadcastReceiver.onReceive", "action=" + action);
            if ("android.intent.action.BATTERY_CHANGED".equals(action)) {
                int plugged = intent.getIntExtra("plugged", 0);
                int online = intent.getIntExtra("online", 0);
                if (plugged == 1 && online == 3) {
                    String HV_STATUS = null;
                    UIAdapterChargeCurrent.this.btnStart.setEnabled(false);
                    for (int i = 0; i < 10; i++) {
                        HV_STATUS = Support.Kernel.read(Support.Kernel.HV_CHARGE_STATUS);
                        if (EgisFingerprint.MAJOR_VERSION.equals(Support.Kernel.read(Support.Kernel.HV_CHARGE_STATUS))) {
                            break;
                        }
                        FtUtil.Sleep.sleep(200);
                    }
                    UIAdapterChargeCurrent.this.btnStart.setEnabled(true);
                    if (EgisFingerprint.MAJOR_VERSION.equals(HV_STATUS)) {
                        UIAdapterChargeCurrent.this.mHVChargeCheck.setText("AF Charging");
                        FtUtil.log_d("UIAdapterChargeCurrent", "AF Charging");
                        return;
                    }
                    UIAdapterChargeCurrent.this.mHVChargeCheck.setText("TA Charging");
                    FtUtil.log_d("UIAdapterChargeCurrent", "TA Charging");
                } else if (plugged == 2 && online == 4) {
                    UIAdapterChargeCurrent.this.mHVChargeCheck.setText("USB Charging");
                    FtUtil.log_d("UIAdapterChargeCurrent", "USB Charging");
                } else if (plugged == 4 && online == 10) {
                    String HV_STATUS2 = null;
                    UIAdapterChargeCurrent.this.btnStart.setEnabled(false);
                    for (int i2 = 0; i2 < 10; i2++) {
                        HV_STATUS2 = Support.Kernel.read(Support.Kernel.BATT_HV_WIRELESS_STATUS);
                        if (egis.optical.client.api.EgisFingerprint.MAJOR_VERSION.equals(Support.Kernel.read(Support.Kernel.BATT_HV_WIRELESS_STATUS))) {
                            break;
                        }
                        FtUtil.Sleep.sleep(200);
                    }
                    UIAdapterChargeCurrent.this.btnStart.setEnabled(true);
                    if (egis.optical.client.api.EgisFingerprint.MAJOR_VERSION.equals(HV_STATUS2)) {
                        UIAdapterChargeCurrent.this.mHVChargeCheck.setText("Wireless Fast Charging");
                        FtUtil.log_d("UIAdapterChargeCurrent", "Wireless Fast Charging");
                        return;
                    }
                    UIAdapterChargeCurrent.this.mHVChargeCheck.setText("Wireless Charging");
                    FtUtil.log_d("UIAdapterChargeCurrent", "Wireless Charging");
                } else if (plugged == 0 && online == 1) {
                    UIAdapterChargeCurrent.this.mHVChargeCheck.setText("Discharging");
                    FtUtil.log_d("UIAdapterChargeCurrent", "Discharging");
                }
            }
        }
    };
    private TextView mHVChargeCheck;
    private TextView mHVChargeRawavg;
    private TextView[] mHVChargeRawdata;
    private LinearLayout mHVCurrentTable;
    private Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UIAdapterChargeCurrent.AnonymousClass2 */

        public void handleMessage(Message msg) {
            FtUtil.log_i("UIAdapterChargeCurrent", "mHandler", "msg.what: " + msg.what);
            if (msg.what == 4) {
                if (UIAdapterChargeCurrent.this.mModulePower.isScreenOn()) {
                    UIAdapterChargeCurrent.this.mModulePower.doPartialWakeLock(true);
                    UIAdapterChargeCurrent.this.mModulePower.doWakeLock(false);
                    if (Support.Feature.getBoolean(Support.Feature.NEED_LPA_MODE_SET, true)) {
                        UIAdapterChargeCurrent.this.mModuleDevice.setLPAmode(ModuleDevice.LPA_MODE_DISABLE);
                    }
                    UIAdapterChargeCurrent.this.mModulePower.gotosleep();
                    UIAdapterChargeCurrent.this.mHandler.sendEmptyMessageDelayed(2, 1500);
                    return;
                }
                UIAdapterChargeCurrent.this.mHandler.sendEmptyMessageDelayed(4, 200);
            } else if (msg.what == 1) {
                UIAdapterChargeCurrent.this.readChargeData();
            } else if (msg.what == 2) {
                UIAdapterChargeCurrent.this.readCurrent = new ReadCurrent();
                UIAdapterChargeCurrent.this.readCurrent.start();
            } else if (msg.what == 3) {
                UIAdapterChargeCurrent.this.averageAfc();
            } else if (msg.what == 5) {
                UIAdapterChargeCurrent.this.mHVChargeRawdata[msg.arg1].setText(Integer.toString(msg.arg2));
            } else if (msg.what == 6) {
                UIAdapterChargeCurrent.this.finishFlag = false;
            }
        }
    };
    private int[] mHvcList;
    private int mHvcMax;
    private int mHvcMin;
    private ModuleDevice mModuleDevice;
    private ModulePower mModulePower;
    private ReadCurrent readCurrent;

    /* access modifiers changed from: protected */
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_adapter_charge_current);
        FtUtil.setSystemKeyBlock(getComponentName(), 187);
        FtUtil.setSystemKeyBlock(getComponentName(), 65);
        FtUtil.setSystemKeyBlock(getComponentName(), 64);
        FtUtil.setSystemKeyBlock(getComponentName(), 3);
        FtUtil.setSystemKeyBlock(getComponentName(), 26);
        FtUtil.setSystemKeyBlock(getComponentName(), 84);
        this.mModuleDevice = ModuleDevice.instance(this);
        this.mModulePower = ModulePower.instance(this);
        this.mHvcList = new int[5];
        this.mHVChargeRawdata = new TextView[5];
        IntentFilter mIntentFilter = new IntentFilter();
        mIntentFilter.addAction("android.intent.action.BATTERY_CHANGED");
        registerReceiver(this.mBroadcastReceiver, mIntentFilter);
        this.mHVChargeCheck = (TextView) findViewById(R.id.adapter_charge_conn_status);
        LinearLayout linearLayout = (LinearLayout) findViewById(R.id.table);
        this.mHVCurrentTable = linearLayout;
        linearLayout.setVisibility(8);
        this.mHVChargeRawdata[0] = (TextView) findViewById(R.id.rawdata1);
        this.mHVChargeRawdata[1] = (TextView) findViewById(R.id.rawdata2);
        this.mHVChargeRawdata[2] = (TextView) findViewById(R.id.rawdata3);
        this.mHVChargeRawdata[3] = (TextView) findViewById(R.id.rawdata4);
        this.mHVChargeRawdata[4] = (TextView) findViewById(R.id.rawdata5);
        this.mHVChargeRawavg = (TextView) findViewById(R.id.rawdataavg);
        this.btnStart = (Button) findViewById(R.id.btn_start);
        this.btnFinish = (Button) findViewById(R.id.btn_finish);
    }

    /* access modifiers changed from: protected */
    public void onResume() {
        super.onResume();
    }

    /* access modifiers changed from: protected */
    public void onPause() {
        super.onPause();
        this.mHandler.removeMessages(1);
        this.mHandler.removeMessages(3);
    }

    public boolean onKeyDown(int keyCode, KeyEvent event) {
        if (!event.isLongPress() && !event.isLongPress()) {
            switch (keyCode) {
                case 4:
                    if (!this.finishFlag) {
                        this.finishFlag = true;
                        this.mHandler.sendEmptyMessageDelayed(6, 2000);
                        break;
                    } else {
                        finish();
                        break;
                    }
            }
        }
        return true;
    }

    public void onDestroy() {
        super.onDestroy();
        this.mHandler.removeMessages(1);
        this.mHandler.removeMessages(3);
        unregisterReceiver(this.mBroadcastReceiver);
        NfcAdapter nfc = NfcAdapter.getDefaultAdapter(getApplicationContext());
        if (nfc != null && nfc.isEnabled()) {
            Intent intent = new Intent("com.samsung.android.nfc.test.action.REQUEST");
            intent.putExtra("com.samsung.android.nfc.test.extra.ID", 3);
            sendBroadcast(intent);
            FtUtil.log_d("UIAdapterChargeCurrent", "when screen off / on. NFC RF discovery was enabled. so must be disabled before exit here");
        }
        this.mModulePower.doPartialWakeLock(false);
        this.mModulePower.doWakeLock(false);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void readChargeData() {
        this.mHandler.sendEmptyMessageDelayed(4, 1000);
    }

    /* access modifiers changed from: private */
    public class ReadCurrent extends Thread {
        private ReadCurrent() {
        }

        public void run() {
            super.run();
            for (int i = 0; i < 5; i++) {
                UIAdapterChargeCurrent.this.getCurrent(i);
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* JADX WARNING: Removed duplicated region for block: B:16:0x0050  */
    /* JADX WARNING: Removed duplicated region for block: B:19:0x005a  */
    /* JADX WARNING: Removed duplicated region for block: B:22:0x005f  */
    /* JADX WARNING: Removed duplicated region for block: B:23:0x0063  */
    private synchronized void getCurrent(int count) {
        int[] iArr;
        if (count == 0) {
            FtUtil.Sleep.sleep(400);
            this.mHvcMin = 0;
            this.mHvcMax = 0;
        } else {
            FtUtil.Sleep.sleep(200);
        }
        int currVal = Integer.parseInt(Support.Kernel.read(Support.Kernel.HV_CHARGE_CURRENT));
        if (currVal < 10000) {
            if (currVal > -10000) {
                this.mHvcList[count] = currVal;
                Message tMsg = new Message();
                tMsg.arg1 = count;
                tMsg.arg2 = this.mHvcList[count];
                tMsg.what = 5;
                this.mHandler.sendMessage(tMsg);
                iArr = this.mHvcList;
                if (iArr[count] < iArr[this.mHvcMin]) {
                    this.mHvcMin = count;
                }
                if (iArr[count] > iArr[this.mHvcMax]) {
                    this.mHvcMax = count;
                }
                if (count >= 4) {
                    FtUtil.Sleep.sleep(200);
                } else {
                    this.mHandler.sendEmptyMessageDelayed(3, 100);
                }
            }
        }
        this.mHvcList[count] = currVal / 1000;
        Message tMsg2 = new Message();
        tMsg2.arg1 = count;
        tMsg2.arg2 = this.mHvcList[count];
        tMsg2.what = 5;
        this.mHandler.sendMessage(tMsg2);
        iArr = this.mHvcList;
        if (iArr[count] < iArr[this.mHvcMin]) {
        }
        if (iArr[count] > iArr[this.mHvcMax]) {
        }
        if (count >= 4) {
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private synchronized void averageAfc() {
        int skipcount = 0;
        int sum = 0;
        FtUtil.log_d("UIAdapterChargeCurrent", "averageAdc", "");
        for (int i = 0; i < 5; i++) {
            if (i != this.mHvcMin) {
                if (i != this.mHvcMax) {
                    sum += this.mHvcList[i];
                }
            }
            skipcount++;
        }
        this.mAverAfc = (int) (((float) sum) / ((float) (5 - skipcount)));
        TextView textView = this.mHVChargeRawavg;
        textView.setText("" + this.mAverAfc);
        FtUtil.log_i("UIAdapterChargeCurrent", "average", "Averege Current: " + this.mAverAfc);
        this.mHVCurrentTable.setVisibility(0);
        this.mModulePower.doWakeLock(true);
        FtUtil.Sleep.sleep(1000);
        this.btnStart.setEnabled(true);
        this.btnFinish.setEnabled(true);
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.btn_finish:
                finish();
                return;
            case R.id.btn_start:
                this.mHandler.sendEmptyMessage(1);
                this.btnStart.setEnabled(false);
                this.btnFinish.setEnabled(false);
                return;
            default:
                return;
        }
    }
}
