package com.sec.factory.app.ui;

import android.app.ProgressDialog;
import android.content.ComponentName;
import android.content.Intent;
import android.content.ServiceConnection;
import android.os.Bundle;
import android.os.Handler;
import android.os.IBinder;
import android.os.Message;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import com.samsung.android.feature.SemFloatingFeature;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.app.ui.AlwaysMicOnSoundTriggerService;
import com.sec.factory.modules.ModuleAudio;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.modules.ModulePower;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import java.util.Timer;
import java.util.UUID;

public class UIAlwaysMicOnSoundTrigger extends UIBase implements AlwaysMicOnSoundTriggerService.UserActivity, View.OnClickListener {
    private static final String TAG = "UIAlwaysMicOnSoundTrigger";
    public static final int WHAT_TEST_FINISH = 1004;
    public static final int WHAT_TEST_LCD_ON = 1003;
    public static final int WHAT_TEST_PLAY_SOUND = 1002;
    public static final int WHAT_TEST_PLAY_START = 1001;
    public static final int WHAT_TEST_UPDATE_FAIL = 1005;
    public static final int WHAT_WAKE_UP_VOICE = 1006;
    protected static ModuleAudio mModuleAudio = null;
    protected static ModuleDevice mModuleDevice = null;
    protected static ModulePower mModulePower = null;
    private static UUID mSelectedModelUuid = null;
    private boolean IsTestPass = false;
    private Button exitButton;
    private ServiceConnection mConnection = new ServiceConnection() {
        /* class com.sec.factory.app.ui.UIAlwaysMicOnSoundTrigger.AnonymousClass2 */

        public void onServiceConnected(ComponentName className, IBinder service) {
            synchronized (UIAlwaysMicOnSoundTrigger.this) {
                FtUtil.log_d(UIAlwaysMicOnSoundTrigger.this.CLASS_NAME, "onServiceConnected", "");
                UIAlwaysMicOnSoundTrigger.this.mService = ((AlwaysMicOnSoundTriggerService.SoundTriggerTestBinder) service).getService();
                UIAlwaysMicOnSoundTrigger.this.mService.setUserActivity(UIAlwaysMicOnSoundTrigger.this);
            }
        }

        public void onServiceDisconnected(ComponentName arg0) {
            synchronized (UIAlwaysMicOnSoundTrigger.this) {
                FtUtil.log_d(UIAlwaysMicOnSoundTrigger.this.CLASS_NAME, "onServiceDisconnected", "");
                UIAlwaysMicOnSoundTrigger.this.mService.setUserActivity(null);
                UIAlwaysMicOnSoundTrigger.this.mService = null;
            }
        }
    };
    public Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UIAlwaysMicOnSoundTrigger.AnonymousClass1 */

        public void handleMessage(Message msg) {
            int resID;
            switch (msg.what) {
                case 1001:
                    FtUtil.log_i(UIAlwaysMicOnSoundTrigger.this.CLASS_NAME, "WHAT_TEST_PLAY_START", "");
                    UIAlwaysMicOnSoundTrigger.this.mIsEndTestCalled = false;
                    UIAlwaysMicOnSoundTrigger.this.enable();
                    UIAlwaysMicOnSoundTrigger.mModulePower.doPartialWakeLock(true);
                    UIAlwaysMicOnSoundTrigger.mModulePower.doWakeLock(false);
                    UIAlwaysMicOnSoundTrigger.mModulePower.setScreenState(false);
                    UIAlwaysMicOnSoundTrigger.this.mHandler.sendEmptyMessageDelayed(1002, 100);
                    return;
                case 1002:
                    String str = UIAlwaysMicOnSoundTrigger.this.CLASS_NAME;
                    FtUtil.log_i(str, "WHAT_PLAY_START", "retryCount : " + UIAlwaysMicOnSoundTrigger.this.retryCount + "IsTestPass : " + UIAlwaysMicOnSoundTrigger.this.IsTestPass);
                    UIAlwaysMicOnSoundTrigger.this.hideWaitPopup();
                    if (UIAlwaysMicOnSoundTrigger.this.retryCount != 2 || UIAlwaysMicOnSoundTrigger.this.IsTestPass) {
                        if (!UIAlwaysMicOnSoundTrigger.this.IsTestPass) {
                            if (SemFloatingFeature.getInstance().getInteger("SEC_FLOATING_FEATURE_BIXBY_SUPPORT_CUSTOM_WAKEUP", 0) == 2) {
                                FtUtil.log_i(UIAlwaysMicOnSoundTrigger.this.CLASS_NAME, "WHAT_PLAY_START", "fileName : new_tfm_hibixby");
                                resID = R.raw.new_tfm_hibixby;
                            } else {
                                FtUtil.log_i(UIAlwaysMicOnSoundTrigger.this.CLASS_NAME, "WHAT_PLAY_START", "fileName : higalaxy_k3g_v1");
                                resID = R.raw.higalaxy_k3g_v1;
                            }
                            UIAlwaysMicOnSoundTrigger.mModuleAudio.playMedia(resID, false, UIAlwaysMicOnSoundTrigger.this.mHandler);
                        }
                        UIAlwaysMicOnSoundTrigger.access$208(UIAlwaysMicOnSoundTrigger.this);
                        return;
                    }
                    UIAlwaysMicOnSoundTrigger.this.retryCount = 0;
                    UIAlwaysMicOnSoundTrigger.this.setTestResultFail();
                    return;
                case 1003:
                    UIAlwaysMicOnSoundTrigger.this.lcdOn();
                    UIAlwaysMicOnSoundTrigger.this.mHandler.sendEmptyMessageDelayed(1004, 500);
                    return;
                case 1004:
                    UIAlwaysMicOnSoundTrigger.this.endTest();
                    UIAlwaysMicOnSoundTrigger.this.finish();
                    return;
                case 1005:
                    if (!UIAlwaysMicOnSoundTrigger.this.isFinishing() && UIAlwaysMicOnSoundTrigger.this.testResultView != null) {
                        UIAlwaysMicOnSoundTrigger.this.testResultView.setTextColor(-65536);
                        UIAlwaysMicOnSoundTrigger.this.testResultView.setText("FAIL");
                        FtUtil.log_d(UIAlwaysMicOnSoundTrigger.this.CLASS_NAME, "handleMessage", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(68), "Fail - Update fail"));
                        UIAlwaysMicOnSoundTrigger uIAlwaysMicOnSoundTrigger = UIAlwaysMicOnSoundTrigger.this;
                        uIAlwaysMicOnSoundTrigger.setTestResultFailCase(uIAlwaysMicOnSoundTrigger.TEST_ID);
                        return;
                    }
                    return;
                case 1006:
                    UIAlwaysMicOnSoundTrigger.this.wakeUpVoice();
                    return;
                default:
                    return;
            }
        }
    };
    private boolean mIsEndTestCalled = false;
    private int mOldVolume;
    private AlwaysMicOnSoundTriggerService mService = null;
    private Timer mTimer = null;
    private int retryCount = 0;
    private TextView testResultView;
    private ProgressDialog waitPopup = null;

    static /* synthetic */ int access$208(UIAlwaysMicOnSoundTrigger x0) {
        int i = x0.retryCount;
        x0.retryCount = i + 1;
        return i;
    }

    public UIAlwaysMicOnSoundTrigger() {
        super(TAG, 68);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        this.TEST_ID = getIntent().getIntExtra("testID", 68);
        setAtCmd(getIntent().getBooleanExtra("mIsAtCmd", false));
        setContentView(R.layout.ui_alwaysmicon);
        if (this.TEST_ID == 69) {
            ((TextView) findViewById(R.id.alwaysmictitle)).setText("Always On Earmic");
        }
        this.testResultView = (TextView) findViewById(R.id.alwaysmicpassfail);
        Button button = (Button) findViewById(R.id.exit_button);
        this.exitButton = button;
        button.setOnClickListener(this);
        ModulePower modulePower = mModulePower;
        if (modulePower == null) {
            modulePower = ModulePower.instance(getApplicationContext());
        }
        mModulePower = modulePower;
        ModuleAudio moduleAudio = mModuleAudio;
        if (moduleAudio == null) {
            moduleAudio = ModuleAudio.instance(getApplicationContext());
        }
        mModuleAudio = moduleAudio;
        ModuleDevice moduleDevice = mModuleDevice;
        if (moduleDevice == null) {
            moduleDevice = ModuleDevice.instance(getApplicationContext());
        }
        mModuleDevice = moduleDevice;
        this.mOldVolume = mModuleAudio.getStreamMusicVolume();
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "initialize", "mOldVolume = " + this.mOldVolume);
        mModuleAudio.setStreamMusicVolume(Support.Spec.getInt(Support.Spec.ALWAYSON_MIC_VOLUME));
        this.waitPopup = ProgressDialog.show(this, "", "Model file load     ", true);
        startService(new Intent(getBaseContext(), AlwaysMicOnSoundTriggerService.class));
        bindService(new Intent(this, AlwaysMicOnSoundTriggerService.class), this.mConnection, 1);
        this.mHandler.sendEmptyMessageDelayed(1001, 500);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        AlwaysMicOnSoundTriggerService alwaysMicOnSoundTriggerService = this.mService;
        if (alwaysMicOnSoundTriggerService != null) {
            alwaysMicOnSoundTriggerService.setUserActivity(null);
            unbindService(this.mConnection);
        }
        stopService(new Intent(getBaseContext(), AlwaysMicOnSoundTriggerService.class));
        FtUtil.log_i(this.CLASS_NAME, "onDestroy()");
        if (!this.mIsEndTestCalled) {
            FtUtil.log_d(this.CLASS_NAME, "onDestroy", "endTest is not called");
            endTest();
        }
        super.onDestroy();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void enable() {
        if (this.mService == null) {
            FtUtil.log_i(this.CLASS_NAME, "Could not load sound model: not bound to AlwaysMicOnSoundTriggerService");
            return;
        }
        if (mModuleAudio.isEarphonePlugged()) {
            mModuleAudio.setAudioPath(0);
        }
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "enable", "loadModel and startRecognition : uuid[" + mSelectedModelUuid + "]");
        this.mService.loadModel(mSelectedModelUuid);
    }

    private void disable() {
        if (this.mService == null) {
            FtUtil.log_i(this.CLASS_NAME, "Can't stop recognition: not bound to AlwaysMicOnSoundTriggerService");
        } else {
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "disable", "unloadModel : uuid[" + mSelectedModelUuid + "]");
            this.mService.stopRecognition(mSelectedModelUuid);
            this.mService.unloadModel(mSelectedModelUuid);
        }
        mModuleAudio.setAudioPath(4);
    }

    public void wakeUpVoice() {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "wakeUpVoice", "startRecognition : uuid[" + mSelectedModelUuid + "]");
        this.mService.startRecognition(mSelectedModelUuid);
        mModuleAudio.stopMedia();
        this.IsTestPass = true;
        this.testResultView.setTextColor(UiHallICTest.FONT_COLOR_PASS);
        this.testResultView.setText("PASS");
        setTestResult((byte) 80);
        setResult(-1);
        this.mHandler.sendEmptyMessage(1003);
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.exit_button:
                FtUtil.log_i(this.CLASS_NAME, "onClick", "exit_button Click");
                endTest();
                finish();
                return;
            default:
                return;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void hideWaitPopup() {
        if (this.waitPopup != null) {
            FtUtil.log_i(this.CLASS_NAME, "hideWaitPopup()", "hideWaitPopup by force");
            if (this.waitPopup.isShowing()) {
                this.waitPopup.dismiss();
            }
            this.waitPopup = null;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void endTest() {
        FtUtil.log_i(this.CLASS_NAME, "endTest()");
        hideWaitPopup();
        disable();
        mModuleAudio.stopMedia();
        mModuleAudio.setStreamMusicVolume(this.mOldVolume);
        if (!mModulePower.isScreenOn()) {
            lcdOn();
        }
        Timer timer = this.mTimer;
        if (timer != null) {
            timer.cancel();
        }
        mModulePower.doPartialWakeLock(false);
        mModulePower.doWakeLock(false);
        this.mHandler.removeMessages(1001);
        this.mHandler.removeMessages(1002);
        this.mHandler.removeMessages(1003);
        this.mHandler.removeMessages(1004);
        this.mHandler.removeMessages(1006);
        this.mIsEndTestCalled = true;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setTestResultFail() {
        FtUtil.log_e(this.CLASS_NAME, "setTestResultFail", null);
        hideWaitPopup();
        mModuleAudio.stopMedia();
        this.mHandler.sendEmptyMessage(1005);
        this.mHandler.sendEmptyMessage(1003);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void lcdOn() {
        mModulePower.doWakeLock(true);
        mModulePower.doPartialWakeLock(false);
        mModulePower.setScreenState(true);
    }

    @Override // com.sec.factory.app.ui.AlwaysMicOnSoundTriggerService.UserActivity
    public void addModel(UUID modelUuid, String name) {
        FtUtil.log_d(this.CLASS_NAME, "addModel()", modelUuid.toString());
        mSelectedModelUuid = modelUuid;
    }

    @Override // com.sec.factory.app.ui.AlwaysMicOnSoundTriggerService.UserActivity
    public void handleDetection(UUID modelUuid) {
        this.mHandler.sendEmptyMessage(1006);
    }
}
