package com.sec.factory.app.ui;

import android.content.Context;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.MotionEvent;
import android.widget.TextView;
import android.widget.Toast;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.modules.ModuleForceTouch;
import com.sec.factory.modules.ModulePower;
import com.sec.factory.modules.ModuleTouchScreen;
import com.sec.factory.modules.TspAllNodeCheck;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.FileReader;

public class UIAlwaysOnTouch extends UIBase {
    private static final String CLASS_NAME = "UIAlwaysOnTouch";
    private static ModulePower mModulePower = null;
    private final int ID_SEMI = 2037;
    private String ResourcePath = "";
    private final long TSP_STATUS_RUNNING_TIME_OUT = 1000;
    private final String TSP_STATUS__COMMON__FAIL = "FAIL";
    private final String TSP_STATUS__COMMON__NOT_APPLICABLE = "NOT_APPLICABLE";
    private final String TSP_STATUS__COMMON__OK = "OK";
    private final String TSP_STATUS__COMMON__RUNNING = ModuleForceTouch.RUNNING;
    private int TestID = -1;
    public final int WHAT_SHOW_ERROR_MSG = 1004;
    public final int WHAT_START_TSP_TEST = 1002;
    public final int WHAT_TEST_FINISH = 1003;
    public final int WHAT_TEST_START = 1000;
    public final int WHAT_UPDATE_NV = 1005;
    public final int WHAT_UPDATE_UI = 1001;
    private String command = "factory_lcdoff_cmd_result_all";
    private String invalidDataType = "";
    private boolean isCheckAllNodeSpec;
    private boolean isPass = false;
    private boolean isTouched = false;
    public Context mContext;
    private boolean mFlagTestFinish = false;
    public Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UIAlwaysOnTouch.AnonymousClass1 */

        public void handleMessage(Message msg) {
            if (msg.what == 1000) {
                if (!UIAlwaysOnTouch.this.isTouched) {
                    FtUtil.log_d(UIAlwaysOnTouch.CLASS_NAME, "mHandler.handleMessage", "WHAT_TEST_START");
                    UIAlwaysOnTouch.this.lcdOff();
                    UIAlwaysOnTouch.this.mHandler.sendEmptyMessageDelayed(1002, 1500);
                    return;
                }
                Toast.makeText(UIAlwaysOnTouch.this.getApplicationContext(), "Touched, Test Fail", 0).show();
                FtUtil.log_e(UIAlwaysOnTouch.CLASS_NAME, "mHandler.handleMessage", "Test Fail - Occured touch event");
                UIAlwaysOnTouch.this.finish();
            } else if (msg.what == 1002) {
                FtUtil.log_d(UIAlwaysOnTouch.CLASS_NAME, "mHandler.handleMessage", "WHAT_START_TSP_TEST");
                UIAlwaysOnTouch.this.startTSPTest();
            } else if (msg.what == 1001) {
                FtUtil.log_d(UIAlwaysOnTouch.CLASS_NAME, "mHandler.handleMessage", "WHAT_UPDATE_UI");
                UIAlwaysOnTouch.this.lcdOn();
                UIAlwaysOnTouch.this.updateUI();
            } else if (msg.what == 1004) {
                FtUtil.log_d(UIAlwaysOnTouch.CLASS_NAME, "mHandler.handleMessage", "WHAT_SHOW_ERROR_MSG");
                UIAlwaysOnTouch.this.lcdOn();
                UIAlwaysOnTouch.this.showErrorData("Spec or Data not ready");
                UIAlwaysOnTouch.this.mHandler.sendEmptyMessage(1003);
            } else if (msg.what == 1003) {
                FtUtil.log_d(UIAlwaysOnTouch.CLASS_NAME, "mHandler.handleMessage", "WHAT_TEST_FINISH");
                UIAlwaysOnTouch.this.testFinish();
            }
        }
    };
    private int mLcdType;
    private tspItemManager mManager = null;
    private ModuleDevice mModuleDevice;
    private ModuleTouchScreen mModuleTouchScreen = null;
    private TextView mTextViewData;
    private TextView mTextViewFailItems;
    private TextView mTextViewResult;
    private TspAllNodeCheck mTspAllNodeCheck;
    private String mismatchItem = "";
    private String resData = null;
    private String specInfo;
    private String status = null;

    public UIAlwaysOnTouch() {
        super(CLASS_NAME);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        this.TestID = getIntent().getIntExtra("testID", -1);
        setAtCmd(getIntent().getBooleanExtra("mIsAtCmd", false));
        setContentView(R.layout.ui_always_on_touch);
        FtUtil.setRemoveSystemUI(getWindow(), true);
        this.mTextViewData = (TextView) findViewById(R.id.all_data);
        this.mTextViewResult = (TextView) findViewById(R.id.result);
        this.mTextViewFailItems = (TextView) findViewById(R.id.fail_items);
        setUIRate();
        if (mModulePower == null) {
            mModulePower = ModulePower.instance(this);
        }
        this.mContext = getApplicationContext();
        this.mTextViewData.setText("Loading TSP Data......");
        init();
        this.mHandler.sendEmptyMessageDelayed(1000, 300);
    }

    public void init() {
        ModuleDevice instance = ModuleDevice.instance(this);
        this.mModuleDevice = instance;
        instance.setEPenDisableMode(true);
        Support.Kernel.write(Support.Kernel.TSP_COMMAND_CMD, "incell_power_control,1");
        TspAllNodeCheck tspAllNodeCheck = new TspAllNodeCheck(this.TestID);
        this.mTspAllNodeCheck = tspAllNodeCheck;
        this.isCheckAllNodeSpec = tspAllNodeCheck.ischeckAllNodeSpec();
        FtUtil.log_i(CLASS_NAME, "init", "isCheckAllNodeSpec = " + this.isCheckAllNodeSpec);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void startTSPTest() {
        FtUtil.log_d(CLASS_NAME, "startTSPTest", "");
        new Thread(new Runnable() {
            /* class com.sec.factory.app.ui.UIAlwaysOnTouch.AnonymousClass2 */

            public void run() {
                String[] specData = UIAlwaysOnTouch.this.getSpecData();
                if (specData == null) {
                    UIAlwaysOnTouch.this.mHandler.sendEmptyMessage(1004);
                    return;
                }
                String[] tspData = UIAlwaysOnTouch.this.getTspData();
                if (tspData == null) {
                    UIAlwaysOnTouch.this.mHandler.sendEmptyMessage(1004);
                    return;
                }
                UIAlwaysOnTouch.this.saveSpecToManager(specData);
                UIAlwaysOnTouch.this.saveTspDataToManager(tspData);
                if (UIAlwaysOnTouch.this.mManager.checkAllSpecHaveData()) {
                    UIAlwaysOnTouch.this.mManager.startTest();
                    if (UIAlwaysOnTouch.this.isCheckAllNodeSpec) {
                        UIAlwaysOnTouch.this.mTspAllNodeCheck.setTagName("TSP_AOT_ALL_NODE");
                        UIAlwaysOnTouch.this.mTspAllNodeCheck.testStart();
                        UIAlwaysOnTouch uIAlwaysOnTouch = UIAlwaysOnTouch.this;
                        uIAlwaysOnTouch.isPass = uIAlwaysOnTouch.mManager.getResult() && UIAlwaysOnTouch.this.mTspAllNodeCheck.getResult();
                    } else {
                        UIAlwaysOnTouch uIAlwaysOnTouch2 = UIAlwaysOnTouch.this;
                        uIAlwaysOnTouch2.isPass = uIAlwaysOnTouch2.mManager.getResult();
                    }
                    UIAlwaysOnTouch.this.mHandler.sendEmptyMessage(1001);
                    UIAlwaysOnTouch.this.testFinish();
                    return;
                }
                UIAlwaysOnTouch uIAlwaysOnTouch3 = UIAlwaysOnTouch.this;
                uIAlwaysOnTouch3.showErrorData("Spec file and driver data mismatch (" + UIAlwaysOnTouch.this.mismatchItem + ")");
                UIAlwaysOnTouch.this.mHandler.sendEmptyMessage(1003);
            }
        }).start();
    }

    public String[] getTspItems(String data) {
        FtUtil.log_d(CLASS_NAME, "getTspItems", "");
        String[] items = data.split(" ");
        String[] tspItems = new String[(items.length - 1)];
        for (int i = 1; i < items.length; i++) {
            tspItems[i - 1] = items[i];
        }
        return tspItems;
    }

    public String[] getTspData() {
        if (!Support.Kernel.write(Support.Kernel.TSP_COMMAND_CMD, this.command)) {
            showErrorData("Reading TSP Data FAIL - WRITE");
            return null;
        } else if (checkStatus(Support.Kernel.TSP_COMMAND_STATUS_ALL)) {
            String read = Support.Kernel.read(Support.Kernel.TSP_COMMAND_RESULT_ALL);
            this.resData = read;
            if (checkValidData(read)) {
                return getTspItems(this.resData);
            }
            showErrorData("Reading TSP Data FAIL - InvalidData : " + this.invalidDataType);
            return null;
        } else {
            this.resData = Support.Kernel.read(Support.Kernel.TSP_COMMAND_RESULT_ALL);
            showErrorData("Reading TSP Data FAIL - STATUS");
            return null;
        }
    }

    public String[] getSpecData() {
        String strReadLine;
        String strReadLine2;
        FtUtil.log_d(CLASS_NAME, "getSpecData", "");
        String filePath = Support.Kernel.getFilePath(Support.Kernel.PATH_TSP_ALL_NODE_SPEC) + "TSP1_SPEC_15.txt";
        FtUtil.log_i(CLASS_NAME, "getSpecData", "filePath : " + filePath);
        try {
            BufferedReader reader = new BufferedReader(new FileReader(filePath));
            do {
                strReadLine = reader.readLine();
                if (strReadLine == null) {
                    break;
                }
            } while (!strReadLine.contains("TSP_AOT_SELFTEST"));
            if (strReadLine == null) {
                return null;
            }
            this.specInfo = reader.readLine().trim();
            if (strReadLine.contains("DUAL")) {
                String strLcdType = Support.Kernel.read(Support.Kernel.LCD_TYPE_PATH);
                do {
                    strReadLine2 = reader.readLine();
                    if (strReadLine2 == null) {
                        break;
                    }
                } while (!checkModuleID(strReadLine2, strLcdType));
                if (strReadLine2 == null) {
                    return null;
                }
            }
            int specCount = Integer.parseInt(reader.readLine().trim());
            FtUtil.log_d(CLASS_NAME, "getSpecData", "specCount : " + specCount + ", specInfo : " + this.specInfo);
            String[] resSpec = new String[specCount];
            int i = 0;
            while (i < specCount) {
                String strLine = reader.readLine().trim();
                if (strLine.startsWith("#")) {
                    FtUtil.log_i(CLASS_NAME, "getSpecData", strLine);
                    i--;
                } else {
                    resSpec[i] = strLine;
                    FtUtil.log_i(CLASS_NAME, "getSpecData", "resSpec[" + (i + 1) + "] : " + resSpec[i]);
                }
                i++;
            }
            return resSpec;
        } catch (FileNotFoundException e) {
            FtUtil.log_e(CLASS_NAME, "getSpecData", "FileNotFoundException");
            return null;
        } catch (Exception e2) {
            e2.printStackTrace();
            return null;
        }
    }

    private boolean checkModuleID(String strFile, String strDriver) {
        String strFile2 = strFile.trim();
        if (!strFile2.startsWith("<") || !strFile2.endsWith(">")) {
            return false;
        }
        FtUtil.log_d(CLASS_NAME, "checkModuleID", "strFile : " + strFile2);
        String strFile3 = strFile2.replace("<", "").replace(">", "");
        char[] file = strFile3.toCharArray();
        char[] driver = strDriver.toCharArray();
        if (file.length != driver.length) {
            return false;
        }
        for (int i = 0; i < file.length; i++) {
            if (!(file[i] == '*' || file[i] == driver[i])) {
                return false;
            }
        }
        FtUtil.log_d(CLASS_NAME, "checkModuleID", "ModuleID from Spec  : " + strFile3);
        FtUtil.log_d(CLASS_NAME, "checkModuleID", "ModuleID from Sysfs : " + strDriver);
        return true;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void showErrorData(String text) {
        FtUtil.log_e(CLASS_NAME, "showErrorData", "text : " + text);
        if (this.mTextViewData != null) {
            FtUtil.log_d(CLASS_NAME, "showErrorData", "call mTextViewData.setText");
            this.mTextViewData.setText(text);
        }
    }

    public void saveSpecToManager(String[] specItems) {
        FtUtil.log_d(CLASS_NAME, "saveDataToManager", "");
        tspItemManager tspitemmanager = new tspItemManager(specItems.length, this.TestID == 2037);
        this.mManager = tspitemmanager;
        tspitemmanager.saveSpecs(specItems);
    }

    public void saveTspDataToManager(String[] tspItems) {
        this.mManager.saveTspDatas(tspItems);
    }

    public void testStart() {
        FtUtil.log_d(CLASS_NAME, "testStart", "");
        if (this.mManager.checkAllSpecHaveData()) {
            this.mManager.startTest();
            return;
        }
        showErrorData("Spec file and driver data mismatch (" + this.mismatchItem + ")");
    }

    public boolean checkValidData(String data) {
        FtUtil.log_d(CLASS_NAME, "checkValidData", "");
        if (data == null) {
            FtUtil.log_d(CLASS_NAME, "checkValidData", "Fail - Data is null");
            return false;
        }
        String[] items = data.split(" ");
        if (Integer.parseInt(items[0]) == items.length - 1) {
            return true;
        }
        FtUtil.log_e(CLASS_NAME, "checkValidData", "Fail - Data count mismatch");
        this.invalidDataType = "Data count mismatch";
        return false;
    }

    public int getItemCount(String data) {
        int count = Integer.parseInt(data.split(" ")[0]);
        FtUtil.log_d(CLASS_NAME, "getItemCount", "count : " + count);
        return count;
    }

    public boolean checkStatus(String statusPath) {
        String mStatus = Support.Kernel.read(statusPath);
        if (mStatus == null) {
            FtUtil.log_e(CLASS_NAME, "checkStatus", "mStatus == null");
        } else if (mStatus.equals("FAIL")) {
            FtUtil.log_e(CLASS_NAME, "checkStatus", "mStatus == fail");
        } else if (mStatus.equals("NOT_APPLICABLE")) {
            FtUtil.log_e(CLASS_NAME, "checkStatus", "mStatus == not applicable");
        } else if (mStatus.equals(ModuleForceTouch.RUNNING)) {
            FtUtil.log_w(CLASS_NAME, "checkStatus", "mStatus == " + mStatus);
            long timeStart = System.currentTimeMillis();
            while (true) {
                mStatus = Support.Kernel.read(statusPath);
                if (mStatus != null && mStatus.equals("OK")) {
                    FtUtil.log_i(CLASS_NAME, "checkStatus", "finish => " + System.currentTimeMillis());
                    break;
                } else if (1000 < System.currentTimeMillis() - timeStart) {
                    FtUtil.log_e(CLASS_NAME, "checkStatus", "finish => Time Out(1000)");
                    mStatus = "FAIL";
                    break;
                } else {
                    try {
                        Thread.sleep(100);
                    } catch (InterruptedException e) {
                    }
                }
            }
        }
        if (mStatus.equals("OK")) {
            FtUtil.log_i(CLASS_NAME, "checkStatus", "mStatus == ok");
            return true;
        }
        FtUtil.log_e(CLASS_NAME, "checkStatus", "mStatus == Unknown : " + mStatus);
        return false;
    }

    private void setUIRate() {
        if (ModuleTouchScreen.TSP_DEVICE_TYPE__TABLET.equalsIgnoreCase(Support.Feature.getString(Support.Feature.DEVICE_TYPE))) {
            FtUtil.log_i(CLASS_NAME, "setUIRate", "");
            TextView textView = this.mTextViewData;
            textView.setTextSize(0, textView.getTextSize() * 1.5f);
            TextView textView2 = this.mTextViewResult;
            textView2.setTextSize(0, textView2.getTextSize() * 1.5f);
            TextView textView3 = this.mTextViewFailItems;
            textView3.setTextSize(0, textView3.getTextSize() * 1.5f);
        }
    }

    public void updateUI() {
        FtUtil.log_i(CLASS_NAME, "updateUI", "");
        String displayItemsStr = (this.specInfo + "\n") + this.mManager.displayItems();
        if (this.isCheckAllNodeSpec) {
            displayItemsStr = displayItemsStr + this.mTspAllNodeCheck.displayAllNodeResult();
        }
        this.mTextViewData.setText(displayItemsStr);
        if (this.isPass) {
            this.mTextViewResult.setText("PASS");
            this.mTextViewResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            return;
        }
        this.mTextViewResult.setText("FAIL");
        this.mTextViewResult.setTextColor(-65536);
        String failItemsStr = this.mManager.getFailItems();
        if (this.isCheckAllNodeSpec) {
            failItemsStr = failItemsStr + this.mTspAllNodeCheck.getFailAllNodeItems();
        }
        this.mTextViewFailItems.setText(failItemsStr);
    }

    public boolean onTouchEvent(MotionEvent event) {
        super.onTouchEvent(event);
        FtUtil.log_d(CLASS_NAME, "onTouchEvent", null);
        this.isTouched = true;
        if (this.mFlagTestFinish && !this.isPass) {
            FtUtil.log_e(CLASS_NAME, "onTouchEvent", "Test Fail - finish");
            finish();
        }
        return true;
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
    }

    public void testFinish() {
        Support.Kernel.write(Support.Kernel.TSP_COMMAND_CMD, "incell_power_control,0");
        if (this.isPass) {
            FtUtil.log_d(CLASS_NAME, "testFinish", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(FactoryTestManager.TEST_ALWAYS_ON_TOUCH), "PASS"));
            try {
                Thread.sleep(1000);
            } catch (InterruptedException e) {
            }
            setResult(-1);
            Context context = this.mContext;
            if (context != null) {
                SharedPreferences.Editor editor = context.getSharedPreferences("ALWAYS_ON_TOUCH_TEST_RESULT", 0).edit();
                editor.putString("ALWAYS_ON_TOUCH_RESULT", "PASS");
                editor.putString("ALWAYS_ON_TOUCH_RESULT_DATA", this.mManager.getFileStrList());
                editor.commit();
            }
            finish();
        } else {
            FtUtil.log_d(CLASS_NAME, "testFinish", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(FactoryTestManager.TEST_ALWAYS_ON_TOUCH), "FAIL"));
            setTestResultFailCase(this.TestID);
            setResult(0);
            Context context2 = this.mContext;
            if (context2 != null) {
                SharedPreferences.Editor editor2 = context2.getSharedPreferences("ALWAYS_ON_TOUCH_TEST_RESULT", 0).edit();
                editor2.putString("ALWAYS_ON_TOUCH_RESULT", "FAIL");
                tspItemManager tspitemmanager = this.mManager;
                if (tspitemmanager != null) {
                    editor2.putString("ALWAYS_ON_TOUCH_RESULT_DATA", tspitemmanager.getFileStrList());
                } else {
                    editor2.putString("ALWAYS_ON_TOUCH_RESULT_DATA", "TSP READ FAIL");
                }
                editor2.commit();
            }
        }
        this.mModuleDevice.setEPenDisableMode(false);
        this.mFlagTestFinish = true;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void lcdOn() {
        FtUtil.log_d(CLASS_NAME, "lcdOn", "");
        mModulePower.doWakeLock(true);
        mModulePower.doPartialWakeLock(false);
        mModulePower.setScreenState(true);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void lcdOff() {
        FtUtil.log_d(CLASS_NAME, "lcdOff", "");
        mModulePower.doPartialWakeLock(true);
        mModulePower.doWakeLock(false);
        mModulePower.setScreenState(false);
    }

    public class tspItem {
        private boolean isSemi;
        private boolean mCheckMaxMinusMin;
        private boolean mCheckMinMax;
        private boolean mCheckPassFail;
        private boolean mHasDataFromDriver;
        private String mIdx;
        private boolean mInvisible;
        private int mMax;
        private int mMin;
        private String mName;
        private boolean mResult;
        private boolean mSkipCheckPassFail;
        private int mSpecMax;
        private int mSpecMaxMinusMin;
        private int mSpecMin;
        private String mSpecValue;
        private String mValue;

        public tspItem() {
        }

        public tspItem(boolean semi) {
            this.mIdx = "0";
            this.mName = "N/A";
            this.mCheckPassFail = false;
            this.mCheckMinMax = false;
            this.mCheckMaxMinusMin = false;
            this.mResult = false;
            this.mSkipCheckPassFail = false;
            this.mInvisible = false;
            this.mHasDataFromDriver = false;
            if (semi) {
                this.isSemi = true;
            } else {
                this.isSemi = false;
            }
        }

        public void setSpec(int idx, String name, String specValue) {
            this.mIdx = Integer.toString(idx + 1);
            this.mName = name;
            this.mSpecValue = specValue;
            if (specValue.equals("NA")) {
                this.mSkipCheckPassFail = true;
            } else {
                this.mCheckPassFail = true;
            }
            FtUtil.log_d(UIAlwaysOnTouch.CLASS_NAME, "setSpec", "Name : " + this.mName + " value : " + this.mSpecValue);
        }

        public void setSpec(int idx, String name, String min, String max) {
            this.mIdx = Integer.toString(idx + 1);
            this.mName = name;
            this.mSpecMin = Integer.parseInt(min);
            this.mSpecMax = Integer.parseInt(max);
            this.mCheckMinMax = true;
            FtUtil.log_d(UIAlwaysOnTouch.CLASS_NAME, "setSpec", "Name : " + this.mName + " min : " + min + ", max : " + max);
        }

        public void setSpec(int idx, String name, String min, String max, String maxMiusMin) {
            this.mIdx = Integer.toString(idx + 1);
            this.mName = name;
            this.mSpecMin = Integer.parseInt(min);
            this.mSpecMax = Integer.parseInt(max);
            this.mSpecMaxMinusMin = Integer.parseInt(maxMiusMin);
            this.mCheckMinMax = true;
            this.mCheckMaxMinusMin = true;
            FtUtil.log_d(UIAlwaysOnTouch.CLASS_NAME, "setSpec", "Name : " + this.mName + " min : " + min + ", max : " + max + ", max-min : " + maxMiusMin);
        }

        public String getSpecStr() {
            if (this.mSkipCheckPassFail) {
                return this.mIdx + ". " + getName();
            } else if (this.mCheckPassFail) {
                return this.mIdx + ". " + getName();
            } else {
                boolean z = this.mCheckMinMax;
                if (z && this.mCheckMaxMinusMin) {
                    return this.mIdx + ". " + getName() + " (Spec : " + this.mSpecMin + " ~ " + this.mSpecMax + ", Max-Min : " + this.mSpecMaxMinusMin + ")";
                } else if (z) {
                    return this.mIdx + ". " + getName() + " (Spec : " + this.mSpecMin + " ~ " + this.mSpecMax + ")";
                } else {
                    return this.mIdx + ". " + getName();
                }
            }
        }

        public String getValueStr() {
            boolean z = this.mCheckMinMax;
            if (z && this.mCheckMaxMinusMin) {
                return "    Result : " + this.mMin + " ~ " + this.mMax + ", Max-Min : " + Integer.toString(this.mMax - this.mMin);
            } else if (z) {
                return "    Result : " + this.mMin + " ~ " + this.mMax;
            } else if (this.mCheckPassFail) {
                StringBuilder sb = new StringBuilder();
                sb.append("    Result : ");
                sb.append(this.mResult ? "PASS" : "FAIL");
                return sb.toString();
            } else {
                return "    Result : " + this.mValue;
            }
        }

        public String getFileStr() {
            if (!this.mCheckPassFail) {
                boolean z = this.mCheckMinMax;
                if (z && this.mCheckMaxMinusMin) {
                    return this.mMin + "," + this.mMax + "," + (this.mMax - this.mMin);
                } else if (!z) {
                    return this.mValue;
                } else {
                    return this.mMin + "," + this.mMax;
                }
            } else if (this.mResult) {
                return "PASS";
            } else {
                return "FAIL";
            }
        }

        public void setPassFail() {
            int i;
            if (this.mSkipCheckPassFail) {
                this.mResult = true;
            } else if (!this.mCheckPassFail) {
                boolean z = this.mCheckMinMax;
                if (z && this.mCheckMaxMinusMin) {
                    int i2 = this.mMin;
                    if (i2 < this.mSpecMin || (i = this.mMax) > this.mSpecMax || i - i2 >= this.mSpecMaxMinusMin) {
                        FtUtil.log_e(UIAlwaysOnTouch.CLASS_NAME, "setPassFail", "FAIL! ItemName : " + getName() + " (Spec : " + this.mSpecMin + " ~ " + this.mSpecMax + ", Max-Min : " + this.mSpecMaxMinusMin + ")");
                        StringBuilder sb = new StringBuilder();
                        sb.append("FAIL! ItemName : ");
                        sb.append(getName());
                        sb.append(" min : ");
                        sb.append(this.mMin);
                        sb.append(" max : ");
                        sb.append(this.mMax);
                        sb.append(", Max-Min : ");
                        sb.append(this.mMax - this.mMin);
                        FtUtil.log_e(UIAlwaysOnTouch.CLASS_NAME, "setPassFail", sb.toString());
                        this.mResult = false;
                    } else {
                        this.mResult = true;
                    }
                } else if (z) {
                    if ("NG".equals(this.mValue)) {
                        this.mResult = false;
                        FtUtil.log_e(UIAlwaysOnTouch.CLASS_NAME, "setPassFail", "FAIL! ItemName : " + getName() + " (Spec : " + this.mSpecMin + " ~ " + this.mSpecMax + ")");
                        StringBuilder sb2 = new StringBuilder();
                        sb2.append("FAIL! ItemName : ");
                        sb2.append(getName());
                        sb2.append(" Value : ");
                        sb2.append(this.mValue);
                        FtUtil.log_e(UIAlwaysOnTouch.CLASS_NAME, "setPassFail", sb2.toString());
                    } else if (this.mMin < this.mSpecMin || this.mMax > this.mSpecMax) {
                        FtUtil.log_e(UIAlwaysOnTouch.CLASS_NAME, "setPassFail", "FAIL! ItemName : " + getName() + " (Spec : " + this.mSpecMin + " ~ " + this.mSpecMax + ")");
                        StringBuilder sb3 = new StringBuilder();
                        sb3.append("FAIL! ItemName : ");
                        sb3.append(getName());
                        sb3.append(" min : ");
                        sb3.append(this.mMin);
                        sb3.append(" max : ");
                        sb3.append(this.mMax);
                        FtUtil.log_e(UIAlwaysOnTouch.CLASS_NAME, "setPassFail", sb3.toString());
                        this.mResult = false;
                    } else {
                        this.mResult = true;
                    }
                }
            } else if (this.mSpecValue.equals(this.mValue)) {
                this.mResult = true;
            } else {
                FtUtil.log_e(UIAlwaysOnTouch.CLASS_NAME, "setPassFail", "FAIL! ItemName : " + getName() + " (Spec : " + this.mSpecValue + ")");
                StringBuilder sb4 = new StringBuilder();
                sb4.append("FAIL! ItemName : ");
                sb4.append(getName());
                sb4.append(" Value : ");
                sb4.append(this.mValue);
                FtUtil.log_e(UIAlwaysOnTouch.CLASS_NAME, "setPassFail", sb4.toString());
                this.mResult = false;
            }
            StringBuilder sb5 = new StringBuilder();
            sb5.append("ItemName : ");
            sb5.append(getName());
            sb5.append(" result : ");
            sb5.append(this.mResult ? "PASS" : "FAIL");
            FtUtil.log_d(UIAlwaysOnTouch.CLASS_NAME, "setPassFail", sb5.toString());
        }

        public String getResultString() {
            if (this.mInvisible) {
                return "";
            }
            return getSpecStr() + "\n" + getValueStr() + "\n";
        }

        public String getPassFailStr() {
            if (this.mSkipCheckPassFail) {
                return "";
            }
            return this.mResult ? "PASS" : "FAIL";
        }

        public String getName() {
            return this.mName;
        }
    }

    public class tspItemManager {
        String failItems;
        int idx;
        private tspItem[] itemList;
        int mSize;
        String saveFileStr;

        public tspItemManager() {
        }

        public tspItemManager(int size, boolean semi) {
            FtUtil.log_d(UIAlwaysOnTouch.CLASS_NAME, "tspItemManager", "size : " + size + ", semi : " + semi);
            this.mSize = size;
            this.failItems = "";
            this.saveFileStr = "";
            this.itemList = new tspItem[size];
            for (int i = 0; i < size; i++) {
                this.itemList[i] = new tspItem(semi);
            }
            this.idx = 0;
        }

        public void saveSpecs(String[] items) {
            FtUtil.log_d(UIAlwaysOnTouch.CLASS_NAME, "saveSpecs", "");
            for (int i = 0; i < this.mSize; i++) {
                String[] values = items[i].split(":");
                try {
                    if (!values[1].contains(",")) {
                        this.itemList[i].setSpec(i, values[0], values[1]);
                    } else {
                        String[] minMax = values[1].split(",");
                        if (minMax.length == 2) {
                            this.itemList[i].setSpec(i, values[0], minMax[0], minMax[1]);
                        } else if (minMax.length == 3) {
                            this.itemList[i].setSpec(i, values[0], minMax[0], minMax[1], minMax[2]);
                        }
                    }
                } catch (Exception e) {
                    FtUtil.log_e(e);
                    FtUtil.log_e(UIAlwaysOnTouch.CLASS_NAME, "saveSpecs", "Can not save item, please check the value of cmd_result_all");
                    FtUtil.log_e(UIAlwaysOnTouch.CLASS_NAME, "saveSpecs", "i : " + i + ", " + items[i]);
                    this.itemList[i].setSpec(i, values[0], "NULL");
                    this.itemList[i].mResult = false;
                }
            }
        }

        public void saveTspDatas(String[] tspAllData) {
            boolean isMinMax;
            FtUtil.log_d(UIAlwaysOnTouch.CLASS_NAME, "saveTspDatas", "");
            String min = null;
            String max = null;
            for (String tspData : tspAllData) {
                String name = tspData.split(":")[0];
                String data = tspData.split(":")[1];
                if (data.contains(",")) {
                    String[] minMax = data.split(",");
                    min = minMax[0];
                    max = minMax[1];
                    isMinMax = true;
                } else {
                    isMinMax = false;
                }
                int j = 0;
                while (true) {
                    tspItem[] tspitemArr = this.itemList;
                    if (j >= tspitemArr.length) {
                        break;
                    }
                    if (tspitemArr[j].mName.equals(name)) {
                        this.itemList[j].mHasDataFromDriver = true;
                        if (isMinMax) {
                            this.itemList[j].mMin = Integer.parseInt(min);
                            this.itemList[j].mMax = Integer.parseInt(max);
                            this.itemList[j].mCheckMinMax = true;
                        } else {
                            this.itemList[j].mValue = data;
                        }
                    }
                    j++;
                }
            }
        }

        public boolean checkAllSpecHaveData() {
            FtUtil.log_d(UIAlwaysOnTouch.CLASS_NAME, "checkAllSpecHaveData", "");
            int i = 0;
            while (true) {
                tspItem[] tspitemArr = this.itemList;
                if (i >= tspitemArr.length) {
                    return true;
                }
                if (!tspitemArr[i].mHasDataFromDriver) {
                    FtUtil.log_e(UIAlwaysOnTouch.CLASS_NAME, "checkAllSpecHaveData", "itemName : " + this.itemList[i].mName + " does not exist in data from driver");
                    UIAlwaysOnTouch.this.mismatchItem = this.itemList[i].mName;
                    return false;
                }
                i++;
            }
        }

        public void startTest() {
            FtUtil.log_d(UIAlwaysOnTouch.CLASS_NAME, "startTest", "");
            int i = 0;
            while (true) {
                tspItem[] tspitemArr = this.itemList;
                if (i < tspitemArr.length) {
                    tspitemArr[i].setPassFail();
                    if ("".equals(this.saveFileStr)) {
                        this.saveFileStr = this.itemList[i].getFileStr();
                    } else {
                        this.saveFileStr += "," + this.itemList[i].getFileStr();
                    }
                    i++;
                } else {
                    return;
                }
            }
        }

        public String displayItems() {
            String displayStr = "";
            for (int i = 0; i < this.mSize; i++) {
                displayStr = displayStr + this.itemList[i].getResultString();
            }
            return displayStr;
        }

        public boolean getResult() {
            boolean res = true;
            for (int i = 0; i < this.mSize; i++) {
                if (!this.itemList[i].mResult) {
                    FtUtil.log_e(UIAlwaysOnTouch.CLASS_NAME, "getResult", "Fail Item : " + this.itemList[i].getName());
                    this.failItems += this.itemList[i].getResultString();
                    res = false;
                }
            }
            return res;
        }

        public String getFailItems() {
            return this.failItems;
        }

        public String getFileStrList() {
            return this.saveFileStr;
        }
    }
}
