package com.sec.factory.app.ui;

import android.content.Intent;
import android.content.SharedPreferences;
import android.hardware.Sensor;
import android.hardware.SensorEvent;
import android.hardware.SensorEventListener;
import android.hardware.SensorManager;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.View;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.aporiented.athandler.AtBaromete;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.NVAccessor;
import com.sec.xmldata.support.Support;
import com.sec.xmldata.support.XMLDataStorage;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.text.DecimalFormat;
import java.text.NumberFormat;
import java.util.Arrays;
import java.util.Locale;

public class UIBarometerWaterProofTest extends UIBase implements View.OnClickListener {
    public static final String CLASS_NAME = "UIBarometerWaterProofTest";
    private static final int GET_READ = 0;
    private static final int INIT_PRESSURE = 2;
    private static float PRESSURE_HIGH_THD = Float.MAX_VALUE;
    private static float PRESSURE_LOW_THD = Float.MAX_VALUE;
    private static float PRESSURE_MAX_THD = Float.MAX_VALUE;
    private static final int UPDATE_CURRENT = 1;
    private static final int UPDATE_TIMEOUT = 3;
    private static boolean isOpenspec = false;
    private boolean checkLowerFlag = false;
    private float[] mBaromSensorValues = new float[2];
    private CalculatePressure mCalculatePressure;
    private TextView mCurrentSensorValue;
    private Button mExitButton;
    private Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UIBarometerWaterProofTest.AnonymousClass1 */

        public void handleMessage(Message msg) {
            switch (msg.what) {
                case 0:
                    UIBarometerWaterProofTest.this.mHandler.sendEmptyMessageDelayed(0, 1000);
                    float value = UIBarometerWaterProofTest.this.mBaromSensorValues[0];
                    if (UIBarometerWaterProofTest.this.mCalculatePressure.mGetheringCounter < 1) {
                        FtUtil.log_d("UIBarometerWaterProofTest", "GET_READ", "Get Reference pressure value = " + value);
                        UIBarometerWaterProofTest.this.mCalculatePressure.setValue(value, UIBarometerWaterProofTest.this.mCalculatePressure.mGetheringCounter);
                        CalculatePressure calculatePressure = UIBarometerWaterProofTest.this.mCalculatePressure;
                        calculatePressure.mGetheringCounter = calculatePressure.mGetheringCounter + 1;
                    }
                    if (UIBarometerWaterProofTest.this.preStartFlag || (UIBarometerWaterProofTest.this.preWaterproofTest && UIBarometerWaterProofTest.this.mCalculatePressure.checkTouchedTHD(value))) {
                        UIBarometerWaterProofTest.this.preStartFlag = true;
                        UIBarometerWaterProofTest.this.mHandler.removeMessages(3);
                        float preLeakValue = UIBarometerWaterProofTest.this.mCalculatePressure.getPreLeak(UIBarometerWaterProofTest.this.mBaromSensorValues[0]);
                        FtUtil.log_d("UIBarometerWaterProofTest", "GET_READ", "mGetheringCounter = " + UIBarometerWaterProofTest.this.mCalculatePressure.mGetheringCounter);
                        switch (UIBarometerWaterProofTest.this.mCalculatePressure.mGetheringCounter) {
                            case 4:
                            case 5:
                            case 6:
                                FtUtil.log_d("UIBarometerWaterProofTest", "GET_READ", "Ready, skip pressure value = " + value + ", leak value = " + preLeakValue);
                                if (preLeakValue < -0.01f) {
                                    UIBarometerWaterProofTest.this.setPreWaterProofResult(preLeakValue);
                                    break;
                                }
                                break;
                            case 7:
                                FtUtil.log_d("UIBarometerWaterProofTest", "GET_READ", "6th pressure value=" + value + ", leak value = " + preLeakValue);
                                UIBarometerWaterProofTest.this.setPreWaterProofResult(preLeakValue);
                                break;
                        }
                        UIBarometerWaterProofTest.this.mCalculatePressure.mGetheringCounter++;
                        return;
                    } else if (UIBarometerWaterProofTest.this.startFlag || (!UIBarometerWaterProofTest.this.preWaterproofTest && UIBarometerWaterProofTest.this.mCalculatePressure.checkTouchedTHD(value))) {
                        UIBarometerWaterProofTest.this.startFlag = true;
                        if (UIBarometerWaterProofTest.this.checkLowerFlag || UIBarometerWaterProofTest.this.mCalculatePressure.checkLowerThanTHD(value)) {
                            UIBarometerWaterProofTest.this.checkLowerFlag = true;
                            switch (UIBarometerWaterProofTest.this.mCalculatePressure.mGetheringCounter) {
                                case 1:
                                    FtUtil.log_d("UIBarometerWaterProofTest", "GET_READ", "Ready, skip pressure value = " + value);
                                    break;
                                case 2:
                                    FtUtil.log_d("UIBarometerWaterProofTest", "GET_READ", "Second pressure value=" + value);
                                    UIBarometerWaterProofTest.this.mCalculatePressure.setValue(value, 1);
                                    UIBarometerWaterProofTest.this.setWaterProofResult();
                                    break;
                            }
                            UIBarometerWaterProofTest.this.mCalculatePressure.mGetheringCounter++;
                            return;
                        }
                        return;
                    } else {
                        return;
                    }
                case 1:
                    if (UIBarometerWaterProofTest.PRESSURE_MAX_THD < UIBarometerWaterProofTest.this.mBaromSensorValues[0]) {
                        float unused = UIBarometerWaterProofTest.PRESSURE_MAX_THD = UIBarometerWaterProofTest.this.mBaromSensorValues[0];
                        float unused2 = UIBarometerWaterProofTest.PRESSURE_LOW_THD = UIBarometerWaterProofTest.PRESSURE_MAX_THD - UIBarometerWaterProofTest.this.getDiffPressureValue();
                    }
                    if (UIBarometerWaterProofTest.this.mCalculatePressure.mMAX < UIBarometerWaterProofTest.this.mBaromSensorValues[0]) {
                        UIBarometerWaterProofTest.this.mCalculatePressure.mMAX = UIBarometerWaterProofTest.this.mBaromSensorValues[0];
                    }
                    UIBarometerWaterProofTest.this.mCurrentSensorValue.setText(String.format("%.2f", Float.valueOf(UIBarometerWaterProofTest.this.mBaromSensorValues[0])) + "hPa");
                    return;
                case 2:
                    FtUtil.log_d("UIBarometerWaterProofTest", "handleMessage", "INIT_PRESSURE / value: " + UIBarometerWaterProofTest.this.mBaromSensorValues[0]);
                    float unused3 = UIBarometerWaterProofTest.PRESSURE_HIGH_THD = UIBarometerWaterProofTest.this.mBaromSensorValues[0] + UIBarometerWaterProofTest.this.getDiffPressureValue();
                    float unused4 = UIBarometerWaterProofTest.PRESSURE_MAX_THD = UIBarometerWaterProofTest.this.mBaromSensorValues[0];
                    float unused5 = UIBarometerWaterProofTest.PRESSURE_LOW_THD = UIBarometerWaterProofTest.this.mBaromSensorValues[0] - UIBarometerWaterProofTest.this.getDiffPressureValue();
                    FtUtil.log_d("UIBarometerWaterProofTest", "handleMessage", "init PRESSURE_HIGH_THD = " + UIBarometerWaterProofTest.PRESSURE_HIGH_THD);
                    FtUtil.log_d("UIBarometerWaterProofTest", "handleMessage", "init PRESSURE_MAX_THD = " + UIBarometerWaterProofTest.PRESSURE_MAX_THD);
                    FtUtil.log_d("UIBarometerWaterProofTest", "handleMessage", "init PRESSURE_LOW_THD = " + UIBarometerWaterProofTest.PRESSURE_LOW_THD);
                    return;
                case 3:
                    UIBarometerWaterProofTest.this.setPreWaterProofResult(0.0f);
                    return;
                default:
                    return;
            }
        }
    };
    private LinearLayout mLleakLayout;
    private TextView mOpenspecState;
    private LinearLayout mPreLeakLayout;
    private Sensor mPressureSensor;
    private SavePreference mSavePreference;
    private SensorTestListener mSensorListener;
    private SensorManager mSensorManager;
    private LinearLayout mSleakLayout;
    private Button mStartButton;
    private Button mStopButton;
    private TextView[] mTextViews;
    private TextView mTitle;
    private boolean preStartFlag = false;
    private boolean preWaterproofTest = false;
    private boolean pressureInited = false;
    private boolean startFlag = false;

    /* access modifiers changed from: private */
    public enum UIItems {
        RESULT("RESULT", R.id.result, 0),
        LLEAK("LLEAK", R.id.waterproof_lleak, 1),
        SLEAK("SLEAK", R.id.waterproof_sleak, 2),
        PRELEAK("PRELEAK", R.id.waterproof_preleak, 3);
        
        private int mArrayIndex;
        private String mUIName;
        private int mUIid;

        private UIItems(String id, int UIID, int arrayIndex) {
            this.mUIName = id;
            this.mUIid = UIID;
            this.mArrayIndex = arrayIndex;
        }

        /* access modifiers changed from: package-private */
        public int getResourceID() {
            return this.mUIid;
        }

        /* access modifiers changed from: package-private */
        public int getArrayIndex() {
            return this.mArrayIndex;
        }

        static int length() {
            return PRELEAK.getArrayIndex() + 1;
        }

        public String toString() {
            return this.mUIName;
        }
    }

    /* access modifiers changed from: private */
    public enum TestStage {
        PEND_STAGE("PEND", R.string.waterproof_pend),
        PASS_STAGE("PASS", R.string.waterproof_pass),
        FAIL_STAGE("FAIL", R.string.waterproof_fail),
        TEST_STAGE("TEST", R.string.waterproof_test);
        
        private String mStageName;
        private int mStringID;

        private TestStage(String id, int stringID) {
            this.mStageName = id;
            this.mStringID = stringID;
        }

        /* access modifiers changed from: package-private */
        public int getID() {
            return this.mStringID;
        }

        public String toString() {
            return this.mStageName;
        }
    }

    /* access modifiers changed from: private */
    public static class CalculatePressure {
        private static float L_LEAK_SPEC_MAIN = Support.Spec.getFloat(Support.Spec.WATERPROOF_L_LEAK_MAIN);
        private static float L_LEAK_SPEC_SUB = Support.Spec.getFloat(Support.Spec.WATERPROOF_L_LEAK_SUB);
        private static float S_LEAK_SPEC_MAIN = Support.Spec.getFloat(Support.Spec.WATERPROOF_S_LEAK_MAIN);
        private static float S_LEAK_SPEC_SUB = Support.Spec.getFloat(Support.Spec.WATERPROOF_S_LEAK_SUB);
        public int mGetheringCounter = 0;
        public float mMAX = -1.0f;
        private float[] mPrePressureValues = {UIBarometerWaterProofTest.PRESSURE_LOW_THD * 2.0f, UIBarometerWaterProofTest.PRESSURE_LOW_THD * 2.0f};
        private float[] mPressureValues = {-1.0f, -1.0f};
        private boolean mTouchedTDH = false;

        public CalculatePressure() {
            if (Support.Spec.getBoolean(Support.Spec.WATERPROOF_IS_OPEN_SPEC)) {
                L_LEAK_SPEC_MAIN = 1000.0f;
                L_LEAK_SPEC_SUB = 1000.0f;
                S_LEAK_SPEC_MAIN = 1000.0f;
                S_LEAK_SPEC_SUB = 1000.0f;
            }
        }

        public void setValue(float f, int index) {
            this.mPressureValues[index] = f;
            FtUtil.log_d("UIBarometerWaterProofTest", "CalculatePressure:setValue", "index=" + index + ", value=" + f);
        }

        public float getLleak() {
            float result = -1.0f;
            float[] fArr = this.mPressureValues;
            if (fArr[0] > 1.0f) {
                float f = this.mMAX;
                if (f > 1.0f) {
                    result = f - fArr[0];
                }
            }
            FtUtil.log_d("UIBarometerWaterProofTest", "CalculatePressure:getLleak", "MAIN SPEC=" + L_LEAK_SPEC_MAIN + ",SUB SPEC=" + L_LEAK_SPEC_SUB);
            StringBuilder sb = new StringBuilder();
            sb.append("value=");
            sb.append(result);
            FtUtil.log_d("UIBarometerWaterProofTest", "CalculatePressure:getLleak", sb.toString());
            return result;
        }

        public float getSleak() {
            float result = -1.0f;
            float[] fArr = this.mPressureValues;
            if (fArr[0] > 1.0f && fArr[1] > 1.0f) {
                result = fArr[1] - fArr[0];
            }
            FtUtil.log_d("UIBarometerWaterProofTest", "CalculatePressure:getSleak", "MAIN SPEC=" + S_LEAK_SPEC_MAIN + ",SUB SPEC=" + S_LEAK_SPEC_SUB);
            StringBuilder sb = new StringBuilder();
            sb.append("value=");
            sb.append(result);
            FtUtil.log_d("UIBarometerWaterProofTest", "CalculatePressure:getSleak", sb.toString());
            return result;
        }

        public float getPreLeak(float pressure) {
            float[] fArr = this.mPrePressureValues;
            fArr[1] = fArr[0];
            fArr[0] = pressure;
            float result = ((fArr[0] - fArr[1]) / fArr[1]) * 100.0f;
            FtUtil.log_d("UIBarometerWaterProofTest", "CalculatePressure:getPreLeak", "value=" + result);
            return result;
        }

        public boolean checkTouchedTHD(float value) {
            FtUtil.log_d("UIBarometerWaterProofTest", "CalculatePressure:checkTouchedTHD", "Ready? mTouchedTDH=" + this.mTouchedTDH + ", pressure value=" + value);
            if (!this.mTouchedTDH && value >= UIBarometerWaterProofTest.PRESSURE_HIGH_THD) {
                this.mTouchedTDH = true;
            }
            return this.mTouchedTDH;
        }

        public boolean checkLowerThanTHD(float value) {
            FtUtil.log_d("UIBarometerWaterProofTest", "checkLowerThanTHD", "checkLowerThanTHD / PRESSURE_LOW_THD = " + UIBarometerWaterProofTest.PRESSURE_LOW_THD);
            FtUtil.log_d("UIBarometerWaterProofTest", "CalculatePressure:checkLowerThanTHD", "Ready? pressure value=" + value);
            return value <= UIBarometerWaterProofTest.PRESSURE_LOW_THD;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private float getDiffPressureValue() {
        if (this.preWaterproofTest) {
            return 90.0f;
        }
        return 30.0f;
    }

    public void setPreWaterProofResult(float leakValue) {
        SavePreference savePreference = this.mSavePreference;
        if (savePreference != null) {
            savePreference.writePreWaterValue(leakValue);
        }
        if (this.preStartFlag) {
            StringBuilder sb = new StringBuilder();
            sb.append(" ");
            sb.append(String.format("%.3f", Float.valueOf(leakValue)));
            this.mTextViews[UIItems.PRELEAK.getArrayIndex()].setText(sb.append("%").toString());
            if (((double) leakValue) >= -0.01d) {
                FtUtil.log_d("UIBarometerWaterProofTest", "setPreWaterProofResult", "OK, " + leakValue);
                setUIState(TestStage.PASS_STAGE.getID());
                SavePreference savePreference2 = this.mSavePreference;
                if (savePreference2 != null) {
                    savePreference2.writeResult("OK");
                }
                savePreWaterProofLeakData(leakValue, true);
            } else {
                FtUtil.log_d("UIBarometerWaterProofTest", "setPreWaterProofResult", "NG, " + leakValue);
                setUIState(TestStage.FAIL_STAGE.getID());
                SavePreference savePreference3 = this.mSavePreference;
                if (savePreference3 != null) {
                    savePreference3.writeResult("NG");
                }
                savePreWaterProofLeakData(leakValue, false);
            }
        } else {
            FtUtil.log_d("UIBarometerWaterProofTest", "setPreWaterProofResult", "TIMEOUT");
            this.mTextViews[UIItems.PRELEAK.getArrayIndex()].setText(" TIMEOUT");
            setUIState(TestStage.FAIL_STAGE.getID());
            SavePreference savePreference4 = this.mSavePreference;
            if (savePreference4 != null) {
                savePreference4.writeResult("NG_NONE");
            }
            savePreWaterProofLeakData(leakValue, false);
        }
        stopBarometerTest();
    }

    public void setPreWaterProofTimeOut() {
    }

    public void setWaterProofResult() {
        float sleak = this.mCalculatePressure.getSleak();
        float lleak = this.mCalculatePressure.getLleak();
        SavePreference savePreference = this.mSavePreference;
        if (savePreference != null) {
            savePreference.write(0, lleak);
            this.mSavePreference.write(1, sleak);
        }
        this.mTextViews[UIItems.LLEAK.getArrayIndex()].setText(String.format("%.2f", Float.valueOf(lleak)));
        this.mTextViews[UIItems.SLEAK.getArrayIndex()].setText(String.format("%.2f", Float.valueOf(sleak)));
        if (CalculatePressure.L_LEAK_SPEC_MAIN < lleak || CalculatePressure.S_LEAK_SPEC_MAIN < sleak) {
            FtUtil.log_d("UIBarometerWaterProofTest", "setWaterProofResult", "CalculatePressure.L_LEAK_SPEC_MAIN < lleak && CalculatePressure.S_LEAK_SPEC_MAIN < sleak");
            setUIState(TestStage.FAIL_STAGE.getID());
            SavePreference savePreference2 = this.mSavePreference;
            if (savePreference2 != null) {
                savePreference2.writeResult("NG");
            }
            saveWaterProofLeakData(sleak, lleak, false);
        } else {
            FtUtil.log_d("UIBarometerWaterProofTest", "setWaterProofResult", "CalculatePressure.L_LEAK_SPEC_MAIN >= lleak && CalculatePressure.S_LEAK_SPEC_MAIN >= sleak");
            if (CalculatePressure.L_LEAK_SPEC_SUB > lleak || CalculatePressure.S_LEAK_SPEC_SUB > sleak) {
                FtUtil.log_d("UIBarometerWaterProofTest", "setWaterProofResult", "(CalculatePressure.L_LEAK_SPEC_SUB > lleak) && (CalculatePressure.S_LEAK_SPEC_SUB > sleak)");
                setUIState(TestStage.PASS_STAGE.getID());
                SavePreference savePreference3 = this.mSavePreference;
                if (savePreference3 != null) {
                    savePreference3.writeResult("OK");
                }
                saveWaterProofLeakData(sleak, lleak, true);
            } else {
                FtUtil.log_d("UIBarometerWaterProofTest", "setWaterProofResult", "(CalculatePressure.L_LEAK_SPEC_SUB <= lleak) && (CalculatePressure.S_LEAK_SPEC_SUB <= sleak)");
                setUIState(TestStage.FAIL_STAGE.getID());
                SavePreference savePreference4 = this.mSavePreference;
                if (savePreference4 != null) {
                    savePreference4.writeResult("NG");
                }
                saveWaterProofLeakData(sleak, lleak, false);
            }
        }
        stopBarometerTest();
    }

    public void saveWaterProofLeakData(float _fSleak, float _fLleak, boolean _bResult) {
        String strSleak = String.format("%.2f", Float.valueOf(_fSleak));
        Support.Kernel.writeNsync(Support.Kernel.EFS_WATERPROOF_LLEAK_PATH, String.format("%.2f", Float.valueOf(_fLleak)));
        Support.Kernel.writeNsync(Support.Kernel.EFS_WATERPROOF_SLEAK_PATH, strSleak);
        if (_bResult) {
            setResult((byte) 80);
        } else {
            setResult((byte) 70);
        }
    }

    public void savePreWaterProofLeakData(float _fleak, boolean _bResult) {
        Support.Kernel.writeNsync(Support.Kernel.EFS_PRE_WATERPROOF_LEAK_PATH, String.format("%.3f", Float.valueOf(_fleak)));
        Support.Kernel.writeNsync(Support.Kernel.EFS_PRE_WATERPROOF_LEAK_RESULT, _bResult ? "pass" : "fail");
    }

    public UIBarometerWaterProofTest() {
        super("UIBarometerWaterProofTest");
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        if (!XMLDataStorage.instance().wasCompletedParsing()) {
            XMLDataStorage.instance().parseXML(this);
        }
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_barometer_waterproof_test);
        isOpenspec = Support.Spec.getBoolean(Support.Spec.WATERPROOF_IS_OPEN_SPEC);
        Intent intent = getIntent();
        this.mLleakLayout = (LinearLayout) findViewById(R.id.waterproof_layout_lleak);
        this.mSleakLayout = (LinearLayout) findViewById(R.id.waterproof_layout_sleak);
        this.mPreLeakLayout = (LinearLayout) findViewById(R.id.waterproof_layout_preleak);
        if (intent.getStringExtra("testname").equalsIgnoreCase("PWT")) {
            TextView textView = (TextView) findViewById(R.id.waterproof_title);
            this.mTitle = textView;
            textView.setText(getString(R.string.barometer_pre_waterproof_title));
            this.preWaterproofTest = true;
            this.mLleakLayout.setVisibility(8);
            this.mSleakLayout.setVisibility(8);
            this.mPreLeakLayout.setVisibility(0);
        } else {
            this.mLleakLayout.setVisibility(0);
            this.mSleakLayout.setVisibility(0);
            this.mPreLeakLayout.setVisibility(8);
        }
        if (isOpenspec && !this.preWaterproofTest) {
            TextView textView2 = (TextView) findViewById(R.id.waterproof_openspec);
            this.mOpenspecState = textView2;
            textView2.setVisibility(0);
        }
        if (this.mSavePreference != null) {
            this.mSavePreference = null;
        }
        this.mSavePreference = new SavePreference();
        initUI();
        initSensor();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        this.mSensorManager.registerListener(this.mSensorListener, this.mPressureSensor, 2);
        if (this.mCalculatePressure != null) {
            this.mCalculatePressure = null;
        }
        this.mCalculatePressure = new CalculatePressure();
        setUIState(TestStage.TEST_STAGE.getID());
        startBarometerTest();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        this.mSensorManager.unregisterListener(this.mSensorListener);
        super.onPause();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        this.mHandler.removeMessages(0);
        this.mHandler.removeMessages(1);
        if (this.mSavePreference != null) {
            this.mSavePreference = null;
        }
        if (this.mCalculatePressure != null) {
            this.mCalculatePressure = null;
        }
        super.onDestroy();
    }

    private void startBarometerTest() {
        this.pressureInited = false;
        this.mHandler.sendEmptyMessageDelayed(0, 1000);
        if (this.preWaterproofTest) {
            this.mHandler.sendEmptyMessageDelayed(3, 10000);
        }
        if (this.mSavePreference != null) {
            this.mSavePreference = null;
        }
        this.mSavePreference = new SavePreference();
    }

    private void stopBarometerTest() {
        this.mHandler.removeMessages(0);
        if (this.preWaterproofTest) {
            this.mHandler.removeMessages(3);
        }
        if (this.mSavePreference != null) {
            this.mSavePreference = null;
        }
    }

    private void initSensor() {
        this.mSensorListener = new SensorTestListener();
        SensorManager sensorManager = (SensorManager) getSystemService("sensor");
        this.mSensorManager = sensorManager;
        this.mPressureSensor = sensorManager.getDefaultSensor(6);
    }

    private void initUI() {
        this.mCurrentSensorValue = (TextView) findViewById(R.id.current_data);
        Button button = (Button) findViewById(R.id.start_button);
        this.mStartButton = button;
        button.setOnClickListener(this);
        Button button2 = (Button) findViewById(R.id.stop_button);
        this.mStopButton = button2;
        button2.setOnClickListener(this);
        Button button3 = (Button) findViewById(R.id.exit_button);
        this.mExitButton = button3;
        button3.setOnClickListener(this);
        this.mTextViews = new TextView[UIItems.length()];
        UIItems[] values = UIItems.values();
        for (UIItems item : values) {
            this.mTextViews[item.getArrayIndex()] = (TextView) findViewById(item.getResourceID());
        }
    }

    private boolean setUIState(int state) {
        if (state == TestStage.PEND_STAGE.getID()) {
            this.mStartButton.setEnabled(true);
            this.mStopButton.setEnabled(false);
            this.mTextViews[UIItems.RESULT.getArrayIndex()].setTextColor(getResources().getColor(R.color.light_green));
        } else if (state == TestStage.TEST_STAGE.getID()) {
            this.mStopButton.setEnabled(true);
            this.mStartButton.setEnabled(false);
            this.mTextViews[UIItems.RESULT.getArrayIndex()].setTextColor(getResources().getColor(R.color.light_green));
            this.mTextViews[UIItems.LLEAK.getArrayIndex()].setText("");
            this.mTextViews[UIItems.SLEAK.getArrayIndex()].setText("");
            if (this.preWaterproofTest) {
                this.preStartFlag = false;
                this.mTextViews[UIItems.PRELEAK.getArrayIndex()].setText("");
            } else {
                this.startFlag = false;
                this.checkLowerFlag = false;
            }
        } else if (state == TestStage.PASS_STAGE.getID()) {
            this.mStartButton.setEnabled(true);
            this.mStopButton.setEnabled(false);
            this.mTextViews[UIItems.RESULT.getArrayIndex()].setTextColor(UiHallICTest.FONT_COLOR_PASS);
        } else if (state == TestStage.FAIL_STAGE.getID()) {
            this.mStartButton.setEnabled(true);
            this.mStopButton.setEnabled(false);
            this.mTextViews[UIItems.RESULT.getArrayIndex()].setTextColor(-65536);
        } else {
            FtUtil.log_e("UIBarometerWaterProofTest", "setUIState", "Wrong state");
            return false;
        }
        this.mTextViews[UIItems.RESULT.getArrayIndex()].setText(getResources().getString(state));
        FtUtil.log_d("UIBarometerWaterProofTest", "setUIState", "state = " + getResources().getString(state));
        return true;
    }

    public void onClick(View view) {
        FtUtil.log_d("UIBarometerWaterProofTest", "onClick", "CurrentStage = " + view.toString());
        switch (view.getId()) {
            case R.id.exit_button:
                finish();
                return;
            case R.id.start_button:
                if (this.mCalculatePressure != null) {
                    this.mCalculatePressure = null;
                }
                this.mCalculatePressure = new CalculatePressure();
                setUIState(TestStage.TEST_STAGE.getID());
                startBarometerTest();
                return;
            case R.id.stop_button:
                setUIState(TestStage.PEND_STAGE.getID());
                stopBarometerTest();
                return;
            default:
                FtUtil.log_d("UIBarometerWaterProofTest", "onClick", "default");
                return;
        }
    }

    /* access modifiers changed from: private */
    public class SensorTestListener implements SensorEventListener {
        private SensorTestListener() {
        }

        public void onAccuracyChanged(Sensor sensor, int accuracy) {
        }

        public void onSensorChanged(SensorEvent event) {
            switch (event.sensor.getType()) {
                case 6:
                    UIBarometerWaterProofTest.this.mBaromSensorValues = (float[]) event.values.clone();
                    if (!UIBarometerWaterProofTest.this.pressureInited) {
                        UIBarometerWaterProofTest.this.mHandler.sendEmptyMessage(2);
                        UIBarometerWaterProofTest.this.pressureInited = true;
                    }
                    UIBarometerWaterProofTest.this.mHandler.sendEmptyMessage(1);
                    return;
                default:
                    return;
            }
        }
    }

    /* access modifiers changed from: private */
    public class SavePreference {
        private String PREF_KEY;
        private float[] mData = {-1.0f, -1.0f};
        private SharedPreferences.Editor mEditor;
        private DecimalFormat mFormat = ((DecimalFormat) NumberFormat.getInstance(Locale.ENGLISH));
        private float mPreData = 0.0f;
        private SharedPreferences mPref;

        protected SavePreference() {
            SharedPreferences sharedPreferences = UIBarometerWaterProofTest.this.getSharedPreferences("UIBarometerWaterProofTest", 0);
            this.mPref = sharedPreferences;
            this.mEditor = sharedPreferences.edit();
            this.PREF_KEY = AtBaromete.PREF_KEY;
            if (UIBarometerWaterProofTest.this.preWaterproofTest) {
                this.PREF_KEY = AtBaromete.PRE_PREF_KEY;
            }
            FtUtil.log_d("UIBarometerWaterProofTest", "SavePreference:init", "key = " + this.PREF_KEY);
        }

        /* access modifiers changed from: protected */
        public boolean writeResult(String result) {
            FtUtil.log_d("UIBarometerWaterProofTest", "SavePreference:write", "result = " + result);
            if (UIBarometerWaterProofTest.this.preWaterproofTest) {
                if (result.equals("NG_NONE")) {
                    return saveToPrivateFiles(result);
                }
                if (result.equals("NG") || result.equals("OK")) {
                    return saveToPrivateFiles(result + "_" + String.format("%.3f", Float.valueOf(this.mPreData)));
                }
            } else if (result.equals("NG") || result.equals("OK")) {
                this.mFormat.applyPattern("0.00");
                String stringData = "";
                float[] fArr = this.mData;
                for (float f : fArr) {
                    stringData = stringData + this.mFormat.format((double) f) + ",";
                }
                return saveToPrivateFiles(result + "_" + stringData.substring(0, stringData.length() - 1));
            }
            return false;
        }

        /* access modifiers changed from: protected */
        public boolean write(int index, float value) {
            FtUtil.log_d("UIBarometerWaterProofTest", "SavePreference:write", "index[" + index + "]=" + value);
            if (index <= -1 || index >= 2) {
                return false;
            }
            this.mData[index] = value;
            return true;
        }

        /* access modifiers changed from: protected */
        public boolean writePreWaterValue(float value) {
            FtUtil.log_d("UIBarometerWaterProofTest", "SavePreference:writePreWaterValue", "value = " + value);
            this.mPreData = value;
            return true;
        }

        private boolean saveToPrivateFiles(String data) {
            FtUtil.log_d("UIBarometerWaterProofTest", "SavePreference:saveToPrivateFiles", "data = " + data);
            SharedPreferences.Editor editor = this.mEditor;
            if (editor == null || data == null) {
                return false;
            }
            editor.putString(this.PREF_KEY, data);
            return this.mEditor.commit();
        }
    }

    @Deprecated
    private static class SaveData {
        private static final String DefaultFileName = "BarometerWaterProof";
        private static final String DefaultPath = "/data/log/";
        private static final String POST_FIX = ".txt";
        private FileOutputStream mFileOutPutStream;
        private String mFilePath;

        SaveData(String fileName) {
            this.mFilePath = makeFileName(fileName);
            FtUtil.log_d("UIBarometerWaterProofTest", "SaveData", "fileName = " + this.mFilePath);
        }

        /* access modifiers changed from: protected */
        public boolean open() {
            if (this.mFilePath == null) {
                return false;
            }
            try {
                this.mFileOutPutStream = new FileOutputStream(new File(this.mFilePath), true);
            } catch (FileNotFoundException e) {
                FtUtil.log_e(e);
                if (this.mFileOutPutStream != null) {
                    return true;
                }
                return false;
            } catch (Throwable th) {
                if (this.mFileOutPutStream != null) {
                }
                throw th;
            }
            return true;
        }

        /* access modifiers changed from: protected */
        public boolean write(String data) {
            FileOutputStream fileOutputStream = this.mFileOutPutStream;
            if (fileOutputStream == null) {
                return false;
            }
            try {
                fileOutputStream.write(data.getBytes());
                return true;
            } catch (IOException e) {
                FtUtil.log_e(e);
                return false;
            }
        }

        /* access modifiers changed from: protected */
        public boolean close() {
            FileOutputStream fileOutputStream = this.mFileOutPutStream;
            if (fileOutputStream == null) {
                return false;
            }
            try {
                fileOutputStream.flush();
                this.mFileOutPutStream.close();
                return true;
            } catch (IOException e) {
                FtUtil.log_e(e);
                return false;
            }
        }

        private String makeFileName(String filename) {
            File dir = new File(DefaultPath);
            if (!dir.isDirectory()) {
                dir.mkdir();
            }
            File file = new File("/data/log/BarometerWaterProof" + filename + POST_FIX);
            int count = 0;
            FtUtil.log_d("UIBarometerWaterProofTest", "CreateFile", "/data/log/BarometerWaterProof" + filename + POST_FIX);
            if (dir.exists()) {
                String[] arr = dir.list();
                StringBuilder sb = new StringBuilder();
                sb.append("arr : ");
                sb.append(arr != null ? Arrays.toString(arr) : "null");
                FtUtil.log_d("UIBarometerWaterProofTest", "CreateFile", sb.toString());
                if (file.exists()) {
                    FtUtil.log_d("UIBarometerWaterProofTest", "CreateFile", "file : " + file);
                    if (arr != null) {
                        int length = arr.length;
                        int i = 0;
                        int i2 = 0;
                        while (i2 < length) {
                            String str = arr[i2];
                            if (str.length() > 5) {
                                if (str.substring(i, str.length() - 4).startsWith(DefaultFileName + filename)) {
                                    count++;
                                }
                            }
                            FtUtil.log_d("UIBarometerWaterProofTest", "CreateFile", "count : " + count);
                            i2++;
                            i = 0;
                        }
                    }
                    FtUtil.log_d("UIBarometerWaterProofTest", "CreateFile", "fileFullPath : /data/log/BarometerWaterProof" + filename + "_" + count + POST_FIX);
                    return "/data/log/BarometerWaterProof" + filename + "_" + count + POST_FIX;
                }
                FtUtil.log_d("UIBarometerWaterProofTest", "CreateFile", "fileFullPath : /data/log/BarometerWaterProof" + filename + POST_FIX);
                return "/data/log/BarometerWaterProof" + filename + POST_FIX;
            }
            FtUtil.log_d("UIBarometerWaterProofTest", "CreateFile", "FAILED");
            return null;
        }
    }

    private void setResult(byte result) {
        NVAccessor.setNV(147, result);
    }
}
