package com.sec.factory.app.ui;

import android.app.Activity;
import android.app.AlertDialog;
import android.app.Dialog;
import android.app.DialogFragment;
import android.app.ProgressDialog;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.SharedPreferences;
import android.content.res.Configuration;
import android.graphics.Rect;
import android.media.MediaScannerConnection;
import android.net.Uri;
import android.os.Bundle;
import android.os.Environment;
import android.os.Handler;
import android.os.Message;
import android.view.KeyEvent;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.WindowManager;
import android.widget.Button;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestDump;
import com.sec.factory.app.factorytest.FactoryTestMain;
import com.sec.factory.app.factorytest.FactoryTestMainInnerLoopback;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.FactoryTestPhone;
import com.sec.factory.modules.ModuleAudio;
import com.sec.factory.modules.ModuleCommon;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.support.FtUtil;
import com.sec.factory.support.Orientation;
import com.sec.xmldata.support.Support;
import com.sec.xmldata.support.XMLDataStorage;
import java.util.Timer;

public class UIBase extends Activity {
    protected static final String ALPM = "ALPM";
    protected static final String BLUE_LED = "BLUE LED";
    protected static final String BLUE_SCREEN = "BLUE SCREEN";
    protected static final String COLOR1_LED = "COLOR1 LED";
    protected static final String COLOR2_LED = "COLOR2 LED";
    protected static final String COLOR3_LED = "COLOR3 LED";
    protected static final String COLOR4_LED = "COLOR4 LED";
    protected static final String COLOR5_LED = "COLOR5 LED";
    public static final int COPY_DUMP = 1000;
    private static final String DUMP_FILE_PATH = "/data/log/";
    public static final int FAIL_DO_SHELL_FOR_DUMP = 1002;
    protected static final String FRONT_CAMERA = "FRONT CAMERA";
    public static final int GET_DUMP_DONE = 1001;
    protected static final String GREEN_LED = "GREEN LED";
    protected static final String GREEN_SCREEN = "GREEN SCREEN";
    protected static final String ID_EXTRA = "testID";
    private static final int KEYCODE_PTT = 1015;
    protected static final String LCD_TEST = "LCD_TEST";
    protected static final String MOTOR = "MOTOR";
    protected static final String ORIENTATION_SCREEN = "ORIENTATION SCREEN";
    protected static final String QR = "QR";
    protected static final String REAR_CAMERA = "REAR CAMERA";
    protected static final String RED_LED = "RED LED";
    protected static final String RED_SCREEN = "RED SCREEN";
    public static final String SECOND_ACTIVITY = "SECOND_ACTIVITY";
    protected static final String TEST_15_MODE = "15 Test";
    public static final int TEST_FINISH = 1;
    protected static final String WHITE_BLACK_SCREEN = "WHITE BLACK SCREEN";
    protected static final String WHITE_LED = "WHITE LED";
    protected static final String YELLOW_LED = "YELLOW LED";
    private static String mFailItem = "";
    public static boolean mIsDualScreenFeatureEnabled = false;
    protected static ModuleCommon mModuleCommon = null;
    public static String mUIOrientation = null;
    private final long BACK_KEY_EVENT_TIMELAG = 2000;
    protected String CLASS_NAME;
    private int COUNT_MAX_NV_WRITE = 1;
    protected final byte FAIL = 70;
    private final long MENU_KEY_EVENT_TIMEOUT = 2000;
    private Handler Mute_Key_Handler = new Handler();
    protected final byte NOTEST = 78;
    protected int ONPASS_FINISH_DELAY = 0;
    protected final byte PASS = 80;
    protected int TEST_ID = -1;
    protected byte TEST_RESULT = 78;
    private int mCount_NVWrite = 0;
    private String mDumpStateFileName = "";
    private boolean mEpKeyFlag = false;
    private FactoryTestDump mFactoryDump;
    protected FactoryTestPhone mFactoryPhone;
    protected boolean mFlag_BackKey_Twice = false;
    public Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UIBase.AnonymousClass3 */

        public void handleMessage(Message msg) {
            switch (msg.what) {
                case 1000:
                    FtUtil.log_i(UIBase.this.CLASS_NAME, "mHandler.handleMessage", "Copy Dump");
                    UIBase.this.mIsGettingDump = false;
                    UIBase.this.doCopyDumpOperation();
                    return;
                case 1001:
                    if (UIBase.this.mLogProgressDialog != null && UIBase.this.mLogProgressDialog.isShowing()) {
                        FtUtil.log_i(UIBase.this.CLASS_NAME, "mHandler.handleMessage", "Dismiss!");
                        UIBase.this.mLogProgressDialog.dismiss();
                    }
                    UIBase.this.requestToScanDirectories();
                    if ("ET6034A".equalsIgnoreCase(Support.Feature.getString(Support.Feature.SUPPORT_SERVICE_LED))) {
                        ModuleDevice.instance(UIBase.this.getApplicationContext()).turnOnColorLED(ModuleDevice.COLORLED_YELLOW, 1);
                        return;
                    } else {
                        UIBase.this.infoLogAll();
                        return;
                    }
                case 1002:
                    FtUtil.log_i(UIBase.this.CLASS_NAME, "mHandler.handleMessage", "Fail doShell CMD");
                    if (UIBase.this.mLogProgressDialog != null && UIBase.this.mLogProgressDialog.isShowing()) {
                        FtUtil.log_i(UIBase.this.CLASS_NAME, "mHandler.handleMessage", "Dismiss!");
                        UIBase.this.mLogProgressDialog.dismiss();
                        return;
                    }
                    return;
                default:
                    return;
            }
        }
    };
    private boolean mIsAtCmd = false;
    private boolean mIsDestroyed = false;
    protected boolean mIsFromLcdTest = false;
    private boolean mIsGettingDump = false;
    private boolean mIsLongPress = false;
    private int mIsMuteKeyPressedCnt = 0;
    private AlertDialog.Builder mLogDialogBuilder;
    private final DialogInterface.OnClickListener mLogDialogOnClick = new DialogInterface.OnClickListener() {
        /* class com.sec.factory.app.ui.UIBase.AnonymousClass5 */

        public void onClick(DialogInterface arg0, int arg1) {
            UIBase.this.finish();
        }
    };
    private ProgressDialog mLogProgressDialog;
    private long mPrevBackKeyEventTime = -1;
    private long mPrevMenuKeyEventTime = -1;
    Timer mTimer;
    protected Handler mTimerHandler = new Handler() {
        /* class com.sec.factory.app.ui.UIBase.AnonymousClass1 */

        public void handleMessage(Message msg) {
            switch (msg.what) {
                case 1:
                    UIBase.this.finish();
                    return;
                default:
                    return;
            }
        }
    };
    private Runnable runnable;

    public UIBase(String className) {
        this.CLASS_NAME = className;
    }

    public UIBase(String className, int id) {
        this.CLASS_NAME = className;
        this.TEST_ID = id;
    }

    public void setTestId(int id) {
        this.TEST_ID = id;
    }

    public void setAtCmd(boolean isAtCmd) {
        this.mIsAtCmd = isAtCmd;
    }

    /* access modifiers changed from: protected */
    public void finishOnPassWithTimer() {
        this.mTimerHandler.sendEmptyMessageDelayed(1, (long) this.ONPASS_FINISH_DELAY);
    }

    public void onConfigurationChanged(Configuration newConfig) {
        super.onConfigurationChanged(newConfig);
        FtUtil.log_i(this.CLASS_NAME, "onConfigurationChanged", newConfig.toString());
    }

    /* access modifiers changed from: protected */
    public void onCreate(Bundle savedInstanceState) {
        String str = mUIOrientation;
        if (str != null) {
            setRequestedOrientation(Orientation.getOrientation(str));
        }
        super.onCreate(savedInstanceState);
        if (!XMLDataStorage.instance().wasCompletedParsing()) {
            FtUtil.log_d(this.CLASS_NAME, "onCreate", "XML data parsing was failed.");
            XMLDataStorage.instance().parseXML(this);
        }
        this.mFactoryDump = new FactoryTestDump(this, this.mHandler);
        this.mLogDialogBuilder = new AlertDialog.Builder(this);
        this.mLogProgressDialog = new ProgressDialog(this);
        mModuleCommon = ModuleCommon.instance(this);
        FtUtil.setSystemKeyBlock(getComponentName(), 187);
        FtUtil.setSystemKeyBlock(getComponentName(), 65);
        FtUtil.setSystemKeyBlock(getComponentName(), 64);
        FtUtil.setSystemKeyBlock(getComponentName(), 3);
        FtUtil.setSystemKeyBlock(getComponentName(), 26);
        FtUtil.setSystemKeyBlock(getComponentName(), 84);
        FtUtil.setSystemKeyBlock(getComponentName(), 1082);
        FtUtil.setRemoveStatusBar(getWindow());
        getWindow().addFlags(128);
        String str2 = this.CLASS_NAME;
        FtUtil.log_i(str2, "onCreate", "Create " + this.CLASS_NAME);
        FtUtil.disableDisplayCutOutMode(getWindow(), true);
    }

    /* access modifiers changed from: protected */
    public void onRestoreInstanceState(Bundle savedInstanceState) {
        super.onRestoreInstanceState(savedInstanceState);
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "onRestoreInstanceState", "RestoreInstanceState " + this.CLASS_NAME);
    }

    /* access modifiers changed from: protected */
    public void onResume() {
        super.onResume();
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "onResume", "Resume " + this.CLASS_NAME);
        this.mIsDestroyed = false;
        this.mIsGettingDump = false;
        int i = this.TEST_ID;
        if (i != -1) {
            savePositionData(FactoryTestManager.getItemName_ID(i));
        }
    }

    /* access modifiers changed from: protected */
    public void onPause() {
        super.onPause();
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "onPause", "Pause " + this.CLASS_NAME);
    }

    /* access modifiers changed from: protected */
    public void onDestroy() {
        super.onDestroy();
        ProgressDialog progressDialog = this.mLogProgressDialog;
        if (progressDialog != null && progressDialog.isShowing()) {
            this.mLogProgressDialog.dismiss();
        }
        this.mIsDestroyed = true;
        if (this.mIsGettingDump) {
            sendBroadcast(new Intent("com.sec.factory.app.ui.GettingDump"));
        }
        FactoryTestPhone factoryTestPhone = this.mFactoryPhone;
        if (factoryTestPhone != null) {
            factoryTestPhone.destroySecPhoneService();
            this.mFactoryPhone = null;
            FtUtil.log_i(this.CLASS_NAME, "onDestroy", "Unbind SecPhoneService");
        }
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "onDestroy", "Destroy " + this.CLASS_NAME);
    }

    public boolean onKeyUp(int keyCode, KeyEvent event) {
        this.mIsLongPress = false;
        this.mEpKeyFlag = false;
        FtUtil.log_d("UIBase", "onKeyUp", "return true");
        switch (keyCode) {
            case 79:
                FtUtil.log_i(this.CLASS_NAME, "onKeyUp", "KEYCODE_HEADSETHOOK");
                startEarKey(false);
                this.mIsMuteKeyPressedCnt = 0;
                break;
            case 91:
                if ("none".equalsIgnoreCase(Support.Feature.getString(Support.Feature.LCD_TYPE))) {
                    this.mIsMuteKeyPressedCnt++;
                    FtUtil.log_d(this.CLASS_NAME, "onKeyUp", "mIsMuteKeyPressedCnt" + this.mIsMuteKeyPressedCnt);
                    if (this.mIsMuteKeyPressedCnt < 6) {
                        this.Mute_Key_Handler.removeCallbacks(this.runnable);
                        Handler handler = this.Mute_Key_Handler;
                        AnonymousClass2 r2 = new Runnable() {
                            /* class com.sec.factory.app.ui.UIBase.AnonymousClass2 */

                            public void run() {
                                UIBase.this.mIsMuteKeyPressedCnt = 0;
                            }
                        };
                        this.runnable = r2;
                        handler.postDelayed(r2, 800);
                        break;
                    } else {
                        FtUtil.log_d(this.CLASS_NAME, "onKeyUp", "doDumpState()");
                        this.mIsMuteKeyPressedCnt = 0;
                        doDumpState();
                        if ("ET6034A".equalsIgnoreCase(Support.Feature.getString(Support.Feature.SUPPORT_SERVICE_LED))) {
                            ModuleDevice.instance(this).turnOnColorLED(ModuleDevice.COLORLED_WHITE, 1);
                            break;
                        }
                    }
                }
                break;
            case 1015:
                FtUtil.log_i(this.CLASS_NAME, "onKeyUp", "KEYCODE_PTT");
                if (checkEarphonePlugged()) {
                    startEarKey(false);
                }
                this.mIsMuteKeyPressedCnt = 0;
                return true;
            default:
                this.mIsMuteKeyPressedCnt = 0;
                break;
        }
        return true;
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    public boolean onKeyDown(int keyCode, KeyEvent event) {
        if (this.mIsFromLcdTest) {
            finish();
        }
        if (!this.mIsLongPress) {
            this.mIsLongPress = event.isLongPress();
        }
        if (this.mIsLongPress) {
            switch (keyCode) {
                case 79:
                    if (!this.mEpKeyFlag) {
                        this.mEpKeyFlag = true;
                        FtUtil.log_i(this.CLASS_NAME, "onKeyDown", "Long Press (KEYCODE_HEADSETHOOK)");
                        startEarKey(true);
                        return true;
                    }
                    break;
            }
        } else {
            switch (keyCode) {
                case 3:
                    event.startTracking();
                    return true;
                case 4:
                    String str = this.CLASS_NAME;
                    FtUtil.log_d(str, "onKeyDown", "KEYCODE_BACK => Prev : " + this.mPrevBackKeyEventTime + ", Curr : " + event.getEventTime() + " => Time Lag : " + (event.getEventTime() - this.mPrevBackKeyEventTime) + " [" + 2000L + "]");
                    if (this.mPrevBackKeyEventTime == -1) {
                        this.mPrevBackKeyEventTime = event.getEventTime();
                    } else if (event.getEventTime() - this.mPrevBackKeyEventTime < 2000) {
                        this.mFlag_BackKey_Twice = true;
                        if (this.TEST_ID == 17) {
                            finish();
                        } else {
                            finishKeyCode();
                        }
                    } else {
                        this.mPrevBackKeyEventTime = event.getEventTime();
                    }
                    FtUtil.log_d("UIBase", "onKeyDown", "KEYCODE_BACK = return true");
                    return true;
                case 24:
                    FtUtil.log_d(this.CLASS_NAME, "onKeyDown", "KEYCODE_VOLUME_UP");
                    sendBroadcast(new Intent(FactoryTestMainInnerLoopback.NEXT_KEY));
                    int i = this.TEST_ID;
                    if (i == 23 || i == 73 || i == 155) {
                        FtUtil.log_d("UIBase", "onKeyDown", "KEYCODE_VOLUME_UP = TEST_HDMI");
                        finishKeyCode();
                        break;
                    }
                case 79:
                    FtUtil.log_i(this.CLASS_NAME, "onKeyDown", "KEYCODE_HEADSETHOOK");
                    startEarKey(true);
                    this.mEpKeyFlag = true;
                    return true;
                case 187:
                    if (this.mPrevMenuKeyEventTime == -1) {
                        this.mPrevMenuKeyEventTime = event.getEventTime();
                    } else if (event.getEventTime() - this.mPrevMenuKeyEventTime >= 2000 || (!(FactoryTestMain.CURRENT_TEST_ID == 0 || FactoryTestMain.CURRENT_TEST_ID == 63) || getClass().getSimpleName().equalsIgnoreCase("FactoryTestMain") || mFailItem.isEmpty())) {
                        this.mPrevMenuKeyEventTime = event.getEventTime();
                    } else {
                        FailDialogFragment.newInstance(mFailItem + " FAIL?").show(getFragmentManager(), "");
                        this.mPrevMenuKeyEventTime = -1;
                    }
                    FtUtil.log_d("UIBase", "onKeyDown", "KEYCODE_MENU, return true");
                    return true;
                case 1015:
                    FtUtil.log_i(this.CLASS_NAME, "onKeyDown", "KEYCODE_PTT");
                    if (checkEarphonePlugged()) {
                        startEarKey(true);
                    }
                    return true;
            }
            this.mPrevBackKeyEventTime = -1;
        }
        FtUtil.log_d("UIBase", "onKeyDown", "return true");
        return true;
    }

    public void startEarKey(boolean in) {
        if (in) {
            setTestResult(13, (byte) 80);
        }
    }

    public boolean onKeyLongPress(int keyCode, KeyEvent event) {
        switch (keyCode) {
            case 3:
                showDumpStartDialog();
                return true;
            default:
                return true;
        }
    }

    /* access modifiers changed from: protected */
    public void setCountNVWrite(int count) {
        this.COUNT_MAX_NV_WRITE = count;
    }

    /* access modifiers changed from: protected */
    public void setTestResultFailCase(int id) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "setTestResultFailCase", "mCount_NVWrite: " + this.mCount_NVWrite + " , TEST_ID=" + id);
        int itemid = FactoryTestManager.getItemPosition_ID(id);
        if (this.mCount_NVWrite < this.COUNT_MAX_NV_WRITE && itemid != -1) {
            byte nvValue = FactoryTestManager.getItemResult(itemid);
            String str2 = this.CLASS_NAME;
            FtUtil.log_i(str2, "setTestResultFailCase", "nvValue: " + FactoryTestManager.convertorNVValue(nvValue));
            if (this.mIsAtCmd) {
                setTestResult(id, (byte) 70);
            }
        }
    }

    /* access modifiers changed from: protected */
    public void setTestResultFailCase(int id, String msg) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "[MSP_SEQ] setTestResultFailCase", "mCount_NVWrite: " + this.mCount_NVWrite + " , TEST_ID=" + id + ", Fail reason=" + msg);
        setTestResultFailCase(id);
    }

    /* access modifiers changed from: protected */
    public void setTestResult(byte result) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "setTestResult", "result:" + ((int) result));
        int i = this.TEST_ID;
        if (i != -1 && this.TEST_RESULT == 78) {
            this.TEST_RESULT = result;
            int itemid = FactoryTestManager.getItemPosition_ID(i);
            String str2 = this.CLASS_NAME;
            FtUtil.log_i(str2, "setTestResult", "itemid: " + itemid);
            this.mCount_NVWrite = this.mCount_NVWrite + 1;
            if (result == 80) {
                setResult(-1);
            }
            FactoryTestManager.setItemResult(itemid, result);
            FactoryTestManager.notifyDataSetChanged();
        }
    }

    public void setTestResult(int id, byte result) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "setTestResult", "id: " + id + " , result:" + ((int) result));
        int itemid = FactoryTestManager.getItemPosition_ID(id);
        if (itemid > -1) {
            String str2 = this.CLASS_NAME;
            FtUtil.log_d(str2, "setTestResult", "itemid: " + itemid);
            this.mCount_NVWrite = this.mCount_NVWrite + 1;
            if (result == 80) {
                setResult(-1);
            }
            FactoryTestManager.setItemResult(itemid, result);
            FactoryTestManager.notifyDataSetChanged();
        }
    }

    /* access modifiers changed from: protected */
    public void setTestResultWithoutNV(int id, byte result) {
        int itemid = FactoryTestManager.getItemPosition_ID(id);
        if (itemid > -1) {
            FactoryTestManager.setItemResultWithoutNVUpdate(itemid, result);
            FactoryTestManager.notifyDataSetChanged();
        }
    }

    private void finishKeyCode() {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "finishKeyCode", "mCount_NVWrite: " + this.mCount_NVWrite + " , TEST_ID=" + this.TEST_ID);
        int itemid = FactoryTestManager.getItemPosition_ID(this.TEST_ID);
        if (this.mCount_NVWrite < this.COUNT_MAX_NV_WRITE && itemid != -1) {
            byte nvValue = FactoryTestManager.getItemResult(itemid);
            String str2 = this.CLASS_NAME;
            FtUtil.log_i(str2, "finishKeyCode", "nvValue: " + FactoryTestManager.convertorNVValue(nvValue));
        }
        finish();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void requestToScanDirectories() {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "requestToScanDirectories", "broadcast media mounted = " + Environment.getExternalStorageDirectory().getPath());
        try {
            FtUtil.log_d(this.CLASS_NAME, "requestToScanDirectories", "request to scan");
            MediaScannerConnection.scanFile(getApplicationContext(), new String[]{Environment.getExternalStorageDirectory().getPath()}, null, new MediaScanCompletedListner());
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    /* access modifiers changed from: private */
    public class MediaScanCompletedListner implements MediaScannerConnection.OnScanCompletedListener {
        private MediaScanCompletedListner() {
        }

        public void onScanCompleted(String path, Uri uri) {
            FtUtil.log_d(UIBase.this.CLASS_NAME, "onScanCompleted", "onScanCompleted");
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void doCopyDumpOperation() {
        if (this.mIsDestroyed) {
            sendBroadcast(new Intent("com.sec.factory.app.ui.CopyingDump"));
        } else {
            this.mLogProgressDialog.setMessage("Copying Dump...");
        }
        new Thread(new Runnable() {
            /* class com.sec.factory.app.ui.UIBase.AnonymousClass4 */

            public void run() {
                UIBase.this.mFactoryDump.doCopyDump();
            }
        }).start();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void doDumpState() {
        notifyStartDumpstate();
        showProgressDialog();
        mModuleCommon.startSilentLogService();
        this.mIsGettingDump = true;
        this.mFactoryDump.doDumpStateForUI(getPositionData());
        if (this.mFactoryPhone == null) {
            this.mFactoryPhone = new FactoryTestPhone(this);
        }
        this.mFactoryPhone.getCPDump();
        this.mFactoryPhone.getCpDumpResponse();
    }

    private void ResultMessage(String message) {
        if (!this.mIsDestroyed) {
            AlertDialog.Builder builder = this.mLogDialogBuilder;
            if (builder != null) {
                builder.setIcon(17301543);
                this.mLogDialogBuilder.setTitle("Dump Result");
                this.mLogDialogBuilder.setMessage(message);
                this.mLogDialogBuilder.setPositiveButton(17039370, (DialogInterface.OnClickListener) null);
                this.mLogDialogBuilder.setCancelable(true);
                this.mLogDialogBuilder.show().getWindow().setGravity(17);
                return;
            }
            return;
        }
        sendBroadcast(new Intent("com.sec.factory.app.ui.DumpDone"));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void infoLogAll() {
        ResultMessage(this.mFactoryDump.getDumpStateFileName() + "\r\nDump Success!");
    }

    private void showProgressDialog() {
        ProgressDialog progressDialog = this.mLogProgressDialog;
        if (progressDialog != null) {
            progressDialog.setMessage("Getting Dump...");
            this.mLogProgressDialog.setIndeterminate(true);
            this.mLogProgressDialog.setCancelable(false);
            this.mLogProgressDialog.getWindow().setGravity(17);
            this.mLogProgressDialog.show();
        }
    }

    public static class FailDialogFragment extends DialogFragment {
        String message;

        public static FailDialogFragment newInstance(String message2) {
            FailDialogFragment dialog = new FailDialogFragment();
            Bundle args = new Bundle();
            args.putString("message", message2);
            dialog.setArguments(args);
            return dialog;
        }

        public void onCreate(Bundle savedInstanceState) {
            super.onCreate(savedInstanceState);
            this.message = getArguments().getString("message");
        }

        public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
            View v = inflater.inflate(R.layout.fail_dialog, container, false);
            Rect displayRectangle = new Rect();
            getActivity().getWindow().getDecorView().getWindowVisibleDisplayFrame(displayRectangle);
            v.setMinimumWidth((int) (((float) displayRectangle.width()) * 0.7f));
            v.setMinimumHeight((int) (((float) displayRectangle.height()) * 0.5f));
            Button btYes = (Button) v.findViewById(R.id.btYes);
            btYes.setText(R.string.yes);
            Button btNo = (Button) v.findViewById(R.id.btNo);
            btNo.setText(R.string.no);
            getDialog().getWindow().requestFeature(1);
            ((TextView) v.findViewById(R.id.message)).setText(this.message);
            btYes.setOnClickListener(new View.OnClickListener() {
                /* class com.sec.factory.app.ui.UIBase.FailDialogFragment.AnonymousClass1 */

                public void onClick(View v) {
                    UIBase.mModuleCommon.updateFailItem(UIBase.TEST_15_MODE, UIBase.mFailItem, "", "");
                    FailDialogFragment.this.dismiss();
                }
            });
            btNo.setOnClickListener(new View.OnClickListener() {
                /* class com.sec.factory.app.ui.UIBase.FailDialogFragment.AnonymousClass2 */

                public void onClick(View v) {
                    FailDialogFragment.this.dismiss();
                }
            });
            return v;
        }
    }

    public static class DumpAlertDialogFragment extends DialogFragment {
        public static DumpAlertDialogFragment newInstance(int title) {
            return new DumpAlertDialogFragment();
        }

        public Dialog onCreateDialog(Bundle savedInstanceState) {
            return new AlertDialog.Builder(getActivity()).setMessage("Start Dump").setPositiveButton("OK", new DialogInterface.OnClickListener() {
                /* class com.sec.factory.app.ui.UIBase.DumpAlertDialogFragment.AnonymousClass3 */

                public void onClick(DialogInterface dialog, int whichButton) {
                    ((UIBase) DumpAlertDialogFragment.this.getActivity()).doDumpState();
                    DumpAlertDialogFragment.this.dismiss();
                }
            }).setNegativeButton("CANCEL", new DialogInterface.OnClickListener() {
                /* class com.sec.factory.app.ui.UIBase.DumpAlertDialogFragment.AnonymousClass2 */

                public void onClick(DialogInterface dialog, int whichButton) {
                    DumpAlertDialogFragment.this.dismiss();
                }
            }).setOnKeyListener(new DialogInterface.OnKeyListener() {
                /* class com.sec.factory.app.ui.UIBase.DumpAlertDialogFragment.AnonymousClass1 */

                public boolean onKey(DialogInterface dInterface, int keyCode, KeyEvent event) {
                    if (keyCode != 4) {
                        return true;
                    }
                    DumpAlertDialogFragment.this.dismiss();
                    return true;
                }
            }).create();
        }

        public void onActivityCreated(Bundle savedInstanceState) {
            super.onActivityCreated(savedInstanceState);
            WindowManager.LayoutParams lp = getDialog().getWindow().getAttributes();
            lp.gravity = 17;
            getDialog().getWindow().setAttributes(lp);
        }
    }

    public void showDumpStartDialog() {
        FtUtil.log_d(this.CLASS_NAME, "showDumpStartDialog", "showDumpStartDialog");
        DumpAlertDialogFragment.newInstance(10000).show(getFragmentManager(), "dialog");
    }

    /* access modifiers changed from: protected */
    public String getPositionData() {
        return getSharedPreferences("recentfactorytest", 0).getString("itemposition", "FactoryTestMain");
    }

    /* access modifiers changed from: protected */
    public void savePositionData(String currentitem) {
        SharedPreferences.Editor editor = getSharedPreferences("recentfactorytest", 0).edit();
        editor.putString("itemposition", currentitem);
        editor.commit();
    }

    /* access modifiers changed from: protected */
    public void sleep(long time) {
        try {
            Thread.sleep(time);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
    }

    /* access modifiers changed from: protected */
    public void updateSimpleTestStates(String strItem) {
        mFailItem = strItem;
    }

    private boolean checkEarphonePlugged() {
        boolean result = ModuleAudio.instance(this).isEarphonePlugged();
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "checkEarphonePlugged()", "result: " + result);
        return result;
    }

    private void notifyStartDumpstate() {
        if (FtUtil.isFactoryBinary()) {
            FtUtil.log_d(this.CLASS_NAME, "notifyStartDumpstate", "");
            sendBroadcast(new Intent("com.sec.factory.app.ui.DumpStart"));
        }
    }
}
