package com.sec.factory.app.ui;

import android.os.Bundle;
import android.os.Handler;
import android.view.KeyEvent;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;

public class UIBaseWithNoLcd extends UIBase {
    private final String CLASS_NAME = "UIBaseWithNoLcd";
    private Handler Media_Key_Handler = new Handler();
    private Handler Mute_Key_Handler = new Handler();
    private boolean mIsMediaKeyPressed = false;
    private boolean mIsMuteKeyPressed = false;
    private ModuleDevice mModuleDevice;
    public boolean result_manual_report = false;

    public UIBaseWithNoLcd() {
        super("UIBaseWithNoLcd");
    }

    public UIBaseWithNoLcd(String className, int id) {
        super(className, id);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        this.mModuleDevice = ModuleDevice.instance(this);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public boolean onKeyUp(int keyCode, KeyEvent event) {
        FtUtil.log_d("UIBaseWithNoLcd", "onKeyUp");
        String lcd_type = Support.Feature.getString(Support.Feature.LCD_TYPE);
        switch (keyCode) {
            case 85:
                this.mIsMuteKeyPressed = false;
                if ("none".equalsIgnoreCase(lcd_type)) {
                    if (!this.mIsMediaKeyPressed) {
                        FtUtil.log_d("UIBaseWithNoLcd", "onKeyUp", "Media Key Press");
                        this.mIsMediaKeyPressed = true;
                        this.Media_Key_Handler.postDelayed(new Runnable() {
                            /* class com.sec.factory.app.ui.UIBaseWithNoLcd.AnonymousClass2 */

                            public void run() {
                                UIBaseWithNoLcd.this.mIsMediaKeyPressed = false;
                            }
                        }, 800);
                        break;
                    } else {
                        FtUtil.log_d("UIBaseWithNoLcd", "onKeyUp", "Media Key Double Press");
                        this.mIsMediaKeyPressed = false;
                        if ("ET6034A".equalsIgnoreCase(Support.Feature.getString(Support.Feature.SUPPORT_SERVICE_LED))) {
                            this.mModuleDevice.turnOnColorLED(ModuleDevice.COLORLED_YELLOW, 1);
                        }
                        if (this.result_manual_report) {
                            setResult(-1);
                        }
                        finish();
                        break;
                    }
                }
                break;
            case 91:
                this.mIsMediaKeyPressed = false;
                if ("none".equalsIgnoreCase(lcd_type)) {
                    if (!this.mIsMuteKeyPressed) {
                        FtUtil.log_d("UIBaseWithNoLcd", "onKeyUp", "mute key press");
                        this.mIsMuteKeyPressed = true;
                        this.Mute_Key_Handler.postDelayed(new Runnable() {
                            /* class com.sec.factory.app.ui.UIBaseWithNoLcd.AnonymousClass1 */

                            public void run() {
                                UIBaseWithNoLcd.this.mIsMuteKeyPressed = false;
                            }
                        }, 800);
                        break;
                    } else {
                        FtUtil.log_d("UIBaseWithNoLcd", "onKeyUp", "mute key Double press");
                        this.mIsMuteKeyPressed = false;
                        if ("ET6034A".equalsIgnoreCase(Support.Feature.getString(Support.Feature.SUPPORT_SERVICE_LED))) {
                            this.mModuleDevice.turnOnColorLED(ModuleDevice.COLORLED_RED, 1);
                        }
                        if (this.result_manual_report) {
                            setResult(0);
                        }
                        finish();
                        break;
                    }
                }
                break;
            default:
                this.mIsMediaKeyPressed = false;
                this.mIsMuteKeyPressed = false;
                break;
        }
        return super.onKeyUp(keyCode, event);
    }
}
