package com.sec.factory.app.ui;

import android.content.Intent;
import android.os.Bundle;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;

public class UICameraApertureTest extends UIBase {
    private final int REQUEST_CAMERA_APERTURE_TEST = 0;
    float[] centerRange = new float[2];
    float[] f15Range = new float[2];
    float[] f24Range = new float[2];

    public UICameraApertureTest() {
        super("UICameraApertureTest", 260);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        FtUtil.log_v("UICameraApertureTest", "onCreate");
        this.centerRange[0] = Support.Spec.getFloat(Support.Spec.APERTURE_SMALL_CENTER);
        this.centerRange[1] = Support.Spec.getFloat(Support.Spec.APERTURE_BIG_CENTER);
        this.f15Range[0] = Support.Spec.getFloat(Support.Spec.APERTURE_BIG_RANGE_MIN);
        this.f15Range[1] = Support.Spec.getFloat(Support.Spec.APERTURE_BIG_RANGE_MAX);
        this.f24Range[0] = Support.Spec.getFloat(Support.Spec.APERTURE_SMALL_RANGE_MIN);
        this.f24Range[1] = Support.Spec.getFloat(Support.Spec.APERTURE_SMALL_RANGE_MAX);
        FtUtil.log_v("UICameraApertureTest", "centerRange : " + this.centerRange + "f15Range : " + this.f15Range + "f24Range : " + this.f24Range);
        Intent i = new Intent();
        i.setClassName("com.sec.factory.camera", "com.sec.android.app.camera.CameraTestActivity");
        i.putExtra("testtype", Support.HwTestMenu.LCD_TEST_GRIP);
        i.putExtra("arg1", "aperture");
        i.putExtra("arg3", this.centerRange);
        i.putExtra("arg4", this.f15Range);
        i.putExtra("arg5", this.f24Range);
        startActivityForResult(i, 0);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        sendBroadcast(new Intent("com.samsung.android.aircommandmanager.STOP_MONITORING"));
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
    }

    /* access modifiers changed from: protected */
    public void onActivityResult(int requestCode, int resultCode, Intent data) {
        super.onActivityResult(requestCode, resultCode, data);
        FtUtil.log_v("UICameraApertureTest", "onActivityResult", "requestCode : " + requestCode + ", resultCode : " + resultCode);
        switch (requestCode) {
            case 0:
                if (resultCode == -1) {
                    setTestResult((byte) 80);
                    setResult(-1);
                    FtUtil.log_d(this.CLASS_NAME, "onActivityResult", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(260), "Pass"));
                } else {
                    setTestResultFailCase(260);
                    FtUtil.log_d(this.CLASS_NAME, "onActivityResult", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(260), "Fail"));
                }
                finish();
                return;
            default:
                return;
        }
    }
}
