package com.sec.factory.app.ui;

import android.content.Intent;
import android.os.Bundle;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;

public class UICameraDualFlashTest extends UIBase {
    public static final String KEY_CAMERA_ID = "camera_id";
    public static final int REAR_CAMERA = 0;
    private final int REQUEST_CAMERA_DUAL_TEST = 0;
    private ModuleDevice mModuleDevice;

    public UICameraDualFlashTest() {
        super("UICameraDualFlashTest", 135);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        this.mModuleDevice = ModuleDevice.instance(this);
        Intent intent = getIntent();
        FtUtil.log_v("UICameraDualFlashTest", "onCreate");
        Intent i = new Intent();
        i.setClassName("com.sec.factory.camera", "com.sec.android.app.camera.CameraTestActivity");
        i.putExtra("testtype", Support.HwTestMenu.LCD_TEST_GRIP);
        i.putExtra("arg1", "dual_flash");
        startActivityForResult(intent, 0);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        sendBroadcast(new Intent("com.samsung.android.aircommandmanager.STOP_MONITORING"));
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
    }

    /* access modifiers changed from: protected */
    public void onActivityResult(int requestCode, int resultCode, Intent data) {
        super.onActivityResult(requestCode, resultCode, data);
        FtUtil.log_v("UICameraDualFlashTest", "onActivityResult", "requestCode : " + requestCode + ", resultCode : " + resultCode);
        switch (requestCode) {
            case 0:
                if (resultCode == -1) {
                    setTestResult((byte) 80);
                    setResult(-1);
                } else {
                    setTestResultFailCase(135);
                }
                finish();
                return;
            default:
                return;
        }
    }

    private void finishKeyCode() {
        FactoryTestManager.getItemResult(FactoryTestManager.getItemPosition_ID(this.TEST_ID));
        finish();
    }
}
