package com.sec.factory.app.ui;

import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.View;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;

public class UIColourBalance extends UIBase implements View.OnClickListener {
    private static final int MSG_SHOW_BUTTONS = 1;
    private static final String TAG = "UIColourBalance";
    private Button mButtonFail;
    private Button mButtonPass;
    private Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UIColourBalance.AnonymousClass1 */

        public void handleMessage(Message msg) {
            switch (msg.what) {
                case 1:
                    UIColourBalance.this.mLinearLayoutButtonDepot.setVisibility(0);
                    return;
                default:
                    return;
            }
        }
    };
    private LinearLayout mLinearLayoutButtonDepot;
    private String mStringRedOffset;
    private TextView mTextViewRedOffset;
    private TextView mTextViewTitle;

    public UIColourBalance() {
        super(TAG);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        FtUtil.setRemoveSystemUI(getWindow(), true);
        this.TEST_ID = getIntent().getIntExtra("testid", -1);
        setContentView(R.layout.ui_colour_balance);
        checkDefaultValue();
        initUi();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        ModuleDevice.instance(this).setACL(true);
        super.onResume();
        this.mHandler.sendEmptyMessageDelayed(1, 3000);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        ModuleDevice.instance(this).setACL(false);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
    }

    private void checkDefaultValue() {
        String defaultVal = "";
        String rawValueEFS = "";
        if (this.TEST_ID == 151) {
            FtUtil.log_d(this.CLASS_NAME, "checkDefaultValue", "TEST_ID : TEST_COLOUR_BALANCE");
            String path = Support.Kernel.getFilePath(Support.Kernel.COLOUR_BALANCE_EFS);
            defaultVal = Support.Spec.getString("COLOR_BALANCE_DEFAULT_VALUE");
            if (!Support.Kernel.isExistFilePath(path)) {
                Support.Kernel.writeNsync(Support.Kernel.COLOUR_BALANCE_EFS, defaultVal);
                Support.Kernel.setPermission(path, true, true, true, true, true, false);
                Support.Kernel.write(Support.Kernel.COLOUR_BALANCE_KERNEL, defaultVal);
            }
            rawValueEFS = Support.Kernel.read(Support.Kernel.COLOUR_BALANCE_EFS);
        } else if (this.TEST_ID == 154) {
            FtUtil.log_d(this.CLASS_NAME, "checkDefaultValue", "TEST_ID : TEST_COLOUR_BALANCE_2");
            String path2 = Support.Kernel.getFilePath(Support.Kernel.COLOUR_BALANCE_EFS_2);
            defaultVal = Support.Spec.getString("COLOR_BALANCE_DEFAULT_VALUE");
            if (!Support.Kernel.isExistFilePath(path2)) {
                Support.Kernel.writeNsync(Support.Kernel.COLOUR_BALANCE_EFS_2, defaultVal);
                Support.Kernel.setPermission(path2, true, true, true, true, true, false);
                Support.Kernel.write(Support.Kernel.COLOUR_BALANCE_KERNEL_2, defaultVal);
            }
            rawValueEFS = Support.Kernel.read(Support.Kernel.COLOUR_BALANCE_EFS_2);
        }
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "checkDefaultValue", "defaultVal : " + defaultVal);
        String str2 = this.CLASS_NAME;
        FtUtil.log_d(str2, "checkDefaultValue", "Applied Offset(Red,Green,Blue) : " + rawValueEFS);
        if (rawValueEFS != null) {
            this.mStringRedOffset = rawValueEFS.split(" ")[0];
        }
    }

    private void initUi() {
        TextView textView = (TextView) findViewById(R.id.red_offset);
        this.mTextViewRedOffset = textView;
        textView.setText("Reddish : " + this.mStringRedOffset);
        this.mTextViewTitle = (TextView) findViewById(R.id.title);
        if (this.TEST_ID == 154) {
            this.mTextViewTitle.setText("Color Balance 2 Test");
        }
        this.mLinearLayoutButtonDepot = (LinearLayout) findViewById(R.id.bottom_btn_depot);
        Button button = (Button) findViewById(R.id.pass);
        this.mButtonPass = button;
        button.setOnClickListener(this);
        Button button2 = (Button) findViewById(R.id.fail);
        this.mButtonFail = button2;
        button2.setOnClickListener(this);
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.fail:
                finish();
                return;
            case R.id.pass:
                setTestResult((byte) 80);
                setResult(-1);
                finish();
                return;
            default:
                return;
        }
    }
}
