package com.sec.factory.app.ui;

import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.util.TypedValue;
import android.view.MotionEvent;
import android.view.View;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;

public class UIColourBalanceReference extends UIBase implements View.OnClickListener, View.OnTouchListener {
    private static final int MSG_RESTORE_TOP_BAR = 1;
    private static final String TAG = "UIColourBalanceReference";
    private final String DEFAULT_VAL = "0 0 0";
    private int blueOffset;
    private Button buttonPass;
    private Button buttonRed0;
    private Button buttonRed1;
    private Button buttonRed2;
    private int greenOffset;
    private boolean isOriginal = false;
    boolean isTopBarVisible = true;
    private Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UIColourBalanceReference.AnonymousClass1 */

        public void handleMessage(Message msg) {
            if (msg.what == 1) {
                UIColourBalanceReference.this.mLinearLayoutTopBar.setVisibility(0);
                UIColourBalanceReference.this.isTopBarVisible = true;
            }
        }
    };
    LinearLayout mLinearLayoutTopBar;
    RelativeLayout mRelativeLayoutBackground;
    private TextView mTextViewGreenOffset;
    private TextView mTextViewRedOffset;
    private String[] rawValueEFS = null;
    private int redOffset;

    public UIColourBalanceReference() {
        super(TAG);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        String path = Support.Kernel.getFilePath(Support.Kernel.COLOUR_BALANCE_EFS);
        if (!Support.Kernel.isExistFilePath(path)) {
            String defaultVal = Support.Spec.getString("COLOR_BALANCE_DEFAULT_VALUE");
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "onResume", "DEFAULT_VAL : " + defaultVal);
            Support.Kernel.writeNsync(Support.Kernel.COLOUR_BALANCE_EFS, defaultVal);
            Support.Kernel.setPermission(path, true, true, true, true, true, false);
            Support.Kernel.write(Support.Kernel.COLOUR_BALANCE_KERNEL, defaultVal);
        }
        String[] split = Support.Kernel.read(Support.Kernel.COLOUR_BALANCE_EFS).split(" ");
        this.rawValueEFS = split;
        this.redOffset = Integer.parseInt(split[0]);
        this.greenOffset = Integer.parseInt(this.rawValueEFS[1]);
        this.blueOffset = Integer.parseInt(this.rawValueEFS[2]);
        String str2 = this.CLASS_NAME;
        FtUtil.log_d(str2, "onResume", this.redOffset + " " + this.greenOffset + " " + this.blueOffset);
        setContentView(R.layout.ui_colour_balance_reference);
        TextView textView = (TextView) findViewById(R.id.red_offset);
        this.mTextViewRedOffset = textView;
        textView.setText(this.redOffset + "");
        this.buttonRed0 = (Button) findViewById(R.id.red_offset_0);
        this.buttonRed1 = (Button) findViewById(R.id.red_offset_1);
        this.buttonRed2 = (Button) findViewById(R.id.red_offset_2);
        this.buttonPass = (Button) findViewById(R.id.pass);
        this.buttonRed0.setOnClickListener(this);
        this.buttonRed1.setOnClickListener(this);
        this.buttonRed2.setOnClickListener(this);
        this.buttonPass.setOnClickListener(this);
        this.buttonRed0.setVisibility(8);
        this.buttonRed1.setVisibility(8);
        this.buttonRed2.setVisibility(8);
        this.buttonPass.setVisibility(8);
        RelativeLayout relativeLayout = (RelativeLayout) findViewById(R.id.rel_background);
        this.mRelativeLayoutBackground = relativeLayout;
        relativeLayout.setOnTouchListener(this);
        LinearLayout linearLayout = (LinearLayout) findViewById(R.id.top_bar);
        this.mLinearLayoutTopBar = linearLayout;
        RelativeLayout.LayoutParams params = (RelativeLayout.LayoutParams) linearLayout.getLayoutParams();
        params.height = (int) TypedValue.applyDimension(5, 10.0f, getResources().getDisplayMetrics());
        this.mLinearLayoutTopBar.setLayoutParams(params);
        this.mLinearLayoutTopBar.setVisibility(0);
        super.onResume();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        this.mHandler.removeMessages(1);
        super.onDestroy();
    }

    /* access modifiers changed from: package-private */
    public void offsetReddish(int offset) {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "offsetPlus", this.redOffset + " " + this.greenOffset + " " + this.blueOffset);
        this.redOffset = offset;
        this.blueOffset = offset;
        Support.Kernel.writeNsync(Support.Kernel.COLOUR_BALANCE_EFS, this.redOffset + " " + this.greenOffset + " " + this.blueOffset);
        Support.Kernel.write(Support.Kernel.COLOUR_BALANCE_KERNEL, this.redOffset + " " + this.greenOffset + " " + this.blueOffset);
        TextView textView = this.mTextViewRedOffset;
        StringBuilder sb = new StringBuilder();
        sb.append(this.redOffset);
        sb.append("");
        textView.setText(sb.toString());
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.red_offset_0:
                offsetReddish(0);
                return;
            case R.id.red_offset_1:
                offsetReddish(-3);
                return;
            case R.id.red_offset_2:
                offsetReddish(-6);
                return;
            default:
                return;
        }
    }

    public boolean onTouch(View view, MotionEvent event) {
        switch (event.getAction()) {
            case 0:
                if (view == this.mRelativeLayoutBackground) {
                    this.mHandler.removeMessages(1);
                    FtUtil.log_d(this.CLASS_NAME, "onTouch", "touched");
                    if (!this.isTopBarVisible) {
                        this.mLinearLayoutTopBar.setVisibility(0);
                        this.isTopBarVisible = true;
                        break;
                    } else {
                        this.mLinearLayoutTopBar.setVisibility(4);
                        this.isTopBarVisible = false;
                        this.mHandler.sendEmptyMessageDelayed(1, 10000);
                        break;
                    }
                }
                break;
        }
        return false;
    }
}
