package com.sec.factory.app.ui;

import android.app.AlertDialog;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.widget.LinearLayout;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.modules.ModulePower;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.File;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.Locale;

public class UID2DCharge extends UIBase {
    private static final int MSG_SELFTEST_START = 2;
    private static final int MSG_TEST_END = 3;
    private static final int MSG_TEST_RESTORATION = 5;
    private static final int MSG_TEST_START = 1;
    private static final int WHAT_CHECK_LCD_ON = 4;
    private final int AVER_D2DC_CNT;
    private final String CLASS_NAME = "UID2DCharge";
    private int DUMMY = 0;
    private final int TESTSTATE_D2DC_CHECK_BATT;
    private final int TESTSTATE_D2DC_CHECK_STATUS;
    private final int TESTSTATE_D2DC_SELFTEST;
    private int battLevel;
    private boolean initDisableTest;
    private boolean initEnableTest;
    private boolean isPass;
    private boolean isPopupOpen;
    private int mAverD2dc;
    private BroadcastReceiver mBroadcastReceiver;
    private AlertDialog mChargeDialog;
    private LinearLayout mD2DCCurrentTable;
    private TextView mD2DCFinalCheck;
    private TextView mD2DChargeRawavg;
    private TextView mD2DChargeRawdata1;
    private TextView mD2DChargeRawdata2;
    private TextView mD2DChargeRawdata3;
    private TextView mD2DChargeTitle;
    private TextView mD2DCurVolCheck;
    private TextView mD2DCurVolNotice;
    private TextView mD2DModeOffCheck;
    private TextView mD2DModeOffNotice;
    private TextView mD2DModeOnCheck;
    private TextView mD2DModeOnNotice;
    private TextView mD2DVoltageCheck;
    private TextView mD2DVoltageNotice;
    private ArrayList<Integer> mD2dcList;
    private int mDisableCheckCnt;
    private int mEnableCheckCnt;
    private Handler mHandler;
    private IntentFilter mIntentFilter;
    private String mItemName;
    private int mLcdOnCheckCnt;
    private ModuleDevice mModuleDevice;
    private ModulePower mModulePower;
    private String mSoc;
    private int mSpecMax;
    private int mSpecMin;
    private int mTestState;
    private final float mUIRate;
    private int mVBusReadCount;
    private String mVoltage;
    private TextView mVoltageSpecCheck;
    private TextView mVoltageSpecNotice;

    static /* synthetic */ int access$008(UID2DCharge x0) {
        int i = x0.mLcdOnCheckCnt;
        x0.mLcdOnCheckCnt = i + 1;
        return i;
    }

    public UID2DCharge() {
        super("UID2DCharge", 139);
        int i = 0 + 1;
        this.DUMMY = i;
        this.TESTSTATE_D2DC_CHECK_BATT = 0;
        int i2 = i + 1;
        this.DUMMY = i2;
        this.TESTSTATE_D2DC_CHECK_STATUS = i;
        this.DUMMY = i2 + 1;
        this.TESTSTATE_D2DC_SELFTEST = i2;
        this.mEnableCheckCnt = 0;
        this.mDisableCheckCnt = 0;
        this.mTestState = 0;
        this.mVBusReadCount = 0;
        this.initEnableTest = true;
        this.initDisableTest = true;
        this.isPass = false;
        this.AVER_D2DC_CNT = 1;
        this.mLcdOnCheckCnt = 0;
        this.mAverD2dc = 0;
        this.mVoltage = "";
        this.mSoc = "";
        this.battLevel = 0;
        this.mD2dcList = new ArrayList<>();
        this.mUIRate = Support.FactoryTestMenu.getUIRate(FactoryTestManager.convertorID_XML(139));
        this.isPopupOpen = false;
        this.mChargeDialog = null;
        this.mIntentFilter = new IntentFilter();
        this.mBroadcastReceiver = new BroadcastReceiver() {
            /* class com.sec.factory.app.ui.UID2DCharge.AnonymousClass1 */

            public void onReceive(Context context, Intent intent) {
                String action = intent.getAction();
                FtUtil.log_d("UID2DCharge", "mBroadcastReceiver.onReceive", "action=" + action);
                if ("com.android.samsungtest.D2D_CHARGE_STOP".equals(action)) {
                    FtUtil.log_i("UID2DCharge", "onReceive", "com.android.samsungtest.D2D_CHARGE_STOP");
                    UID2DCharge.this.finish();
                }
            }
        };
        this.mHandler = new Handler() {
            /* class com.sec.factory.app.ui.UID2DCharge.AnonymousClass2 */

            public void handleMessage(Message msg) {
                if (msg.what == 4) {
                    if (UID2DCharge.access$008(UID2DCharge.this) == 5) {
                        FtUtil.log_d("UID2DCharge", "handleMessage : LCD is not on state during 1 second.");
                        UID2DCharge.this.mLcdOnCheckCnt = 0;
                        UID2DCharge.this.mHandler.sendEmptyMessageDelayed(2, 400);
                    } else if (UID2DCharge.this.mModulePower.isScreenOn()) {
                        UID2DCharge.this.turnLcdOffForVoltageCheck();
                        UID2DCharge.this.mHandler.sendEmptyMessageDelayed(2, (long) Support.Spec.getInt(Support.Spec.D2D_CHARGE_VOLTAGE_CHECK_DELAY));
                        UID2DCharge.this.mLcdOnCheckCnt = 0;
                    } else {
                        UID2DCharge.this.mHandler.sendEmptyMessageDelayed(4, 200);
                    }
                } else if (msg.what == 1) {
                    UID2DCharge.this.enableD2DCharge();
                } else if (msg.what == 2) {
                    UID2DCharge.this.readVbusVoltage();
                } else if (msg.what == 5) {
                    UID2DCharge.this.disableD2DCharge();
                } else if (msg.what == 3) {
                    UID2DCharge.this.endMeasure();
                }
            }
        };
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_d2dcharge);
        this.mModuleDevice = ModuleDevice.instance(this);
        this.mModulePower = ModulePower.instance(this);
        this.mTestState = this.TESTSTATE_D2DC_CHECK_BATT;
        this.mD2DChargeTitle = (TextView) findViewById(R.id.d2dchargetitle);
        TextView textView = (TextView) findViewById(R.id.d2dcurvolnotice);
        this.mD2DCurVolNotice = textView;
        textView.setText("Battery Status : ");
        this.mD2DCurVolCheck = (TextView) findViewById(R.id.d2dcurvolcheck);
        TextView textView2 = (TextView) findViewById(R.id.d2dmodeonnotice);
        this.mD2DModeOnNotice = textView2;
        textView2.setText("D2D Mode On : ");
        this.mD2DModeOnCheck = (TextView) findViewById(R.id.d2dmodeoncheck);
        this.mD2DVoltageNotice = (TextView) findViewById(R.id.d2dvoltagenotice);
        this.mD2DVoltageCheck = (TextView) findViewById(R.id.d2dvoltagecheck);
        this.mVoltageSpecNotice = (TextView) findViewById(R.id.d2dvolspecnotice);
        this.mVoltageSpecCheck = (TextView) findViewById(R.id.d2dvolspeccheck);
        this.mD2DModeOffNotice = (TextView) findViewById(R.id.d2dmodeoffnotice);
        this.mD2DModeOffCheck = (TextView) findViewById(R.id.d2dmodeoffcheck);
        this.mD2DCFinalCheck = (TextView) findViewById(R.id.d2dfinalcheck);
        LinearLayout linearLayout = (LinearLayout) findViewById(R.id.table);
        this.mD2DCCurrentTable = linearLayout;
        linearLayout.setVisibility(8);
        this.mD2DChargeRawdata1 = (TextView) findViewById(R.id.rawdata1);
        this.mD2DChargeRawdata2 = (TextView) findViewById(R.id.rawdata2);
        this.mD2DChargeRawdata3 = (TextView) findViewById(R.id.rawdata3);
        this.mD2DChargeRawavg = (TextView) findViewById(R.id.rawdataavg);
        this.mItemName = FactoryTestManager.getItemName_RequestCode(139);
        boolean mIsAtCmd = getIntent().getBooleanExtra("mIsAtCmd", false);
        setAtCmd(mIsAtCmd);
        FtUtil.log_d("UID2DCharge", "onCreate", "mIsAtCmd : " + mIsAtCmd);
        readBatteryLevel();
        setUIRate();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        this.mIntentFilter.addAction("com.android.samsungtest.D2D_CHARGE_STOP");
        registerReceiver(this.mBroadcastReceiver, this.mIntentFilter);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        this.mHandler.removeMessages(1);
        this.mHandler.removeMessages(3);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
        this.mHandler.removeMessages(1);
        this.mHandler.removeMessages(3);
        this.mEnableCheckCnt = 0;
        this.mDisableCheckCnt = 0;
        this.mVBusReadCount = 0;
        if (Support.Kernel.isExistFilePath(Support.Kernel.getFilePath(Support.Kernel.D2D_CHARGE_CTRL)) && EgisFingerprint.MAJOR_VERSION.equals(Support.Kernel.read(Support.Kernel.D2D_CHARGE_CTRL))) {
            FtUtil.log_i("UID2DCharge", "disableD2DCharge", "onDestroy");
            Support.Kernel.writeToPath(Support.Kernel.getFilePath(Support.Kernel.D2D_CHARGE_CTRL), "0");
            Support.Kernel.writeToPath(Support.Kernel.getFilePath(Support.Kernel.D2D_ADC_CTRL), "0");
        }
        this.mModulePower.doPartialWakeLock(false);
        this.mModulePower.doWakeLock(false);
        this.mD2dcList.clear();
    }

    private void readBatteryLevel() {
        String voltage = Support.Kernel.read(Support.Kernel.DIRECT_CHARGE_BATTERY_VOLT);
        if (voltage != null) {
            String voltage2 = voltage.trim();
            if (voltage2.length() <= 4) {
                FtUtil.log_i("UID2DCharge", "readBatteryLevel", "voltage=" + voltage2);
                this.mVoltage = String.valueOf(Float.valueOf(voltage2).floatValue() / 100.0f);
            } else {
                FtUtil.log_i("UID2DCharge", "readBatteryLevel", "voltage=" + voltage2);
                this.mVoltage = String.format(Locale.US, "%.2f", Float.valueOf(Float.valueOf(voltage2).floatValue() / 1000000.0f));
            }
        }
        String readFuelGaugeSOC = this.mModulePower.readFuelGaugeSOC();
        this.mSoc = readFuelGaugeSOC;
        this.battLevel = Integer.parseInt(readFuelGaugeSOC) / 100;
        TextView textView = this.mD2DCurVolCheck;
        textView.setText(this.mVoltage + "V " + this.battLevel + "%");
        if (this.battLevel >= 0) {
            if (this.mTestState == this.TESTSTATE_D2DC_CHECK_BATT) {
                this.mTestState = this.TESTSTATE_D2DC_CHECK_STATUS;
                FtUtil.log_d("UID2DCharge", "readBatteryLevel", "Battery Level : " + this.battLevel + "% - MSG_TEST_START");
                this.mHandler.sendEmptyMessageDelayed(1, 100);
            }
        } else if (!this.isPopupOpen) {
            FtUtil.log_d("UID2DCharge", "readBatteryLevel", "Open warning popup");
            this.isPopupOpen = true;
            AlertDialog.Builder builder = new AlertDialog.Builder(this);
            builder.setMessage("Please charge the battery more than 32%");
            builder.setCancelable(false);
            builder.setNegativeButton("Exit", new DialogInterface.OnClickListener() {
                /* class com.sec.factory.app.ui.UID2DCharge.AnonymousClass3 */

                public void onClick(DialogInterface dialog, int id) {
                    UID2DCharge.this.finish();
                    dialog.cancel();
                }
            });
            AlertDialog create = builder.create();
            this.mChargeDialog = create;
            create.getWindow().setGravity(17);
            this.mChargeDialog.show();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void enableD2DCharge() {
        this.mSpecMax = Support.Spec.getInt(Support.Spec.D2DC_VOLTAGE_SPEC_MAX);
        this.mSpecMin = Support.Spec.getInt(Support.Spec.D2DC_VOLTAGE_SPEC_MIN);
        if (Support.Kernel.isExistFilePath(Support.Kernel.getFilePath(Support.Kernel.D2D_CHARGE_CTRL))) {
            Support.Kernel.writeToPath(Support.Kernel.getFilePath(Support.Kernel.D2D_CHARGE_CTRL), EgisFingerprint.MAJOR_VERSION);
        }
        int i = this.mEnableCheckCnt + 1;
        this.mEnableCheckCnt = i;
        if (i > 11) {
            FtUtil.log_i("UID2DCharge", "enableD2DCharge", "Fail| D2D Status:" + Support.Kernel.read(Support.Kernel.D2D_CHARGE_CTRL));
            FtUtil.log_d("UID2DCharge", "enableD2DCharge", FtUtil.setMspSeqMessage(1, this.mItemName, "Fail - Enable D2D Charge Fail"));
            this.mD2DModeOnCheck.setText("FAIL");
            this.mD2DModeOnCheck.setTextColor(-65536);
            this.mD2DCFinalCheck.setText("FAIL");
            this.mD2DCFinalCheck.setTextColor(-65536);
            Support.Kernel.writeToPathNsync(new File("data/log/D2DChargeData.log").getPath(), "NONE");
            setTestResultFailCase(139);
        } else if (EgisFingerprint.MAJOR_VERSION.equals(Support.Kernel.read(Support.Kernel.D2D_CHARGE_CTRL))) {
            FtUtil.log_i("UID2DCharge", "enableD2DCharge", "Success| D2D Status :" + Support.Kernel.read(Support.Kernel.D2D_CHARGE_CTRL));
            Support.Kernel.writeToPath(Support.Kernel.getFilePath(Support.Kernel.D2D_ADC_CTRL), EgisFingerprint.MAJOR_VERSION);
            this.mTestState = this.TESTSTATE_D2DC_SELFTEST;
            this.mD2DModeOnCheck.setText("PASS");
            this.mD2DModeOnCheck.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            this.mVoltageSpecNotice.setText("   (Spec : ");
            TextView textView = this.mVoltageSpecCheck;
            textView.setText(this.mSpecMin + "~" + this.mSpecMax + "mV)");
            this.mHandler.sendEmptyMessageDelayed(4, 300);
        } else if (this.initEnableTest) {
            this.mHandler.sendEmptyMessageDelayed(1, 1500);
            FtUtil.log_i("UID2DCharge", "enableD2DCharge", "D2D Status:" + Support.Kernel.read(Support.Kernel.D2D_CHARGE_CTRL) + " / delay 1.5 sec - TestCount : " + this.mEnableCheckCnt);
            this.initEnableTest = false;
        } else {
            this.mHandler.sendEmptyMessageDelayed(1, 200);
            FtUtil.log_i("UID2DCharge", "enableD2DCharge", "D2D Status:" + Support.Kernel.read(Support.Kernel.D2D_CHARGE_CTRL) + " / delay 0.2 sec - TestCount : " + this.mEnableCheckCnt);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void readVbusVoltage() {
        int i = this.mVBusReadCount + 1;
        this.mVBusReadCount = i;
        if (i <= 1) {
            this.mD2dcList.add(Integer.valueOf(Integer.parseInt(Support.Kernel.read(Support.Kernel.D2D_VBUS_VOLTAGE))));
            StringBuilder sb = new StringBuilder();
            sb.append("Vbus Voltage:");
            ArrayList<Integer> arrayList = this.mD2dcList;
            sb.append(arrayList.get(arrayList.size() - 1));
            sb.append(" / mVBusReadCount : ");
            sb.append(this.mVBusReadCount);
            FtUtil.log_i("UID2DCharge", "readVbusVoltage", sb.toString());
            this.mHandler.sendEmptyMessageDelayed(2, 100);
            return;
        }
        this.mVBusReadCount = 0;
        averageD2dc();
    }

    private void averageD2dc() {
        FtUtil.log_d("UID2DCharge", "averageD2dc", "");
        TextView textView = this.mD2DChargeRawdata1;
        textView.setText("" + this.mD2dcList.get(0));
        Integer sum = 0;
        Iterator<Integer> it = this.mD2dcList.iterator();
        while (it.hasNext()) {
            sum = Integer.valueOf(sum.intValue() + it.next().intValue());
        }
        this.mAverD2dc = (int) (((float) sum.intValue()) / 1.0f);
        this.mD2dcList.clear();
        TextView textView2 = this.mD2DChargeRawavg;
        textView2.setText("" + this.mAverD2dc);
        FtUtil.log_i("UID2DCharge", "averageD2DC", "Averege Voltage: " + this.mAverD2dc);
        voltageCheck();
    }

    private void voltageCheck() {
        this.mModulePower.doWakeLock(true);
        TextView textView = this.mD2DVoltageNotice;
        textView.setText("Voltage : " + Integer.toString(this.mAverD2dc) + "mV");
        int i = this.mAverD2dc;
        if (i < this.mSpecMin || i > this.mSpecMax) {
            FtUtil.log_i("UID2DCharge", "voltageCheck", "voltage SelfTest: FAIL ");
            String str = this.mItemName;
            FtUtil.log_d("UID2DCharge", "voltageCheck", FtUtil.setMspSeqMessage(1, str, "Fail - SPEC(" + this.mSpecMin + "mA ~ " + this.mSpecMax + "mA) OUT : " + this.mAverD2dc + "mA"));
            this.mD2DVoltageCheck.setText(" FAIL");
            this.mD2DVoltageCheck.setTextColor(-65536);
            this.mD2DCFinalCheck.setText("FAIL");
            this.mD2DCFinalCheck.setTextColor(-65536);
            Support.Kernel.writeToPathNsync(new File("data/log/D2DChargeData.log").getPath(), "NONE");
            if (Support.Kernel.isExistFilePath(Support.Kernel.getFilePath(Support.Kernel.D2D_CHARGE_CTRL)) && EgisFingerprint.MAJOR_VERSION.equals(Support.Kernel.read(Support.Kernel.D2D_CHARGE_CTRL))) {
                FtUtil.log_i("UID2DCharge", "disableD2DCharge", "voltageCheck fail");
                Support.Kernel.writeToPath(Support.Kernel.getFilePath(Support.Kernel.D2D_CHARGE_CTRL), "0");
                Support.Kernel.writeToPath(Support.Kernel.getFilePath(Support.Kernel.D2D_ADC_CTRL), "0");
            }
            setTestResultFailCase(139);
            return;
        }
        FtUtil.log_i("UID2DCharge", "voltageCheck", "voltage SelfTest: PASS ");
        this.mD2DVoltageCheck.setText(" PASS");
        this.mD2DVoltageCheck.setTextColor(UiHallICTest.FONT_COLOR_PASS);
        this.mHandler.sendEmptyMessageDelayed(5, 100);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void disableD2DCharge() {
        if (Support.Kernel.isExistFilePath(Support.Kernel.getFilePath(Support.Kernel.D2D_CHARGE_CTRL))) {
            Support.Kernel.writeToPath(Support.Kernel.getFilePath(Support.Kernel.D2D_CHARGE_CTRL), "0");
        }
        int i = this.mDisableCheckCnt + 1;
        this.mDisableCheckCnt = i;
        if (i > 11) {
            FtUtil.log_i("UID2DCharge", "disableD2DCharge", "Fail| D2D Status:" + Support.Kernel.read(Support.Kernel.D2D_CHARGE_CTRL));
            FtUtil.log_d("UID2DCharge", "disableD2DCharge", FtUtil.setMspSeqMessage(1, this.mItemName, "Fail - Disable D2D Charge Fail"));
            this.mD2DModeOffNotice.setText("D2D Mode Off : ");
            this.mD2DModeOffCheck.setText("FAIL");
            this.mD2DModeOffCheck.setTextColor(-65536);
            this.mD2DCFinalCheck.setText("FAIL");
            this.mD2DCFinalCheck.setTextColor(-65536);
            Support.Kernel.writeToPathNsync(new File("data/log/D2DChargeData.log").getPath(), "NONE");
            setTestResultFailCase(139);
        } else if ("0".equals(Support.Kernel.read(Support.Kernel.D2D_CHARGE_CTRL))) {
            FtUtil.log_i("UID2DCharge", "disableD2DCharge", "Success| D2D Status :" + Support.Kernel.read(Support.Kernel.D2D_CHARGE_CTRL));
            File dataVolFile = new File("data/log/D2DChargeData.log");
            Support.Kernel.writeToPathNsync(dataVolFile.getPath(), String.format("%s,%d,%d", this.mVoltage, Integer.valueOf(this.battLevel), Integer.valueOf(this.mAverD2dc)));
            FtUtil.log_i("UID2DCharge", "disableD2DCharge", "D2DChargeVolData.log : " + Support.Kernel.readFromPath(dataVolFile.getPath(), true));
            Support.Kernel.writeToPath(Support.Kernel.getFilePath(Support.Kernel.D2D_ADC_CTRL), "0");
            this.mD2DModeOffNotice.setText("D2D Mode Off : ");
            this.mD2DModeOffCheck.setText("PASS");
            this.mD2DModeOffCheck.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            this.isPass = true;
            this.mD2DCFinalCheck.setText("PASS");
            this.mD2DCFinalCheck.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            this.mHandler.sendEmptyMessageDelayed(3, 500);
        } else if (this.initDisableTest) {
            this.mHandler.sendEmptyMessageDelayed(5, 1500);
            FtUtil.log_i("UID2DCharge", "disableD2DCharge", "D2D Status:" + Support.Kernel.read(Support.Kernel.D2D_CHARGE_CTRL) + " / delay 1.5 sec - TestCount : " + this.mDisableCheckCnt);
            this.initDisableTest = false;
        } else {
            this.mHandler.sendEmptyMessageDelayed(5, 200);
            FtUtil.log_i("UID2DCharge", "disableD2DCharge", "D2D Status:" + Support.Kernel.read(Support.Kernel.D2D_CHARGE_CTRL) + " / delay 0.2 sec - TestCount : " + this.mDisableCheckCnt);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void endMeasure() {
        this.mEnableCheckCnt = 0;
        this.mDisableCheckCnt = 0;
        this.mVBusReadCount = 0;
        this.initEnableTest = true;
        this.initDisableTest = true;
        setTestResult();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void turnLcdOffForVoltageCheck() {
        FtUtil.log_i("UID2DCharge", "turnLcdOffForVoltageCheck", "Turn LCD Off");
        this.mModulePower.doPartialWakeLock(true);
        this.mModulePower.doWakeLock(false);
        if (Support.Feature.getBoolean(Support.Feature.NEED_LPA_MODE_SET, true)) {
            this.mModuleDevice.setLPAmode(ModuleDevice.LPA_MODE_DISABLE);
        }
        this.mModulePower.gotosleep();
    }

    private void setTestResult() {
        FtUtil.log_e("UID2DCharge", "setTestResult", " isPass : " + this.isPass);
        if (this.isPass) {
            setTestResult((byte) 80);
        } else {
            setTestResultFailCase(139);
        }
        if ("tester".equals(Support.Properties.get(Support.Properties.FTL_GADGET_MODE))) {
            FtUtil.log_i("UID2DCharge", "setTestResult", "Skip Finish Activity");
        } else {
            finish();
        }
    }

    private void setUIRate() {
        FtUtil.log_d("UID2DCharge", "setUIRate", "rate : " + this.mUIRate);
        float f = this.mUIRate;
        if (f != 0.0f && f != 1.0f) {
            TextView textView = this.mD2DChargeTitle;
            textView.setTextSize(0, textView.getTextSize() * this.mUIRate);
            TextView textView2 = this.mD2DModeOnNotice;
            textView2.setTextSize(0, textView2.getTextSize() * this.mUIRate);
            TextView textView3 = this.mD2DModeOnCheck;
            textView3.setTextSize(0, textView3.getTextSize() * this.mUIRate);
            TextView textView4 = this.mD2DVoltageNotice;
            textView4.setTextSize(0, textView4.getTextSize() * this.mUIRate);
            TextView textView5 = this.mD2DVoltageCheck;
            textView5.setTextSize(0, textView5.getTextSize() * this.mUIRate);
            TextView textView6 = this.mVoltageSpecNotice;
            textView6.setTextSize(0, textView6.getTextSize() * this.mUIRate);
            TextView textView7 = this.mVoltageSpecCheck;
            textView7.setTextSize(0, textView7.getTextSize() * this.mUIRate);
            TextView textView8 = this.mD2DModeOffNotice;
            textView8.setTextSize(0, textView8.getTextSize() * this.mUIRate);
            TextView textView9 = this.mD2DModeOffCheck;
            textView9.setTextSize(0, textView9.getTextSize() * this.mUIRate);
            TextView textView10 = this.mD2DCFinalCheck;
            textView10.setTextSize(0, textView10.getTextSize() * this.mUIRate);
        }
    }
}
