package com.sec.factory.app.ui;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class UIDTVANTDetectTest extends UIBase implements View.OnClickListener {
    private static final int MSG_ANT_DETECT_FAIL;
    private static final int MSG_ANT_DETECT_PASS;
    private static final int MSG_ANT_DETECT_START = 0;
    private static final int MSG_EARPHONE_DETECT_FAIL;
    private static final int MSG_EARPHONE_DETECT_PASS;
    private static final int MSG_TEST_EXIT;
    private static final int MSG_TEST_FAIL;
    private static final int MSG_TEST_PASS;
    private static final int STATE_ANT_DETECT = 0;
    private static final int STATE_EARPHONE_DETECT;
    private static final int STATE_FINISH;
    private static int TEST_MSG;
    private static int TEST_STATE;
    private static String VALUE_ANT = "10";
    private static String VALUE_EARPHONE = EgisFingerprint.MAJOR_VERSION;
    private final int TIME_DELAY = 500;
    private BroadcastReceiver mBroadcastReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.app.ui.UIDTVANTDetectTest.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            String action = intent.getAction();
            FtUtil.log_d(UIDTVANTDetectTest.this.CLASS_NAME, "mBroadcastReceiver.onReceive", "action=" + action);
            if ("android.intent.action.HEADSET_PLUG".equals(intent.getAction())) {
                boolean isHeadsetPlugged = false;
                if (intent.getIntExtra("state", 0) == 1) {
                    isHeadsetPlugged = true;
                }
                FtUtil.log_d(UIDTVANTDetectTest.this.CLASS_NAME, "ACTION_HEADSET_PLUG state : " + isHeadsetPlugged);
                if (isHeadsetPlugged && UIDTVANTDetectTest.this.mTestState == UIDTVANTDetectTest.STATE_EARPHONE_DETECT) {
                    UIDTVANTDetectTest.this.checkEarphone();
                }
            }
        }
    };
    private Button mExitButton;
    public Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UIDTVANTDetectTest.AnonymousClass2 */

        public void handleMessage(Message msg) {
            if (msg.what == UIDTVANTDetectTest.MSG_ANT_DETECT_START) {
                FtUtil.log_d(UIDTVANTDetectTest.this.CLASS_NAME, "mHandler.handleMessage", "MSG_ANT_DETECT_START");
                if (UIDTVANTDetectTest.this.mTestState == UIDTVANTDetectTest.STATE_ANT_DETECT) {
                    UIDTVANTDetectTest.this.checkANT();
                }
            } else if (msg.what == UIDTVANTDetectTest.MSG_ANT_DETECT_PASS) {
                FtUtil.log_d(UIDTVANTDetectTest.this.CLASS_NAME, "mHandler.handleMessage", "MSG_ANT_DETECT_PASS");
                if (UIDTVANTDetectTest.this.mTestState == UIDTVANTDetectTest.STATE_ANT_DETECT) {
                    UIDTVANTDetectTest.this.mTextViewANTResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                    UIDTVANTDetectTest.this.mTextViewANTResult.setText("OK");
                    UIDTVANTDetectTest.this.mTestState = UIDTVANTDetectTest.STATE_EARPHONE_DETECT;
                }
            } else if (msg.what == UIDTVANTDetectTest.MSG_ANT_DETECT_FAIL) {
                FtUtil.log_d(UIDTVANTDetectTest.this.CLASS_NAME, "mHandler.handleMessage", "MSG_ANT_DETECT_FAIL");
                if (UIDTVANTDetectTest.this.mTestState == UIDTVANTDetectTest.STATE_ANT_DETECT) {
                    UIDTVANTDetectTest.this.mTextViewANTResult.setTextColor(-65536);
                    UIDTVANTDetectTest.this.mTextViewANTResult.setText("NG");
                    UIDTVANTDetectTest.this.mHandler.sendEmptyMessage(UIDTVANTDetectTest.MSG_TEST_FAIL);
                }
            } else if (msg.what == UIDTVANTDetectTest.MSG_EARPHONE_DETECT_PASS) {
                FtUtil.log_d(UIDTVANTDetectTest.this.CLASS_NAME, "mHandler.handleMessage", "MSG_EARPHONE_DETECT_PASS");
                if (UIDTVANTDetectTest.this.mTestState == UIDTVANTDetectTest.STATE_EARPHONE_DETECT) {
                    UIDTVANTDetectTest.this.mTextViewEarphoneResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                    UIDTVANTDetectTest.this.mTextViewEarphoneResult.setText("OK");
                    UIDTVANTDetectTest.this.mHandler.sendEmptyMessage(UIDTVANTDetectTest.MSG_TEST_PASS);
                }
            } else if (msg.what == UIDTVANTDetectTest.MSG_EARPHONE_DETECT_FAIL) {
                FtUtil.log_d(UIDTVANTDetectTest.this.CLASS_NAME, "mHandler.handleMessage", "MSG_EARPHONE_DETECT_FAIL");
                if (UIDTVANTDetectTest.this.mTestState == UIDTVANTDetectTest.STATE_EARPHONE_DETECT) {
                    UIDTVANTDetectTest.this.mTextViewEarphoneResult.setTextColor(-65536);
                    UIDTVANTDetectTest.this.mTextViewEarphoneResult.setText("NG");
                    UIDTVANTDetectTest.this.mHandler.sendEmptyMessage(UIDTVANTDetectTest.MSG_TEST_FAIL);
                }
            } else if (msg.what == UIDTVANTDetectTest.MSG_TEST_PASS) {
                FtUtil.log_d(UIDTVANTDetectTest.this.CLASS_NAME, "mHandler.handleMessage", "MSG_TEST_PASS");
                UIDTVANTDetectTest.this.mTextViewOverallResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                UIDTVANTDetectTest.this.mTextViewOverallResult.setText("PASS");
                UIDTVANTDetectTest.this.setTestResult((byte) 80);
                UIDTVANTDetectTest.this.mHandler.sendEmptyMessageDelayed(UIDTVANTDetectTest.MSG_TEST_EXIT, 500);
            } else if (msg.what == UIDTVANTDetectTest.MSG_TEST_FAIL) {
                FtUtil.log_d(UIDTVANTDetectTest.this.CLASS_NAME, "mHandler.handleMessage", "MSG_TEST_FAIL");
                UIDTVANTDetectTest.this.mTextViewOverallResult.setTextColor(-65536);
                UIDTVANTDetectTest.this.mTextViewOverallResult.setText("FAIL");
                UIDTVANTDetectTest.this.mTestState = UIDTVANTDetectTest.STATE_FINISH;
            } else if (msg.what == UIDTVANTDetectTest.MSG_TEST_EXIT) {
                FtUtil.log_d(UIDTVANTDetectTest.this.CLASS_NAME, "mHandler.handleMessage", "MSG_TEST_EXIT");
                UIDTVANTDetectTest.this.finish();
            }
        }
    };
    private Button mRetestButton;
    private int mTestState = TEST_STATE;
    private TextView mTextViewANTResult;
    private TextView mTextViewEarphoneResult;
    private TextView mTextViewOverallResult;

    static {
        TEST_MSG = 0;
        int i = 0 + 1;
        TEST_MSG = i;
        int i2 = i + 1;
        TEST_MSG = i2;
        MSG_ANT_DETECT_PASS = i;
        int i3 = i2 + 1;
        TEST_MSG = i3;
        MSG_ANT_DETECT_FAIL = i2;
        int i4 = i3 + 1;
        TEST_MSG = i4;
        MSG_EARPHONE_DETECT_PASS = i3;
        int i5 = i4 + 1;
        TEST_MSG = i5;
        MSG_EARPHONE_DETECT_FAIL = i4;
        int i6 = i5 + 1;
        TEST_MSG = i6;
        MSG_TEST_PASS = i5;
        int i7 = i6 + 1;
        TEST_MSG = i7;
        MSG_TEST_FAIL = i6;
        TEST_MSG = i7 + 1;
        MSG_TEST_EXIT = i7;
        TEST_STATE = 0;
        int i8 = 0 + 1;
        TEST_STATE = i8;
        int i9 = i8 + 1;
        TEST_STATE = i9;
        STATE_EARPHONE_DETECT = i8;
        TEST_STATE = i9 + 1;
        STATE_FINISH = i9;
    }

    public UIDTVANTDetectTest() {
        super("UIDTVANTDetectTest", 212);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        this.TEST_ID = getIntent().getIntExtra("testid", -1);
        setContentView(R.layout.ui_dtvant_detect);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        registerTestReceiver();
        initialize();
        startTest();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        unregisterTestReceiver();
        Support.Kernel.write(Support.Kernel.ENABLE_EARJACK_ANTENNA, "0");
        this.mHandler.removeCallbacksAndMessages(null);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
    }

    private void registerTestReceiver() {
        FtUtil.log_i(this.CLASS_NAME, "registerTestReceiver", null);
        IntentFilter filter = new IntentFilter();
        filter.addAction("android.intent.action.HEADSET_PLUG");
        registerReceiver(this.mBroadcastReceiver, filter);
    }

    public void unregisterTestReceiver() {
        BroadcastReceiver broadcastReceiver = this.mBroadcastReceiver;
        if (broadcastReceiver != null) {
            unregisterReceiver(broadcastReceiver);
            this.mBroadcastReceiver = null;
            FtUtil.log_i(this.CLASS_NAME, "unregisterTestReceiver", null);
        }
    }

    private void initialize() {
        initUi();
        initTestValues();
    }

    private void initUi() {
        FtUtil.log_d(this.CLASS_NAME, "initUi", "");
        this.mTextViewANTResult = (TextView) findViewById(R.id.dtvant_detect_ant_result);
        this.mTextViewEarphoneResult = (TextView) findViewById(R.id.dtvant_detect_earphone_result);
        this.mTextViewOverallResult = (TextView) findViewById(R.id.test_result);
        this.mRetestButton = (Button) findViewById(R.id.retest);
        this.mExitButton = (Button) findViewById(R.id.exit);
        this.mRetestButton.setOnClickListener(this);
        this.mExitButton.setOnClickListener(this);
    }

    private void initTestValues() {
        FtUtil.log_d(this.CLASS_NAME, "initTestValues", "");
        this.mTextViewANTResult.setText("");
        this.mTextViewEarphoneResult.setText("");
        this.mTextViewOverallResult.setText("");
        this.mTestState = TEST_STATE;
    }

    private void startTest() {
        FtUtil.log_d(this.CLASS_NAME, "startTest", "");
        Support.Kernel.write(Support.Kernel.ENABLE_EARJACK_ANTENNA, EgisFingerprint.MAJOR_VERSION);
        this.mTestState = STATE_ANT_DETECT;
        this.mHandler.sendEmptyMessageDelayed(MSG_ANT_DETECT_START, 500);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void checkANT() {
        FtUtil.log_d(this.CLASS_NAME, "checkANT", "");
        String readResult = Support.Kernel.read(Support.Kernel.EARJACK_ANTENNA_STATE);
        if (readResult == null) {
            this.mHandler.sendEmptyMessageDelayed(MSG_ANT_DETECT_START, 500);
        } else if (VALUE_ANT.equalsIgnoreCase(readResult)) {
            this.mHandler.sendEmptyMessage(MSG_ANT_DETECT_PASS);
        } else if (VALUE_EARPHONE.equalsIgnoreCase(readResult)) {
            this.mHandler.sendEmptyMessage(MSG_ANT_DETECT_FAIL);
        } else {
            this.mHandler.sendEmptyMessageDelayed(MSG_ANT_DETECT_START, 500);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void checkEarphone() {
        FtUtil.log_d(this.CLASS_NAME, "checkEarphone", "");
        String readResult = Support.Kernel.read(Support.Kernel.EARJACK_ANTENNA_STATE);
        if (readResult == null) {
            return;
        }
        if (VALUE_EARPHONE.equalsIgnoreCase(readResult)) {
            this.mHandler.sendEmptyMessage(MSG_EARPHONE_DETECT_PASS);
        } else {
            this.mHandler.sendEmptyMessage(MSG_EARPHONE_DETECT_FAIL);
        }
    }

    public void onClick(View view) {
        switch (view.getId()) {
            case R.id.exit:
                FtUtil.log_d(this.CLASS_NAME, "onClick", "click exit button");
                finish();
                return;
            case R.id.retest:
                FtUtil.log_d(this.CLASS_NAME, "onClick", "click retest button");
                if (this.mTestState == STATE_FINISH) {
                    initTestValues();
                    startTest();
                    return;
                }
                return;
            default:
                return;
        }
    }
}
