package com.sec.factory.app.ui;

import android.content.SharedPreferences;
import android.os.Bundle;
import android.os.Handler;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.View;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.ModulePower;
import com.sec.factory.support.FtUtil;
import com.sec.factory.support.Status;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class UIDigitizerElectric extends UIBase {
    private final String CLASS_NAME = "UIDigitizerElectric";
    private String mCmdExecuteResult = "";
    private String mCmdExecuteResultFinal = "";
    private boolean mDigitizerForceOn = false;
    private Handler mHandler = new Handler();
    private boolean mIsAtCmd = false;
    private ModulePower mModulePower;
    private Status mTestResult = Status.NOTEST;
    private TextView mTvDoNotTouch;
    private TextView mTvOpenTestStatus;
    private TextView mTvShortTestStatus;
    private TextView mTvSpecVersion;
    private TextView mTvTestStatus;

    public UIDigitizerElectric() {
        super("UIDigitizerElectric", 214);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        FtUtil.setRemoveSystemUI(getWindow(), true);
        setContentView(R.layout.ui_digitizer_electric);
        this.mTvSpecVersion = (TextView) findViewById(R.id.specVersion);
        this.mTvTestStatus = (TextView) findViewById(R.id.testStatus);
        this.mTvDoNotTouch = (TextView) findViewById(R.id.touchGuide);
        this.mTvShortTestStatus = (TextView) findViewById(R.id.ShortTestStatus);
        this.mTvOpenTestStatus = (TextView) findViewById(R.id.OpenTestStatus);
        this.mModulePower = ModulePower.instance(this);
        this.mIsAtCmd = getIntent().getBooleanExtra("isAtCmd", false);
        FtUtil.log_d("UIDigitizerElectric", "onCreate", " isAtCmd:" + this.mIsAtCmd);
        new Thread(new Runnable() {
            /* class com.sec.factory.app.ui.UIDigitizerElectric.AnonymousClass1 */

            public void run() {
                FtUtil.Sleep.sleep(1000);
                UIDigitizerElectric.this.showSpecVersion();
                UIDigitizerElectric.this.mHandler.post(new Runnable() {
                    /* class com.sec.factory.app.ui.UIDigitizerElectric.AnonymousClass1.AnonymousClass1 */

                    public void run() {
                        UIDigitizerElectric.this.updateStatus(Status.RUNNING);
                        UIDigitizerElectric.this.mTvDoNotTouch.setVisibility(4);
                    }
                });
                if (!UIDigitizerElectric.this.doTest()) {
                    UIDigitizerElectric.this.mTestResult = Status.FAIL_AbnormalFinish;
                }
                if (!UIDigitizerElectric.this.mModulePower.isScreenOn()) {
                    if (UIDigitizerElectric.this.mDigitizerForceOn) {
                        Support.Kernel.write(Support.Kernel.EPEN_ENABLE, "0");
                    }
                    UIDigitizerElectric.this.mModulePower.setLCDState(true);
                }
                UIDigitizerElectric.this.mHandler.post(new Runnable() {
                    /* class com.sec.factory.app.ui.UIDigitizerElectric.AnonymousClass1.AnonymousClass2 */

                    public void run() {
                        UIDigitizerElectric.this.onResult();
                    }
                });
            }
        }).start();
    }

    private boolean checkCmdStatus(int maxCheckCnt, int checkDelayTime) {
        for (int i = 0; i < maxCheckCnt; i++) {
            String cmdStatus = Support.Kernel.read(Support.Kernel.EPEN_CMD_STATUS);
            FtUtil.log_d("UIDigitizerElectric", "checkCmdStatus", " cmdStatus:" + cmdStatus);
            if ("OK".equals(cmdStatus)) {
                this.mCmdExecuteResult = Support.Kernel.read(Support.Kernel.EPEN_CMD_RESULT);
                FtUtil.log_d("UIDigitizerElectric", "checkCmdStatus", " mCmdExecuteResult:" + this.mCmdExecuteResult);
                return true;
            }
            FtUtil.Sleep.sleep((long) checkDelayTime);
        }
        String itemName_ID = FactoryTestManager.getItemName_ID(this.TEST_ID);
        FtUtil.log_d("UIDigitizerElectric", "checkCmdStatus", FtUtil.setMspSeqMessage(1, itemName_ID, "Fail - mCmdExecuteResult:" + this.mCmdExecuteResult));
        return false;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void showSpecVersion() {
        boolean result = false;
        FtUtil.log_d("UIDigitizerElectric", "showSpecVersion", "cmd: get_elec_test_ver");
        if (Support.Kernel.write(Support.Kernel.EPEN_CMD, "get_elec_test_ver")) {
            int i = 0;
            while (true) {
                if (i >= 5) {
                    break;
                }
                String cmdStatus = Support.Kernel.read(Support.Kernel.EPEN_CMD_STATUS);
                FtUtil.log_d("UIDigitizerElectric", "showSpecVersion", " cmdStatus:" + cmdStatus);
                if ("OK".equals(cmdStatus)) {
                    String specVersion = Support.Kernel.read(Support.Kernel.EPEN_CMD_RESULT);
                    FtUtil.log_d("UIDigitizerElectric", "showSpecVersion", "specVersion:" + specVersion);
                    String[] temp = specVersion.split(":", 2);
                    if (temp.length >= 2) {
                        TextView textView = this.mTvSpecVersion;
                        textView.setText("Spec Version: " + temp[1]);
                        result = true;
                    }
                } else {
                    FtUtil.Sleep.sleep(500);
                    i++;
                }
            }
        }
        FtUtil.log_d("UIDigitizerElectric", "showSpecVersion", "result:" + result);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean doTest() {
        this.mModulePower.setLCDState(false);
        FtUtil.Sleep.sleep(1000);
        if ("0".equals(Support.Kernel.read(Support.Kernel.EPEN_ENABLE))) {
            this.mDigitizerForceOn = true;
            Support.Kernel.write(Support.Kernel.EPEN_ENABLE, EgisFingerprint.MAJOR_VERSION);
            FtUtil.log_d("UIDigitizerElectric", "doTest", "Digitizer: dead -> alive");
        }
        FtUtil.log_d("UIDigitizerElectric", "doTest", "dummy EPEN_CMD_RESULT:" + Support.Kernel.read(Support.Kernel.EPEN_CMD_RESULT));
        FtUtil.log_d("UIDigitizerElectric", "doTest", "dummy:EPEN_CMD_STATUS:" + Support.Kernel.read(Support.Kernel.EPEN_CMD_STATUS));
        Support.Kernel.write(Support.Kernel.EPEN_CMD, "ready_elec_test,1");
        if (!checkCmdStatus(5, 1000)) {
            return false;
        }
        FtUtil.Sleep.sleep(50);
        if (Support.Kernel.write(Support.Kernel.EPEN_CMD, "run_elec_test")) {
            if (!checkCmdStatus(5, 1000)) {
                return false;
            }
            this.mCmdExecuteResultFinal = this.mCmdExecuteResult;
        }
        Support.Kernel.write(Support.Kernel.EPEN_CMD, "ready_elec_test,0");
        if (!checkCmdStatus(5, 1000)) {
            return false;
        }
        FtUtil.Sleep.sleep(50);
        if (!this.mModulePower.isScreenOn()) {
            if (this.mDigitizerForceOn) {
                Support.Kernel.write(Support.Kernel.EPEN_ENABLE, "0");
            }
            this.mModulePower.setLCDState(true);
        }
        return true;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void onResult() {
        FtUtil.log_d("UIDigitizerElectric", "onResult", " mCmdExecuteResultFinal:" + this.mCmdExecuteResultFinal);
        if (this.mTestResult != Status.FAIL_AbnormalFinish) {
            String[] temp = this.mCmdExecuteResultFinal.split(":", 2);
            if (temp.length < 2 || !temp[1].contains("_")) {
                this.mTestResult = Status.FAIL_AbnormalData;
            } else {
                String[] totalTestResult = temp[1].split("_");
                String[] shortTestResult = totalTestResult[0].split(",");
                String[] openTestResult = totalTestResult[1].split(",");
                int shortTestFailCnt = Integer.parseInt(shortTestResult[0]);
                int openTestFailCnt = Integer.parseInt(openTestResult[0]);
                if (shortTestFailCnt == 0 && openTestFailCnt == 0) {
                    this.mTestResult = Status.PASS;
                    this.mTvShortTestStatus.setText(R.string.PASS);
                    this.mTvOpenTestStatus.setText(R.string.PASS);
                } else {
                    this.mTestResult = Status.FAIL;
                    StringBuilder stringBuilder = new StringBuilder();
                    if (shortTestFailCnt == 0) {
                        this.mTvShortTestStatus.setText(R.string.PASS);
                    } else {
                        stringBuilder.append("FAIL(");
                        for (int i = 1; i <= shortTestFailCnt; i++) {
                            stringBuilder.append(shortTestResult[i] + ",");
                        }
                        stringBuilder.replace(stringBuilder.length() - 1, stringBuilder.length(), ")");
                        this.mTvShortTestStatus.setText(stringBuilder.toString());
                    }
                    stringBuilder.delete(0, stringBuilder.length());
                    if (openTestFailCnt == 0) {
                        this.mTvOpenTestStatus.setText(R.string.PASS);
                    } else {
                        stringBuilder.append("FAIL(");
                        for (int i2 = 1; i2 <= openTestFailCnt; i2++) {
                            stringBuilder.append(openTestResult[i2] + ",");
                        }
                        stringBuilder.replace(stringBuilder.length() - 1, stringBuilder.length(), ")");
                        this.mTvOpenTestStatus.setText(stringBuilder.toString());
                    }
                    String itemName_ID = FactoryTestManager.getItemName_ID(this.TEST_ID);
                    FtUtil.log_d("UIDigitizerElectric", "onResult", FtUtil.setMspSeqMessage(1, itemName_ID, "shortTestFailCnt:" + shortTestFailCnt + " ,openTestFailCnt:" + openTestFailCnt));
                }
                SharedPreferences.Editor editor = getSharedPreferences("DIGITIZER_ELECTRIC_TEST_RESULT", 0).edit();
                editor.putBoolean("TestResult", this.mTestResult == Status.PASS);
                editor.putInt("ShortTestFailCnt", shortTestFailCnt);
                editor.putInt("OpenTestFailCnt", openTestFailCnt);
                editor.putString("RawData", totalTestResult[3].substring(0, totalTestResult[3].length() - 1));
                editor.putInt(Support.Version.TAG, 1);
                editor.apply();
            }
        }
        String itemName_ID2 = FactoryTestManager.getItemName_ID(this.TEST_ID);
        FtUtil.log_d("UIDigitizerElectric", "onResult", FtUtil.setMspSeqMessage(1, itemName_ID2, "TestResult:" + this.mTestResult));
        if (this.mTestResult == Status.PASS) {
            updateStatus(Status.PASS);
            setTestResult(this.TEST_ID, (byte) 80);
            FtUtil.Sleep.sleep(1000);
            finish();
            return;
        }
        updateStatus(Status.FAIL);
        if (this.mIsAtCmd) {
            setTestResult(this.TEST_ID, (byte) 70);
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: com.sec.factory.app.ui.UIDigitizerElectric$2  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass2 {
        static final /* synthetic */ int[] $SwitchMap$com$sec$factory$support$Status;

        static {
            int[] iArr = new int[Status.values().length];
            $SwitchMap$com$sec$factory$support$Status = iArr;
            try {
                iArr[Status.PASS.ordinal()] = 1;
            } catch (NoSuchFieldError e) {
            }
            try {
                $SwitchMap$com$sec$factory$support$Status[Status.FAIL.ordinal()] = 2;
            } catch (NoSuchFieldError e2) {
            }
            try {
                $SwitchMap$com$sec$factory$support$Status[Status.RUNNING.ordinal()] = 3;
            } catch (NoSuchFieldError e3) {
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void updateStatus(Status status) {
        FtUtil.log_d("UIDigitizerElectric", "updateStatus", " status:" + status.name());
        switch (AnonymousClass2.$SwitchMap$com$sec$factory$support$Status[status.ordinal()]) {
            case 1:
                this.mTvTestStatus.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                this.mTvTestStatus.setText(R.string.PASS);
                return;
            case 2:
                this.mTvTestStatus.setTextColor(-65536);
                this.mTvTestStatus.setText(R.string.FAIL);
                return;
            case 3:
                this.mTvTestStatus.setTextColor(getResources().getColor(R.color.forest_green));
                this.mTvTestStatus.setText(R.string.RUNNING);
                return;
            default:
                return;
        }
    }

    @Override // com.sec.factory.app.ui.UIBase
    public boolean onKeyUp(int keyCode, KeyEvent event) {
        FtUtil.log_d("UIDigitizerElectric", "onKeyUp", event.toString());
        return super.onKeyUp(keyCode, event);
    }

    public boolean onTouchEvent(MotionEvent event) {
        FtUtil.log_d("UIDigitizerElectric", "onTouchEvent", event.toString());
        return super.onTouchEvent(event);
    }

    public void onExitButtonClicked(View v) {
        FtUtil.log_d("UIDigitizerElectric", "onExitButtonClicked", "onExitButtonClicked");
        finish();
    }
}
