package com.sec.factory.app.ui;

import android.app.AlertDialog;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.BatteryManager;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.widget.LinearLayout;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.modules.ModulePower;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.File;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Iterator;
import java.util.Locale;

public class UIDirectChargeTest extends UIBase {
    private static final int MSG_CHECK_CURRENT = 3;
    private static final int MSG_SPEC_CHECK = 1;
    private static final int MSG_TEST_END = 4;
    private static final int MSG_TEST_START = 2;
    private final int AVERAGE_CURRENT_CNT;
    private final String CLASS_NAME = "UIDirectChargeTest";
    private int DUMMY = 0;
    private final int TESTSTATE_CHARGE_CONNECT;
    private final int TESTSTATE_CHARGE_SPEC_CHECK;
    private float fRatio;
    private float fRatioSpecMax;
    private float fRatioSpecMin;
    private boolean isIinExist;
    private boolean isPathPass;
    private boolean isPopupOpen;
    private boolean isRatioIn;
    private boolean isSpecIn;
    private boolean isSpecPass;
    private int mAverageIinCurrent;
    private int mAverageIoutCurrent;
    private BroadcastReceiver mBroadcastReceiver;
    private TextView mChargeConnection;
    private TextView mChargeConnectionCheck1;
    private TextView mChargeConnectionCheck2;
    private LinearLayout mChargeConnectionCheckLayout;
    private AlertDialog mChargeDialog = null;
    private TextView mChargeIinAvg;
    private TextView mChargeIinRawdata1;
    private TextView mChargeIinRawdata2;
    private TextView mChargeIinRawdata3;
    private TextView mChargeIinRawdata4;
    private TextView mChargeIinRawdata5;
    private TextView mChargeIn;
    private TextView mChargeIoutAvg;
    private TextView mChargeIoutRawdata1;
    private TextView mChargeIoutRawdata2;
    private TextView mChargeIoutRawdata3;
    private TextView mChargeIoutRawdata4;
    private TextView mChargeIoutRawdata5;
    private TextView mChargePath1;
    private TextView mChargePath2;
    private TextView mChargeRatio;
    private TextView mChargeSelfResult;
    private TextView mChargeSelfSpec;
    private TextView mChargeSelfTitle;
    private LinearLayout mChargeStatus;
    private TextView mChargeStep;
    private LinearLayout mChargeTable;
    private TextView mChargeTitle;
    private TextView mChargeVoltageSoc;
    private int mCurrentCount;
    private ArrayList<Integer> mCurrentInList;
    private ArrayList<Integer> mCurrentOutList;
    private String mDirectChargeData;
    private Handler mHandler;
    private IntentFilter mIntentFilter;
    private String mItemName;
    private ModuleDevice mModuleDevice;
    private ModulePower mModulePower;
    private String mSoc;
    private int mSpecMax;
    private int mSpecMin;
    private int mTestState;
    private String mVoltage;
    private int testId;

    static /* synthetic */ String access$1984(UIDirectChargeTest x0, Object x1) {
        String str = x0.mDirectChargeData + x1;
        x0.mDirectChargeData = str;
        return str;
    }

    static /* synthetic */ int access$2304(UIDirectChargeTest x0) {
        int i = x0.mCurrentCount + 1;
        x0.mCurrentCount = i;
        return i;
    }

    public UIDirectChargeTest() {
        super("UIDirectChargeTest");
        int i = 0 + 1;
        this.DUMMY = i;
        this.TESTSTATE_CHARGE_CONNECT = 0;
        this.DUMMY = i + 1;
        this.TESTSTATE_CHARGE_SPEC_CHECK = i;
        this.AVERAGE_CURRENT_CNT = 5;
        this.isPathPass = false;
        this.isSpecPass = false;
        this.isPopupOpen = false;
        this.mCurrentInList = new ArrayList<>();
        this.mCurrentOutList = new ArrayList<>();
        this.mTestState = 0;
        this.mCurrentCount = 0;
        this.mAverageIinCurrent = 0;
        this.mAverageIoutCurrent = 0;
        this.mVoltage = "";
        this.mSoc = "";
        this.fRatioSpecMin = 0.0f;
        this.fRatioSpecMax = 0.0f;
        this.fRatio = 0.0f;
        this.mIntentFilter = new IntentFilter();
        this.mDirectChargeData = "1,";
        this.isSpecIn = false;
        this.isRatioIn = false;
        this.isIinExist = false;
        this.mBroadcastReceiver = new BroadcastReceiver() {
            /* class com.sec.factory.app.ui.UIDirectChargeTest.AnonymousClass1 */

            public void onReceive(Context context, Intent intent) {
                String action = intent.getAction();
                FtUtil.log_d("UIDirectChargeTest", "mBroadcastReceiver.onReceive", "action=" + action);
                if ("com.android.samsungtest.DIRECT_CHARGE_STOP".equals(action)) {
                    FtUtil.log_i("UIDirectChargeTest", "onReceive", "com.android.samsungtest.DIRECT_CHARGE_STOP");
                    UIDirectChargeTest.this.finish();
                } else if ("android.intent.action.BATTERY_CHANGED".equals(action)) {
                    int plugged = intent.getIntExtra("plugged", 0);
                    int level = intent.getIntExtra("level", 0);
                    if (UIDirectChargeTest.this.mTestState == UIDirectChargeTest.this.TESTSTATE_CHARGE_CONNECT && plugged == 1) {
                        FtUtil.log_d("UIDirectChargeTest", "Battery State: " + plugged);
                        if (level > 78 && !UIDirectChargeTest.this.isPopupOpen) {
                            FtUtil.log_d("UIDirectChargeTest", "mBroadcastReceiver.onReceive", "Open warning popup");
                            UIDirectChargeTest.this.isPopupOpen = true;
                            AlertDialog.Builder builder = new AlertDialog.Builder(UIDirectChargeTest.this);
                            builder.setMessage("Please discharge the battery below 78%");
                            builder.setCancelable(false);
                            builder.setNegativeButton("Exit", new DialogInterface.OnClickListener() {
                                /* class com.sec.factory.app.ui.UIDirectChargeTest.AnonymousClass1.AnonymousClass1 */

                                public void onClick(DialogInterface dialog, int id) {
                                    UIDirectChargeTest.this.finish();
                                    dialog.cancel();
                                }
                            });
                            UIDirectChargeTest.this.mChargeDialog = builder.create();
                            UIDirectChargeTest.this.mChargeDialog.getWindow().setGravity(17);
                            UIDirectChargeTest.this.mChargeDialog.show();
                        } else if (!UIDirectChargeTest.this.isPopupOpen) {
                            UIDirectChargeTest.this.mChargeConnectionCheckLayout.setVisibility(8);
                            UIDirectChargeTest.this.mChargeStatus.setVisibility(0);
                            UIDirectChargeTest.this.mChargeConnection.setText("PASS");
                            UIDirectChargeTest.this.mChargeConnection.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                            UIDirectChargeTest uIDirectChargeTest = UIDirectChargeTest.this;
                            uIDirectChargeTest.mTestState = uIDirectChargeTest.TESTSTATE_CHARGE_SPEC_CHECK;
                            UIDirectChargeTest.this.mHandler.sendEmptyMessageDelayed(1, (long) Support.Spec.getInt(Support.Spec.DIRECT_CHARGE_CHECK_VOLTAGE_DELAY));
                        }
                    }
                }
            }
        };
        this.mHandler = new Handler() {
            /* class com.sec.factory.app.ui.UIDirectChargeTest.AnonymousClass2 */

            public void handleMessage(Message msg) {
                if (msg.what == 1) {
                    FtUtil.log_i("UIDirectChargeTest", "mHandler", "MSG_SELFTEST_START");
                    String charge_voltage = Support.Kernel.read(Support.Kernel.SEC_CHARGING_VOLTAGE);
                    FtUtil.log_i("UIDirectChargeTest", "mHandler", "Charging Voltage: " + charge_voltage);
                    TextView textView = UIDirectChargeTest.this.mChargeIn;
                    textView.setText(charge_voltage + "V");
                    UIDirectChargeTest.this.mChargeIn.setTextColor(-65536);
                    String total_step = Support.Kernel.read(Support.Kernel.DIRECT_CHARGE_TOTAL_STEP);
                    String step = Support.Kernel.read(Support.Kernel.DIRECT_CHARGE_STEP);
                    if ("4".equals(total_step)) {
                        FtUtil.log_i("UIDirectChargeTest", "mHandler", "Total Step: " + total_step);
                        if (EgisFingerprint.MAJOR_VERSION.equals(step)) {
                            UIDirectChargeTest.this.mSpecMin = Support.Spec.getInt(Support.Spec.DIRECT_CHARGE_SPEC_STEP1_MIN);
                            UIDirectChargeTest.this.mSpecMax = Support.Spec.getInt(Support.Spec.DIRECT_CHARGE_SPEC_STEP1_MAX);
                        } else if ("2".equals(step)) {
                            UIDirectChargeTest.this.mSpecMin = Support.Spec.getInt(Support.Spec.DIRECT_CHARGE_SPEC_STEP2_MIN);
                            UIDirectChargeTest.this.mSpecMax = Support.Spec.getInt(Support.Spec.DIRECT_CHARGE_SPEC_STEP2_MAX);
                        } else if (egis.optical.client.api.EgisFingerprint.MAJOR_VERSION.equals(step)) {
                            UIDirectChargeTest.this.mSpecMin = Support.Spec.getInt(Support.Spec.DIRECT_CHARGE_SPEC_STEP3_MIN);
                            UIDirectChargeTest.this.mSpecMax = Support.Spec.getInt(Support.Spec.DIRECT_CHARGE_SPEC_STEP3_MAX);
                        }
                        TextView textView2 = UIDirectChargeTest.this.mChargeStep;
                        textView2.setText("Step " + step);
                    } else {
                        if ("0".equals(step)) {
                            UIDirectChargeTest.this.mSpecMin = Support.Spec.getInt(Support.Spec.DIRECT_CHARGE_SPEC_STEP1_MIN);
                            UIDirectChargeTest.this.mSpecMax = Support.Spec.getInt(Support.Spec.DIRECT_CHARGE_SPEC_STEP1_MAX);
                        } else if (EgisFingerprint.MAJOR_VERSION.equals(step)) {
                            UIDirectChargeTest.this.mSpecMin = Support.Spec.getInt(Support.Spec.DIRECT_CHARGE_SPEC_STEP2_MIN);
                            UIDirectChargeTest.this.mSpecMax = Support.Spec.getInt(Support.Spec.DIRECT_CHARGE_SPEC_STEP2_MAX);
                        } else if ("2".equals(step)) {
                            UIDirectChargeTest.this.mSpecMin = Support.Spec.getInt(Support.Spec.DIRECT_CHARGE_SPEC_STEP3_MIN);
                            UIDirectChargeTest.this.mSpecMax = Support.Spec.getInt(Support.Spec.DIRECT_CHARGE_SPEC_STEP3_MAX);
                        }
                        TextView textView3 = UIDirectChargeTest.this.mChargeStep;
                        textView3.setText("Step " + (Integer.parseInt(step) + 1));
                    }
                    UIDirectChargeTest.this.mChargeStep.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                    UIDirectChargeTest.this.mChargeSelfTitle.setText("Self Test : ");
                    TextView textView4 = UIDirectChargeTest.this.mChargeSelfSpec;
                    textView4.setText("SPEC : " + UIDirectChargeTest.this.mSpecMin + " ~ " + UIDirectChargeTest.this.mSpecMax);
                    String voltage = Support.Kernel.read(Support.Kernel.DIRECT_CHARGE_BATTERY_VOLT);
                    if (voltage != null) {
                        String voltage2 = voltage.trim();
                        if (voltage2.length() <= 4) {
                            FtUtil.log_i("UIDirectChargeTest", "readBatteryVoltage", "voltage=" + voltage2);
                            UIDirectChargeTest.this.mVoltage = String.valueOf(Float.valueOf(voltage2).floatValue() / 100.0f);
                        } else {
                            FtUtil.log_i("UIDirectChargeTest", "readBatteryVoltage", "voltage=" + voltage2);
                            UIDirectChargeTest.this.mVoltage = String.format(Locale.US, "%.2f", Float.valueOf(Float.valueOf(voltage2).floatValue() / 1000000.0f));
                        }
                    }
                    UIDirectChargeTest uIDirectChargeTest = UIDirectChargeTest.this;
                    uIDirectChargeTest.mSoc = uIDirectChargeTest.mModulePower.readFuelGaugeSOC();
                    String battLevel = String.valueOf(Integer.parseInt(UIDirectChargeTest.this.mSoc) / 100);
                    TextView textView5 = UIDirectChargeTest.this.mChargeVoltageSoc;
                    textView5.setText(UIDirectChargeTest.this.mVoltage + "V " + battLevel + "%");
                    UIDirectChargeTest.this.mChargeVoltageSoc.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                    UIDirectChargeTest uIDirectChargeTest2 = UIDirectChargeTest.this;
                    UIDirectChargeTest.access$1984(uIDirectChargeTest2, "STEP" + (Integer.parseInt(step) + 1) + ",");
                    UIDirectChargeTest uIDirectChargeTest3 = UIDirectChargeTest.this;
                    UIDirectChargeTest.access$1984(uIDirectChargeTest3, UIDirectChargeTest.this.mVoltage + "," + battLevel + ",");
                    UIDirectChargeTest.this.mHandler.sendEmptyMessage(2);
                } else if (msg.what == 2) {
                    FtUtil.log_i("UIDirectChargeTest", "mHandler", "MSG_TEST_START");
                    String status = Support.Kernel.read(Support.Kernel.DIRECT_CHARGE_STATUS);
                    FtUtil.log_i("UIDirectChargeTest", "mHandler", "Charging Status1: " + status);
                    if (EgisFingerprint.MAJOR_VERSION.equals(status)) {
                        UIDirectChargeTest.this.mChargePath1.setText("PASS");
                        UIDirectChargeTest.this.mChargePath1.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                        UIDirectChargeTest.this.turnLcdOff();
                        UIDirectChargeTest.this.mHandler.sendEmptyMessageDelayed(3, (long) Support.Spec.getInt(Support.Spec.DIRECT_CHARGE_CHECK_CURRENT_DELAY));
                        return;
                    }
                    UIDirectChargeTest.this.mChargePath1.setText("FAIL");
                    UIDirectChargeTest.this.mChargePath1.setTextColor(-65536);
                    FtUtil.log_i("UIDirectChargeTest", "mHandler", "Path 1 is fail");
                    UIDirectChargeTest.this.writeToDataFile();
                    UIDirectChargeTest.this.setTestResultFailCase(201);
                } else if (msg.what == 3) {
                    if (UIDirectChargeTest.access$2304(UIDirectChargeTest.this) <= 5) {
                        if (UIDirectChargeTest.this.isIinExist) {
                            UIDirectChargeTest.this.mCurrentInList.add(Integer.valueOf(Integer.parseInt(Support.Kernel.read(Support.Kernel.DIRECT_CHARGE_I_IN)) / 1000));
                        }
                        UIDirectChargeTest.this.mCurrentOutList.add(Integer.valueOf(Integer.parseInt(Support.Kernel.read(Support.Kernel.HV_CHARGE_CURRENT)) / 1000));
                        FtUtil.log_i("UIDirectChargeTest", "readcurrent", "Charge In Current: " + UIDirectChargeTest.this.mCurrentInList.get(UIDirectChargeTest.this.mCurrentInList.size() - 1) + ", Charge Out Current: " + UIDirectChargeTest.this.mCurrentOutList.get(UIDirectChargeTest.this.mCurrentOutList.size() - 1) + " / mCurrentCount : " + UIDirectChargeTest.this.mCurrentCount);
                        UIDirectChargeTest.this.mHandler.sendEmptyMessageDelayed(3, 400);
                        return;
                    }
                    UIDirectChargeTest.this.mCurrentCount = 0;
                    if (UIDirectChargeTest.this.isIinExist) {
                        TextView textView6 = UIDirectChargeTest.this.mChargeIinRawdata1;
                        textView6.setText("" + UIDirectChargeTest.this.mCurrentInList.get(0));
                        TextView textView7 = UIDirectChargeTest.this.mChargeIinRawdata2;
                        textView7.setText("" + UIDirectChargeTest.this.mCurrentInList.get(1));
                        TextView textView8 = UIDirectChargeTest.this.mChargeIinRawdata3;
                        textView8.setText("" + UIDirectChargeTest.this.mCurrentInList.get(2));
                        TextView textView9 = UIDirectChargeTest.this.mChargeIinRawdata4;
                        textView9.setText("" + UIDirectChargeTest.this.mCurrentInList.get(3));
                        TextView textView10 = UIDirectChargeTest.this.mChargeIinRawdata5;
                        textView10.setText("" + UIDirectChargeTest.this.mCurrentInList.get(4));
                        UIDirectChargeTest uIDirectChargeTest4 = UIDirectChargeTest.this;
                        UIDirectChargeTest.access$1984(uIDirectChargeTest4, UIDirectChargeTest.this.mCurrentInList.get(0) + "," + UIDirectChargeTest.this.mCurrentInList.get(1) + "," + UIDirectChargeTest.this.mCurrentInList.get(2) + "," + UIDirectChargeTest.this.mCurrentInList.get(3) + "," + UIDirectChargeTest.this.mCurrentInList.get(4) + ",");
                        Collections.sort(UIDirectChargeTest.this.mCurrentInList);
                        UIDirectChargeTest.this.mCurrentInList.remove(UIDirectChargeTest.this.mCurrentInList.size() - 1);
                        UIDirectChargeTest.this.mCurrentInList.remove(0);
                        Integer in_sum = 0;
                        Iterator it = UIDirectChargeTest.this.mCurrentInList.iterator();
                        while (it.hasNext()) {
                            in_sum = Integer.valueOf(in_sum.intValue() + ((Integer) it.next()).intValue());
                        }
                        UIDirectChargeTest.this.mAverageIinCurrent = (int) (((float) in_sum.intValue()) / 3.0f);
                        UIDirectChargeTest.this.mCurrentInList.clear();
                        TextView textView11 = UIDirectChargeTest.this.mChargeIinAvg;
                        textView11.setText("" + UIDirectChargeTest.this.mAverageIinCurrent);
                        FtUtil.log_i("UIDirectChargeTest", "average", "Averege Iin Current: " + UIDirectChargeTest.this.mAverageIinCurrent);
                        UIDirectChargeTest uIDirectChargeTest5 = UIDirectChargeTest.this;
                        UIDirectChargeTest.access$1984(uIDirectChargeTest5, UIDirectChargeTest.this.mAverageIinCurrent + ",");
                    } else {
                        UIDirectChargeTest.this.mChargeIinRawdata1.setText("N/A");
                        UIDirectChargeTest.this.mChargeIinRawdata2.setText("N/A");
                        UIDirectChargeTest.this.mChargeIinRawdata3.setText("N/A");
                        UIDirectChargeTest.this.mChargeIinRawdata4.setText("N/A");
                        UIDirectChargeTest.this.mChargeIinRawdata5.setText("N/A");
                        UIDirectChargeTest.this.mChargeIinAvg.setText("N/A");
                    }
                    TextView textView12 = UIDirectChargeTest.this.mChargeIoutRawdata1;
                    textView12.setText("" + UIDirectChargeTest.this.mCurrentOutList.get(0));
                    TextView textView13 = UIDirectChargeTest.this.mChargeIoutRawdata2;
                    textView13.setText("" + UIDirectChargeTest.this.mCurrentOutList.get(1));
                    TextView textView14 = UIDirectChargeTest.this.mChargeIoutRawdata3;
                    textView14.setText("" + UIDirectChargeTest.this.mCurrentOutList.get(2));
                    TextView textView15 = UIDirectChargeTest.this.mChargeIoutRawdata4;
                    textView15.setText("" + UIDirectChargeTest.this.mCurrentOutList.get(3));
                    TextView textView16 = UIDirectChargeTest.this.mChargeIoutRawdata5;
                    textView16.setText("" + UIDirectChargeTest.this.mCurrentOutList.get(4));
                    UIDirectChargeTest uIDirectChargeTest6 = UIDirectChargeTest.this;
                    UIDirectChargeTest.access$1984(uIDirectChargeTest6, UIDirectChargeTest.this.mCurrentOutList.get(0) + "," + UIDirectChargeTest.this.mCurrentOutList.get(1) + "," + UIDirectChargeTest.this.mCurrentOutList.get(2) + "," + UIDirectChargeTest.this.mCurrentOutList.get(3) + "," + UIDirectChargeTest.this.mCurrentOutList.get(4) + ",");
                    Collections.sort(UIDirectChargeTest.this.mCurrentOutList);
                    UIDirectChargeTest.this.mCurrentOutList.remove(UIDirectChargeTest.this.mCurrentOutList.size() - 1);
                    UIDirectChargeTest.this.mCurrentOutList.remove(0);
                    Integer out_sum = 0;
                    Iterator it2 = UIDirectChargeTest.this.mCurrentOutList.iterator();
                    while (it2.hasNext()) {
                        out_sum = Integer.valueOf(out_sum.intValue() + ((Integer) it2.next()).intValue());
                    }
                    UIDirectChargeTest.this.mAverageIoutCurrent = (int) (((float) out_sum.intValue()) / 3.0f);
                    UIDirectChargeTest.this.mCurrentOutList.clear();
                    TextView textView17 = UIDirectChargeTest.this.mChargeIoutAvg;
                    textView17.setText("" + UIDirectChargeTest.this.mAverageIoutCurrent);
                    FtUtil.log_i("UIDirectChargeTest", "average", "Averege Iout Current: " + UIDirectChargeTest.this.mAverageIoutCurrent);
                    UIDirectChargeTest uIDirectChargeTest7 = UIDirectChargeTest.this;
                    UIDirectChargeTest.access$1984(uIDirectChargeTest7, UIDirectChargeTest.this.mAverageIoutCurrent + ",");
                    UIDirectChargeTest.this.mModulePower.doWakeLock(true);
                    UIDirectChargeTest.this.mChargeTable.setVisibility(0);
                    UIDirectChargeTest uIDirectChargeTest8 = UIDirectChargeTest.this;
                    uIDirectChargeTest8.isSpecIn = uIDirectChargeTest8.mAverageIoutCurrent >= UIDirectChargeTest.this.mSpecMin && UIDirectChargeTest.this.mAverageIoutCurrent <= UIDirectChargeTest.this.mSpecMax;
                    if (UIDirectChargeTest.this.isIinExist) {
                        String mRatio = String.format(Locale.US, "%.2f", Float.valueOf(((float) UIDirectChargeTest.this.mAverageIoutCurrent) / ((float) UIDirectChargeTest.this.mAverageIinCurrent)));
                        UIDirectChargeTest.this.fRatioSpecMin = Support.Spec.getFloat(Support.Spec.DIRECT_CHARGE_RATIO_SPEC_MIN);
                        UIDirectChargeTest.this.fRatioSpecMax = Support.Spec.getFloat(Support.Spec.DIRECT_CHARGE_RATIO_SPEC_MAX);
                        FtUtil.log_i("UIDirectChargeTest", "currentCheck", "Ratio (" + UIDirectChargeTest.this.fRatioSpecMin + "~" + UIDirectChargeTest.this.fRatioSpecMax + "):" + mRatio);
                        TextView textView18 = UIDirectChargeTest.this.mChargeRatio;
                        textView18.setText(mRatio + " (" + UIDirectChargeTest.this.fRatioSpecMin + "~" + UIDirectChargeTest.this.fRatioSpecMax + ")");
                        UIDirectChargeTest.this.fRatio = Float.valueOf(mRatio).floatValue();
                        UIDirectChargeTest uIDirectChargeTest9 = UIDirectChargeTest.this;
                        uIDirectChargeTest9.isRatioIn = uIDirectChargeTest9.fRatio >= UIDirectChargeTest.this.fRatioSpecMin && UIDirectChargeTest.this.fRatio <= UIDirectChargeTest.this.fRatioSpecMax;
                        UIDirectChargeTest uIDirectChargeTest10 = UIDirectChargeTest.this;
                        UIDirectChargeTest.access$1984(uIDirectChargeTest10, mRatio + ",");
                    } else {
                        UIDirectChargeTest.this.isRatioIn = true;
                        UIDirectChargeTest.this.mChargeRatio.setText("N/A");
                    }
                    String status2 = Support.Kernel.read(Support.Kernel.DIRECT_CHARGE_STATUS);
                    FtUtil.log_i("UIDirectChargeTest", "mHandler", "Charging Status2: " + status2);
                    if (EgisFingerprint.MAJOR_VERSION.equals(status2)) {
                        UIDirectChargeTest.this.mChargePath2.setText("PASS");
                        UIDirectChargeTest.this.mChargePath2.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                        UIDirectChargeTest.access$1984(UIDirectChargeTest.this, "PASS");
                        UIDirectChargeTest.this.isPathPass = true;
                    } else {
                        UIDirectChargeTest.this.mChargePath2.setText("FAIL");
                        UIDirectChargeTest.this.mChargePath2.setTextColor(-65536);
                        UIDirectChargeTest.access$1984(UIDirectChargeTest.this, "FAIL");
                        String str = UIDirectChargeTest.this.mItemName;
                        FtUtil.log_d("UIDirectChargeTest", "currentCheck", FtUtil.setMspSeqMessage(1, str, "Fail - Path: " + status2));
                    }
                    if (!UIDirectChargeTest.this.isSpecIn || !UIDirectChargeTest.this.isRatioIn) {
                        FtUtil.log_i("UIDirectChargeTest", "currentCheck", "current SelfTest: FAIL ");
                        if (!UIDirectChargeTest.this.isSpecIn) {
                            String str2 = UIDirectChargeTest.this.mItemName;
                            FtUtil.log_d("UIDirectChargeTest", "currentCheck", FtUtil.setMspSeqMessage(1, str2, "Fail - Current SPEC(" + UIDirectChargeTest.this.mSpecMin + "mA ~ " + UIDirectChargeTest.this.mSpecMax + "mA) OUT : " + UIDirectChargeTest.this.mAverageIoutCurrent + "mA"));
                        } else if (!UIDirectChargeTest.this.isRatioIn) {
                            String str3 = UIDirectChargeTest.this.mItemName;
                            FtUtil.log_d("UIDirectChargeTest", "currentCheck", FtUtil.setMspSeqMessage(1, str3, "Fail - Ratio SPEC(" + UIDirectChargeTest.this.fRatioSpecMin + " ~ " + UIDirectChargeTest.this.fRatioSpecMax + ") OUT : " + UIDirectChargeTest.this.fRatio));
                        }
                        UIDirectChargeTest.this.mChargeSelfResult.setTextColor(-65536);
                        UIDirectChargeTest.this.mChargeSelfResult.setText("FAIL");
                    } else {
                        FtUtil.log_i("UIDirectChargeTest", "currentCheck", "current SelfTest: PASS ");
                        UIDirectChargeTest.this.mChargeSelfResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                        UIDirectChargeTest.this.mChargeSelfResult.setText("PASS");
                        UIDirectChargeTest.this.isSpecPass = true;
                    }
                    UIDirectChargeTest.this.writeToDataFile();
                    if (!UIDirectChargeTest.this.isPathPass || !UIDirectChargeTest.this.isSpecPass) {
                        UIDirectChargeTest.this.setTestResultFailCase(201);
                    } else {
                        UIDirectChargeTest.this.mHandler.sendEmptyMessageDelayed(4, 1000);
                    }
                } else if (msg.what == 4) {
                    UIDirectChargeTest.this.mCurrentCount = 0;
                    FtUtil.log_e("UIDirectChargeTest", "setTestResult", " isPathPass : " + UIDirectChargeTest.this.isPathPass + ", isSpecPass: " + UIDirectChargeTest.this.isSpecPass);
                    UIDirectChargeTest.this.mModulePower.doPartialWakeLock(false);
                    UIDirectChargeTest.this.mModulePower.doWakeLock(false);
                    if (!UIDirectChargeTest.this.isPathPass || !UIDirectChargeTest.this.isSpecPass) {
                        UIDirectChargeTest.this.setTestResultFailCase(201);
                    } else {
                        UIDirectChargeTest.this.setTestResult((byte) 80);
                    }
                    if ("tester".equals(Support.Properties.get(Support.Properties.FTL_GADGET_MODE))) {
                        FtUtil.log_i("UIDirectChargeTest", "FactoryTestLauncher", "Skip Finish Activity");
                    } else {
                        UIDirectChargeTest.this.finish();
                    }
                }
            }
        };
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_direct_charge_test);
        this.mTestState = this.TESTSTATE_CHARGE_CONNECT;
        this.mModuleDevice = ModuleDevice.instance(this);
        this.mModulePower = ModulePower.instance(this);
        this.testId = getIntent().getIntExtra("testid", -1);
        this.isIinExist = Support.Kernel.isExistFileID(Support.Kernel.DIRECT_CHARGE_I_IN);
        int i = this.testId;
        if (i == 201) {
            setTestId(i);
            this.mItemName = FactoryTestManager.getItemName_RequestCode(201);
        }
        setAtCmd(getIntent().getBooleanExtra("mIsAtCmd", false));
        if (Support.Kernel.isExistFilePath(Support.Kernel.getFilePath(Support.Kernel.USB_CTRL))) {
            Support.Kernel.writeToPath(Support.Kernel.getFilePath(Support.Kernel.USB_CTRL), "0");
        }
        if (Support.Feature.getBoolean(Support.Feature.SUPPORT_FACTORY_CHARGING_TEST)) {
            Support.Kernel.write(Support.Kernel.FACTORY_CHARGING_TEST, EgisFingerprint.MAJOR_VERSION);
        }
        initUI();
        checkConnection();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        this.mIntentFilter.addAction("com.android.samsungtest.DIRECT_CHARGE_STOP");
        registerReceiver(this.mBroadcastReceiver, this.mIntentFilter);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
        BroadcastReceiver broadcastReceiver = this.mBroadcastReceiver;
        if (broadcastReceiver != null) {
            unregisterReceiver(broadcastReceiver);
        }
        if (Support.Feature.getBoolean(Support.Feature.SUPPORT_FACTORY_CHARGING_TEST)) {
            Support.Kernel.write(Support.Kernel.FACTORY_CHARGING_TEST, "0");
        }
        this.mCurrentInList.clear();
        this.mCurrentOutList.clear();
        this.mHandler.removeMessages(1);
        this.mHandler.removeMessages(2);
        this.mHandler.removeMessages(3);
        this.mHandler.removeMessages(4);
    }

    private void initUI() {
        this.mChargeTitle = (TextView) findViewById(R.id.direct_charge_title);
        this.mChargeConnectionCheck1 = (TextView) findViewById(R.id.direct_charge_connection_check1);
        this.mChargeConnectionCheck2 = (TextView) findViewById(R.id.direct_charge_connection_check2);
        this.mChargePath1 = (TextView) findViewById(R.id.direct_charge_path1);
        this.mChargePath2 = (TextView) findViewById(R.id.direct_charge_path2);
        this.mChargeIn = (TextView) findViewById(R.id.direct_charge_in);
        this.mChargeConnection = (TextView) findViewById(R.id.direct_charge_connection);
        this.mChargeStep = (TextView) findViewById(R.id.direct_charge_step);
        this.mChargeVoltageSoc = (TextView) findViewById(R.id.direct_charge_voltage_soc);
        this.mChargeSelfTitle = (TextView) findViewById(R.id.direct_charge_selftest_title);
        this.mChargeSelfSpec = (TextView) findViewById(R.id.direct_charge_selftest_spec);
        this.mChargeSelfResult = (TextView) findViewById(R.id.direct_charge_selftest_result);
        this.mChargeIinRawdata1 = (TextView) findViewById(R.id.direct_charge_i_in_rawdata1);
        this.mChargeIinRawdata2 = (TextView) findViewById(R.id.direct_charge_i_in_rawdata2);
        this.mChargeIinRawdata3 = (TextView) findViewById(R.id.direct_charge_i_in_rawdata3);
        this.mChargeIinRawdata4 = (TextView) findViewById(R.id.direct_charge_i_in_rawdata4);
        this.mChargeIinRawdata5 = (TextView) findViewById(R.id.direct_charge_i_in_rawdata5);
        this.mChargeIoutRawdata1 = (TextView) findViewById(R.id.direct_charge_i_out_rawdata1);
        this.mChargeIoutRawdata2 = (TextView) findViewById(R.id.direct_charge_i_out_rawdata2);
        this.mChargeIoutRawdata3 = (TextView) findViewById(R.id.direct_charge_i_out_rawdata3);
        this.mChargeIoutRawdata4 = (TextView) findViewById(R.id.direct_charge_i_out_rawdata4);
        this.mChargeIoutRawdata5 = (TextView) findViewById(R.id.direct_charge_i_out_rawdata5);
        this.mChargeIinAvg = (TextView) findViewById(R.id.direct_charge_i_in_rawdata_avg);
        this.mChargeIoutAvg = (TextView) findViewById(R.id.direct_charge_i_out_rawdata_avg);
        this.mChargeRatio = (TextView) findViewById(R.id.direct_charge_rawdata_ratio);
        this.mChargeConnectionCheckLayout = (LinearLayout) findViewById(R.id.direct_charge_connection_check_layout);
        LinearLayout linearLayout = (LinearLayout) findViewById(R.id.direct_charge_status_layout);
        this.mChargeStatus = linearLayout;
        linearLayout.setVisibility(8);
        LinearLayout linearLayout2 = (LinearLayout) findViewById(R.id.direct_charge_table);
        this.mChargeTable = linearLayout2;
        linearLayout2.setVisibility(8);
        if (this.testId == 201) {
            this.mChargeTitle.setText("Direct Charge Test");
        }
    }

    private boolean isTAConnected() {
        int isConnected = -1;
        Intent batteryIntent = getApplicationContext().registerReceiver(null, new IntentFilter("android.intent.action.BATTERY_CHANGED"));
        if (batteryIntent != null) {
            isConnected = batteryIntent.getIntExtra("plugged", -1);
        }
        if (isConnected == 1) {
            return true;
        }
        return false;
    }

    private void checkConnection() {
        BatteryManager batteryManager = (BatteryManager) getApplicationContext().getSystemService("batterymanager");
        boolean isCharging = isTAConnected();
        FtUtil.log_i("UIDirectChargeTest", "readPreVoltage", "isCharging : " + isCharging);
        if (isCharging) {
            this.mChargeConnectionCheck1.setText("Connected : ");
            this.mChargeConnectionCheck2.setText("Already Connected");
            this.mChargeConnectionCheck2.setTextColor(-65536);
            return;
        }
        this.mIntentFilter.addAction("android.intent.action.BATTERY_CHANGED");
        registerReceiver(this.mBroadcastReceiver, this.mIntentFilter);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void turnLcdOff() {
        FtUtil.log_i("UIDirectChargeTest", "turnLcdOffForCurrentCheck", "Turn LCD Off");
        this.mModulePower.doPartialWakeLock(true);
        this.mModulePower.doWakeLock(false);
        if (Support.Feature.getBoolean(Support.Feature.NEED_LPA_MODE_SET, true)) {
            this.mModuleDevice.setLPAmode(ModuleDevice.LPA_MODE_DISABLE);
        }
        this.mModulePower.gotosleep();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void writeToDataFile() {
        if (!this.isPathPass || !this.isSpecPass) {
            this.mDirectChargeData = "NG," + this.mDirectChargeData;
        } else {
            this.mDirectChargeData = "OK," + this.mDirectChargeData;
        }
        File dataAvgFile = new File("data/log/DirectChargeData.log");
        Support.Kernel.writeToPathNsync(dataAvgFile.getPath(), this.mDirectChargeData);
        FtUtil.log_i("UIDirectChargeTest", "readFromPath", "DirectChargeData.log : " + Support.Kernel.readFromPath(dataAvgFile.getPath(), true));
    }
}
