package com.sec.factory.app.ui;

import android.app.Activity;
import android.content.Intent;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Point;
import android.graphics.drawable.BitmapDrawable;
import android.os.Bundle;
import android.support.v4.view.InputDeviceCompat;
import android.view.Display;
import android.view.KeyEvent;
import android.view.WindowManager;
import android.widget.ImageView;
import com.sec.factory.R;
import com.sec.factory.modules.ModulePower;
import com.sec.factory.support.FtUtil;

public class UIDisptestActivity extends Activity {
    private static final int BRIGHTNESS_AVG = 140;
    private static final int BRIGHTNESS_DEFAULT = 118;
    private static final int BRIGHTNESS_MAX = 255;
    private static final int BRIGHTNESS_MIN = 30;
    private static final int BRIGHTNESS_VALUE = 34;
    private static final int COLOR_GRAY_128 = -8355712;
    private static final int DISPLAY_BENEATH_HILL = 5;
    private static final int DISPLAY_BLACK = 4;
    private static final int DISPLAY_BLUE = 2;
    private static final int DISPLAY_CROSSTALK = 8;
    private static final int DISPLAY_GRADATION = 6;
    private static final int DISPLAY_GRAY128 = 7;
    private static final int DISPLAY_GREEN = 1;
    private static final int DISPLAY_RED = 0;
    private static final int DISPLAY_WHITE = 3;
    private static final int DISPLAY_YELLOW = 9;
    private static final int MAX_NUM_OF_DRAWABLES = 20;
    private static final int RGBPDIST_RGB = 300;
    private static final int SET_BRIGHTNESS_AVG = 102;
    private static final int SET_BRIGHTNESS_MAX = 101;
    private static final int SET_BRIGHTNESS_MIN = 100;
    private static final String TAG = "UIDisptestActivity";
    private final long BACK_KEY_EVENT_TIMELAG = 2000;
    private ImageView DispGradationTest;
    private CrossTalkView mCrossTalkView;
    private boolean mFlag_BackKey_Twice = false;
    private ImageView mImageView;
    private long mPrevBackKeyEventTime = -1;
    private int mode;

    /* access modifiers changed from: protected */
    public void onCreate(Bundle arg0) {
        super.onCreate(arg0);
        setContentView(R.layout.ui_disptestactivity);
        initSetting();
        int value = getIntent().getIntExtra("VALUE", -1);
        int testType = getIntent().getIntExtra("TEST_TYPE", -1);
        FtUtil.log_d(TAG, "testType: " + testType + "value: " + value);
        performRequest(testType, value);
        FtUtil.disableDisplayCutOutMode(getWindow(), true);
    }

    private void performRequest(int testtype, int value) {
        switch (testtype) {
            case 0:
                this.mImageView.setBackgroundColor(-65536);
                return;
            case 1:
                this.mImageView.setBackgroundColor(-16711936);
                return;
            case 2:
                this.mImageView.setBackgroundColor(UiHallICTest.FONT_COLOR_PASS);
                return;
            case 3:
                this.mImageView.setBackgroundColor(-1);
                return;
            case 4:
                this.mImageView.setBackgroundColor(-16777216);
                return;
            case 5:
                this.mImageView.setBackgroundDrawable(new BitmapDrawable(getResources(), BitmapFactory.decodeResource(getResources(), getResources().getIdentifier("beneath_hill", "drawable", getPackageName()))));
                return;
            case 6:
                this.mImageView.setVisibility(8);
                this.DispGradationTest.setVisibility(0);
                return;
            case 7:
                this.mImageView.setBackgroundColor(COLOR_GRAY_128);
                return;
            case 8:
                this.mImageView.setVisibility(8);
                this.mCrossTalkView.setVisibility(0);
                return;
            case 9:
                this.mImageView.setBackgroundColor(InputDeviceCompat.SOURCE_ANY);
                return;
            case 300:
                this.mImageView.setBackgroundColor(value);
                return;
            default:
                return;
        }
    }

    /* access modifiers changed from: protected */
    public void onPause() {
        super.onPause();
        sendBroadcast(new Intent("com.samsung.android.aircommandmanager.START_MONITORING"));
        ModulePower.instance(this).setScreenBrightnessMode(this.mode);
        finish();
    }

    /* access modifiers changed from: protected */
    public void onResume() {
        super.onResume();
        sendBroadcast(new Intent("com.samsung.android.aircommandmanager.STOP_MONITORING"));
        this.mode = ModulePower.instance(this).getScreenBrightnessMode();
        ModulePower.instance(this).setScreenBrightnessMode(0);
    }

    public boolean onKeyDown(int keyCode, KeyEvent event) {
        if (!event.isLongPress()) {
            switch (keyCode) {
                case 4:
                    FtUtil.log_d(TAG, "onKeyDown", "KEYCODE_BACK => Prev : " + this.mPrevBackKeyEventTime + ", Curr : " + event.getEventTime() + " => Time Lag : " + (event.getEventTime() - this.mPrevBackKeyEventTime) + " [" + 2000L + "]");
                    if (this.mPrevBackKeyEventTime == -1) {
                        this.mPrevBackKeyEventTime = event.getEventTime();
                    } else if (event.getEventTime() - this.mPrevBackKeyEventTime < 2000) {
                        this.mFlag_BackKey_Twice = true;
                        finish();
                    } else {
                        this.mPrevBackKeyEventTime = event.getEventTime();
                    }
                    FtUtil.log_d(TAG, "onKeyDown", "KEYCODE_BACK = return true");
                    return true;
                default:
                    this.mPrevBackKeyEventTime = -1;
                    break;
            }
        }
        return true;
    }

    private void initSetting() {
        ImageView imageView = (ImageView) findViewById(R.id.disptest_imageview);
        this.mImageView = imageView;
        imageView.setBackgroundColor(-65536);
        ImageView imageView2 = (ImageView) findViewById(R.id.disp_gradation_test);
        this.DispGradationTest = imageView2;
        imageView2.setVisibility(8);
        CrossTalkView crossTalkView = (CrossTalkView) findViewById(R.id.disptest_crosstalkview);
        this.mCrossTalkView = crossTalkView;
        crossTalkView.setVisibility(8);
        FtUtil.setRemoveSystemUI(getWindow(), true);
    }

    private void readImageFromMemory(String filepath) {
        Display mDisplay = ((WindowManager) getSystemService("window")).getDefaultDisplay();
        Point outpoint = new Point();
        mDisplay.getRealSize(outpoint);
        this.mImageView.setImageBitmap(Bitmap.createScaledBitmap(BitmapFactory.decodeFile(filepath), outpoint.x, outpoint.y, true));
    }
}
