package com.sec.factory.app.ui;

import android.content.Intent;
import android.os.Bundle;
import android.view.KeyEvent;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.support.FtUtil;
import org.apache.poi.hssf.record.UnknownRecord;

public class UIDmbDetach extends UIBase {
    public static final String DMB_ANTDET_START = "DMBANTDETSTART";
    public static final String DMB_ANTDET_STOP = "DMBANTDETSTOP";
    private int Flag = 0;
    private TextView ant_close;
    private TextView ant_open;
    private TextView dmb_detach_passfail;
    private int ispassed = -1;
    private ModuleDevice mModuleDevice;

    public UIDmbDetach() {
        super("UIDmbDetach", 52);
    }

    private void init() {
        FtUtil.log_d(this.CLASS_NAME, "init()", "init_start");
        this.ant_open = (TextView) findViewById(R.id.ant_open);
        this.ant_close = (TextView) findViewById(R.id.ant_close);
        this.dmb_detach_passfail = (TextView) findViewById(R.id.dmb_detach_passfail);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle arg0) {
        FtUtil.log_d(this.CLASS_NAME, "onCreate()", "startOnCreate()");
        Intent i = new Intent();
        i.setClassName("com.samsung.android.app.dtv.dmb", "com.samsung.android.app.dtv.dmb.DMBFactoryService");
        i.setFlags(268435456);
        i.putExtra("COMMAND", DMB_ANTDET_START);
        startService(i);
        super.onCreate(arg0);
        this.mModuleDevice = ModuleDevice.instance(this);
        FtUtil.setRemoveSystemUI(getWindow(), true);
        setContentView(R.layout.ui_dmbdetach);
        init();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        Intent i = new Intent();
        i.setClassName("com.samsung.android.app.dtv.dmb", "com.samsung.android.app.dtv.dmb.DMBFactoryService");
        i.setFlags(268435456);
        i.putExtra("COMMAND", DMB_ANTDET_STOP);
        startService(i);
        super.onDestroy();
        FtUtil.log_d(this.CLASS_NAME, "onDestroy", null);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        FtUtil.log_d(this.CLASS_NAME, "onPause", null);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        FtUtil.log_d(this.CLASS_NAME, "onResume", null);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public boolean onKeyDown(int keyCode, KeyEvent event) {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "onKeyDown", "KeyEent=" + keyCode);
        switch (keyCode) {
            case UnknownRecord.PHONETICPR_00EF /*{ENCODED_INT: 239}*/:
                this.ant_open.setText("ANT OPEN : PASS");
                this.ant_open.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                this.mModuleDevice.stopVibrate();
                this.mModuleDevice.startVibrate(1000);
                this.Flag = 1;
                return true;
            case 240:
                this.ant_close.setText("ANT CLOSE : PASS");
                this.ant_close.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                this.mModuleDevice.stopVibrate();
                this.mModuleDevice.startVibrate(1000);
                if (this.Flag == 1) {
                    this.Flag = 2;
                    checkPassFail();
                    checkPassResult();
                }
                return true;
            default:
                return super.onKeyDown(keyCode, event);
        }
    }

    private void checkPassFail() {
        boolean passfail = false;
        if (this.Flag == 2) {
            writeNV(52, true);
            passfail = true;
        } else {
            writeNV(52, false);
        }
        if (passfail) {
            this.dmb_detach_passfail.setText("PASS");
            this.dmb_detach_passfail.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            this.ispassed = 80;
            return;
        }
        this.dmb_detach_passfail.setText("FAIL");
        this.dmb_detach_passfail.setTextColor(-65536);
        this.ispassed = 70;
    }

    private void checkPassResult() {
        int i = this.ispassed;
        if (i == 80) {
            FtUtil.log_d(this.CLASS_NAME, "checkPassResult()", "TEST_DMB_DETACH pass!!!");
            setTestResultWithoutNV(52, (byte) 80);
            finishOnPassWithTimer();
        } else if (i == 70) {
            setResult(0);
        }
        this.mModuleDevice.stopVibrate();
        this.Flag = 0;
    }

    private void writeNV(int id, boolean isPass) {
        if (isPass) {
            FtUtil.log_i(this.CLASS_NAME, "writeNV", "PASS");
            setTestResult((byte) id, (byte) 80);
            return;
        }
        FtUtil.log_e(this.CLASS_NAME, "writeNV", "FAIL");
    }
}
