package com.sec.factory.app.ui;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Bundle;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;

public class UIDockCharge extends UIBase {
    private final String CLASS_NAME = "UIDockCharge";
    private boolean isDocked = false;
    private BroadcastReceiver mBroadcastReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.app.ui.UIDockCharge.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            String action = intent.getAction();
            FtUtil.log_d("UIDockCharge", "mBroadcastReceiver.onReceive", "action=" + action);
            if ("android.intent.action.DOCK_EVENT".equals(action)) {
                int docked = intent.getIntExtra("Docked", 0);
                FtUtil.log_d("UIDockCharge", "Dock state : " + docked);
                if (intent.getIntExtra("android.intent.extra.DOCK_STATE", 0) == 1) {
                    FtUtil.log_i("UIDockCharge", " Dock on");
                    UIDockCharge.this.mDockChargeCheck.setText("DOCKING");
                    UIDockCharge.this.mDockChargeCheck.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                    UIDockCharge.this.isDocked = true;
                } else if (intent.getIntExtra("android.intent.extra.DOCK_STATE", 0) == 0 && UIDockCharge.this.isDocked) {
                    FtUtil.log_i("UIDockCharge", " Dock off");
                    UIDockCharge.this.mDockChargeCheck.setText("PASS");
                    UIDockCharge.this.mDockChargeCheck.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                    UIDockCharge.this.mIsTestPass = true;
                    UIDockCharge.this.setTestResult();
                }
            }
        }
    };
    private TextView mDockChargeCheck;
    private TextView mDockChargeNotice;
    private boolean mIsTestPass = false;
    private String mTestCase;

    public UIDockCharge() {
        super("UIDockCharge");
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_dockcharge);
        String testCase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML((byte) FactoryTestManager.TEST_DOCK_CHARGE));
        this.mTestCase = testCase;
        if ("REVERSE".equalsIgnoreCase(testCase)) {
            setRequestedOrientation(0);
        }
        this.mDockChargeNotice = (TextView) findViewById(R.id.dockchargenotice);
        this.mDockChargeCheck = (TextView) findViewById(R.id.dockchargecheck);
        this.mDockChargeNotice.setText("Connect Dock Charger");
        IntentFilter dockIntentFilter = new IntentFilter();
        dockIntentFilter.addAction("android.intent.action.DOCK_EVENT");
        registerReceiver(this.mBroadcastReceiver, dockIntentFilter);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        unregisterReceiver(this.mBroadcastReceiver);
        super.onDestroy();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setTestResult() {
        FtUtil.log_i("UIDockCharge", "setTestResult", null);
        this.isDocked = false;
        if (this.mIsTestPass) {
            FtUtil.log_i("UIDockCharge", "setTestResult", "PASS");
            setResult(-1);
        }
        finish();
    }
}
