package com.sec.factory.app.ui;

import android.app.AlertDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.content.res.Resources;
import android.media.AudioManager;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.KeyEvent;
import android.view.View;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.MicParallelTest;
import com.sec.factory.modules.ModuleAudio;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.sensors.SensorListener;
import com.sec.factory.sensors.SensorProximity;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import java.lang.reflect.Array;

public class UIEchoParallelTestWithNoLcd extends UIBase implements View.OnClickListener, SensorListener {
    public static final int ALL_MIC_PATH = 10;
    private static final int CHECK_JIG_STATE = 1;
    public static short EMPTY_DATA = MicParallelTest.EMPTY_DATA;
    public static final int STOP_RECORD = 3;
    public static final int TEST_FINISH = 4;
    private static final int TEST_ID_DEFAULT = -1;
    private static final int WRITE_FAIL = 2;
    public static int[] audio_path;
    public static String[] mArrayspec;
    private static boolean mCmdTestMode = false;
    public static boolean mIsReading;
    private static boolean mIscheckingJig = false;
    private static int mMicCnt = 0;
    public static boolean mSeparatePath = false;
    private final String CLASS_NAME = "UIEchoParallelTestWithNoLcd";
    private String PROXIMITY_DETECT = "0.0";
    MicParallelTest.AudioPlayer mAudioPlayer;
    MicParallelTest.AudioRecording mAudioRecording;
    Button mExitButton;
    public Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UIEchoParallelTestWithNoLcd.AnonymousClass5 */

        public void handleMessage(Message msg) {
            if (msg.what == 3) {
                FtUtil.log_d("UIEchoParallelTestWithNoLcd", "mHandler.handleMessage", "STOP_RECORD");
                UIEchoParallelTestWithNoLcd.this.testStop();
            } else if (msg.what == 4) {
                FtUtil.log_d("UIEchoParallelTestWithNoLcd", "mHandler.handleMessage", "TEST_FINISH");
                if ("ET6034A".equalsIgnoreCase(Support.Feature.getString(Support.Feature.SUPPORT_SERVICE_LED))) {
                    ModuleDevice moduleDevice = UIEchoParallelTestWithNoLcd.this.mModuleDevice;
                    ModuleDevice unused = UIEchoParallelTestWithNoLcd.this.mModuleDevice;
                    String str = ModuleDevice.COLORLED_BLUE;
                    ModuleDevice unused2 = UIEchoParallelTestWithNoLcd.this.mModuleDevice;
                    moduleDevice.turnOnColorLED(str, 1);
                }
                UIEchoParallelTestWithNoLcd.this.finish();
            } else if (msg.what == 2) {
                FtUtil.log_d("UIEchoParallelTestWithNoLcd", "mHandler.handleMessage", "WRITE_FAIL");
                if ("ET6034A".equalsIgnoreCase(Support.Feature.getString(Support.Feature.SUPPORT_SERVICE_LED))) {
                    ModuleDevice moduleDevice2 = UIEchoParallelTestWithNoLcd.this.mModuleDevice;
                    ModuleDevice unused3 = UIEchoParallelTestWithNoLcd.this.mModuleDevice;
                    String str2 = ModuleDevice.COLORLED_RED;
                    ModuleDevice unused4 = UIEchoParallelTestWithNoLcd.this.mModuleDevice;
                    moduleDevice2.turnOnColorLED(str2, 1);
                }
                UIEchoParallelTestWithNoLcd uIEchoParallelTestWithNoLcd = UIEchoParallelTestWithNoLcd.this;
                uIEchoParallelTestWithNoLcd.setTestResultFailCase(uIEchoParallelTestWithNoLcd.TEST_ID);
                UIEchoParallelTestWithNoLcd.this.finish();
            }
        }
    };
    private AlertDialog mJigCheckDialog;
    MicParallelTest mMicParallelTest;
    private ModuleDevice mModuleDevice;
    private String mProximitySensorMgrValue = "5.0";
    Button mRetestButton;
    private SensorProximity mSensorProximity;
    private boolean mShowSensorLog = false;
    private AlertDialog mSpecFileCheckDialog;
    private StringBuffer mStrResultLog;
    TestInfo[] mTestItemInfo;
    TextView mTestTitle;
    public Thread mThread = null;
    protected Handler mTimerHandler = new Handler() {
        /* class com.sec.factory.app.ui.UIEchoParallelTestWithNoLcd.AnonymousClass6 */

        public void handleMessage(Message msg) {
            switch (msg.what) {
                case 1:
                    FtUtil.log_i("UIEchoParallelTestWithNoLcd", "handleMessage", "CHECK_JIG_STATE");
                    if (!UIEchoParallelTestWithNoLcd.this.checkJigCover()) {
                        UIEchoParallelTestWithNoLcd.this.mTimerHandler.sendEmptyMessageDelayed(1, 500);
                        return;
                    } else if (UIEchoParallelTestWithNoLcd.this.mJigCheckDialog != null) {
                        UIEchoParallelTestWithNoLcd.this.mShowSensorLog = false;
                        UIEchoParallelTestWithNoLcd.this.mJigCheckDialog.dismiss();
                        return;
                    } else {
                        return;
                    }
                default:
                    return;
            }
        }
    };

    public UIEchoParallelTestWithNoLcd() {
        super("UIEchoParallelTestWithNoLcd", FactoryTestManager.TEST_ECHO_PARALLEL);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        mCmdTestMode = false;
        mIscheckingJig = false;
        this.TEST_ID = getIntent().getIntExtra("requestCode", -1);
        FtUtil.log_d("UIEchoParallelTestWithNoLcd", "onCreate", "TEST_ID: " + this.TEST_ID);
        boolean booleanExtra = getIntent().getBooleanExtra("mIsAtCmd", false);
        mCmdTestMode = booleanExtra;
        setAtCmd(booleanExtra);
        FtUtil.log_d("UIEchoParallelTestWithNoLcd", "onCreate", "mCmdTestMode : " + mCmdTestMode);
        this.mMicParallelTest = new MicParallelTest(this.TEST_ID);
        setContentView(R.layout.ui_echo_parallel_test);
        setTestItemInfo(this.TEST_ID);
        this.mStrResultLog = new StringBuffer(50);
        if (!mCmdTestMode && MicParallelTest.mJigCheckType > 0) {
            mIscheckingJig = true;
            if (MicParallelTest.mJigCheckType == 1) {
                FtUtil.log_d("UIEchoParallelTestWithNoLcd", "onCreate", "JIGCHECK_HALL_IC");
            } else if (MicParallelTest.mJigCheckType == 2) {
                FtUtil.log_d("UIEchoParallelTestWithNoLcd", "onCreate", "JIGCHECK_PROX");
                this.mSensorProximity = new SensorProximity(this);
            } else if (MicParallelTest.mJigCheckType == 3) {
                FtUtil.log_d("UIEchoParallelTestWithNoLcd", "onCreate", "JIGCHECK_VOL_UP");
                FtUtil.setSystemKeyBlock(getComponentName(), 24);
                FtUtil.setSystemKeyBlock(getComponentName(), 25);
            }
        }
        audio_path = MicParallelTest.mAudioPath;
        mMicCnt = MicParallelTest.mMicCount;
        initUI();
        SetUIRate(this.TEST_ID);
        Button button = (Button) findViewById(R.id.retest_button);
        this.mRetestButton = button;
        button.setOnClickListener(this);
        Button button2 = (Button) findViewById(R.id.exit_button);
        this.mExitButton = button2;
        button2.setOnClickListener(this);
        this.mModuleDevice = ModuleDevice.instance(this);
        if ("ET6034A".equalsIgnoreCase(Support.Feature.getString(Support.Feature.SUPPORT_SERVICE_LED))) {
            ModuleDevice.instance(this).turnOffColorLED();
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        SensorProximity sensorProximity;
        super.onPause();
        if (mIscheckingJig) {
            if (MicParallelTest.mJigCheckType == 2 && (sensorProximity = this.mSensorProximity) != null) {
                sensorProximity.SensorOff();
            }
            if (MicParallelTest.mJigCheckType != 3) {
                this.mTimerHandler.removeMessages(1);
            }
            AlertDialog alertDialog = this.mJigCheckDialog;
            if (alertDialog != null && alertDialog.isShowing()) {
                this.mJigCheckDialog.dismiss();
            }
            AlertDialog alertDialog2 = this.mSpecFileCheckDialog;
            if (alertDialog2 != null && alertDialog2.isShowing()) {
                this.mSpecFileCheckDialog.dismiss();
            }
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        mIsReading = true;
        MicParallelTest.mCurrentCnt = 0;
        if (mIscheckingJig) {
            this.mShowSensorLog = true;
            if (MicParallelTest.mJigCheckType == 2) {
                int[] ProximitySensors = {1};
                SensorProximity sensorProximity = this.mSensorProximity;
                if (sensorProximity != null) {
                    sensorProximity.SensorOn(this, ProximitySensors, 100);
                }
            }
            if (MicParallelTest.mJigCheckType != 3) {
                this.mTimerHandler.sendEmptyMessageDelayed(1, 500);
            }
        }
    }

    public void onWindowFocusChanged(boolean hasFocus) {
        super.onWindowFocusChanged(hasFocus);
        FtUtil.log_d("UIEchoParallelTestWithNoLcd", "onWindowFocusChanged", "focused : " + hasFocus);
        if (hasFocus) {
            testStart();
        } else {
            testStop();
        }
    }

    private boolean setTestItemInfo(int testID) {
        this.mTestItemInfo = new TestInfo[MicParallelTest.mMicCount];
        for (int i = 0; i < MicParallelTest.mMicCount; i++) {
            this.mTestItemInfo[i] = new TestInfo(this);
            for (int j = 0; j < MicParallelTest.mMeasureCase.length; j++) {
                FtUtil.log_d("UIEchoParallelTestWithNoLcd", "setTestItemInfo", "[" + i + "][" + j + "]: " + MicParallelTest.mStrArraySpec[i][j]);
                String[] minMaxSpec = MicParallelTest.mStrArraySpec[i][j].split("~");
                if (minMaxSpec.length != 2) {
                    this.mTestItemInfo[i].mSpecMinMax[j][0] = -99;
                    this.mTestItemInfo[i].mSpecMinMax[j][1] = -99;
                } else {
                    this.mTestItemInfo[i].mSpecMinMax[j][0] = Integer.parseInt(minMaxSpec[0]);
                    this.mTestItemInfo[i].mSpecMinMax[j][1] = Integer.parseInt(minMaxSpec[1]);
                }
            }
            this.mTestItemInfo[i].mIsSupport = true;
        }
        return true;
    }

    private void SetUIRate(int testID) {
        float rate = Support.FactoryTestMenu.getUIRate(FactoryTestManager.convertorID_XML(testID));
        if (rate != 0.0f && rate != 1.0f) {
            TextView textView = this.mTestTitle;
            textView.setTextSize(0, textView.getTextSize() * rate);
            int i = 0;
            while (true) {
                TestInfo[] testInfoArr = this.mTestItemInfo;
                if (i < testInfoArr.length) {
                    testInfoArr[i].title.setTextSize(0, this.mTestItemInfo[i].title.getTextSize() * rate);
                    this.mTestItemInfo[i].result.setTextSize(0, this.mTestItemInfo[i].result.getTextSize() * rate);
                    this.mTestItemInfo[i].blank.setTextSize(0, this.mTestItemInfo[i].blank.getTextSize() * rate);
                    this.mTestItemInfo[i].spec.setTextSize(0, this.mTestItemInfo[i].spec.getTextSize() * rate);
                    this.mTestItemInfo[i].measureCnt[0].setTextSize(0, this.mTestItemInfo[i].measureCnt[0].getTextSize() * rate);
                    this.mTestItemInfo[i].measureCnt[1].setTextSize(0, this.mTestItemInfo[i].measureCnt[1].getTextSize() * rate);
                    this.mTestItemInfo[i].measureCnt[2].setTextSize(0, this.mTestItemInfo[i].measureCnt[2].getTextSize() * rate);
                    for (int j = 0; j < MicParallelTest.mMeasureCase.length; j++) {
                        this.mTestItemInfo[i].caseTitle[j].setTextSize(0, this.mTestItemInfo[i].caseTitle[j].getTextSize() * rate);
                        this.mTestItemInfo[i].caseSpec[j].setTextSize(0, this.mTestItemInfo[i].caseSpec[j].getTextSize() * rate);
                        for (int k = 0; k < MicParallelTest.mMeasureCount; k++) {
                            this.mTestItemInfo[i].measure[k][j].setTextSize(0, this.mTestItemInfo[i].measure[k][j].getTextSize() * rate);
                        }
                    }
                    i++;
                } else {
                    return;
                }
            }
        }
    }

    private void initUI() {
        String spkPath;
        FtUtil.log_d("UIEchoParallelTestWithNoLcd", "initUI", "start");
        this.mTestTitle = (TextView) findViewById(R.id.test_title);
        for (int i = 0; i < this.mTestItemInfo.length; i++) {
            int micNum = i + 1;
            Resources resources = getResources();
            ((LinearLayout) findViewById(resources.getIdentifier("mic" + micNum, "id", getPackageName()))).setVisibility(0);
            TestInfo testInfo = this.mTestItemInfo[i];
            Resources resources2 = getResources();
            testInfo.title = (TextView) findViewById(resources2.getIdentifier("mic" + micNum + "_title", "id", getPackageName()));
            String currnetTitle = this.mTestItemInfo[i].title.getText().toString();
            if (!currnetTitle.contains("(")) {
                int[] iArr = audio_path;
                if (iArr.length > 1) {
                    if (iArr[i] == 0) {
                        spkPath = "ALL SPK";
                    } else if (iArr[i] == 1) {
                        spkPath = "RCV";
                    } else if (iArr[i] == 8) {
                        spkPath = "SPK1";
                    } else if (iArr[i] == 9) {
                        spkPath = "SPK2";
                    } else {
                        spkPath = "NULL";
                    }
                    TextView textView = this.mTestItemInfo[i].title;
                    textView.setText(currnetTitle + "  (" + spkPath + ")");
                } else {
                    TextView textView2 = this.mTestItemInfo[i].title;
                    textView2.setText(currnetTitle + "  (ALL SPK)");
                }
            }
            TestInfo testInfo2 = this.mTestItemInfo[i];
            Resources resources3 = getResources();
            testInfo2.result = (TextView) findViewById(resources3.getIdentifier("mic" + micNum + "_result", "id", getPackageName()));
            TestInfo testInfo3 = this.mTestItemInfo[i];
            Resources resources4 = getResources();
            testInfo3.blank = (TextView) findViewById(resources4.getIdentifier("mic" + micNum + "_blank", "id", getPackageName()));
            TestInfo testInfo4 = this.mTestItemInfo[i];
            Resources resources5 = getResources();
            testInfo4.spec = (TextView) findViewById(resources5.getIdentifier("mic" + micNum + "_spec", "id", getPackageName()));
            TextView[] textViewArr = this.mTestItemInfo[i].measureCnt;
            Resources resources6 = getResources();
            textViewArr[0] = (TextView) findViewById(resources6.getIdentifier("mic" + micNum + "_meas_1", "id", getPackageName()));
            TextView[] textViewArr2 = this.mTestItemInfo[i].measureCnt;
            Resources resources7 = getResources();
            textViewArr2[1] = (TextView) findViewById(resources7.getIdentifier("mic" + micNum + "_meas_2", "id", getPackageName()));
            TextView[] textViewArr3 = this.mTestItemInfo[i].measureCnt;
            Resources resources8 = getResources();
            textViewArr3[2] = (TextView) findViewById(resources8.getIdentifier("mic" + micNum + "_meas_3", "id", getPackageName()));
            TextView[] textViewArr4 = this.mTestItemInfo[i].caseTitle;
            Resources resources9 = getResources();
            textViewArr4[0] = (TextView) findViewById(resources9.getIdentifier("mic" + micNum + "_parallel_test_rms_title", "id", getPackageName()));
            TextView[] textViewArr5 = this.mTestItemInfo[i].caseTitle;
            Resources resources10 = getResources();
            textViewArr5[1] = (TextView) findViewById(resources10.getIdentifier("mic" + micNum + "_parallel_test_200_title", "id", getPackageName()));
            TextView[] textViewArr6 = this.mTestItemInfo[i].caseTitle;
            Resources resources11 = getResources();
            textViewArr6[2] = (TextView) findViewById(resources11.getIdentifier("mic" + micNum + "_parallel_test_500_title", "id", getPackageName()));
            TextView[] textViewArr7 = this.mTestItemInfo[i].caseTitle;
            Resources resources12 = getResources();
            textViewArr7[3] = (TextView) findViewById(resources12.getIdentifier("mic" + micNum + "_parallel_test_1000_title", "id", getPackageName()));
            TextView[] textViewArr8 = this.mTestItemInfo[i].caseTitle;
            Resources resources13 = getResources();
            textViewArr8[4] = (TextView) findViewById(resources13.getIdentifier("mic" + micNum + "_parallel_test_2000_title", "id", getPackageName()));
            TextView[] textViewArr9 = this.mTestItemInfo[i].caseTitle;
            Resources resources14 = getResources();
            textViewArr9[5] = (TextView) findViewById(resources14.getIdentifier("mic" + micNum + "_parallel_test_3000_title", "id", getPackageName()));
            TextView[] textViewArr10 = this.mTestItemInfo[i].caseSpec;
            Resources resources15 = getResources();
            textViewArr10[0] = (TextView) findViewById(resources15.getIdentifier("mic" + micNum + "_parallel_test_rms_spec", "id", getPackageName()));
            TextView[] textViewArr11 = this.mTestItemInfo[i].caseSpec;
            Resources resources16 = getResources();
            textViewArr11[1] = (TextView) findViewById(resources16.getIdentifier("mic" + micNum + "_parallel_test_200_spec", "id", getPackageName()));
            TextView[] textViewArr12 = this.mTestItemInfo[i].caseSpec;
            Resources resources17 = getResources();
            textViewArr12[2] = (TextView) findViewById(resources17.getIdentifier("mic" + micNum + "_parallel_test_500_spec", "id", getPackageName()));
            TextView[] textViewArr13 = this.mTestItemInfo[i].caseSpec;
            Resources resources18 = getResources();
            textViewArr13[3] = (TextView) findViewById(resources18.getIdentifier("mic" + micNum + "_parallel_test_1000_spec", "id", getPackageName()));
            TextView[] textViewArr14 = this.mTestItemInfo[i].caseSpec;
            Resources resources19 = getResources();
            textViewArr14[4] = (TextView) findViewById(resources19.getIdentifier("mic" + micNum + "_parallel_test_2000_spec", "id", getPackageName()));
            TextView[] textViewArr15 = this.mTestItemInfo[i].caseSpec;
            Resources resources20 = getResources();
            textViewArr15[5] = (TextView) findViewById(resources20.getIdentifier("mic" + micNum + "_parallel_test_3000_spec", "id", getPackageName()));
            TestInfo testInfo5 = this.mTestItemInfo[i];
            testInfo5.setTag("MIC" + micNum);
            for (int j = 0; j < MicParallelTest.mMeasureCount; j++) {
                int testCnt = j + 1;
                TextView[] textViewArr16 = this.mTestItemInfo[i].measure[j];
                Resources resources21 = getResources();
                textViewArr16[0] = (TextView) findViewById(resources21.getIdentifier("mic" + micNum + "_parallel_test_rms_meas_" + testCnt, "id", getPackageName()));
                TextView[] textViewArr17 = this.mTestItemInfo[i].measure[j];
                Resources resources22 = getResources();
                textViewArr17[1] = (TextView) findViewById(resources22.getIdentifier("mic" + micNum + "_parallel_test_200_meas_" + testCnt, "id", getPackageName()));
                TextView[] textViewArr18 = this.mTestItemInfo[i].measure[j];
                Resources resources23 = getResources();
                textViewArr18[2] = (TextView) findViewById(resources23.getIdentifier("mic" + micNum + "_parallel_test_500_meas_" + testCnt, "id", getPackageName()));
                TextView[] textViewArr19 = this.mTestItemInfo[i].measure[j];
                Resources resources24 = getResources();
                textViewArr19[3] = (TextView) findViewById(resources24.getIdentifier("mic" + micNum + "_parallel_test_1000_meas_" + testCnt, "id", getPackageName()));
                TextView[] textViewArr20 = this.mTestItemInfo[i].measure[j];
                Resources resources25 = getResources();
                textViewArr20[4] = (TextView) findViewById(resources25.getIdentifier("mic" + micNum + "_parallel_test_2000_meas_" + testCnt, "id", getPackageName()));
                TextView[] textViewArr21 = this.mTestItemInfo[i].measure[j];
                Resources resources26 = getResources();
                textViewArr21[5] = (TextView) findViewById(resources26.getIdentifier("mic" + micNum + "_parallel_test_3000_meas_" + testCnt, "id", getPackageName()));
                this.mTestItemInfo[i].measure[j][0].setText("");
                this.mTestItemInfo[i].measure[j][1].setText("");
                this.mTestItemInfo[i].measure[j][2].setText("");
                this.mTestItemInfo[i].measure[j][3].setText("");
                this.mTestItemInfo[i].measure[j][4].setText("");
                this.mTestItemInfo[i].measure[j][5].setText("");
            }
            for (int j2 = 0; j2 < MicParallelTest.mMeasureCase.length; j2++) {
                if (this.mTestItemInfo[i].mSpecMinMax[j2][0] == -99 || this.mTestItemInfo[i].mSpecMinMax[j2][1] == -99) {
                    this.mTestItemInfo[i].caseSpec[j2].setText("NA");
                } else {
                    TextView textView3 = this.mTestItemInfo[i].caseSpec[j2];
                    textView3.setText(this.mTestItemInfo[i].mSpecMinMax[j2][0] + "~" + this.mTestItemInfo[i].mSpecMinMax[j2][1]);
                }
            }
        }
        Button button = (Button) findViewById(R.id.retest_button);
        this.mRetestButton = button;
        button.setOnClickListener(this);
        Button button2 = (Button) findViewById(R.id.exit_button);
        this.mExitButton = button2;
        button2.setOnClickListener(this);
        if (!MicParallelTest.mIsCheckOption.booleanValue()) {
            AlertDialog.Builder builder = new AlertDialog.Builder(this, 16973935);
            builder.setTitle("Spec File Error");
            builder.setMessage("Please Check Spec File");
            builder.setCancelable(false);
            builder.setNegativeButton("Exit", new DialogInterface.OnClickListener() {
                /* class com.sec.factory.app.ui.UIEchoParallelTestWithNoLcd.AnonymousClass1 */

                public void onClick(DialogInterface dialog, int id) {
                    UIEchoParallelTestWithNoLcd.this.finish();
                    dialog.cancel();
                }
            });
            AlertDialog create = builder.create();
            this.mSpecFileCheckDialog = create;
            create.getWindow().setGravity(17);
            this.mSpecFileCheckDialog.show();
        } else if (mIscheckingJig) {
            AlertDialog.Builder builder2 = new AlertDialog.Builder(this, 16973935);
            builder2.setTitle("Check Jig Cover");
            if (MicParallelTest.mJigCheckType == 3) {
                builder2.setMessage("Please Close Jig Cover and Press Vol Up Key");
            } else {
                builder2.setMessage("Please Close Jig Cover");
            }
            builder2.setCancelable(false);
            builder2.setNegativeButton("Exit", new DialogInterface.OnClickListener() {
                /* class com.sec.factory.app.ui.UIEchoParallelTestWithNoLcd.AnonymousClass2 */

                public void onClick(DialogInterface dialog, int id) {
                    UIEchoParallelTestWithNoLcd.this.finish();
                    dialog.cancel();
                }
            });
            AlertDialog create2 = builder2.create();
            this.mJigCheckDialog = create2;
            create2.getWindow().setGravity(17);
            this.mJigCheckDialog.show();
            this.mJigCheckDialog.setOnKeyListener(new DialogInterface.OnKeyListener() {
                /* class com.sec.factory.app.ui.UIEchoParallelTestWithNoLcd.AnonymousClass3 */

                public boolean onKey(DialogInterface dialog, int keyCode, KeyEvent event) {
                    if (keyCode != 24 || event.getAction() != 0 || !UIEchoParallelTestWithNoLcd.mIscheckingJig) {
                        return true;
                    }
                    MicParallelTest micParallelTest = UIEchoParallelTestWithNoLcd.this.mMicParallelTest;
                    int i = MicParallelTest.mJigCheckType;
                    MicParallelTest micParallelTest2 = UIEchoParallelTestWithNoLcd.this.mMicParallelTest;
                    if (i != 3) {
                        return true;
                    }
                    FtUtil.log_d("UIEchoParallelTestWithNoLcd", "onKeyDown", "VL_UP action press");
                    if (UIEchoParallelTestWithNoLcd.this.mJigCheckDialog == null || !UIEchoParallelTestWithNoLcd.this.mJigCheckDialog.isShowing()) {
                        return true;
                    }
                    UIEchoParallelTestWithNoLcd.this.mJigCheckDialog.dismiss();
                    return true;
                }
            });
        }
    }

    private void testStart() {
        FtUtil.log_d("UIEchoParallelTestWithNoLcd", "testStart", "");
        this.mRetestButton.setEnabled(false);
        mIsReading = true;
        ModuleAudio moduleAudio = ModuleAudio.instance(this);
        ((AudioManager) getSystemService("audio")).setParameters("factory_test_mic_check=on");
        this.mAudioRecording = new MicParallelTest.AudioRecording(this);
        this.mAudioPlayer = new MicParallelTest.AudioPlayer(this);
        if (moduleAudio.isEarphonePlugged()) {
            FtUtil.log_d("UIEchoParallelTestWithNoLcd", "testStart", "Earphone was plugged - so it can't do");
            EarPhoneFail();
            return;
        }
        this.mAudioPlayer.setEnable(true);
        this.mAudioPlayer.mModuleAudio.setMicPath(10);
        this.mAudioPlayer.setPath(audio_path[0]);
        this.mAudioPlayer.setVolume(MicParallelTest.mVolume[0]);
        MicParallelTest.AudioPlayer audioPlayer = this.mAudioPlayer;
        audioPlayer.playSound("/system/factory/testmedia/" + MicParallelTest.mSoundFile[0]);
        int[] iArr = audio_path;
        if (iArr.length <= 1) {
            FtUtil.log_d("UIEchoParallelTestWithNoLcd", "testStart", "mSeparatePath : " + mSeparatePath);
            MicParallelTest.mReadingRecorder = true;
            FtUtil.log_d("UIEchoParallelTestWithNoLcd", "testStart", "mReadingRecorder : " + MicParallelTest.mReadingRecorder);
            this.mAudioRecording.startRecording();
        } else if (iArr.length == mMicCnt) {
            mSeparatePath = true;
            MicParallelTest.mTestingMicNum = 0;
            MicParallelTest.mReadingRecorder = true;
            FtUtil.log_d("UIEchoParallelTestWithNoLcd", "testStart", "mReadingRecorder : " + MicParallelTest.mReadingRecorder);
            this.mAudioRecording.startRecordingSingle();
        }
        getRecordingData();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void testStop() {
        FtUtil.log_d("UIEchoParallelTestWithNoLcd", "testStop", "");
        mIsReading = false;
        if (this.mThread != null) {
            try {
                Thread.sleep(100);
                FtUtil.log_d("UIEchoParallelTestWithNoLcd", "waiting to terminate mThread...", null);
            } catch (Exception e) {
                e.printStackTrace();
            }
            this.mThread.interrupt();
        }
        this.mThread = null;
        MicParallelTest.AudioRecording.audioRecording_activated = false;
        MicParallelTest.AudioRecording audioRecording = this.mAudioRecording;
        if (audioRecording != null && audioRecording.stopRecording()) {
            this.mAudioRecording = null;
        }
        this.mAudioPlayer.stopSound();
        this.mAudioPlayer.setPath(4);
        if (!checkResult()) {
            this.mRetestButton.setEnabled(true);
        }
    }

    private void getRecordingData() {
        FtUtil.log_d("UIEchoParallelTestWithNoLcd", "getRecordingData", "");
        Thread thread = new Thread(new Runnable() {
            /* class com.sec.factory.app.ui.UIEchoParallelTestWithNoLcd.AnonymousClass4 */

            public void run() {
                while (UIEchoParallelTestWithNoLcd.mIsReading) {
                    MicParallelTest.AudioRecording audioRecording = UIEchoParallelTestWithNoLcd.this.mAudioRecording;
                    if (MicParallelTest.AudioRecording.audioRecording_activated) {
                        if (UIEchoParallelTestWithNoLcd.mSeparatePath) {
                            UIEchoParallelTestWithNoLcd uIEchoParallelTestWithNoLcd = UIEchoParallelTestWithNoLcd.this;
                            MicParallelTest micParallelTest = uIEchoParallelTestWithNoLcd.mMicParallelTest;
                            uIEchoParallelTestWithNoLcd.updateSingle(MicParallelTest.mResultData);
                        } else {
                            UIEchoParallelTestWithNoLcd uIEchoParallelTestWithNoLcd2 = UIEchoParallelTestWithNoLcd.this;
                            MicParallelTest micParallelTest2 = uIEchoParallelTestWithNoLcd2.mMicParallelTest;
                            uIEchoParallelTestWithNoLcd2.updateAll(MicParallelTest.mResultData);
                        }
                    }
                    try {
                        Thread.sleep(50);
                    } catch (InterruptedException ie) {
                        FtUtil.log_e(ie);
                    }
                }
            }
        });
        this.mThread = thread;
        thread.start();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void updateAll(short[][][] frmsArr) {
        FtUtil.log_d("UIEchoParallelTestWithNoLcd", "updateAll", null);
        boolean checkResult = true;
        if (this.mTestItemInfo.length > 0) {
            for (int meacureCnt = 0; meacureCnt < MicParallelTest.mTotalCount; meacureCnt++) {
                for (int testinfoCnt = 0; testinfoCnt < this.mTestItemInfo.length; testinfoCnt++) {
                    for (int caseCnt = 0; caseCnt < MicParallelTest.mMeasureCase.length; caseCnt++) {
                        short s = frmsArr[meacureCnt][testinfoCnt][caseCnt];
                        if (s == EMPTY_DATA || frmsArr[meacureCnt][testinfoCnt][6] != 1) {
                            checkResult = false;
                        } else if (!this.mTestItemInfo[testinfoCnt].addMeasure(meacureCnt, caseCnt, s)) {
                            checkResult = false;
                        }
                    }
                }
            }
            if (checkResult) {
                this.mHandler.sendEmptyMessageDelayed(3, 10);
                if (checkResult()) {
                    String itemName_RequestCode = FactoryTestManager.getItemName_RequestCode(FactoryTestManager.TEST_ECHO_PARALLEL);
                    FtUtil.log_d("UIEchoParallelTestWithNoLcd", "updateAll", FtUtil.setMspSeqMessage(1, itemName_RequestCode, "PASS   (" + this.mStrResultLog.toString() + ")"));
                    this.mMicParallelTest.createResultDataFile(true, "15MicEchoParallelData", FactoryTestManager.TEST_ECHO_PARALLEL);
                    setResult(-1);
                    this.mHandler.sendEmptyMessageDelayed(4, 10);
                    return;
                }
                String itemName_RequestCode2 = FactoryTestManager.getItemName_RequestCode(FactoryTestManager.TEST_ECHO_PARALLEL);
                FtUtil.log_d("UIEchoParallelTestWithNoLcd", "updateAll", FtUtil.setMspSeqMessage(1, itemName_RequestCode2, "FAIL   (" + this.mStrResultLog.toString() + ")"));
                this.mMicParallelTest.createResultDataFile(false, "15MicEchoParallelData", FactoryTestManager.TEST_ECHO_PARALLEL);
                this.mHandler.sendEmptyMessageDelayed(2, 10);
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void updateSingle(short[][][] frmsArr) {
        if (this.mTestItemInfo.length > 0) {
            for (int meacureCnt = 0; meacureCnt < MicParallelTest.mTotalCount; meacureCnt++) {
                for (int caseCnt = 0; caseCnt < MicParallelTest.mMeasureCase.length; caseCnt++) {
                    short s = frmsArr[meacureCnt][MicParallelTest.mTestingMicNum][caseCnt];
                    if (s != EMPTY_DATA && frmsArr[meacureCnt][MicParallelTest.mTestingMicNum][6] == 1) {
                        this.mTestItemInfo[MicParallelTest.mTestingMicNum].addMeasure(meacureCnt, caseCnt, s);
                    }
                }
            }
            if (this.mTestItemInfo[MicParallelTest.mTestingMicNum].mIsTestComplete && MicParallelTest.mTestingMicNum + 1 < mMicCnt) {
                this.mAudioPlayer.stopSound();
                this.mAudioPlayer.setPath(audio_path[MicParallelTest.mTestingMicNum + 1]);
                if (MicParallelTest.mVolume.length > 1) {
                    this.mAudioPlayer.setVolume(MicParallelTest.mVolume[MicParallelTest.mTestingMicNum + 1]);
                    this.mAudioPlayer.playSound("/system/factory/testmedia/" + MicParallelTest.mSoundFile[MicParallelTest.mTestingMicNum + 1]);
                }
                FtUtil.log_d("UIEchoParallelTestWithNoLcd", "updateSingle", "mTestingMicNum : " + MicParallelTest.mTestingMicNum + " - End");
                try {
                    Thread.sleep(100);
                } catch (Exception e) {
                    e.printStackTrace();
                }
                MicParallelTest.mTestingMicNum++;
                MicParallelTest.mReadingRecorder = true;
                FtUtil.log_d("UIEchoParallelTestWithNoLcd", "updateSingle", "mReadingRecorder : " + MicParallelTest.mReadingRecorder);
            }
            if (checkComplete()) {
                this.mHandler.sendEmptyMessageDelayed(3, 10);
                if (checkResult()) {
                    FtUtil.log_d("UIEchoParallelTestWithNoLcd", "updateSingle", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(FactoryTestManager.TEST_ECHO_PARALLEL), "PASS   (" + this.mStrResultLog.toString() + ")"));
                    this.mMicParallelTest.createResultDataFile(true, "15MicEchoParallelData", FactoryTestManager.TEST_ECHO_PARALLEL);
                    setResult(-1);
                    this.mHandler.sendEmptyMessageDelayed(4, 10);
                    return;
                }
                FtUtil.log_d("UIEchoParallelTestWithNoLcd", "updateSingle", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(FactoryTestManager.TEST_ECHO_PARALLEL), "FAIL   (" + this.mStrResultLog.toString() + ")"));
                this.mMicParallelTest.createResultDataFile(false, "15MicEchoParallelData", FactoryTestManager.TEST_ECHO_PARALLEL);
                this.mHandler.sendEmptyMessageDelayed(2, 10);
            }
        }
    }

    private boolean checkComplete() {
        boolean result = true;
        int i = 0;
        while (true) {
            TestInfo[] testInfoArr = this.mTestItemInfo;
            if (i < testInfoArr.length) {
                if (!testInfoArr[i].mIsSupport || !this.mTestItemInfo[i].mIsTestComplete) {
                    result = false;
                }
                i++;
            } else {
                FtUtil.log_d("UIEchoParallelTestWithNoLcd", "checkComplete", "Finish Test : " + result);
                return result;
            }
        }
    }

    private boolean checkResult() {
        StringBuffer stringBuffer = this.mStrResultLog;
        stringBuffer.delete(0, stringBuffer.length());
        boolean result = true;
        String prefix = "";
        for (int i = 0; i < this.mTestItemInfo.length; i++) {
            FtUtil.log_d("UIEchoParallelTestWithNoLcd", "checkResult", "checkResult i= " + i + " , mIsTestPass = " + this.mTestItemInfo[i].mIsTestPass);
            int micNum = i + 1;
            this.mStrResultLog.append(prefix);
            prefix = " / ";
            if (!this.mTestItemInfo[i].mIsSupport || !this.mTestItemInfo[i].mIsTestComplete || !this.mTestItemInfo[i].mIsTestPass) {
                result = false;
                StringBuffer stringBuffer2 = this.mStrResultLog;
                stringBuffer2.append("MIC" + micNum + " : FAIL(spec out)");
            } else {
                StringBuffer stringBuffer3 = this.mStrResultLog;
                stringBuffer3.append("MIC" + micNum + " : PASS");
            }
        }
        FtUtil.log_d("UIEchoParallelTestWithNoLcd", "checkResult", "result: " + result);
        return result;
    }

    private void EarPhoneFail() {
        AlertDialog.Builder builder = new AlertDialog.Builder(this);
        builder.setTitle("Earphone Fail");
        builder.setMessage("Do not plug earphone to device. Please unplug earphone.");
        DialogInterface.OnDismissListener pl = new EmptyListener();
        AlertDialog ad = builder.create();
        ad.setOnDismissListener(pl);
        ad.show();
        if (mCmdTestMode) {
            this.mHandler.sendEmptyMessageDelayed(2, 10);
        }
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.exit_button:
                FtUtil.log_d("UIEchoParallelTestWithNoLcd", "onClick", "exit_button");
                this.mRetestButton.setEnabled(false);
                testStop();
                finish();
                return;
            case R.id.retest_button:
                FtUtil.log_d("UIEchoParallelTestWithNoLcd", "onClick", "retest_button");
                this.mRetestButton.setEnabled(false);
                testStop();
                int i = 0;
                while (true) {
                    TestInfo[] testInfoArr = this.mTestItemInfo;
                    if (i < testInfoArr.length) {
                        testInfoArr[i].result.setText("");
                        i++;
                    } else {
                        setTestItemInfo(this.TEST_ID);
                        initUI();
                        MicParallelTest.mCurrentCnt = 0;
                        if (mIscheckingJig) {
                            this.mShowSensorLog = true;
                            this.mTimerHandler.sendEmptyMessageDelayed(1, 500);
                            return;
                        }
                        testStart();
                        return;
                    }
                }
            default:
                return;
        }
    }

    @Override // com.sec.factory.sensors.SensorListener
    public void onSensorValueReceived(int mSensor, String value) {
        if (this.mShowSensorLog) {
            FtUtil.log_d("UIEchoParallelTestWithNoLcd", "onSensorValueReceived", value);
        }
        switch (mSensor) {
            case 1:
                if (this.mShowSensorLog) {
                    FtUtil.log_d("UIEchoParallelTestWithNoLcd", "onSensorValueReceived", "ID_MANAGER_PROXIMITY : " + value);
                }
                this.mProximitySensorMgrValue = value;
                return;
            default:
                return;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean checkJigCover() {
        if (MicParallelTest.mJigCheckType == 1) {
            return checkHallWorking();
        }
        if (MicParallelTest.mJigCheckType == 2) {
            return checkProxWorking();
        }
        return false;
    }

    private boolean checkHallWorking() {
        FtUtil.log_d("UIEchoParallelTestWithNoLcd", "checkHallWorking", "");
        if (ModuleDevice.HallIC.getHallICState() != ModuleDevice.HallIC.FOLDER_STATE_CLOSE) {
            return false;
        }
        FtUtil.log_i("UIEchoParallelTestWithNoLcd", "checkHallWorking", "checkResult = " + true);
        return true;
    }

    private boolean checkProxWorking() {
        FtUtil.log_d("UIEchoParallelTestWithNoLcd", "checkProxWorking", "");
        if (!this.PROXIMITY_DETECT.equals(this.mProximitySensorMgrValue)) {
            return false;
        }
        FtUtil.log_i("UIEchoParallelTestWithNoLcd", "checkProxWorking", "checkResult = " + true);
        return true;
    }

    public class TestInfo {
        private static final String CLASS_NAME = "MicParallelTest.TestInfo";
        public int SUCCESS_DATA_COUNT = 2;
        public TextView blank;
        public TextView[] caseSpec = new TextView[6];
        public TextView[] caseTitle = new TextView[6];
        public Context mContext;
        public boolean mIsSupport = false;
        public boolean mIsTestComplete = false;
        public boolean mIsTestPass = false;
        public int[] mSpecInCount = {0, 0, 0, 0, 0, 0};
        public int[][] mSpecMinMax;
        private String mTag = "MIC";
        public TextView meas;
        public TextView[][] measure = ((TextView[][]) Array.newInstance(TextView.class, 3, 6));
        public TextView[] measureCnt = new TextView[3];
        public TextView result;
        public TextView spec;
        public TextView title;

        public TestInfo(Context context) {
            this.mContext = context;
            this.mSpecMinMax = (int[][]) Array.newInstance(int.class, 6, 2);
        }

        public void setTag(String tag) {
            this.mTag = tag;
        }

        public boolean addMeasure(int measureCnt2, int measureCase, int data) {
            if (this.mIsTestComplete) {
                FtUtil.log_d(CLASS_NAME, "addMeasure", "mIsTestComplete true, mTag: " + this.mTag);
                return true;
            }
            MicParallelTest micParallelTest = UIEchoParallelTestWithNoLcd.this.mMicParallelTest;
            if (data == -32768) {
                FtUtil.log_d(CLASS_NAME, "addMeasure", "skip rms empty data mTag: " + this.mTag);
                return false;
            }
            MicParallelTest micParallelTest2 = UIEchoParallelTestWithNoLcd.this.mMicParallelTest;
            int validCnt = measureCnt2 - MicParallelTest.mSkipCount;
            MicParallelTest micParallelTest3 = UIEchoParallelTestWithNoLcd.this.mMicParallelTest;
            if (measureCnt2 >= MicParallelTest.mSkipCount && "".equalsIgnoreCase(this.measure[validCnt][measureCase].getText().toString())) {
                TextView textView = this.measure[validCnt][measureCase];
                textView.setText(data + "");
                int i = this.mSpecMinMax[measureCase][0];
                MicParallelTest micParallelTest4 = UIEchoParallelTestWithNoLcd.this.mMicParallelTest;
                if (i != -99) {
                    int i2 = this.mSpecMinMax[measureCase][1];
                    MicParallelTest micParallelTest5 = UIEchoParallelTestWithNoLcd.this.mMicParallelTest;
                    if (i2 != -99) {
                        int[][] iArr = this.mSpecMinMax;
                        if (data >= iArr[measureCase][0] && data <= iArr[measureCase][1]) {
                            int[] iArr2 = this.mSpecInCount;
                            iArr2[measureCase] = iArr2[measureCase] + 1;
                        }
                        StringBuilder sb = new StringBuilder();
                        sb.append("measure data: ");
                        sb.append(this.mTag);
                        sb.append(" measureCnt : ");
                        MicParallelTest micParallelTest6 = UIEchoParallelTestWithNoLcd.this.mMicParallelTest;
                        sb.append(MicParallelTest.mCurrentCnt);
                        sb.append(" / validCnt : ");
                        sb.append(validCnt);
                        sb.append(" / case : ");
                        sb.append(measureCase);
                        sb.append(" / data : ");
                        sb.append(data);
                        sb.append(" / spec : ");
                        sb.append(this.mSpecMinMax[measureCase][0]);
                        sb.append("~");
                        sb.append(this.mSpecMinMax[measureCase][1]);
                        sb.append("/ mSpecInCount : ");
                        sb.append(this.mSpecInCount[measureCase]);
                        FtUtil.log_d(CLASS_NAME, "addMeasure", sb.toString());
                    }
                }
                this.mSpecInCount[measureCase] = this.SUCCESS_DATA_COUNT;
                StringBuilder sb2 = new StringBuilder();
                sb2.append("measure data: ");
                sb2.append(this.mTag);
                sb2.append(" measureCnt : ");
                MicParallelTest micParallelTest62 = UIEchoParallelTestWithNoLcd.this.mMicParallelTest;
                sb2.append(MicParallelTest.mCurrentCnt);
                sb2.append(" / validCnt : ");
                sb2.append(validCnt);
                sb2.append(" / case : ");
                sb2.append(measureCase);
                sb2.append(" / data : ");
                sb2.append(data);
                sb2.append(" / spec : ");
                sb2.append(this.mSpecMinMax[measureCase][0]);
                sb2.append("~");
                sb2.append(this.mSpecMinMax[measureCase][1]);
                sb2.append("/ mSpecInCount : ");
                sb2.append(this.mSpecInCount[measureCase]);
                FtUtil.log_d(CLASS_NAME, "addMeasure", sb2.toString());
            }
            int i3 = validCnt + 1;
            MicParallelTest micParallelTest7 = UIEchoParallelTestWithNoLcd.this.mMicParallelTest;
            if (i3 == MicParallelTest.mMeasureCount) {
                int i4 = measureCase + 1;
                MicParallelTest micParallelTest8 = UIEchoParallelTestWithNoLcd.this.mMicParallelTest;
                if (i4 == MicParallelTest.mMeasureCase.length) {
                    UIEchoParallelTestWithNoLcd.this.runOnUiThread(new Runnable() {
                        /* class com.sec.factory.app.ui.UIEchoParallelTestWithNoLcd.TestInfo.AnonymousClass1 */

                        public void run() {
                            boolean allCaseSpecIn = true;
                            int i = 0;
                            while (true) {
                                MicParallelTest micParallelTest = UIEchoParallelTestWithNoLcd.this.mMicParallelTest;
                                if (i >= MicParallelTest.mMeasureCase.length) {
                                    break;
                                }
                                FtUtil.log_d(TestInfo.CLASS_NAME, "addMeasure", "mSpecInCount[" + i + "] : " + TestInfo.this.mSpecInCount[i]);
                                if (TestInfo.this.mSpecInCount[i] < TestInfo.this.SUCCESS_DATA_COUNT) {
                                    allCaseSpecIn = false;
                                    break;
                                }
                                i++;
                            }
                            if (allCaseSpecIn) {
                                TestInfo.this.mIsTestPass = true;
                                TestInfo.this.result.setText("PASS");
                                String itemName_RequestCode = FactoryTestManager.getItemName_RequestCode(FactoryTestManager.TEST_ECHO_PARALLEL);
                                FtUtil.log_d(TestInfo.CLASS_NAME, "addMeasure", FtUtil.setMspSeqMessage(1, itemName_RequestCode, TestInfo.this.mTag + " : PASS"));
                            } else {
                                TestInfo.this.mIsTestPass = false;
                                TestInfo.this.result.setText("FAIL");
                                String itemName_RequestCode2 = FactoryTestManager.getItemName_RequestCode(FactoryTestManager.TEST_ECHO_PARALLEL);
                                FtUtil.log_d(TestInfo.CLASS_NAME, "addMeasure", FtUtil.setMspSeqMessage(1, itemName_RequestCode2, TestInfo.this.mTag + " : FAIL spec out"));
                            }
                            TestInfo.this.mIsTestComplete = true;
                            int i2 = 0;
                            while (true) {
                                MicParallelTest micParallelTest2 = UIEchoParallelTestWithNoLcd.this.mMicParallelTest;
                                if (i2 >= MicParallelTest.mMeasureCase.length) {
                                    break;
                                }
                                TestInfo.this.mSpecInCount[i2] = 0;
                                i2++;
                            }
                            TestInfo.this.result.setTextColor(TestInfo.this.mIsTestPass ? UiHallICTest.FONT_COLOR_PASS : -65536);
                        }
                    });
                    return true;
                }
            }
            return false;
        }
    }

    public class EmptyListener implements DialogInterface.OnDismissListener {
        public EmptyListener() {
        }

        public void onDismiss(DialogInterface dialog) {
            UIEchoParallelTestWithNoLcd.this.finish();
        }
    }
}
