package com.sec.factory.app.ui;

import android.app.AlertDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.media.AudioManager;
import android.media.AudioRecord;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.provider.Settings;
import android.view.KeyEvent;
import android.view.View;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.ModuleAudio;
import com.sec.factory.modules.ModuleCommunicationService;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.sensors.SensorLight;
import com.sec.factory.sensors.SensorListener;
import com.sec.factory.sensors.SensorProximity;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.FileReader;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Iterator;
import sec.audio.solution.FactoryRMS;

public class UIEchoTest extends UIBase implements View.OnClickListener, SensorListener {
    private static final String BASELUX = "20";
    protected static final int CHECK_JIG_STATE = 1;
    public static final int TEST_FINISH = 4;
    private static final int TEST_ID_IDLE_SHORTCUT_MIC2_ONLY = -1;
    public static final int UPDATE_RMS = 0;
    public static final int UPDATE_RMS_FOR_3MIC = 1;
    public static final int UPDATE_RMS_FOR_4MIC = 2;
    public static final int[] audio_path = {0, 1, 0, 0};
    public static final int[] volume = {80, 100, 80, 80};
    private String CheckMode;
    private String DataDestpath = "/data/log";
    private String MicEchoFilePath = "/data/log/15MicEchoData.txt";
    public int MicTestCase = 0;
    private String PROXIMITY_DETECT = "0.0";
    private AudioPlayer mAudioPlayer;
    private AudioRecording mAudioRecording;
    private boolean mCmdTestMode = false;
    public int mDropCount = 1;
    Button mExitButton;
    FactoryRMS mFactoryRMS;
    public Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UIEchoTest.AnonymousClass1 */

        public void handleMessage(Message msg) {
            if (UIEchoTest.this.isFinishing()) {
                FtUtil.log_e(UIEchoTest.this.CLASS_NAME, "mHandler.handleMessage", "Already finished UIEchoTest!");
            } else if (msg.what == 0) {
                String str = UIEchoTest.this.CLASS_NAME;
                FtUtil.log_d(str, "mHandler.handleMessage", "UPDATE_RMS,msg.arg1=" + msg.arg1 + ", msg.arg2=" + msg.arg2);
                UIEchoTest.this.update(new int[]{msg.arg1, msg.arg2});
            } else if (msg.what == 1) {
                String str2 = UIEchoTest.this.CLASS_NAME;
                FtUtil.log_d(str2, "mHandler.handleMessage", "UPDATE_RMS, msg.arg1=" + msg.arg1 + ", msg.arg2=" + msg.arg2 + ", msg.obj=" + msg.obj);
                UIEchoTest.this.update(new int[]{msg.arg1, msg.arg2, ((Integer) msg.obj).intValue()});
            } else if (msg.what == 2) {
                int[] rms = {msg.arg1, msg.arg2, msg.arg1, msg.arg2};
                for (int i = 0; i < UIEchoTest.this.MicTestCase; i++) {
                    if (i != UIEchoTest.this.mTestStep) {
                        rms[i] = TestInfo.EMPTY_DATA;
                    }
                }
                String str3 = UIEchoTest.this.CLASS_NAME;
                FtUtil.log_d(str3, "mHandler.handleMessage", "UPDATE_RMS, rms[0]=" + rms[0] + ", rms[1]=" + rms[1] + ", rms[2]=" + rms[2] + ", rms[3]=" + rms[3]);
                UIEchoTest.this.update(rms);
            } else if (msg.what == 4) {
                UIEchoTest.this.finish();
            }
        }
    };
    InputMicSelector mInputMicSelector;
    private boolean mIscheckingJig = false;
    private String mJigCheckCase = "";
    private AlertDialog mJigCheckDialog;
    private String mLightSensorMgrValue = "200";
    private String mProximitySensorMgrValue = "5.0";
    Button mRetestButton;
    private SensorLight mSensorLight;
    private SensorProximity mSensorProximity;
    private boolean mShowSensorLog = false;
    TestInfo[] mTestItemInfo;
    public int mTestStep = -1;
    protected Handler mTimerHandler = new Handler() {
        /* class com.sec.factory.app.ui.UIEchoTest.AnonymousClass4 */

        public void handleMessage(Message msg) {
            switch (msg.what) {
                case 1:
                    FtUtil.log_i(UIEchoTest.this.CLASS_NAME, "handleMessage", "CHECK_JIG_STATE");
                    if (!UIEchoTest.this.checkJigCover()) {
                        UIEchoTest.this.mTimerHandler.sendEmptyMessageDelayed(1, 500);
                        return;
                    } else if (UIEchoTest.this.mJigCheckDialog != null) {
                        UIEchoTest.this.mShowSensorLog = false;
                        UIEchoTest.this.mJigCheckDialog.dismiss();
                        return;
                    } else {
                        return;
                    }
                default:
                    return;
            }
        }
    };

    public static class TestInfo {
        private static final String CLASS_NAME = "UIEchoTest.TestInfo";
        public static int EMPTY_DATA = Integer.MIN_VALUE;
        public static int MEASURE_MAX_COUNT = 15;
        public static boolean MEASURE_STOP_IN_CASE_SPECIN = true;
        public static int SUCCESS_DATA_COUNT = 3;
        public static boolean SWAP_RMS_LEFT_RIGHT = false;
        public static boolean TESTCASE_MIC_SEQUENTIAL = false;
        public Context mContext;
        public boolean mIsSupport = false;
        public boolean mIsTestComplete = false;
        public boolean mIsTestPass = false;
        private final ArrayList<Integer> mMeasuredData = new ArrayList<>();
        public int mSpecInCount = 0;
        public int mSpecMAX;
        public int mSpecMIN;
        private String mTag = "MIC";
        TextView meas;
        TextView result;
        TextView spec;
        TextView title;

        TestInfo(Context context) {
            this.mContext = context;
        }

        public void setTag(String tag) {
            this.mTag = tag;
        }

        public boolean addMeasure(int data) {
            if (this.mIsTestComplete) {
                FtUtil.log_d(CLASS_NAME, "addMeasure", "mIsTestComplete true, mTag: " + this.mTag);
                return true;
            } else if (data == EMPTY_DATA) {
                FtUtil.log_d(CLASS_NAME, "addMeasure", "skip rms empty data mTag: " + this.mTag);
                return false;
            } else {
                FtUtil.log_i(CLASS_NAME, "addMeasure", "Initial Data: " + data);
                this.mMeasuredData.add(Integer.valueOf(data));
                String str = this.mMeasuredData.toString();
                String str2 = str.substring(1, str.length() - 1);
                this.meas.setText(this.mContext.getResources().getString(R.string.echo_test_meas) + "\n" + str2);
                FtUtil.log_i(CLASS_NAME, "addMeasure", "mSpecMIN: " + this.mSpecMIN + ", mSpecMAX: " + this.mSpecMAX);
                FtUtil.log_i(CLASS_NAME, "addMeasure", "data: " + data + ", str: " + str2);
                if (data >= this.mSpecMIN && data <= this.mSpecMAX) {
                    this.mSpecInCount++;
                }
                boolean z = MEASURE_STOP_IN_CASE_SPECIN;
                int i = UiHallICTest.FONT_COLOR_PASS;
                if (z && this.mSpecInCount >= SUCCESS_DATA_COUNT) {
                    this.mIsTestPass = true;
                    this.mIsTestComplete = true;
                    this.result.setText("PASS");
                    TextView textView = this.result;
                    if (!this.mIsTestPass) {
                        i = -65536;
                    }
                    textView.setTextColor(i);
                    return true;
                } else if (this.mMeasuredData.size() < MEASURE_MAX_COUNT) {
                    return false;
                } else {
                    if (this.mSpecInCount >= SUCCESS_DATA_COUNT) {
                        this.mIsTestPass = true;
                        this.result.setText("PASS");
                    } else {
                        this.mIsTestPass = false;
                        this.result.setText("FAIL");
                        FtUtil.log_d(CLASS_NAME, "onClick", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(95), "Fail spec out"));
                    }
                    this.mIsTestComplete = true;
                    TextView textView2 = this.result;
                    if (!this.mIsTestPass) {
                        i = -65536;
                    }
                    textView2.setTextColor(i);
                    return true;
                }
            }
        }

        public ArrayList<Integer> getMeasuredData() {
            return this.mMeasuredData;
        }

        public static void printCondition() {
            FtUtil.log_d(CLASS_NAME, "printCondition", "MEASURE_MAX_COUNT: " + MEASURE_MAX_COUNT);
            FtUtil.log_d(CLASS_NAME, "printCondition", "SUCCESS_DATA_COUNT: " + SUCCESS_DATA_COUNT);
            FtUtil.log_d(CLASS_NAME, "printCondition", "MEASURE_STOP_IN_CASE_SPECIN: " + MEASURE_STOP_IN_CASE_SPECIN);
            FtUtil.log_d(CLASS_NAME, "printCondition", "TESTCASE_MIC_SEQUENTIAL: " + TESTCASE_MIC_SEQUENTIAL);
            FtUtil.log_d(CLASS_NAME, "printCondition", "SWAP_RMS_LEFT_RIGHT: " + SWAP_RMS_LEFT_RIGHT);
        }
    }

    public UIEchoTest() {
        super("UIEchoTest");
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        this.mAudioPlayer = new AudioPlayer(this);
        this.mFactoryRMS = new FactoryRMS();
        this.TEST_ID = getIntent().getIntExtra("mTestId", -1);
        this.mCmdTestMode = getIntent().getBooleanExtra("mIsAtCmd", false);
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "onCreate", "TEST_ID: " + this.TEST_ID);
        String str2 = this.CLASS_NAME;
        FtUtil.log_d(str2, "onCreate", "mCmdTestMode : " + this.mCmdTestMode);
        setTestFeature(this.TEST_ID);
        setContentView(R.layout.ui_echo_test);
        setTestItemInfo(this.TEST_ID);
        if (!this.mCmdTestMode) {
            String jigCheck = getJigCheck();
            this.mJigCheckCase = jigCheck;
            if (jigCheck == null || jigCheck == "") {
                String str3 = this.CLASS_NAME;
                FtUtil.log_d(str3, "onCreate", "mJigCheckCase : " + this.mJigCheckCase);
            } else {
                this.CheckMode = jigCheck;
            }
        }
        if (this.mIscheckingJig) {
            if ("PROX".equals(this.CheckMode)) {
                this.mSensorProximity = new SensorProximity(this);
            } else if ("LIGHT".equals(this.CheckMode)) {
                this.mSensorLight = new SensorLight(this);
            } else if ("VOLUME_UP".equals(this.CheckMode)) {
                FtUtil.setSystemKeyBlock(getComponentName(), 24);
                FtUtil.setSystemKeyBlock(getComponentName(), 25);
            }
        }
        initUI(this.TEST_ID);
        SetUIRate();
        getVolume();
        getPath();
    }

    public String getJigCheck() {
        String testcase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML(this.TEST_ID));
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "getSpecTarget", "testcase : " + testcase);
        if (testcase.contains("JIGCHECK")) {
            String testcase2 = testcase.substring(testcase.indexOf("JIGCHECK(") + "JIGCHECK(".length());
            String strType = testcase2.substring(0, testcase2.indexOf(")"));
            String str2 = this.CLASS_NAME;
            FtUtil.log_d(str2, "getJigCheck", "mJigCheckType :  " + strType);
            if ("HALLIC".equalsIgnoreCase(strType)) {
                this.mIscheckingJig = true;
                return "HALL IC";
            } else if ("PROX".equalsIgnoreCase(strType)) {
                this.mIscheckingJig = true;
                return "PROX";
            } else if ("VOLUP".equalsIgnoreCase(strType)) {
                this.mIscheckingJig = true;
                return "VOLUME_UP";
            } else {
                String str3 = this.CLASS_NAME;
                FtUtil.log_d(str3, "getJigCheck", "mJigCheckType :  " + strType + ", type String wrong");
                return null;
            }
        } else {
            boolean z = Support.Feature.getBoolean(Support.Feature.SUPPORT_ECHO_TEST_JIG_CHECK);
            this.mIscheckingJig = z;
            if (!z) {
                return null;
            }
            String prox_light_test = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML((byte) 17));
            if (Support.TestCase.getEnabled(Support.TestCase.HALL_IC_TEST) && !Support.Feature.getBoolean(Support.Feature.SUPPORT_ECHO_TEST_JIG_CHECK_PROX)) {
                return "HALL IC";
            }
            if (prox_light_test != null && prox_light_test.contains("PROX")) {
                return "PROX";
            }
            if (prox_light_test == null || !prox_light_test.contains("LIGHT")) {
                return "VOLUME_UP";
            }
            return "LIGHT";
        }
    }

    /* access modifiers changed from: protected */
    public void getVolume() {
        String testcase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML(this.TEST_ID));
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "getVolume", "testcase : " + testcase);
        if (testcase.contains("VOLUME")) {
            String testcase2 = testcase.substring(testcase.indexOf("VOLUME(") + "VOLUME(".length());
            String[] volumeStr = testcase2.substring(0, testcase2.indexOf(")")).trim().split(",");
            for (int i = 0; i < volumeStr.length; i++) {
                int[] iArr = volume;
                iArr[i] = Integer.parseInt(volumeStr[i]);
                String str2 = this.CLASS_NAME;
                FtUtil.log_d(str2, "getVolume", "volume " + i + ": " + iArr[i]);
            }
        }
    }

    /* access modifiers changed from: protected */
    public void getPath() {
        String testcase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML(this.TEST_ID));
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "getPath", "testcase : " + testcase);
        if (testcase.contains("PATH")) {
            String testcase2 = testcase.substring(testcase.indexOf("PATH(") + "PATH(".length());
            String[] pathStr = testcase2.substring(0, testcase2.indexOf(")")).trim().split(",");
            for (int i = 0; i < pathStr.length; i++) {
                int path = 0;
                if ("RCV".equalsIgnoreCase(pathStr[i])) {
                    path = 1;
                } else if ("SPK1".equalsIgnoreCase(pathStr[i])) {
                    path = 8;
                }
                String textTitle = this.mTestItemInfo[i].title.getText().toString().replace(")", " ");
                if ("SPK".equalsIgnoreCase(pathStr[i])) {
                    TextView textView = this.mTestItemInfo[i].title;
                    textView.setText(textTitle + "  ALL " + pathStr[i] + ")");
                } else {
                    TextView textView2 = this.mTestItemInfo[i].title;
                    textView2.setText(textTitle + "  " + pathStr[i] + ")");
                }
                int[] iArr = audio_path;
                iArr[i] = path;
                String str2 = this.CLASS_NAME;
                FtUtil.log_d(str2, "getPath", "path " + i + ": " + iArr[i]);
            }
        }
        String dropCount = Support.FactoryTestMenu.getCount(this.TEST_ID);
        if (dropCount != null && !"".equals(dropCount)) {
            this.mDropCount = Integer.valueOf(dropCount).intValue();
        }
        String str3 = this.CLASS_NAME;
        FtUtil.log_d(str3, "getPath", "drop count[count] : " + this.mDropCount);
    }

    /* access modifiers changed from: protected */
    public void setTestFeature(int testId) {
        switch (testId) {
            case -1:
                TestInfo.MEASURE_MAX_COUNT = 15;
                TestInfo.SUCCESS_DATA_COUNT = 3;
                TestInfo.MEASURE_STOP_IN_CASE_SPECIN = true;
                this.mAudioPlayer.setEnable(false);
                Settings.System.putInt(getContentResolver(), "accelerometer_rotation", 1);
                setRequestedOrientation(9);
                break;
            case 95:
                TestInfo.MEASURE_MAX_COUNT = 3;
                TestInfo.SUCCESS_DATA_COUNT = 2;
                TestInfo.MEASURE_STOP_IN_CASE_SPECIN = false;
                TestInfo.TESTCASE_MIC_SEQUENTIAL = true;
                this.mAudioPlayer.setEnable(true);
                break;
        }
        TestInfo.SWAP_RMS_LEFT_RIGHT = false;
        if (containsTestCase("SWAP_RMS_LR")) {
            TestInfo.SWAP_RMS_LEFT_RIGHT = true;
        }
        TestInfo.printCondition();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        SensorLight sensorLight;
        super.onPause();
        testStop();
        if ("PROX".equals(this.CheckMode)) {
            SensorProximity sensorProximity = this.mSensorProximity;
            if (sensorProximity != null) {
                sensorProximity.SensorOff();
            }
        } else if ("LIGHT".equals(this.CheckMode) && (sensorLight = this.mSensorLight) != null) {
            sensorLight.SensorOff();
        }
        if (!"VOLUME_UP".equals(this.CheckMode)) {
            this.mTimerHandler.removeMessages(1);
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        if (this.mIscheckingJig) {
            this.mShowSensorLog = true;
            if ("PROX".equals(this.CheckMode)) {
                int[] ProximitySensors = {1};
                SensorProximity sensorProximity = this.mSensorProximity;
                if (sensorProximity != null) {
                    sensorProximity.SensorOn(this, ProximitySensors, 100);
                }
            } else if ("LIGHT".equals(this.CheckMode)) {
                int[] LightSensors = {3};
                SensorLight sensorLight = this.mSensorLight;
                if (sensorLight != null) {
                    sensorLight.SensorOn(this, LightSensors, 100);
                }
            }
            if (!"VOLUME_UP".equals(this.CheckMode)) {
                this.mTimerHandler.sendEmptyMessageDelayed(1, 500);
            }
        }
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        AlertDialog alertDialog = this.mJigCheckDialog;
        if (alertDialog != null && alertDialog.isShowing()) {
            this.mJigCheckDialog.dismiss();
        }
        super.onDestroy();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void setTestResult(byte result) {
        if (!getIntent().getBooleanExtra("nvUpdate", true)) {
            FtUtil.log_d(this.CLASS_NAME, "setTestResult", "nvUpdate false");
        } else {
            super.setTestResult(result);
        }
    }

    public void onWindowFocusChanged(boolean hasFocus) {
        super.onWindowFocusChanged(hasFocus);
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "onWindowFocusChanged", "focused : " + hasFocus);
        if (hasFocus) {
            testStart();
        } else {
            testStop();
        }
    }

    @Override // com.sec.factory.sensors.SensorListener
    public void onSensorValueReceived(int mSensor, String value) {
        if (this.mShowSensorLog) {
            FtUtil.log_d(this.CLASS_NAME, "onSensorValueReceived", value);
        }
        switch (mSensor) {
            case 1:
                if (this.mShowSensorLog) {
                    String str = this.CLASS_NAME;
                    FtUtil.log_d(str, "onSensorValueReceived", "ID_MANAGER_PROXIMITY : " + value);
                }
                this.mProximitySensorMgrValue = value;
                return;
            case 2:
            default:
                return;
            case 3:
                if (this.mShowSensorLog) {
                    String str2 = this.CLASS_NAME;
                    FtUtil.log_d(str2, "onSensorValueReceived", "ID_MANAGER_LIGHT : " + value);
                }
                this.mLightSensorMgrValue = value;
                return;
        }
    }

    private boolean containsTestCase(String param) {
        String testcase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML(this.TEST_ID));
        if (testcase == null || !testcase.toLowerCase().contains(param.toLowerCase())) {
            return false;
        }
        return true;
    }

    private boolean setTestItemInfo(int testId) {
        String specRaw = "0~100";
        switch (testId) {
            case -1:
                specRaw = "10~50";
                break;
            case 95:
                specRaw = Support.FactoryTestMenu.getSpec(FactoryTestManager.convertorID_XML(testId));
                break;
        }
        String[] arraySpec = specRaw != null ? specRaw.split(",") : null;
        if (arraySpec == null) {
            FtUtil.log_e(this.CLASS_NAME, "init", "No Spec data");
            return false;
        }
        SetKindOfTest(arraySpec);
        this.mTestItemInfo = new TestInfo[arraySpec.length];
        for (int i = 0; i < arraySpec.length; i++) {
            this.mTestItemInfo[i] = new TestInfo(this);
            String[] minMaxSpec = arraySpec != null ? arraySpec[i].split("~") : null;
            if (minMaxSpec.length != 2) {
                FtUtil.log_e(this.CLASS_NAME, "init", "Wrong spec");
            } else {
                String str = this.CLASS_NAME;
                FtUtil.log_d(str, "init", "arraySpec " + i + ": " + arraySpec[i]);
                try {
                    this.mTestItemInfo[i].mSpecMIN = Integer.parseInt(minMaxSpec[0]);
                    this.mTestItemInfo[i].mSpecMAX = Integer.parseInt(minMaxSpec[1]);
                } catch (NumberFormatException ne) {
                    this.mTestItemInfo[i].mSpecMIN = -1;
                    this.mTestItemInfo[i].mSpecMAX = -1;
                    FtUtil.log_e(ne);
                }
                this.mTestItemInfo[i].mIsSupport = true;
            }
        }
        return true;
    }

    private void initUI(int testId) {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "initUI", "testId: " + testId);
        switch (testId) {
            case -1:
                ((LinearLayout) findViewById(R.id.mic2)).setVisibility(0);
                this.mTestItemInfo[0].title = (TextView) findViewById(R.id.mic2_title);
                this.mTestItemInfo[0].spec = (TextView) findViewById(R.id.mic2_spec);
                this.mTestItemInfo[0].meas = (TextView) findViewById(R.id.mic2_meas);
                this.mTestItemInfo[0].result = (TextView) findViewById(R.id.mic2_result);
                this.mTestItemInfo[0].setTag("MIC2");
                TextView textView = this.mTestItemInfo[0].spec;
                textView.setText(getResources().getString(R.string.echo_test_spec) + this.mTestItemInfo[0].mSpecMIN + " ~ " + this.mTestItemInfo[0].mSpecMAX);
                break;
            case 95:
                for (int i = 0; i < this.mTestItemInfo.length; i++) {
                    if (i == 0) {
                        ((LinearLayout) findViewById(R.id.mic1)).setVisibility(0);
                        this.mTestItemInfo[i].title = (TextView) findViewById(R.id.mic1_title);
                        this.mTestItemInfo[i].spec = (TextView) findViewById(R.id.mic1_spec);
                        this.mTestItemInfo[i].meas = (TextView) findViewById(R.id.mic1_meas);
                        this.mTestItemInfo[i].result = (TextView) findViewById(R.id.mic1_result);
                        this.mTestItemInfo[i].setTag("MIC1");
                    } else if (i == 1) {
                        ((LinearLayout) findViewById(R.id.mic2)).setVisibility(0);
                        this.mTestItemInfo[i].title = (TextView) findViewById(R.id.mic2_title);
                        this.mTestItemInfo[i].spec = (TextView) findViewById(R.id.mic2_spec);
                        this.mTestItemInfo[i].meas = (TextView) findViewById(R.id.mic2_meas);
                        this.mTestItemInfo[i].result = (TextView) findViewById(R.id.mic2_result);
                        this.mTestItemInfo[i].setTag("MIC2");
                    } else if (i == 2) {
                        ((LinearLayout) findViewById(R.id.mic3)).setVisibility(0);
                        this.mTestItemInfo[i].title = (TextView) findViewById(R.id.mic3_title);
                        this.mTestItemInfo[i].spec = (TextView) findViewById(R.id.mic3_spec);
                        this.mTestItemInfo[i].meas = (TextView) findViewById(R.id.mic3_meas);
                        this.mTestItemInfo[i].result = (TextView) findViewById(R.id.mic3_result);
                        this.mTestItemInfo[i].setTag("MIC3");
                    } else if (i == 3) {
                        ((LinearLayout) findViewById(R.id.mic4)).setVisibility(0);
                        this.mTestItemInfo[i].title = (TextView) findViewById(R.id.mic4_title);
                        this.mTestItemInfo[i].spec = (TextView) findViewById(R.id.mic4_spec);
                        this.mTestItemInfo[i].meas = (TextView) findViewById(R.id.mic4_meas);
                        this.mTestItemInfo[i].result = (TextView) findViewById(R.id.mic4_result);
                        this.mTestItemInfo[i].setTag("MIC4");
                    }
                    TextView textView2 = this.mTestItemInfo[i].spec;
                    textView2.setText(getResources().getString(R.string.echo_test_spec) + this.mTestItemInfo[i].mSpecMIN + " ~ " + this.mTestItemInfo[i].mSpecMAX);
                    this.mTestItemInfo[i].spec.setTextColor(-16777216);
                }
                break;
        }
        Button button = (Button) findViewById(R.id.retest_button);
        this.mRetestButton = button;
        button.setOnClickListener(this);
        Button button2 = (Button) findViewById(R.id.exit_button);
        this.mExitButton = button2;
        button2.setOnClickListener(this);
        if (this.mIscheckingJig) {
            AlertDialog.Builder builder = new AlertDialog.Builder(this, 16973935);
            builder.setTitle("Check Jig Cover");
            if ("VOLUME_UP".equals(this.CheckMode)) {
                builder.setMessage("Please Close Jig Cover and Press Vol Up Key");
            } else {
                builder.setMessage("Please Close Jig Cover");
            }
            builder.setCancelable(false);
            builder.setNegativeButton("Exit", new DialogInterface.OnClickListener() {
                /* class com.sec.factory.app.ui.UIEchoTest.AnonymousClass2 */

                public void onClick(DialogInterface dialog, int id) {
                    UIEchoTest.this.finish();
                    dialog.cancel();
                }
            });
            AlertDialog create = builder.create();
            this.mJigCheckDialog = create;
            create.getWindow().setGravity(17);
            this.mJigCheckDialog.show();
            this.mJigCheckDialog.setOnKeyListener(new DialogInterface.OnKeyListener() {
                /* class com.sec.factory.app.ui.UIEchoTest.AnonymousClass3 */

                public boolean onKey(DialogInterface dialog, int keyCode, KeyEvent event) {
                    if (keyCode != 24 || event.getAction() != 0 || !UIEchoTest.this.mIscheckingJig || !"VOLUME_UP".equals(UIEchoTest.this.CheckMode)) {
                        return true;
                    }
                    FtUtil.log_d(UIEchoTest.this.CLASS_NAME, "onKeyDown", "VL_UP action press");
                    if (UIEchoTest.this.mJigCheckDialog == null || !UIEchoTest.this.mJigCheckDialog.isShowing()) {
                        return true;
                    }
                    UIEchoTest.this.mJigCheckDialog.dismiss();
                    return true;
                }
            });
        }
    }

    private void SetUIRate() {
        float rate = Support.FactoryTestMenu.getUIRate(FactoryTestManager.convertorID_XML(this.TEST_ID));
        if (rate != 0.0f && rate != 1.0f) {
            int i = 0;
            while (true) {
                TestInfo[] testInfoArr = this.mTestItemInfo;
                if (i < testInfoArr.length) {
                    testInfoArr[i].title.setTextSize(0, this.mTestItemInfo[i].title.getTextSize() * rate);
                    this.mTestItemInfo[i].spec.setTextSize(0, this.mTestItemInfo[i].spec.getTextSize() * rate);
                    this.mTestItemInfo[i].meas.setTextSize(0, this.mTestItemInfo[i].meas.getTextSize() * rate);
                    this.mTestItemInfo[i].result.setTextSize(0, this.mTestItemInfo[i].result.getTextSize() * rate);
                    i++;
                } else {
                    return;
                }
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean checkJigCover() {
        if ("HALL IC".equals(this.CheckMode)) {
            return checkHallWorking();
        }
        if ("PROX".equals(this.CheckMode)) {
            return checkProxWorking();
        }
        if ("LIGHT".equals(this.CheckMode)) {
            return checkLightWorking();
        }
        return false;
    }

    private boolean checkHallWorking() {
        FtUtil.log_d(this.CLASS_NAME, "checkHallWorking", "");
        if (ModuleDevice.HallIC.getHallICState() != ModuleDevice.HallIC.FOLDER_STATE_CLOSE) {
            return false;
        }
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "checkHallWorking", "checkResult = " + true);
        return true;
    }

    private boolean checkProxWorking() {
        FtUtil.log_d(this.CLASS_NAME, "checkProxWorking", "");
        if (!this.PROXIMITY_DETECT.equals(this.mProximitySensorMgrValue)) {
            return false;
        }
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "checkProxWorking", "checkResult = " + true);
        return true;
    }

    private boolean checkLightWorking() {
        FtUtil.log_d(this.CLASS_NAME, "checkLightWorking", "");
        if (Float.parseFloat(BASELUX) < Float.parseFloat(this.mLightSensorMgrValue)) {
            return false;
        }
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "checkLightWorking", "checkResult = " + true);
        return true;
    }

    private String readOneLine(String filepath) {
        String result = "";
        BufferedReader buf = null;
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "readOneLine", "filepath: " + filepath);
        try {
            BufferedReader buf2 = new BufferedReader(new FileReader(filepath), 8096);
            result = buf2.readLine();
            if (result != null) {
                result = result.trim();
            }
            try {
                buf2.close();
            } catch (IOException e) {
                e.printStackTrace();
            }
        } catch (IOException e2) {
            e2.printStackTrace();
            if (0 != 0) {
                buf.close();
            }
        } catch (Throwable th) {
            if (0 != 0) {
                try {
                    buf.close();
                } catch (IOException e3) {
                    e3.printStackTrace();
                }
            }
            throw th;
        }
        if (result == null) {
            return "";
        }
        return result;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void update(int[] rms) {
        FtUtil.log_d(this.CLASS_NAME, "update", null);
        boolean checkResult = true;
        if (this.mTestItemInfo.length > 0) {
            int i = 0;
            while (true) {
                TestInfo[] testInfoArr = this.mTestItemInfo;
                if (i >= testInfoArr.length) {
                    break;
                }
                if (!testInfoArr[i].addMeasure(rms[i])) {
                    checkResult = false;
                }
                i++;
            }
            FtUtil.log_d(this.CLASS_NAME, "update", "checkResult : " + checkResult);
            if (checkResult) {
                String strSpec = "SPEC : ";
                String strMeasure = " / RESULT : ";
                for (int i2 = 0; i2 < this.mTestItemInfo.length; i2++) {
                    strSpec = strSpec + "Mic[" + i2 + "]:" + this.mTestItemInfo[i2].mSpecMIN + "~" + this.mTestItemInfo[i2].mSpecMAX + "  ";
                    strMeasure = strMeasure + "Mic[" + i2 + "] : " + this.mTestItemInfo[i2].mMeasuredData.toString() + " ";
                }
                FtUtil.log_d(this.CLASS_NAME, "onClick", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(95), "" + strSpec + "" + strMeasure));
                testStop();
                createLogFile();
            }
            if (checkResult()) {
                setResult(-1);
                switch (this.TEST_ID) {
                    case 95:
                        setTestResult((byte) 80);
                        setResult(-1);
                        this.mHandler.sendEmptyMessageDelayed(4, 1000);
                        return;
                    default:
                        return;
                }
            } else {
                setResult(0);
            }
        }
    }

    private boolean checkResult() {
        boolean result = true;
        int i = 0;
        while (true) {
            TestInfo[] testInfoArr = this.mTestItemInfo;
            if (i < testInfoArr.length) {
                if (!testInfoArr[i].mIsSupport || !this.mTestItemInfo[i].mIsTestComplete || !this.mTestItemInfo[i].mIsTestPass) {
                    result = false;
                }
                i++;
            } else {
                String str = this.CLASS_NAME;
                FtUtil.log_d(str, "checkResult", "result: " + result);
                return result;
            }
        }
    }

    private void testStop() {
        FtUtil.log_d(this.CLASS_NAME, "testStop", "");
        AudioRecording audioRecording = this.mAudioRecording;
        if (audioRecording != null && audioRecording.stopRecording()) {
            this.mAudioRecording = null;
        }
        if (!Support.Feature.getBoolean(Support.Feature.SUPPORT_ECHO_TEST_NOSOUND)) {
            this.mAudioPlayer.stopSound();
            this.mAudioPlayer.setPath(4);
        } else if (Support.Feature.getBoolean(Support.Feature.SUPPORT_ECHO_TEST_NOSOUND_SET_PATH)) {
            this.mAudioPlayer.setPath(4);
        }
        if (!checkResult()) {
            this.mRetestButton.setEnabled(true);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setTestMicPath(InputMicSelector inputMic, int path) {
        if (Support.Feature.getBoolean(Support.Feature.SUPPORT_SEPARATED_RECORD_PATH)) {
            inputMic.setPath(path);
        } else if (this.MicTestCase == 1) {
            inputMic.setPath(0);
        } else {
            inputMic.setPath(3);
        }
        this.mAudioPlayer.mModuleAudio.setMicPath(inputMic.getPath());
    }

    private void testStart() {
        FtUtil.log_d(this.CLASS_NAME, "testStart", "");
        ModuleAudio moduleAudio = ModuleAudio.instance(this);
        try {
            int delayTime = Integer.valueOf(Support.TestCase.getString(Support.TestCase.DELAY_BEFORE_ECHO_TEST)).intValue();
            if (delayTime != 0) {
                String str = this.CLASS_NAME;
                FtUtil.log_d(str, "testStart", "Delay " + delayTime + "ms");
                Thread.sleep((long) delayTime);
                FtUtil.log_d(this.CLASS_NAME, "testStart", "Start test Echo Mic");
            }
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
        if (!moduleAudio.isEarphonePlugged() || this.TEST_ID != 95) {
            this.mRetestButton.setEnabled(false);
            this.mInputMicSelector = new InputMicSelector();
            switch (this.TEST_ID) {
                case -1:
                    this.mAudioRecording = new AudioRecodingMicSelectable(this, this.mHandler).setMicId(1);
                    break;
                case 95:
                    if (!TestInfo.TESTCASE_MIC_SEQUENTIAL) {
                        this.mAudioRecording = new AudioRecording(this, this.mHandler);
                        break;
                    } else {
                        int i = this.MicTestCase;
                        if (i != 3) {
                            if (i != 4) {
                                this.mAudioRecording = new AudioRecordingMic1Mic2Sequentially(this, this.mHandler);
                                break;
                            } else {
                                this.mTestStep = 0;
                                this.mAudioRecording = new AudioRecordingMic1Mic2Mic3Mic4Sequentially(this, this.mHandler);
                                break;
                            }
                        } else {
                            this.mAudioRecording = new AudioRecordingMic1Mic2Mic3Sequentially(this, this.mHandler);
                            break;
                        }
                    }
                default:
                    this.mAudioRecording = new AudioRecording(this, this.mHandler);
                    break;
            }
            this.mAudioRecording.initInputSetting(null);
            ((AudioManager) getSystemService("audio")).setParameters("factory_test_mic_check=on");
            setTestMicPath(this.mInputMicSelector, 0);
            if (!Support.Feature.getBoolean(Support.Feature.SUPPORT_ECHO_TEST_NOSOUND) || Support.Feature.getBoolean(Support.Feature.SUPPORT_ECHO_TEST_NOSOUND_SET_PATH)) {
                this.mAudioPlayer.setPath(audio_path[0]);
                this.mAudioPlayer.setVolumn(volume[0]);
            }
            this.mAudioRecording.startRecording();
            if (!Support.Feature.getBoolean(Support.Feature.SUPPORT_ECHO_TEST_NOSOUND)) {
                this.mAudioPlayer.playSound(R.raw.echo1000hz);
                return;
            }
            return;
        }
        FtUtil.log_d(this.CLASS_NAME, "testStart", "Earphone was plugged - so it can't do");
        EarPhoneFail();
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.exit_button:
                testStop();
                finish();
                return;
            case R.id.retest_button:
                testStop();
                int i = 0;
                while (true) {
                    TestInfo[] testInfoArr = this.mTestItemInfo;
                    if (i < testInfoArr.length) {
                        testInfoArr[i].result.setText("");
                        i++;
                    } else {
                        setTestItemInfo(this.TEST_ID);
                        initUI(this.TEST_ID);
                        if (this.mIscheckingJig) {
                            this.mShowSensorLog = true;
                            this.mTimerHandler.sendEmptyMessageDelayed(1, 500);
                            return;
                        }
                        testStart();
                        return;
                    }
                }
            default:
                return;
        }
    }

    public void SetKindOfTest(String[] arraySpec) {
        switch (arraySpec.length) {
            case 1:
                this.MicTestCase = 1;
                break;
            case 2:
            default:
                this.MicTestCase = 2;
                break;
            case 3:
                this.MicTestCase = 3;
                break;
            case 4:
                this.MicTestCase = 4;
                break;
        }
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "SetKindOfTest", "MicTestCase: " + this.MicTestCase);
    }

    public class AudioRecording {
        protected static final int AUDIO_FORMAT = 2;
        protected static final String AUDIO_PARAMETER_L_VALUE = "L_value=";
        protected static final String AUDIO_PARAMETER_R_VALUE = "R_value=";
        protected static final int CHANNEL_CONFIG = 12;
        protected static final int DURATION_MIC_TEST_ON_OFF = 200;
        protected static final int SAMPLE_RATE = 16000;
        protected String CLASS_NAME = "UIEchoTest.AudioRecording";
        protected int audioSource = 5;
        byte[] buffer = null;
        public int initDataFlag = 0;
        protected AudioManager mAudioManager;
        protected int mBufferSize = 0;
        protected Handler mHandler;
        protected boolean mIsRecording = false;
        protected int mReadBytes = 0;
        protected AudioRecord mRecorder = null;
        public Thread mThread = null;

        AudioRecording(Context context, Handler handler) {
            this.mAudioManager = (AudioManager) context.getSystemService("audio");
            this.mHandler = handler;
        }

        /* access modifiers changed from: protected */
        public boolean initInputSetting(String path) {
            int minBufferSize = AudioRecord.getMinBufferSize(SAMPLE_RATE, 12, 2);
            this.mBufferSize = minBufferSize;
            int i = minBufferSize * 5;
            this.mBufferSize = i;
            this.buffer = new byte[i];
            this.mRecorder = new AudioRecord(this.audioSource, SAMPLE_RATE, 12, 2, this.mBufferSize);
            this.mReadBytes = 0;
            return false;
        }

        /* access modifiers changed from: protected */
        public int getParameter(String keys, String target) {
            FtUtil.log_d(this.CLASS_NAME, "MicTestRecoder.getParameter", "target: " + target);
            if (keys == null || keys.isEmpty() || target == null || target.isEmpty()) {
                return -1;
            }
            String param = ModuleCommunicationService.SMD_NOK;
            if (keys.contains(target)) {
                String[] values = keys.split(";");
                for (String value : values) {
                    if (value.startsWith(target)) {
                        param = value.replaceAll(target, "");
                    }
                }
            }
            FtUtil.log_d(this.CLASS_NAME, "MicTestRecoder.getParameter", "target param: " + param);
            if (param == null) {
                return -1;
            }
            try {
                return Integer.parseInt(param);
            } catch (NumberFormatException ne) {
                FtUtil.log_e(ne);
                return -1;
            }
        }

        public String getRMS() {
            String value = this.mAudioManager.getParameters("rms_value");
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "getRMS", "value: " + value);
            return value;
        }

        public short[] getRMSValue(byte[] data, int size) {
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "getRMS", "data length = " + data.length + ", size = " + size);
            if (UIEchoTest.this.mFactoryRMS == null) {
                FtUtil.log_w(this.CLASS_NAME, "getRMS", "mFactoryRMS is null");
                return null;
            } else if (data == null || size <= 0) {
                FtUtil.log_w(this.CLASS_NAME, "getRMS", "data is null or size is lower than 0");
                return null;
            } else {
                UIEchoTest.this.mFactoryRMS.Calc_RMS_init(size);
                UIEchoTest.this.mFactoryRMS.Calc_RMS_exe(data, size);
                short[] lr = new short[2];
                UIEchoTest.this.mFactoryRMS.Calc_RMS_deinit(lr);
                String str2 = this.CLASS_NAME;
                FtUtil.log_d(str2, "getRMS", "L=" + ((int) lr[0]) + ", R=" + ((int) lr[1]));
                return lr;
            }
        }

        public boolean startRecording() {
            FtUtil.log_d(this.CLASS_NAME, "startRecording", null);
            Thread thread = new Thread(new Runnable() {
                /* class com.sec.factory.app.ui.UIEchoTest.AudioRecording.AnonymousClass1 */

                public void run() {
                    if (AudioRecording.this.mRecorder != null) {
                        AudioRecording.this.mRecorder.startRecording();
                        while (AudioRecording.this.mRecorder != null) {
                            AudioRecording.this.mIsRecording = true;
                            while (AudioRecording.this.mRecorder.getRecordingState() != 3) {
                                FtUtil.log_d(AudioRecording.this.CLASS_NAME, "waiting recording...", null);
                                try {
                                    Thread.sleep(50);
                                } catch (InterruptedException ie) {
                                    FtUtil.log_e(ie);
                                }
                            }
                            try {
                                Thread.sleep(200);
                                AudioRecording audioRecording = AudioRecording.this;
                                audioRecording.mReadBytes = audioRecording.mRecorder.read(AudioRecording.this.buffer, 0, AudioRecording.this.mBufferSize);
                                if (UIEchoTest.this.mAudioPlayer.isPlayingSound() || Support.Feature.getBoolean(Support.Feature.SUPPORT_ECHO_TEST_NOSOUND)) {
                                    FtUtil.log_d(AudioRecording.this.CLASS_NAME, "startRecording", "getting RMS");
                                    AudioRecording audioRecording2 = AudioRecording.this;
                                    short[] lr = audioRecording2.getRMSValue(audioRecording2.buffer, AudioRecording.this.mReadBytes);
                                    short s = lr[0];
                                    short s2 = lr[1];
                                    if (AudioRecording.this.initDataFlag >= UIEchoTest.this.mDropCount) {
                                        if (TestInfo.SWAP_RMS_LEFT_RIGHT) {
                                            FtUtil.log_d(AudioRecording.this.CLASS_NAME, "MicTestRecoder.doInBackground", "SWAP_RMS_LEFT_RIGHT");
                                            s2 = s;
                                            s = s2;
                                        }
                                        AudioRecording.this.updateInternal(s2, s);
                                    } else {
                                        String str = AudioRecording.this.CLASS_NAME;
                                        FtUtil.log_d(str, "MicTestRecoder.doInBackground", "initDataFlag=" + AudioRecording.this.initDataFlag + ", mDropCount=" + UIEchoTest.this.mDropCount);
                                        FtUtil.log_d(AudioRecording.this.CLASS_NAME, "MicTestRecoder.doInBackground", "Initial RMS Value is skipped");
                                        AudioRecording audioRecording3 = AudioRecording.this;
                                        audioRecording3.initDataFlag = audioRecording3.initDataFlag + 1;
                                    }
                                } else {
                                    FtUtil.log_d(AudioRecording.this.CLASS_NAME, "startRecording", "Skip because Audio Player is stopped");
                                }
                                if (AudioRecording.this.mThread.isInterrupted()) {
                                    break;
                                }
                            } catch (InterruptedException ie2) {
                                FtUtil.log_e(ie2);
                            }
                        }
                        if (AudioRecording.this.mRecorder != null) {
                            if (AudioRecording.this.mRecorder.getState() == 3) {
                                AudioRecording.this.mRecorder.stop();
                            }
                            AudioRecording.this.mRecorder.release();
                            AudioRecording.this.mRecorder = null;
                        }
                        AudioRecording.this.mIsRecording = false;
                    }
                }
            });
            this.mThread = thread;
            thread.start();
            FtUtil.log_d(this.CLASS_NAME, "startRecording", "Started");
            return true;
        }

        /* access modifiers changed from: protected */
        public void updateInternal(int rmsR, int rmsL) {
            Handler handler = this.mHandler;
            handler.sendMessage(handler.obtainMessage(0, rmsR, rmsL));
        }

        public boolean stopRecording() {
            FtUtil.log_d(this.CLASS_NAME, "stopRecording", null);
            this.initDataFlag = 0;
            if (this.mThread != null) {
                do {
                    this.mThread.interrupt();
                    try {
                        Thread.sleep(100);
                        FtUtil.log_d(this.CLASS_NAME, "waiting to terminate mThread...", null);
                    } catch (Exception e) {
                        e.printStackTrace();
                    }
                } while (this.mIsRecording);
            }
            FtUtil.log_d(this.CLASS_NAME, "micCheckOnOff", "factory_test_mic_check=off");
            this.mAudioManager.setParameters("factory_test_mic_check=off");
            this.mThread = null;
            FtUtil.log_d(this.CLASS_NAME, "stopRecording", "Done: ");
            return true;
        }
    }

    public static class InputMicSelector {
        public static final int MIC1 = 0;
        public static final int MIC1MIC2 = 3;
        public static final int MIC2 = 1;
        public static final int MIC3 = 4;
        public static final int MIC3MIC4 = 6;
        public static final int MIC4 = 5;
        public static final int UNKNOWN = -1;
        public int mState = -1;

        public boolean setPath(int path) {
            boolean result = this.mState != path;
            this.mState = path;
            return result;
        }

        public int getPath() {
            return this.mState;
        }
    }

    public class AudioRecodingMicSelectable extends AudioRecording {
        private static final int MIC_UNSELECTED = -1;
        private int _micId = -1;

        AudioRecodingMicSelectable(Context context, Handler handler) {
            super(context, handler);
            this.CLASS_NAME = "UIEchoTest.AudioRecodingMicSelectable";
        }

        public AudioRecodingMicSelectable setMicId(int id) {
            this._micId = id;
            return this;
        }

        /* access modifiers changed from: protected */
        @Override // com.sec.factory.app.ui.UIEchoTest.AudioRecording
        public void updateInternal(int mic1, int mic2) {
            switch (this._micId) {
                case -1:
                    this.mHandler.sendMessage(this.mHandler.obtainMessage(0, mic1, mic2));
                    return;
                case 0:
                    this.mHandler.sendMessage(this.mHandler.obtainMessage(0, mic1, 0));
                    return;
                case 1:
                    this.mHandler.sendMessage(this.mHandler.obtainMessage(0, mic2, 0));
                    return;
                default:
                    this.mHandler.sendMessage(this.mHandler.obtainMessage(0, mic1, mic2));
                    return;
            }
        }
    }

    public class AudioRecordingMic1Mic2Sequentially extends AudioRecording {
        private int mMeasureCount = 0;

        AudioRecordingMic1Mic2Sequentially(Context context, Handler handler) {
            super(context, handler);
            this.CLASS_NAME = "UIEchoTest.AudioRecordingMic1Mic2Sequentially";
            this.mMeasureCount = 0;
        }

        /* access modifiers changed from: protected */
        @Override // com.sec.factory.app.ui.UIEchoTest.AudioRecording
        public void updateInternal(int rmsR, int rmsL) {
            this.mMeasureCount++;
            FtUtil.log_d(this.CLASS_NAME, "updateInternal", "mMeasureCount: " + this.mMeasureCount);
            int mic1 = rmsR;
            int mic2 = rmsL;
            if (this.mMeasureCount <= TestInfo.MEASURE_MAX_COUNT) {
                mic2 = TestInfo.EMPTY_DATA;
                if (this.mMeasureCount == TestInfo.MEASURE_MAX_COUNT && UIEchoTest.this.mTestItemInfo.length > 1) {
                    FtUtil.log_d(this.CLASS_NAME, "updateInternal", "initDataFlag set initial value");
                    this.initDataFlag = 0;
                    if (!Support.Feature.getBoolean(Support.Feature.SUPPORT_ECHO_TEST_NOSOUND)) {
                        UIEchoTest.this.mAudioPlayer.stopSound();
                        UIEchoTest.this.mAudioPlayer.setPath(UIEchoTest.audio_path[1]);
                    }
                    UIEchoTest uIEchoTest = UIEchoTest.this;
                    uIEchoTest.setTestMicPath(uIEchoTest.mInputMicSelector, 1);
                    if (!Support.Feature.getBoolean(Support.Feature.SUPPORT_ECHO_TEST_NOSOUND)) {
                        UIEchoTest.this.mAudioPlayer.setVolumn(UIEchoTest.volume[1]);
                        UIEchoTest.this.mAudioPlayer.playSound(R.raw.echo1000hz);
                    }
                }
            } else {
                mic1 = TestInfo.EMPTY_DATA;
            }
            FtUtil.log_d(this.CLASS_NAME, "updateInternal", "mic1: " + mic1 + ", mic2: " + mic2);
            this.mHandler.sendMessage(this.mHandler.obtainMessage(0, mic1, mic2));
        }
    }

    public class AudioRecordingMic1Mic2Mic3Sequentially extends AudioRecording {
        private int mMeasureCount = 0;

        AudioRecordingMic1Mic2Mic3Sequentially(Context context, Handler handler) {
            super(context, handler);
            this.CLASS_NAME = "UIEchoTest.AudioRecordingMic1Mic2Mic3Sequentially";
            this.mMeasureCount = 0;
        }

        /* access modifiers changed from: protected */
        @Override // com.sec.factory.app.ui.UIEchoTest.AudioRecording
        public void updateInternal(int rmsR, int rmsL) {
            this.mMeasureCount++;
            FtUtil.log_d(this.CLASS_NAME, "updateInternal", "mMeasureCount: " + this.mMeasureCount);
            int mic1 = rmsR;
            int mic2 = rmsL;
            int mic3 = rmsR;
            Message mMsg = this.mHandler.obtainMessage();
            if (this.mMeasureCount <= TestInfo.MEASURE_MAX_COUNT) {
                mic2 = TestInfo.EMPTY_DATA;
                mic3 = TestInfo.EMPTY_DATA;
                if (this.mMeasureCount == TestInfo.MEASURE_MAX_COUNT) {
                    FtUtil.log_d(this.CLASS_NAME, "updateInternal", "initDataFlag set initial value");
                    this.initDataFlag = 0;
                    if (!Support.Feature.getBoolean(Support.Feature.SUPPORT_ECHO_TEST_NOSOUND)) {
                        UIEchoTest.this.mAudioPlayer.stopSound();
                        UIEchoTest.this.mAudioPlayer.setPath(UIEchoTest.audio_path[1]);
                    }
                    UIEchoTest.this.mInputMicSelector.setPath(1);
                    UIEchoTest.this.mAudioPlayer.mModuleAudio.setMicPath(UIEchoTest.this.mInputMicSelector.getPath());
                    if (!Support.Feature.getBoolean(Support.Feature.SUPPORT_ECHO_TEST_NOSOUND)) {
                        UIEchoTest.this.mAudioPlayer.setVolumn(UIEchoTest.volume[1]);
                        UIEchoTest.this.mAudioPlayer.playSound(R.raw.echo1000hz);
                    }
                }
            } else if (this.mMeasureCount <= TestInfo.MEASURE_MAX_COUNT * 2) {
                mic1 = TestInfo.EMPTY_DATA;
                mic3 = TestInfo.EMPTY_DATA;
                if (this.mMeasureCount == TestInfo.MEASURE_MAX_COUNT * 2) {
                    FtUtil.log_d(this.CLASS_NAME, "updateInternal", "initDataFlag set initial value secondly");
                    this.initDataFlag = 0;
                    if (!Support.Feature.getBoolean(Support.Feature.SUPPORT_ECHO_TEST_NOSOUND)) {
                        UIEchoTest.this.mAudioPlayer.stopSound();
                        UIEchoTest.this.mAudioPlayer.setPath(UIEchoTest.audio_path[2]);
                        UIEchoTest.this.mAudioPlayer.setVolumn(UIEchoTest.volume[2]);
                    }
                    UIEchoTest.this.mInputMicSelector.setPath(4);
                    UIEchoTest.this.mAudioPlayer.mModuleAudio.setMicPath(UIEchoTest.this.mInputMicSelector.getPath());
                    if (!Support.Feature.getBoolean(Support.Feature.SUPPORT_ECHO_TEST_NOSOUND)) {
                        UIEchoTest.this.mAudioPlayer.playSound(R.raw.echo1000hz);
                    }
                }
            } else {
                mic1 = TestInfo.EMPTY_DATA;
                mic2 = TestInfo.EMPTY_DATA;
            }
            FtUtil.log_d(this.CLASS_NAME, "updateInternal", "mic1: " + mic1 + ", mic2: " + mic2 + ", mic3: " + mic3);
            mMsg.obj = Integer.valueOf(mic3);
            this.mHandler.sendMessage(this.mHandler.obtainMessage(1, mic1, mic2, mMsg.obj));
        }
    }

    public class AudioRecordingMic1Mic2Mic3Mic4Sequentially extends AudioRecording {
        private int mMeasureCount = 0;

        AudioRecordingMic1Mic2Mic3Mic4Sequentially(Context context, Handler handler) {
            super(context, handler);
            this.CLASS_NAME = "UIEchoTest.AudioRecordingMic1Mic2Mic3Mic4Sequentially";
            this.mMeasureCount = 0;
        }

        /* access modifiers changed from: protected */
        @Override // com.sec.factory.app.ui.UIEchoTest.AudioRecording
        public void updateInternal(int rmsR, int rmsL) {
            this.mMeasureCount++;
            FtUtil.log_d(this.CLASS_NAME, "updateInternal", "mMeasureCount: " + this.mMeasureCount);
            if (this.mMeasureCount <= TestInfo.MEASURE_MAX_COUNT) {
                if (this.mMeasureCount == TestInfo.MEASURE_MAX_COUNT) {
                    FtUtil.log_d(this.CLASS_NAME, "updateInternal", "initDataFlag set initial value");
                    this.initDataFlag = 0;
                    if (!Support.Feature.getBoolean(Support.Feature.SUPPORT_ECHO_TEST_NOSOUND)) {
                        UIEchoTest.this.mAudioPlayer.stopSound();
                        UIEchoTest.this.mAudioPlayer.setPath(UIEchoTest.audio_path[1]);
                    }
                    UIEchoTest.this.mInputMicSelector.setPath(1);
                    UIEchoTest.this.mAudioPlayer.mModuleAudio.setMicPath(UIEchoTest.this.mInputMicSelector.getPath());
                    if (!Support.Feature.getBoolean(Support.Feature.SUPPORT_ECHO_TEST_NOSOUND)) {
                        UIEchoTest.this.mAudioPlayer.setVolumn(UIEchoTest.volume[1]);
                        UIEchoTest.this.mAudioPlayer.playSound(R.raw.echo1000hz);
                    }
                }
            } else if (this.mMeasureCount <= TestInfo.MEASURE_MAX_COUNT * 2) {
                UIEchoTest.this.mTestStep = 1;
                if (this.mMeasureCount == TestInfo.MEASURE_MAX_COUNT * 2) {
                    FtUtil.log_d(this.CLASS_NAME, "updateInternal", "initDataFlag set initial value secondly");
                    this.initDataFlag = 0;
                    if (!Support.Feature.getBoolean(Support.Feature.SUPPORT_ECHO_TEST_NOSOUND)) {
                        UIEchoTest.this.mAudioPlayer.stopSound();
                        UIEchoTest.this.mAudioPlayer.setPath(UIEchoTest.audio_path[2]);
                        UIEchoTest.this.mAudioPlayer.setVolumn(UIEchoTest.volume[2]);
                    }
                    UIEchoTest.this.mInputMicSelector.setPath(4);
                    UIEchoTest.this.mAudioPlayer.mModuleAudio.setMicPath(UIEchoTest.this.mInputMicSelector.getPath());
                    if (!Support.Feature.getBoolean(Support.Feature.SUPPORT_ECHO_TEST_NOSOUND)) {
                        UIEchoTest.this.mAudioPlayer.playSound(R.raw.echo1000hz);
                    }
                }
            } else if (this.mMeasureCount <= TestInfo.MEASURE_MAX_COUNT * 3) {
                UIEchoTest.this.mTestStep = 2;
                if (this.mMeasureCount == TestInfo.MEASURE_MAX_COUNT * 3) {
                    FtUtil.log_d(this.CLASS_NAME, "updateInternal", "initDataFlag set initial value secondly");
                    this.initDataFlag = 0;
                    if (!Support.Feature.getBoolean(Support.Feature.SUPPORT_ECHO_TEST_NOSOUND)) {
                        UIEchoTest.this.mAudioPlayer.stopSound();
                        UIEchoTest.this.mAudioPlayer.setPath(UIEchoTest.audio_path[3]);
                        UIEchoTest.this.mAudioPlayer.setVolumn(UIEchoTest.volume[3]);
                    }
                    UIEchoTest.this.mInputMicSelector.setPath(5);
                    UIEchoTest.this.mAudioPlayer.mModuleAudio.setMicPath(UIEchoTest.this.mInputMicSelector.getPath());
                    if (!Support.Feature.getBoolean(Support.Feature.SUPPORT_ECHO_TEST_NOSOUND)) {
                        UIEchoTest.this.mAudioPlayer.playSound(R.raw.echo1000hz);
                    }
                }
            } else {
                UIEchoTest.this.mTestStep = 3;
            }
            FtUtil.log_d(this.CLASS_NAME, "updateInternal", "mic1: " + rmsR + ", mic2: " + rmsL);
            this.mHandler.sendMessage(this.mHandler.obtainMessage(2, rmsR, rmsL));
        }
    }

    public static class AudioPlayer {
        private static final String CLASS_NAME = "UIEchoTest.AudioPlayer";
        private static int mLatestPath = 0;
        private static boolean mPlayerEnable = false;
        private final Context mContext;
        public ModuleAudio mModuleAudio;

        public AudioPlayer(Context context) {
            this.mContext = context;
        }

        public void setEnable(boolean enable) {
            FtUtil.log_d(CLASS_NAME, "setEnable", "enable: " + enable);
            this.mModuleAudio = ModuleAudio.instance(this.mContext);
            mPlayerEnable = enable;
        }

        public void setPath(int path) {
            if (!mPlayerEnable) {
                FtUtil.log_d(CLASS_NAME, "setPath", "mPlayerEnable: " + mPlayerEnable);
                return;
            }
            FtUtil.log_d(CLASS_NAME, "setPath", "path: " + path);
            this.mModuleAudio.setAudioPath(path);
            mLatestPath = path;
        }

        public void setVolumn(int volume) {
            FtUtil.log_d(CLASS_NAME, "setVolumn", "mPlayerEnable: " + mPlayerEnable);
            if (mPlayerEnable) {
                FtUtil.log_d(CLASS_NAME, "setVolumn", "volume: " + volume);
                this.mModuleAudio.setStreamMusicVolume(volume);
            }
        }

        public void playSound(int path, int volume) {
            FtUtil.log_d(CLASS_NAME, "playSound", "mPlayerEnable: " + mPlayerEnable);
            if (mPlayerEnable) {
                setPath(path);
                setVolumn(volume);
                playSound(R.raw.echo1000hz);
            }
        }

        public void playSound(int resourceId) {
            FtUtil.log_d(CLASS_NAME, "playSound", "mPlayerEnable: " + mPlayerEnable);
            if (mPlayerEnable) {
                this.mModuleAudio.playMedia(resourceId, true);
            }
        }

        public boolean isPlayingSound() {
            boolean r = this.mModuleAudio.isPlayingSound();
            FtUtil.log_d(CLASS_NAME, "isPlayingSound", "r: " + r);
            return r;
        }

        public void stopSound() {
            FtUtil.log_d(CLASS_NAME, "stopSound", "mPlayerEnable: " + mPlayerEnable);
            if (mPlayerEnable) {
                if (!this.mModuleAudio.isPlayingSound()) {
                    FtUtil.log_d(CLASS_NAME, "stopSound", "not isPlayingSound");
                    return;
                }
                this.mModuleAudio.stopMedia();
                FtUtil.log_d(CLASS_NAME, "stopSound", "sleep 200ms to avoid pop sound when changed path spk > path off");
                FtUtil.Sleep.sleep(200);
            }
        }
    }

    private void createLogFile() {
        FileOutputStream fos = null;
        String strData = new String();
        File dataLogDirectory = new File(this.DataDestpath);
        File MicEchoDataFile = new File(this.MicEchoFilePath);
        if (!dataLogDirectory.exists()) {
            dataLogDirectory.mkdir();
        }
        if (!MicEchoDataFile.exists()) {
            try {
                MicEchoDataFile.createNewFile();
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
        try {
            FtUtil.log_d(this.CLASS_NAME, "createLogFile", null);
            FileOutputStream fos2 = new FileOutputStream(MicEchoDataFile, true);
            int i = 0;
            while (true) {
                TestInfo[] testInfoArr = this.mTestItemInfo;
                if (i < testInfoArr.length) {
                    Iterator<Integer> itr = testInfoArr[i].mMeasuredData.iterator();
                    while (itr.hasNext()) {
                        strData = strData + itr.next() + ",";
                    }
                    i++;
                } else {
                    String strData2 = strData.substring(0, strData.length() - 1) + "\n";
                    FtUtil.log_d(this.CLASS_NAME, "createLogFile", "strData =" + strData2);
                    byte[] theByteArray = strData2.getBytes();
                    FtUtil.log_d(this.CLASS_NAME, "createLogFile", "no of bytes =" + theByteArray.length);
                    fos2.write(theByteArray);
                    fos2.flush();
                    fos2.getFD().sync();
                    try {
                        fos2.close();
                        return;
                    } catch (IOException e2) {
                        e2.printStackTrace();
                        return;
                    }
                }
            }
        } catch (FileNotFoundException e3) {
            e3.printStackTrace();
            if (0 != 0) {
                fos.close();
            }
        } catch (IOException e4) {
            e4.printStackTrace();
            if (0 != 0) {
                fos.close();
            }
        } catch (Throwable th) {
            if (0 != 0) {
                try {
                    fos.close();
                } catch (IOException e5) {
                    e5.printStackTrace();
                }
            }
            throw th;
        }
    }

    private void EarPhoneFail() {
        AlertDialog.Builder builder = new AlertDialog.Builder(this);
        builder.setTitle("Earphone Fail");
        builder.setMessage("Do not plug earphone to device. Please unplug earphone.");
        DialogInterface.OnDismissListener pl = new EmptyListener();
        AlertDialog ad = builder.create();
        ad.setOnDismissListener(pl);
        ad.getWindow().setGravity(17);
        ad.show();
    }

    public class EmptyListener implements DialogInterface.OnDismissListener {
        public EmptyListener() {
        }

        public void onDismiss(DialogInterface dialog) {
            UIEchoTest.this.finish();
        }
    }
}
