package com.sec.factory.app.ui;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.content.SharedPreferences;
import android.content.pm.PackageManager;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.util.Log;
import android.widget.TextView;
import com.sec.factory.R;

public class UIFMIntenna extends UIBase {
    private static int FMTestResult = -1;
    public static final String FM_RADIO_FREQUENCY = "test.mode.radio.freq";
    public static final String FM_RADIO_FREQUENCY_RESPONSE = "test.mode.radio.freq.response";
    public static final String FM_RADIO_TEST_OFF = "test.mode.radio.off";
    public static final String FM_RADIO_TEST_ON = "test.mode.radio.on.freq";
    private static boolean IsFMOn = false;
    private static final String TAG = "UIFMIntenna";
    public static Context context;
    private static TextView mFMIntennaResult;
    private final int FM_FINISH_TEST_DELAY = 2000;
    private final int FM_ON_STATUS_TIMEOUT_DELAY = 5000;
    private final int FM_STOP_DELAY = 3000;
    private final String KEY_FACTORY = "factoryrssi";
    private final byte MSG_FINISH_TEST = 3;
    private final byte MSG_READ_STATUS_TIMEOUT = 1;
    private final byte MSG_STOP_RADIO = 2;
    private final String PREF_FILE = "SettingsPreference";
    private int factory_rssi = -70;
    public Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UIFMIntenna.AnonymousClass1 */

        public void handleMessage(Message msg) {
            switch (msg.what) {
                case 1:
                    Log.i(UIFMIntenna.TAG, "Read Test Fail because of timeout");
                    int unused = UIFMIntenna.FMTestResult = 0;
                    UIFMIntenna.this.updateDisplay(R.id.fm_intenna_result, "FAIL", -65536);
                    UIFMIntenna.this.setTestResultFailCase(51);
                    UIFMIntenna.this.mHandler.sendEmptyMessageDelayed(3, 2000);
                    return;
                case 2:
                    Log.i(UIFMIntenna.TAG, "MSG_STOP_RADIO");
                    UIFMIntenna.this.StopFMRadio();
                    UIFMIntenna.this.mHandler.sendEmptyMessageDelayed(3, 2000);
                    return;
                case 3:
                    Log.i(UIFMIntenna.TAG, "MSG_FINISH_TEST");
                    UIFMIntenna.this.finish();
                    return;
                default:
                    return;
            }
        }
    };
    private SharedPreferences mPreferences;
    private final BroadcastReceiver mReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.app.ui.UIFMIntenna.AnonymousClass2 */

        public void onReceive(Context context, Intent intent) {
            if (intent.getAction().equals("test.mode.radio.freq.response")) {
                Log.i(UIFMIntenna.TAG, "Received FM_RADIO_FREQUENCY_RESPONSE");
                UIFMIntenna.this.mHandler.removeMessages(1);
                int cur_rssi = Integer.parseInt(intent.getStringExtra("signal_strength"), 10);
                Log.i(UIFMIntenna.TAG, "FM_RADIO_FREQUENCY_RESPONSE::rssi=" + cur_rssi);
                if (cur_rssi >= UIFMIntenna.this.factory_rssi) {
                    Log.i(UIFMIntenna.TAG, "FM Intenna result :: PASS");
                    int unused = UIFMIntenna.FMTestResult = 1;
                    UIFMIntenna.this.updateDisplay(R.id.fm_intenna_result, "PASS", UiHallICTest.FONT_COLOR_PASS);
                    UIFMIntenna.this.setTestResult(51, (byte) 80);
                } else {
                    Log.i(UIFMIntenna.TAG, "FM Intenna result :: FAIL");
                    int unused2 = UIFMIntenna.FMTestResult = 0;
                    UIFMIntenna.this.updateDisplay(R.id.fm_intenna_result, "FAIL", -65536);
                    UIFMIntenna.this.setTestResultFailCase(51);
                }
                if (!UIFMIntenna.IsFMOn) {
                    boolean unused3 = UIFMIntenna.IsFMOn = true;
                    UIFMIntenna.this.mHandler.sendEmptyMessageDelayed(2, 3000);
                }
            }
        }
    };
    private final String test_freq = "103000";

    private void StartFMRadio() {
        Log.i(TAG, "*** StartFMRadio ***");
        Intent intent = new Intent("test.mode.radio.freq");
        intent.putExtra("frequency", "103000");
        intent.putExtra("output", "speaker");
        intent.setFlags(268435456);
        startActivity(intent);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void StopFMRadio() {
        Log.i(TAG, "*** StopFMRadio ***");
        IsFMOn = false;
        Intent intent = new Intent("test.mode.radio.off");
        intent.setFlags(268435456);
        startActivity(intent);
    }

    private void init() {
        FMTestResult = -1;
        IsFMOn = false;
        try {
            Context createPackageContext = createPackageContext("com.sec.android.app.fm", 2);
            context = createPackageContext;
            if (createPackageContext != null) {
                SharedPreferences sharedPreferences = createPackageContext.getSharedPreferences("SettingsPreference", 0);
                this.mPreferences = sharedPreferences;
                this.factory_rssi = sharedPreferences.getInt("factoryrssi", this.factory_rssi);
                Log.i(TAG, "factory_rssi 1=" + this.factory_rssi);
            }
        } catch (PackageManager.NameNotFoundException e) {
            e.printStackTrace();
        }
        Log.i(TAG, "factory_rssi 2 =" + this.factory_rssi);
    }

    public UIFMIntenna() {
        super(TAG, 51);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_fmintenna);
        mFMIntennaResult = (TextView) findViewById(R.id.fm_intenna_result);
        IntentFilter filter = new IntentFilter();
        filter.addAction("test.mode.radio.freq.response");
        registerReceiver(this.mReceiver, filter);
        init();
        StartFMRadio();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        Log.i(TAG, "onResume");
        super.onResume();
        switch (FMTestResult) {
            case -1:
                updateDisplay(R.id.fm_intenna_result, "Ready", -1);
                return;
            case 0:
                updateDisplay(R.id.fm_intenna_result, "FAIL", -65536);
                return;
            case 1:
                updateDisplay(R.id.fm_intenna_result, "PASS", UiHallICTest.FONT_COLOR_PASS);
                return;
            default:
                return;
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        Log.i(TAG, "onPause");
        super.onPause();
        if (IsFMOn) {
            StopFMRadio();
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        Log.i(TAG, "onDestroy");
        super.onDestroy();
        unregisterReceiver(this.mReceiver);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void updateDisplay(int id, String result, int Color) {
        if (id == R.id.fm_intenna_result) {
            mFMIntennaResult.setText(result);
            mFMIntennaResult.setBackgroundColor(Color);
        }
    }
}
