package com.sec.factory.app.ui;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.support.FtUtil;

public class UIFMIntennaManual extends UIBase implements View.OnClickListener {
    public static final String FM_RADIO_FREQUENCY = "test.mode.radio.freq";
    public static final String FM_RADIO_FREQUENCY_RESPONSE = "test.mode.radio.freq.response";
    public static final String FM_RADIO_TEST_OFF = "test.mode.radio.off";
    public static final String FM_RADIO_TEST_ON = "test.mode.radio.on.freq";
    public boolean mEarphonePlugged = false;
    private TextView mFMStatusText;
    private Button mFailButton;
    private Button mPassButton;
    private final String test_freq = "103700";

    public UIFMIntennaManual() {
        super("UIFMIntennaManual", 113);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_fm_manual);
        initUI();
        startFMRadio();
    }

    private void startFMRadio() {
        FtUtil.log_d(this.CLASS_NAME, "startFMRadio", null);
        Intent intent = new Intent("test.mode.radio.freq");
        intent.putExtra("frequency", "103700");
        intent.putExtra("output", "earphone");
        intent.setFlags(268435456);
        startActivity(intent);
    }

    private void stopFMRadio() {
        FtUtil.log_d(this.CLASS_NAME, "stopFMRadio", null);
        Intent intent = new Intent("test.mode.radio.off");
        intent.setFlags(268435456);
        startActivity(intent);
    }

    private void initUI() {
        FtUtil.log_d(this.CLASS_NAME, "init", null);
        this.mPassButton = (Button) findViewById(R.id.pass_button);
        this.mFailButton = (Button) findViewById(R.id.fail_button);
        TextView textView = (TextView) findViewById(R.id.fm_status);
        this.mFMStatusText = textView;
        textView.setText("FM Antenna Test\n103.7 MHz");
        this.mPassButton.setOnClickListener(this);
        this.mFailButton.setOnClickListener(this);
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.fail_button:
                setTestResultFailCase(113);
                break;
            case R.id.pass_button:
                setTestResult(113, (byte) 80);
                setResult(-1);
                break;
        }
        stopFMRadio();
        finish();
    }
}
