package com.sec.factory.app.ui;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.NVAccessor;

public class UIFactoryTestNVView extends Activity implements View.OnClickListener {
    private static final String CLASS_NAME = "FactoryTestNVView";
    private TextView mView1;
    private TextView mView2;
    private TextView mView3;
    private TextView mView4;

    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        FtUtil.log_d(CLASS_NAME, "onCreate", null);
        setContentView(R.layout.ui_testnv_view);
        findViewById(R.id.smd).setOnClickListener(this);
        findViewById(R.id.pba).setOnClickListener(this);
        this.mView1 = (TextView) findViewById(R.id.View1);
        this.mView2 = (TextView) findViewById(R.id.View2);
        this.mView3 = (TextView) findViewById(R.id.View3);
        this.mView4 = (TextView) findViewById(R.id.View4);
    }

    /* access modifiers changed from: protected */
    public void onResume() {
        super.onResume();
        getFactoryTestNVValue();
    }

    /* access modifiers changed from: protected */
    public void onPause() {
        super.onPause();
    }

    private void getFactoryTestNVValue() {
        FtUtil.log_d(CLASS_NAME, "getFactoryTestNVValue", null);
        this.mView1.setText(get_NV_Value(1, 23));
        this.mView2.setText(get_NV_Value(24, 46));
        this.mView3.setText(get_NV_Value(47, 69));
        this.mView4.setText(get_NV_Value(70, 90));
    }

    private String get_NV_Value(int nv_key_start, int nv_key_end) {
        FtUtil.log_d(CLASS_NAME, "get_NV_Value", null);
        StringBuilder tempSb = new StringBuilder();
        while (nv_key_start <= nv_key_end) {
            byte mNV_Value = NVAccessor.getNV((byte) nv_key_start);
            FtUtil.log_d(CLASS_NAME, "get_NV_Value", "key: " + nv_key_start + "NV: " + ((int) mNV_Value));
            tempSb.append(nv_key_start);
            tempSb.append(" / ");
            tempSb.append(Change_NV_Value(mNV_Value));
            if (nv_key_start < nv_key_end) {
                tempSb.append("\n");
            }
            nv_key_start++;
        }
        return tempSb.toString();
    }

    private void set_NV_Value(byte key) {
        NVAccessor.setNV(key, (byte) 80);
        FtUtil.log_d(CLASS_NAME, "set_NV_Value", "key: " + ((int) key));
    }

    private String Change_NV_Value(byte value) {
        if (78 == value) {
            return "N";
        }
        if (69 == value) {
            return "E";
        }
        if (80 == value) {
            return "P";
        }
        if (70 == value) {
            return "F";
        }
        return "NONE";
    }

    public void onClick(View v) {
        FtUtil.log_d(CLASS_NAME, "onClick", "start_update_in_nvitem");
        switch (v.getId()) {
            case R.id.pba:
                set_NV_Value((byte) 4);
                getFactoryTestNVValue();
                return;
            case R.id.smd:
                set_NV_Value((byte) 1);
                getFactoryTestNVValue();
                return;
            default:
                return;
        }
    }
}
