package com.sec.factory.app.ui;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.util.Log;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.NVAccessor;

public class UIFeliCa extends UIBase {
    private static final byte FELICA_NV_ADDRESS = 72;
    public static final String RECEIVE_SEC_FELICA_POLLING = "com.sec.android.app.felicatest.FELICA_TEST_POLLING";
    private static final String TAG = "UIFeliCa";
    private static TextView mReaderModeResult;
    private static int polling_flag = 0;
    private final int FELICA_FINISH_DELAY = 1000;
    private final byte MSG_FINISH_TEST = 4;
    public Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UIFeliCa.AnonymousClass1 */

        public void handleMessage(Message msg) {
            Log.i(UIFeliCa.TAG, "handleMessage(Message msg)");
            switch (msg.what) {
                case 4:
                    Log.i(UIFeliCa.TAG, "MSG_FINISH_TEST");
                    if (UIFeliCa.this.mIsPassed_reader) {
                        UIFeliCa.this.setTestResultWithoutNV(40, (byte) 80);
                        UIFeliCa.this.finish();
                        return;
                    }
                    return;
                default:
                    return;
            }
        }
    };
    private boolean mIsPassed_reader = false;
    private final BroadcastReceiver mReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.app.ui.UIFeliCa.AnonymousClass2 */

        public void onReceive(Context context, Intent intent) {
            Log.i(UIFeliCa.TAG, "onReceive(Context context, Intent intent)");
            byte nvValue = NVAccessor.getNV(72);
            if (UIFeliCa.RECEIVE_SEC_FELICA_POLLING.equals(intent.getAction())) {
                if (intent.getStringExtra("S_DATA").equals("OK")) {
                    UIFeliCa.this.mIsPassed_reader = true;
                    if (nvValue != 80) {
                        NVAccessor.setNV(72, (byte) 80);
                    }
                    UIFeliCa.this.updateDisplay(R.id.felica_reader_mode_result, "PASS", UiHallICTest.FONT_COLOR_PASS);
                    FtUtil.log_d(UIFeliCa.this.CLASS_NAME, "onReceive", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(40), "Pass"));
                } else {
                    UIFeliCa.this.mIsPassed_reader = false;
                    if (nvValue != 80) {
                        NVAccessor.setNV(72, (byte) 70);
                    }
                    UIFeliCa.this.updateDisplay(R.id.felica_reader_mode_result, "FAIL", -65536);
                    FtUtil.log_d(UIFeliCa.this.CLASS_NAME, "onReceive", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(40), "Fail"));
                }
                UIFeliCa.this.mHandler.sendEmptyMessageDelayed(4, 1000);
            }
        }
    };

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void updateDisplay(int id, String result, int textColor) {
        Log.i(TAG, "updateDisplay(int id, String result, int textColor)");
        if (id == R.id.felica_reader_mode_result) {
            mReaderModeResult.setText(result);
            mReaderModeResult.setTextColor(textColor);
        }
    }

    public UIFeliCa() {
        super("UIFeliCa()", 40);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        Log.i(TAG, "onCreate(Bundle savedInstanceState)");
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_felica);
        mReaderModeResult = (TextView) findViewById(R.id.felica_reader_mode_result);
        IntentFilter filter = new IntentFilter();
        filter.addAction(RECEIVE_SEC_FELICA_POLLING);
        registerReceiver(this.mReceiver, filter);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        Log.i(TAG, "onResume()");
        super.onResume();
        byte nvValue = NVAccessor.getNV(72);
        if (polling_flag == 0) {
            Log.i(TAG, "Start Polling");
            polling_flag = 1;
            if (nvValue != 80) {
                NVAccessor.setNV(72, (byte) 69);
            }
            Intent intent = new Intent();
            intent.setClassName("com.sec.android.app.felicatest", "com.sec.android.app.felicatest.FeliCaTest");
            intent.setFlags(268435456);
            intent.putExtra("FeliCa_Start_Parameter", 111);
            startActivity(intent);
            return;
        }
        polling_flag = 0;
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        Log.i(TAG, "onPause()");
        super.onPause();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        Log.i(TAG, "onDestroy()");
        super.onDestroy();
        unregisterReceiver(this.mReceiver);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void setTestResult(byte result) {
        Log.i(TAG, "setTestResult(final byte result)");
    }
}
