package com.sec.factory.app.ui;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.graphics.Point;
import android.os.Bundle;
import android.util.DisplayMetrics;
import android.util.TypedValue;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.WindowManager;
import android.widget.AbsoluteLayout;
import android.widget.Button;
import android.widget.TableLayout;
import android.widget.TableRow;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.common.CommonFingerprintQcom;
import com.sec.factory.support.FtUtil;
import com.sec.factory.support.Status;
import com.sec.xmldata.support.NVAccessor;
import com.sec.xmldata.support.Support;
import java.util.List;
import java.util.Objects;

public class UIFingerprintCalTestQcom extends UIFingerprintCalTest {
    private final String CLASS_NAME = "UIFingerprintCalTestQcom";
    private boolean isRunning = false;
    private boolean isSupportSpen = false;
    private boolean isTouched = false;
    private Status mBgeCalResult = Status.NOTEST;
    private Button mBtnStart;
    private String mChipName;
    private CommonFingerprintQcom mCommonFingerprintQcom;
    private BroadcastReceiver mReceiver = null;
    private TableLayout mTableLayout;
    private int mTestWay;
    private TextView mTvStatus;
    private long startButtonDelay = 1000;

    public UIFingerprintCalTestQcom() {
        super("UIFingerprintCalTestQcom");
    }

    private void RegisterReceiver() {
        FtUtil.log_d("UIFingerprintCalTestQcom", "RegisterReceiver", "RegisterReceiver");
        IntentFilter mFilter = new IntentFilter();
        Objects.requireNonNull(this.mCommonFingerprintQcom);
        mFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_CONTAMINATION_PASS");
        Objects.requireNonNull(this.mCommonFingerprintQcom);
        mFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_CONTAMINATION_UNKNOWN_FAIL");
        Objects.requireNonNull(this.mCommonFingerprintQcom);
        mFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_CONTAMINATION_WEAK_FAIL");
        Objects.requireNonNull(this.mCommonFingerprintQcom);
        mFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_CONTAMINATION_STRONG_FAIL");
        Objects.requireNonNull(this.mCommonFingerprintQcom);
        mFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_CONTAMINATION_MEMORY_DEFECT_FAIL");
        Objects.requireNonNull(this.mCommonFingerprintQcom);
        mFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_CONTAMINATION_M0_DEFECT_FAIL");
        Objects.requireNonNull(this.mCommonFingerprintQcom);
        mFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_CONTAMINATION_SANITY_ERROR_20_FAIL");
        Objects.requireNonNull(this.mCommonFingerprintQcom);
        mFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_CONTAMINATION_INVALID_TEMP_FAIL");
        Objects.requireNonNull(this.mCommonFingerprintQcom);
        mFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_CONTAMINATION_NOT_DEFINED_FAIL");
        Objects.requireNonNull(this.mCommonFingerprintQcom);
        mFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_CAL_FINISH_PASS");
        Objects.requireNonNull(this.mCommonFingerprintQcom);
        mFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_CAL_FINISH_FAIL");
        mFilter.addAction("com.sec.factory.aporiented.athandler.AtFpsensorQcom.MSG_GET_SNR_START_BTN_VISIBILITY");
        mFilter.setPriority(15);
        AnonymousClass1 r1 = new BroadcastReceiver() {
            /* class com.sec.factory.app.ui.UIFingerprintCalTestQcom.AnonymousClass1 */

            public void onReceive(Context context, Intent intent) {
                String action = intent.getAction();
                FtUtil.log_d("UIFingerprintCalTestQcom", "onReceive", " Action:" + action);
                Objects.requireNonNull(UIFingerprintCalTestQcom.this.mCommonFingerprintQcom);
                if (action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_CONTAMINATION_PASS")) {
                    UIFingerprintCalTestQcom.this.mCommonFingerprintQcom.runBGEcal();
                    return;
                }
                Objects.requireNonNull(UIFingerprintCalTestQcom.this.mCommonFingerprintQcom);
                if (action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_CONTAMINATION_UNKNOWN_FAIL")) {
                    UIFingerprintCalTestQcom.this.mBgeCalResult = Status.FAIL_UNKNOWN;
                } else {
                    Objects.requireNonNull(UIFingerprintCalTestQcom.this.mCommonFingerprintQcom);
                    if (action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_CONTAMINATION_WEAK_FAIL")) {
                        UIFingerprintCalTestQcom.this.mBgeCalResult = Status.FAIL_CONTAMINATION_WEAK;
                    } else {
                        Objects.requireNonNull(UIFingerprintCalTestQcom.this.mCommonFingerprintQcom);
                        if (action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_CONTAMINATION_STRONG_FAIL")) {
                            UIFingerprintCalTestQcom.this.mBgeCalResult = Status.FAIL_CONTAMINATION_STRONG;
                        } else {
                            Objects.requireNonNull(UIFingerprintCalTestQcom.this.mCommonFingerprintQcom);
                            if (action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_CONTAMINATION_MEMORY_DEFECT_FAIL")) {
                                UIFingerprintCalTestQcom.this.mBgeCalResult = Status.FAIL_MEMORY_DEFECT;
                            } else {
                                Objects.requireNonNull(UIFingerprintCalTestQcom.this.mCommonFingerprintQcom);
                                if (action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_CONTAMINATION_M0_DEFECT_FAIL")) {
                                    UIFingerprintCalTestQcom.this.mBgeCalResult = Status.FAIL_M0_DEFECT;
                                } else {
                                    Objects.requireNonNull(UIFingerprintCalTestQcom.this.mCommonFingerprintQcom);
                                    if (action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_CONTAMINATION_SANITY_ERROR_20_FAIL")) {
                                        UIFingerprintCalTestQcom.this.mBgeCalResult = Status.FAIL_SANITY_ERROR_20;
                                    } else {
                                        Objects.requireNonNull(UIFingerprintCalTestQcom.this.mCommonFingerprintQcom);
                                        if (action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_CONTAMINATION_INVALID_TEMP_FAIL")) {
                                            UIFingerprintCalTestQcom.this.mBgeCalResult = Status.FAIL_INVALID_TEMP;
                                        } else {
                                            Objects.requireNonNull(UIFingerprintCalTestQcom.this.mCommonFingerprintQcom);
                                            if (action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_CONTAMINATION_NOT_DEFINED_FAIL")) {
                                                UIFingerprintCalTestQcom.this.mBgeCalResult = Status.FAIL_NOT_DEFINED;
                                            } else {
                                                Objects.requireNonNull(UIFingerprintCalTestQcom.this.mCommonFingerprintQcom);
                                                if (!action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_CAL_FINISH_PASS")) {
                                                    Objects.requireNonNull(UIFingerprintCalTestQcom.this.mCommonFingerprintQcom);
                                                    if (action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_CAL_FINISH_FAIL")) {
                                                        UIFingerprintCalTestQcom.this.mBgeCalResult = Status.FAIL_CAL;
                                                    } else if (action.equals("com.sec.factory.aporiented.athandler.AtFpsensorQcom.MSG_GET_SNR_START_BTN_VISIBILITY")) {
                                                        if (UIFingerprintCalTestQcom.this.mBgeCalResult == Status.NOTEST || UIFingerprintCalTestQcom.this.mBgeCalResult == Status.PASS) {
                                                            setResultData("WAIT");
                                                            return;
                                                        } else {
                                                            setResultData("NG");
                                                            return;
                                                        }
                                                    }
                                                } else if ("QBT2000".equals(UIFingerprintCalTestQcom.this.mChipName)) {
                                                    UIFingerprintCalTestQcom.this.mBgeCalResult = Status.PASS;
                                                } else {
                                                    List<CommonFingerprintQcom.ScanData> scanDataList = UIFingerprintCalTestQcom.this.mCommonFingerprintQcom.getScanDataList(CommonFingerprintQcom.TestType.BGECAL);
                                                    UIFingerprintCalTestQcom.this.drawCalResultTable(scanDataList);
                                                    if (UIFingerprintCalTestQcom.this.mCommonFingerprintQcom.getFinalResultfromScanData(scanDataList)) {
                                                        UIFingerprintCalTestQcom.this.mBgeCalResult = Status.PASS;
                                                    } else {
                                                        UIFingerprintCalTestQcom.this.mBgeCalResult = Status.FAIL;
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
                UIFingerprintCalTestQcom.this.onResult();
                UIFingerprintCalTestQcom.this.stopTest();
            }
        };
        this.mReceiver = r1;
        registerReceiver(r1, mFilter);
    }

    private void UnregisterReceiver() {
        if (this.mReceiver != null) {
            FtUtil.log_d("UIFingerprintCalTestQcom", "UnregisterReceiver", "UnregisterReceiver");
            unregisterReceiver(this.mReceiver);
            this.mReceiver = null;
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIFingerprintCalTest, com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_fingerprint_cal_qcom);
        this.mTableLayout = (TableLayout) findViewById(R.id.tableLayout);
        this.mTvStatus = (TextView) findViewById(R.id.calStatus);
        this.mBtnStart = (Button) findViewById(R.id.startButton);
        this.TEST_ID = getIntent().getIntExtra("testID", 67);
        sendBroadcast(new Intent("com.samsung.android.aircommandmanager.STOP_MONITORING"));
        if (Support.Feature.getBoolean(Support.Feature.SUPPORT_EPEN)) {
            this.isSupportSpen = true;
        }
        this.mCommonFingerprintQcom = new CommonFingerprintQcom(this, "UIFingerprintCalTestQcom");
        this.mTestWay = getIntent().getIntExtra("Extra_TestWay", CommonFingerprintQcom.MANUAL);
        FtUtil.log_d("UIFingerprintCalTestQcom", "onCreate", " TestWay:" + this.mTestWay);
        this.mChipName = this.mCommonFingerprintQcom.getChipName();
        if (this.mTestWay == CommonFingerprintQcom.ATCMD) {
            startTest();
        } else {
            drawCalStartBtn();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void startTest() {
        this.isRunning = true;
        updateStatus(Status.RUNNING);
        if (this.mTestWay == CommonFingerprintQcom.MANUAL) {
            setTestNvReset(this.TEST_ID);
        }
        if (this.isSupportSpen) {
            this.mCommonFingerprintQcom.setWacomChargingMode(false);
        }
        this.mCommonFingerprintQcom.delBGE();
        this.mCommonFingerprintQcom.setCalResultIntoSharedPreferences(Status.NOTEST.name());
        RegisterReceiver();
        if ("QBT2000".equals(this.mChipName)) {
            this.mCommonFingerprintQcom.checkContamination();
        } else {
            this.mCommonFingerprintQcom.runBGEcal();
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIFingerprintCalTest, com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        if (this.isRunning) {
            stopTest();
        }
        if (this.mBgeCalResult == Status.NOTEST) {
            int i = this.mTestWay == CommonFingerprintQcom.ATCMD ? 3 : 1;
            String itemName_ID = FactoryTestManager.getItemName_ID(this.TEST_ID);
            FtUtil.log_d("UIFingerprintCalTestQcom", "onPause", FtUtil.setMspSeqMessage(i, itemName_ID, "BgeCal:" + this.mBgeCalResult.name()));
        } else if (this.mBgeCalResult != Status.PASS) {
            this.mCommonFingerprintQcom.delBGE();
        }
        sendBroadcast(new Intent("com.samsung.android.aircommandmanager.START_MONITORING"));
        UnregisterReceiver();
        finish();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void stopTest() {
        FtUtil.log_d("UIFingerprintCalTestQcom", "stopTest", "stopTest");
        this.mCommonFingerprintQcom.endFpManger();
        this.mCommonFingerprintQcom.disableListeners();
        if (this.isSupportSpen) {
            this.mCommonFingerprintQcom.setWacomChargingMode(true);
        }
        this.isRunning = false;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void drawCalResultTable(List<CommonFingerprintQcom.ScanData> scanDataList) {
        FtUtil.log_d("UIFingerprintCalTestQcom", "drawCalResultTable", "scanDataList size: " + scanDataList.size());
        for (CommonFingerprintQcom.ScanData scanData : scanDataList) {
            TableRow tableRow = new TableRow(this);
            tableRow.setBackgroundColor(-16777216);
            for (int i = 0; i < 4; i++) {
                tableRow.addView((TextView) getLayoutInflater().inflate(R.layout.finger_print_qcom_table_text_view_data_row, (ViewGroup) tableRow, false));
            }
            ((TextView) tableRow.getChildAt(0)).setText(scanData.getName());
            String specStr = scanData.getSpecMin() + " ~ " + scanData.getSpecMax();
            if (specStr.contains(Support.Properties.PROPERTIES_DEFAULT_STRING)) {
                specStr = "-";
            } else if (specStr.contains("NA ~ NA")) {
                specStr = "-";
            }
            ((TextView) tableRow.getChildAt(1)).setText(specStr);
            ((TextView) tableRow.getChildAt(2)).setText(scanData.getValue());
            ((TextView) tableRow.getChildAt(2)).setAutoSizeTextTypeUniformWithConfiguration(4, 10, 1, 2);
            if (scanData.getResult() == Status.PASS || scanData.getResult() == null) {
                ((TextView) tableRow.getChildAt(3)).setText(R.string.PASS);
                ((TextView) tableRow.getChildAt(3)).setTextColor(UiHallICTest.FONT_COLOR_PASS);
            } else {
                ((TextView) tableRow.getChildAt(3)).setText(R.string.FAIL);
                ((TextView) tableRow.getChildAt(3)).setTextColor(-65536);
            }
            FtUtil.log_d("UIFingerprintCalTestQcom", "drawCalResultTable", " ItemName: " + scanData.getName() + " ,Value: " + scanData.getValue() + " ,Spec: " + specStr);
            this.mTableLayout.addView(tableRow);
        }
        this.mTableLayout.setVisibility(0);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void onResult() {
        if (this.isTouched) {
            this.mBgeCalResult = Status.FAIL_TOUCH;
        } else if (!this.mCommonFingerprintQcom.saveSensorID()) {
            this.mBgeCalResult = Status.FAIL_SENSORID;
        }
        updateStatus(this.mBgeCalResult);
        this.mCommonFingerprintQcom.setCalResultIntoSharedPreferences(this.mBgeCalResult.name());
        int i = this.mTestWay == CommonFingerprintQcom.ATCMD ? 3 : 1;
        String itemName_ID = FactoryTestManager.getItemName_ID(this.TEST_ID);
        FtUtil.log_d("UIFingerprintCalTestQcom", "onResult", FtUtil.setMspSeqMessage(i, itemName_ID, "BgeCal:" + this.mBgeCalResult.name()));
        if (this.mBgeCalResult == Status.PASS) {
            setResult(-1);
            finish();
        }
    }

    private void drawCalStartBtn() {
        float btnWidth_mm = Support.Spec.getFloat(Support.Kernel.ULTRASONIC_RIGHT_START_BTN_SIZE_WIDTH_MM);
        float btnHeight_mm = Support.Spec.getFloat(Support.Kernel.ULTRASONIC_RIGHT_START_BTN_SIZE_HEIGHT_MM);
        float btnPosX_mm = Support.Spec.getFloat(Support.Kernel.ULTRASONIC_RIGHT_START_BTN_POSITION_X_MM);
        float btnPosY_mm = Support.Spec.getFloat(Support.Kernel.ULTRASONIC_RIGHT_START_BTN_POSITION_Y_MM) - (0.5f * btnHeight_mm);
        DisplayMetrics mDisplayMetrics = getResources().getDisplayMetrics();
        float btnWidth_px = TypedValue.applyDimension(5, btnWidth_mm, mDisplayMetrics);
        float btnHeight_px = TypedValue.applyDimension(5, btnHeight_mm, mDisplayMetrics);
        float btnPosX_px = TypedValue.applyDimension(5, btnPosX_mm - (btnWidth_mm * 0.5f), mDisplayMetrics);
        float btnPosY_px = TypedValue.applyDimension(5, btnPosY_mm, mDisplayMetrics);
        FtUtil.log_d("UIFingerprintCalTestQcom", "drawCalStartBtn", " btnWidth_px:" + btnWidth_px + " btnHeight_px:" + btnHeight_px + " btnPosX_px:" + btnPosX_px + " btnPosY_px:" + btnPosY_px);
        Point outpoint = new Point();
        ((WindowManager) getApplication().getSystemService("window")).getDefaultDisplay().getRealSize(outpoint);
        int screenWidth = outpoint.x;
        int screenHeight = outpoint.y;
        FtUtil.log_d("UIFingerprintCalTestQcom", "drawCalStartBtn", "screenWidth:" + screenWidth + " ,screenHeight:" + screenHeight);
        if (btnPosX_px + btnWidth_px > ((float) screenWidth)) {
            btnPosX_px -= (btnPosX_px + btnWidth_px) - ((float) screenWidth);
            FtUtil.log_d("UIFingerprintCalTestQcom", "drawCalStartBtn", " modified btnPosX_px:" + btnPosX_px);
        }
        if (btnPosY_px + btnHeight_px > ((float) screenHeight)) {
            btnPosY_px -= (btnPosY_px + btnHeight_px) - ((float) screenHeight);
            FtUtil.log_d("UIFingerprintCalTestQcom", "drawCalStartBtn", " modified btnPosY_px:" + btnPosY_px);
        }
        this.mBtnStart.setTextSize(1, 12.0f);
        this.mBtnStart.setLayoutParams(new AbsoluteLayout.LayoutParams((int) btnWidth_px, (int) btnHeight_px, (int) btnPosX_px, (int) btnPosY_px));
        this.mBtnStart.setVisibility(0);
        this.mBtnStart.setOnTouchListener(new View.OnTouchListener() {
            /* class com.sec.factory.app.ui.UIFingerprintCalTestQcom.AnonymousClass2 */

            public boolean onTouch(View view, MotionEvent motionEvent) {
                if (motionEvent.getAction() != 1) {
                    return false;
                }
                UIFingerprintCalTestQcom.this.mBtnStart.setVisibility(8);
                FtUtil.log_d("UIFingerprintCalTestQcom", "onTouch", "Start Button Touched");
                FtUtil.Sleep.sleep(UIFingerprintCalTestQcom.this.startButtonDelay);
                UIFingerprintCalTestQcom.this.startTest();
                return false;
            }
        });
    }

    /* access modifiers changed from: package-private */
    /* renamed from: com.sec.factory.app.ui.UIFingerprintCalTestQcom$3  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass3 {
        static final /* synthetic */ int[] $SwitchMap$com$sec$factory$support$Status;

        static {
            int[] iArr = new int[Status.values().length];
            $SwitchMap$com$sec$factory$support$Status = iArr;
            try {
                iArr[Status.PASS.ordinal()] = 1;
            } catch (NoSuchFieldError e) {
            }
            try {
                $SwitchMap$com$sec$factory$support$Status[Status.FAIL_UNKNOWN.ordinal()] = 2;
            } catch (NoSuchFieldError e2) {
            }
            try {
                $SwitchMap$com$sec$factory$support$Status[Status.FAIL_CONTAMINATION_WEAK.ordinal()] = 3;
            } catch (NoSuchFieldError e3) {
            }
            try {
                $SwitchMap$com$sec$factory$support$Status[Status.FAIL_CONTAMINATION_STRONG.ordinal()] = 4;
            } catch (NoSuchFieldError e4) {
            }
            try {
                $SwitchMap$com$sec$factory$support$Status[Status.FAIL_MEMORY_DEFECT.ordinal()] = 5;
            } catch (NoSuchFieldError e5) {
            }
            try {
                $SwitchMap$com$sec$factory$support$Status[Status.FAIL_M0_DEFECT.ordinal()] = 6;
            } catch (NoSuchFieldError e6) {
            }
            try {
                $SwitchMap$com$sec$factory$support$Status[Status.FAIL_SANITY_ERROR_20.ordinal()] = 7;
            } catch (NoSuchFieldError e7) {
            }
            try {
                $SwitchMap$com$sec$factory$support$Status[Status.FAIL_INVALID_TEMP.ordinal()] = 8;
            } catch (NoSuchFieldError e8) {
            }
            try {
                $SwitchMap$com$sec$factory$support$Status[Status.FAIL_NOT_DEFINED.ordinal()] = 9;
            } catch (NoSuchFieldError e9) {
            }
            try {
                $SwitchMap$com$sec$factory$support$Status[Status.FAIL_TOUCH.ordinal()] = 10;
            } catch (NoSuchFieldError e10) {
            }
            try {
                $SwitchMap$com$sec$factory$support$Status[Status.RUNNING.ordinal()] = 11;
            } catch (NoSuchFieldError e11) {
            }
        }
    }

    private void updateStatus(Status status) {
        FtUtil.log_d("UIFingerprintCalTestQcom", "updateStatus", " status:" + status.name());
        switch (AnonymousClass3.$SwitchMap$com$sec$factory$support$Status[status.ordinal()]) {
            case 1:
                this.mTvStatus.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                this.mTvStatus.setText(R.string.PASS);
                return;
            case 2:
                this.mTvStatus.setText(R.string.fingerprint_cal_contamination_fail_unknown);
                this.mTvStatus.setTextColor(-65536);
                return;
            case 3:
                this.mTvStatus.setText(R.string.fingerprint_cal_contamination_fail_weak);
                this.mTvStatus.setTextColor(-65536);
                return;
            case 4:
                this.mTvStatus.setText(R.string.fingerprint_cal_contamination_fail_strong);
                this.mTvStatus.setTextColor(-65536);
                return;
            case 5:
                this.mTvStatus.setText(R.string.fingerprint_cal_contamination_fail_memory_defect);
                this.mTvStatus.setTextColor(-65536);
                return;
            case 6:
                this.mTvStatus.setText(R.string.fingerprint_cal_contamination_fail_m0_defect);
                this.mTvStatus.setTextColor(-65536);
                return;
            case 7:
                this.mTvStatus.setText(R.string.fingerprint_cal_contamination_fail_sanity_error_20);
                this.mTvStatus.setTextColor(-65536);
                return;
            case 8:
                this.mTvStatus.setText(R.string.fingerprint_cal_contamination_fail_invalid_temp);
                this.mTvStatus.setTextColor(-65536);
                return;
            case 9:
                this.mTvStatus.setText(R.string.fingerprint_cal_contamination_fail_not_defined);
                this.mTvStatus.setTextColor(-65536);
                return;
            case 10:
                this.mTvStatus.setText(R.string.fingerprint_cal_contamination_fail_touch);
                this.mTvStatus.setTextColor(-65536);
                return;
            case 11:
                this.mTvStatus.setTextColor(getResources().getColor(R.color.forest_green));
                this.mTvStatus.setText(R.string.RUNNING);
                return;
            default:
                this.mTvStatus.setText(R.string.FAIL);
                this.mTvStatus.setTextColor(-65536);
                return;
        }
    }

    public boolean onTouchEvent(MotionEvent event) {
        FtUtil.log_d("UIFingerprintCalTestQcom", "onTouchEvent", event.toString());
        if (!this.isTouched && this.isRunning) {
            this.isTouched = true;
        }
        return super.onTouchEvent(event);
    }

    public void setTestNvReset(int testId) {
        FtUtil.log_d("UIFingerprintCalTestQcom", "setTestNvReset", "test_id: " + testId + " nvKey:" + 58);
        NVAccessor.setNV(58, (byte) 78);
        FactoryTestManager.notifyDataSetChanged();
        try {
            FactoryTestManager.doUIupdatefromNV(58, (byte) 78);
        } catch (NullPointerException e) {
            FtUtil.log_e("UIFingerprintCalTestQcom", "setTestNvReset", "FAIL - FactoryTestManager.doUIupdatefromNV");
            e.printStackTrace();
        }
    }
}
