package com.sec.factory.app.ui;

import android.app.AlertDialog;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Bundle;
import com.sec.factory.common.CommonFingerprintQcom;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;

public class UIFingerprintControllerQcom extends UIBase {
    private final String CLASS_NAME = "UIFingerprintControllerQcom";
    private final int FINGERPRINT_CAL = 1;
    private final int FINGERPRINT_SCAN = 2;
    private CommonFingerprintQcom mCommonFingerprintQcom;
    private BroadcastReceiver mReceiver = null;

    public UIFingerprintControllerQcom() {
        super("UIFingerprintControllerQcom");
    }

    private void RegisterReceiver() {
        FtUtil.log_d("UIFingerprintControllerQcom", "RegisterReceiver", "RegisterReceiver");
        IntentFilter mFilter = new IntentFilter();
        mFilter.addAction("com.sec.factory.aporiented.athandler.AtFpsensorQcom.MSG_GET_SNR_START_BTN_VISIBILITY");
        mFilter.setPriority(20);
        AnonymousClass1 r1 = new BroadcastReceiver() {
            /* class com.sec.factory.app.ui.UIFingerprintControllerQcom.AnonymousClass1 */

            public void onReceive(Context context, Intent intent) {
                String action = intent.getAction();
                FtUtil.log_d("UIFingerprintControllerQcom", "onReceive", " Action:" + action);
                if (action.equals("com.sec.factory.aporiented.athandler.AtFpsensorQcom.MSG_GET_SNR_START_BTN_VISIBILITY")) {
                    setResultData("WAIT");
                }
            }
        };
        this.mReceiver = r1;
        registerReceiver(r1, mFilter);
    }

    private void UnregisterReceiver() {
        if (this.mReceiver != null) {
            FtUtil.log_d("UIFingerprintControllerQcom", "UnregisterReceiver", "UnregisterReceiver");
            unregisterReceiver(this.mReceiver);
            this.mReceiver = null;
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        if ("QCOM".equals(Support.Kernel.read(Support.Kernel.FINGERPRINT_VENDOR))) {
            this.TEST_ID = getIntent().getIntExtra("testID", 67);
            CommonFingerprintQcom commonFingerprintQcom = new CommonFingerprintQcom(this, "UIFingerprintControllerQcom");
            this.mCommonFingerprintQcom = commonFingerprintQcom;
            commonFingerprintQcom.killRunningService("com.sec.factory", "com.sec.factory.modules.FingerprintServiceQcom");
            RegisterReceiver();
            startTest(1);
            return;
        }
        AlertDialog alertDialog = new AlertDialog.Builder(this).setPositiveButton("O K", new DialogInterface.OnClickListener() {
            /* class com.sec.factory.app.ui.UIFingerprintControllerQcom.AnonymousClass2 */

            public void onClick(DialogInterface dialog, int which) {
                UIFingerprintControllerQcom.this.finish();
            }
        }).create();
        alertDialog.setTitle("WARNING");
        alertDialog.setMessage("Device Not Supported");
        alertDialog.setCancelable(false);
        alertDialog.show();
        alertDialog.getWindow().setGravity(17);
        alertDialog.getButton(-1).setGravity(17);
    }

    private boolean startTest(int testCode) {
        FtUtil.log_d("UIFingerprintControllerQcom", "startTest", " testCode:" + testCode);
        Intent i = new Intent();
        i.putExtra("testID", this.TEST_ID);
        boolean mIsAtCmd = getIntent().getBooleanExtra("mIsAtCmd", false);
        FtUtil.log_d("UIFingerprintControllerQcom", "startTest", " mIsAtCmd:" + mIsAtCmd);
        if (mIsAtCmd) {
            i.putExtra("Extra_TestWay", CommonFingerprintQcom.ATCMD);
        } else {
            i.putExtra("Extra_TestWay", CommonFingerprintQcom.MANUAL);
        }
        switch (testCode) {
            case 1:
                i.setClass(this, UIFingerprintCalTestQcom.class);
                startActivityForResult(i, testCode);
                return true;
            case 2:
                i.setClass(this, UIFingerprintTestQcom.class);
                startActivityForResult(i, testCode);
                return true;
            default:
                return false;
        }
    }

    /* access modifiers changed from: protected */
    public void onActivityResult(int requestCode, int resultCode, Intent data) {
        super.onActivityResult(requestCode, resultCode, data);
        if (resultCode == -1) {
            FtUtil.log_d("UIFingerprintControllerQcom", "onActivityResult", " PASS - requestCode:" + requestCode + " resultCode:" + resultCode);
            if (!startTest(requestCode + 1)) {
                setResult(-1);
                UnregisterReceiver();
                finish();
                return;
            }
            return;
        }
        FtUtil.log_d("UIFingerprintControllerQcom", "onActivityResult", " FAIL - requestCode:" + requestCode + " resultCode:" + resultCode);
        UnregisterReceiver();
        finish();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
        UnregisterReceiver();
    }
}
