package com.sec.factory.app.ui;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Bundle;
import android.os.Handler;
import android.view.View;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.common.CommonFingerprintQcom;
import com.sec.factory.support.FtUtil;
import com.sec.factory.support.Status;
import java.util.Objects;

public class UIFingerprintIntCheckTestQcom extends UIBase {
    private final String CLASS_NAME = "UIFingerprintIntCheckTestQcom";
    private final long intCheckTimeOut = 5000;
    private boolean isReceived_MSG_CAPTURE_READY = false;
    private boolean isRunning = false;
    private CommonFingerprintQcom mCommonFingerprintQcom;
    private final Handler mHandler = new Handler();
    private Status mInt1Result = Status.NOTEST;
    private Status mInt2Result = Status.NOTEST;
    private BroadcastReceiver mReceiver;
    private TextView mTvInt1Status;
    private TextView mTvInt2Status;

    public UIFingerprintIntCheckTestQcom() {
        super("UIFingerprintIntCheckTestQcom", 86);
    }

    private void RegisterReceiver() {
        FtUtil.log_d("UIFingerprintIntCheckTestQcom", "RegisterReceiver", "RegisterReceiver");
        IntentFilter mFilter = new IntentFilter();
        Objects.requireNonNull(this.mCommonFingerprintQcom);
        mFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_INT1_SUCCESS");
        Objects.requireNonNull(this.mCommonFingerprintQcom);
        mFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_INT1_FAIL");
        Objects.requireNonNull(this.mCommonFingerprintQcom);
        mFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_CAPTURE_READY");
        Objects.requireNonNull(this.mCommonFingerprintQcom);
        mFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_CAPTURE_SUCCESS");
        Objects.requireNonNull(this.mCommonFingerprintQcom);
        mFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_CAPTURE_FAIL");
        Objects.requireNonNull(this.mCommonFingerprintQcom);
        mFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_TIME_OUT");
        AnonymousClass1 r1 = new BroadcastReceiver() {
            /* class com.sec.factory.app.ui.UIFingerprintIntCheckTestQcom.AnonymousClass1 */

            public void onReceive(Context context, Intent intent) {
                String action = intent.getAction();
                FtUtil.log_d("UIFingerprintIntCheckTestQcom", "onReceive", "Action: " + action);
                Objects.requireNonNull(UIFingerprintIntCheckTestQcom.this.mCommonFingerprintQcom);
                if (!action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_INT1_SUCCESS")) {
                    Objects.requireNonNull(UIFingerprintIntCheckTestQcom.this.mCommonFingerprintQcom);
                    if (!action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_INT1_FAIL")) {
                        Objects.requireNonNull(UIFingerprintIntCheckTestQcom.this.mCommonFingerprintQcom);
                        if (!action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_CAPTURE_READY")) {
                            Objects.requireNonNull(UIFingerprintIntCheckTestQcom.this.mCommonFingerprintQcom);
                            if (!action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_CAPTURE_SUCCESS")) {
                                Objects.requireNonNull(UIFingerprintIntCheckTestQcom.this.mCommonFingerprintQcom);
                                if (!action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_CAPTURE_FAIL")) {
                                    Objects.requireNonNull(UIFingerprintIntCheckTestQcom.this.mCommonFingerprintQcom);
                                    if (action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_TIME_OUT")) {
                                        UIFingerprintIntCheckTestQcom.this.updateStatus(CommonFingerprintQcom.TestType.INT2, Status.FAIL);
                                        UIFingerprintIntCheckTestQcom.this.setIntResult(CommonFingerprintQcom.TestType.INT2, Status.FAIL_TIMEOUT);
                                    }
                                }
                            }
                            UIFingerprintIntCheckTestQcom.this.updateStatus(CommonFingerprintQcom.TestType.INT2, Status.PASS);
                            UIFingerprintIntCheckTestQcom.this.setIntResult(CommonFingerprintQcom.TestType.INT2, Status.PASS);
                        } else if (UIFingerprintIntCheckTestQcom.this.isReceived_MSG_CAPTURE_READY) {
                            FtUtil.log_d("UIFingerprintIntCheckTestQcom", "onReceive", "2nd MSG_CAPTURE_READY ignored");
                            return;
                        } else {
                            UIFingerprintIntCheckTestQcom.this.isReceived_MSG_CAPTURE_READY = true;
                            if (UIFingerprintIntCheckTestQcom.this.mCommonFingerprintQcom.controlTspInt(true)) {
                                UIFingerprintIntCheckTestQcom.this.mCommonFingerprintQcom.controlTspInt(false);
                                return;
                            }
                            UIFingerprintIntCheckTestQcom.this.mCommonFingerprintQcom.controlTspInt(false);
                            UIFingerprintIntCheckTestQcom.this.updateStatus(CommonFingerprintQcom.TestType.INT2, Status.FAIL);
                            UIFingerprintIntCheckTestQcom.this.setIntResult(CommonFingerprintQcom.TestType.INT2, Status.FAIL_INT2);
                        }
                        UIFingerprintIntCheckTestQcom.this.stopTest();
                        UIFingerprintIntCheckTestQcom.this.onResult();
                        return;
                    }
                }
                Objects.requireNonNull(UIFingerprintIntCheckTestQcom.this.mCommonFingerprintQcom);
                if (action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_INT1_SUCCESS")) {
                    UIFingerprintIntCheckTestQcom.this.updateStatus(CommonFingerprintQcom.TestType.INT1, Status.PASS);
                    UIFingerprintIntCheckTestQcom.this.setIntResult(CommonFingerprintQcom.TestType.INT1, Status.PASS);
                } else {
                    UIFingerprintIntCheckTestQcom.this.updateStatus(CommonFingerprintQcom.TestType.INT1, Status.FAIL);
                    UIFingerprintIntCheckTestQcom.this.setIntResult(CommonFingerprintQcom.TestType.INT1, Status.FAIL_INT1);
                }
                UIFingerprintIntCheckTestQcom.this.updateStatus(CommonFingerprintQcom.TestType.INT2, Status.RUNNING);
                if (UIFingerprintIntCheckTestQcom.this.mCommonFingerprintQcom.startInt2()) {
                    UIFingerprintIntCheckTestQcom.this.mCommonFingerprintQcom.startCheckTimeOut(5000);
                    return;
                }
                UIFingerprintIntCheckTestQcom.this.updateStatus(CommonFingerprintQcom.TestType.INT2, Status.FAIL);
                UIFingerprintIntCheckTestQcom.this.setIntResult(CommonFingerprintQcom.TestType.INT2, Status.FAIL_INT2);
            }
        };
        this.mReceiver = r1;
        registerReceiver(r1, mFilter);
    }

    private void UnregisterReceiver() {
        if (this.mReceiver != null) {
            FtUtil.log_d("UIFingerprintIntCheckTestQcom", "UnregisterReceiver", "UnregisterReceiver");
            unregisterReceiver(this.mReceiver);
            this.mReceiver = null;
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_fingerprint_int_check_qcom);
        FtUtil.setRemoveSystemUI(getWindow(), true);
        this.mTvInt1Status = (TextView) findViewById(R.id.int1Status);
        this.mTvInt2Status = (TextView) findViewById(R.id.int2Status);
        CommonFingerprintQcom commonFingerprintQcom = new CommonFingerprintQcom(this, "UIFingerprintIntCheckTestQcom");
        this.mCommonFingerprintQcom = commonFingerprintQcom;
        commonFingerprintQcom.killRunningService("com.sec.factory", "com.sec.factory.modules.FingerprintServiceQcom");
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        this.isRunning = true;
        updateStatus(CommonFingerprintQcom.TestType.INT1, Status.RUNNING);
        RegisterReceiver();
        this.mHandler.postDelayed(new Runnable() {
            /* class com.sec.factory.app.ui.UIFingerprintIntCheckTestQcom.AnonymousClass2 */

            public void run() {
                UIFingerprintIntCheckTestQcom.this.mCommonFingerprintQcom.startInt1();
            }
        }, 100);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        if (this.isRunning) {
            String itemName_ID = FactoryTestManager.getItemName_ID(this.TEST_ID);
            FtUtil.log_d("UIFingerprintIntCheckTestQcom", "onPause", FtUtil.setMspSeqMessage(1, itemName_ID, "INT1:" + this.mInt1Result.name() + ", INT2:" + this.mInt2Result.name()));
            stopTest();
        }
        this.mHandler.removeCallbacksAndMessages(null);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void stopTest() {
        FtUtil.log_d("UIFingerprintIntCheckTestQcom", "stopTest", "stopTest");
        this.mCommonFingerprintQcom.endCheckTimeOut();
        this.mCommonFingerprintQcom.disableListeners();
        this.mCommonFingerprintQcom.cancelIntCheckOpeation();
        this.mCommonFingerprintQcom.endFpManger();
        UnregisterReceiver();
        this.isRunning = false;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void onResult() {
        FtUtil.log_d("UIFingerprintIntCheckTestQcom", "onResult", "INT1:" + this.mInt1Result.name() + ", INT2:" + this.mInt2Result.name());
        if (this.mInt1Result == Status.PASS && this.mInt2Result == Status.PASS) {
            setTestResult(this.TEST_ID, (byte) 80);
            setResult(-1);
            finish();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setIntResult(CommonFingerprintQcom.TestType testType, Status status) {
        switch (AnonymousClass3.$SwitchMap$com$sec$factory$common$CommonFingerprintQcom$TestType[testType.ordinal()]) {
            case 1:
                this.mInt1Result = status;
                break;
            case 2:
                this.mInt2Result = status;
                break;
        }
        String itemName_ID = FactoryTestManager.getItemName_ID(this.TEST_ID);
        FtUtil.log_d("UIFingerprintIntCheckTestQcom", "setIntResult", FtUtil.setMspSeqMessage(1, itemName_ID, "INT1:" + this.mInt1Result.name() + ", INT2:" + this.mInt2Result.name()));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void updateStatus(CommonFingerprintQcom.TestType testType, Status status) {
        FtUtil.log_d("UIFingerprintIntCheckTestQcom", "updateStatus", " testType:" + testType.name() + " status:" + status.name());
        TextView tvStatus = testType == CommonFingerprintQcom.TestType.INT1 ? this.mTvInt1Status : this.mTvInt2Status;
        switch (AnonymousClass3.$SwitchMap$com$sec$factory$support$Status[status.ordinal()]) {
            case 1:
                tvStatus.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                tvStatus.setText(R.string.PASS);
                return;
            case 2:
                tvStatus.setTextColor(-65536);
                tvStatus.setText(R.string.FAIL);
                return;
            case 3:
                tvStatus.setTextColor(getResources().getColor(R.color.forest_green));
                tvStatus.setText(R.string.RUNNING);
                return;
            case 4:
                tvStatus.setTextColor(-16777216);
                tvStatus.setText(R.string.READY);
                return;
            default:
                return;
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: com.sec.factory.app.ui.UIFingerprintIntCheckTestQcom$3  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass3 {
        static final /* synthetic */ int[] $SwitchMap$com$sec$factory$common$CommonFingerprintQcom$TestType;
        static final /* synthetic */ int[] $SwitchMap$com$sec$factory$support$Status;

        static {
            int[] iArr = new int[Status.values().length];
            $SwitchMap$com$sec$factory$support$Status = iArr;
            try {
                iArr[Status.PASS.ordinal()] = 1;
            } catch (NoSuchFieldError e) {
            }
            try {
                $SwitchMap$com$sec$factory$support$Status[Status.FAIL.ordinal()] = 2;
            } catch (NoSuchFieldError e2) {
            }
            try {
                $SwitchMap$com$sec$factory$support$Status[Status.RUNNING.ordinal()] = 3;
            } catch (NoSuchFieldError e3) {
            }
            try {
                $SwitchMap$com$sec$factory$support$Status[Status.READY.ordinal()] = 4;
            } catch (NoSuchFieldError e4) {
            }
            int[] iArr2 = new int[CommonFingerprintQcom.TestType.values().length];
            $SwitchMap$com$sec$factory$common$CommonFingerprintQcom$TestType = iArr2;
            try {
                iArr2[CommonFingerprintQcom.TestType.INT1.ordinal()] = 1;
            } catch (NoSuchFieldError e5) {
            }
            try {
                $SwitchMap$com$sec$factory$common$CommonFingerprintQcom$TestType[CommonFingerprintQcom.TestType.INT2.ordinal()] = 2;
            } catch (NoSuchFieldError e6) {
            }
        }
    }

    public void onExitButtonClicked(View v) {
        FtUtil.log_d("UIFingerprintIntCheckTestQcom", "onExitButtonClicked", "onExitButtonClicked");
        finish();
    }
}
