package com.sec.factory.app.ui;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Point;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.provider.Settings;
import android.view.Display;
import android.view.KeyEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.WindowManager;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.aporiented.athandler.AtMulfuncf;
import com.sec.factory.common.CommonFingerprintEgis;
import com.sec.factory.support.FtUtil;
import java.lang.ref.WeakReference;
import java.util.ArrayList;

public class UIFingerprintSnrTestEgis extends UIBase implements View.OnClickListener {
    private static final String PATH_SNR_IMAGE = "/data/egis_after_rubber.bmp";
    private String UTOPIA_TAG = "[UTOPIA_FINGERPRINT]";
    private Button mButtonOk;
    private CommonFingerprintEgis mCommonFingerprintEgis;
    private final StatusHandler mHandler = new StatusHandler(this);
    private ImageView mIvSnrImage;
    private BroadcastReceiver mReceiver = null;
    private FingerPrintTestResultView mResultView;
    private TextView mTvCurrentStatus;
    private TextView mTvCurrentStep;

    public UIFingerprintSnrTestEgis() {
        super("UIFingerprintSnrTestEgis", 67);
        this.ONPASS_FINISH_DELAY = 1000;
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        FtUtil.log_d(this.CLASS_NAME, "onCreate", "");
        this.TEST_ID = getIntent().getIntExtra("testID", 67);
        setContentView(R.layout.ui_fingerprint_snr_test);
        CommonFingerprintEgis instance = CommonFingerprintEgis.instance(this);
        this.mCommonFingerprintEgis = instance;
        instance.setHandler(this.mHandler);
        setAtCmd(true);
        initLayout();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        FtUtil.log_d(this.CLASS_NAME, "onResume", "");
        super.onResume();
        RegisterReceiver();
        this.mCommonFingerprintEgis.initSnrCapTest();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        FtUtil.log_d(this.CLASS_NAME, "onPause", "");
        super.onPause();
        UnregisterReceiver();
        this.mHandler.removeCallbacksAndMessages(null);
        this.mCommonFingerprintEgis.setHandler(null);
        this.mCommonFingerprintEgis.cancel();
        Settings.System.putString(getContentResolver(), "fp_test_step", CommonFingerprintEgis.STEP.NOTEST.name());
        Settings.System.putString(getContentResolver(), "fp_test_status", CommonFingerprintEgis.STATUS.NOTEST.name());
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        FtUtil.log_d(this.CLASS_NAME, "onDestroy", "");
        super.onDestroy();
    }

    private void initLayout() {
        FtUtil.log_d(this.CLASS_NAME, "init", "");
        this.mTvCurrentStep = (TextView) findViewById(R.id.fingerprint_message1);
        this.mTvCurrentStatus = (TextView) findViewById(R.id.fingerprint_message2);
        this.mIvSnrImage = (ImageView) findViewById(R.id.fingerprint_snrimage);
        FingerPrintTestResultView fingerPrintTestResultView = (FingerPrintTestResultView) findViewById(R.id.fingerprint_resultview);
        this.mResultView = fingerPrintTestResultView;
        fingerPrintTestResultView.setVisibility(8);
        Button button = (Button) findViewById(R.id.button_start);
        this.mButtonOk = button;
        button.setOnClickListener(this);
        this.mButtonOk.setVisibility(8);
        this.mTvCurrentStep.setText("SNR test data scan");
        this.mTvCurrentStatus.setText("No term data Scanning.....");
    }

    private void showResult(ArrayList<CommonFingerprintEgis.FpTestItem> listFpTest) {
        FtUtil.log_d(this.CLASS_NAME, "showResult", "");
        this.mTvCurrentStatus.setText("SNR test data scan finished");
        Display display = ((WindowManager) getApplicationContext().getSystemService("window")).getDefaultDisplay();
        Point outpoint = new Point();
        display.getRealSize(outpoint);
        ViewGroup.LayoutParams params = this.mIvSnrImage.getLayoutParams();
        params.width = outpoint.y / 6;
        params.height = outpoint.y / 6;
        this.mIvSnrImage.setLayoutParams(params);
        Bitmap bitmap = BitmapFactory.decodeFile(PATH_SNR_IMAGE);
        int i = 0;
        this.mIvSnrImage.setVisibility(0);
        this.mIvSnrImage.setImageBitmap(bitmap);
        this.mResultView.setVisibility(0);
        this.mResultView.setCanvasSize(outpoint.x, outpoint.y / 4);
        this.mResultView.setRowCol(listFpTest.size() + 1, 10);
        this.mResultView.setTextData(0, 0, "Item");
        int i2 = 3;
        this.mResultView.setTextData(0, 3, "Spec");
        this.mResultView.setTextData(0, 6, "Value");
        this.mResultView.setTextData(0, 8, "Result");
        boolean isAllPass = true;
        int i3 = 0;
        while (i3 < listFpTest.size()) {
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "showResult", this.UTOPIA_TAG + listFpTest.get(i3).toString());
            String testName = listFpTest.get(i3).getTestName();
            String testSpec = listFpTest.get(i3).getTestSpec();
            String testResult = listFpTest.get(i3).getTestResult();
            boolean itemPass = listFpTest.get(i3).getIsPass();
            if (!itemPass) {
                isAllPass = false;
            }
            this.mResultView.setTextData(i3 + 1, i, testName);
            this.mResultView.setTextData(i3 + 1, i2, testSpec);
            this.mResultView.setTextData(i3 + 1, 6, testResult);
            this.mResultView.setTextData(i3 + 1, 8, itemPass ? "PASS" : "FAIL");
            i3++;
            i = 0;
            i2 = 3;
        }
        TextView tvPassFail = (TextView) findViewById(R.id.fingerprint_result);
        tvPassFail.setVisibility(0);
        ((TextView) findViewById(R.id.fingerprint_result_title)).setVisibility(0);
        if (!isAllPass || listFpTest.size() == 0) {
            tvPassFail.setTextColor(-65536);
            tvPassFail.setText(R.string.FAIL);
            setTestResultFailCase(this.TEST_ID);
            return;
        }
        tvPassFail.setTextColor(UiHallICTest.FONT_COLOR_PASS);
        tvPassFail.setText(R.string.PASS);
        setTestResult((byte) 80);
        finishOnPassWithTimer();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void handleMessage(Message msg) {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "handleMessage", "" + msg.what);
        switch (msg.what) {
            case 208:
                Settings.System.putString(getContentResolver(), "fp_test_step", CommonFingerprintEgis.STEP.SNR.name());
                Settings.System.putString(getContentResolver(), "fp_test_status", CommonFingerprintEgis.STATUS.READY.name());
                this.mButtonOk.setVisibility(0);
                this.mTvCurrentStatus.setText("No term data scan finished!\n\nPut stimulus on the sensor\nand press OK");
                return;
            case 500:
                showResult((ArrayList) msg.obj);
                return;
            default:
                return;
        }
    }

    public void onClick(View view) {
        switch (view.getId()) {
            case R.id.button_exit:
                FtUtil.log_d(this.CLASS_NAME, "onClick", "exit button");
                finish();
                return;
            case R.id.button_start:
                FtUtil.log_d(this.CLASS_NAME, "onClick", "ok button");
                String step = Settings.System.getString(getContentResolver(), "fp_test_step");
                String status = Settings.System.getString(getContentResolver(), "fp_test_status");
                String str = this.CLASS_NAME;
                FtUtil.log_d(str, "handleCommand", "step : " + step + "/ status : " + status);
                if ("SNR".equalsIgnoreCase(step) && "READY".equalsIgnoreCase(status)) {
                    FtUtil.log_d(this.CLASS_NAME, "onClick", "run SNR test");
                    Settings.System.putString(getContentResolver(), "fp_test_status", CommonFingerprintEgis.STATUS.RUNNING.name());
                    this.mButtonOk.setVisibility(8);
                    this.mTvCurrentStatus.setText("SIGNAL LOSS data scanning...");
                    this.mHandler.postDelayed(new Runnable() {
                        /* class com.sec.factory.app.ui.UIFingerprintSnrTestEgis.AnonymousClass1 */

                        public void run() {
                            UIFingerprintSnrTestEgis.this.mCommonFingerprintEgis.startSnrCapTest();
                        }
                    }, 700);
                    return;
                }
                return;
            default:
                return;
        }
    }

    @Override // com.sec.factory.app.ui.UIBase
    public boolean onKeyDown(int keyCode, KeyEvent event) {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "onKeyDown", "keycode : " + keyCode + ", KeyEvent : " + event);
        if (keyCode == 3 || keyCode == 26) {
            this.mButtonOk.performClick();
        }
        return super.onKeyDown(keyCode, event);
    }

    private void RegisterReceiver() {
        FtUtil.log_d(this.CLASS_NAME, "RegisterReceiver", "RegisterReceiver");
        IntentFilter filter = new IntentFilter();
        filter.addAction(AtMulfuncf.MSG_SNR_START_BUTTON_PRESSED);
        AnonymousClass2 r1 = new BroadcastReceiver() {
            /* class com.sec.factory.app.ui.UIFingerprintSnrTestEgis.AnonymousClass2 */

            public void onReceive(Context context, Intent intent) {
                String action = intent.getAction();
                String str = UIFingerprintSnrTestEgis.this.CLASS_NAME;
                FtUtil.log_d(str, "onReceive", " Action:" + action);
                if (AtMulfuncf.MSG_SNR_START_BUTTON_PRESSED.equals(action)) {
                    FtUtil.log_d(UIFingerprintSnrTestEgis.this.CLASS_NAME, "onReceive", "performClick by broadcasting");
                    UIFingerprintSnrTestEgis.this.mButtonOk.performClick();
                }
            }
        };
        this.mReceiver = r1;
        registerReceiver(r1, filter);
    }

    private void UnregisterReceiver() {
        if (this.mReceiver != null) {
            FtUtil.log_d(this.CLASS_NAME, "UnregisterReceiver", "UnregisterReceiver");
            unregisterReceiver(this.mReceiver);
            this.mReceiver = null;
        }
    }

    private static class StatusHandler extends Handler {
        private final WeakReference<UIFingerprintSnrTestEgis> mActivity;

        public StatusHandler(UIFingerprintSnrTestEgis activity) {
            this.mActivity = new WeakReference<>(activity);
        }

        public void handleMessage(Message msg) {
            UIFingerprintSnrTestEgis activity = this.mActivity.get();
            if (activity != null) {
                activity.handleMessage(msg);
            }
        }
    }
}
