package com.sec.factory.app.ui;

import android.content.Intent;
import android.graphics.Point;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.provider.Settings;
import android.view.Display;
import android.view.WindowManager;
import android.widget.LinearLayout;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.common.CommonFingerprintGoodix;
import com.sec.factory.support.FtUtil;
import java.util.ArrayList;

public class UIFingerprintTestGoodix extends UIBase {
    private String UTOPIA_TAG = "[UTOPIA_FINGERPRINT]";
    private CommonFingerprintGoodix mCommonFingerprintGoodix;
    private Handler mHandler = new Handler(Looper.myLooper());
    private LinearLayout mLlBtnExit;
    private FingerPrintTestResultView mResultView;
    private TextView mTvCurrentStatus;
    private TextView mTvCurrentStep;

    public UIFingerprintTestGoodix() {
        super("UIFingerprintTestGoodix", 67);
        this.ONPASS_FINISH_DELAY = 1000;
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        FtUtil.log_d(this.CLASS_NAME, "onCreate", "");
        this.TEST_ID = getIntent().getIntExtra("testID", 67);
        setContentView(R.layout.fingerprint_test_touch);
        this.mCommonFingerprintGoodix = CommonFingerprintGoodix.instance(this);
        initLayout();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        FtUtil.log_d(this.CLASS_NAME, "onResume", "");
        super.onResume();
        Settings.System.putString(getContentResolver(), "fp_test_step", CommonFingerprintGoodix.STEP.NORMALSCAN.name());
        new Thread(new Runnable() {
            /* class com.sec.factory.app.ui.UIFingerprintTestGoodix.AnonymousClass1 */

            public void run() {
                final ArrayList<CommonFingerprintGoodix.FpTestItem> listFpTestItemNormalScan = UIFingerprintTestGoodix.this.mCommonFingerprintGoodix.startNormalScan();
                UIFingerprintTestGoodix.this.runOnUiThread(new Runnable() {
                    /* class com.sec.factory.app.ui.UIFingerprintTestGoodix.AnonymousClass1.AnonymousClass1 */

                    public void run() {
                        UIFingerprintTestGoodix.this.showResult(listFpTestItemNormalScan);
                    }
                });
            }
        }).start();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        FtUtil.log_d(this.CLASS_NAME, "onPause", "");
        super.onPause();
        this.mHandler.removeCallbacksAndMessages(null);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        FtUtil.log_d(this.CLASS_NAME, "onDestroy", "");
        super.onDestroy();
    }

    private void initLayout() {
        FtUtil.log_d(this.CLASS_NAME, "init", "");
        this.mTvCurrentStep = (TextView) findViewById(R.id.fingerprint_message1);
        this.mTvCurrentStatus = (TextView) findViewById(R.id.fingerprint_message2);
        this.mLlBtnExit = (LinearLayout) findViewById(R.id.fingerprint_btn_ll);
        FingerPrintTestResultView fingerPrintTestResultView = (FingerPrintTestResultView) findViewById(R.id.fingerprint_resultview);
        this.mResultView = fingerPrintTestResultView;
        fingerPrintTestResultView.setVisibility(8);
        ((FingerPrintTestResultView) findViewById(R.id.fingerprint_snrzoneview)).setVisibility(8);
        this.mTvCurrentStep.setText("Normal data scan");
        this.mTvCurrentStatus.setText("Scanning...");
        this.mLlBtnExit.setVisibility(8);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void showResult(ArrayList<CommonFingerprintGoodix.FpTestItem> listFpTest) {
        FtUtil.log_d(this.CLASS_NAME, "showResult", "");
        this.mTvCurrentStatus.setText("Normal data scan finished");
        this.mResultView.setVisibility(0);
        Display display = ((WindowManager) getApplicationContext().getSystemService("window")).getDefaultDisplay();
        Point outpoint = new Point();
        display.getRealSize(outpoint);
        int i = 4;
        this.mResultView.setCanvasSize(outpoint.x, outpoint.y / 4);
        this.mResultView.setRowCol(listFpTest.size() + 1, 6);
        this.mResultView.setTextData(0, 0, "Item");
        int i2 = 3;
        this.mResultView.setTextData(0, 3, "Spec");
        this.mResultView.setTextData(0, 4, "Value");
        this.mResultView.setTextData(0, 5, "Result");
        boolean isAllPass = true;
        int i3 = 0;
        while (i3 < listFpTest.size()) {
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "showResult", this.UTOPIA_TAG + listFpTest.get(i3).toString());
            String testName = listFpTest.get(i3).getTestName();
            String testSpec = listFpTest.get(i3).getTestSpec();
            String testResult = listFpTest.get(i3).getTestResult();
            boolean itemPass = listFpTest.get(i3).getIsPass();
            if (!itemPass) {
                isAllPass = false;
            }
            this.mResultView.setTextData(i3 + 1, 0, testName);
            this.mResultView.setTextData(i3 + 1, i2, testSpec);
            this.mResultView.setTextData(i3 + 1, i, testResult);
            this.mResultView.setTextData(i3 + 1, 5, itemPass ? "PASS" : "FAIL");
            i3++;
            i2 = 3;
            i = 4;
        }
        TextView tvPassFail = (TextView) findViewById(R.id.fingerprint_result);
        tvPassFail.setVisibility(0);
        ((TextView) findViewById(R.id.fingerprint_result_title)).setVisibility(0);
        if (!isAllPass || listFpTest.size() == 0) {
            tvPassFail.setTextColor(-65536);
            tvPassFail.setText(R.string.FAIL);
            return;
        }
        tvPassFail.setTextColor(UiHallICTest.FONT_COLOR_PASS);
        tvPassFail.setText(R.string.PASS);
        this.mHandler.postDelayed(new Runnable() {
            /* class com.sec.factory.app.ui.UIFingerprintTestGoodix.AnonymousClass2 */

            public void run() {
                Intent i = new Intent();
                if (UIFingerprintTestGoodix.this.mCommonFingerprintGoodix.isOptical()) {
                    i.setClassName("com.sec.factory", "com.sec.factory.app.ui.UIFingerprintCalTestGoodix");
                } else {
                    i.setClassName("com.sec.factory", "com.sec.factory.app.ui.UIFingerprintSnrTestGoodix");
                }
                UIFingerprintTestGoodix.this.startActivity(i);
                UIFingerprintTestGoodix.this.finish();
            }
        }, 1000);
    }
}
