package com.sec.factory.app.ui;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Point;
import android.os.Bundle;
import android.os.Handler;
import android.util.DisplayMetrics;
import android.util.TypedValue;
import android.view.Display;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.WindowManager;
import android.widget.AbsoluteLayout;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.TableLayout;
import android.widget.TableRow;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.aporiented.athandler.AtMulfuncf;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.common.CommonFingerprintQcom;
import com.sec.factory.support.FtUtil;
import com.sec.factory.support.Status;
import com.sec.xmldata.support.NVAccessor;
import com.sec.xmldata.support.Support;
import java.util.List;
import java.util.Objects;

public class UIFingerprintTestQcom extends UIBase {
    private final String CLASS_NAME = "UIFingerprintTestQcom";
    private final long SnrFinishDelayForManual = 3000;
    private final long SnrScanTimeOut = 120000;
    private final long SnrStartButtonDelayForManual = 1000;
    private boolean isRunning = false;
    private AbsoluteLayout mAbsoluteLayout;
    private Button mBtnExit;
    private Button mBtnStartRight;
    private CommonFingerprintQcom mCommonFingerprintQcom;
    private Handler mHandler = new Handler();
    private ImageView mIvDeadMaskImage;
    private ImageView mIvFingerArea;
    private ImageView mIvFingerRect;
    private ImageView mIvSnrImage;
    private Status mNormalScanResult = Status.NOTEST;
    private BroadcastReceiver mReceiver = null;
    private Status mSnrScanResult = Status.NOTEST;
    private TableLayout mTableLayout;
    private int mTestWay;
    private TextView mTvScanStatus;
    private TextView mTvSubTitle;
    private final int tableTotalColumn = 4;

    public UIFingerprintTestQcom() {
        super("UIFingerprintTestQcom");
    }

    private void RegisterReceiver() {
        FtUtil.log_d("UIFingerprintTestQcom", "RegisterReceiver", "RegisterReceiver");
        IntentFilter mFilter = new IntentFilter();
        Objects.requireNonNull(this.mCommonFingerprintQcom);
        mFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_NORMAL_SCAN_SUCCESS");
        Objects.requireNonNull(this.mCommonFingerprintQcom);
        mFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_NORMAL_SCAN_FAIL");
        mFilter.addAction(AtMulfuncf.MSG_SNR_START_BUTTON_PRESSED);
        Objects.requireNonNull(this.mCommonFingerprintQcom);
        mFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_SNR_SCAN_READY");
        Objects.requireNonNull(this.mCommonFingerprintQcom);
        mFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_SNRc_SCAN_SUCCESS");
        Objects.requireNonNull(this.mCommonFingerprintQcom);
        mFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_SNR_SCAN_FAIL");
        Objects.requireNonNull(this.mCommonFingerprintQcom);
        mFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_SNR_SCAN_TIMEOUT");
        Objects.requireNonNull(this.mCommonFingerprintQcom);
        mFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_TIME_OUT");
        mFilter.addAction("com.sec.factory.aporiented.athandler.AtFpsensorQcom.MSG_GET_SNR_START_BTN_VISIBILITY");
        mFilter.setPriority(10);
        AnonymousClass1 r1 = new BroadcastReceiver() {
            /* class com.sec.factory.app.ui.UIFingerprintTestQcom.AnonymousClass1 */

            public void onReceive(Context context, Intent intent) {
                String action = intent.getAction();
                FtUtil.log_d("UIFingerprintTestQcom", "onReceive", "Action: " + action);
                Objects.requireNonNull(UIFingerprintTestQcom.this.mCommonFingerprintQcom);
                if (action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_NORMAL_SCAN_SUCCESS")) {
                    List<CommonFingerprintQcom.ScanData> scanDataList = UIFingerprintTestQcom.this.mCommonFingerprintQcom.getScanDataList(CommonFingerprintQcom.TestType.NORMALSCAN);
                    UIFingerprintTestQcom.this.drawScanResultTable(scanDataList);
                    boolean result = UIFingerprintTestQcom.this.mCommonFingerprintQcom.getFinalResultfromScanData(scanDataList);
                    if (result) {
                        UIFingerprintTestQcom.this.updateStatus(Status.PASS);
                        UIFingerprintTestQcom.this.setScanResult(CommonFingerprintQcom.TestType.NORMALSCAN, Status.PASS);
                    } else {
                        UIFingerprintTestQcom.this.updateStatus(Status.FAIL);
                        UIFingerprintTestQcom.this.setScanResult(CommonFingerprintQcom.TestType.NORMALSCAN, Status.FAIL_SPECOUT);
                    }
                    if (result && UIFingerprintTestQcom.this.TEST_ID == 67) {
                        UIFingerprintTestQcom.this.drawFpRect();
                        UIFingerprintTestQcom.this.drawSnrStartBtn();
                        UIFingerprintTestQcom.this.mAbsoluteLayout.setVisibility(0);
                        UIFingerprintTestQcom.this.mBtnExit.setVisibility(0);
                        UIFingerprintTestQcom.this.mCommonFingerprintQcom.startCheckTimeOut(120000);
                        return;
                    }
                } else {
                    Objects.requireNonNull(UIFingerprintTestQcom.this.mCommonFingerprintQcom);
                    if (action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_NORMAL_SCAN_FAIL")) {
                        UIFingerprintTestQcom.this.updateStatus(Status.FAIL);
                        UIFingerprintTestQcom.this.setScanResult(CommonFingerprintQcom.TestType.NORMALSCAN, Status.FAIL_SCAN);
                    } else if (!action.equals(AtMulfuncf.MSG_SNR_START_BUTTON_PRESSED)) {
                        Objects.requireNonNull(UIFingerprintTestQcom.this.mCommonFingerprintQcom);
                        if (action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_SNR_SCAN_READY")) {
                            UIFingerprintTestQcom.this.mTvSubTitle.setText(R.string.fingerprint_snr_scan);
                            UIFingerprintTestQcom.this.mTableLayout.removeViewsInLayout(1, UIFingerprintTestQcom.this.mTableLayout.getChildCount() - 1);
                            UIFingerprintTestQcom.this.mTableLayout.setVisibility(4);
                            UIFingerprintTestQcom.this.mCommonFingerprintQcom.startSNR();
                            return;
                        }
                        Objects.requireNonNull(UIFingerprintTestQcom.this.mCommonFingerprintQcom);
                        if (action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_SNRc_SCAN_SUCCESS")) {
                            List<CommonFingerprintQcom.ScanData> scanDataList2 = UIFingerprintTestQcom.this.mCommonFingerprintQcom.getScanDataList(CommonFingerprintQcom.TestType.SNRSCAN);
                            UIFingerprintTestQcom.this.drawScanResultTable(scanDataList2);
                            UIFingerprintTestQcom.this.showSnrImg();
                            UIFingerprintTestQcom.this.showDeadMaskImg();
                            if (UIFingerprintTestQcom.this.mCommonFingerprintQcom.getFinalResultfromScanData(scanDataList2)) {
                                UIFingerprintTestQcom.this.updateStatus(Status.PASS);
                                UIFingerprintTestQcom.this.setScanResult(CommonFingerprintQcom.TestType.SNRSCAN, Status.PASS);
                            } else {
                                UIFingerprintTestQcom.this.updateStatus(Status.FAIL);
                                UIFingerprintTestQcom.this.setScanResult(CommonFingerprintQcom.TestType.SNRSCAN, Status.FAIL_SPECOUT);
                                UIFingerprintTestQcom.this.mCommonFingerprintQcom.copySnrImg();
                            }
                        } else {
                            Objects.requireNonNull(UIFingerprintTestQcom.this.mCommonFingerprintQcom);
                            if (action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_SNR_SCAN_FAIL")) {
                                UIFingerprintTestQcom.this.updateStatus(Status.FAIL);
                                UIFingerprintTestQcom.this.setScanResult(CommonFingerprintQcom.TestType.SNRSCAN, Status.FAIL_SCAN);
                                UIFingerprintTestQcom.this.mCommonFingerprintQcom.copySnrImg();
                            } else {
                                Objects.requireNonNull(UIFingerprintTestQcom.this.mCommonFingerprintQcom);
                                if (action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_SNR_SCAN_TIMEOUT")) {
                                    UIFingerprintTestQcom.this.updateStatus(Status.FAIL);
                                    UIFingerprintTestQcom.this.setScanResult(CommonFingerprintQcom.TestType.SNRSCAN, Status.FAIL_CALLBACK_TIMEOUT);
                                } else {
                                    Objects.requireNonNull(UIFingerprintTestQcom.this.mCommonFingerprintQcom);
                                    if (action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_TIME_OUT")) {
                                        UIFingerprintTestQcom.this.updateStatus(Status.FAIL);
                                        UIFingerprintTestQcom.this.setScanResult(CommonFingerprintQcom.TestType.SNRSCAN, Status.FAIL_TIMEOUT);
                                        UIFingerprintTestQcom.this.stopTest();
                                        UIFingerprintTestQcom.this.finish();
                                        return;
                                    } else if ("com.sec.factory.aporiented.athandler.AtFpsensorQcom.MSG_GET_SNR_START_BTN_VISIBILITY".equals(action)) {
                                        if (UIFingerprintTestQcom.this.mNormalScanResult == Status.PASS && UIFingerprintTestQcom.this.mSnrScanResult == Status.NOTEST) {
                                            setResultData("OK");
                                            return;
                                        } else if (UIFingerprintTestQcom.this.mNormalScanResult == Status.NOTEST) {
                                            setResultData("WAIT");
                                            return;
                                        } else {
                                            setResultData("NG");
                                            return;
                                        }
                                    }
                                }
                            }
                        }
                    } else if (UIFingerprintTestQcom.this.mNormalScanResult == Status.PASS && UIFingerprintTestQcom.this.mSnrScanResult == Status.NOTEST) {
                        UIFingerprintTestQcom.this.mAbsoluteLayout.setVisibility(8);
                        UIFingerprintTestQcom.this.mBtnExit.setVisibility(4);
                        UIFingerprintTestQcom.this.updateStatus(Status.RUNNING);
                        UIFingerprintTestQcom.this.mCommonFingerprintQcom.endCheckTimeOut();
                        UIFingerprintTestQcom.this.mCommonFingerprintQcom.startSNRPrepare();
                        UIFingerprintTestQcom.this.setScanResult(CommonFingerprintQcom.TestType.SNRSCAN, Status.RUNNING);
                        return;
                    } else {
                        FtUtil.log_e("UIFingerprintTestQcom", "onReceive", " FAIL - Snr cannot start NR:" + UIFingerprintTestQcom.this.mNormalScanResult.name() + " ,SNR:" + UIFingerprintTestQcom.this.mSnrScanResult.name());
                        return;
                    }
                }
                UIFingerprintTestQcom.this.mBtnExit.setVisibility(0);
                UIFingerprintTestQcom.this.onResult();
                UIFingerprintTestQcom.this.stopTest();
            }
        };
        this.mReceiver = r1;
        registerReceiver(r1, mFilter);
    }

    private void UnregisterReceiver() {
        if (this.mReceiver != null) {
            FtUtil.log_d("UIFingerprintTestQcom", "UnregisterReceiver", "UnregisterReceiver");
            unregisterReceiver(this.mReceiver);
            this.mReceiver = null;
        }
    }

    private void init() {
        this.mTableLayout = (TableLayout) findViewById(R.id.tableLayout);
        this.mAbsoluteLayout = (AbsoluteLayout) findViewById(R.id.absoluteLayout);
        this.mTvSubTitle = (TextView) findViewById(R.id.subTitle);
        this.mTvScanStatus = (TextView) findViewById(R.id.scanStatus);
        this.mIvSnrImage = (ImageView) findViewById(R.id.fingerprint_snr_image);
        this.mIvDeadMaskImage = (ImageView) findViewById(R.id.fingerprint_deadmask_image);
        this.mIvFingerArea = (ImageView) findViewById(R.id.fingerprint_area_image);
        this.mIvFingerRect = (ImageView) findViewById(R.id.fingerprint_area_rect);
        this.mBtnExit = (Button) findViewById(R.id.exitButton);
        this.mBtnStartRight = (Button) findViewById(R.id.startButtonRight);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_fingerprint_test_qcom);
        this.TEST_ID = getIntent().getIntExtra("testID", 67);
        FtUtil.setRemoveSystemUI(getWindow(), true);
        init();
        this.mTestWay = getIntent().getIntExtra("Extra_TestWay", CommonFingerprintQcom.MANUAL);
        FtUtil.log_d("UIFingerprintTestQcom", "onCreate", " TestWay:" + this.mTestWay);
        this.mCommonFingerprintQcom = new CommonFingerprintQcom(this, "UIFingerprintTestQcom");
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        this.isRunning = true;
        updateStatus(Status.RUNNING);
        RegisterReceiver();
        this.mHandler.postDelayed(new Runnable() {
            /* class com.sec.factory.app.ui.UIFingerprintTestQcom.AnonymousClass2 */

            public void run() {
                UIFingerprintTestQcom.this.mCommonFingerprintQcom.startNormalScan();
            }
        }, 100);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        if (this.isRunning) {
            String itemName_ID = FactoryTestManager.getItemName_ID(this.TEST_ID);
            FtUtil.log_d("UIFingerprintTestQcom", "onPause", FtUtil.setMspSeqMessage(1, itemName_ID, "NR:" + this.mNormalScanResult.name() + " ,SNR:" + this.mSnrScanResult.name()));
            stopTest();
        }
        this.mHandler.removeCallbacksAndMessages(null);
        UnregisterReceiver();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void stopTest() {
        FtUtil.log_d("UIFingerprintTestQcom", "stopTest", "stopTest");
        this.mCommonFingerprintQcom.endCheckTimeOut();
        this.mCommonFingerprintQcom.disableListeners();
        this.mCommonFingerprintQcom.endFpManger();
        this.isRunning = false;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void drawSnrStartBtn() {
        float btnWidth_mm = Support.Spec.getFloat(Support.Kernel.ULTRASONIC_RIGHT_START_BTN_SIZE_WIDTH_MM);
        float btnHeight_mm = Support.Spec.getFloat(Support.Kernel.ULTRASONIC_RIGHT_START_BTN_SIZE_HEIGHT_MM);
        float btnPosX_mm = Support.Spec.getFloat(Support.Kernel.ULTRASONIC_RIGHT_START_BTN_POSITION_X_MM);
        float btnPosY_mm = Support.Spec.getFloat(Support.Kernel.ULTRASONIC_RIGHT_START_BTN_POSITION_Y_MM) - (0.5f * btnHeight_mm);
        DisplayMetrics mDisplayMetrics = getResources().getDisplayMetrics();
        float btnWidth_px = TypedValue.applyDimension(5, btnWidth_mm, mDisplayMetrics);
        float btnHeight_px = TypedValue.applyDimension(5, btnHeight_mm, mDisplayMetrics);
        float btnPosX_px = TypedValue.applyDimension(5, btnPosX_mm - (btnWidth_mm * 0.5f), mDisplayMetrics);
        float btnPosY_px = TypedValue.applyDimension(5, btnPosY_mm, mDisplayMetrics);
        FtUtil.log_d("UIFingerprintTestQcom", "drawSnrStartBtn", " btnWidth_px:" + btnWidth_px + " btnHeight_px:" + btnHeight_px + " btnPosX_px:" + btnPosX_px + " btnPosY_px:" + btnPosY_px);
        Point outpoint = new Point();
        ((WindowManager) getApplication().getSystemService("window")).getDefaultDisplay().getRealSize(outpoint);
        int screenWidth = outpoint.x;
        int screenHeight = outpoint.y;
        FtUtil.log_d("UIFingerprintTestQcom", "drawSnrStartBtn", "screenWidth:" + screenWidth + " ,screenHeight:" + screenHeight);
        if (btnPosX_px + btnWidth_px > ((float) screenWidth)) {
            btnPosX_px -= (btnPosX_px + btnWidth_px) - ((float) screenWidth);
            FtUtil.log_d("UIFingerprintTestQcom", "drawSnrStartBtn", " modified btnPosX_px:" + btnPosX_px);
        }
        if (btnPosY_px + btnHeight_px > ((float) screenHeight)) {
            btnPosY_px -= (btnPosY_px + btnHeight_px) - ((float) screenHeight);
            FtUtil.log_d("UIFingerprintTestQcom", "drawSnrStartBtn", " modified btnPosY_px:" + btnPosY_px);
        }
        this.mBtnStartRight.setTextSize(1, 12.0f);
        this.mBtnStartRight.setLayoutParams(new AbsoluteLayout.LayoutParams((int) btnWidth_px, (int) btnHeight_px, (int) btnPosX_px, (int) btnPosY_px));
        this.mBtnStartRight.setOnTouchListener(new View.OnTouchListener() {
            /* class com.sec.factory.app.ui.UIFingerprintTestQcom.AnonymousClass3 */

            public boolean onTouch(View view, MotionEvent motionEvent) {
                if (motionEvent.getAction() != 0) {
                    return false;
                }
                FtUtil.log_d("UIFingerprintTestQcom", "onStartButtonTouched", "onStartButtonTouched");
                UIFingerprintTestQcom.this.mAbsoluteLayout.setVisibility(8);
                UIFingerprintTestQcom.this.mBtnExit.setVisibility(4);
                UIFingerprintTestQcom.this.updateStatus(Status.RUNNING);
                UIFingerprintTestQcom.this.mCommonFingerprintQcom.endCheckTimeOut();
                FtUtil.log_d("UIFingerprintTestQcom", "onStartButtonTouched", " SnrStartButtonDelayForManual:1000");
                FtUtil.Sleep.sleep(1000);
                UIFingerprintTestQcom.this.mCommonFingerprintQcom.startSNRPrepare();
                UIFingerprintTestQcom.this.setScanResult(CommonFingerprintQcom.TestType.SNRSCAN, Status.RUNNING);
                return false;
            }
        });
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void showSnrImg() {
        String path = Support.Kernel.getFilePath(Support.Kernel.ULTRASONIC_FP_SNR_IMAGE);
        FtUtil.log_d("UIFingerprintTestQcom", "showSnrImg", " path:" + path);
        Bitmap bitmap = BitmapFactory.decodeFile(path);
        if (bitmap == null) {
            FtUtil.log_d("UIFingerprintTestQcom", "showSnrImg", " FAIL - decodeFile");
            return;
        }
        this.mIvSnrImage.setImageBitmap(bitmap);
        this.mIvSnrImage.setVisibility(0);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void showDeadMaskImg() {
        String path = Support.Kernel.getFilePath(Support.Kernel.ULTRASONIC_FP_DEAD_MASK_IMAGE);
        FtUtil.log_d("UIFingerprintTestQcom", "showDeadMaskImg", " path:" + path);
        Bitmap bitmap = BitmapFactory.decodeFile(path);
        if (bitmap == null) {
            FtUtil.log_d("UIFingerprintTestQcom", "showDeadMaskImg", " FAIL - decodeFile");
            return;
        }
        this.mIvDeadMaskImage.setImageBitmap(bitmap);
        this.mIvDeadMaskImage.setVisibility(0);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void drawFpRect() {
        Display mDisplay = ((WindowManager) getApplicationContext().getSystemService("window")).getDefaultDisplay();
        Point outpoint = new Point();
        mDisplay.getRealSize(outpoint);
        int mScreenWidth = outpoint.x;
        int mScreenHeight = outpoint.y;
        FtUtil.log_d("UIFingerprintTestQcom", "drawFpRect", "Screen Size, Width:" + mScreenWidth + " Height:" + mScreenHeight);
        String raw_pos = Support.Kernel.read(Support.Kernel.ULTRASONIC_FP_POSITION);
        StringBuilder sb = new StringBuilder();
        sb.append(" raw value for pos(mm):");
        sb.append(raw_pos);
        FtUtil.log_d("UIFingerprintTestQcom", "drawFpRect", sb.toString());
        String[] pos = raw_pos.split(",");
        DisplayMetrics mDisplayMetrics = getResources().getDisplayMetrics();
        float fpWidth = TypedValue.applyDimension(5, Float.parseFloat(pos[2]), mDisplayMetrics);
        float fpHeight = TypedValue.applyDimension(5, Float.parseFloat(pos[3]), mDisplayMetrics);
        float distance_from_left = ((((float) mScreenWidth) * 0.5f) + TypedValue.applyDimension(5, Float.parseFloat(pos[1]), mDisplayMetrics)) - (0.5f * fpWidth);
        float distance_from_bottom = TypedValue.applyDimension(5, Float.parseFloat(pos[0]), mDisplayMetrics);
        float distance_from_top = (((float) mScreenHeight) - distance_from_bottom) - fpHeight;
        float margin = TypedValue.applyDimension(5, 1.0f, mDisplayMetrics);
        FtUtil.log_d("UIFingerprintTestQcom", "drawFpRect", " fpWidth:" + fpWidth + " fpHeight:" + fpHeight + " distance_from_left:" + distance_from_left + " distance_from_bottom:" + distance_from_bottom + " distance_from_top:" + distance_from_top + " margin:" + margin);
        this.mIvFingerArea.setLayoutParams(new AbsoluteLayout.LayoutParams((int) fpWidth, (int) fpHeight, (int) distance_from_left, (int) distance_from_top));
        this.mIvFingerRect.setLayoutParams(new AbsoluteLayout.LayoutParams((int) ((margin * 2.0f) + fpWidth), (int) ((2.0f * margin) + fpHeight), (int) (distance_from_left - margin), (int) (distance_from_top - margin)));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void drawScanResultTable(List<CommonFingerprintQcom.ScanData> scanDataList) {
        FtUtil.log_d("UIFingerprintTestQcom", "drawScanResultTable", "scanDataList size: " + scanDataList.size());
        for (CommonFingerprintQcom.ScanData scanData : scanDataList) {
            if (scanData != null) {
                TableRow tableRow = new TableRow(this);
                tableRow.setBackgroundColor(-16777216);
                for (int i = 0; i < 4; i++) {
                    tableRow.addView((TextView) getLayoutInflater().inflate(R.layout.finger_print_qcom_table_text_view_data_row, (ViewGroup) tableRow, false));
                }
                ((TextView) tableRow.getChildAt(0)).setText(scanData.getName());
                String specStr = scanData.getSpecMin() + " ~ " + scanData.getSpecMax();
                if (specStr.contains(Support.Properties.PROPERTIES_DEFAULT_STRING)) {
                    specStr = "-";
                } else if (specStr.contains("NA ~ NA")) {
                    specStr = "-";
                }
                ((TextView) tableRow.getChildAt(1)).setText(specStr);
                ((TextView) tableRow.getChildAt(2)).setText(scanData.getValue());
                if (scanData.getValue().length() > 15) {
                    ((TextView) tableRow.getChildAt(2)).setTextSize(0, ((TextView) tableRow.getChildAt(2)).getTextSize() * 0.6f);
                }
                if (scanData.getResult() == Status.PASS || scanData.getResult() == null) {
                    ((TextView) tableRow.getChildAt(3)).setText(R.string.PASS);
                    ((TextView) tableRow.getChildAt(3)).setTextColor(UiHallICTest.FONT_COLOR_PASS);
                } else {
                    ((TextView) tableRow.getChildAt(3)).setText(R.string.FAIL);
                    ((TextView) tableRow.getChildAt(3)).setTextColor(-65536);
                }
                FtUtil.log_d("UIFingerprintTestQcom", "drawScanResultTable", " ItemName: " + scanData.getName() + " ,Value: " + scanData.getValue() + " ,Spec: " + specStr);
                this.mTableLayout.addView(tableRow);
            }
        }
        this.mTableLayout.setVisibility(0);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void onResult() {
        FtUtil.log_d("UIFingerprintTestQcom", "onResult", "NR:" + this.mNormalScanResult.name() + " ,SNR:" + this.mSnrScanResult.name());
        if (this.TEST_ID != 67 || this.mNormalScanResult != Status.PASS) {
            return;
        }
        if (this.mSnrScanResult == Status.PASS) {
            setResult(-1);
            setTestNv(this.TEST_ID, true);
            if (this.mTestWay == CommonFingerprintQcom.MANUAL) {
                FtUtil.log_d("UIFingerprintTestQcom", "onResult", " SnrFinishDelayForManual:3000");
                this.mHandler.postDelayed(new Runnable() {
                    /* class com.sec.factory.app.ui.UIFingerprintTestQcom.AnonymousClass4 */

                    public void run() {
                        UIFingerprintTestQcom.this.finish();
                    }
                }, 3000);
            }
        } else if (this.mTestWay == CommonFingerprintQcom.ATCMD) {
            setTestNv(this.TEST_ID, false);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setScanResult(CommonFingerprintQcom.TestType testType, Status status) {
        switch (AnonymousClass5.$SwitchMap$com$sec$factory$common$CommonFingerprintQcom$TestType[testType.ordinal()]) {
            case 1:
                this.mNormalScanResult = status;
                break;
            case 2:
                this.mSnrScanResult = status;
                break;
        }
        String itemName_ID = FactoryTestManager.getItemName_ID(this.TEST_ID);
        FtUtil.log_d("UIFingerprintTestQcom", "setScanResult", FtUtil.setMspSeqMessage(1, itemName_ID, "NR:" + this.mNormalScanResult.name() + " ,SNR:" + this.mSnrScanResult.name()));
    }

    /* access modifiers changed from: package-private */
    /* renamed from: com.sec.factory.app.ui.UIFingerprintTestQcom$5  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass5 {
        static final /* synthetic */ int[] $SwitchMap$com$sec$factory$common$CommonFingerprintQcom$TestType;
        static final /* synthetic */ int[] $SwitchMap$com$sec$factory$support$Status;

        static {
            int[] iArr = new int[Status.values().length];
            $SwitchMap$com$sec$factory$support$Status = iArr;
            try {
                iArr[Status.PASS.ordinal()] = 1;
            } catch (NoSuchFieldError e) {
            }
            try {
                $SwitchMap$com$sec$factory$support$Status[Status.FAIL.ordinal()] = 2;
            } catch (NoSuchFieldError e2) {
            }
            try {
                $SwitchMap$com$sec$factory$support$Status[Status.RUNNING.ordinal()] = 3;
            } catch (NoSuchFieldError e3) {
            }
            try {
                $SwitchMap$com$sec$factory$support$Status[Status.READY.ordinal()] = 4;
            } catch (NoSuchFieldError e4) {
            }
            int[] iArr2 = new int[CommonFingerprintQcom.TestType.values().length];
            $SwitchMap$com$sec$factory$common$CommonFingerprintQcom$TestType = iArr2;
            try {
                iArr2[CommonFingerprintQcom.TestType.NORMALSCAN.ordinal()] = 1;
            } catch (NoSuchFieldError e5) {
            }
            try {
                $SwitchMap$com$sec$factory$common$CommonFingerprintQcom$TestType[CommonFingerprintQcom.TestType.SNRSCAN.ordinal()] = 2;
            } catch (NoSuchFieldError e6) {
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void updateStatus(Status status) {
        FtUtil.log_d("UIFingerprintTestQcom", "updateStatus", " status:" + status.name());
        switch (AnonymousClass5.$SwitchMap$com$sec$factory$support$Status[status.ordinal()]) {
            case 1:
                this.mTvScanStatus.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                this.mTvScanStatus.setText(R.string.PASS);
                return;
            case 2:
                this.mTvScanStatus.setTextColor(-65536);
                this.mTvScanStatus.setText(R.string.FAIL);
                return;
            case 3:
                this.mTvScanStatus.setTextColor(getResources().getColor(R.color.forest_green));
                this.mTvScanStatus.setText(R.string.RUNNING);
                return;
            case 4:
                this.mTvScanStatus.setTextColor(-16777216);
                this.mTvScanStatus.setText(R.string.READY);
                return;
            default:
                return;
        }
    }

    public void onExitButtonClicked(View v) {
        FtUtil.log_d("UIFingerprintTestQcom", "onExitButtonClicked", "onExitButtonClicked");
        finish();
    }

    public void setTestNv(int testId, boolean isPass) {
        FtUtil.log_d("UIFingerprintTestQcom", "setTestNv", "test_id: " + testId + " nvKey:" + 58 + " isPass:" + isPass);
        if (isPass) {
            NVAccessor.setNV(58, (byte) 80);
        } else {
            NVAccessor.setNV(58, (byte) 70);
        }
        FactoryTestManager.notifyDataSetChanged();
        if (isPass) {
            try {
                FactoryTestManager.doUIupdatefromNV(58, (byte) 80);
            } catch (NullPointerException e) {
                FtUtil.log_e("UIFingerprintTestQcom", "setTestNv", "FAIL - FactoryTestManager.doUIupdatefromNV");
                e.printStackTrace();
            }
        } else {
            FactoryTestManager.doUIupdatefromNV(58, (byte) 70);
        }
    }
}
