package com.sec.factory.app.ui;

import android.content.Intent;
import android.os.Bundle;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;

public class UIFlickerSensor extends UIBase {
    private static final String CLASS_NAME = "UIFlickerSensor";
    private final int REQUEST_CAMERA_FLICKER_TEST = 0;

    public UIFlickerSensor() {
        super(CLASS_NAME, 182);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        FtUtil.log_i(CLASS_NAME, "onCreate");
        Intent i = new Intent();
        i.setClassName("com.sec.factory.camera", "com.sec.android.app.camera.CameraTestActivity");
        i.putExtra("testtype", Support.HwTestMenu.LCD_TEST_GRIP);
        i.putExtra("arg1", "flickers");
        startActivityForResult(i, 0);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        sendBroadcast(new Intent("com.samsung.android.aircommandmanager.STOP_MONITORING"));
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
    }

    /* access modifiers changed from: protected */
    public void onActivityResult(int requestCode, int resultCode, Intent data) {
        super.onActivityResult(requestCode, resultCode, data);
        FtUtil.log_v(CLASS_NAME, "onActivityResult", "requestCode : " + requestCode + ", resultCode : " + resultCode);
        switch (requestCode) {
            case 0:
                if (resultCode == -1) {
                    setTestResult((byte) 80);
                    setResult(-1);
                    FtUtil.log_d(CLASS_NAME, "onActivityResult", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(182), "Pass"));
                } else {
                    setTestResultFailCase(182);
                    FtUtil.log_d(CLASS_NAME, "onActivityResult", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(182), "Fail"));
                }
                finish();
                return;
            default:
                return;
        }
    }
}
