package com.sec.factory.app.ui;

import android.hardware.Sensor;
import android.hardware.SensorEvent;
import android.hardware.SensorEventListener;
import android.hardware.SensorManager;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import java.io.File;

public class UIFolderTensionTest extends UIBase implements View.OnClickListener {
    private static final String CLASS_NAME = "UIFolderTensionTest";
    private static final int MSG_CHECK_ANGLE1 = 1001;
    private static final int MSG_CHECK_ANGLE2 = 1002;
    private static final int MSG_CHECK_ANGLE3 = 1003;
    private static final int MSG_CHECK_DELTA = 1004;
    private static final int MSG_SHOW_REFERENCE_ANGLE = 1000;
    private static final float TABLE_MODE_EVENT_CLOSE = 0.0f;
    private static final float TABLE_MODE_EVENT_HALF_FOLDED = 1.0f;
    private static final float TABLE_MODE_EVENT_OPEN = 2.0f;
    Button buttonExit;
    Button buttonStart;
    private int curFusionAngle;
    File dataResult;
    String dataResultString;
    private int deltaSpec;
    private int fusionAngleMax;
    private int fusionAngleMin;
    private boolean isAbleTest;
    private boolean isClosed;
    private float mFoldingState = 2.0f;
    private FoldingStateListener mFoldingStateListener;
    public Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UIFolderTensionTest.AnonymousClass1 */

        public void handleMessage(Message msg) {
            switch (msg.what) {
                case 1000:
                    String curRefAngle = Support.Kernel.read(Support.Kernel.THREE_DIMENSION_DIGITAL_HALL_IC_REF_ANGLE, true);
                    if (curRefAngle == null) {
                        FtUtil.log_d(UIFolderTensionTest.CLASS_NAME, "MSG_SHOW_REFERENCE_ANGLE", "Ref Angle is null");
                        UIFolderTensionTest.this.isAbleTest = false;
                        UIFolderTensionTest.this.mTextRefAngle.setText("N/A");
                        UIFolderTensionTest.this.mTextFusionAngle.setText("FAIL");
                        UIFolderTensionTest.this.mTextFusionAngle.setTextColor(-65536);
                        return;
                    } else if (curRefAngle.indexOf(",") != -1) {
                        UIFolderTensionTest.this.mTextRefAngle.setText(curRefAngle.split(",")[0]);
                        UIFolderTensionTest.this.mHandler.sendEmptyMessageDelayed(1000, 100);
                        return;
                    } else {
                        FtUtil.log_d(UIFolderTensionTest.CLASS_NAME, "MSG_SHOW_REFERENCE_ANGLE", "Ref Angle is wrong format");
                        UIFolderTensionTest.this.isAbleTest = false;
                        UIFolderTensionTest.this.mTextRefAngle.setText("N/A");
                        UIFolderTensionTest.this.mTextFusionAngle.setText("FAIL");
                        UIFolderTensionTest.this.mTextFusionAngle.setTextColor(-65536);
                        return;
                    }
                case 1001:
                    FtUtil.Sleep.sleep(1000);
                    UIFolderTensionTest uIFolderTensionTest = UIFolderTensionTest.this;
                    uIFolderTensionTest.curFusionAngle = uIFolderTensionTest.readFusionAngle();
                    if (UIFolderTensionTest.this.curFusionAngle != -1) {
                        StringBuilder sb = new StringBuilder();
                        UIFolderTensionTest uIFolderTensionTest2 = UIFolderTensionTest.this;
                        sb.append(uIFolderTensionTest2.dataResultString);
                        sb.append(UIFolderTensionTest.this.curFusionAngle);
                        sb.append(",");
                        uIFolderTensionTest2.dataResultString = sb.toString();
                        TextView textView = UIFolderTensionTest.this.mTextAngle1;
                        textView.setText(UIFolderTensionTest.this.curFusionAngle + "");
                        UIFolderTensionTest uIFolderTensionTest3 = UIFolderTensionTest.this;
                        uIFolderTensionTest3.checkMinMax(uIFolderTensionTest3.curFusionAngle);
                        UIFolderTensionTest.this.mHandler.sendEmptyMessage(1002);
                        return;
                    }
                    UIFolderTensionTest.this.isAbleTest = false;
                    UIFolderTensionTest.this.mTextAngle1.setText("N/A");
                    UIFolderTensionTest.this.mTextFusionAngle.setText("FAIL");
                    UIFolderTensionTest.this.mTextFusionAngle.setTextColor(-65536);
                    return;
                case 1002:
                    FtUtil.Sleep.sleep(1000);
                    UIFolderTensionTest uIFolderTensionTest4 = UIFolderTensionTest.this;
                    uIFolderTensionTest4.curFusionAngle = uIFolderTensionTest4.readFusionAngle();
                    if (UIFolderTensionTest.this.curFusionAngle != -1) {
                        StringBuilder sb2 = new StringBuilder();
                        UIFolderTensionTest uIFolderTensionTest5 = UIFolderTensionTest.this;
                        sb2.append(uIFolderTensionTest5.dataResultString);
                        sb2.append(UIFolderTensionTest.this.curFusionAngle);
                        sb2.append(",");
                        uIFolderTensionTest5.dataResultString = sb2.toString();
                        TextView textView2 = UIFolderTensionTest.this.mTextAngle2;
                        textView2.setText(UIFolderTensionTest.this.curFusionAngle + "");
                        UIFolderTensionTest uIFolderTensionTest6 = UIFolderTensionTest.this;
                        uIFolderTensionTest6.checkMinMax(uIFolderTensionTest6.curFusionAngle);
                        UIFolderTensionTest.this.mHandler.sendEmptyMessage(1003);
                        return;
                    }
                    UIFolderTensionTest.this.isAbleTest = false;
                    UIFolderTensionTest.this.mTextAngle2.setText("N/A");
                    UIFolderTensionTest.this.mTextFusionAngle.setText("FAIL");
                    UIFolderTensionTest.this.mTextFusionAngle.setTextColor(-65536);
                    return;
                case 1003:
                    FtUtil.Sleep.sleep(1000);
                    UIFolderTensionTest uIFolderTensionTest7 = UIFolderTensionTest.this;
                    uIFolderTensionTest7.curFusionAngle = uIFolderTensionTest7.readFusionAngle();
                    if (UIFolderTensionTest.this.curFusionAngle != -1) {
                        StringBuilder sb3 = new StringBuilder();
                        UIFolderTensionTest uIFolderTensionTest8 = UIFolderTensionTest.this;
                        sb3.append(uIFolderTensionTest8.dataResultString);
                        sb3.append(UIFolderTensionTest.this.curFusionAngle);
                        sb3.append(",");
                        uIFolderTensionTest8.dataResultString = sb3.toString();
                        TextView textView3 = UIFolderTensionTest.this.mTextAngle3;
                        textView3.setText(UIFolderTensionTest.this.curFusionAngle + "");
                        UIFolderTensionTest uIFolderTensionTest9 = UIFolderTensionTest.this;
                        uIFolderTensionTest9.checkMinMax(uIFolderTensionTest9.curFusionAngle);
                        UIFolderTensionTest.this.mHandler.sendEmptyMessage(1004);
                        return;
                    }
                    UIFolderTensionTest.this.isAbleTest = false;
                    UIFolderTensionTest.this.mTextAngle3.setText("N/A");
                    UIFolderTensionTest.this.mTextFusionAngle.setText("FAIL");
                    UIFolderTensionTest.this.mTextFusionAngle.setTextColor(-65536);
                    return;
                case 1004:
                    int deltaData = UIFolderTensionTest.this.fusionAngleMax - UIFolderTensionTest.this.fusionAngleMin;
                    StringBuilder sb4 = new StringBuilder();
                    UIFolderTensionTest uIFolderTensionTest10 = UIFolderTensionTest.this;
                    sb4.append(uIFolderTensionTest10.dataResultString);
                    sb4.append(deltaData);
                    sb4.append("");
                    uIFolderTensionTest10.dataResultString = sb4.toString();
                    TextView textView4 = UIFolderTensionTest.this.mTextDelta;
                    textView4.setText(deltaData + "");
                    String path = UIFolderTensionTest.this.dataResult.getPath();
                    Support.Kernel.writeToPathNsync(path, "OK," + UIFolderTensionTest.this.dataResultString);
                    if (UIFolderTensionTest.this.deltaSpec >= deltaData) {
                        UIFolderTensionTest.this.mTextFusionAngle.setText("PASS");
                        UIFolderTensionTest.this.mTextFusionAngle.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                        UIFolderTensionTest.this.setTestResult((byte) 80);
                        UIFolderTensionTest.this.finish();
                        return;
                    }
                    UIFolderTensionTest.this.mTextFusionAngle.setText("FAIL");
                    UIFolderTensionTest.this.mTextFusionAngle.setTextColor(-65536);
                    return;
                default:
                    return;
            }
        }
    };
    private SensorManager mSensorManager;
    private int mTestID = 0;
    private TextView mTextAngle1;
    private TextView mTextAngle2;
    private TextView mTextAngle3;
    private TextView mTextDelta;
    private TextView mTextFolderClose;
    private TextView mTextFusionAngle;
    private TextView mTextFusionAngleSpec;
    private TextView mTextRefAngle;
    private TextView mTextRefAngleSpec;
    private int refAngleSpecMax;
    private int refAngleSpecMin;

    public UIFolderTensionTest() {
        super(CLASS_NAME, FactoryTestManager.TEST_FOLDER_TENSION_TEST);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_folder_tension_test);
        FtUtil.log_d(CLASS_NAME, "onCreate");
        this.mTestID = getIntent().getIntExtra("testid", 0);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        FtUtil.log_d(CLASS_NAME, "onResume");
        init();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        FtUtil.log_d(CLASS_NAME, "onPause");
        removeAllMessage();
        this.mSensorManager.unregisterListener(this.mFoldingStateListener);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
        FtUtil.log_d(CLASS_NAME, "onDestory");
        removeAllMessage();
        this.mSensorManager.unregisterListener(this.mFoldingStateListener);
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.button_exit:
                FtUtil.log_d(CLASS_NAME, "onClick", "EXIT Button");
                finish();
                return;
            case R.id.button_start:
                FtUtil.log_d(CLASS_NAME, "onClick", "START Button");
                this.buttonStart.setEnabled(false);
                this.mSensorManager.unregisterListener(this.mFoldingStateListener);
                this.mHandler.removeMessages(1000);
                int refAngleData = Integer.parseInt(Support.Kernel.read(Support.Kernel.THREE_DIMENSION_DIGITAL_HALL_IC_REF_ANGLE, true).split(",")[0]);
                checkMinMax(refAngleData);
                if (refAngleData < this.refAngleSpecMin || refAngleData > this.refAngleSpecMax) {
                    this.dataResultString += refAngleData + ",0,0,0,0";
                    Support.Kernel.writeToPathNsync(this.dataResult.getPath(), "NG," + this.dataResultString);
                    this.mTextRefAngle.setText(refAngleData + " FAIL");
                    this.mTextRefAngle.setTextColor(-65536);
                    return;
                }
                this.dataResultString += refAngleData + ",";
                this.mTextRefAngle.setText(refAngleData + " PASS");
                this.mTextRefAngle.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                this.mHandler.sendEmptyMessage(1001);
                return;
            default:
                return;
        }
    }

    private void init() {
        this.dataResult = new File("data/log/FolderTensionTestResult.log");
        this.dataResultString = "";
        this.isAbleTest = true;
        Button button = (Button) findViewById(R.id.button_exit);
        this.buttonExit = button;
        button.setOnClickListener(this);
        Button button2 = (Button) findViewById(R.id.button_start);
        this.buttonStart = button2;
        button2.setOnClickListener(this);
        this.buttonStart.setEnabled(false);
        this.mTextFolderClose = (TextView) findViewById(R.id.text_folder_close);
        this.mTextRefAngle = (TextView) findViewById(R.id.text_reference_angle);
        this.mTextRefAngleSpec = (TextView) findViewById(R.id.text_reference_angle_spec);
        this.mTextFusionAngle = (TextView) findViewById(R.id.text_fusion_angle);
        this.mTextFusionAngleSpec = (TextView) findViewById(R.id.text_fusion_angle_spec);
        this.mTextAngle1 = (TextView) findViewById(R.id.text_angle1);
        this.mTextAngle2 = (TextView) findViewById(R.id.text_angle2);
        this.mTextAngle3 = (TextView) findViewById(R.id.text_angle3);
        this.mTextDelta = (TextView) findViewById(R.id.text_delta);
        if (this.mSensorManager == null) {
            this.mSensorManager = (SensorManager) getSystemService(SensorManager.class);
        }
        try {
            this.mFoldingStateListener = new FoldingStateListener();
            this.mSensorManager.registerListener(this.mFoldingStateListener, this.mSensorManager.getSensorList(65695).get(0), 3);
        } catch (IndexOutOfBoundsException e) {
            FtUtil.log_d(CLASS_NAME, "init", "regist sensor Fail");
            this.isAbleTest = false;
            FtUtil.log_e(e);
        }
        if (!this.isAbleTest) {
            this.mTextFolderClose.setText("FAIL");
            this.mTextFolderClose.setTextColor(-65536);
            return;
        }
        String refSpecString = Support.Spec.getString(Support.Spec.FOLDER_TENSION_TEST_REF_ANGLE);
        String deltaSpecString = Support.Spec.getString(Support.Spec.FOLDER_TENSION_TEST_DELTA);
        this.refAngleSpecMin = Integer.parseInt(refSpecString.split(",")[0]);
        this.refAngleSpecMax = Integer.parseInt(refSpecString.split(",")[1]);
        this.deltaSpec = Integer.parseInt(deltaSpecString);
        TextView textView = this.mTextRefAngleSpec;
        textView.setText(this.refAngleSpecMin + "~" + this.refAngleSpecMax);
        TextView textView2 = this.mTextFusionAngleSpec;
        textView2.setText(this.deltaSpec + "");
        this.fusionAngleMin = 999;
        this.fusionAngleMax = -1;
        this.mHandler.sendEmptyMessage(1000);
    }

    /* access modifiers changed from: private */
    public class FoldingStateListener implements SensorEventListener {
        public FoldingStateListener() {
        }

        public void onAccuracyChanged(Sensor sensor, int accuracy) {
        }

        public void onSensorChanged(SensorEvent event) {
            FtUtil.log_d(UIFolderTensionTest.CLASS_NAME, "FoldingStateListener, onSensorChanged", "event0 :  " + event.values[0]);
            UIFolderTensionTest.this.mFoldingState = event.values[0];
            if (event.values[0] == 0.0f) {
                FtUtil.log_d(UIFolderTensionTest.CLASS_NAME, "FoldingStateListener, onSensorChanged", "TABLE_MODE_EVENT_CLOSE");
                if (UIFolderTensionTest.this.isAbleTest) {
                    UIFolderTensionTest.this.mTextFolderClose.setText("PASS");
                    UIFolderTensionTest.this.mTextFolderClose.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                    UIFolderTensionTest.this.buttonStart.setEnabled(true);
                }
            } else if (event.values[0] != UIFolderTensionTest.TABLE_MODE_EVENT_HALF_FOLDED) {
                float f = event.values[0];
            }
        }
    }

    private void removeAllMessage() {
        this.mHandler.removeMessages(1000);
        this.mHandler.removeMessages(1001);
        this.mHandler.removeMessages(1002);
        this.mHandler.removeMessages(1003);
        this.mHandler.removeMessages(1004);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private int readFusionAngle() {
        int commaCount = 0;
        int fromIndex = -1;
        String angleData = Support.Kernel.read(Support.Kernel.THREE_DIMENSION_DIGITAL_HALL_IC_READ_DATA, true);
        if (angleData != null) {
            while (true) {
                int indexOf = angleData.indexOf(",", fromIndex + 1);
                fromIndex = indexOf;
                if (indexOf < 0) {
                    break;
                }
                commaCount++;
            }
            if (commaCount >= 4) {
                String returnValue = angleData.split(",")[4];
                FtUtil.log_d(CLASS_NAME, "readFusionAngle", returnValue);
                return Integer.parseInt(returnValue);
            }
            FtUtil.log_d(CLASS_NAME, "readFusionAngle", "angleData is wrong");
            return -1;
        }
        FtUtil.log_d(CLASS_NAME, "readFusionAngle", "angleData is null");
        return -1;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void checkMinMax(int angle) {
        if (angle > this.fusionAngleMax) {
            this.fusionAngleMax = angle;
        }
        if (angle < this.fusionAngleMin) {
            this.fusionAngleMin = angle;
        }
    }
}
