package com.sec.factory.app.ui;

import android.graphics.Point;
import android.graphics.PointF;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.util.TypedValue;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.View;
import android.widget.AbsoluteLayout;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.ModuleAudio;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.modules.ModuleForceTouch;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.NVAccessor;
import com.sec.xmldata.support.Support;

public class UIForceTouchAutoTune extends UIBase implements View.OnClickListener, View.OnTouchListener {
    private static final int DELAY_FOR_RUNNING = 1500;
    private static final String FAIL_STRING = "FAIL";
    private static final int MSG_RUN_AUTO_TUNE = 2;
    private static final int MSG_TEST_PASS = 1;
    private static final byte NO_TEST = 78;
    private static final String PASS_STRING = "PASS";
    private static final String RUNNING_STRING = "Running";
    private static final int TEST_NV_FORCE_TOUCH_CAL = 237;
    private static final int TEST_NV_FORCE_TOUCH_PRESS = 238;
    private final String CLASS_NAME = "UIForceTouchAutoTune";
    private Button mButtonExit;
    private Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UIForceTouchAutoTune.AnonymousClass1 */

        public void handleMessage(Message msg) {
            switch (msg.what) {
                case 1:
                    UIForceTouchAutoTune.this.setResult(-1);
                    UIForceTouchAutoTune.this.finish();
                    return;
                case 2:
                    if (UIForceTouchAutoTune.this.mModuleForceTouch.runAutoTune()) {
                        FtUtil.log_d("UIForceTouchAutoTune", "mHandler", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(UIForceTouchAutoTune.this.TEST_ID), "Pass - Auto Tune"));
                        UIForceTouchAutoTune.this.mTextViewResult.setText("PASS");
                        UIForceTouchAutoTune.this.mTextViewResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                        UIForceTouchAutoTune.this.mHandler.sendEmptyMessageDelayed(1, 0);
                        return;
                    }
                    FtUtil.log_d("UIForceTouchAutoTune", "mHandler", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(UIForceTouchAutoTune.this.TEST_ID), "Fail - Auto Tune"));
                    UIForceTouchAutoTune.this.mTextViewResult.setText("FAIL");
                    UIForceTouchAutoTune.this.mTextViewResult.setTextColor(-65536);
                    UIForceTouchAutoTune.this.mButtonExit.setEnabled(true);
                    return;
                default:
                    return;
            }
        }
    };
    private ImageView mImageViewPoint;
    private int mIntPreviousCalIndex;
    private int mIntPreviousVolumeIndex;
    private boolean mIsCmd = false;
    private boolean mIsRun = false;
    private ModuleDevice mModuleDevice;
    private ModuleForceTouch mModuleForceTouch;
    private String mStringTouchPoint = "center";
    private TextView mTextViewPointCenter;
    private TextView mTextViewResult;

    public UIForceTouchAutoTune() {
        super("UIForceTouchAutoTune");
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        FtUtil.setRemoveSystemUI(getWindow(), true);
        FtUtil.setSystemKeyBlock(getComponentName(), 4);
        this.TEST_ID = getIntent().getIntExtra("testid", 152);
        this.mIsCmd = getIntent().getBooleanExtra("isCmd", false);
        this.mStringTouchPoint = getIntent().getStringExtra("touchPoint");
        FtUtil.log_d("UIForceTouchAutoTune", "onCreate", "TEST_ID: " + this.TEST_ID);
        setContentView(R.layout.ui_force_touch_autotune);
        initDisplay();
        this.mModuleForceTouch = ModuleForceTouch.instance(this);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        ModuleDevice instance = ModuleDevice.instance(this);
        this.mModuleDevice = instance;
        instance.setEPenDisableMode(true);
        this.mIntPreviousVolumeIndex = ModuleAudio.instance(this).getStreamMusicVolumeIndex();
        FtUtil.log_d("UIForceTouchAutoTune", "onResume", "mIntPreviousVolumeIndex : " + this.mIntPreviousVolumeIndex);
        ModuleAudio.instance(this).setStreamMusicVolumeIndex(Support.Feature.getInt(Support.Feature.KEYTEST_VOLUME_INDEX));
        if (this.mIsCmd) {
            FtUtil.log_d("UIForceTouchAutoTune", "onResume", "AutoRun triggered by Mulfuncf cmd");
            this.mButtonExit.setEnabled(false);
            resetForceTouchTestNV();
            this.mHandler.sendEmptyMessageDelayed(2, 0);
            this.mTextViewResult.setText(RUNNING_STRING);
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        ModuleAudio.instance(this).setStreamMusicVolumeIndex(this.mIntPreviousVolumeIndex);
        this.mModuleDevice.setEPenDisableMode(false);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
    }

    private void initDisplay() {
        float pointRadius;
        PointF touchPoint;
        Point size = new Point();
        getWindowManager().getDefaultDisplay().getRealSize(size);
        Button button = (Button) findViewById(R.id.button_exit);
        this.mButtonExit = button;
        button.setOnClickListener(this);
        this.mTextViewResult = (TextView) findViewById(R.id.result);
        this.mImageViewPoint = (ImageView) findViewById(R.id.center_point_image);
        new PointF();
        if ("left".equalsIgnoreCase(this.mStringTouchPoint)) {
            touchPoint = Support.TestCase.getViewPointF(Support.TestCase.FORCE_TOUCH_TEST_LEFT);
            pointRadius = Support.TestCase.getSize(Support.TestCase.FORCE_TOUCH_TEST_LEFT);
        } else if ("right".equalsIgnoreCase(this.mStringTouchPoint)) {
            touchPoint = Support.TestCase.getViewPointF(Support.TestCase.FORCE_TOUCH_TEST_RIGHT);
            pointRadius = Support.TestCase.getSize(Support.TestCase.FORCE_TOUCH_TEST_RIGHT);
        } else {
            touchPoint = Support.TestCase.getViewPointF(Support.TestCase.FORCE_TOUCH_TEST_CENTER);
            pointRadius = Support.TestCase.getSize(Support.TestCase.FORCE_TOUCH_TEST_CENTER);
        }
        if (Support.TestCase.getEnabled(Support.TestCase.FORCE_TOUCH_USING_UNIT_MM)) {
            touchPoint.x = getMillimeterToPixel(touchPoint.x);
            touchPoint.y = getMillimeterToPixel(touchPoint.y);
            pointRadius = getMillimeterToPixel(pointRadius);
        }
        setPositionPointImage(this.mImageViewPoint, pointRadius, touchPoint.x, touchPoint.y);
        this.mImageViewPoint.setOnTouchListener(this);
        TextView textView = (TextView) findViewById(R.id.center_point_title);
        this.mTextViewPointCenter = textView;
        setPositionPointTitle(textView, pointRadius, touchPoint.x, touchPoint.y, size.y);
    }

    private void setPositionPointImage(ImageView mImageView, float mRadius, float mx, float my) {
        AbsoluteLayout.LayoutParams params = (AbsoluteLayout.LayoutParams) mImageView.getLayoutParams();
        params.width = (int) (((double) mRadius) * 2.0d);
        params.height = (int) (((double) mRadius) * 2.0d);
        params.x = (int) (mx - mRadius);
        params.y = (int) (my - mRadius);
        mImageView.setLayoutParams(params);
    }

    private void setPositionPointTitle(TextView mTextView, float mRadius, float mx, float my, int height) {
        AbsoluteLayout.LayoutParams params = (AbsoluteLayout.LayoutParams) mTextView.getLayoutParams();
        params.x = (int) (mx - mRadius);
        params.y = (int) (((double) my) - (((double) mRadius) / 2.0d));
        params.width = (int) (((double) mRadius) * 2.0d);
        params.height = (int) mRadius;
        mTextView.setLayoutParams(params);
    }

    private float getMillimeterToPixel(float mm) {
        return TypedValue.applyDimension(5, mm, getResources().getDisplayMetrics());
    }

    private void resetForceTouchTestNV() {
        FtUtil.log_d("UIForceTouchAutoTune", "resetForceTouchTestNV", "Initialize Test NV");
        NVAccessor.setNV(TEST_NV_FORCE_TOUCH_CAL, (byte) 78);
        NVAccessor.setNV(TEST_NV_FORCE_TOUCH_PRESS, (byte) 78);
        FactoryTestManager.doUIupdatefromNV(TEST_NV_FORCE_TOUCH_CAL, (byte) 78);
        FactoryTestManager.doUIupdatefromNV(TEST_NV_FORCE_TOUCH_PRESS, (byte) 78);
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.button_exit:
                finish();
                return;
            default:
                return;
        }
    }

    public boolean onTouch(View view, MotionEvent event) {
        if (view == this.mImageViewPoint && !this.mIsRun && !this.mIsCmd) {
            switch (event.getAction()) {
                case 0:
                    FtUtil.log_d("UIForceTouchAutoTune", "onTouch", "touched center point");
                    ModuleAudio.instance(this).playMedia(R.raw.button, false);
                    this.mButtonExit.setEnabled(false);
                    resetForceTouchTestNV();
                    break;
                case 1:
                    this.mIsRun = true;
                    FtUtil.log_d("UIForceTouchAutoTune", "onTouch", "Run Auto tune after 1500ms");
                    this.mTextViewResult.setText(RUNNING_STRING);
                    this.mHandler.sendEmptyMessageDelayed(2, 1500);
                    break;
            }
        }
        return true;
    }

    @Override // com.sec.factory.app.ui.UIBase
    public boolean onKeyDown(int keyCode, KeyEvent event) {
        switch (keyCode) {
            case 3:
                FtUtil.log_d("UIForceTouchAutoTune", "onKeyDown", "KEYCODE_HOME");
                return true;
            case 4:
                FtUtil.log_d("UIForceTouchAutoTune", "onKeyDown", "KEYCODE_BACK");
                return true;
            case 187:
                FtUtil.log_d("UIForceTouchAutoTune", "onKeyDown", "KEYCODE_APP_SWITCH");
                return true;
            default:
                return true;
        }
    }

    @Override // com.sec.factory.app.ui.UIBase
    public boolean onKeyUp(int keyCode, KeyEvent event) {
        switch (keyCode) {
            case 3:
                FtUtil.log_d("UIForceTouchAutoTune", "onKeyUp", "KEYCODE_HOME");
                return true;
            case 4:
                FtUtil.log_d("UIForceTouchAutoTune", "onKeyUp", "KEYCODE_BACK");
                return true;
            case 187:
                FtUtil.log_d("UIForceTouchAutoTune", "onKeyUp", "KEYCODE_APP_SWITCH");
                return true;
            default:
                return true;
        }
    }
}
