package com.sec.factory.app.ui;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.content.SharedPreferences;
import android.content.res.Resources;
import android.graphics.Point;
import android.graphics.PointF;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.util.TypedValue;
import android.view.MotionEvent;
import android.view.View;
import android.widget.AbsoluteLayout;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.RelativeLayout;
import android.widget.TableLayout;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.modules.ModuleForceTouch;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import java.io.BufferedWriter;
import java.io.FileWriter;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;

public class UIForceTouchNew extends UIBase implements View.OnClickListener, View.OnTouchListener {
    private static final int MODE_CALIBRATION = 152;
    private static final int MODE_PRESS_TEST = 153;
    private static final int MSG_GET_RAW_DATA = 1;
    private static final int MSG_GET_STRENGTH = 2;
    private static final int MSG_PASS_TEST = 5;
    private static final int MSG_SAVE_CAL = 3;
    private static final int MSG_SAVE_PRESS = 4;
    private static final String PATH_CAL_DATA_FILE = "/data/log/ForceCalData.log";
    private static final String PATH_CAL_FAIL_DATA_FILE = "/data/log/ForceCalDataFail.log";
    private static final String STRING_NA = "NA";
    private static final int TEST_INDEX = 2;
    private static final int mChannelLength = ModuleForceTouch.CHANNEL.values().length;
    ArrayList<Integer>[] mArrArrayListAvgData;
    private float[] mArrFloatRadius;
    private ImageView[] mArrImageViewTouchPoint;
    private int[] mArrIntSpecMax;
    private int[] mArrIntSpecMin;
    private boolean[] mArrIsEnabledChannel;
    private PointF[] mArrPointF;
    private TextView[] mArrTextViewCalData;
    private TextView[] mArrTextViewCalResult;
    private TextView[] mArrTextViewPressResult;
    private TextView[] mArrTextViewRawData;
    private TextView[] mArrTextViewStrength;
    private TextView[] mArrTextViewTouchPoint;
    private BroadcastReceiver mBroadcastReceiver;
    private Button mButtonExit;
    private Button mButtonReset;
    private String mClassName = "UIForceTouchNew";
    private double mDoubleDiffRatioFormAvg;
    private Handler mHandler;
    private int mIntCalTestLoopCount;
    private int mIntDelayForMeasurement;
    private int mIntPreviousCalIndex;
    private int mIntStrengthReadLoopCount;
    private boolean mIsExcludePeakCalValue;
    private boolean mIsInitCalUI;
    private boolean mIsUsingMM;
    private ModuleDevice mModuleDevice;
    private ModuleForceTouch mModuleForceTouch;
    private RelativeLayout mRelativeLayoutBackground;
    private STATUS[] mStatus;
    private int mTestID;
    private TextView mTextViewFailReason;

    /* access modifiers changed from: private */
    public enum STATUS {
        READY,
        STAGED,
        RUNNING,
        PASS,
        FAIL,
        NA
    }

    public UIForceTouchNew() {
        super("UIForceTouchNew");
        int i = mChannelLength;
        this.mStatus = new STATUS[i];
        this.mArrArrayListAvgData = new ArrayList[i];
        this.mArrIsEnabledChannel = new boolean[i];
        this.mArrPointF = new PointF[i];
        this.mArrFloatRadius = new float[i];
        this.mIsUsingMM = false;
        this.mIntDelayForMeasurement = 1000;
        this.mIntStrengthReadLoopCount = 30;
        this.mIntCalTestLoopCount = 5;
        this.mArrIntSpecMin = new int[i];
        this.mArrIntSpecMax = new int[i];
        this.mArrTextViewRawData = new TextView[i];
        this.mArrTextViewStrength = new TextView[i];
        this.mArrTextViewCalData = new TextView[i];
        this.mArrTextViewCalResult = new TextView[i];
        this.mArrTextViewPressResult = new TextView[i];
        this.mArrImageViewTouchPoint = new ImageView[i];
        this.mArrTextViewTouchPoint = new TextView[i];
        this.mIsInitCalUI = false;
        this.mIsExcludePeakCalValue = false;
        this.mDoubleDiffRatioFormAvg = 0.0d;
        this.mBroadcastReceiver = new BroadcastReceiver() {
            /* class com.sec.factory.app.ui.UIForceTouchNew.AnonymousClass1 */

            public synchronized void onReceive(Context context, Intent intent) {
                try {
                    if ("com.android.samsungtest.FORCE_STOP".equals(intent.getAction())) {
                        FtUtil.log_i(UIForceTouchNew.this.CLASS_NAME, "onReceive", "com.android.samsungtest.FORCE_STOP");
                        UIForceTouchNew.this.finish();
                    }
                } catch (Exception e) {
                    String str = UIForceTouchNew.this.CLASS_NAME;
                    FtUtil.log_i(str, "mBroadcastReceiver.onReceive", "Exception : " + e);
                }
            }
        };
        this.mHandler = new Handler() {
            /* class com.sec.factory.app.ui.UIForceTouchNew.AnonymousClass2 */

            public void handleMessage(Message msg) {
                switch (msg.what) {
                    case 1:
                        UIForceTouchNew.this.updateRawData();
                        UIForceTouchNew.this.updateCalData();
                        UIForceTouchNew.this.mIsInitCalUI = true;
                        return;
                    case 2:
                        if (msg.obj != null) {
                            UIForceTouchNew.this.updateStrengthAvg((ModuleForceTouch.CHANNEL) msg.obj);
                        }
                        if (!UIForceTouchNew.this.isPassTest()) {
                            return;
                        }
                        if (UIForceTouchNew.this.mTestID == 152) {
                            UIForceTouchNew.this.mHandler.sendEmptyMessage(3);
                            return;
                        } else if (UIForceTouchNew.this.mTestID == 153) {
                            UIForceTouchNew.this.mHandler.sendEmptyMessage(4);
                            return;
                        } else {
                            return;
                        }
                    case 3:
                        if (UIForceTouchNew.this.saveCalResult()) {
                            UIForceTouchNew.this.mHandler.sendEmptyMessageDelayed(5, 3000);
                            return;
                        }
                        return;
                    case 4:
                        UIForceTouchNew.this.savePressResult();
                        UIForceTouchNew.this.mHandler.sendEmptyMessageDelayed(5, 1000);
                        return;
                    case 5:
                        FtUtil.log_d(UIForceTouchNew.this.CLASS_NAME, "mHandler", "TEST PASS");
                        UIForceTouchNew.this.setResult(-1);
                        UIForceTouchNew.this.finish();
                        return;
                    default:
                        return;
                }
            }
        };
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        FtUtil.setRemoveSystemUI(getWindow(), true);
        setContentView(R.layout.ui_force_touch_new);
        this.mTestID = getIntent().getIntExtra("testid", 152);
        StringBuilder sb = new StringBuilder();
        sb.append(this.mClassName);
        sb.append("_");
        sb.append(this.mTestID == 152 ? "CAL" : "PRESS");
        this.CLASS_NAME = sb.toString();
        this.mModuleForceTouch = ModuleForceTouch.instance(this);
        loadTestInfo();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        ModuleDevice instance = ModuleDevice.instance(this);
        this.mModuleDevice = instance;
        instance.setEPenDisableMode(true);
        setTestCondition(true);
        initUI();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        setTestCondition(false);
        this.mModuleDevice.setEPenDisableMode(false);
        super.onPause();
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
    }

    private void loadTestInfo() {
        String specMin;
        String specMax;
        Support.TestCase.getString(Support.TestCase.FORCE_TOUCH_SELF_TEST_CHANNEL);
        try {
            this.mArrIsEnabledChannel[ModuleForceTouch.CHANNEL.LEFT.ordinal()] = Support.TestCase.getEnabled(Support.TestCase.FORCE_TOUCH_TEST_LEFT);
            this.mArrIsEnabledChannel[ModuleForceTouch.CHANNEL.CENTER.ordinal()] = Support.TestCase.getEnabled(Support.TestCase.FORCE_TOUCH_TEST_CENTER);
            this.mArrIsEnabledChannel[ModuleForceTouch.CHANNEL.RIGHT.ordinal()] = Support.TestCase.getEnabled(Support.TestCase.FORCE_TOUCH_TEST_RIGHT);
        } catch (ArrayIndexOutOfBoundsException e) {
        }
        this.mIntDelayForMeasurement = Support.TestCase.getInt(Support.TestCase.FORCE_TOUCH_DELAY_FOR_MEASUREMENT);
        this.mIntCalTestLoopCount = Support.TestCase.getInt(Support.TestCase.FORCE_TOUCH_CAL_TEST_COUNT);
        if (this.mTestID == 152) {
            this.mIntStrengthReadLoopCount = Support.TestCase.getInt(Support.TestCase.FORCE_TOUCH_CAL_STRENGTH_READ_COUNT);
        } else {
            this.mIntStrengthReadLoopCount = Support.TestCase.getInt(Support.TestCase.FORCE_TOUCH_PRESS_STRENGTH_READ_COUNT);
        }
        this.mArrPointF[ModuleForceTouch.CHANNEL.LEFT.ordinal()] = Support.TestCase.getViewPointF(Support.TestCase.FORCE_TOUCH_TEST_LEFT);
        this.mArrPointF[ModuleForceTouch.CHANNEL.CENTER.ordinal()] = Support.TestCase.getViewPointF(Support.TestCase.FORCE_TOUCH_TEST_CENTER);
        this.mArrPointF[ModuleForceTouch.CHANNEL.RIGHT.ordinal()] = Support.TestCase.getViewPointF(Support.TestCase.FORCE_TOUCH_TEST_RIGHT);
        this.mArrFloatRadius[ModuleForceTouch.CHANNEL.LEFT.ordinal()] = Support.TestCase.getSize(Support.TestCase.FORCE_TOUCH_TEST_LEFT);
        this.mArrFloatRadius[ModuleForceTouch.CHANNEL.CENTER.ordinal()] = Support.TestCase.getSize(Support.TestCase.FORCE_TOUCH_TEST_CENTER);
        this.mArrFloatRadius[ModuleForceTouch.CHANNEL.RIGHT.ordinal()] = Support.TestCase.getSize(Support.TestCase.FORCE_TOUCH_TEST_RIGHT);
        this.mIsUsingMM = Support.TestCase.getEnabled(Support.TestCase.FORCE_TOUCH_USING_UNIT_MM);
        if (this.mTestID == 152) {
            specMax = Support.Spec.getString(Support.Spec.FORCE_TOUCH_CAL_SPEC_MAX);
            specMin = Support.Spec.getString(Support.Spec.FORCE_TOUCH_CAL_SPEC_MIN);
        } else {
            specMax = Support.Spec.getString(Support.Spec.FORCE_TOUCH_PRESS_SPEC_MAX);
            specMin = Support.Spec.getString(Support.Spec.FORCE_TOUCH_PRESS_SPEC_MIN);
        }
        String[] arrSpecMax = specMax.split(",");
        String[] arrSpecMin = specMin.split(",");
        int i = mChannelLength;
        if (i == arrSpecMax.length && i == arrSpecMin.length) {
            for (int i2 = 0; i2 < mChannelLength; i2++) {
                try {
                    this.mArrIntSpecMax[i2] = Integer.parseInt(arrSpecMax[i2].trim());
                    this.mArrIntSpecMin[i2] = Integer.parseInt(arrSpecMin[i2].trim());
                } catch (NumberFormatException e2) {
                    int[] iArr = this.mArrIntSpecMax;
                    iArr[i2] = -1;
                    iArr[i2] = -1;
                }
            }
        }
        if (this.mTestID == 152) {
            this.mIsExcludePeakCalValue = Support.TestCase.getEnabled(Support.TestCase.FORCE_TOUCH_CAL_EXCLUDE_PEAK_VALUE);
            this.mDoubleDiffRatioFormAvg = Support.TestCase.getDouble(Support.TestCase.FORCE_TOUCH_CAL_EXCLUDE_PEAK_VALUE);
        }
    }

    private void setTestCondition(boolean isSetCondition) {
        if (isSetCondition) {
            this.mModuleForceTouch.setTestMode(true);
            ModuleForceTouch.KeySoundHandler.onStart(this);
            IntentFilter mIntentFilter = new IntentFilter();
            mIntentFilter.addAction("com.android.samsungtest.FORCE_STOP");
            registerReceiver(this.mBroadcastReceiver, mIntentFilter);
            for (int i = 0; i < mChannelLength; i++) {
                if (this.mArrIsEnabledChannel[i]) {
                    this.mStatus[i] = STATUS.READY;
                } else {
                    this.mStatus[i] = STATUS.NA;
                }
            }
            int i2 = 0;
            while (true) {
                ArrayList<Integer>[] arrayListArr = this.mArrArrayListAvgData;
                if (i2 >= arrayListArr.length) {
                    break;
                }
                arrayListArr[i2] = new ArrayList<>();
                i2++;
            }
            if (this.mTestID == 152) {
                try {
                    this.mIntPreviousCalIndex = Integer.parseInt(this.mModuleForceTouch.getCalDataIndex());
                } catch (NumberFormatException e) {
                    this.mIntPreviousCalIndex = 2;
                }
                this.mModuleForceTouch.setCalDataIndex(0);
                return;
            }
            return;
        }
        this.mModuleForceTouch.setTestMode(false);
        ModuleForceTouch.KeySoundHandler.onFinish(this);
        if (this.mTestID == 152 && !isPassTest()) {
            this.mModuleForceTouch.setCalDataIndex(this.mIntPreviousCalIndex);
        }
        BroadcastReceiver broadcastReceiver = this.mBroadcastReceiver;
        if (broadcastReceiver != null) {
            unregisterReceiver(broadcastReceiver);
            this.mBroadcastReceiver = null;
        }
    }

    private void initUI() {
        this.mButtonExit = (Button) findViewById(R.id.button_exit);
        this.mButtonReset = (Button) findViewById(R.id.button_reset);
        this.mButtonExit.setOnClickListener(this);
        this.mButtonReset.setOnClickListener(this);
        ((TextView) findViewById(R.id.spec_max)).setText(Arrays.toString(this.mArrIntSpecMax));
        ((TextView) findViewById(R.id.spec_min)).setText(Arrays.toString(this.mArrIntSpecMin));
        for (int i = 0; i < mChannelLength; i++) {
            if (this.mIsUsingMM) {
                PointF[] pointFArr = this.mArrPointF;
                pointFArr[i].x = getMillimeterToPixel(pointFArr[i].x);
                PointF[] pointFArr2 = this.mArrPointF;
                pointFArr2[i].y = getMillimeterToPixel(pointFArr2[i].y);
                float[] fArr = this.mArrFloatRadius;
                fArr[i] = getMillimeterToPixel(fArr[i]);
            }
            ImageView[] imageViewArr = this.mArrImageViewTouchPoint;
            Resources resources = getResources();
            imageViewArr[i] = (ImageView) findViewById(resources.getIdentifier("point_image_" + i, "id", getPackageName()));
            this.mArrImageViewTouchPoint[i].setOnTouchListener(this);
            setPositionPointImage(this.mArrImageViewTouchPoint[i], this.mArrFloatRadius[i], this.mArrPointF[i].x, this.mArrPointF[i].y);
            TextView[] textViewArr = this.mArrTextViewTouchPoint;
            Resources resources2 = getResources();
            textViewArr[i] = (TextView) findViewById(resources2.getIdentifier("point_title_" + i, "id", getPackageName()));
            this.mArrTextViewTouchPoint[i].setOnTouchListener(this);
            setPositionPointTitle(this.mArrTextViewTouchPoint[i], this.mArrFloatRadius[i], this.mArrPointF[i].x, this.mArrPointF[i].y);
            if (!this.mArrIsEnabledChannel[i]) {
                this.mArrImageViewTouchPoint[i].setVisibility(8);
                this.mArrTextViewTouchPoint[i].setVisibility(8);
            }
        }
        this.mTextViewFailReason = (TextView) findViewById(R.id.fail_reason);
        if (this.mTestID == 152) {
            initUICalTest();
        } else {
            initUIPressTest();
        }
    }

    private void initUICalTest() {
        RelativeLayout relativeLayout = (RelativeLayout) findViewById(R.id.rel_background);
        this.mRelativeLayoutBackground = relativeLayout;
        relativeLayout.setOnTouchListener(this);
        ((TextView) findViewById(R.id.title)).setText("Force Touch Calibration");
        ((TextView) findViewById(R.id.cal_table_title)).setVisibility(0);
        ((TableLayout) findViewById(R.id.force_touch_cal_table)).setVisibility(0);
        for (int i = 0; i < mChannelLength; i++) {
            TextView[] textViewArr = this.mArrTextViewRawData;
            Resources resources = getResources();
            textViewArr[i] = (TextView) findViewById(resources.getIdentifier("cal_raw_" + i, "id", getPackageName()));
            TextView[] textViewArr2 = this.mArrTextViewStrength;
            Resources resources2 = getResources();
            textViewArr2[i] = (TextView) findViewById(resources2.getIdentifier("cal_strength_" + i, "id", getPackageName()));
            TextView[] textViewArr3 = this.mArrTextViewCalData;
            Resources resources3 = getResources();
            textViewArr3[i] = (TextView) findViewById(resources3.getIdentifier("cal_data_" + i, "id", getPackageName()));
            TextView[] textViewArr4 = this.mArrTextViewCalResult;
            Resources resources4 = getResources();
            textViewArr4[i] = (TextView) findViewById(resources4.getIdentifier("cal_result_" + i, "id", getPackageName()));
            TextView textView = this.mArrTextViewCalResult[i];
            textView.setText("0 / " + this.mIntCalTestLoopCount);
            if (this.mStatus[i] == STATUS.NA) {
                this.mArrTextViewRawData[i].setText("NA");
                this.mArrTextViewStrength[i].setText("NA");
                this.mArrTextViewCalData[i].setText("NA");
                this.mArrTextViewCalResult[i].setText("NA");
            }
        }
        this.mHandler.sendEmptyMessageDelayed(1, 1000);
    }

    private void initUIPressTest() {
        ((TableLayout) findViewById(R.id.force_touch_press_table)).setVisibility(0);
        for (int i = 0; i < mChannelLength; i++) {
            TextView[] textViewArr = this.mArrTextViewStrength;
            Resources resources = getResources();
            textViewArr[i] = (TextView) findViewById(resources.getIdentifier("press_strength_" + i, "id", getPackageName()));
            TextView[] textViewArr2 = this.mArrTextViewPressResult;
            Resources resources2 = getResources();
            textViewArr2[i] = (TextView) findViewById(resources2.getIdentifier("press_result_" + i, "id", getPackageName()));
            if (this.mStatus[i] == STATUS.NA) {
                this.mArrTextViewStrength[i].setText("NA");
                this.mArrTextViewPressResult[i].setText("NA");
            }
        }
    }

    private void setPositionPointImage(ImageView mImageView, float mRadius, float mx, float my) {
        AbsoluteLayout.LayoutParams params = (AbsoluteLayout.LayoutParams) mImageView.getLayoutParams();
        params.width = (int) (((double) mRadius) * 2.0d);
        params.height = (int) (((double) mRadius) * 2.0d);
        params.x = (int) (mx - mRadius);
        params.y = (int) (my - mRadius);
        mImageView.setLayoutParams(params);
    }

    private void setPositionPointTitle(TextView mTextView, float mRadius, float mx, float my) {
        Point size = new Point();
        getWindowManager().getDefaultDisplay().getRealSize(size);
        int height = size.y;
        AbsoluteLayout.LayoutParams params = (AbsoluteLayout.LayoutParams) mTextView.getLayoutParams();
        params.x = (int) (mx - mRadius);
        if (((double) my) + (((double) mRadius) * 2.0d) > ((double) ((float) height))) {
            params.y = (int) (((double) my) - (((double) mRadius) * 2.0d));
        } else {
            params.y = (int) (my + mRadius);
        }
        params.width = (int) (((double) mRadius) * 2.0d);
        mTextView.setLayoutParams(params);
    }

    private float getMillimeterToPixel(float mm) {
        return TypedValue.applyDimension(5, mm, getResources().getDisplayMetrics());
    }

    private boolean isRunning() {
        int i = 0;
        while (true) {
            STATUS[] statusArr = this.mStatus;
            if (i >= statusArr.length) {
                return false;
            }
            if (statusArr[i] == STATUS.RUNNING) {
                return true;
            }
            i++;
        }
    }

    private boolean isRunning(int chIdx) {
        if (this.mStatus[chIdx] == STATUS.RUNNING) {
            return true;
        }
        return false;
    }

    private ModuleForceTouch.CHANNEL getChannelByIndex(int index) {
        ModuleForceTouch.CHANNEL[] values = ModuleForceTouch.CHANNEL.values();
        for (ModuleForceTouch.CHANNEL ch : values) {
            if (ch.ordinal() == index) {
                return ch;
            }
        }
        return null;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean updateCalData() {
        String[] arrStringResult = this.mModuleForceTouch.getCalData(2).split(",");
        for (int i = 0; i < mChannelLength; i++) {
            try {
                if (this.mArrIsEnabledChannel[i]) {
                    this.mArrTextViewCalData[i].setText(arrStringResult[i]);
                }
            } catch (ArrayIndexOutOfBoundsException e) {
                FtUtil.log_e(e);
                return false;
            }
        }
        return true;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void updateRawData() {
        String[] arrStringResult = this.mModuleForceTouch.getStringRawCap().split(",");
        for (int i = 0; i < mChannelLength; i++) {
            try {
                if (this.mArrIsEnabledChannel[i]) {
                    this.mArrTextViewRawData[i].setText(arrStringResult[i]);
                }
            } catch (ArrayIndexOutOfBoundsException e) {
                FtUtil.log_e(e);
                return;
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void updateStrengthAvg(ModuleForceTouch.CHANNEL ch) {
        int idx = ch.ordinal();
        int strengthAvg = this.mModuleForceTouch.getIntStrengthAvg(ch, this.mArrIntSpecMin[idx], this.mArrIntSpecMax[idx], this.mIntStrengthReadLoopCount);
        boolean isSpecIn = strengthAvg > this.mArrIntSpecMin[idx] && strengthAvg < this.mArrIntSpecMax[idx];
        TextView textView = this.mArrTextViewStrength[idx];
        textView.setText(strengthAvg + "");
        this.mArrArrayListAvgData[idx].add(Integer.valueOf(strengthAvg));
        int i = this.mTestID;
        if (i == 152) {
            if (isSpecIn) {
                int currTestCount = this.mArrArrayListAvgData[idx].size();
                String str = this.CLASS_NAME;
                FtUtil.log_d(str, "updateStrengthAvg", "[" + ch + "] count(" + currTestCount + "/" + this.mIntCalTestLoopCount + "), result : " + strengthAvg);
                if (currTestCount < this.mIntCalTestLoopCount) {
                    this.mStatus[idx] = STATUS.STAGED;
                    TextView textView2 = this.mArrTextViewCalResult[idx];
                    textView2.setText(currTestCount + " / " + this.mIntCalTestLoopCount);
                    return;
                }
                String str2 = this.CLASS_NAME;
                FtUtil.log_d(str2, "updateStrengthAvg", "[" + ch + "] Pass");
                this.mStatus[idx] = STATUS.PASS;
                this.mArrTextViewCalResult[idx].setText("PASS");
                this.mArrTextViewCalResult[idx].setTextColor(UiHallICTest.FONT_COLOR_PASS);
                return;
            }
            String str3 = this.CLASS_NAME;
            FtUtil.log_d(str3, "updateStrengthAvg", "[" + ch + "] Fail - Spec Out : " + strengthAvg);
            this.mStatus[idx] = STATUS.FAIL;
            this.mArrTextViewCalResult[idx].setText("FAIL");
            this.mArrTextViewCalResult[idx].setTextColor(-65536);
            saveCalDataAllToFile(false);
        } else if (i != 153) {
        } else {
            if (isSpecIn) {
                String str4 = this.CLASS_NAME;
                FtUtil.log_d(str4, "updateStrengthAvg", "[" + ch + "] Pass");
                this.mStatus[idx] = STATUS.PASS;
                this.mArrTextViewPressResult[idx].setText("PASS");
                this.mArrTextViewPressResult[idx].setTextColor(UiHallICTest.FONT_COLOR_PASS);
                return;
            }
            String str5 = this.CLASS_NAME;
            FtUtil.log_d(str5, "updateStrengthAvg", "[" + ch + "] Fail - Spec Out : " + strengthAvg);
            this.mStatus[idx] = STATUS.FAIL;
            this.mArrTextViewPressResult[idx].setText("FAIL");
            this.mArrTextViewPressResult[idx].setTextColor(-65536);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean saveCalResult() {
        int i;
        int[] arrResult = new int[mChannelLength];
        Arrays.fill(arrResult, 0);
        for (int i2 = 0; i2 < mChannelLength; i2++) {
            if (this.mArrIsEnabledChannel[i2]) {
                int j = 0;
                while (true) {
                    i = this.mIntCalTestLoopCount;
                    if (j >= i) {
                        break;
                    }
                    arrResult[i2] = arrResult[i2] + this.mArrArrayListAvgData[i2].get(j).intValue();
                    j++;
                }
                arrResult[i2] = arrResult[i2] / i;
            }
        }
        if (this.mIsExcludePeakCalValue) {
            for (int i3 = 0; i3 < mChannelLength; i3++) {
                if (this.mArrIsEnabledChannel[i3]) {
                    int prevCal = arrResult[i3];
                    int refDiff = (int) (((double) arrResult[i3]) * this.mDoubleDiffRatioFormAvg);
                    int minAbs = Math.abs(arrResult[i3] - ((Integer) Collections.min(this.mArrArrayListAvgData[i3])).intValue());
                    int maxAbs = Math.abs(arrResult[i3] - ((Integer) Collections.max(this.mArrArrayListAvgData[i3])).intValue());
                    int discardValue = 0;
                    if (minAbs > refDiff) {
                        refDiff = minAbs;
                        discardValue = ((Integer) Collections.min(this.mArrArrayListAvgData[i3])).intValue();
                    }
                    if (maxAbs > refDiff) {
                        discardValue = ((Integer) Collections.max(this.mArrArrayListAvgData[i3])).intValue();
                    }
                    if (discardValue != 0) {
                        int i4 = arrResult[i3];
                        int i5 = this.mIntCalTestLoopCount;
                        arrResult[i3] = ((i4 * i5) - discardValue) / (i5 - 1);
                        String str = this.CLASS_NAME;
                        FtUtil.log_d(str, "saveCalResult", "[" + getChannelByIndex(i3) + "] Exclude Cal Peak Value, " + prevCal + " -> " + arrResult[i3]);
                    }
                }
            }
        }
        this.mModuleForceTouch.saveCalData(2, arrResult);
        this.mModuleForceTouch.saveCalDataInEFS(arrResult);
        if (!updateCalData()) {
            return false;
        }
        saveCalDataAllToFile(true);
        return true;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void savePressResult() {
        SharedPreferences.Editor editor = getSharedPreferences("FORCE_TOUCH_PRESS_RESULT", 0).edit();
        String data = "";
        for (int i = 0; i < mChannelLength; i++) {
            data = !this.mArrIsEnabledChannel[i] ? data + "NONE," : data + this.mArrArrayListAvgData[i].get(0) + ",";
        }
        String data2 = data.substring(0, data.length() - 1);
        FtUtil.log_d(this.CLASS_NAME, "savePressResult", "data : " + data2);
        editor.putString("FORCE_RESULT", data2);
        editor.commit();
    }

    private void saveCalDataAllToFile(boolean isPass) {
        String logPath = PATH_CAL_DATA_FILE;
        if (!isPass) {
            logPath = PATH_CAL_FAIL_DATA_FILE;
        }
        BufferedWriter bw = null;
        try {
            BufferedWriter bw2 = new BufferedWriter(new FileWriter(logPath, true));
            for (int i = 0; i < this.mIntCalTestLoopCount; i++) {
                String line = "";
                for (int j = 0; j < mChannelLength; j++) {
                    line = i >= this.mArrArrayListAvgData[j].size() ? line + "-9999 " : line + this.mArrArrayListAvgData[j].get(i) + " ";
                }
                bw2.write(line.substring(0, line.length() - 1));
                bw2.newLine();
            }
            try {
                bw2.close();
            } catch (IOException e) {
                FtUtil.log_e(e);
            }
        } catch (IOException e2) {
            FtUtil.log_e(e2);
            if (0 != 0) {
                bw.close();
            }
        } catch (Throwable th) {
            if (0 != 0) {
                try {
                    bw.close();
                } catch (IOException e3) {
                    FtUtil.log_e(e3);
                }
            }
            throw th;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean isPassTest() {
        for (int i = 0; i < mChannelLength; i++) {
            if (this.mArrIsEnabledChannel[i] && this.mStatus[i] != STATUS.PASS) {
                return false;
            }
        }
        return true;
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.button_exit:
                finish();
                return;
            case R.id.button_reset:
                recreate();
                return;
            default:
                return;
        }
    }

    public boolean onTouch(View view, MotionEvent event) {
        switch (event.getAction()) {
            case 0:
                if (this.mIsInitCalUI || this.mTestID != 152) {
                    int i = 0;
                    while (true) {
                        ImageView[] imageViewArr = this.mArrImageViewTouchPoint;
                        if (i >= imageViewArr.length) {
                            break;
                        } else {
                            if (view == imageViewArr[i]) {
                                String str = this.CLASS_NAME;
                                FtUtil.log_d(str, "onTouch", "[" + getChannelByIndex(i) + "] : ACTION_DOWN");
                                if (isRunning()) {
                                    FtUtil.log_d(this.CLASS_NAME, "onTouch", "blocked (because of running)");
                                    return true;
                                }
                                this.mTextViewFailReason.setText("");
                                if (this.mStatus[i] == STATUS.READY || this.mStatus[i] == STATUS.STAGED) {
                                    ModuleForceTouch.KeySoundHandler.playKeySound(this);
                                    Handler handler = this.mHandler;
                                    handler.sendMessageDelayed(handler.obtainMessage(2, 0, 0, getChannelByIndex(i)), (long) this.mIntDelayForMeasurement);
                                    this.mStatus[i] = STATUS.RUNNING;
                                }
                            }
                            i++;
                        }
                    }
                    ModuleForceTouch.KeySoundHandler.playKeySound(this);
                    Handler handler2 = this.mHandler;
                    handler2.sendMessageDelayed(handler2.obtainMessage(2, 0, 0, getChannelByIndex(i)), (long) this.mIntDelayForMeasurement);
                    this.mStatus[i] = STATUS.RUNNING;
                    return true;
                }
                this.mHandler.removeMessages(1);
                this.mHandler.sendEmptyMessageDelayed(1, 1000);
                return true;
            case 1:
                int i2 = 0;
                while (true) {
                    ImageView[] imageViewArr2 = this.mArrImageViewTouchPoint;
                    if (i2 >= imageViewArr2.length) {
                        break;
                    } else if (view == imageViewArr2[i2] && this.mStatus[i2] == STATUS.RUNNING) {
                        String str2 = this.CLASS_NAME;
                        FtUtil.log_d(str2, "onTouch", "[" + getChannelByIndex(i2) + "] : ACTION_UP");
                        TextView textView = this.mTextViewFailReason;
                        textView.setText(getChannelByIndex(i2) + " : Not enough time");
                        return true;
                    } else {
                        i2++;
                    }
                }
                break;
        }
        return true;
    }
}
