package com.sec.factory.app.ui;

import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import java.io.File;

public class UIGearedMotor extends UIBase implements View.OnClickListener {
    private static final String CLASS_NAME = "UIGearedMotor";
    private static final int MSG_TEST_FAIL_STOP = 1005;
    private static final int MSG_TEST_FINISH = 1004;
    private static final int MSG_TEST_MOVE_DOWN = 1001;
    private static final int MSG_TEST_MOVE_STOP_AFTER_DOWN = 1002;
    private static final int MSG_TEST_MOVE_STOP_AFTER_UP = 1003;
    private static final int MSG_TEST_MOVE_UP = 1000;
    private String avgHallBot;
    private String avgHallTop;
    Button buttonExit;
    Button buttonStart;
    private int checktestcount;
    File dataBotAvg;
    File dataBotMax;
    File dataBotMin;
    File dataFirstBot;
    File dataFirstTop;
    File dataTopAvg;
    File dataTopMax;
    File dataTopMin;
    private int delayAfterDown;
    private int delayAfterUp;
    private TextView failResult;
    private String firstADCHallBot;
    private String firstADCHallTop;
    private int firstSlideSpecMax;
    private int firstSlideSpecMin;
    private TextView hall1AdcValue;
    private TextView hall1AdcValueSpec;
    private TextView hall2AdcValue;
    private TextView hall2AdcValueSpec;
    private TextView hallSlideStatus;
    private boolean isFirstSlide;
    public Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UIGearedMotor.AnonymousClass1 */

        public void handleMessage(Message msg) {
            switch (msg.what) {
                case 1000:
                    FtUtil.log_d(UIGearedMotor.CLASS_NAME, "handleMessage", "MSG_TEST_MOVE_UP");
                    UIGearedMotor.access$008(UIGearedMotor.this);
                    TextView textView = UIGearedMotor.this.testCountText;
                    textView.setText(UIGearedMotor.this.checktestcount + " / " + UIGearedMotor.this.motorCount);
                    UIGearedMotor.this.setHallStatusText("Slide Status : OPEN  ", "", "", "", "");
                    UIGearedMotor.this.failResult.setText("");
                    Support.Kernel.writeNsync(Support.Kernel.ENABLE_SLIDING_MOTOR, "1 1");
                    UIGearedMotor.this.mHandler.sendEmptyMessageDelayed(1003, (long) UIGearedMotor.this.motorTime);
                    return;
                case 1001:
                    FtUtil.log_d(UIGearedMotor.CLASS_NAME, "handleMessage", "MSG_TEST_MOVE_DOWN");
                    UIGearedMotor.this.setHallStatusText("Slide Status : CLOSE", "", "", "", "");
                    UIGearedMotor.this.failResult.setText("");
                    Support.Kernel.writeNsync(Support.Kernel.ENABLE_SLIDING_MOTOR, "1 -1");
                    UIGearedMotor.this.mHandler.sendEmptyMessageDelayed(1002, (long) UIGearedMotor.this.motorTime);
                    return;
                case 1002:
                    FtUtil.log_d(UIGearedMotor.CLASS_NAME, "handleMessage", "MSG_TEST_MOVE_STOP_AFTER_DOWN");
                    Support.Kernel.writeNsync(Support.Kernel.ENABLE_SLIDING_MOTOR, "0 0");
                    if (!UIGearedMotor.this.checkADCinSpec(false)) {
                        UIGearedMotor.this.mHandler.sendEmptyMessage(1005);
                        return;
                    } else if (UIGearedMotor.this.checktestcount < UIGearedMotor.this.motorCount) {
                        UIGearedMotor.this.mHandler.sendEmptyMessageDelayed(1000, (long) UIGearedMotor.this.delayAfterDown);
                        return;
                    } else {
                        UIGearedMotor.this.testCountText.setText("PASS");
                        UIGearedMotor.this.testCountText.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                        UIGearedMotor.this.mHandler.sendEmptyMessage(1004);
                        return;
                    }
                case 1003:
                    FtUtil.log_d(UIGearedMotor.CLASS_NAME, "handleMessage", "MSG_TEST_MOVE_STOP_AFTER_UP");
                    Support.Kernel.writeNsync(Support.Kernel.ENABLE_SLIDING_MOTOR, "0 0");
                    if (UIGearedMotor.this.checkADCinSpec(true)) {
                        UIGearedMotor.this.mHandler.sendEmptyMessageDelayed(1001, (long) UIGearedMotor.this.delayAfterUp);
                        return;
                    } else {
                        UIGearedMotor.this.mHandler.sendEmptyMessage(1005);
                        return;
                    }
                case 1004:
                    FtUtil.log_d(UIGearedMotor.CLASS_NAME, "handleMessage", "MSG_TEST_FINISH");
                    UIGearedMotor.this.setTestResult((byte) 80);
                    UIGearedMotor.this.saveGearedMotorData();
                    UIGearedMotor.this.finish();
                    return;
                case 1005:
                    FtUtil.log_d(UIGearedMotor.CLASS_NAME, "handleMessage", "MSG_TEST_FAIL_STOP");
                    UIGearedMotor.this.button_to_exit();
                    return;
                default:
                    return;
            }
        }
    };
    private int mTestID = 0;
    private int maxBotHall;
    private String maxHallBot;
    private String maxHallTop;
    private int maxTopHall;
    private int minBotHall;
    private String minHallBot;
    private String minHallTop;
    private int minTopHall;
    private int motorCount;
    private int motorTime;
    private int slideSpecBotMax;
    private int slideSpecBotMin;
    private int slideSpecTopMax;
    private int slideSpecTopMin;
    private int sumBotHall;
    private int sumTopHall;
    private TextView testCountText;

    static /* synthetic */ int access$008(UIGearedMotor x0) {
        int i = x0.checktestcount;
        x0.checktestcount = i + 1;
        return i;
    }

    public UIGearedMotor() {
        super(CLASS_NAME, 309);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_geared_motor);
        FtUtil.log_d(CLASS_NAME, "onCreate");
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        FtUtil.log_d(CLASS_NAME, "onResume");
        initTest();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        FtUtil.log_d(CLASS_NAME, "onPause");
        Support.Kernel.writeNsync(Support.Kernel.ENABLE_SLIDING_MOTOR, "0 0");
        removeAllMessage();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
        FtUtil.log_d(CLASS_NAME, "onDestory");
        Support.Kernel.writeNsync(Support.Kernel.ENABLE_SLIDING_MOTOR, "0 0");
        removeAllMessage();
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.button_exit:
                removeAllMessage();
                FtUtil.log_d(CLASS_NAME, "onClick", "EXIT Button");
                finish();
                return;
            case R.id.button_start:
                FtUtil.log_d(CLASS_NAME, "onClick", "START Button");
                this.buttonStart.setEnabled(false);
                this.buttonExit.setEnabled(false);
                this.mHandler.sendEmptyMessage(1000);
                return;
            default:
                return;
        }
    }

    private void removeAllMessage() {
        this.mHandler.removeMessages(1000);
        this.mHandler.removeMessages(1001);
        this.mHandler.removeMessages(1002);
        this.mHandler.removeMessages(1003);
    }

    private void initTest() {
        FtUtil.log_d(CLASS_NAME, "initTest");
        int intExtra = getIntent().getIntExtra("testid", 0);
        this.mTestID = intExtra;
        String temp = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML(intExtra));
        this.motorTime = Integer.parseInt(temp.substring(0, temp.indexOf(",")));
        this.delayAfterUp = Integer.parseInt(temp.substring(temp.indexOf(",") + 1, temp.lastIndexOf(",")));
        this.delayAfterDown = Integer.parseInt(temp.substring(temp.lastIndexOf(",") + 1));
        this.motorCount = Integer.parseInt(Support.FactoryTestMenu.getCount(this.mTestID));
        FtUtil.log_d(CLASS_NAME, "initTest", "mTestID : " + this.mTestID + " motorTime : " + temp + " motorCount : " + this.motorCount);
        String specRaw = Support.FactoryTestMenu.getSpec(FactoryTestManager.convertorID_XML(this.mTestID));
        StringBuilder sb = new StringBuilder();
        sb.append("spec : ");
        sb.append(specRaw);
        FtUtil.log_d(CLASS_NAME, "setTestData", sb.toString());
        this.firstSlideSpecMin = Integer.parseInt(specRaw.split("~")[0]);
        this.firstSlideSpecMax = Integer.parseInt(specRaw.split("~")[1]);
        TextView textView = (TextView) findViewById(R.id.testCount);
        this.testCountText = textView;
        textView.setText("0 / " + this.motorCount);
        this.failResult = (TextView) findViewById(R.id.failresult);
        this.hallSlideStatus = (TextView) findViewById(R.id.hall_slide_status);
        this.hall1AdcValue = (TextView) findViewById(R.id.hall1_adc_value);
        this.hall1AdcValueSpec = (TextView) findViewById(R.id.hall1_adc_value_spec);
        this.hall2AdcValue = (TextView) findViewById(R.id.hall2_adc_value);
        this.hall2AdcValueSpec = (TextView) findViewById(R.id.hall2_adc_value_spec);
        Button button = (Button) findViewById(R.id.button_exit);
        this.buttonExit = button;
        button.setOnClickListener(this);
        Button button2 = (Button) findViewById(R.id.button_start);
        this.buttonStart = button2;
        button2.setOnClickListener(this);
        this.dataFirstTop = new File("data/log/GearedMotorFirstTop.log");
        this.dataFirstBot = new File("data/log/GearedMotorFirstBot.log");
        this.dataTopMin = new File("data/log/GearedMotorTopMin.log");
        this.dataTopMax = new File("data/log/GearedMotorTopMax.log");
        this.dataBotMin = new File("data/log/GearedMotorBotMin.log");
        this.dataBotMax = new File("data/log/GearedMotorBotMax.log");
        this.dataTopAvg = new File("data/log/GearedMotorTopAvg.log");
        this.dataBotAvg = new File("data/log/GearedMotorBotAvg.log");
        this.isFirstSlide = true;
        this.checktestcount = 0;
        this.sumBotHall = 0;
        this.sumTopHall = 0;
        this.minBotHall = 9999;
        this.minTopHall = 9999;
        this.maxTopHall = -1;
        this.maxBotHall = -1;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void button_to_exit() {
        this.buttonExit.setEnabled(true);
        this.buttonExit.setText("FAIL");
        this.buttonExit.setTextColor(-65536);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean checkADCinSpec(boolean isTop) {
        if (isTop) {
            String currentTopADC = readHallTopADC();
            String currentBotADC = readHallBotADC();
            int currentTopADC_Int = Integer.parseInt(currentTopADC);
            Integer.parseInt(currentBotADC);
            this.sumTopHall += currentTopADC_Int;
            if (this.isFirstSlide) {
                setHallStatusText("Slide Status : OPEN  ", "Hall1 TOP ADC : " + currentTopADC, "(SPEC : " + this.firstSlideSpecMin + "~" + this.firstSlideSpecMax + ")", "Hall2 BOT ADC : " + currentBotADC, "(SPEC : " + this.firstSlideSpecMin + "~" + this.firstSlideSpecMax + ")");
                if (this.firstSlideSpecMin >= currentTopADC_Int || this.firstSlideSpecMax <= currentTopADC_Int) {
                    FtUtil.log_d(CLASS_NAME, "checkADCinSpec", "Spec out : " + currentTopADC_Int + "(" + this.firstSlideSpecMin + "~" + this.firstSlideSpecMax + ")");
                    this.failResult.setTextColor(-65536);
                    this.failResult.setText("FAIL");
                    return false;
                }
                FtUtil.log_d(CLASS_NAME, "checkADCinSpec", "Spec in : " + currentTopADC_Int + "(" + this.firstSlideSpecMin + "~" + this.firstSlideSpecMax + ")");
                this.slideSpecTopMin = currentTopADC_Int + -150;
                this.slideSpecTopMax = currentTopADC_Int + 150;
                Support.Kernel.writeToPathNsync(this.dataFirstTop.getPath(), currentTopADC);
                isMin(true, currentTopADC_Int);
                isMax(true, currentTopADC_Int);
                this.failResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                this.failResult.setText("PASS");
                return true;
            }
            setHallStatusText("Slide Status : OPEN  ", "Hall1 TOP ADC : " + currentTopADC, "(SPEC : " + this.slideSpecTopMin + "~" + this.slideSpecTopMax + ")", "Hall2 BOT ADC : " + currentBotADC, "(SPEC : " + this.slideSpecTopMin + "~" + this.slideSpecTopMax + ")");
            if (this.slideSpecTopMin >= currentTopADC_Int || this.slideSpecTopMax <= currentTopADC_Int) {
                FtUtil.log_d(CLASS_NAME, "checkADCinSpec", "Spec out : " + currentTopADC_Int + "(" + this.slideSpecTopMin + "~" + this.slideSpecTopMax + ")");
                this.failResult.setTextColor(-65536);
                this.failResult.setText("FAIL");
                return false;
            }
            FtUtil.log_d(CLASS_NAME, "checkADCinSpec", "Spec in : " + currentTopADC_Int + "(" + this.slideSpecTopMin + "~" + this.slideSpecTopMax + ")");
            isMin(true, currentTopADC_Int);
            isMax(true, currentTopADC_Int);
            this.failResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            this.failResult.setText("PASS");
            return true;
        }
        String currentTopADC2 = readHallTopADC();
        String currentBotADC2 = readHallBotADC();
        Integer.parseInt(currentTopADC2);
        int currentBotADC_Int = Integer.parseInt(currentBotADC2);
        this.sumBotHall += currentBotADC_Int;
        if (this.isFirstSlide) {
            setHallStatusText("Slide Status : CLOSE", "Hall1 TOP ADC : " + currentTopADC2, "(SPEC : " + this.firstSlideSpecMin + "~" + this.firstSlideSpecMax + ")", "Hall2 BOT ADC : " + currentBotADC2, "(SPEC : " + this.firstSlideSpecMin + "~" + this.firstSlideSpecMax + ")");
            this.isFirstSlide = false;
            if (this.firstSlideSpecMin >= currentBotADC_Int || this.firstSlideSpecMax <= currentBotADC_Int) {
                FtUtil.log_d(CLASS_NAME, "checkADCinSpec", "Spec out : " + currentBotADC_Int + "(" + this.firstSlideSpecMin + "~" + this.firstSlideSpecMax + ")");
                this.failResult.setTextColor(-65536);
                this.failResult.setText("FAIL");
                return false;
            }
            FtUtil.log_d(CLASS_NAME, "checkADCinSpec", "Spec in : " + currentBotADC_Int + "(" + this.firstSlideSpecMin + "~" + this.firstSlideSpecMax + ")");
            this.slideSpecBotMin = currentBotADC_Int + -150;
            this.slideSpecBotMax = currentBotADC_Int + 150;
            Support.Kernel.writeToPathNsync(this.dataFirstBot.getPath(), currentBotADC2);
            isMin(false, currentBotADC_Int);
            isMax(false, currentBotADC_Int);
            this.failResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            this.failResult.setText("PASS");
            return true;
        }
        setHallStatusText("Slide Status : CLOSE", "Hall1 TOP ADC : " + currentTopADC2, "(SPEC : " + this.slideSpecBotMin + "~" + this.slideSpecBotMax + ")", "Hall2 BOT ADC : " + currentBotADC2, "(SPEC : " + this.slideSpecBotMin + "~" + this.slideSpecBotMax + ")");
        if (this.slideSpecBotMin >= currentBotADC_Int || this.slideSpecBotMax <= currentBotADC_Int) {
            FtUtil.log_d(CLASS_NAME, "checkADCinSpec", "Spec in : " + currentBotADC_Int + "(" + this.slideSpecBotMin + "~" + this.slideSpecBotMax + ")");
            this.failResult.setTextColor(-65536);
            this.failResult.setText("FAIL");
            return false;
        }
        FtUtil.log_d(CLASS_NAME, "checkADCinSpec", "Spec in : " + currentBotADC_Int + "(" + this.slideSpecBotMin + "~" + this.slideSpecBotMax + ")");
        isMin(false, currentBotADC_Int);
        isMax(false, currentBotADC_Int);
        this.failResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
        this.failResult.setText("PASS");
        return true;
    }

    private String readHallTopADC() {
        if (!Support.Kernel.isExistFile(Support.Kernel.ENABLE_HALL_DETECT)) {
            return "NA";
        }
        String result = Support.Kernel.read(Support.Kernel.ENABLE_HALL_DETECT, true);
        return result.substring(result.lastIndexOf(" ") + 1);
    }

    private String readHallBotADC() {
        if (!Support.Kernel.isExistFile(Support.Kernel.ENABLE_REVERSE_HALL_DETECT)) {
            return "NA";
        }
        String result = Support.Kernel.read(Support.Kernel.ENABLE_REVERSE_HALL_DETECT, true);
        return result.substring(result.lastIndexOf(" ") + 1);
    }

    private void isMin(boolean isTop, int curADC) {
        if (isTop) {
            if (this.minTopHall > curADC) {
                this.minTopHall = curADC;
            }
        } else if (this.minBotHall > curADC) {
            this.minBotHall = curADC;
        }
    }

    private void isMax(boolean isTop, int curADC) {
        if (isTop) {
            if (this.maxTopHall < curADC) {
                this.maxTopHall = curADC;
            }
        } else if (this.maxBotHall < curADC) {
            this.maxBotHall = curADC;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setHallStatusText(String hallslide, String hall1, String hall1spec, String hall2, String hall2spec) {
        this.hallSlideStatus.setText(hallslide);
        this.hall1AdcValue.setText(hall1);
        this.hall1AdcValueSpec.setText(hall1spec);
        this.hall2AdcValue.setText(hall2);
        this.hall2AdcValueSpec.setText(hall2spec);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void saveGearedMotorData() {
        Support.Kernel.writeToPath(this.dataTopMin.getPath(), String.valueOf(this.minTopHall));
        Support.Kernel.writeToPath(this.dataTopMax.getPath(), String.valueOf(this.maxTopHall));
        Support.Kernel.writeToPath(this.dataBotMin.getPath(), String.valueOf(this.minBotHall));
        Support.Kernel.writeToPath(this.dataBotMax.getPath(), String.valueOf(this.maxBotHall));
        Support.Kernel.writeToPath(this.dataTopAvg.getPath(), String.valueOf(this.sumTopHall / this.motorCount));
        Support.Kernel.writeToPath(this.dataBotAvg.getPath(), String.valueOf(this.sumBotHall / this.motorCount));
    }
}
