package com.sec.factory.app.ui;

import android.app.AlertDialog;
import android.app.FragmentTransaction;
import android.content.DialogInterface;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.View;
import android.widget.LinearLayout;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.app.ui.FragmentGeomagneticAlps;
import com.sec.factory.app.ui.FragmentGeomagneticAlpsCal;
import com.sec.factory.app.ui.FragmentGeomagneticAsahi;
import com.sec.factory.app.ui.FragmentGeomagneticBosch;
import com.sec.factory.app.ui.FragmentGeomagneticSTMicro;
import com.sec.factory.app.ui.FragmentGeomagneticYamaha;
import com.sec.factory.app.ui.FragmentGyroscopeInvensense;
import com.sec.factory.app.ui.FragmentGyroscopeMaxim;
import com.sec.factory.app.ui.FragmentGyroscopeSTMicroTablet;
import com.sec.factory.modules.ModuleCommunicationService;
import com.sec.factory.modules.ModuleSensor;
import com.sec.factory.modules.SensorDeviceInfo;
import com.sec.factory.modules.SensorFeature;
import com.sec.factory.modules.SensorNotification;
import com.sec.factory.modules.SensorSpec;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.File;

public class UIGeomagneticGyro extends UIBase {
    public static final int WHAT_GEOMAGNETIC_FAIL = (SensorNotification.WHAT_NOTI_SENSOR_MAX + 4);
    public static final int WHAT_GEOMAGNETIC_PASS = (SensorNotification.WHAT_NOTI_SENSOR_MAX + 3);
    public static final int WHAT_GYROSCOPE_FAIL = (SensorNotification.WHAT_NOTI_SENSOR_MAX + 2);
    public static final int WHAT_GYROSCOPE_PASS = (SensorNotification.WHAT_NOTI_SENSOR_MAX + 1);
    private final int TESTINFO_ARRAY_INDEX_GEOMAGNETIC;
    private final int TESTINFO_ARRAY_INDEX_GYROSCOPE;
    private final String TESTINFO_IC_ALPS = "ALPS";
    private final String TESTINFO_IC_ALPS_HSCDTD008A = SensorFeature.FEATURE_MAGENTIC_ALPS_HSCDTD008A;
    private final String TESTINFO_IC_ASAHI = "ASAHI";
    private final String TESTINFO_IC_BOSCH = SensorFeature.FEATURE_GYROSCOP_BOSCH;
    private final String TESTINFO_IC_INVENSENSE = SensorFeature.FEATURE_GYROSCOP_INVENSENSE;
    private final String TESTINFO_IC_MAXIM = "MAXIM";
    private final String TESTINFO_IC_STMICRO = "STMICRO";
    private final String TESTINFO_IC_STMICRO_SMARTPHONE = SensorFeature.FEATURE_GYROSCOP_STMICRO_SMARTPHONE;
    private final String TESTINFO_IC_STMICRO_TABLET = SensorFeature.FEATURE_GYROSCOP_STMICRO_TABLET;
    private final String TESTINFO_IC_YAMAHA = "YAMAHA";
    private int TEST_ID;
    private int dummy = 0;
    private String mFeature_Geomagnetic;
    private String mFeature_Gyroscope;
    FragmentGeomagneticAlps mFragment_geomagnetic_alps;
    FragmentGeomagneticAlpsCal mFragment_geomagnetic_alps_cal;
    FragmentGeomagneticAsahi mFragment_geomagnetic_asahi;
    FragmentGeomagneticBosch mFragment_geomagnetic_bosch;
    FragmentGeomagneticSTMicro mFragment_geomagnetic_stmicro;
    FragmentGeomagneticYamaha mFragment_geomagnetic_yamaha;
    FragmentGyroscopeBosch mFragment_gyroscope_bosch;
    FragmentGyroscopeInvensense mFragment_gyroscope_invensense;
    FragmentGyroscopeMaxim mFragment_gyroscope_maxim;
    FragmentGyroscopeSTMicroSmartphone mFragment_gyroscope_stmicro_smartphone;
    FragmentGyroscopeSTMicroTablet mFragment_gyroscope_stmicro_tablet;
    private final Handler mHandler;
    private LinearLayout mLinear_Bottom;
    private LinearLayout mLinear_Top;
    private FactoryTestManager.FactoryTestItemInfo[] mList_TestItem;
    private ModuleSensor mModuleSensor;
    private int[] mSensorID;
    private int mSensorID_Geomagnetic_ADC;
    private int mSensorID_Geomagnetic_ADC2;
    private int mSensorID_Geomagnetic_DAC;
    private int mSensorID_Geomagnetic_Initialized;
    private int mSensorID_Geomagnetic_Released;
    private int mSensorID_Geomagnetic_Self;
    private int mSensorID_Geomagnetic_Status;
    private final int mSensorID_Geomagnetic_Temperature;
    private final int mSensorID_Gyrocope_Power;
    private int mSensorID_Gyrocope_Self;
    private int mSensorID_Gyrocope_Temperature;
    private final int mSensorID_None;
    private SensorSpec mSensorSpec;
    private final TestInfo[] mTestInfoArray;
    private View mView_Separator;

    /* access modifiers changed from: private */
    public class TestInfo {
        public String mIC;
        public int mID;
        public boolean mIsTestComplete;
        public boolean mIsTestPass;

        private TestInfo() {
            this.mIC = null;
            this.mIsTestComplete = false;
            this.mIsTestPass = false;
            this.mID = -1;
        }
    }

    public UIGeomagneticGyro() {
        super("UIGeomagneticGyro", 37);
        int i = 0 + 1;
        this.dummy = i;
        this.TESTINFO_ARRAY_INDEX_GYROSCOPE = 0;
        int i2 = i + 1;
        this.dummy = i2;
        this.TESTINFO_ARRAY_INDEX_GEOMAGNETIC = i;
        this.mTestInfoArray = new TestInfo[i2];
        this.mSensorID = null;
        int i3 = ModuleSensor.ID_SCOPE_MIN - 1;
        this.mSensorID_None = i3;
        this.mSensorID_Gyrocope_Power = i3;
        this.mSensorID_Gyrocope_Temperature = i3;
        this.mSensorID_Gyrocope_Self = i3;
        this.mSensorID_Geomagnetic_Initialized = i3;
        this.mSensorID_Geomagnetic_Status = i3;
        this.mSensorID_Geomagnetic_Temperature = i3;
        this.mSensorID_Geomagnetic_DAC = i3;
        this.mSensorID_Geomagnetic_ADC = i3;
        this.mSensorID_Geomagnetic_ADC2 = i3;
        this.mSensorID_Geomagnetic_Self = i3;
        this.mSensorID_Geomagnetic_Released = i3;
        this.TEST_ID = -1;
        this.mHandler = new Handler() {
            /* class com.sec.factory.app.ui.UIGeomagneticGyro.AnonymousClass1 */

            public void handleMessage(Message msg) {
                if (UIGeomagneticGyro.this.isFinishing()) {
                    FtUtil.log_e(UIGeomagneticGyro.this.CLASS_NAME, "mHandler.handleMessage", "Already finished UIGeomagneticGyro!");
                } else if (msg.what == SensorNotification.WHAT_NOTI_SENSOR_READY) {
                    FtUtil.log_d(UIGeomagneticGyro.this.CLASS_NAME, "mHandler.handleMessage", "WHAT_NOTI_SENSOR_READY");
                    UIGeomagneticGyro.this.update();
                } else {
                    UIGeomagneticGyro.this.checkResult(msg.what);
                }
            }
        };
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_geomagnetic_gyro);
        this.TEST_ID = getIntent().getIntExtra("requestCode", 37);
        setTestInfo();
        setFragment();
        setSensorID();
        init();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        this.mModuleSensor.SensorOff(this.mSensorID);
    }

    private void setTestInfo() {
        FtUtil.log_d(this.CLASS_NAME, "setTestInfo", null);
        this.mFeature_Gyroscope = SensorDeviceInfo.getSensorName(SensorDeviceInfo.TYPE_GYRO, SensorDeviceInfo.TARGET_XML);
        this.mFeature_Geomagnetic = SensorDeviceInfo.getSensorName(SensorDeviceInfo.TYPE_GEOMAGNETIC, SensorDeviceInfo.TARGET_XML);
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "setTestInfo", "mFeature_Gyroscope : " + this.mFeature_Gyroscope);
        String str2 = this.CLASS_NAME;
        FtUtil.log_d(str2, "setTestInfo", "mFeature_Geomagnetic : " + this.mFeature_Geomagnetic);
        if (FactoryTestManager.isTest(21)) {
            this.mTestInfoArray[this.TESTINFO_ARRAY_INDEX_GYROSCOPE] = new TestInfo();
            this.mTestInfoArray[this.TESTINFO_ARRAY_INDEX_GYROSCOPE].mID = 21;
            String str3 = this.mFeature_Gyroscope;
            if (str3 != null) {
                if (str3.contains(SensorFeature.FEATURE_GYROSCOP_INVENSENSE)) {
                    FtUtil.log_d(this.CLASS_NAME, "setTestInfo", "TESTINFO_IC_INVENSENSE");
                    this.mTestInfoArray[this.TESTINFO_ARRAY_INDEX_GYROSCOPE].mIC = SensorFeature.FEATURE_GYROSCOP_INVENSENSE;
                } else if (this.mFeature_Gyroscope.contains(SensorFeature.FEATURE_GYROSCOP_STMICRO_SMARTPHONE)) {
                    FtUtil.log_d(this.CLASS_NAME, "setTestInfo", "TESTINFO_IC_STMICRO_SMARTPHONE");
                    this.mTestInfoArray[this.TESTINFO_ARRAY_INDEX_GYROSCOPE].mIC = SensorFeature.FEATURE_GYROSCOP_STMICRO_SMARTPHONE;
                } else if (this.mFeature_Gyroscope.contains(SensorFeature.FEATURE_GYROSCOP_STMICRO_TABLET)) {
                    FtUtil.log_d(this.CLASS_NAME, "setTestInfo", "TESTINFO_IC_STMICRO_TABLET");
                    this.mTestInfoArray[this.TESTINFO_ARRAY_INDEX_GYROSCOPE].mIC = SensorFeature.FEATURE_GYROSCOP_STMICRO_TABLET;
                } else if (this.mFeature_Gyroscope.contains(SensorFeature.FEATURE_GYROSCOP_BOSCH)) {
                    FtUtil.log_d(this.CLASS_NAME, "setTestInfo", "TESTINFO_IC_BOSCH");
                    this.mTestInfoArray[this.TESTINFO_ARRAY_INDEX_GYROSCOPE].mIC = SensorFeature.FEATURE_GYROSCOP_BOSCH;
                } else if (this.mFeature_Gyroscope.contains("MAXIM")) {
                    FtUtil.log_d(this.CLASS_NAME, "setTestInfo", "TESTINFO_IC_MAXIM");
                    this.mTestInfoArray[this.TESTINFO_ARRAY_INDEX_GYROSCOPE].mIC = "MAXIM";
                }
            }
        }
        if (FactoryTestManager.isTest(20) || this.TEST_ID == 20) {
            this.mTestInfoArray[this.TESTINFO_ARRAY_INDEX_GEOMAGNETIC] = new TestInfo();
            this.mTestInfoArray[this.TESTINFO_ARRAY_INDEX_GEOMAGNETIC].mID = 20;
            String str4 = this.mFeature_Geomagnetic;
            if (str4 == null) {
                return;
            }
            if (str4.contains("AK")) {
                FtUtil.log_d(this.CLASS_NAME, "setTestInfo", "TESTINFO_IC_ASAHI");
                this.mTestInfoArray[this.TESTINFO_ARRAY_INDEX_GEOMAGNETIC].mIC = "ASAHI";
            } else if (this.mFeature_Geomagnetic.contains("YAS")) {
                FtUtil.log_d(this.CLASS_NAME, "setTestInfo", "TESTINFO_IC_YAMAHA");
                this.mTestInfoArray[this.TESTINFO_ARRAY_INDEX_GEOMAGNETIC].mIC = "YAMAHA";
            } else if (this.mFeature_Geomagnetic.contains("HSCDTD")) {
                FtUtil.log_d(this.CLASS_NAME, "setTestInfo", "TESTINFO_IC_ALPS");
                if (Support.TestCase.getEnabled(Support.TestCase.SUPPORT_GEOMAGNETIC_ALPS_CAL)) {
                    this.mTestInfoArray[this.TESTINFO_ARRAY_INDEX_GEOMAGNETIC].mIC = SensorFeature.FEATURE_MAGENTIC_ALPS_HSCDTD008A;
                } else {
                    this.mTestInfoArray[this.TESTINFO_ARRAY_INDEX_GEOMAGNETIC].mIC = "ALPS";
                }
            } else if (this.mFeature_Geomagnetic.contains("BMC")) {
                FtUtil.log_d(this.CLASS_NAME, "setTestInfo", "TESTINFO_IC_BOSCH");
                this.mTestInfoArray[this.TESTINFO_ARRAY_INDEX_GEOMAGNETIC].mIC = SensorFeature.FEATURE_GYROSCOP_BOSCH;
            } else if (this.mFeature_Geomagnetic.contains("STMICRO")) {
                FtUtil.log_d(this.CLASS_NAME, "setTestInfo", "TESTINFO_IC_STMICRO");
                this.mTestInfoArray[this.TESTINFO_ARRAY_INDEX_GEOMAGNETIC].mIC = "STMICRO";
            }
        }
    }

    private void setFragment() {
        FragmentTransaction fragmentTransaction = getFragmentManager().beginTransaction();
        TestInfo[] testInfoArr = this.mTestInfoArray;
        int i = this.TESTINFO_ARRAY_INDEX_GYROSCOPE;
        if (testInfoArr[i] != null) {
            if (testInfoArr[i].mIC == SensorFeature.FEATURE_GYROSCOP_INVENSENSE) {
                FtUtil.log_d(this.CLASS_NAME, "setFragment", "TESTINFO_IC_INVENSENSE");
                FragmentGyroscopeInvensense fragmentGyroscopeInvensense = new FragmentGyroscopeInvensense();
                this.mFragment_gyroscope_invensense = fragmentGyroscopeInvensense;
                fragmentTransaction.add((int) R.id.geomagnetic_gyro_top, fragmentGyroscopeInvensense);
            } else if (this.mTestInfoArray[this.TESTINFO_ARRAY_INDEX_GYROSCOPE].mIC == SensorFeature.FEATURE_GYROSCOP_STMICRO_SMARTPHONE) {
                FtUtil.log_d(this.CLASS_NAME, "setFragment", "TESTINFO_IC_STMICRO_SMARTPHONE");
                FragmentGyroscopeSTMicroSmartphone fragmentGyroscopeSTMicroSmartphone = new FragmentGyroscopeSTMicroSmartphone();
                this.mFragment_gyroscope_stmicro_smartphone = fragmentGyroscopeSTMicroSmartphone;
                fragmentTransaction.add((int) R.id.geomagnetic_gyro_top, fragmentGyroscopeSTMicroSmartphone);
            } else if (this.mTestInfoArray[this.TESTINFO_ARRAY_INDEX_GYROSCOPE].mIC == SensorFeature.FEATURE_GYROSCOP_STMICRO_TABLET) {
                FtUtil.log_d(this.CLASS_NAME, "setFragment", "TESTINFO_IC_STMICRO_TABLET");
                FragmentGyroscopeSTMicroTablet fragmentGyroscopeSTMicroTablet = new FragmentGyroscopeSTMicroTablet();
                this.mFragment_gyroscope_stmicro_tablet = fragmentGyroscopeSTMicroTablet;
                fragmentTransaction.add((int) R.id.geomagnetic_gyro_top, fragmentGyroscopeSTMicroTablet);
            } else if (this.mTestInfoArray[this.TESTINFO_ARRAY_INDEX_GYROSCOPE].mIC == SensorFeature.FEATURE_GYROSCOP_BOSCH) {
                FtUtil.log_d(this.CLASS_NAME, "setFragment", "TESTINFO_IC_BOSCH");
                FragmentGyroscopeBosch fragmentGyroscopeBosch = new FragmentGyroscopeBosch();
                this.mFragment_gyroscope_bosch = fragmentGyroscopeBosch;
                fragmentTransaction.add((int) R.id.geomagnetic_gyro_top, fragmentGyroscopeBosch);
            } else if (this.mTestInfoArray[this.TESTINFO_ARRAY_INDEX_GYROSCOPE].mIC == "MAXIM") {
                FtUtil.log_d(this.CLASS_NAME, "setFragment", "TESTINFO_IC_MAXIM");
                FragmentGyroscopeMaxim fragmentGyroscopeMaxim = new FragmentGyroscopeMaxim();
                this.mFragment_gyroscope_maxim = fragmentGyroscopeMaxim;
                fragmentTransaction.add((int) R.id.geomagnetic_gyro_top, fragmentGyroscopeMaxim);
            }
        }
        TestInfo[] testInfoArr2 = this.mTestInfoArray;
        int i2 = this.TESTINFO_ARRAY_INDEX_GEOMAGNETIC;
        if (testInfoArr2[i2] != null) {
            if (testInfoArr2[i2].mIC == "ASAHI") {
                FtUtil.log_d(this.CLASS_NAME, "setFragment", "TESTINFO_IC_ASAHI");
                FragmentGeomagneticAsahi fragmentGeomagneticAsahi = new FragmentGeomagneticAsahi(this);
                this.mFragment_geomagnetic_asahi = fragmentGeomagneticAsahi;
                fragmentTransaction.add((int) R.id.geomagnetic_gyro_bottom, fragmentGeomagneticAsahi);
            } else if (this.mTestInfoArray[this.TESTINFO_ARRAY_INDEX_GEOMAGNETIC].mIC == "YAMAHA") {
                FtUtil.log_d(this.CLASS_NAME, "setFragment", "TESTINFO_IC_YAMAHA");
                FragmentGeomagneticYamaha fragmentGeomagneticYamaha = new FragmentGeomagneticYamaha(this);
                this.mFragment_geomagnetic_yamaha = fragmentGeomagneticYamaha;
                fragmentTransaction.add((int) R.id.geomagnetic_gyro_bottom, fragmentGeomagneticYamaha);
            } else if (this.mTestInfoArray[this.TESTINFO_ARRAY_INDEX_GEOMAGNETIC].mIC == "ALPS") {
                FtUtil.log_d(this.CLASS_NAME, "setFragment", "TESTINFO_IC_ALPS");
                FragmentGeomagneticAlps fragmentGeomagneticAlps = new FragmentGeomagneticAlps(this);
                this.mFragment_geomagnetic_alps = fragmentGeomagneticAlps;
                fragmentTransaction.add((int) R.id.geomagnetic_gyro_bottom, fragmentGeomagneticAlps);
            } else if (this.mTestInfoArray[this.TESTINFO_ARRAY_INDEX_GEOMAGNETIC].mIC == SensorFeature.FEATURE_MAGENTIC_ALPS_HSCDTD008A) {
                FtUtil.log_d(this.CLASS_NAME, "setFragment", "TESTINFO_IC_ALPS_HSCDTD008A");
                FragmentGeomagneticAlpsCal fragmentGeomagneticAlpsCal = new FragmentGeomagneticAlpsCal(this);
                this.mFragment_geomagnetic_alps_cal = fragmentGeomagneticAlpsCal;
                fragmentTransaction.add((int) R.id.geomagnetic_gyro_bottom, fragmentGeomagneticAlpsCal);
            } else if (this.mTestInfoArray[this.TESTINFO_ARRAY_INDEX_GEOMAGNETIC].mIC == SensorFeature.FEATURE_GYROSCOP_BOSCH) {
                FtUtil.log_d(this.CLASS_NAME, "setFragment", "TESTINFO_IC_BOSCH");
                FragmentGeomagneticBosch fragmentGeomagneticBosch = new FragmentGeomagneticBosch(this);
                this.mFragment_geomagnetic_bosch = fragmentGeomagneticBosch;
                fragmentTransaction.add((int) R.id.geomagnetic_gyro_bottom, fragmentGeomagneticBosch);
            } else if (this.mTestInfoArray[this.TESTINFO_ARRAY_INDEX_GEOMAGNETIC].mIC == "STMICRO") {
                FtUtil.log_d(this.CLASS_NAME, "setFragment", "TESTINFO_IC_ALPS_HSCDTD008A");
                FragmentGeomagneticSTMicro fragmentGeomagneticSTMicro = new FragmentGeomagneticSTMicro(this);
                this.mFragment_geomagnetic_stmicro = fragmentGeomagneticSTMicro;
                fragmentTransaction.add(R.id.geomagnetic_gyro_bottom, fragmentGeomagneticSTMicro);
            }
        }
        fragmentTransaction.commit();
    }

    private void setSensorID() {
        String str;
        String str2;
        FtUtil.log_d(this.CLASS_NAME, "setSensorID", null);
        if (!(this.mTestInfoArray[this.TESTINFO_ARRAY_INDEX_GYROSCOPE] == null || (str2 = this.mFeature_Gyroscope) == null)) {
            if (str2.equals(SensorFeature.FEATURE_GYROSCOP_INVENSENSE_MPU6500) || this.mFeature_Gyroscope.equals(SensorFeature.FEATURE_GYROSCOP_INVENSENSE_MPU6515) || this.mFeature_Gyroscope.equals(SensorFeature.FEATURE_GYROSCOP_INVENSENSE_MPU6515M)) {
                FtUtil.log_d(this.CLASS_NAME, "setSensorID", "INVENSENSE_MPU6500 or INVENSENSE_MPU6515 or INVENSENSE_MPU6515M");
                this.mSensorID_Gyrocope_Temperature = ModuleSensor.ID_FILE____GYRO_TEMPERATURE;
                this.mSensorID_Gyrocope_Self = ModuleSensor.ID_FILE____GYRO_SELFTEST;
            } else if (this.mFeature_Gyroscope.contains(SensorFeature.FEATURE_GYROSCOP_STMICRO_SMARTPHONE)) {
                FtUtil.log_d(this.CLASS_NAME, "setSensorID", SensorFeature.FEATURE_GYROSCOP_STMICRO_SMARTPHONE);
            } else if (this.mFeature_Gyroscope.contains(SensorFeature.FEATURE_GYROSCOP_STMICRO_TABLET)) {
                FtUtil.log_d(this.CLASS_NAME, "setSensorID", SensorFeature.FEATURE_GYROSCOP_STMICRO_TABLET);
            } else if (this.mFeature_Gyroscope.contains(SensorFeature.FEATURE_GYROSCOP_BOSCH)) {
                FtUtil.log_d(this.CLASS_NAME, "setSensorID", "BOSCH_BMG160");
            } else if (this.mFeature_Gyroscope.equals("MAXIM")) {
                FtUtil.log_d(this.CLASS_NAME, "setSensorID", "MAXIM");
                this.mSensorID_Gyrocope_Temperature = ModuleSensor.ID_FILE____GYRO_TEMPERATURE;
                this.mSensorID_Gyrocope_Self = ModuleSensor.ID_FILE____GYRO_SELFTEST;
            }
        }
        if (!(this.mTestInfoArray[this.TESTINFO_ARRAY_INDEX_GEOMAGNETIC] == null || (str = this.mFeature_Geomagnetic) == null)) {
            if (str.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK8963) || this.mFeature_Geomagnetic.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK8963C) || this.mFeature_Geomagnetic.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09911)) {
                FtUtil.log_d(this.CLASS_NAME, "setSensorID", "AK8963 or AK8963C or AK09911");
                this.mSensorID_Geomagnetic_Initialized = ModuleSensor.ID_FILE____MAGNETIC_STATUS;
                this.mSensorID_Geomagnetic_ADC = ModuleSensor.ID_FILE____MAGNETIC_ADC;
                this.mSensorID_Geomagnetic_DAC = ModuleSensor.ID_FILE____MAGNETIC_DAC;
                this.mSensorID_Geomagnetic_Self = ModuleSensor.ID_FILE____MAGNETIC_SELF;
            } else if (this.mFeature_Geomagnetic.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK8975) || this.mFeature_Geomagnetic.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK8963C_MANAGER)) {
                FtUtil.log_d(this.CLASS_NAME, "setSensorID", "AK8975 or AK8963C_MANAGER");
                this.mSensorID_Geomagnetic_Initialized = ModuleSensor.ID_MANAGER_MAGNETIC_POWER_ON;
                this.mSensorID_Geomagnetic_DAC = ModuleSensor.ID_MANAGER_MAGNETIC_DAC;
                this.mSensorID_Geomagnetic_ADC = ModuleSensor.ID_MANAGER_MAGNETIC_ADC;
                this.mSensorID_Geomagnetic_Self = ModuleSensor.ID_MANAGER_MAGNETIC_SELF;
            } else if (this.mFeature_Geomagnetic.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK8973)) {
                FtUtil.log_d(this.CLASS_NAME, "setSensorID", SensorFeature.FEATURE_MAGENTIC_ASAHI_AK8973);
            } else if (this.mFeature_Geomagnetic.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS530C) || this.mFeature_Geomagnetic.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS532)) {
                FtUtil.log_d(this.CLASS_NAME, "setSensorID", "YAS530C or YAS532");
                this.mSensorID_Geomagnetic_Initialized = ModuleSensor.ID_MANAGER_MAGNETIC_POWER_ON;
                this.mSensorID_Geomagnetic_Status = ModuleSensor.ID_MANAGER_MAGNETIC_STATUS;
                this.mSensorID_Geomagnetic_DAC = ModuleSensor.ID_MANAGER_MAGNETIC_DAC;
                this.mSensorID_Geomagnetic_ADC = ModuleSensor.ID_MANAGER_MAGNETIC_ADC;
                this.mSensorID_Geomagnetic_Self = ModuleSensor.ID_MANAGER_MAGNETIC_SELF;
                this.mSensorID_Geomagnetic_ADC2 = ModuleSensor.ID_MANAGER_MAGNETIC_OFFSETH;
                this.mSensorID_Geomagnetic_Released = ModuleSensor.ID_MANAGER_MAGNETIC_POWER_OFF;
            } else if (this.mFeature_Geomagnetic.equals(SensorFeature.FEATURE_MAGENTIC_ALPS_HSCDTD004) || this.mFeature_Geomagnetic.equals(SensorFeature.FEATURE_MAGENTIC_ALPS_HSCDTD004A) || this.mFeature_Geomagnetic.equals(SensorFeature.FEATURE_MAGENTIC_ALPS_HSCDTD006A) || this.mFeature_Geomagnetic.equals(SensorFeature.FEATURE_MAGENTIC_ALPS_HSCDTD008A)) {
                FtUtil.log_d(this.CLASS_NAME, "setSensorID", "HSCDTD004 or HSCDTD004A or HSCDTD006A");
                this.mSensorID_Geomagnetic_Initialized = ModuleSensor.ID_MANAGER_MAGNETIC_POWER_ON;
                this.mSensorID_Geomagnetic_Status = ModuleSensor.ID_FILE____MAGNETIC_STATUS;
                this.mSensorID_Geomagnetic_ADC = ModuleSensor.ID_FILE____MAGNETIC_ADC;
            } else if (this.mFeature_Geomagnetic.equals(SensorFeature.FEATURE_MAGENTIC_BOSCH_BMC150_NEWEST)) {
                this.mSensorID_Geomagnetic_Initialized = ModuleSensor.ID_FILE____MAGNETIC_SELF;
                this.mSensorID_Geomagnetic_Self = ModuleSensor.ID_FILE____MAGNETIC_SELF;
                this.mSensorID_Geomagnetic_ADC = ModuleSensor.ID_FILE____MAGNETIC_SELF;
            } else if (this.mFeature_Geomagnetic.equals("BMC150") || this.mFeature_Geomagnetic.equals(SensorFeature.FEATURE_MAGENTIC_BOSCH_BMC150_POWER_NOISE) || this.mFeature_Geomagnetic.equals(SensorFeature.FEATURE_MAGENTIC_BOSCH_BMC150_COMBINATION)) {
                FtUtil.log_d(this.CLASS_NAME, "setSensorID", "BMC150 or BMC150_POWER_NOISE");
                String readTarget = Support.TestCase.getString(Support.TestCase.READ_TARGET_GEOMAGNETIC);
                String str3 = this.CLASS_NAME;
                FtUtil.log_d(str3, "setSensorID", "readTarget : [" + readTarget + "]");
                if ("".equals(readTarget)) {
                    this.mSensorID_Geomagnetic_Initialized = ModuleSensor.ID_MANAGER_MAGNETIC_POWER_ON;
                    this.mSensorID_Geomagnetic_Self = ModuleSensor.ID_MANAGER_MAGNETIC_SELF;
                    this.mSensorID_Geomagnetic_ADC = ModuleSensor.ID_MANAGER_MAGNETIC_ADC;
                } else if (readTarget.equalsIgnoreCase("MANAGER")) {
                    this.mSensorID_Geomagnetic_Initialized = ModuleSensor.ID_MANAGER_MAGNETIC_POWER_ON;
                    this.mSensorID_Geomagnetic_Self = ModuleSensor.ID_MANAGER_MAGNETIC_SELF;
                    this.mSensorID_Geomagnetic_ADC = ModuleSensor.ID_MANAGER_MAGNETIC_ADC;
                } else if (readTarget.equalsIgnoreCase("FILE")) {
                    this.mSensorID_Geomagnetic_Initialized = ModuleSensor.ID_FILE____MAGNETIC_POWER_ON;
                    this.mSensorID_Geomagnetic_Self = ModuleSensor.ID_FILE____MAGNETIC_SELF;
                    this.mSensorID_Geomagnetic_ADC = ModuleSensor.ID_FILE____MAGNETIC_ADC;
                }
            } else if (this.mFeature_Geomagnetic.equals(SensorFeature.FEATURE_MAGENTIC_STMICRO)) {
                FtUtil.log_d(this.CLASS_NAME, "setSensorID", SensorFeature.FEATURE_MAGENTIC_STMICRO);
                this.mSensorID_Geomagnetic_Initialized = ModuleSensor.ID_MANAGER_MAGNETIC_POWER_ON;
                this.mSensorID_Geomagnetic_Status = ModuleSensor.ID_FILE____MAGNETIC_STATUS;
                this.mSensorID_Geomagnetic_Self = ModuleSensor.ID_FILE____MAGNETIC_SELF;
                this.mSensorID_Geomagnetic_ADC = ModuleSensor.ID_FILE____MAGNETIC_ADC;
            } else if (this.mFeature_Geomagnetic.equals(SensorFeature.FEATURE_MAGENTIC_STMICRO_LSM303AH)) {
                FtUtil.log_d(this.CLASS_NAME, "setSensorID", SensorFeature.FEATURE_MAGENTIC_STMICRO_LSM303AH);
                this.mSensorID_Geomagnetic_Initialized = ModuleSensor.ID_MANAGER_MAGNETIC_POWER_ON;
                this.mSensorID_Geomagnetic_Status = ModuleSensor.ID_FILE____MAGNETIC_STATUS;
                this.mSensorID_Geomagnetic_Self = ModuleSensor.ID_FILE____MAGNETIC_SELF;
                this.mSensorID_Geomagnetic_ADC = ModuleSensor.ID_FILE____MAGNETIC_ADC;
            }
        }
        this.mSensorID = new int[]{this.mSensorID_Gyrocope_Power, this.mSensorID_Gyrocope_Temperature, this.mSensorID_Gyrocope_Self, this.mSensorID_Geomagnetic_Initialized, this.mSensorID_Geomagnetic_Status, this.mSensorID_Geomagnetic_Temperature, this.mSensorID_Geomagnetic_DAC, this.mSensorID_Geomagnetic_ADC, this.mSensorID_Geomagnetic_ADC2, this.mSensorID_Geomagnetic_Self, this.mSensorID_Geomagnetic_Released};
        ModuleSensor instance = ModuleSensor.instance(this);
        this.mModuleSensor = instance;
        instance.SensorOn(this.mSensorID, this.mHandler, -1);
        this.mSensorSpec = new SensorSpec();
    }

    private void init() {
        FtUtil.log_d(this.CLASS_NAME, "init", null);
        this.mList_TestItem = FactoryTestManager.getChildItems(this.TEST_ID);
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "init", "TestItemCount : " + this.mList_TestItem.length);
        if (FactoryTestManager.isTest(21)) {
            LinearLayout linearLayout = (LinearLayout) findViewById(R.id.geomagnetic_gyro_top);
            this.mLinear_Top = linearLayout;
            linearLayout.setVisibility(0);
        }
        if (FactoryTestManager.isTest(20)) {
            LinearLayout linearLayout2 = (LinearLayout) findViewById(R.id.geomagnetic_gyro_bottom);
            this.mLinear_Bottom = linearLayout2;
            linearLayout2.setVisibility(0);
        }
        if (this.mList_TestItem.length == 2) {
            View findViewById = findViewById(R.id.geomagnetic_gyro_separator);
            this.mView_Separator = findViewById;
            findViewById.setVisibility(0);
        }
        setCountNVWrite(this.mList_TestItem.length);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void update() {
        FtUtil.log_d(this.CLASS_NAME, "update", null);
        TestInfo[] testInfoArr = this.mTestInfoArray;
        int i = this.TESTINFO_ARRAY_INDEX_GEOMAGNETIC;
        if (testInfoArr[i] != null) {
            if (testInfoArr[i].mIC == "ASAHI") {
                this.mFragment_geomagnetic_asahi.update(getDataGeomagneticAsahi(), this.mHandler);
            } else if (this.mTestInfoArray[this.TESTINFO_ARRAY_INDEX_GEOMAGNETIC].mIC == "YAMAHA") {
                this.mFragment_geomagnetic_yamaha.update(getDataGeomagneticYamaha(), this.mHandler);
            } else if (this.mTestInfoArray[this.TESTINFO_ARRAY_INDEX_GEOMAGNETIC].mIC == "ALPS") {
                this.mFragment_geomagnetic_alps.update(getDataGeomagneticAlps(), this.mHandler);
            } else if (this.mTestInfoArray[this.TESTINFO_ARRAY_INDEX_GEOMAGNETIC].mIC == SensorFeature.FEATURE_MAGENTIC_ALPS_HSCDTD008A) {
                this.mFragment_geomagnetic_alps_cal.update(getDataGeomagneticAlpsCal(), this.mHandler);
            } else if (this.mTestInfoArray[this.TESTINFO_ARRAY_INDEX_GEOMAGNETIC].mIC == SensorFeature.FEATURE_GYROSCOP_BOSCH) {
                this.mFragment_geomagnetic_bosch.update(getDataGeomagneticBosch(), this.mHandler);
            } else if (this.mTestInfoArray[this.TESTINFO_ARRAY_INDEX_GEOMAGNETIC].mIC == "STMICRO") {
                this.mFragment_geomagnetic_stmicro.update(getDataGeomagneticSTMicro(), this.mHandler);
            }
        }
        TestInfo[] testInfoArr2 = this.mTestInfoArray;
        int i2 = this.TESTINFO_ARRAY_INDEX_GYROSCOPE;
        if (testInfoArr2[i2] == null) {
            return;
        }
        if (testInfoArr2[i2].mIC == SensorFeature.FEATURE_GYROSCOP_INVENSENSE) {
            this.mFragment_gyroscope_invensense.update(getDataGyroInvensense(), this.mHandler);
        } else if (this.mTestInfoArray[this.TESTINFO_ARRAY_INDEX_GYROSCOPE].mIC == SensorFeature.FEATURE_GYROSCOP_STMICRO_SMARTPHONE) {
            this.mFragment_gyroscope_stmicro_smartphone.update(this.mHandler);
        } else if (this.mTestInfoArray[this.TESTINFO_ARRAY_INDEX_GYROSCOPE].mIC == SensorFeature.FEATURE_GYROSCOP_STMICRO_TABLET) {
            this.mFragment_gyroscope_stmicro_tablet.update(getDataGyroSTMicroTablet(), this.mHandler);
        } else if (this.mTestInfoArray[this.TESTINFO_ARRAY_INDEX_GYROSCOPE].mIC == SensorFeature.FEATURE_GYROSCOP_BOSCH) {
            this.mFragment_gyroscope_bosch.update(this.mHandler);
        } else if (this.mTestInfoArray[this.TESTINFO_ARRAY_INDEX_GYROSCOPE].mIC == "MAXIM") {
            this.mFragment_gyroscope_maxim.update(getDataGyroMaxim(), this.mHandler);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void checkResult(int what) {
        if (what == WHAT_GYROSCOPE_PASS) {
            FtUtil.log_i(this.CLASS_NAME, "checkResult", "WHAT_GYROSCOPE_PASS");
            this.mTestInfoArray[this.TESTINFO_ARRAY_INDEX_GYROSCOPE].mIsTestComplete = true;
            this.mTestInfoArray[this.TESTINFO_ARRAY_INDEX_GYROSCOPE].mIsTestPass = true;
            writeNV(this.mTestInfoArray[this.TESTINFO_ARRAY_INDEX_GYROSCOPE].mID, true);
        } else if (what == WHAT_GYROSCOPE_FAIL) {
            FtUtil.log_e(this.CLASS_NAME, "checkResult", "WHAT_GYROSCOPE_FAIL");
            this.mTestInfoArray[this.TESTINFO_ARRAY_INDEX_GYROSCOPE].mIsTestComplete = true;
            this.mTestInfoArray[this.TESTINFO_ARRAY_INDEX_GYROSCOPE].mIsTestPass = false;
            writeNV(this.mTestInfoArray[this.TESTINFO_ARRAY_INDEX_GYROSCOPE].mID, false);
            GyroTestFail();
            FtUtil.log_d(this.CLASS_NAME, "checkResult", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(37), "Fail - Gyroscope"));
        } else if (what == WHAT_GEOMAGNETIC_PASS) {
            FtUtil.log_i(this.CLASS_NAME, "checkResult", "WHAT_GEOMAGNETIC_PASS");
            this.mTestInfoArray[this.TESTINFO_ARRAY_INDEX_GEOMAGNETIC].mIsTestComplete = true;
            this.mTestInfoArray[this.TESTINFO_ARRAY_INDEX_GEOMAGNETIC].mIsTestPass = true;
            writeNV(this.mTestInfoArray[this.TESTINFO_ARRAY_INDEX_GEOMAGNETIC].mID, true);
        } else if (what == WHAT_GEOMAGNETIC_FAIL) {
            FtUtil.log_e(this.CLASS_NAME, "checkResult", "WHAT_GEOMAGNETIC_FAIL");
            this.mTestInfoArray[this.TESTINFO_ARRAY_INDEX_GEOMAGNETIC].mIsTestComplete = true;
            this.mTestInfoArray[this.TESTINFO_ARRAY_INDEX_GEOMAGNETIC].mIsTestPass = false;
            writeNV(this.mTestInfoArray[this.TESTINFO_ARRAY_INDEX_GEOMAGNETIC].mID, false);
            FtUtil.log_d(this.CLASS_NAME, "checkResult", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(37), "Fail - Geomagnetic"));
        }
        boolean isTestComplete = true;
        int i = 0;
        while (true) {
            TestInfo[] testInfoArr = this.mTestInfoArray;
            if (i >= testInfoArr.length) {
                break;
            }
            if (testInfoArr[i] != null && !testInfoArr[i].mIsTestComplete) {
                isTestComplete = false;
            }
            i++;
        }
        if (isTestComplete) {
            boolean isAllPass = true;
            FtUtil.log_i(this.CLASS_NAME, "checkResult", "finish");
            int i2 = 0;
            while (true) {
                TestInfo[] testInfoArr2 = this.mTestInfoArray;
                if (i2 >= testInfoArr2.length) {
                    break;
                }
                if (testInfoArr2[i2] != null && !testInfoArr2[i2].mIsTestPass) {
                    isAllPass = false;
                }
                i2++;
            }
            if (isAllPass) {
                setTestResultWithoutNV(37, (byte) 80);
                setResult(-1);
                String str = this.CLASS_NAME;
                FtUtil.log_i(str, "checkResult", "mList_TestItem.length : " + this.mList_TestItem.length);
                if (this.mList_TestItem.length < 2) {
                    this.ONPASS_FINISH_DELAY = 1000;
                }
                finishOnPassWithTimer();
            }
        }
    }

    private void writeNV(int id, boolean isPass) {
        if (isPass) {
            FtUtil.log_i(this.CLASS_NAME, "writeNV", "PASS");
            setTestResult(id, (byte) 80);
            return;
        }
        FtUtil.log_e(this.CLASS_NAME, "writeNV", "FAIL");
    }

    private void GyroTestFail() {
        AlertDialog.Builder builder = new AlertDialog.Builder(this);
        builder.setTitle("Gyro Test Fail");
        builder.setMessage("Do Not Move & Re-Test");
        DialogInterface.OnDismissListener pl = new EmptyListener();
        AlertDialog ad = builder.create();
        ad.setOnDismissListener(pl);
        if (!isFinishing()) {
            FtUtil.log_e(this.CLASS_NAME, "GyroTestFail", "Already finished UIGeomagneticGyro!");
            ad.show();
        }
    }

    public class EmptyListener implements DialogInterface.OnDismissListener {
        public EmptyListener() {
        }

        public void onDismiss(DialogInterface dialog) {
            FtUtil.log_d(UIGeomagneticGyro.this.CLASS_NAME, "onDismiss", "bye bye~~ !");
            UIGeomagneticGyro.this.finish();
        }
    }

    private FragmentGyroscopeInvensense.DataGyroInvensense getDataGyroInvensense() {
        String tempdata;
        FtUtil.log_i(this.CLASS_NAME, "getDataGyroInvensense", null);
        FragmentGyroscopeInvensense.DataGyroInvensense data = new FragmentGyroscopeInvensense.DataGyroInvensense();
        int i = this.mSensorID_None;
        int i2 = this.mSensorID_Gyrocope_Temperature;
        if (i < i2) {
            String[] temp = this.mModuleSensor.getData(i2);
            if (temp == null || temp.length <= 2) {
                data.mTemperature = ModuleCommunicationService.SMD_NOK;
            } else {
                data.mTemperature = temp[2];
            }
        }
        if (this.mSensorID_None < this.mSensorID_Gyrocope_Self && (tempdata = Support.Kernel.read(Support.Kernel.GYRO_SENSOR_SELFTEST)) != null) {
            String[] temp2 = tempdata.split(",");
            if (temp2 == null || temp2.length <= 6) {
                data.mBias_Result = ModuleCommunicationService.SMD_NOK;
                data.mBias_X = ModuleCommunicationService.SMD_NOK;
                data.mBias_Y = ModuleCommunicationService.SMD_NOK;
                data.mBias_Z = ModuleCommunicationService.SMD_NOK;
                data.mRMS_X = ModuleCommunicationService.SMD_NOK;
                data.mRMS_Y = ModuleCommunicationService.SMD_NOK;
                data.mRMS_Z = ModuleCommunicationService.SMD_NOK;
                data.mHWSelf_X = ModuleCommunicationService.SMD_NOK;
                data.mHWSelf_Y = ModuleCommunicationService.SMD_NOK;
                data.mHWSelf_Z = ModuleCommunicationService.SMD_NOK;
            } else {
                data.mBias_Result = temp2[0];
                data.mBias_X = temp2[1];
                data.mBias_Y = temp2[2];
                data.mBias_Z = temp2[3];
                data.mRMS_X = temp2[4];
                data.mRMS_Y = temp2[5];
                data.mRMS_Z = temp2[6];
                data.mHWSelf_X = temp2[7];
                data.mHWSelf_Y = temp2[8];
                data.mHWSelf_Z = temp2[9];
                String path = new File("/data/log/GyroScopeData.log").getPath();
                Support.Kernel.writeToPathNsync(path, temp2[0] + "," + temp2[1] + "," + temp2[2] + "," + temp2[3] + "," + temp2[4] + "," + temp2[5] + "," + temp2[6] + "," + temp2[7] + "," + temp2[8] + "," + temp2[9]);
            }
        }
        return data;
    }

    private FragmentGyroscopeSTMicroTablet.DataGyroSTMicroTablet getDataGyroSTMicroTablet() {
        FtUtil.log_i(this.CLASS_NAME, "getDataGyroSTMicroTablet", null);
        return new FragmentGyroscopeSTMicroTablet.DataGyroSTMicroTablet();
    }

    private FragmentGyroscopeMaxim.DataGyroMaxim getDataGyroMaxim() {
        String tempdata;
        FtUtil.log_i(this.CLASS_NAME, "getDataGyroMaxim", null);
        FragmentGyroscopeMaxim.DataGyroMaxim data = new FragmentGyroscopeMaxim.DataGyroMaxim();
        int i = this.mSensorID_None;
        int i2 = this.mSensorID_Gyrocope_Temperature;
        if (i < i2) {
            String[] temp = this.mModuleSensor.getData(i2);
            if (temp == null || temp.length <= 2) {
                data.mTemperature = ModuleCommunicationService.SMD_NOK;
            } else {
                data.mTemperature = temp[2];
            }
        }
        if (this.mSensorID_None < this.mSensorID_Gyrocope_Self && (tempdata = Support.Kernel.read(Support.Kernel.GYRO_SENSOR_SELFTEST)) != null) {
            String[] temp2 = tempdata.split(",");
            if (temp2 == null || temp2.length <= 6) {
                data.mBias_Result = ModuleCommunicationService.SMD_NOK;
                data.mBias_X = ModuleCommunicationService.SMD_NOK;
                data.mBias_Y = ModuleCommunicationService.SMD_NOK;
                data.mBias_Z = ModuleCommunicationService.SMD_NOK;
                data.mHWSelf_X = ModuleCommunicationService.SMD_NOK;
                data.mHWSelf_Y = ModuleCommunicationService.SMD_NOK;
                data.mHWSelf_Z = ModuleCommunicationService.SMD_NOK;
            } else {
                data.mBias_Result = temp2[0];
                data.mBias_X = temp2[1];
                data.mBias_Y = temp2[2];
                data.mBias_Z = temp2[3];
                data.mHWSelf_X = temp2[7];
                data.mHWSelf_Y = temp2[8];
                data.mHWSelf_Z = temp2[9];
            }
        }
        return data;
    }

    private FragmentGeomagneticAsahi.DataGeomagneticAsahi getDataGeomagneticAsahi() {
        FtUtil.log_i(this.CLASS_NAME, "getDataGeomagneticAsahi", null);
        FragmentGeomagneticAsahi.DataGeomagneticAsahi data = new FragmentGeomagneticAsahi.DataGeomagneticAsahi();
        String[] temp = null;
        String tempdata = Support.Kernel.read(Support.Kernel.GEOMAGNETIC_SENSOR_SELFTEST);
        if (this.mFeature_Geomagnetic.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09911) || this.mFeature_Geomagnetic.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09911C) || this.mFeature_Geomagnetic.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09916C) || this.mFeature_Geomagnetic.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09918C)) {
            if (tempdata != null) {
                temp = tempdata.split(",");
            }
            if (temp == null || temp.length <= 9) {
                FtUtil.log_d(this.CLASS_NAME, "getDataGeomagneticAsahi", "Sysfs Data is wrong");
                data.mIsDisplay_Initialized = true;
                data.mInitialized = ModuleCommunicationService.SMD_NOK;
            } else {
                data.mIsDisplay_Initialized = true;
                if (temp[0].equals("0")) {
                    data.mInitialized = EgisFingerprint.MAJOR_VERSION;
                } else {
                    data.mInitialized = "0";
                }
                data.mIsDisplay_Self = true;
                if (temp[1].equals("0")) {
                    data.mSelf_Result = "OK";
                } else {
                    data.mSelf_Result = ModuleCommunicationService.SMD_NOK;
                }
                data.mSelf_X = temp[2];
                data.mSelf_Y = temp[3];
                data.mSelf_Z = temp[4];
                data.mIsDisplay_DAC = true;
                if (temp[5].equals("0")) {
                    data.mDAC_Result = "OK";
                } else {
                    data.mDAC_Result = ModuleCommunicationService.SMD_NOK;
                }
                data.mDAC_X = EgisFingerprint.MAJOR_VERSION;
                data.mDAC_Y = "0";
                data.mDAC_Z = "0";
                data.mIsDisplay_ADC = true;
                if (temp[6].equals("0")) {
                    data.mADC_Result = "OK";
                } else {
                    data.mADC_Result = ModuleCommunicationService.SMD_NOK;
                }
                data.mADC_X = temp[7];
                data.mADC_Y = temp[8];
                data.mADC_Z = temp[9];
            }
        } else {
            int i = this.mSensorID_None;
            int i2 = this.mSensorID_Geomagnetic_Initialized;
            if (i < i2) {
                String[] temp2 = this.mModuleSensor.getData(i2);
                data.mIsDisplay_Initialized = true;
                if (temp2 == null || temp2.length <= 2) {
                    data.mInitialized = ModuleCommunicationService.SMD_NOK;
                } else {
                    data.mInitialized = temp2[2];
                }
                String str = this.CLASS_NAME;
                FtUtil.log_d(str, "getDataGeomagneticAsahi", "data.mInitialized : " + data.mInitialized);
            }
            int i3 = this.mSensorID_None;
            int i4 = this.mSensorID_Geomagnetic_Temperature;
            if (i3 < i4) {
                String[] temp3 = this.mModuleSensor.getData(i4);
                data.mIsDisplay_Temperature = true;
                if (temp3 == null || temp3.length <= 2) {
                    data.mTemperature_Result = ModuleCommunicationService.SMD_NOK;
                    data.mTemperature = ModuleCommunicationService.SMD_NOK;
                } else {
                    data.mTemperature_Result = temp3[1];
                    data.mTemperature = temp3[2];
                }
                String str2 = this.CLASS_NAME;
                FtUtil.log_d(str2, "getDataGeomagneticAsahi", "data.mTemperature_Result : " + data.mTemperature_Result);
                String str3 = this.CLASS_NAME;
                FtUtil.log_d(str3, "getDataGeomagneticAsahi", "data.mTemperature : " + data.mTemperature);
            }
            int i5 = this.mSensorID_None;
            int i6 = this.mSensorID_Geomagnetic_Self;
            if (i5 < i6) {
                String[] temp4 = this.mModuleSensor.getData(i6);
                data.mIsDisplay_Self = true;
                if (temp4 == null || temp4.length <= 4) {
                    data.mSelf_Result = ModuleCommunicationService.SMD_NOK;
                    data.mSelf_X = ModuleCommunicationService.SMD_NOK;
                    data.mSelf_Y = ModuleCommunicationService.SMD_NOK;
                    data.mSelf_Z = ModuleCommunicationService.SMD_NOK;
                } else {
                    data.mSelf_Result = temp4[1];
                    data.mSelf_X = temp4[2];
                    data.mSelf_Y = temp4[3];
                    data.mSelf_Z = temp4[4];
                }
                String str4 = this.CLASS_NAME;
                FtUtil.log_d(str4, "getDataGeomagneticAsahi", "data.mSelf_Result : " + data.mSelf_Result);
                String str5 = this.CLASS_NAME;
                FtUtil.log_d(str5, "getDataGeomagneticAsahi", "data.mSelf_X : " + data.mSelf_X);
                String str6 = this.CLASS_NAME;
                FtUtil.log_d(str6, "getDataGeomagneticAsahi", "data.mSelf_Y : " + data.mSelf_Y);
                String str7 = this.CLASS_NAME;
                FtUtil.log_d(str7, "getDataGeomagneticAsahi", "data.mSelf_Z : " + data.mSelf_Z);
            }
            int i7 = this.mSensorID_None;
            int i8 = this.mSensorID_Geomagnetic_DAC;
            if (i7 < i8) {
                String[] temp5 = this.mModuleSensor.getData(i8);
                data.mIsDisplay_DAC = true;
                if (temp5 == null || temp5.length <= 4) {
                    data.mDAC_Result = ModuleCommunicationService.SMD_NOK;
                    data.mDAC_X = ModuleCommunicationService.SMD_NOK;
                    data.mDAC_Y = ModuleCommunicationService.SMD_NOK;
                    data.mDAC_Z = ModuleCommunicationService.SMD_NOK;
                } else {
                    data.mDAC_Result = temp5[1];
                    data.mDAC_X = temp5[2];
                    data.mDAC_Y = temp5[3];
                    data.mDAC_Z = temp5[4];
                }
                String str8 = this.CLASS_NAME;
                FtUtil.log_d(str8, "getDataGeomagneticAsahi", "data.mDAC_Result : " + data.mDAC_Result);
                String str9 = this.CLASS_NAME;
                FtUtil.log_d(str9, "getDataGeomagneticAsahi", "data.mDAC_X : " + data.mDAC_X);
                String str10 = this.CLASS_NAME;
                FtUtil.log_d(str10, "getDataGeomagneticAsahi", "data.mDAC_Y : " + data.mDAC_Y);
                String str11 = this.CLASS_NAME;
                FtUtil.log_d(str11, "getDataGeomagneticAsahi", "data.mDAC_Z : " + data.mDAC_Z);
            }
            int i9 = this.mSensorID_None;
            int i10 = this.mSensorID_Geomagnetic_ADC;
            if (i9 < i10) {
                String[] temp6 = this.mModuleSensor.getData(i10);
                data.mIsDisplay_ADC = true;
                if (temp6 == null || temp6.length <= 4) {
                    data.mADC_Result = ModuleCommunicationService.SMD_NOK;
                    data.mADC_X = ModuleCommunicationService.SMD_NOK;
                    data.mADC_Y = ModuleCommunicationService.SMD_NOK;
                    data.mADC_Z = ModuleCommunicationService.SMD_NOK;
                } else {
                    data.mADC_Result = temp6[1];
                    data.mADC_X = temp6[2];
                    data.mADC_Y = temp6[3];
                    data.mADC_Z = temp6[4];
                }
                String str12 = this.CLASS_NAME;
                FtUtil.log_d(str12, "getDataGeomagneticAsahi", "data.mADC_Result : " + data.mADC_Result);
                String str13 = this.CLASS_NAME;
                FtUtil.log_d(str13, "getDataGeomagneticAsahi", "data.mADC_X : " + data.mADC_X);
                String str14 = this.CLASS_NAME;
                FtUtil.log_d(str14, "getDataGeomagneticAsahi", "data.mADC_Y : " + data.mADC_Y);
                String str15 = this.CLASS_NAME;
                FtUtil.log_d(str15, "getDataGeomagneticAsahi", "data.mADC_Z : " + data.mADC_Z);
            }
        }
        return data;
    }

    private FragmentGeomagneticYamaha.DataGeomagneticYamaha getDataGeomagneticYamaha() {
        FtUtil.log_i(this.CLASS_NAME, "getDataGeomagneticYamaha", null);
        FragmentGeomagneticYamaha.DataGeomagneticYamaha data = new FragmentGeomagneticYamaha.DataGeomagneticYamaha();
        String[] temp = null;
        String tempdata = Support.Kernel.read(Support.Kernel.GEOMAGNETIC_SENSOR_SELFTEST);
        if (tempdata != null) {
            temp = tempdata.split(",");
        }
        if (temp != null) {
            data.mIsDisplay_Initialized = true;
            if (temp[0].equals("0")) {
                data.mInitialized = EgisFingerprint.MAJOR_VERSION;
            } else {
                data.mInitialized = "0";
            }
            if (temp[2].equals("0")) {
                data.mStatus_Result = "OK";
            } else {
                data.mStatus_Result = ModuleCommunicationService.SMD_NOK;
            }
            data.mStatus = temp[2];
            if (this.mSensorSpec.getSpecGeomagnetic_DAC() != null) {
                data.mIsDisplay_DAC = true;
                if (temp[3].equals("0")) {
                    data.mDAC_Result = "OK";
                } else {
                    data.mDAC_Result = ModuleCommunicationService.SMD_NOK;
                }
                data.mDAC_X = temp[4];
                data.mDAC_Y = temp[5];
                data.mDAC_Z = temp[6];
            }
            if (this.mSensorSpec.getSpecGeomagnetic_ADC() != null) {
                data.mIsDisplay_ADC = true;
                if (temp[7].equals("0")) {
                    data.mADC_Result = "OK";
                } else {
                    data.mADC_Result = ModuleCommunicationService.SMD_NOK;
                }
                data.mADC_X = temp[8];
                data.mADC_Y = "0";
                data.mADC_Z = "0";
            }
            if (this.mSensorSpec.getSpecGeomagnetic_Self() != null) {
                data.mIsDisplay_Self = true;
                if (temp[9].equals("0")) {
                    data.mSelf_Result = "OK";
                } else {
                    data.mSelf_Result = ModuleCommunicationService.SMD_NOK;
                }
                data.mSelf_X = temp[10];
                data.mSelf_Y = temp[11];
            }
            if (!this.mFeature_Geomagnetic.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS539)) {
                if (this.mSensorSpec.getSpecGeomagnetic_ADC2() != null) {
                    data.mIsDisplay_OffsetH = true;
                    if (temp[12].equals("0")) {
                        data.mOffsetH_Result = "OK";
                    } else {
                        data.mOffsetH_Result = ModuleCommunicationService.SMD_NOK;
                    }
                    data.mOffsetH_X = temp[13];
                    data.mOffsetH_Y = temp[14];
                    data.mOffsetH_Z = temp[15];
                }
                if (temp[16].equals("0")) {
                    data.mPowerOff_Result = EgisFingerprint.MAJOR_VERSION;
                } else {
                    data.mPowerOff_Result = ModuleCommunicationService.SMD_NOK;
                }
            } else {
                data.mSelf_Y2 = temp[12];
                if (this.mSensorSpec.getSpecGeomagnetic_ADC2() != null) {
                    data.mIsDisplay_OffsetH = true;
                    if (temp[13].equals("0")) {
                        data.mOffsetH_Result = "OK";
                    } else {
                        data.mOffsetH_Result = ModuleCommunicationService.SMD_NOK;
                    }
                    data.mOffsetH_X = temp[14];
                    data.mOffsetH_Y = temp[15];
                    data.mOffsetH_Z = temp[16];
                }
                if (temp[17].equals("0")) {
                    data.mPowerOff_Result = EgisFingerprint.MAJOR_VERSION;
                } else {
                    data.mPowerOff_Result = ModuleCommunicationService.SMD_NOK;
                }
            }
        }
        return data;
    }

    private FragmentGeomagneticAlps.DataGeomagneticAlps getDataGeomagneticAlps() {
        FtUtil.log_i(this.CLASS_NAME, "getDataGeomagneticAlps", null);
        FragmentGeomagneticAlps.DataGeomagneticAlps data = new FragmentGeomagneticAlps.DataGeomagneticAlps();
        int i = this.mSensorID_None;
        int i2 = this.mSensorID_Geomagnetic_Initialized;
        if (i < i2) {
            String[] temp = this.mModuleSensor.getData(i2);
            data.mIsDisplay_Initialized = true;
            if (temp == null || temp.length <= 2) {
                data.mInitialized = ModuleCommunicationService.SMD_NOK;
            } else {
                data.mInitialized = temp[2];
            }
        }
        int i3 = this.mSensorID_None;
        int i4 = this.mSensorID_Geomagnetic_Status;
        if (i3 < i4) {
            String[] temp2 = this.mModuleSensor.getData(i4);
            data.mIsDisplay_Status = true;
            if (temp2 == null || temp2.length <= 2) {
                data.mStatus_Result = ModuleCommunicationService.SMD_NOK;
                data.mStatus = ModuleCommunicationService.SMD_NOK;
            } else {
                data.mStatus_Result = temp2[1];
                data.mStatus = temp2[2];
            }
        }
        int i5 = this.mSensorID_None;
        int i6 = this.mSensorID_Geomagnetic_ADC;
        if (i5 < i6) {
            String[] temp3 = this.mModuleSensor.getData(i6);
            data.mIsDisplay_ADC = true;
            if (temp3 == null || temp3.length <= 4) {
                data.mADC_Result = ModuleCommunicationService.SMD_NOK;
                data.mADC_X = ModuleCommunicationService.SMD_NOK;
                data.mADC_Y = ModuleCommunicationService.SMD_NOK;
                data.mADC_Z = ModuleCommunicationService.SMD_NOK;
            } else {
                data.mADC_Result = temp3[1];
                data.mADC_X = temp3[2];
                data.mADC_Y = temp3[3];
                data.mADC_Z = temp3[4];
            }
        }
        return data;
    }

    private FragmentGeomagneticAlpsCal.DataGeomagneticAlpsCal getDataGeomagneticAlpsCal() {
        FtUtil.log_i(this.CLASS_NAME, "getDataGeomagneticAlps", null);
        FragmentGeomagneticAlpsCal.DataGeomagneticAlpsCal data = new FragmentGeomagneticAlpsCal.DataGeomagneticAlpsCal();
        int i = this.mSensorID_None;
        int i2 = this.mSensorID_Geomagnetic_Initialized;
        if (i < i2) {
            String[] temp = this.mModuleSensor.getData(i2);
            data.mIsDisplay_Initialized = true;
            if (temp == null || temp.length <= 2) {
                data.mInitialized = ModuleCommunicationService.SMD_NOK;
            } else {
                data.mInitialized = temp[2];
            }
        }
        int i3 = this.mSensorID_None;
        int i4 = this.mSensorID_Geomagnetic_Status;
        if (i3 < i4) {
            String[] temp2 = this.mModuleSensor.getData(i4);
            data.mIsDisplay_Status = true;
            if (temp2 == null || temp2.length <= 2) {
                data.mStatus_Result = ModuleCommunicationService.SMD_NOK;
                data.mStatus = ModuleCommunicationService.SMD_NOK;
            } else {
                data.mStatus_Result = temp2[1];
                data.mStatus = temp2[2];
            }
        }
        int i5 = this.mSensorID_None;
        int i6 = this.mSensorID_Geomagnetic_ADC;
        if (i5 < i6) {
            String[] temp3 = this.mModuleSensor.getData(i6);
            data.mIsDisplay_ADC = true;
            if (temp3 == null || temp3.length <= 4) {
                data.mADC_Result = ModuleCommunicationService.SMD_NOK;
                data.mADC_X = ModuleCommunicationService.SMD_NOK;
                data.mADC_Y = ModuleCommunicationService.SMD_NOK;
                data.mADC_Z = ModuleCommunicationService.SMD_NOK;
            } else {
                data.mADC_Result = temp3[1];
                data.mADC_X = temp3[2];
                data.mADC_Y = temp3[3];
                data.mADC_Z = temp3[4];
            }
        }
        return data;
    }

    private FragmentGeomagneticBosch.DataGeomagneticBosch getDataGeomagneticBosch() {
        FtUtil.log_i(this.CLASS_NAME, "getDataGeomagneticBosch", null);
        FragmentGeomagneticBosch.DataGeomagneticBosch data = new FragmentGeomagneticBosch.DataGeomagneticBosch();
        if (this.mFeature_Geomagnetic.equals(SensorFeature.FEATURE_MAGENTIC_BOSCH_BMC150_NEWEST)) {
            data.mIsDisplay_Initialized = true;
            data.mIsDisplay_Self = true;
            data.mIsDisplay_ADC = true;
            String[] temp = this.mModuleSensor.getData(this.mSensorID_Geomagnetic_Self);
            if (temp != null) {
                if (temp[0].equals("0")) {
                    data.mInitialized = EgisFingerprint.MAJOR_VERSION;
                } else {
                    data.mInitialized = ModuleCommunicationService.SMD_NOK;
                }
                if (temp[5].equals("0")) {
                    data.mSelf_Result = "OK";
                    data.mADC_Result = "OK";
                } else {
                    data.mSelf_Result = ModuleCommunicationService.SMD_NOK;
                    data.mADC_Result = ModuleCommunicationService.SMD_NOK;
                }
                data.mBmZ = temp[1];
                data.mADC_X = temp[2];
                data.mADC_Y = temp[3];
                data.mADC_Z = temp[4];
            } else {
                data.mInitialized = null;
                data.mSelf_Result = ModuleCommunicationService.SMD_NOK;
                data.mBmZ = ModuleCommunicationService.SMD_NOK;
                data.mADC_Result = ModuleCommunicationService.SMD_NOK;
                data.mADC_X = ModuleCommunicationService.SMD_NOK;
                data.mADC_Y = ModuleCommunicationService.SMD_NOK;
                data.mADC_Z = ModuleCommunicationService.SMD_NOK;
            }
        } else {
            if (this.mSensorID_None < this.mSensorID_Geomagnetic_Initialized) {
                data.mIsDisplay_Initialized = true;
                String[] temp2 = this.mModuleSensor.getData(this.mSensorID_Geomagnetic_Initialized);
                if (temp2 != null) {
                    data.mInitialized = temp2[2];
                } else {
                    data.mInitialized = null;
                }
            }
            if (this.mSensorID_None < this.mSensorID_Geomagnetic_Self) {
                data.mIsDisplay_Self = true;
                String[] temp3 = this.mModuleSensor.getData(this.mSensorID_Geomagnetic_Self);
                if (temp3 != null) {
                    data.mSelf_Result = temp3[1];
                    data.mBmZ = temp3[2];
                } else {
                    data.mSelf_Result = ModuleCommunicationService.SMD_NOK;
                    data.mBmZ = ModuleCommunicationService.SMD_NOK;
                }
            }
            if (this.mSensorID_None < this.mSensorID_Geomagnetic_ADC) {
                data.mIsDisplay_ADC = true;
                String[] temp4 = this.mModuleSensor.getData(this.mSensorID_Geomagnetic_ADC);
                if (temp4 != null) {
                    data.mADC_Result = temp4[1];
                    data.mADC_X = temp4[2];
                    data.mADC_Y = temp4[3];
                    data.mADC_Z = temp4[4];
                } else {
                    data.mADC_Result = ModuleCommunicationService.SMD_NOK;
                    data.mADC_X = ModuleCommunicationService.SMD_NOK;
                    data.mADC_Y = ModuleCommunicationService.SMD_NOK;
                    data.mADC_Z = ModuleCommunicationService.SMD_NOK;
                }
            }
        }
        return data;
    }

    private FragmentGeomagneticSTMicro.DataGeomagneticSTMicro getDataGeomagneticSTMicro() {
        FtUtil.log_i(this.CLASS_NAME, "getDataGeomagneticSTMicro", null);
        FragmentGeomagneticSTMicro.DataGeomagneticSTMicro data = new FragmentGeomagneticSTMicro.DataGeomagneticSTMicro();
        int i = this.mSensorID_None;
        int i2 = this.mSensorID_Geomagnetic_Initialized;
        if (i < i2) {
            String[] temp = this.mModuleSensor.getData(i2);
            data.mIsDisplay_Initialized = true;
            if (temp == null || temp.length <= 2) {
                data.mInitialized = ModuleCommunicationService.SMD_NOK;
            } else {
                data.mInitialized = temp[2];
            }
        }
        int i3 = this.mSensorID_None;
        int i4 = this.mSensorID_Geomagnetic_Status;
        if (i3 < i4) {
            String[] temp2 = this.mModuleSensor.getData(i4);
            data.mIsDisplay_Status = true;
            if (temp2 == null || temp2.length <= 2) {
                data.mStatus_Result = ModuleCommunicationService.SMD_NOK;
                data.mStatus = ModuleCommunicationService.SMD_NOK;
            } else {
                data.mStatus_Result = temp2[1];
                data.mStatus = temp2[2];
            }
        }
        int i5 = this.mSensorID_None;
        int i6 = this.mSensorID_Geomagnetic_Self;
        if (i5 < i6) {
            String[] temp3 = this.mModuleSensor.getData(i6);
            data.mIsDisplay_Self = true;
            if (temp3 == null || temp3.length <= 3) {
                data.mSelf_Result = ModuleCommunicationService.SMD_NOK;
                data.mSelf_X = ModuleCommunicationService.SMD_NOK;
                data.mSelf_Y = ModuleCommunicationService.SMD_NOK;
                data.mSelf_Z = ModuleCommunicationService.SMD_NOK;
            } else {
                data.mSelf_Result = temp3[0];
                data.mSelf_X = temp3[1];
                data.mSelf_Y = temp3[2];
                data.mSelf_Z = temp3[3];
            }
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "getDataGeomagneticSTMicro", "data.mSelf_Result : " + data.mSelf_Result);
            String str2 = this.CLASS_NAME;
            FtUtil.log_d(str2, "getDataGeomagneticSTMicro", "data.mSelf_X : " + data.mSelf_X);
            String str3 = this.CLASS_NAME;
            FtUtil.log_d(str3, "getDataGeomagneticSTMicro", "data.mSelf_Y : " + data.mSelf_Y);
            String str4 = this.CLASS_NAME;
            FtUtil.log_d(str4, "getDataGeomagneticSTMicro", "data.mSelf_Z : " + data.mSelf_Z);
        }
        int i7 = this.mSensorID_None;
        int i8 = this.mSensorID_Geomagnetic_ADC;
        if (i7 < i8) {
            String[] temp4 = this.mModuleSensor.getData(i8);
            data.mIsDisplay_ADC = true;
            if (temp4 == null || temp4.length <= 4) {
                data.mADC_Result = ModuleCommunicationService.SMD_NOK;
                data.mADC_X = ModuleCommunicationService.SMD_NOK;
                data.mADC_Y = ModuleCommunicationService.SMD_NOK;
                data.mADC_Z = ModuleCommunicationService.SMD_NOK;
            } else {
                data.mADC_Result = temp4[1];
                data.mADC_X = temp4[2];
                data.mADC_Y = temp4[3];
                data.mADC_Z = temp4[4];
            }
        }
        return data;
    }
}
