package com.sec.factory.app.ui;

import android.app.AlertDialog;
import android.app.Fragment;
import android.app.FragmentManager;
import android.app.FragmentTransaction;
import android.content.DialogInterface;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.widget.LinearLayout;
import android.widget.TableLayout;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.uicommander.UICommanderService;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.modules.ModulePower;
import com.sec.factory.modules.ModuleSensor;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.optical.client.api.EgisFingerprint;
import java.util.ArrayList;

public class UIGripSXDetection extends UIBase {
    private static final int ABNORMAL_CHECK;
    public static final int ABNORMAL_FAIL;
    public static final int ABNORMAL_PASS;
    private static final String CLASS_NAME = "UIGripSXDetection";
    private static int DUMMY;
    private static final int INIT = 0;
    private final int DELAY_EXIT = 1000;
    private final int INVISIBLE_POPUP;
    private final int TIME_OUT = 3000;
    private final int VISIBLE_POPUP;
    private final int WHAT_EXIT;
    private boolean isPopupOpen = false;
    String[] items;
    private TextView mAbnormalCheck;
    private TextView mAbnormalResult;
    private AbnormalThread mAbnormalThread;
    private int mChcount = 0;
    private int mCount_Grip = 0;
    private String mDiffStr = "";
    private Fragment[] mFragmentList;
    private LinearLayout mFragment_Container;
    private String mGripType;
    private final Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UIGripSXDetection.AnonymousClass1 */

        public void handleMessage(Message msg) {
            if (UIGripSXDetection.this.isFinishing()) {
                FtUtil.log_e(UIGripSXDetection.CLASS_NAME, "mHandler.handleMessage", "Already finished UIGripSXDetection!");
            } else if (msg.what == UIGripSXDetection.this.WHAT_EXIT) {
                FtUtil.log_d(UIGripSXDetection.CLASS_NAME, "mHandler.handleMessage", "WHAT_EXIT");
                UIGripSXDetection.this.setTestResultFailCase(34);
            } else if (msg.what == UIGripSXDetection.ABNORMAL_CHECK) {
                FtUtil.log_d(UIGripSXDetection.CLASS_NAME, "mHandler.handleMessage", "ABNORMAL_CHECK");
                UIGripSXDetection.this.checkAbnormal(3000);
                UIGripSXDetection.this.mTextPopUp.setText(UIGripSXDetection.this.getResources().getString(R.string.grip_dont_touch));
                UIGripSXDetection.this.mLayoutPopUp.setVisibility(0);
            } else if (msg.what == UIGripSXDetection.ABNORMAL_FAIL) {
                FtUtil.log_d(UIGripSXDetection.CLASS_NAME, "mHandler.handleMessage", "ABNORMAL_FAIL");
                UIGripSXDetection.this.interruptAbnormalThread();
                UIGripSXDetection.this.mLayoutPopUp.setVisibility(4);
                UIGripSXDetection.this.mAbnormalResult.setVisibility(0);
                TextView textView = UIGripSXDetection.this.mAbnormalResult;
                textView.setText("Fail(" + UIGripSXDetection.this.mInterrputCount + "," + UIGripSXDetection.this.mDiffStr + ")");
                UIGripSXDetection.this.mAbnormalResult.setTextColor(-65536);
                UIGripSXDetection.this.setTestResultFailCase(34);
            } else if (msg.what == UIGripSXDetection.ABNORMAL_PASS) {
                FtUtil.log_d(UIGripSXDetection.CLASS_NAME, "mHandler.handleMessage", "ABNORMAL_PASS");
                UIGripSXDetection.this.interruptAbnormalThread();
                UIGripSXDetection.this.mLayoutPopUp.setVisibility(4);
                UIGripSXDetection.this.mAbnormalResult.setVisibility(0);
                TextView textView2 = UIGripSXDetection.this.mAbnormalResult;
                textView2.setText("Pass(" + UIGripSXDetection.this.mInterrputCount + "," + UIGripSXDetection.this.mDiffStr + ")");
                UIGripSXDetection.this.mAbnormalResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                UIGripSXDetection.this.setTestResult((byte) 80);
                UIGripSXDetection.this.finish();
            } else if (msg.what == UIGripSXDetection.this.INVISIBLE_POPUP) {
                FtUtil.log_d(UIGripSXDetection.CLASS_NAME, "mHandler.handleMessage", "INVISIBLE_POPUP");
                UIGripSXDetection.this.mLayoutPopUp.setVisibility(4);
            } else if (msg.what == UIGripSXDetection.this.VISIBLE_POPUP) {
                FtUtil.log_d(UIGripSXDetection.CLASS_NAME, "mHandler.handleMessage", "VISIBLE_POPUP");
                UIGripSXDetection.this.mTextPopUp.setText("LCD off after 1 sec");
                UIGripSXDetection.this.mLayoutPopUp.setVisibility(0);
            }
        }
    };
    private String[] mIndex = {"", "2", EgisFingerprint.MAJOR_VERSION, "4", "5", "6"};
    private int mInterrputCount = 0;
    private boolean mIsLCDOff = false;
    private boolean mIsTouchGrip = false;
    private LinearLayout mLayoutPopUp;
    private ArrayList<String> mListStrResetPath;
    public ModuleDevice mModuleDevice;
    public ModulePower mModulePower;
    public ModuleSensor mModuleSensor;
    private AlertDialog mResetFailDialog;
    private TableLayout mTableGripAbnormal;
    public TestInfo[] mTestInfoArray;
    private TextView mTextPopUp;
    private int testIndex;

    static /* synthetic */ int access$712(UIGripSXDetection x0, int x1) {
        int i = x0.mInterrputCount + x1;
        x0.mInterrputCount = i;
        return i;
    }

    static /* synthetic */ String access$884(UIGripSXDetection x0, Object x1) {
        String str = x0.mDiffStr + x1;
        x0.mDiffStr = str;
        return str;
    }

    static {
        DUMMY = 0;
        int i = 0 + 1;
        DUMMY = i;
        int i2 = i + 1;
        DUMMY = i2;
        ABNORMAL_CHECK = i;
        int i3 = i2 + 1;
        DUMMY = i3;
        ABNORMAL_PASS = i2;
        DUMMY = i3 + 1;
        ABNORMAL_FAIL = i3;
    }

    public class TestInfo {
        public String mGripType = null;
        public boolean mGripWorking = false;
        public boolean mIsTestPass = false;
        public int mMaxDiff;

        public TestInfo() {
        }
    }

    public UIGripSXDetection() {
        super(CLASS_NAME, 34);
        int i = DUMMY;
        int i2 = i + 1;
        DUMMY = i2;
        this.WHAT_EXIT = i;
        int i3 = i2 + 1;
        DUMMY = i3;
        this.INVISIBLE_POPUP = i2;
        DUMMY = i3 + 1;
        this.VISIBLE_POPUP = i3;
        String string = Support.Feature.getString(Support.Feature.GRIPSENSOR_TYPE);
        this.mGripType = string;
        this.items = string.split(",");
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        FtUtil.log_d(CLASS_NAME, "onCreate", "onCreate");
        setContentView(R.layout.ui_grip_sx_detection);
        setAtCmd(getIntent().getBooleanExtra("mIsAtCmd", false));
        this.mModuleSensor = ModuleSensor.instance(this);
        this.mModuleDevice = ModuleDevice.instance(this);
        this.mModulePower = ModulePower.instance(this);
        this.mListStrResetPath = new ArrayList<>();
        setTestInfo();
        setFragment();
        init_ui();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        FtUtil.log_d(CLASS_NAME, "onPause", "onPause");
        super.onPause();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        FtUtil.log_d(CLASS_NAME, "onDestroy", "onDestroy");
        interruptAbnormalThread();
        this.mModuleDevice.stopVibrate();
        this.mHandler.removeCallbacksAndMessages(null);
        super.onDestroy();
    }

    private void setTestInfo() {
        FtUtil.log_d(CLASS_NAME, "setTestInfo", null);
        this.mIsTouchGrip = Support.Feature.getBoolean(Support.Feature.GRIP_TOUCHIC_ENABLE, false);
        String[] strArr = this.items;
        if (strArr == null || strArr.length <= 0) {
            this.mHandler.sendEmptyMessageDelayed(this.WHAT_EXIT, 1500);
            return;
        }
        this.mTestInfoArray = new TestInfo[strArr.length];
        for (String item : strArr) {
            int i = this.mCount_Grip;
            this.mCount_Grip = i + 1;
            this.testIndex = i;
            this.mTestInfoArray[i] = new TestInfo();
            this.mTestInfoArray[this.testIndex].mGripType = item;
        }
        FtUtil.log_d(CLASS_NAME, "setTestInfo", "mCount_Grip : " + this.mCount_Grip);
    }

    private void setFragment() {
        FragmentManager fragmentManager;
        String str;
        String str2;
        String[] strArr;
        String str3;
        String str4;
        String str5;
        String str6;
        String Threshold = CLASS_NAME;
        String str7 = "setFragment";
        FtUtil.log_d(Threshold, str7, null);
        String[] strArr2 = this.items;
        if (strArr2 != null && strArr2.length > 0) {
            this.mFragmentList = new Fragment[strArr2.length];
            FragmentManager fragmentManager2 = getFragmentManager();
            FragmentTransaction fragmentTransaction = fragmentManager2.beginTransaction();
            int count = 0;
            String[] strArr3 = this.items;
            int length = strArr3.length;
            int i = 0;
            while (i < length) {
                String item = strArr3[i];
                FtUtil.log_d(Threshold, str7, "Add fragment item : " + item);
                int gripCount = this.items.length <= 1 ? -1 : count;
                if (item != null) {
                    Bundle arg = new Bundle();
                    arg.putInt("index", count);
                    arg.putString(UICommanderService.UI_UPDATE_HASHMAP_KEY_3, item);
                    if (this.mIsTouchGrip) {
                        int i2 = ModuleSensor.ID_FILE____GRIP_TOUCH;
                        StringBuilder sb = new StringBuilder();
                        sb.append(Support.Kernel.GRIP_TOUCH_SENSOR_ENABLE);
                        String str8 = "";
                        str2 = Threshold;
                        str = str7;
                        if (count == 0) {
                            fragmentManager = fragmentManager2;
                            str3 = str8;
                        } else {
                            StringBuilder sb2 = new StringBuilder();
                            sb2.append("_");
                            fragmentManager = fragmentManager2;
                            sb2.append(count + 1);
                            str3 = sb2.toString();
                        }
                        sb.append(str3);
                        String OnOff = sb.toString();
                        StringBuilder sb3 = new StringBuilder();
                        sb3.append(Support.Kernel.GRIP_TOUCH_SENSOR_RESET);
                        if (count == 0) {
                            str4 = str8;
                        } else {
                            str4 = "_" + (count + 1);
                        }
                        sb3.append(str4);
                        String Reset = sb3.toString();
                        StringBuilder sb4 = new StringBuilder();
                        sb4.append(Support.Kernel.GRIP_TOUCH_SENSOR_RESET_READY);
                        if (count == 0) {
                            str5 = str8;
                        } else {
                            str5 = "_" + (count + 1);
                        }
                        sb4.append(str5);
                        String ResetReady = sb4.toString();
                        StringBuilder sb5 = new StringBuilder();
                        sb5.append(Support.Kernel.GRIP_TOUCH_SENSOR_DIFF_DATA);
                        if (count == 0) {
                            strArr = strArr3;
                            str6 = str8;
                        } else {
                            StringBuilder sb6 = new StringBuilder();
                            sb6.append("_");
                            strArr = strArr3;
                            sb6.append(count + 1);
                            str6 = sb6.toString();
                        }
                        sb5.append(str6);
                        String DiffData = sb5.toString();
                        StringBuilder sb7 = new StringBuilder();
                        sb7.append(Support.Kernel.GRIP_TOUCH_SENSOR_THD);
                        if (count != 0) {
                            str8 = "_" + (count + 1);
                        }
                        sb7.append(str8);
                        String Threshold2 = sb7.toString();
                        arg.putString("onoff", OnOff);
                        arg.putString("reset", Reset);
                        arg.putString("resetready", ResetReady);
                        arg.putString("diffdata", DiffData);
                        arg.putString("threshold", Threshold2);
                        arg.putInt("gripsensorid", ModuleSensor.ID_FILE____GRIP_TOUCH + count);
                    } else {
                        str2 = Threshold;
                        str = str7;
                        fragmentManager = fragmentManager2;
                        strArr = strArr3;
                    }
                    if (item.startsWith("AP")) {
                        this.mFragmentList[count] = new FragmentGripSxDetectionAP(gripCount);
                        this.mFragmentList[count].setArguments(arg);
                        fragmentTransaction.add(R.id.grip_sx_fragment, this.mFragmentList[count]);
                    } else if (item.startsWith("WIFI")) {
                        if (this.mIsTouchGrip) {
                            this.mFragmentList[count] = new FragmentGripTouch(this);
                        } else {
                            this.mFragmentList[count] = new FragmentGripSxDetectionWIFI(gripCount);
                        }
                        this.mFragmentList[count].setArguments(arg);
                        fragmentTransaction.add(R.id.grip_sx_fragment, this.mFragmentList[count]);
                    } else if (item.startsWith("TOUCH")) {
                        this.mFragmentList[count] = new FragmentGripTouch(this);
                        this.mFragmentList[count].setArguments(arg);
                        fragmentTransaction.add(R.id.grip_sx_fragment, this.mFragmentList[count]);
                    } else if (!"CP".equals(item)) {
                        if (item.startsWith("SUB3")) {
                            arg.putBoolean("wifi_sub", false);
                            arg.putBoolean("SUB3", true);
                            if (this.mIsTouchGrip) {
                                this.mFragmentList[count] = new FragmentGripTouch(this);
                            } else {
                                this.mFragmentList[count] = new FragmentGripSxDetectionSUB(gripCount);
                            }
                            this.mFragmentList[count].setArguments(arg);
                            fragmentTransaction.add(R.id.grip_sx_fragment, this.mFragmentList[count]);
                        } else if (item.startsWith("SUB2")) {
                            arg.putBoolean("wifi_sub", false);
                            arg.putBoolean("SUB2", true);
                            if (this.mIsTouchGrip) {
                                this.mFragmentList[count] = new FragmentGripTouch(this);
                            } else {
                                this.mFragmentList[count] = new FragmentGripSxDetectionSUB(gripCount);
                            }
                            this.mFragmentList[count].setArguments(arg);
                            fragmentTransaction.add(R.id.grip_sx_fragment, this.mFragmentList[count]);
                        } else if (item.startsWith("SUB")) {
                            arg.putBoolean("wifi_sub", false);
                            if (this.mIsTouchGrip) {
                                this.mFragmentList[count] = new FragmentGripTouch(this);
                            } else {
                                this.mFragmentList[count] = new FragmentGripSxDetectionSUB(gripCount);
                            }
                            this.mFragmentList[count].setArguments(arg);
                            fragmentTransaction.add(R.id.grip_sx_fragment, this.mFragmentList[count]);
                        }
                    }
                } else {
                    str2 = Threshold;
                    str = str7;
                    fragmentManager = fragmentManager2;
                    strArr = strArr3;
                }
                count++;
                i++;
                strArr3 = strArr;
                Threshold = str2;
                str7 = str;
                fragmentManager2 = fragmentManager;
            }
            fragmentTransaction.commit();
        }
    }

    private void init_ui() {
        FtUtil.log_d(CLASS_NAME, "init_ui", null);
        LinearLayout linearLayout = (LinearLayout) findViewById(R.id.grip_sx_fragment);
        this.mFragment_Container = linearLayout;
        linearLayout.setVisibility(0);
        this.mLayoutPopUp = (LinearLayout) findViewById(R.id.grip_popup_layout);
        this.mTextPopUp = (TextView) findViewById(R.id.grip_popup_textview);
        this.mTableGripAbnormal = (TableLayout) findViewById(R.id.table_gripsens_abnormal);
        this.mAbnormalCheck = (TextView) findViewById(R.id.gripsens_abnormal_check);
        this.mAbnormalResult = (TextView) findViewById(R.id.gripsens_abnormal_result);
    }

    public void setGripState(int index, boolean work) {
        FtUtil.log_d(CLASS_NAME, "setGripState", "mTestInfoArray[" + index + "] : " + work);
        if (index >= 0 && index <= this.mCount_Grip) {
            this.mTestInfoArray[index].mGripWorking = work;
        }
    }

    public void setWorking() {
        this.mModuleDevice.startVibrate();
    }

    public void setRelease() {
        FtUtil.log_d(CLASS_NAME, "setRelease", "mCount_Grip : " + this.mCount_Grip);
        boolean result = true;
        if (this.mCount_Grip > 0) {
            int i = 0;
            while (true) {
                this.testIndex = i;
                int i2 = this.testIndex;
                if (i2 >= this.mCount_Grip) {
                    break;
                } else if (this.mTestInfoArray[i2].mGripWorking) {
                    result = false;
                    break;
                } else {
                    i = this.testIndex + 1;
                }
            }
        }
        if (result) {
            FtUtil.log_d(CLASS_NAME, "setRelease", "stop vibrate");
            this.mModuleDevice.stopVibrate();
            return;
        }
        FtUtil.log_d(CLASS_NAME, "setRelease", "fail to release. some grip sensor is working...");
    }

    public void setResult(int index, boolean isPass) {
        boolean mGripTestPass = true;
        if (index >= 0 && index <= this.mCount_Grip) {
            this.mTestInfoArray[index].mIsTestPass = isPass;
            FtUtil.log_d(CLASS_NAME, "setResult", "mTestInfoArray[" + index + "] = " + isPass);
            int i = 0;
            while (true) {
                this.testIndex = i;
                int i2 = this.testIndex;
                if (i2 >= this.mCount_Grip) {
                    break;
                } else if (!this.mTestInfoArray[i2].mIsTestPass) {
                    mGripTestPass = false;
                    break;
                } else {
                    i = this.testIndex + 1;
                }
            }
            if (mGripTestPass) {
                this.mHandler.sendEmptyMessageDelayed(ABNORMAL_CHECK, 1000);
            } else {
                setTestResultFailCase(34);
            }
        }
    }

    public void setResetFailResult(int index) {
        FtUtil.log_d(CLASS_NAME, "setResetFailResult", "index : " + index);
        if (index >= 0 && index <= this.mCount_Grip && !this.isPopupOpen) {
            this.isPopupOpen = true;
            AlertDialog.Builder builder = new AlertDialog.Builder(this, 16973935);
            builder.setTitle("Grip Fail");
            builder.setMessage("Grip Sensor Reset Fail");
            builder.setCancelable(false);
            builder.setNegativeButton("Exit", new DialogInterface.OnClickListener() {
                /* class com.sec.factory.app.ui.UIGripSXDetection.AnonymousClass2 */

                public void onClick(DialogInterface dialog, int id) {
                    FtUtil.log_d(UIGripSXDetection.CLASS_NAME, "setResetFailResult", "Grip Test Exit");
                    UIGripSXDetection.this.finish();
                    UIGripSXDetection.this.isPopupOpen = false;
                    dialog.cancel();
                }
            });
            AlertDialog create = builder.create();
            this.mResetFailDialog = create;
            create.getWindow().setGravity(17);
            this.mResetFailDialog.show();
        }
    }

    public boolean checkAlldetect() {
        boolean result = true;
        if (this.mCount_Grip > 0) {
            int i = 0;
            while (true) {
                this.testIndex = i;
                int i2 = this.testIndex;
                if (i2 >= this.mCount_Grip) {
                    break;
                }
                if (!this.mTestInfoArray[i2].mGripWorking && !this.mTestInfoArray[this.testIndex].mIsTestPass) {
                    FtUtil.log_d(CLASS_NAME, "checkAlldetect", this.testIndex + " is not working state");
                    result = false;
                }
                i = this.testIndex + 1;
            }
        }
        return result;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void checkAbnormal(int timeout) {
        this.mTableGripAbnormal.setVisibility(0);
        if (this.mAbnormalThread == null && !isFinishing()) {
            AbnormalThread abnormalThread = new AbnormalThread(timeout);
            this.mAbnormalThread = abnormalThread;
            abnormalThread.start();
        }
    }

    /* access modifiers changed from: private */
    public class AbnormalThread extends Thread {
        String[] data = null;
        boolean flag = true;
        int mTimeOut = 0;
        long startTime = System.currentTimeMillis();

        public AbnormalThread(int time) {
            this.mTimeOut = time;
        }

        public void run() {
            FtUtil.log_d(UIGripSXDetection.CLASS_NAME, "AbnormalThread", "Starting... Time_Out Setting : " + this.mTimeOut);
            for (int i = 0; i < UIGripSXDetection.this.mCount_Grip; i++) {
                try {
                    if (!Support.Kernel.write(Support.Kernel.GRIP_IRQ_COUNT + UIGripSXDetection.this.mIndex[i], egis.client.api.EgisFingerprint.MAJOR_VERSION)) {
                        this.flag = false;
                    }
                } catch (InterruptedException e) {
                    e.printStackTrace();
                    FtUtil.log_d(UIGripSXDetection.CLASS_NAME, "AbnormalThread", "No TimeOut ...");
                    return;
                }
            }
            while (System.currentTimeMillis() - this.startTime < ((long) this.mTimeOut) && this.flag && !Thread.currentThread().isInterrupted()) {
                Thread.sleep(100);
            }
            if (!Thread.currentThread().isInterrupted()) {
                for (int i2 = 0; i2 < UIGripSXDetection.this.mCount_Grip; i2++) {
                    if (Support.Kernel.write(Support.Kernel.GRIP_IRQ_COUNT + UIGripSXDetection.this.mIndex[i2], "0")) {
                        String rawResult = Support.Kernel.read(Support.Kernel.GRIP_IRQ_COUNT + UIGripSXDetection.this.mIndex[i2]);
                        if (rawResult != null) {
                            String[] arrResult = rawResult.split(",");
                            try {
                                UIGripSXDetection.access$712(UIGripSXDetection.this, Integer.parseInt(arrResult[1]));
                                UIGripSXDetection uIGripSXDetection = UIGripSXDetection.this;
                                UIGripSXDetection.access$884(uIGripSXDetection, arrResult[2] + ",");
                                if (UIGripSXDetection.this.mInterrputCount >= 2) {
                                    this.flag = false;
                                }
                            } catch (ArrayIndexOutOfBoundsException e2) {
                                this.flag = false;
                            }
                        }
                    } else {
                        this.flag = false;
                    }
                }
                UIGripSXDetection uIGripSXDetection2 = UIGripSXDetection.this;
                uIGripSXDetection2.mDiffStr = uIGripSXDetection2.mDiffStr.substring(0, UIGripSXDetection.this.mDiffStr.length() - 1);
                if (this.flag) {
                    UIGripSXDetection.this.mHandler.sendEmptyMessageDelayed(UIGripSXDetection.ABNORMAL_PASS, 1000);
                    FtUtil.log_d(UIGripSXDetection.CLASS_NAME, "AbnormalThread", "Pass checking abnormal");
                    return;
                }
                UIGripSXDetection.this.mHandler.sendEmptyMessageDelayed(UIGripSXDetection.ABNORMAL_FAIL, 1000);
                FtUtil.log_d(UIGripSXDetection.CLASS_NAME, "AbnormalThread", "Fail checking abnormal");
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void interruptAbnormalThread() {
        AbnormalThread abnormalThread = this.mAbnormalThread;
        if (abnormalThread != null) {
            abnormalThread.interrupt();
        }
    }

    public void addListGripReset(String strResetPath) {
        this.mListStrResetPath.add(strResetPath);
    }

    public boolean isResetGrip(String strResetPath) {
        return this.mListStrResetPath.contains(strResetPath);
    }
}
