package com.sec.factory.app.ui;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Bundle;
import android.os.SystemProperties;
import android.widget.Toast;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestMain;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.ModuleAudio;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class UIHDMI extends UIBase {
    private static final String ACTION_HDMI_AUDIO_PLUG = "android.media.action.HDMI_AUDIO_PLUG";
    private static final String ChipSetName;
    private static final boolean isMSM8930;
    private boolean FLAG_NV_WRITE;
    private final String HDMI_FHD_OFF;
    private final String HDMI_FHD_ON;
    private final String HDMI_MSG;
    private boolean isAPQ8064;
    private boolean isAPQ8074;
    private boolean isAPQ8084;
    private boolean isEXYNOS5410;
    private boolean isEXYNOS5433;
    private boolean isMSM8228;
    private boolean isMSM8260A;
    private boolean isMSM8274;
    private boolean isMSM8674;
    private boolean isMSM8928;
    private boolean isMSM8960;
    private boolean isMSM8974;
    private boolean isPegaPrime;
    private boolean isPegasus;
    private boolean isPegasusPrime;
    private BroadcastReceiver mBroadcastReceiver;
    private boolean mIsTurnOffAudioPath;
    private int mTestID;
    private String testCase;
    private String testView;

    static {
        String string = Support.Feature.getString(Support.Feature.CHIPSET_NAME);
        ChipSetName = string;
        isMSM8930 = "MSM8930".equalsIgnoreCase(string);
    }

    public UIHDMI() {
        this("UIHDMI", 23);
    }

    public UIHDMI(String className, int id) {
        super(className, id);
        this.HDMI_MSG = "HDMI Pattern Display On";
        this.HDMI_FHD_ON = EgisFingerprint.MAJOR_VERSION;
        this.HDMI_FHD_OFF = "0";
        this.testCase = null;
        this.FLAG_NV_WRITE = false;
        this.mIsTurnOffAudioPath = false;
        this.mTestID = 0;
        String str = ChipSetName;
        this.isMSM8960 = "MSM8960".equalsIgnoreCase(str);
        this.isMSM8974 = "MSM8974".equalsIgnoreCase(str);
        this.isMSM8928 = "MSM8928".equalsIgnoreCase(str);
        this.isMSM8228 = "MSM8228".equalsIgnoreCase(str);
        this.isMSM8674 = "MSM8674".equalsIgnoreCase(str);
        this.isMSM8274 = "MSM8274".equalsIgnoreCase(str);
        this.isMSM8260A = "MSM8260A".equalsIgnoreCase(str);
        this.isAPQ8064 = "APQ8064".equalsIgnoreCase(str);
        this.isAPQ8074 = "APQ8074".equalsIgnoreCase(str);
        this.isAPQ8084 = "APQ8084".equalsIgnoreCase(str);
        this.isPegasusPrime = "PegasusPrime".equalsIgnoreCase(str);
        this.isPegaPrime = "PegaPrime".equalsIgnoreCase(str);
        this.isPegasus = "Pegasus".equalsIgnoreCase(str);
        this.isEXYNOS5410 = "EXYNOS5410".equalsIgnoreCase(str);
        this.isEXYNOS5433 = "EXYNOS5433".equalsIgnoreCase(str);
        this.mBroadcastReceiver = new BroadcastReceiver() {
            /* class com.sec.factory.app.ui.UIHDMI.AnonymousClass1 */

            public synchronized void onReceive(Context context, Intent intent) {
                String action = intent.getAction();
                try {
                    if (FactoryTestMain.STOP_HDMI_TEST.equals(action)) {
                        FtUtil.log_i(UIHDMI.this.CLASS_NAME, "onReceive", FactoryTestMain.STOP_HDMI_TEST);
                        UIHDMI.this.finish();
                    } else if (action.equals(UIHDMI.ACTION_HDMI_AUDIO_PLUG)) {
                        int state = intent.getIntExtra("state", -1);
                        String str = UIHDMI.this.CLASS_NAME;
                        FtUtil.log_i(str, "onReceive", "AudioManager.ACTION_HDMI_AUDIO_PLUG - state=" + state);
                        if (UIHDMI.this.isFinishing()) {
                            FtUtil.log_i(UIHDMI.this.CLASS_NAME, "onReceive", "Already UIHDMI finished");
                        }
                        if (state == 1) {
                            if (UIHDMI.this.isAPQ8064 || UIHDMI.this.isAPQ8074 || UIHDMI.this.isAPQ8084 || UIHDMI.this.isMSM8960 || UIHDMI.isMSM8930 || UIHDMI.this.isMSM8260A || UIHDMI.this.isMSM8974 || UIHDMI.this.isMSM8928 || UIHDMI.this.isMSM8228 || UIHDMI.this.isMSM8674 || UIHDMI.this.isMSM8274 || UIHDMI.this.isPegasus || UIHDMI.this.isPegasusPrime || UIHDMI.this.isPegaPrime || UIHDMI.this.isEXYNOS5410 || UIHDMI.this.isEXYNOS5433) {
                                try {
                                    FtUtil.log_i(UIHDMI.this.CLASS_NAME, "delay", " : 1000ms");
                                    Thread.sleep(1000);
                                } catch (InterruptedException e) {
                                    e.printStackTrace();
                                }
                            }
                            ModuleAudio.instance(UIHDMI.this.getApplicationContext()).setAudioPath(3);
                            ModuleAudio.instance(UIHDMI.this.getApplicationContext()).playMedia(R.raw.beep, true);
                            if (!UIHDMI.this.FLAG_NV_WRITE && UIHDMI.this.getIntent().getBooleanExtra(FactoryTestManager.INTENT_EXTRA_NAME_ENTER15MODE, false)) {
                                UIHDMI.this.setTestResult((byte) 80);
                                UIHDMI.this.FLAG_NV_WRITE = true;
                            }
                        } else if (state == 0) {
                            UIHDMI.this.mIsTurnOffAudioPath = false;
                            UIHDMI.this.turnOffAudioPath();
                            Thread.sleep(300);
                        }
                    } else if ("android.media.AUDIO_BECOMING_NOISY".equals(action)) {
                        FtUtil.log_i(UIHDMI.this.CLASS_NAME, "onReceive", "AudioManager.ACTION_AUDIO_BECOMING_NOISY");
                        UIHDMI.this.stopMedia();
                    }
                } catch (Exception e2) {
                    String str2 = UIHDMI.this.CLASS_NAME;
                    FtUtil.log_i(str2, "mBroadcastReceiver.onReceive", "Exception : " + e2);
                }
            }
        };
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        String platform = SystemProperties.get("ro.board.platform");
        Intent intent = getIntent();
        Bundle extra = intent.getExtras();
        if (extra != null) {
            this.testView = intent.getStringExtra("testView");
            this.mTestID = extra.getInt("testID", 23);
            String str = this.CLASS_NAME;
            FtUtil.log_i(str, "onCreate_extra", "testView / mTestID : " + this.testView + " / " + this.mTestID);
            setTestId(this.mTestID);
        }
        if ("LAND".equals(this.testView)) {
            setRequestedOrientation(0);
        }
        if (platform == null || !platform.equals("capri")) {
            setContentView(R.layout.ui_hdmi);
        } else {
            setContentView(R.layout.ui_hdmi_capri);
        }
        if (this.mTestID == 23) {
            String testCase2 = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML((byte) 23));
            this.testCase = testCase2;
            if (testCase2 != null && testCase2.contains("FHD")) {
                Support.Kernel.write(Support.Kernel.HDMI_FHD_MODE, EgisFingerprint.MAJOR_VERSION);
                String str2 = this.CLASS_NAME;
                FtUtil.log_i(str2, "onCreate", this.testCase + "  " + Support.Kernel.read(Support.Kernel.HDMI_FHD_MODE));
            }
        }
        FtUtil.setRemoveSystemUI(getWindow(), true);
        ModuleAudio.instance(getApplicationContext()).setStreamMusicVolume(0);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        sendBroadcast(new Intent("com.samsung.android.aircommandmanager.STOP_MONITORING"));
        IntentFilter mIntentFilter = new IntentFilter();
        mIntentFilter.addAction(FactoryTestMain.STOP_HDMI_TEST);
        mIntentFilter.addAction(ACTION_HDMI_AUDIO_PLUG);
        mIntentFilter.addAction("android.media.AUDIO_BECOMING_NOISY");
        registerReceiver(this.mBroadcastReceiver, mIntentFilter);
        this.mIsTurnOffAudioPath = false;
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "onResume()", "mIsTurnOffAudioPath = " + this.mIsTurnOffAudioPath);
        ModuleAudio.instance(getApplicationContext()).playMedia(R.raw.beep, true);
        Toast.makeText(getApplicationContext(), "HDMI Pattern Display On", 0).show();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private synchronized void turnOffAudioPath() {
        if (isFinishing()) {
            FtUtil.log_i(this.CLASS_NAME, "turnOffAudioPath", "Already UIHDMI finished");
            ModuleAudio.instance(getApplicationContext()).setAudioPath(4);
        } else if (!this.mIsTurnOffAudioPath) {
            this.mIsTurnOffAudioPath = true;
            ModuleAudio.instance(getApplicationContext()).setAudioPath(4);
            String str = this.CLASS_NAME;
            FtUtil.log_i(str, "turnOffAudioPath()", "mIsTurnOffAudioPath = " + this.mIsTurnOffAudioPath);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void stopMedia() {
        ModuleAudio.instance(getApplicationContext()).stopMedia();
        turnOffAudioPath();
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        String str;
        super.onPause();
        unregisterReceiver(this.mBroadcastReceiver);
        if (this.mTestID == 23 && (str = this.testCase) != null && str.contains("FHD")) {
            Support.Kernel.write(Support.Kernel.HDMI_FHD_MODE, "0");
            String str2 = this.CLASS_NAME;
            FtUtil.log_i(str2, "onPause", this.testCase + "  " + Support.Kernel.read(Support.Kernel.HDMI_FHD_MODE));
        }
        stopMedia();
        sendBroadcast(new Intent("com.samsung.android.aircommandmanager.START_MONITORING"));
    }
}
