package com.sec.factory.app.ui;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.graphics.Point;
import android.hardware.input.InputManager;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.util.TypedValue;
import android.view.InputDevice;
import android.view.KeyEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.WindowManager;
import android.widget.AbsoluteLayout;
import android.widget.Button;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestDialog;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.app.ui.UIKeyBase;
import com.sec.factory.modules.ModuleAudio;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.modules.ModulePower;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.File;
import java.util.Collections;
import java.util.HashMap;
import java.util.Iterator;
import java.util.LinkedList;
import java.util.Queue;
import java.util.concurrent.ConcurrentLinkedQueue;

public class UIHardKey extends UIKeyBase {
    public static final String FINGER_PRINT_BUTTON_EXIT = "com.sec.factory.modules.FingerprintService.KEYCODE_BUTTON_EXIT";
    public static final String FINGER_PRINT_HOME_DOWN = "com.sec.factory.modules.FingerprintService.KEYCODE_HOME_DOWN";
    private static final int KEYCODE_BEAM = 273;
    private static final int KEYCODE_DPAD_CENTER = 23;
    private static final int KEYCODE_NETWORK_SEL = 1047;
    private static final int KEYCODE_REF_KEY1 = 254;
    private static final int KEYCODE_REF_KEY2 = 255;
    private static final int KEYCODE_USER = 1015;
    private static final int KEYCODE_WINK = 1082;
    public static final int REQUEST_GHOST_TEST = 1;
    private final String INDI_TEST_KEY2 = "2";
    private Thread RefKeyThread = null;
    BroadcastReceiver SpenDetectionReceiver;
    final Runnable checkResult = new Runnable() {
        /* class com.sec.factory.app.ui.UIHardKey.AnonymousClass4 */

        public void run() {
            UIHardKey uIHardKey = UIHardKey.this;
            uIHardKey.mIsPassed = uIHardKey.checkingAllPassItems();
            if (UIHardKey.this.mIsPassed && !UIHardKey.this.mIsPowerKeyPressed) {
                UIHardKey.this.finish();
            }
        }
    };
    private boolean isPenInsert;
    private Handler mAfKeyHandler = new Handler() {
        /* class com.sec.factory.app.ui.UIHardKey.AnonymousClass2 */

        public void handleMessage(Message msg) {
            UIHardKey.this.mBlockedAfKey = false;
        }
    };
    private boolean mBlockedAfKey = false;
    private boolean mCheckInterrupt = false;
    private boolean mCmdTouchKeyEvent;
    private ConcurrentLinkedQueue<FactoryTestDialog> mDialogQueue = new ConcurrentLinkedQueue<>();
    private Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UIHardKey.AnonymousClass10 */

        public void handleMessage(Message msg) {
            int keycode = msg.what;
            int sensitivity = msg.arg1;
            int index = Collections.binarySearch(UIHardKey.this.mTestList, new UIKeyBase.KeyTestItem(keycode), UIHardKey.this.mComparator);
            if (index >= 0) {
                UIKeyBase.KeyTestItem keyTestItem = (UIKeyBase.KeyTestItem) UIHardKey.this.mTestList.get(index);
                if (UIHardKey.this.mCmdTouchKeyEvent) {
                    keyTestItem.mIsPassed = true;
                } else {
                    keyTestItem.mIsPassed = sensitivity >= UIHardKey.this.mSpecMin && sensitivity <= UIHardKey.this.mSpecMax;
                }
                if (UIHardKey.this.mIsSkipCheckspec) {
                    keyTestItem.mIsPassed = true;
                }
                String str = UIHardKey.this.CLASS_NAME;
                FtUtil.log_d(str, "mHandler", "mIsSkipCheckspec = " + UIHardKey.this.mIsSkipCheckspec);
                keyTestItem.mTouchKeyItem.mTouchKeySensitivityText.setTextColor(keyTestItem.mIsPassed ? UiHallICTest.FONT_COLOR_PASS : -65536);
                String str2 = "PASS";
                keyTestItem.mTouchKeyItem.mTouchKeyTestResult.setText(keyTestItem.mIsPassed ? str2 : "FAIL");
                keyTestItem.mTouchKeyItem.mTouchKeyTestResult.setTextColor(keyTestItem.mIsPassed ? UiHallICTest.FONT_COLOR_PASS : -65536);
                keyTestItem.mHardKeyItem.mHardKeyText.setTextColor(keyTestItem.mIsPassed ? UiHallICTest.FONT_COLOR_PASS : -65536);
                UIHardKey uIHardKey = UIHardKey.this;
                UIHardKey.access$1384(uIHardKey, String.valueOf(UIHardKey.this.getXY(keyTestItem.mHardKeyItem.mHardKeyText, "x1")) + ":" + sensitivity + ",");
                UIHardKey uIHardKey2 = UIHardKey.this;
                uIHardKey2.saveTskSentivity(uIHardKey2.temp_savedSensitivity);
                String str3 = UIHardKey.this.CLASS_NAME;
                FtUtil.log_d(str3, "mHandler", "Touch key press keyCode=" + keyTestItem.mKeyCode + ", Passed=" + keyTestItem.mIsPassed + ", Sensitivity=" + sensitivity);
                if (keyTestItem.mIsPassed) {
                    UIHardKey.this.finishTouchKeyThread();
                }
                keyTestItem.mTouchKeyItem.mTouchKeySensitivityText.setText(String.valueOf(sensitivity));
                if (!UIHardKey.this.mCheckInterrupt) {
                    UIHardKey.this.mOccurProblem = true;
                    UIHardKey.this.mCheckInterrupt = true;
                    keyTestItem.mIsPassed = false;
                    keyTestItem.mTouchKeyItem.mTouchKeySensitivityText.setTextColor(keyTestItem.mIsPassed ? UiHallICTest.FONT_COLOR_PASS : -65536);
                    TextView textView = keyTestItem.mTouchKeyItem.mTouchKeyTestResult;
                    if (!keyTestItem.mIsPassed) {
                        str2 = "FAIL";
                    }
                    textView.setText(str2);
                    keyTestItem.mTouchKeyItem.mTouchKeyTestResult.setTextColor(keyTestItem.mIsPassed ? UiHallICTest.FONT_COLOR_PASS : -65536);
                    keyTestItem.mHardKeyItem.mHardKeyText.setTextColor(keyTestItem.mIsPassed ? UiHallICTest.FONT_COLOR_PASS : -65536);
                    UIHardKey.this.startActivityForResult(new Intent(UIHardKey.this, UITouchTestGhost.class), 1);
                }
                UIHardKey uIHardKey3 = UIHardKey.this;
                uIHardKey3.mIsPassed = uIHardKey3.checkingAllPassItems();
                if (UIHardKey.this.mIsPassed) {
                    String str4 = UIHardKey.this.CLASS_NAME;
                    FtUtil.log_d(str4, "mHandler", "mIsPassed: " + UIHardKey.this.mIsPassed);
                    new Handler().postDelayed(new Runnable() {
                        /* class com.sec.factory.app.ui.UIHardKey.AnonymousClass10.AnonymousClass1 */

                        public void run() {
                            UIHardKey.this.finish();
                        }
                    }, 500);
                    UIHardKey.this.mIsPassed = false;
                }
            }
        }
    };
    private boolean mInitUIdone = false;
    private Handler mInterruptHandler = new Handler() {
        /* class com.sec.factory.app.ui.UIHardKey.AnonymousClass3 */

        public void handleMessage(Message msg) {
            UIHardKey.this.mCheckInterrupt = true;
        }
    };
    private Handler mInterruptMsgHandler = new Handler() {
        /* class com.sec.factory.app.ui.UIHardKey.AnonymousClass5 */

        public void handleMessage(Message msg) {
            ((TextView) UIHardKey.this.findViewById(R.id.interrupt_msg)).setVisibility(8);
        }
    };
    private boolean mIsPassed = false;
    private boolean mIsPowerKeyPressed = false;
    private boolean mIsSkipCheckspec = false;
    private String mItemName;
    private int mLongPressKeyCode;
    private boolean mModeLCiA = false;
    private ModuleDevice mModuleDevice = null;
    private boolean mNotsupportAduioSoundAmpSpeaker = false;
    private boolean mOccurProblem = false;
    private int mOldVolumeIndex;
    public UIKeyBase.KeyTestItem mPressedKeyTestItem = null;
    private int mPressedKeycode = -1;
    private View.OnClickListener mResetButtonAction = new View.OnClickListener() {
        /* class com.sec.factory.app.ui.UIHardKey.AnonymousClass1 */

        public void onClick(View view) {
            Iterator it = UIHardKey.this.mTestList.iterator();
            while (it.hasNext()) {
                UIKeyBase.KeyTestItem item = (UIKeyBase.KeyTestItem) it.next();
                if (item.mEnabled) {
                    item.mIsPassed = false;
                    if (item.mTouchKeyItem != null) {
                        item.mTouchKeyItem.mTouchKeySensitivityText.setText("");
                        item.mTouchKeyItem.mTouchKeyTestResult.setText("");
                    }
                    item.mHardKeyItem.mHardKeyText.setTextColor(-16777216);
                }
            }
            if (!Support.Feature.getBoolean(Support.Feature.SUPPORT_SKIP_GHOST_TSK, false)) {
                UIHardKey.this.mCheckInterrupt = false;
                UIHardKey.this.mInterruptHandler.sendMessageDelayed(UIHardKey.this.mInterruptHandler.obtainMessage(), 1000);
                ((TextView) UIHardKey.this.findViewById(R.id.interrupt_msg)).setVisibility(0);
                UIHardKey.this.mInterruptMsgHandler.sendMessageDelayed(UIHardKey.this.mInterruptMsgHandler.obtainMessage(), 1000);
            }
        }
    };
    private Handler mResultCheckerHandler = new Handler();
    private int mSpecMax;
    private int mSpecMin;
    private String temp_savedSensitivity = "";
    private int testType;
    private Thread touchKeyThread = null;

    static /* synthetic */ String access$1384(UIHardKey x0, Object x1) {
        String str = x0.temp_savedSensitivity + x1;
        x0.temp_savedSensitivity = str;
        return str;
    }

    public UIHardKey() {
        super("UIHardKey");
    }

    public String selectTestCase(String strCase) {
        if (45 != this.TEST_ID) {
            return strCase;
        }
        return strCase + "2";
    }

    @Override // com.sec.factory.app.ui.UIKeyBase, com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setTestId(getIntent().getIntExtra("requestCode", 6));
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "onCreate", "TEST_ID = " + this.TEST_ID);
        this.mInitUIdone = false;
        FtUtil.setRemoveSystemUI(getWindow(), true);
        this.testType = 1;
        this.SpenDetectionReceiver = new BroadcastReceiver() {
            /* class com.sec.factory.app.ui.UIHardKey.AnonymousClass6 */

            public void onReceive(Context context, Intent intent) {
                UIHardKey.this.isPenInsert = intent.getBooleanExtra("penInsert", false);
                String str = UIHardKey.this.CLASS_NAME;
                FtUtil.log_d(str, "onReceive", "isPenInsert: " + UIHardKey.this.isPenInsert);
            }
        };
        registerReceiver(this.SpenDetectionReceiver, new IntentFilter("com.samsung.pen.INSERT"));
        FtUtil.log_d(this.CLASS_NAME, "onCreate", "registerReceiver");
        Support.Kernel.write(Support.Kernel.EPEN_ENABLE, "0");
        if (Support.Feature.getBoolean(Support.Feature.NOT_SUPPORT_AUDIO_SOUND_AMP_SPEAKER)) {
            this.mNotsupportAduioSoundAmpSpeaker = true;
        }
        this.mItemName = FactoryTestManager.getItemName_RequestCode(this.TEST_ID);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIKeyBase
    public void onNewIntent(Intent intent) {
        FtUtil.log_d(this.CLASS_NAME, "onNewIntent", "onNewIntent");
        super.onNewIntent(intent);
        initUI();
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        if (Support.Feature.getBoolean(Support.Feature.SUPPORT_SKIP_GHOST_TSK, false)) {
            this.mCheckInterrupt = true;
        } else {
            Handler handler = this.mInterruptHandler;
            handler.sendMessageDelayed(handler.obtainMessage(), 1000);
        }
        super.onResume();
    }

    public void onWindowFocusChanged(boolean hasFocus) {
        FtUtil.log_i(this.CLASS_NAME, "onWindowFocusChanged");
        super.onWindowFocusChanged(hasFocus);
        if (hasFocus && !this.mInitUIdone) {
            initUI();
        }
    }

    private void initUI() {
        setContentView(R.layout.ui_hard_key);
        this.mModuleDevice = ModuleDevice.instance(this);
        this.mModeLCiA = "LCiA".equalsIgnoreCase(Support.Properties.get(Support.Properties.PGM_STAGE));
        this.mOldVolumeIndex = ModuleAudio.instance(this).getStreamMusicVolumeIndex();
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "initialize", "mOldVolume = " + this.mOldVolumeIndex);
        ModuleAudio.instance(this).setStreamMusicVolumeIndex(Support.Feature.getInt(Support.Feature.KEYTEST_VOLUME_INDEX));
        ModuleDevice.instance(this).turnOnTSKSensitivity();
        initialize();
        this.mInitUIdone = true;
        Handler handler = this.mInterruptMsgHandler;
        handler.sendMessageDelayed(handler.obtainMessage(), 1000);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        if (Support.Kernel.write(Support.Kernel.PATH_BLOCK_HALLIC, "OFF")) {
            FtUtil.log_i(this.CLASS_NAME, "PATH_BLOCK_HALLIC : OFF");
        }
        this.mResultCheckerHandler.removeCallbacks(this.checkResult);
        finishTouchKeyThread();
        if ("true".equals(Support.FactoryTestMenu.getEnable(FactoryTestManager.convertorID_XML((byte) FactoryTestManager.TEST_FINGERPRINT)))) {
            sendBroadcast(new Intent(FINGER_PRINT_BUTTON_EXIT));
        }
        unregisterReceiver(this.SpenDetectionReceiver);
        Support.Kernel.write(Support.Kernel.EPEN_ENABLE, EgisFingerprint.MAJOR_VERSION);
        super.onDestroy();
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        if (Support.Kernel.write(Support.Kernel.PATH_BLOCK_HALLIC, "OFF")) {
            FtUtil.log_i(this.CLASS_NAME, "PATH_BLOCK_HALLIC : OFF");
        }
        super.onPause();
        ModuleAudio.instance(this).setStreamMusicVolumeIndex(this.mOldVolumeIndex);
    }

    @Override // com.sec.factory.app.ui.UIKeyBase, com.sec.factory.app.ui.UIBase
    public boolean onKeyUp(int keyCode, KeyEvent event) {
        super.setLongPress(true, event);
        this.mPressedKeycode = -1;
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "onKeyUp", "passed=" + this.mIsPassed + ", keyCode=" + keyCode);
        this.mLongPressKeyCode = 0;
        if (keyCode == 26) {
            this.mIsPowerKeyPressed = false;
        }
        if (this.mIsPowerKeyPressed) {
            FtUtil.log_d(this.CLASS_NAME, "onKeyUp", "Power Key is pressed");
        } else {
            this.mResultCheckerHandler.removeCallbacks(this.checkResult);
            this.mResultCheckerHandler.postDelayed(this.checkResult, 500);
        }
        this.mPressedKeyTestItem = null;
        finishTouchKeyThread();
        return super.onKeyUp(keyCode, event);
    }

    @Override // com.sec.factory.app.ui.UIKeyBase, com.sec.factory.app.ui.UIBase
    public boolean onKeyDown(int keyCode, KeyEvent event) {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "onKeyDown", "keyCode : " + keyCode);
        int i = this.mPressedKeycode;
        if (i == -1 || i == keyCode) {
            this.mPressedKeycode = keyCode;
        } else if (i == 4 && keyCode == 82) {
            FtUtil.log_i(this.CLASS_NAME, "onKeyDown", "Back key is long pressed");
        } else {
            FtUtil.log_i(this.CLASS_NAME, "onKeyDown", "More than 2 keys are pressed");
            FactoryTestDialog diag = new FactoryTestDialog(this, "", "More than 2 keys are pressed", this.mHandler, 1);
            diag.setClassName(this.CLASS_NAME);
            diag.show();
            this.mDialogQueue.add(diag);
            Iterator it = this.mTestList.iterator();
            while (it.hasNext()) {
                UIKeyBase.KeyTestItem item = (UIKeyBase.KeyTestItem) it.next();
                if (item.mEnabled) {
                    item.mIsPassed = false;
                    if (item.mTouchKeyItem != null) {
                        item.mTouchKeyItem.mTouchKeySensitivityText.setText("");
                        item.mTouchKeyItem.mTouchKeyTestResult.setText("");
                    }
                    item.mHardKeyItem.mHardKeyText.setTextColor(-16777216);
                }
            }
            if (!Support.Feature.getBoolean(Support.Feature.SUPPORT_SKIP_GHOST_TSK, false)) {
                this.mCheckInterrupt = false;
                Handler handler = this.mInterruptHandler;
                handler.sendMessageDelayed(handler.obtainMessage(), 1000);
            }
            return true;
        }
        super.setLongPress(false, event);
        int scancode = event.getScanCode();
        if (this.mOccurProblem) {
            return false;
        }
        this.mIsSkipCheckspec = (keyCode == 82 || keyCode == 4 || keyCode == 187) && scancode == 0;
        String str2 = this.CLASS_NAME;
        FtUtil.log_i(str2, "onKeyDown", "mIsSkipCheckspec = " + this.mIsSkipCheckspec);
        String str3 = this.CLASS_NAME;
        FtUtil.log_i(str3, "onKeyDown", "keyCode=" + keyCode + " scanCode=" + scancode);
        if (keyCode == 26) {
            this.mIsPowerKeyPressed = true;
        }
        this.mCmdTouchKeyEvent = isCmdTouchKeyEvent(event);
        if (keyCode == 3 && "true".equals(Support.FactoryTestMenu.getEnable(FactoryTestManager.convertorID_XML((byte) FactoryTestManager.TEST_FINGERPRINT)))) {
            sendBroadcast(new Intent(FINGER_PRINT_HOME_DOWN));
        }
        String str4 = this.CLASS_NAME;
        FtUtil.log_i(str4, "onKeyDown", "isLongPress = " + isLongPress() + " mIsPassed = " + this.mIsPassed + " mLongPressKeyCode = " + this.mLongPressKeyCode);
        if ((!isLongPress() && !this.mIsPassed) || (!this.mIsPassed && this.mLongPressKeyCode != keyCode)) {
            this.mLongPressKeyCode = keyCode;
            if (keyCode == 80) {
                String str5 = this.CLASS_NAME;
                FtUtil.log_d(str5, "onKeyDown", "Af block=" + this.mBlockedAfKey);
                if (this.mBlockedAfKey) {
                    return true;
                }
                this.mBlockedAfKey = true;
                Handler handler2 = this.mAfKeyHandler;
                handler2.sendMessageDelayed(handler2.obtainMessage(), 2000);
            }
            int index = Collections.binarySearch(this.mTestList, new UIKeyBase.KeyTestItem(keyCode), this.mComparator);
            String str6 = this.CLASS_NAME;
            FtUtil.log_i(str6, "onKeyDown", "index = " + index);
            if (index >= 0) {
                final UIKeyBase.KeyTestItem keyTestItem = (UIKeyBase.KeyTestItem) this.mTestList.get(index);
                if (keyTestItem.mIsTouchKey) {
                    UIKeyBase.KeyTestItem keyTestItem2 = this.mPressedKeyTestItem;
                    if (keyTestItem2 == null) {
                        this.mPressedKeyTestItem = keyTestItem;
                    } else if (keyTestItem2.getKeyCode() != keyTestItem.getKeyCode()) {
                        String str7 = this.CLASS_NAME;
                        int i2 = this.testType;
                        String str8 = this.mItemName;
                        FtUtil.log_d(str7, "onKeyDown", FtUtil.setMspSeqMessage(i2, str8, "FAIL : Pressed keys same time (" + this.mPressedKeyTestItem.getKeyCode() + ", " + keyTestItem.getKeyCode() + ")"));
                        startActivityForResult(new Intent(this, UITouchTestGhost.class), 1);
                        return true;
                    }
                }
                if (!keyTestItem.mIsTouchKey) {
                    keyTestItem.mIsPassed = !keyTestItem.mIsPassed;
                    String str9 = this.CLASS_NAME;
                    FtUtil.log_d(str9, "onKeyDown", "Hard key press keyCode=" + keyTestItem.mKeyCode + ", Passed=" + keyTestItem.mIsPassed);
                    keyTestItem.mHardKeyItem.mHardKeyText.setTextColor(keyTestItem.mIsPassed ? UiHallICTest.FONT_COLOR_PASS : -65536);
                } else if (keyTestItem.mIsTouchKey) {
                    int ref_index = 0;
                    if (keyTestItem.mKeyCode == 4) {
                        ref_index = Collections.binarySearch(this.mTestList, new UIKeyBase.KeyTestItem(255), this.mComparator);
                    } else if (keyTestItem.mKeyCode == 187) {
                        ref_index = Collections.binarySearch(this.mTestList, new UIKeyBase.KeyTestItem(KEYCODE_REF_KEY1), this.mComparator);
                    }
                    if (index >= 0) {
                        UIKeyBase.KeyTestItem ref_keyTestItem = (UIKeyBase.KeyTestItem) this.mTestList.get(ref_index);
                        if (keyTestItem.mKeyCode == 4 || keyTestItem.mKeyCode == 187) {
                            if (this.RefKeyThread != null || ref_keyTestItem.mIsPassed) {
                                FtUtil.log_i(this.CLASS_NAME, "onKeyDown", "RefKeyThread already running");
                            } else {
                                Thread thread = new Thread(new Runnable() {
                                    /* class com.sec.factory.app.ui.UIHardKey.AnonymousClass7 */

                                    public void run() {
                                        UIHardKey.this.CheckRefValue(keyTestItem.mKeyCode);
                                    }
                                });
                                this.RefKeyThread = thread;
                                thread.start();
                            }
                        }
                    }
                    if (this.touchKeyThread != null) {
                        FtUtil.log_i(this.CLASS_NAME, "onKeyDown", "touchKeyThread already running");
                        return true;
                    } else if (!keyTestItem.mIsPassed) {
                        Thread thread2 = new Thread(new Runnable() {
                            /* class com.sec.factory.app.ui.UIHardKey.AnonymousClass8 */

                            public void run() {
                                UIHardKey.this.checkSensitivity(keyTestItem.mKeyCode);
                            }
                        });
                        this.touchKeyThread = thread2;
                        thread2.start();
                    }
                } else if (keyTestItem.mIsTouchKey && !keyTestItem.mIsPassed) {
                    if (this.touchKeyThread != null) {
                        FtUtil.log_i(this.CLASS_NAME, "onKeyDown", "touchKeyThread already running");
                        return true;
                    }
                    Thread thread3 = new Thread(new Runnable() {
                        /* class com.sec.factory.app.ui.UIHardKey.AnonymousClass9 */

                        public void run() {
                            UIHardKey.this.checkSensitivity(keyTestItem.mKeyCode);
                        }
                    });
                    this.touchKeyThread = thread3;
                    thread3.start();
                }
                if (!this.mModeLCiA && !this.mNotsupportAduioSoundAmpSpeaker) {
                    ModuleAudio.instance(this).playMedia(R.raw.button, false);
                }
                return true;
            }
        }
        return super.onKeyDown(keyCode, event);
    }

    /* access modifiers changed from: protected */
    public void onActivityResult(int requestCode, int resultCode, Intent data) {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "onActivityResult", "resultCode = " + requestCode);
        if (requestCode == 1 && resultCode == 0) {
            setResult(0);
            finish();
        }
        FactoryTestManager.notifyDataSetChanged();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void checkSensitivity(int keyCode) {
        Thread thread;
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "checkSensitivity", "KeyCode = " + keyCode);
        Integer mLargestSensitivity = 0;
        do {
            Integer sensitivity = this.mModuleDevice.readTSKSensitivity(keyCode);
            if (sensitivity != null) {
                if (mLargestSensitivity.intValue() <= sensitivity.intValue()) {
                    mLargestSensitivity = sensitivity;
                    FtUtil.log_i(this.CLASS_NAME, "update UI");
                    Handler handler = this.mHandler;
                    handler.sendMessage(handler.obtainMessage(keyCode, mLargestSensitivity.intValue(), 0));
                }
                try {
                    Thread.sleep(100);
                } catch (InterruptedException ie) {
                    FtUtil.log_e(ie);
                }
                thread = this.touchKeyThread;
                if (thread == null) {
                    return;
                }
            } else {
                return;
            }
        } while (!thread.isInterrupted());
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* JADX WARNING: Removed duplicated region for block: B:21:0x003f A[SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:7:0x0040  */
    private void CheckRefValue(int keyCode) {
        Integer sensitivity_ref;
        Thread thread;
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "CheckRefValue", "KeyCode = " + keyCode);
        Integer mLargestSensitivity_ref = 0;
        int sub_keyCode = 0;
        do {
            switch (keyCode) {
                case 4:
                    sensitivity_ref = this.mModuleDevice.readTSKSensitivity(255);
                    sub_keyCode = 255;
                    if (sensitivity_ref != null) {
                        if (mLargestSensitivity_ref.intValue() <= sensitivity_ref.intValue()) {
                            mLargestSensitivity_ref = sensitivity_ref;
                            FtUtil.log_i(this.CLASS_NAME, "update UI ");
                            Handler handler = this.mHandler;
                            handler.sendMessage(handler.obtainMessage(sub_keyCode, mLargestSensitivity_ref.intValue(), 0));
                        }
                        try {
                            Thread.sleep(100);
                        } catch (InterruptedException ie) {
                            FtUtil.log_e(ie);
                        }
                        thread = this.RefKeyThread;
                        if (thread != null) {
                            break;
                        } else {
                            return;
                        }
                    } else {
                        return;
                    }
                case 187:
                    sensitivity_ref = this.mModuleDevice.readTSKSensitivity(KEYCODE_REF_KEY1);
                    sub_keyCode = KEYCODE_REF_KEY1;
                    if (sensitivity_ref != null) {
                    }
                    break;
                default:
                    sensitivity_ref = null;
                    if (sensitivity_ref != null) {
                    }
                    break;
            }
        } while (!thread.isInterrupted());
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void finishTouchKeyThread() {
        FtUtil.log_i(this.CLASS_NAME, "finishTouchKeyThread");
        Thread thread = this.touchKeyThread;
        if (thread != null) {
            thread.interrupt();
            this.touchKeyThread = null;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void saveTskSentivity(String input) {
        int min_position = 100000;
        int min_index = 0;
        String ranged_result = "";
        boolean needToCheck = true;
        String[] divided_sensitivity = input.split(",");
        FtUtil.log_d(this.CLASS_NAME, "saveTskSentivity", "input : " + input);
        while (needToCheck) {
            needToCheck = false;
            for (int i = 0; i < divided_sensitivity.length; i++) {
                if (!divided_sensitivity[i].equals("")) {
                    int position = Integer.parseInt(divided_sensitivity[i].split(":")[0]);
                    needToCheck = true;
                    if (position < min_position) {
                        min_position = position;
                        min_index = i;
                    } else if (position == min_position) {
                        divided_sensitivity[min_index] = "";
                        min_index = i;
                    }
                }
            }
            if (needToCheck) {
                min_position = 100000;
                String[] temp = divided_sensitivity[min_index].split(":");
                FtUtil.log_d(this.CLASS_NAME, "saveTskSentivity", "temp[1] : " + temp[1]);
                if (!"".equals(ranged_result)) {
                    ranged_result = ranged_result + ",";
                }
                ranged_result = ranged_result + temp[1];
                divided_sensitivity[min_index] = "";
            }
        }
        Support.Kernel.writeToPathNsync(new File("data/log/TSK_Data.log").getPath(), ranged_result);
        FtUtil.log_d(this.CLASS_NAME, "saveTskSentivity", "ranged_result : " + ranged_result);
    }

    public int getXY(View view, String mode) {
        int mScreenWidth = ((WindowManager) getSystemService("window")).getDefaultDisplay().getWidth();
        View parentView = view.getRootView();
        int x1 = 0;
        int y1 = 0;
        boolean chk = false;
        int x2 = mScreenWidth - view.getWidth();
        int y2 = view.getHeight();
        while (!chk) {
            x1 += view.getLeft();
            y1 += view.getTop();
            view = (View) view.getParent();
            if (parentView == view) {
                chk = true;
            }
        }
        int y22 = y2 + y1;
        if ("x1".equals(mode)) {
            return x1;
        }
        if ("x2".equals(mode)) {
            return x2;
        }
        if ("y1".equals(mode)) {
            return y1;
        }
        if ("y2".equals(mode)) {
            return y22;
        }
        return 0;
    }

    public boolean checkingAllPassItems() {
        boolean result = true;
        Iterator it = this.mTestList.iterator();
        while (true) {
            if (!it.hasNext()) {
                break;
            }
            UIKeyBase.KeyTestItem item = (UIKeyBase.KeyTestItem) it.next();
            if (!item.mIsPassed) {
                String str = this.CLASS_NAME;
                FtUtil.log_i(str, "checkingAllPassItems", "not passed = " + ((Object) item.getHardKeyTextView().getText()));
                result = false;
                break;
            }
        }
        if (result) {
            FtUtil.log_i(this.CLASS_NAME, "checkingAllPassItems", "Pass the KeyTest");
            if (this.TEST_ID == 0) {
                setResult(-1);
            } else {
                setTestResult((byte) 80);
            }
        }
        return result;
    }

    private UIKeyBase.TouchKeyItemSet makeTouchKeyItemSet() {
        HashMap<String, Integer> keyCodeMap = new HashMap<>();
        keyCodeMap.put("MENU", 82);
        keyCodeMap.put("HOME", 3);
        keyCodeMap.put("BACK", 4);
        keyCodeMap.put("SEARCH", 84);
        keyCodeMap.put("VOLUME_UP", 24);
        keyCodeMap.put("VOLUME_DOWN", 25);
        keyCodeMap.put("END", 6);
        keyCodeMap.put("FOCUS", 80);
        keyCodeMap.put("CAMERA", 27);
        keyCodeMap.put("POWER", 26);
        keyCodeMap.put("USER", 1015);
        keyCodeMap.put("SWITCH", 187);
        keyCodeMap.put("RECENT", 187);
        keyCodeMap.put("BEAM", Integer.valueOf((int) KEYCODE_BEAM));
        keyCodeMap.put("MESSAGE", 1072);
        keyCodeMap.put("APPSELECT", 1073);
        keyCodeMap.put("CONTACTS", 207);
        keyCodeMap.put("EMERGENCY", 1079);
        keyCodeMap.put("MEDIA", 85);
        keyCodeMap.put("MUTE", 91);
        Queue<UIKeyBase.TouchKeyItem> tkQueue = new LinkedList<>();
        tkQueue.offer(new UIKeyBase.TouchKeyItem((TextView) findViewById(R.id.touch_1_title), (TextView) findViewById(R.id.touch_1_sensitivity), (TextView) findViewById(R.id.touch_1_result)));
        tkQueue.offer(new UIKeyBase.TouchKeyItem((TextView) findViewById(R.id.touch_2_title), (TextView) findViewById(R.id.touch_2_sensitivity), (TextView) findViewById(R.id.touch_2_result)));
        tkQueue.offer(new UIKeyBase.TouchKeyItem((TextView) findViewById(R.id.touch_3_title), (TextView) findViewById(R.id.touch_3_sensitivity), (TextView) findViewById(R.id.touch_3_result)));
        tkQueue.offer(new UIKeyBase.TouchKeyItem((TextView) findViewById(R.id.touch_4_title), (TextView) findViewById(R.id.touch_4_sensitivity), (TextView) findViewById(R.id.touch_4_result)));
        tkQueue.offer(new UIKeyBase.TouchKeyItem((TextView) findViewById(R.id.touch_5_title), (TextView) findViewById(R.id.touch_5_sensitivity), (TextView) findViewById(R.id.touch_5_result)));
        tkQueue.offer(new UIKeyBase.TouchKeyItem((TextView) findViewById(R.id.touch_6_title), (TextView) findViewById(R.id.touch_6_sensitivity), (TextView) findViewById(R.id.touch_6_result)));
        String[] keyOder = Support.TestCase.getString(selectTestCase(Support.TestCase.KEY_TEST_TOUCH_KEY_ODER)).split(",");
        UIKeyBase.TouchKeyItemSet set = new UIKeyBase.TouchKeyItemSet();
        for (String oder : keyOder) {
            set.put(keyCodeMap.get(oder).intValue(), tkQueue.poll());
            if (set.get(keyCodeMap.get(oder).intValue()) != null) {
                set.get(keyCodeMap.get(oder).intValue()).mTouchKeyText.setText(oder);
                float size = Support.TestCase.getKeyTextSize(selectTestCase(Support.TestCase.KEY_TEST_TEXT_SIZE));
                FtUtil.log_i(this.CLASS_NAME, "Key Size", "size = " + size);
                set.get(keyCodeMap.get(oder).intValue()).mTouchKeyText.setTextSize(size);
            }
        }
        return set;
    }

    private void initialize() {
        int y;
        int i;
        UIKeyBase.TouchKeyItemSet touchItemSet = makeTouchKeyItemSet();
        UIKeyBase.KeyTestItem[] items = {new UIKeyBase.KeyTestItem(24, new UIKeyBase.HardKeyItem((TextView) findViewById(R.id.hard_volume_up)), touchItemSet.get(24), Support.TestCase.getEnabled(Support.TestCase.KEY_TEST_VOLUME_UP), Support.TestCase.isTouchkey(Support.TestCase.KEY_TEST_VOLUME_UP)), new UIKeyBase.KeyTestItem(25, new UIKeyBase.HardKeyItem((TextView) findViewById(R.id.hard_volume_down)), touchItemSet.get(25), Support.TestCase.getEnabled(Support.TestCase.KEY_TEST_VOLUME_DOWN), Support.TestCase.isTouchkey(Support.TestCase.KEY_TEST_VOLUME_DOWN)), new UIKeyBase.KeyTestItem(6, new UIKeyBase.HardKeyItem((TextView) findViewById(R.id.hard_end)), touchItemSet.get(6), Support.TestCase.getEnabled(Support.TestCase.KEY_TEST_END), Support.TestCase.isTouchkey(Support.TestCase.KEY_TEST_END)), new UIKeyBase.KeyTestItem(26, new UIKeyBase.HardKeyItem((TextView) findViewById(R.id.hard_power)), touchItemSet.get(26), Support.TestCase.getEnabled(Support.TestCase.KEY_TEST_POWER), Support.TestCase.isTouchkey(Support.TestCase.KEY_TEST_POWER)), new UIKeyBase.KeyTestItem(82, new UIKeyBase.HardKeyItem((TextView) findViewById(R.id.hard_menu)), touchItemSet.get(82), Support.TestCase.getEnabled(Support.TestCase.KEY_TEST_MENU), Support.TestCase.isTouchkey(Support.TestCase.KEY_TEST_MENU)), new UIKeyBase.KeyTestItem(3, new UIKeyBase.HardKeyItem((TextView) findViewById(R.id.hard_home)), touchItemSet.get(3), Support.TestCase.getEnabled(Support.TestCase.KEY_TEST_HOME), Support.TestCase.isTouchkey(Support.TestCase.KEY_TEST_HOME)), new UIKeyBase.KeyTestItem(4, new UIKeyBase.HardKeyItem((TextView) findViewById(R.id.hard_back)), touchItemSet.get(4), Support.TestCase.getEnabled(Support.TestCase.KEY_TEST_BACK), Support.TestCase.isTouchkey(Support.TestCase.KEY_TEST_BACK)), new UIKeyBase.KeyTestItem(1047, new UIKeyBase.HardKeyItem((TextView) findViewById(R.id.hard_network_sel)), touchItemSet.get(1047), Support.TestCase.getEnabled(Support.TestCase.KEY_TEST_NETWOR_SEL), Support.TestCase.isTouchkey(Support.TestCase.KEY_TEST_NETWOR_SEL)), new UIKeyBase.KeyTestItem(5, new UIKeyBase.HardKeyItem((TextView) findViewById(R.id.hard_call)), touchItemSet.get(5), Support.TestCase.getEnabled(Support.TestCase.KEY_TEST_CALL), Support.TestCase.isTouchkey(Support.TestCase.KEY_TEST_CALL)), new UIKeyBase.KeyTestItem(67, new UIKeyBase.HardKeyItem((TextView) findViewById(R.id.hard_del)), touchItemSet.get(67), Support.TestCase.getEnabled(Support.TestCase.KEY_TEST_DEL), Support.TestCase.isTouchkey(Support.TestCase.KEY_TEST_DEL)), new UIKeyBase.KeyTestItem(7, new UIKeyBase.HardKeyItem((TextView) findViewById(R.id.hard_0)), touchItemSet.get(7), Support.TestCase.getEnabled(Support.TestCase.KEY_TEST_0), Support.TestCase.isTouchkey(Support.TestCase.KEY_TEST_0)), new UIKeyBase.KeyTestItem(8, new UIKeyBase.HardKeyItem((TextView) findViewById(R.id.hard_1)), touchItemSet.get(8), Support.TestCase.getEnabled(Support.TestCase.KEY_TEST_1), Support.TestCase.isTouchkey(Support.TestCase.KEY_TEST_1)), new UIKeyBase.KeyTestItem(9, new UIKeyBase.HardKeyItem((TextView) findViewById(R.id.hard_2)), touchItemSet.get(9), Support.TestCase.getEnabled(Support.TestCase.KEY_TEST_2), Support.TestCase.isTouchkey(Support.TestCase.KEY_TEST_2)), new UIKeyBase.KeyTestItem(10, new UIKeyBase.HardKeyItem((TextView) findViewById(R.id.hard_3)), touchItemSet.get(10), Support.TestCase.getEnabled(Support.TestCase.KEY_TEST_3), Support.TestCase.isTouchkey(Support.TestCase.KEY_TEST_3)), new UIKeyBase.KeyTestItem(11, new UIKeyBase.HardKeyItem((TextView) findViewById(R.id.hard_4)), touchItemSet.get(11), Support.TestCase.getEnabled(Support.TestCase.KEY_TEST_4), Support.TestCase.isTouchkey(Support.TestCase.KEY_TEST_4)), new UIKeyBase.KeyTestItem(12, new UIKeyBase.HardKeyItem((TextView) findViewById(R.id.hard_5)), touchItemSet.get(12), Support.TestCase.getEnabled(Support.TestCase.KEY_TEST_5), Support.TestCase.isTouchkey(Support.TestCase.KEY_TEST_5)), new UIKeyBase.KeyTestItem(13, new UIKeyBase.HardKeyItem((TextView) findViewById(R.id.hard_6)), touchItemSet.get(13), Support.TestCase.getEnabled(Support.TestCase.KEY_TEST_6), Support.TestCase.isTouchkey(Support.TestCase.KEY_TEST_6)), new UIKeyBase.KeyTestItem(14, new UIKeyBase.HardKeyItem((TextView) findViewById(R.id.hard_7)), touchItemSet.get(14), Support.TestCase.getEnabled(Support.TestCase.KEY_TEST_7), Support.TestCase.isTouchkey(Support.TestCase.KEY_TEST_7)), new UIKeyBase.KeyTestItem(15, new UIKeyBase.HardKeyItem((TextView) findViewById(R.id.hard_8)), touchItemSet.get(15), Support.TestCase.getEnabled(Support.TestCase.KEY_TEST_8), Support.TestCase.isTouchkey(Support.TestCase.KEY_TEST_8)), new UIKeyBase.KeyTestItem(16, new UIKeyBase.HardKeyItem((TextView) findViewById(R.id.hard_9)), touchItemSet.get(16), Support.TestCase.getEnabled(Support.TestCase.KEY_TEST_9), Support.TestCase.isTouchkey(Support.TestCase.KEY_TEST_9)), new UIKeyBase.KeyTestItem(17, new UIKeyBase.HardKeyItem((TextView) findViewById(R.id.hard_star)), touchItemSet.get(17), Support.TestCase.getEnabled(Support.TestCase.KEY_TEST_STAR), Support.TestCase.isTouchkey(Support.TestCase.KEY_TEST_STAR)), new UIKeyBase.KeyTestItem(18, new UIKeyBase.HardKeyItem((TextView) findViewById(R.id.hard_pound)), touchItemSet.get(18), Support.TestCase.getEnabled(Support.TestCase.KEY_TEST_POUND), Support.TestCase.isTouchkey(Support.TestCase.KEY_TEST_POUND)), new UIKeyBase.KeyTestItem(19, new UIKeyBase.HardKeyItem((TextView) findViewById(R.id.hard_dpad_up)), touchItemSet.get(19), Support.TestCase.getEnabled(Support.TestCase.KEY_TEST_DPAD_UP), Support.TestCase.isTouchkey(Support.TestCase.KEY_TEST_DPAD_UP)), new UIKeyBase.KeyTestItem(20, new UIKeyBase.HardKeyItem((TextView) findViewById(R.id.hard_dpad_down)), touchItemSet.get(20), Support.TestCase.getEnabled(Support.TestCase.KEY_TEST_DPAD_DOWN), Support.TestCase.isTouchkey(Support.TestCase.KEY_TEST_DPAD_DOWN)), new UIKeyBase.KeyTestItem(21, new UIKeyBase.HardKeyItem((TextView) findViewById(R.id.hard_dpad_left)), touchItemSet.get(21), Support.TestCase.getEnabled(Support.TestCase.KEY_TEST_DPAD_LEFT), Support.TestCase.isTouchkey(Support.TestCase.KEY_TEST_DPAD_LEFT)), new UIKeyBase.KeyTestItem(22, new UIKeyBase.HardKeyItem((TextView) findViewById(R.id.hard_dpad_right)), touchItemSet.get(22), Support.TestCase.getEnabled(Support.TestCase.KEY_TEST_DPAD_RIGHT), Support.TestCase.isTouchkey(Support.TestCase.KEY_TEST_DPAD_RIGHT)), new UIKeyBase.KeyTestItem(23, new UIKeyBase.HardKeyItem((TextView) findViewById(R.id.hard_dpad_center)), touchItemSet.get(23), Support.TestCase.getEnabled(Support.TestCase.KEY_TEST_DPAD_CENTER), Support.TestCase.isTouchkey(Support.TestCase.KEY_TEST_DPAD_CENTER)), new UIKeyBase.KeyTestItem(84, new UIKeyBase.HardKeyItem((TextView) findViewById(R.id.hard_search)), touchItemSet.get(84), Support.TestCase.getEnabled(Support.TestCase.KEY_TEST_SEARCH), Support.TestCase.isTouchkey(Support.TestCase.KEY_TEST_SEARCH)), new UIKeyBase.KeyTestItem(80, new UIKeyBase.HardKeyItem((TextView) findViewById(R.id.hard_focus)), touchItemSet.get(80), Support.TestCase.getEnabled(Support.TestCase.KEY_TEST_FOCUS), Support.TestCase.isTouchkey(Support.TestCase.KEY_TEST_FOCUS)), new UIKeyBase.KeyTestItem(27, new UIKeyBase.HardKeyItem((TextView) findViewById(R.id.hard_camera)), touchItemSet.get(27), Support.TestCase.getEnabled(Support.TestCase.KEY_TEST_CAMERA), Support.TestCase.isTouchkey(Support.TestCase.KEY_TEST_CAMERA)), new UIKeyBase.KeyTestItem(1072, new UIKeyBase.HardKeyItem((TextView) findViewById(R.id.hard_message)), touchItemSet.get(1072), Support.TestCase.getEnabled(Support.TestCase.KEY_TEST_MESSAGE), Support.TestCase.isTouchkey(Support.TestCase.KEY_TEST_MESSAGE)), new UIKeyBase.KeyTestItem(1073, new UIKeyBase.HardKeyItem((TextView) findViewById(R.id.hard_appselect)), touchItemSet.get(1073), Support.TestCase.getEnabled(Support.TestCase.KEY_TEST_APP_SELECT), Support.TestCase.isTouchkey(Support.TestCase.KEY_TEST_APP_SELECT)), new UIKeyBase.KeyTestItem(207, new UIKeyBase.HardKeyItem((TextView) findViewById(R.id.hard_contacts)), touchItemSet.get(207), Support.TestCase.getEnabled(Support.TestCase.KEY_TEST_CONTACTS), Support.TestCase.isTouchkey(Support.TestCase.KEY_TEST_CONTACTS)), new UIKeyBase.KeyTestItem(1079, new UIKeyBase.HardKeyItem((TextView) findViewById(R.id.hard_emergency)), touchItemSet.get(1079), Support.TestCase.getEnabled(Support.TestCase.KEY_TEST_EMERGENCY), Support.TestCase.isTouchkey(Support.TestCase.KEY_TEST_EMERGENCY)), new UIKeyBase.KeyTestItem(1015, new UIKeyBase.HardKeyItem((TextView) findViewById(R.id.hard_f1)), touchItemSet.get(1015), Support.TestCase.getEnabled(Support.TestCase.KEY_TEST_F1), Support.TestCase.isTouchkey(Support.TestCase.KEY_TEST_F1)), new UIKeyBase.KeyTestItem(1015, new UIKeyBase.HardKeyItem((TextView) findViewById(R.id.hard_user)), touchItemSet.get(1015), Support.TestCase.getEnabled(Support.TestCase.KEY_TEST_USER), Support.TestCase.isTouchkey(Support.TestCase.KEY_TEST_USER)), new UIKeyBase.KeyTestItem(187, new UIKeyBase.HardKeyItem((TextView) findViewById(R.id.hard_switch)), touchItemSet.get(187), Support.TestCase.getEnabled(Support.TestCase.KEY_TEST_APP_SWITCH), Support.TestCase.isTouchkey(Support.TestCase.KEY_TEST_APP_SWITCH)), new UIKeyBase.KeyTestItem(187, new UIKeyBase.HardKeyItem((TextView) findViewById(R.id.hard_recent)), touchItemSet.get(187), Support.TestCase.getEnabled(Support.TestCase.KEY_TEST_APP_RECENT), Support.TestCase.isTouchkey(Support.TestCase.KEY_TEST_APP_RECENT)), new UIKeyBase.KeyTestItem(KEYCODE_BEAM, new UIKeyBase.HardKeyItem((TextView) findViewById(R.id.hard_Beam)), touchItemSet.get(KEYCODE_BEAM), Support.TestCase.getEnabled(Support.TestCase.KEY_TEST_BEAM), Support.TestCase.isTouchkey(Support.TestCase.KEY_TEST_BEAM)), new UIKeyBase.KeyTestItem(1082, new UIKeyBase.HardKeyItem((TextView) findViewById(R.id.hard_Intelli)), touchItemSet.get(1082), Support.TestCase.getEnabled(Support.TestCase.KEY_TEST_INTELLI), Support.TestCase.isTouchkey(Support.TestCase.KEY_TEST_INTELLI)), new UIKeyBase.KeyTestItem(91, new UIKeyBase.HardKeyItem((TextView) findViewById(R.id.volume_mute)), touchItemSet.get(91), Support.TestCase.getEnabled(Support.TestCase.KEY_TEST_MUTE), Support.TestCase.isTouchkey(Support.TestCase.KEY_TEST_MUTE)), new UIKeyBase.KeyTestItem(85, new UIKeyBase.HardKeyItem((TextView) findViewById(R.id.media_play)), touchItemSet.get(85), Support.TestCase.getEnabled(Support.TestCase.KEY_TEST_MEDIA), Support.TestCase.isTouchkey(Support.TestCase.KEY_TEST_MEDIA))};
        UIKeyBase.KeyTestItem[] items2 = {new UIKeyBase.KeyTestItem(82, new UIKeyBase.HardKeyItem((TextView) findViewById(R.id.hard_menu)), touchItemSet.get(82), Support.TestCase.getEnabled(selectTestCase(Support.TestCase.KEY_TEST_MENU)), Support.TestCase.isTouchkey(selectTestCase(Support.TestCase.KEY_TEST_MENU))), new UIKeyBase.KeyTestItem(3, new UIKeyBase.HardKeyItem((TextView) findViewById(R.id.hard_home)), touchItemSet.get(3), Support.TestCase.getEnabled(selectTestCase(Support.TestCase.KEY_TEST_HOME)), Support.TestCase.isTouchkey(selectTestCase(Support.TestCase.KEY_TEST_HOME))), new UIKeyBase.KeyTestItem(4, new UIKeyBase.HardKeyItem((TextView) findViewById(R.id.hard_back)), touchItemSet.get(4), Support.TestCase.getEnabled(selectTestCase(Support.TestCase.KEY_TEST_BACK)), Support.TestCase.isTouchkey(selectTestCase(Support.TestCase.KEY_TEST_BACK))), new UIKeyBase.KeyTestItem(187, new UIKeyBase.HardKeyItem((TextView) findViewById(R.id.hard_recent)), touchItemSet.get(187), Support.TestCase.getEnabled(selectTestCase(Support.TestCase.KEY_TEST_APP_RECENT)), Support.TestCase.isTouchkey(selectTestCase(Support.TestCase.KEY_TEST_APP_RECENT)))};
        UIKeyBase.KeyTestItem[] Side_key_Items = {new UIKeyBase.KeyTestItem(24, new UIKeyBase.HardKeyItem((TextView) findViewById(R.id.simple_hard_volume_up)), touchItemSet.get(24), Support.TestCase.getEnabled(Support.TestCase.SIMPLE_SIDE_KEY_TEST_VOLUME_UP), Support.TestCase.isTouchkey(Support.TestCase.SIMPLE_SIDE_KEY_TEST_VOLUME_UP)), new UIKeyBase.KeyTestItem(25, new UIKeyBase.HardKeyItem((TextView) findViewById(R.id.simple_hard_volume_down)), touchItemSet.get(25), Support.TestCase.getEnabled(Support.TestCase.SIMPLE_SIDE_KEY_TEST_VOLUME_DOWN), Support.TestCase.isTouchkey(Support.TestCase.SIMPLE_SIDE_KEY_TEST_VOLUME_DOWN)), new UIKeyBase.KeyTestItem(26, new UIKeyBase.HardKeyItem((TextView) findViewById(R.id.simple_hard_power)), touchItemSet.get(26), Support.TestCase.getEnabled(Support.TestCase.SIMPLE_SIDE_KEY_TEST_POWER), Support.TestCase.isTouchkey(Support.TestCase.SIMPLE_SIDE_KEY_TEST_POWER)), new UIKeyBase.KeyTestItem(1082, new UIKeyBase.HardKeyItem((TextView) findViewById(R.id.simple_hard_Intelli)), touchItemSet.get(1082), Support.TestCase.getEnabled(Support.TestCase.SIMPLE_SIDE_KEY_TEST_INTELLI), Support.TestCase.isTouchkey(Support.TestCase.SIMPLE_SIDE_KEY_TEST_INTELLI)), new UIKeyBase.KeyTestItem(1079, new UIKeyBase.HardKeyItem((TextView) findViewById(R.id.simple_hard_emergency)), touchItemSet.get(1079), Support.TestCase.getEnabled(Support.TestCase.SIMPLE_SIDE_KEY_TEST_EMERGENCY), Support.TestCase.isTouchkey(Support.TestCase.SIMPLE_SIDE_KEY_TEST_EMERGENCY)), new UIKeyBase.KeyTestItem(1015, new UIKeyBase.HardKeyItem((TextView) findViewById(R.id.simple_hard_user)), touchItemSet.get(1015), Support.TestCase.getEnabled(Support.TestCase.SIMPLE_SIDE_KEY_TEST_USER), Support.TestCase.isTouchkey(Support.TestCase.SIMPLE_SIDE_KEY_TEST_USER))};
        boolean isUsedTouch = false;
        UIKeyBase.KeyTestItem[] itemsSel = items;
        if (45 == this.TEST_ID) {
            itemsSel = items2;
        } else if (this.TEST_ID == 0) {
            itemsSel = Side_key_Items;
        }
        for (UIKeyBase.KeyTestItem item : itemsSel) {
            if (item.mEnabled) {
                this.mTestList.add(item);
                if (!isUsedTouch && item.mIsTouchKey) {
                    isUsedTouch = true;
                }
            }
        }
        if (isUsedTouch) {
            if (!Support.TestCase.getEnabled(Support.TestCase.IS_KEY_TEST_THRESHOLD)) {
                FtUtil.log_e(this.CLASS_NAME, "initialize", "not support threshold value");
            }
            this.mSpecMax = Support.Spec.getInt(Support.Spec.TOUCH_KEY_SPEC_MAX);
            this.mSpecMin = Support.Spec.getInt(Support.Spec.TOUCH_KEY_SPEC_MIN);
            FtUtil.log_d(this.CLASS_NAME, "Keyvalue", "max,min : " + Integer.toString(this.mSpecMax) + "," + Integer.toString(this.mSpecMin));
            ((TextView) findViewById(R.id.touchkey_spec)).setVisibility(8);
            ((TextView) findViewById(R.id.hiddenkey1_spec)).setVisibility(8);
            ((TextView) findViewById(R.id.hiddenkey2_spec)).setVisibility(8);
            ((TextView) findViewById(R.id.hiddenkey3_spec)).setVisibility(8);
            ((TextView) findViewById(R.id.hiddenkey4_spec)).setVisibility(8);
            ((TextView) findViewById(R.id.threshold_spec)).setText("" + "MAX:" + this.mSpecMax + "    MIN:" + this.mSpecMin);
            ((TextView) findViewById(R.id.refkey1_spec)).setVisibility(8);
            ((TextView) findViewById(R.id.refkey2_spec)).setVisibility(8);
        }
        Collections.sort(this.mTestList, this.mComparator);
        ModulePower.instance(this).setTouchLed(true);
        ViewGroup buttonGroup = (ViewGroup) findViewById(R.id.view_group);
        String layoutPosition = Support.TestCase.getString(selectTestCase(Support.TestCase.KEY_TEST_VIEW_TABLE));
        if (45 != this.TEST_ID) {
            View spaceView = findViewById(R.id.space);
            int space = Integer.parseInt(Support.TestCase.getString(selectTestCase(Support.TestCase.KEY_TEST_BUTTON_SPACE)));
            ViewGroup.LayoutParams params = spaceView.getLayoutParams();
            params.height = space;
            spaceView.setLayoutParams(params);
        }
        if ("auto".equals(layoutPosition)) {
            y = getWindowManager().getDefaultDisplay().getHeight() / 2;
        } else {
            y = Integer.parseInt(layoutPosition);
        }
        buttonGroup.setLayoutParams(new AbsoluteLayout.LayoutParams(-1, -2, 0, y));
        ((Button) findViewById(R.id.exit)).setOnClickListener(this.mExitButtonAction);
        ((Button) findViewById(R.id.reset)).setOnClickListener(this.mResetButtonAction);
        setLayoutPosition(itemsSel, this.TEST_ID);
        if (this.TEST_ID != 0) {
            ((TextView) findViewById(R.id.simple_hard_volume_up)).setVisibility(8);
            ((TextView) findViewById(R.id.simple_hard_volume_down)).setVisibility(8);
            ((TextView) findViewById(R.id.simple_hard_power)).setVisibility(8);
            ((TextView) findViewById(R.id.simple_hard_Intelli)).setVisibility(8);
            ((TextView) findViewById(R.id.simple_hard_user)).setVisibility(8);
            ((TextView) findViewById(R.id.simple_hard_emergency)).setVisibility(8);
        }
        if (45 == this.TEST_ID) {
            for (UIKeyBase.KeyTestItem item2 : items) {
                item2.remobeHardKeyItem();
            }
        } else if (this.TEST_ID == 0) {
            FtUtil.log_i(this.CLASS_NAME, "initialize", "TEST_SIMPLE RemoveKeyItem");
            for (UIKeyBase.KeyTestItem item3 : items) {
                item3.remobeHardKeyItem();
                if (!isUsedTouch) {
                    item3.removeTouchKeyItem();
                }
            }
        }
        if (Support.Feature.getBoolean(Support.Feature.SUPPORT_SKIP_GHOST_TSK, false)) {
            i = 8;
            ((TextView) findViewById(R.id.interrupt_msg)).setVisibility(8);
        } else {
            i = 8;
        }
        if (this.TEST_ID == 0) {
            ((TextView) findViewById(R.id.interrupt_msg)).setVisibility(i);
        }
    }

    private void setLayoutPosition(UIKeyBase.KeyTestItem[] items, int type) {
        TextView view;
        for (UIKeyBase.KeyTestItem item : items) {
            if (item.mEnabled && (view = item.getHardKeyTextView()) != null) {
                String id = null;
                if (type == 0) {
                    switch (item.getKeyCode()) {
                        case 24:
                            id = Support.TestCase.SIMPLE_SIDE_KEY_TEST_VOLUME_UP;
                            break;
                        case 25:
                            id = Support.TestCase.SIMPLE_SIDE_KEY_TEST_VOLUME_DOWN;
                            break;
                        case 26:
                            id = Support.TestCase.SIMPLE_SIDE_KEY_TEST_POWER;
                            break;
                        case 1015:
                            id = Support.TestCase.SIMPLE_SIDE_KEY_TEST_USER;
                            break;
                        case 1079:
                            id = Support.TestCase.SIMPLE_SIDE_KEY_TEST_EMERGENCY;
                            break;
                        case 1082:
                            id = Support.TestCase.SIMPLE_SIDE_KEY_TEST_INTELLI;
                            break;
                    }
                } else {
                    switch (item.getKeyCode()) {
                        case 3:
                            id = selectTestCase(Support.TestCase.KEY_TEST_HOME);
                            break;
                        case 4:
                            id = selectTestCase(Support.TestCase.KEY_TEST_BACK);
                            break;
                        case 5:
                            id = Support.TestCase.KEY_TEST_CALL;
                            break;
                        case 6:
                            id = Support.TestCase.KEY_TEST_END;
                            break;
                        case 7:
                            id = Support.TestCase.KEY_TEST_0;
                            break;
                        case 8:
                            id = Support.TestCase.KEY_TEST_1;
                            break;
                        case 9:
                            id = Support.TestCase.KEY_TEST_2;
                            break;
                        case 10:
                            id = Support.TestCase.KEY_TEST_3;
                            break;
                        case 11:
                            id = Support.TestCase.KEY_TEST_4;
                            break;
                        case 12:
                            id = Support.TestCase.KEY_TEST_5;
                            break;
                        case 13:
                            id = Support.TestCase.KEY_TEST_6;
                            break;
                        case 14:
                            id = Support.TestCase.KEY_TEST_7;
                            break;
                        case 15:
                            id = Support.TestCase.KEY_TEST_8;
                            break;
                        case 16:
                            id = Support.TestCase.KEY_TEST_9;
                            break;
                        case 17:
                            id = Support.TestCase.KEY_TEST_STAR;
                            break;
                        case 18:
                            id = Support.TestCase.KEY_TEST_POUND;
                            break;
                        case 19:
                            id = Support.TestCase.KEY_TEST_DPAD_UP;
                            break;
                        case 20:
                            id = Support.TestCase.KEY_TEST_DPAD_DOWN;
                            break;
                        case 21:
                            id = Support.TestCase.KEY_TEST_DPAD_LEFT;
                            break;
                        case 22:
                            id = Support.TestCase.KEY_TEST_DPAD_RIGHT;
                            break;
                        case 23:
                            id = Support.TestCase.KEY_TEST_DPAD_CENTER;
                            break;
                        case 24:
                            id = Support.TestCase.KEY_TEST_VOLUME_UP;
                            break;
                        case 25:
                            id = Support.TestCase.KEY_TEST_VOLUME_DOWN;
                            break;
                        case 26:
                            id = Support.TestCase.KEY_TEST_POWER;
                            break;
                        case 27:
                            id = Support.TestCase.KEY_TEST_CAMERA;
                            break;
                        case 67:
                            id = Support.TestCase.KEY_TEST_DEL;
                            break;
                        case 80:
                            id = Support.TestCase.KEY_TEST_FOCUS;
                            break;
                        case 82:
                            id = selectTestCase(Support.TestCase.KEY_TEST_MENU);
                            break;
                        case 84:
                            id = Support.TestCase.KEY_TEST_SEARCH;
                            break;
                        case 187:
                            if (!item.mEnabled || !"RECENT".equalsIgnoreCase(item.mHardKeyItem.mHardKeyText.getText().toString())) {
                                id = Support.TestCase.KEY_TEST_APP_SWITCH;
                                break;
                            } else {
                                id = Support.TestCase.KEY_TEST_APP_RECENT;
                                break;
                            }
                        case 207:
                            id = Support.TestCase.KEY_TEST_CONTACTS;
                            break;
                        case KEYCODE_BEAM /*{ENCODED_INT: 273}*/:
                            id = Support.TestCase.KEY_TEST_BEAM;
                            break;
                        case 1015:
                            id = Support.TestCase.KEY_TEST_USER;
                            break;
                        case 1047:
                            id = Support.TestCase.KEY_TEST_NETWOR_SEL;
                            break;
                        case 1072:
                            id = Support.TestCase.KEY_TEST_MESSAGE;
                            break;
                        case 1073:
                            id = Support.TestCase.KEY_TEST_APP_SELECT;
                            break;
                        case 1079:
                            id = Support.TestCase.KEY_TEST_EMERGENCY;
                            break;
                        case 1082:
                            id = Support.TestCase.KEY_TEST_INTELLI;
                            break;
                        default:
                            FtUtil.log_e(this.CLASS_NAME, "setLayoutPosition", "Undefined case " + item.getKeyCode());
                            break;
                    }
                }
                if (id != null) {
                    Point point = Support.TestCase.getViewPoint(id);
                    view.setTextSize(Support.TestCase.getKeyTextSize(id));
                    String unit = Support.TestCase.getUnit(id);
                    FtUtil.log_d(this.CLASS_NAME, "KeyUnit", "unit : " + unit);
                    if ("mm".equalsIgnoreCase(unit)) {
                        float pxX = TypedValue.applyDimension(5, (float) point.x, getResources().getDisplayMetrics());
                        float pxY = TypedValue.applyDimension(5, (float) point.y, getResources().getDisplayMetrics());
                        point.x = (int) pxX;
                        point.y = (int) pxY;
                    }
                    view.setLayoutParams(new AbsoluteLayout.LayoutParams(-2, -2, point.x, point.y));
                    FtUtil.log_i(this.CLASS_NAME, "setLayoutPosition", "id=" + id + ", point=" + point.x + ", " + point.y);
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    public boolean isCmdTouchKeyEvent(KeyEvent event) {
        int deviceId = event.getDeviceId();
        InputDevice inputDevice = InputManager.getInstance().getInputDevice(deviceId);
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "onKeyDown", "CheckCmdTouchKeyEvent: deviceId = " + deviceId + ", inputDevice= " + inputDevice);
        return inputDevice.isVirtual();
    }
}
