package com.sec.factory.app.ui;

import android.app.ProgressDialog;
import android.graphics.Typeface;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.support.v4.view.InputDeviceCompat;
import android.view.View;
import android.widget.Button;
import android.widget.TableLayout;
import android.widget.TableRow;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestDialog;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.common.CommonHRM;
import com.sec.factory.support.FtUtil;
import java.util.Objects;

public class UIHeartRateMeasure extends UIBase implements View.OnClickListener {
    private final String CLASS_NAME = "UIHeartRateMeasure";
    private int Index;
    private String[] Result;
    private final int WHAT_UPDATE_CLOUD_TEST = 2;
    private final int WHAT_UPDATE_STATUS = 1;
    private Button mButton_Exit;
    private Button mButton_Start;
    private CommonHRM mCommonHRM;
    private final Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UIHeartRateMeasure.AnonymousClass1 */

        public void handleMessage(Message msg) {
            if (msg.what == 1) {
                if (!UIHeartRateMeasure.this.mCommonHRM.mhtm_Status) {
                    UIHeartRateMeasure.this.mCommonHRM.checkStatus();
                    UIHeartRateMeasure.this.mHandler.sendEmptyMessageDelayed(1, 100);
                    return;
                }
                UIHeartRateMeasure.this.mCommonHRM.registerSysfs(false);
                if (!"PARTRON".equals(UIHeartRateMeasure.this.mCommonHRM.HRM_VENDOR)) {
                    UIHeartRateMeasure.this.mCommonHRM.HRM_OnOff(false);
                }
                UIHeartRateMeasure.this.mCommonHRM.mhtm_Status = false;
                if (UIHeartRateMeasure.this.mCommonHRM.isCloudTest) {
                    boolean[] zArr = UIHeartRateMeasure.this.mCommonHRM.itemUsable_MAXIM_Cloud;
                    Objects.requireNonNull(UIHeartRateMeasure.this.mCommonHRM);
                    if (zArr[0]) {
                        UIHeartRateMeasure.this.runCloudTest();
                        return;
                    }
                }
                UIHeartRateMeasure.this.mButton_Start.setEnabled(true);
                UIHeartRateMeasure.this.updateUI();
            } else if (msg.what != 2) {
            } else {
                if (!UIHeartRateMeasure.this.mCommonHRM.mCloud_Status) {
                    UIHeartRateMeasure.this.mCommonHRM.checkCloudValue();
                    UIHeartRateMeasure.this.mHandler.sendEmptyMessageDelayed(2, 100);
                    return;
                }
                UIHeartRateMeasure.this.mCommonHRM.registerSysfs_UV(false);
                UIHeartRateMeasure.this.mCommonHRM.UV_OnOff(false);
                UIHeartRateMeasure.this.mCommonHRM.mCloud_Status = false;
                UIHeartRateMeasure.this.mCommonHRM.storeCloudValue();
                UIHeartRateMeasure.this.mButton_Start.setEnabled(true);
                UIHeartRateMeasure.this.updateUI();
            }
        }
    };
    private boolean mIsAutoStart = false;
    private TextView mTextResult;
    private float[] mfloatData = new float[100];
    private TextView[] txt_itemName;
    private TextView[] txt_measure;
    private TextView[] txt_result;
    private final ProgressDialog waitPopup = null;

    public UIHeartRateMeasure() {
        super("UIHeartRateMeasure", 85);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        this.TEST_ID = getIntent().getIntExtra("testID", 85);
        this.mIsAutoStart = getIntent().getBooleanExtra("isAutoStart", false);
        setContentView(R.layout.ui_heartratemeasure);
        getWindow().addFlags(128);
        this.mCommonHRM = new CommonHRM(this, this.TEST_ID, "UIHeartRateMeasure");
        initUI();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        if (this.mIsAutoStart) {
            if (!"PARTRON".equals(this.mCommonHRM.HRM_VENDOR)) {
                this.mCommonHRM.HRM_OnOff(true);
            }
            this.mCommonHRM.registerSysfs(true);
            for (int i = 0; i < this.mCommonHRM.itemName.length; i++) {
                this.txt_measure[i].setText("");
                this.txt_result[i].setText("");
            }
            this.mTextResult.setText("Do not Move & please wait a moment");
            this.mTextResult.setTextColor(-16777216);
            this.mButton_Start.setEnabled(false);
            this.mCommonHRM.mSpecResult = true;
            this.mHandler.sendEmptyMessageDelayed(1, 3000);
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        this.mCommonHRM.HRM_OnOff(false);
        this.mHandler.removeMessages(1);
        if (this.mCommonHRM.isCloudTest) {
            boolean[] zArr = this.mCommonHRM.itemUsable_MAXIM_Cloud;
            Objects.requireNonNull(this.mCommonHRM);
            if (zArr[0]) {
                this.mCommonHRM.UV_OnOff(false);
                this.mHandler.removeMessages(2);
            }
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void runCloudTest() {
        FtUtil.log_i("UIHeartRateMeasure", "runCloudTest", "start cloud detection test");
        this.mCommonHRM.UV_OnOff(true);
        this.mCommonHRM.registerSysfs_UV(true);
        this.mCommonHRM.mBufferCloud = null;
        this.mHandler.sendEmptyMessageDelayed(2, 50);
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.exit_button:
                FtUtil.log_i("UIHeartRateMeasure", "onClick", "exit_button Click");
                finish();
                return;
            case R.id.start_button:
                FtUtil.log_i("UIHeartRateMeasure", "onClick", "start_button Click");
                if (!"ADI".equals(this.mCommonHRM.HRM_VENDOR) || (this.mCommonHRM.HRM_DeviceID != null && !"0".equals(this.mCommonHRM.HRM_DeviceID))) {
                    if (!"PARTRON".equals(this.mCommonHRM.HRM_VENDOR)) {
                        this.mCommonHRM.HRM_OnOff(true);
                    }
                    this.mCommonHRM.registerSysfs(true);
                    for (int i = 0; i < this.mCommonHRM.itemName.length; i++) {
                        this.txt_measure[i].setText("");
                        this.txt_result[i].setText("");
                    }
                    this.mTextResult.setText("Do not Move & please wait a moment");
                    this.mTextResult.setTextColor(-16777216);
                    this.mButton_Start.setEnabled(false);
                    this.mCommonHRM.mSpecResult = true;
                    this.mHandler.sendEmptyMessageDelayed(1, 3000);
                    return;
                }
                new FactoryTestDialog(this, "HRM ID FAIL", "HRM ID FAIL : " + this.mCommonHRM.HRM_DeviceID, new Handler(), 1).show();
                this.mCommonHRM.mSpecResult = false;
                checkPassFail();
                return;
            default:
                return;
        }
    }

    private void initUI() {
        int Font_Size = 20;
        this.mTextResult = (TextView) findViewById(R.id.final_result);
        if ("ADI".equals(this.mCommonHRM.HRM_VENDOR)) {
            if ("ADPD143RI".equals(this.mCommonHRM.HRM_NAME)) {
                Font_Size = 15;
                this.mTextResult.setTextSize(1, 20.0f);
            }
        } else if ("MAXIM".equals(this.mCommonHRM.HRM_VENDOR)) {
            Font_Size = 15;
            this.mTextResult.setTextSize(1, 30.0f);
            if (this.mCommonHRM.HRM_NAME.contains(CommonHRM.SENSOR_NAME_MAX86915) || this.mCommonHRM.HRM_NAME.contains(CommonHRM.SENSOR_NAME_MAX86917)) {
                Font_Size = 7;
                this.mTextResult.setTextSize(1, 20.0f);
            }
        }
        TableLayout.LayoutParams layoutParams_upper = new TableLayout.LayoutParams(-1, -2);
        TableLayout.LayoutParams layoutParams = new TableLayout.LayoutParams(-1, -2);
        TableRow.LayoutParams layoutParams_txt = new TableRow.LayoutParams(-1, -2);
        TableRow.LayoutParams layoutParams_MatchParent = new TableRow.LayoutParams(-1, -1);
        this.txt_itemName = new TextView[this.mCommonHRM.itemName.length];
        this.txt_measure = new TextView[this.mCommonHRM.itemName.length];
        this.txt_result = new TextView[this.mCommonHRM.itemName.length];
        TableLayout tableLayout = (TableLayout) findViewById(R.id.table);
        TextView classification1 = new TextView(this);
        TextView classification2 = new TextView(this);
        TextView classification3 = new TextView(this);
        TableRow tableRow_classification = new TableRow(this);
        int i = 2;
        layoutParams_upper.setMargins(2, 2, 2, 2);
        tableRow_classification.setLayoutParams(layoutParams_upper);
        classification1.setText("Item");
        classification2.setText("Measure");
        classification3.setText("Result");
        classification1.setTextSize(1, (float) Font_Size);
        classification2.setTextSize(1, (float) Font_Size);
        classification3.setTextSize(1, (float) Font_Size);
        classification1.setGravity(1);
        classification2.setGravity(1);
        classification3.setGravity(1);
        classification1.setBackgroundColor(-1);
        classification2.setBackgroundColor(-1);
        classification3.setBackgroundColor(-1);
        classification1.setTypeface(Typeface.create(Typeface.DEFAULT_BOLD, 1));
        classification2.setTypeface(Typeface.create(Typeface.DEFAULT_BOLD, 1));
        classification3.setTypeface(Typeface.create(Typeface.DEFAULT_BOLD, 1));
        classification1.setTextColor(-16777216);
        classification2.setTextColor(-16777216);
        classification3.setTextColor(-16777216);
        classification1.setBackgroundColor(InputDeviceCompat.SOURCE_ANY);
        classification2.setBackgroundColor(InputDeviceCompat.SOURCE_ANY);
        classification3.setBackgroundColor(InputDeviceCompat.SOURCE_ANY);
        int i2 = 0;
        layoutParams_txt.setMargins(1, 0, 1, 0);
        layoutParams_MatchParent.setMargins(1, 0, 1, 0);
        classification1.setLayoutParams(layoutParams_txt);
        classification2.setLayoutParams(layoutParams_txt);
        classification3.setLayoutParams(layoutParams_txt);
        tableRow_classification.addView(classification1);
        tableRow_classification.addView(classification2);
        tableRow_classification.addView(classification3);
        tableLayout.addView(tableRow_classification);
        int i3 = 0;
        while (i3 < this.mCommonHRM.itemName.length) {
            layoutParams.setMargins(i, i2, i, i);
            TableRow tableRow = new TableRow(this);
            tableRow.setLayoutParams(layoutParams);
            this.txt_itemName[i3] = new TextView(this);
            this.txt_itemName[i3].setText(this.mCommonHRM.itemName[i3] + addSpec(i3));
            this.txt_itemName[i3].setTextSize(1, (float) Font_Size);
            this.txt_itemName[i3].setGravity(17);
            this.txt_itemName[i3].setBackgroundColor(-1);
            this.txt_itemName[i3].setTextColor(-16777216);
            this.txt_itemName[i3].setTypeface(Typeface.create(Typeface.DEFAULT_BOLD, 1));
            this.txt_itemName[i3].setLayoutParams(layoutParams_txt);
            tableRow.addView(this.txt_itemName[i3]);
            this.txt_measure[i3] = new TextView(this);
            this.txt_measure[i3].setTextSize(1, (float) Font_Size);
            this.txt_measure[i3].setGravity(17);
            this.txt_measure[i3].setBackgroundColor(-1);
            this.txt_measure[i3].setTextColor(-16777216);
            this.txt_measure[i3].setLayoutParams(layoutParams_MatchParent);
            tableRow.addView(this.txt_measure[i3]);
            this.txt_result[i3] = new TextView(this);
            this.txt_result[i3].setTextSize(1, (float) Font_Size);
            this.txt_result[i3].setGravity(17);
            this.txt_result[i3].setBackgroundColor(-1);
            this.txt_result[i3].setTextColor(UiHallICTest.FONT_COLOR_PASS);
            this.txt_result[i3].setLayoutParams(layoutParams_MatchParent);
            tableRow.addView(this.txt_result[i3]);
            tableLayout.addView(tableRow);
            i3++;
            i = 2;
            i2 = 0;
        }
        this.mButton_Start = (Button) findViewById(R.id.start_button);
        this.mButton_Exit = (Button) findViewById(R.id.exit_button);
        this.mButton_Start.setOnClickListener(this);
        this.mButton_Exit.setOnClickListener(this);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void updateUI() {
        this.mCommonHRM.updateResult();
        for (int i = 0; i < this.mCommonHRM.resultString.length; i++) {
            this.txt_result[i].setText(this.mCommonHRM.resultString[i]);
            this.txt_measure[i].setText(this.mCommonHRM.measureString[i]);
            if ("PASS".equals(this.mCommonHRM.resultString[i])) {
                this.txt_result[i].setTextColor(UiHallICTest.FONT_COLOR_PASS);
            } else if ("FAIL".equals(this.mCommonHRM.resultString[i])) {
                this.txt_result[i].setTextColor(-65536);
            }
        }
        checkPassFail();
    }

    private void checkPassFail() {
        if (this.mCommonHRM.mSpecResult) {
            this.mCommonHRM.createLogFile();
            this.mTextResult.setText("PASS");
            this.mTextResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            setTestResult((byte) 80);
            setResult(-1);
            if (this.mIsAutoStart) {
                finish();
                return;
            }
            return;
        }
        this.mTextResult.setText("FAIL");
        this.mTextResult.setTextColor(-65536);
        FtUtil.log_d("UIHeartRateMeasure", "checkPassFail", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(85), "Fail - Spec Out"));
        setResult(0);
    }

    private String addSpec(int Index2) {
        return ("" + "\n") + "(" + replaceComma(this.mCommonHRM.HRM_spec_data[Index2]) + ")";
    }

    private String replaceComma(String Spec) {
        if (Spec == null) {
            return "";
        }
        return Spec.replaceAll("\\s", "").replace(",", "~");
    }
}
