package com.sec.factory.app.ui;

import android.media.AudioManager;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.KeyEvent;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.modules.ModuleAudio;
import com.sec.factory.support.FtUtil;

public class UIHomeKey extends UIBase {
    private final int CHECK_CNT = 3;
    private final int MAX_VOLUME = 1;
    private final int PREV_VOLUME = 0;
    boolean isDelayed = false;
    private AudioManager mAudioManager;
    private Handler mDelayHandler = new Handler() {
        /* class com.sec.factory.app.ui.UIHomeKey.AnonymousClass1 */

        public void handleMessage(Message msg) {
            UIHomeKey.this.setResult(-1);
            UIHomeKey.this.finish();
        }
    };
    private TextView[] mTvCheck;
    private int mnHomeKeyPressCnt;
    private int preVolume = 0;

    public UIHomeKey() {
        super("UIHomeKey");
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_homekey);
        init();
        setSpeakerVolume(1);
        FtUtil.log_v(this.CLASS_NAME, "onCreate", "");
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        setSpeakerVolume(0);
    }

    public void init() {
        this.mnHomeKeyPressCnt = 0;
        AudioManager audioManager = (AudioManager) getSystemService("audio");
        this.mAudioManager = audioManager;
        this.preVolume = audioManager.getStreamVolume(3);
        TextView[] textViewArr = new TextView[3];
        this.mTvCheck = textViewArr;
        textViewArr[0] = (TextView) findViewById(R.id.homekey_home_1);
        this.mTvCheck[1] = (TextView) findViewById(R.id.homekey_home_2);
        this.mTvCheck[2] = (TextView) findViewById(R.id.homekey_home_3);
    }

    private void setSpeakerVolume(int status) {
        switch (status) {
            case 0:
                String str = this.CLASS_NAME;
                FtUtil.log_v(str, "setSpeakerVolume", "set Volume Level : " + this.preVolume);
                this.mAudioManager.setStreamVolume(3, this.preVolume, 0);
                return;
            case 1:
                String str2 = this.CLASS_NAME;
                FtUtil.log_v(str2, "setSpeakerVolume", "set Volume Level : " + ((this.mAudioManager.getStreamMaxVolume(3) * 100) / 100));
                AudioManager audioManager = this.mAudioManager;
                audioManager.setStreamVolume(3, (audioManager.getStreamMaxVolume(3) * 100) / 100, 0);
                return;
            default:
                return;
        }
    }

    @Override // com.sec.factory.app.ui.UIBase
    public boolean onKeyDown(int keyCode, KeyEvent event) {
        if (keyCode != 3) {
            return super.onKeyDown(keyCode, event);
        }
        if (!this.isDelayed) {
            TextView[] textViewArr = this.mTvCheck;
            int i = this.mnHomeKeyPressCnt;
            this.mnHomeKeyPressCnt = i + 1;
            textViewArr[i].setTextColor(UiHallICTest.FONT_COLOR_PASS);
            ModuleAudio.instance(this).playMedia(R.raw.button, false);
            String str = this.CLASS_NAME;
            FtUtil.log_v(str, "onKeyDown", "Home Key Pressed : " + this.mnHomeKeyPressCnt);
            if (this.mnHomeKeyPressCnt == 3) {
                new Thread(new Runnable() {
                    /* class com.sec.factory.app.ui.UIHomeKey.AnonymousClass2 */

                    public void run() {
                        try {
                            Thread.sleep(1000);
                            UIHomeKey.this.mDelayHandler.sendEmptyMessage(0);
                        } catch (Exception e) {
                            e.printStackTrace();
                        }
                    }
                }).start();
                this.isDelayed = true;
            }
        }
        return true;
    }
}
