package com.sec.factory.app.ui;

import android.graphics.Typeface;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.support.v4.view.InputDeviceCompat;
import android.view.View;
import android.widget.Button;
import android.widget.TableLayout;
import android.widget.TableRow;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.common.CommonHrmOnce;
import com.sec.factory.support.FtUtil;

public class UIHrmOnce extends UIBase implements View.OnClickListener {
    private final String CLASS_NAME = "UIHrmOnce";
    private int Font_Size = 10;
    private int Index;
    private String[] Result;
    private final int WHAT_UPDATE_STATUS = 1;
    private boolean firstUIcreation = true;
    private TableLayout.LayoutParams layoutParams;
    private TableRow.LayoutParams layoutParams_MatchParent;
    private TableRow.LayoutParams layoutParams_txt;
    private TableLayout.LayoutParams layoutParams_upper;
    private Button mButton_Exit;
    private Button mButton_Start;
    private CommonHrmOnce mCommonHrmOnce;
    private final Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UIHrmOnce.AnonymousClass1 */

        public void handleMessage(Message msg) {
            if (msg.what != 1) {
                return;
            }
            if (!UIHrmOnce.this.mCommonHrmOnce.mhtm_Status) {
                UIHrmOnce.this.mCommonHrmOnce.checkStatus();
                UIHrmOnce.this.mHandler.sendEmptyMessageDelayed(1, 100);
                return;
            }
            UIHrmOnce.this.mCommonHrmOnce.registerSysfs(false);
            UIHrmOnce.this.mCommonHrmOnce.mhtm_Status = false;
            UIHrmOnce.this.mButton_Start.setEnabled(true);
            UIHrmOnce.this.updateResult();
        }
    };
    private boolean mIsAutoStart = false;
    private TextView mTextResult;
    private TableLayout tableLayout;
    private TextView[] txt_itemName;
    private TextView[] txt_measure;
    private TextView[] txt_result;
    private boolean updatedState = false;

    public UIHrmOnce() {
        super("UIHrmOnce", 85);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        this.TEST_ID = getIntent().getIntExtra("testID", 85);
        this.mIsAutoStart = getIntent().getBooleanExtra("isAutoStart", false);
        setContentView(R.layout.ui_heartratemeasure);
        getWindow().addFlags(128);
        this.mCommonHrmOnce = new CommonHrmOnce(this, this.TEST_ID, "UIHrmOnce");
        initUI();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        if (this.mIsAutoStart) {
            this.mCommonHrmOnce.registerSysfs(true);
            this.mTextResult.setText("Do not Move & please wait a moment");
            this.mTextResult.setTextColor(-16777216);
            this.mButton_Start.setEnabled(false);
            this.mCommonHrmOnce.mSpecResult = true;
            this.mHandler.sendEmptyMessageDelayed(1, 3000);
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        this.mHandler.removeMessages(1);
        if (this.mCommonHrmOnce.isChecking) {
            this.mCommonHrmOnce.registerSysfs(false);
        }
        super.onPause();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.exit_button:
                FtUtil.log_i("UIHrmOnce", "onClick", "exit_button Click");
                finish();
                return;
            case R.id.start_button:
                FtUtil.log_i("UIHrmOnce", "onClick", "start_button Click");
                this.mCommonHrmOnce.registerSysfs(true);
                for (int i = 0; i < this.mCommonHrmOnce.numOfItem; i++) {
                    this.txt_measure[i].setText("");
                    this.txt_result[i].setText("");
                }
                this.mTextResult.setText("Do not Move & please wait a moment");
                this.mTextResult.setTextColor(-16777216);
                this.mButton_Start.setEnabled(false);
                this.mCommonHrmOnce.mSpecResult = true;
                this.mHandler.sendEmptyMessageDelayed(1, 3000);
                return;
            default:
                return;
        }
    }

    private void initUI() {
        TextView textView = (TextView) findViewById(R.id.final_result);
        this.mTextResult = textView;
        textView.setTextSize(1, 20.0f);
        this.layoutParams_upper = new TableLayout.LayoutParams(-1, -2);
        this.layoutParams = new TableLayout.LayoutParams(-1, -2);
        this.layoutParams_txt = new TableRow.LayoutParams(-1, -2);
        this.layoutParams_MatchParent = new TableRow.LayoutParams(-1, -1);
        this.tableLayout = (TableLayout) findViewById(R.id.table);
        TextView classification1 = new TextView(this);
        TextView classification2 = new TextView(this);
        TextView classification3 = new TextView(this);
        TableRow tableRow_classification = new TableRow(this);
        this.layoutParams_upper.setMargins(2, 2, 2, 2);
        tableRow_classification.setLayoutParams(this.layoutParams_upper);
        classification1.setText("Item");
        classification2.setText("Measure");
        classification3.setText("Result");
        classification1.setTextSize(1, (float) this.Font_Size);
        classification2.setTextSize(1, (float) this.Font_Size);
        classification3.setTextSize(1, (float) this.Font_Size);
        classification1.setGravity(1);
        classification2.setGravity(1);
        classification3.setGravity(1);
        classification1.setBackgroundColor(-1);
        classification2.setBackgroundColor(-1);
        classification3.setBackgroundColor(-1);
        classification1.setTypeface(Typeface.create(Typeface.DEFAULT_BOLD, 1));
        classification2.setTypeface(Typeface.create(Typeface.DEFAULT_BOLD, 1));
        classification3.setTypeface(Typeface.create(Typeface.DEFAULT_BOLD, 1));
        classification1.setTextColor(-16777216);
        classification2.setTextColor(-16777216);
        classification3.setTextColor(-16777216);
        classification1.setBackgroundColor(InputDeviceCompat.SOURCE_ANY);
        classification2.setBackgroundColor(InputDeviceCompat.SOURCE_ANY);
        classification3.setBackgroundColor(InputDeviceCompat.SOURCE_ANY);
        this.layoutParams_txt.setMargins(1, 0, 1, 0);
        this.layoutParams_MatchParent.setMargins(1, 0, 1, 0);
        classification1.setLayoutParams(this.layoutParams_txt);
        classification2.setLayoutParams(this.layoutParams_txt);
        classification3.setLayoutParams(this.layoutParams_txt);
        tableRow_classification.addView(classification1);
        tableRow_classification.addView(classification2);
        tableRow_classification.addView(classification3);
        this.tableLayout.addView(tableRow_classification);
        this.mButton_Start = (Button) findViewById(R.id.start_button);
        this.mButton_Exit = (Button) findViewById(R.id.exit_button);
        this.mButton_Start.setOnClickListener(this);
        this.mButton_Exit.setOnClickListener(this);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void updateResult() {
        boolean updateResult = this.mCommonHrmOnce.updateResult();
        this.updatedState = updateResult;
        if (updateResult) {
            if (this.firstUIcreation) {
                this.txt_itemName = new TextView[this.mCommonHrmOnce.numOfItem];
                this.txt_measure = new TextView[this.mCommonHrmOnce.numOfItem];
                this.txt_result = new TextView[this.mCommonHrmOnce.numOfItem];
            }
            for (int i = 0; i < this.mCommonHrmOnce.numOfItem; i++) {
                if (this.firstUIcreation) {
                    TableRow tableRow = new TableRow(this);
                    tableRow.setLayoutParams(this.layoutParams);
                    this.layoutParams.setMargins(2, 0, 2, 2);
                    this.txt_itemName[i] = new TextView(this);
                    TextView textView = this.txt_itemName[i];
                    textView.setText(this.mCommonHrmOnce.itemName[i] + addSpec(i));
                    this.txt_itemName[i].setTextSize(1, (float) this.Font_Size);
                    this.txt_itemName[i].setGravity(17);
                    this.txt_itemName[i].setBackgroundColor(-1);
                    this.txt_itemName[i].setTextColor(-16777216);
                    this.txt_itemName[i].setTypeface(Typeface.create(Typeface.DEFAULT_BOLD, 1));
                    this.txt_itemName[i].setLayoutParams(this.layoutParams_txt);
                    tableRow.addView(this.txt_itemName[i]);
                    this.txt_measure[i] = new TextView(this);
                    this.txt_measure[i].setTextSize(1, (float) this.Font_Size);
                    this.txt_measure[i].setGravity(17);
                    this.txt_measure[i].setBackgroundColor(-1);
                    this.txt_measure[i].setTextColor(-16777216);
                    this.txt_measure[i].setLayoutParams(this.layoutParams_MatchParent);
                    tableRow.addView(this.txt_measure[i]);
                    this.txt_result[i] = new TextView(this);
                    this.txt_result[i].setTextSize(1, (float) this.Font_Size);
                    this.txt_result[i].setGravity(17);
                    this.txt_result[i].setBackgroundColor(-1);
                    this.txt_result[i].setTextColor(UiHallICTest.FONT_COLOR_PASS);
                    this.txt_result[i].setLayoutParams(this.layoutParams_MatchParent);
                    tableRow.addView(this.txt_result[i]);
                    this.tableLayout.addView(tableRow);
                }
                this.txt_measure[i].setText(this.mCommonHrmOnce.measure[i]);
                this.txt_result[i].setText(this.mCommonHrmOnce.result[i]);
                if ("PASS".equals(this.mCommonHrmOnce.result[i])) {
                    this.txt_result[i].setTextColor(UiHallICTest.FONT_COLOR_PASS);
                } else if ("FAIL".equals(this.mCommonHrmOnce.result[i])) {
                    this.txt_result[i].setTextColor(-65536);
                }
            }
            if (this.firstUIcreation) {
                this.firstUIcreation = false;
            }
        }
        checkPassFail();
    }

    private void checkPassFail() {
        if (!this.updatedState || !this.mCommonHrmOnce.mSpecResult) {
            this.mTextResult.setText("FAIL");
            this.mTextResult.setTextColor(-65536);
            FtUtil.log_d("UIHrmOnce", "checkPassFail", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(85), "Fail - Spec-out or Data length error"));
            setResult(0);
            return;
        }
        this.mCommonHrmOnce.createLogFile();
        this.mTextResult.setText("PASS");
        this.mTextResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
        setTestResult((byte) 80);
        setResult(-1);
        if (this.mIsAutoStart) {
            finish();
        }
    }

    private String addSpec(int Index2) {
        return ("" + "\n") + "(" + this.mCommonHrmOnce.specMin[Index2] + "~" + this.mCommonHrmOnce.specMax[Index2] + ")";
    }
}
