package com.sec.factory.app.ui;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.optical.client.api.EgisFingerprint;
import java.io.File;

public class UIHrmXTalkOnce extends UIBase implements View.OnClickListener {
    private final int MSG_FINISH = 2;
    private final int WHAT_UPDATE_STATUS = 1;
    private Button btn_exit;
    private Button btn_reset;
    private File dataAvgFile;
    private boolean isChecking = false;
    private String itemName;
    private BroadcastReceiver mBroadcastReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.app.ui.UIHrmXTalkOnce.AnonymousClass2 */

        public synchronized void onReceive(Context context, Intent intent) {
            try {
                if ("com.android.samsungtest.HRM_SENSOR_XTALK_STOP".equals(intent.getAction())) {
                    FtUtil.log_i(UIHrmXTalkOnce.this.CLASS_NAME, "onReceive", "com.android.samsungtest.HRM_SENSOR_XTALK_STOP");
                    UIHrmXTalkOnce.this.finish();
                }
            } catch (Exception e) {
                String str = UIHrmXTalkOnce.this.CLASS_NAME;
                FtUtil.log_i(str, "mBroadcastReceiver.onReceive", "Exception : " + e);
            }
        }
    };
    private Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UIHrmXTalkOnce.AnonymousClass1 */

        public void handleMessage(Message msg) {
            switch (msg.what) {
                case 1:
                    if (!UIHrmXTalkOnce.this.mhtm_Status) {
                        UIHrmXTalkOnce.this.checkStatus();
                        UIHrmXTalkOnce.this.mHandler.sendEmptyMessageDelayed(1, 100);
                        return;
                    }
                    UIHrmXTalkOnce.this.registerSysfs(false);
                    UIHrmXTalkOnce uIHrmXTalkOnce = UIHrmXTalkOnce.this;
                    uIHrmXTalkOnce.updatedState = uIHrmXTalkOnce.updateResult();
                    UIHrmXTalkOnce.this.updateUI();
                    return;
                case 2:
                    UIHrmXTalkOnce.this.finish();
                    return;
                default:
                    return;
            }
        }
    };
    private String measure;
    private boolean mhtm_Status = false;
    private String result;
    private String specMax;
    private String specMin;
    private boolean updatedState = false;
    private TextView xtalkMeasureText;
    private TextView xtalkResultText;
    private TextView xtalkSpecText;

    public UIHrmXTalkOnce() {
        super("UIHrmXTalkOnce", 162);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        FtUtil.log_d(this.CLASS_NAME, "onCreate", "");
        setContentView(R.layout.ui_hrm_xtalk);
        init();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        FtUtil.log_d(this.CLASS_NAME, "onResume", "");
        IntentFilter mIntentFilter = new IntentFilter();
        mIntentFilter.addAction("com.android.samsungtest.HRM_SENSOR_XTALK_STOP");
        registerReceiver(this.mBroadcastReceiver, mIntentFilter);
        registerSysfs(true);
        this.mHandler.sendEmptyMessageDelayed(1, 100);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        FtUtil.log_d(this.CLASS_NAME, "onPause", "");
        this.mHandler.removeMessages(1);
        if (this.isChecking) {
            registerSysfs(false);
        }
        super.onPause();
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.btn_exit:
                finish();
                return;
            case R.id.btn_reset:
                FtUtil.log_d(this.CLASS_NAME, "reset", "");
                this.xtalkMeasureText.setText("Loading...");
                reset();
                return;
            default:
                return;
        }
    }

    private void init() {
        FtUtil.log_d(this.CLASS_NAME, "init", "");
        this.xtalkMeasureText = (TextView) findViewById(R.id.adc_value);
        this.xtalkSpecText = (TextView) findViewById(R.id.adc_level);
        this.xtalkResultText = (TextView) findViewById(R.id.passfail);
        this.btn_reset = (Button) findViewById(R.id.btn_reset);
        this.btn_exit = (Button) findViewById(R.id.btn_exit);
        this.btn_reset.setOnClickListener(this);
        this.btn_exit.setOnClickListener(this);
        this.dataAvgFile = new File("data/log/hrmxtalkavg.log");
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void registerSysfs(boolean mStatus) {
        FtUtil.log_i(this.CLASS_NAME, "registerSysfs", "registerSysfs Node");
        if (mStatus) {
            Support.Kernel.write(Support.Kernel.HRM_EOL_TEST, EgisFingerprint.MAJOR_VERSION);
            this.isChecking = true;
            return;
        }
        Support.Kernel.write(Support.Kernel.HRM_EOL_TEST, "0");
        this.isChecking = false;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void checkStatus() {
        String mStatus = Support.Kernel.read(Support.Kernel.HRM_EOL_TEST_STATUS);
        if (mStatus == null || !mStatus.equals(egis.client.api.EgisFingerprint.MAJOR_VERSION)) {
            FtUtil.log_i(this.CLASS_NAME, "checkStatus", "Sysfs is not ready");
            return;
        }
        FtUtil.log_i(this.CLASS_NAME, "checkStatus", "Sysfs is ready");
        this.mhtm_Status = true;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean updateResult() {
        String[] eolData = Support.Kernel.read(Support.Kernel.HRM_EOL_TEST_RESULT).trim().split(",");
        if (eolData.length - 2 != 5) {
            String str = this.CLASS_NAME;
            FtUtil.log_i(str, "updateResult", "(X-Talk length error) eolData.length = " + eolData.length);
            return false;
        }
        int dataIndex = 2 + 1;
        this.itemName = eolData[2];
        int dataIndex2 = dataIndex + 1;
        String str2 = eolData[dataIndex];
        this.result = str2;
        if (egis.client.api.EgisFingerprint.MAJOR_VERSION.equals(str2)) {
            this.result = "PASS";
            FtUtil.log_i(this.CLASS_NAME, "updateResult", "PASS");
        } else {
            this.result = "FAIL";
        }
        int dataIndex3 = dataIndex2 + 1;
        this.measure = eolData[dataIndex2];
        int dataIndex4 = dataIndex3 + 1;
        this.specMin = eolData[dataIndex3];
        int i = dataIndex4 + 1;
        this.specMax = eolData[dataIndex4];
        return true;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void updateUI() {
        FtUtil.log_d(this.CLASS_NAME, "updateUI", "");
        if (this.updatedState) {
            TextView textView = this.xtalkSpecText;
            textView.setText("IR ADC Level :\n(" + this.specMin + " ~ " + this.specMax + ")");
            this.xtalkMeasureText.setText(this.measure);
        }
        File file = this.dataAvgFile;
        if (file != null) {
            String path = file.getPath();
            Support.Kernel.writeToPathNsync(path, this.result + "," + this.measure);
        }
        checkPassFail();
    }

    private void reset() {
        this.itemName = "";
        this.result = "";
        this.measure = "";
        this.specMin = "";
        this.specMax = "";
        this.mhtm_Status = false;
        this.mHandler.removeMessages(1);
        if (this.isChecking) {
            registerSysfs(false);
        }
        registerSysfs(true);
        this.mHandler.sendEmptyMessageDelayed(1, 100);
    }

    private void checkPassFail() {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "checkPassFail", "Measure :" + this.measure + " SpecMin : " + this.specMin + " SpecMax : " + this.specMax);
        if ("PASS".equals(this.result)) {
            setTestResult((byte) 80);
            setResult(-1);
            this.xtalkResultText.setText("PASS");
            this.xtalkResultText.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            this.mHandler.sendEmptyMessageDelayed(2, 1000);
            return;
        }
        this.xtalkResultText.setText("FAIL");
        this.xtalkResultText.setTextColor(-65536);
    }
}
