package com.sec.factory.app.ui;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.hardware.Sensor;
import android.hardware.SensorEvent;
import android.hardware.SensorEventListener;
import android.hardware.SensorManager;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import java.io.File;

public class UIHrmXTalkTest extends UIBase implements View.OnClickListener {
    private final byte MSG_FINISH = 12;
    private final byte MSG_UPDATE_BIO_SENSOR_VALUE = 10;
    private final byte MSG_UPDATE_LOADING_STR = 11;
    private final int UpdateLoadingStr = 1002;
    private final int UpdateResult = 1001;
    private Button btn_exit;
    private Button btn_reset;
    File dataAvgFile;
    private TextView ir_adc;
    private TextView ir_level;
    private TextView ir_spec;
    private Sensor mBIOSensor;
    private BIOSensorTask mBIOSensorTask;
    private BroadcastReceiver mBroadcastReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.app.ui.UIHrmXTalkTest.AnonymousClass2 */

        public synchronized void onReceive(Context context, Intent intent) {
            try {
                if ("com.android.samsungtest.HRM_SENSOR_XTALK_STOP".equals(intent.getAction())) {
                    FtUtil.log_i(UIHrmXTalkTest.this.CLASS_NAME, "onReceive", "com.android.samsungtest.HRM_SENSOR_XTALK_STOP");
                    UIHrmXTalkTest.this.finish();
                }
            } catch (Exception e) {
                String str = UIHrmXTalkTest.this.CLASS_NAME;
                FtUtil.log_i(str, "mBroadcastReceiver.onReceive", "Exception : " + e);
            }
        }
    };
    private float mHRMIRLevel;
    private float mHRMREDLevel;
    private float mHRMTemp;
    private Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UIHrmXTalkTest.AnonymousClass1 */

        public void handleMessage(Message msg) {
            switch (msg.what) {
                case 10:
                    UIHrmXTalkTest uIHrmXTalkTest = UIHrmXTalkTest.this;
                    uIHrmXTalkTest.mResult = uIHrmXTalkTest.mBIOSensorTask.getResult();
                    UIHrmXTalkTest.this.updateUI(1001);
                    return;
                case 11:
                    UIHrmXTalkTest.this.updateUI(1002);
                    return;
                case 12:
                    UIHrmXTalkTest.this.finish();
                    return;
                default:
                    return;
            }
        }
    };
    private int mResult;
    private SensorManager mSensorManager;
    private int mSpecMax;
    private int mSpecMin;
    private TextView passfail;

    public UIHrmXTalkTest() {
        super("UIHrmXTalkTest", 162);
    }

    public void updateUI(int type) {
        FtUtil.log_d(this.CLASS_NAME, "updateUI", "");
        if (type == 1001) {
            this.ir_adc.setText(Integer.toString(this.mResult));
            checkPassFail();
        } else if (type == 1002) {
            this.ir_adc.setText("Loading...");
        }
    }

    public void checkPassFail() {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "checkPassFail", "mResult :" + this.mResult + " mSpecMin : " + this.mSpecMin + " mSpecMax : " + this.mSpecMax);
        int i = this.mResult;
        if (i < this.mSpecMin || i > this.mSpecMax) {
            this.passfail.setText("FAIL");
            this.passfail.setTextColor(-65536);
            return;
        }
        setTestResult((byte) 80);
        setResult(-1);
        this.passfail.setText("PASS");
        this.passfail.setTextColor(UiHallICTest.FONT_COLOR_PASS);
        this.mHandler.sendEmptyMessageDelayed(12, 1000);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        FtUtil.log_d(this.CLASS_NAME, "onCreate", "");
        setContentView(R.layout.ui_hrm_xtalk);
        init();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        FtUtil.log_d(this.CLASS_NAME, "onResume", "");
        this.mSensorManager.registerListener(this.mBIOSensorTask, this.mBIOSensor, 2);
        Support.Kernel.write(Support.Kernel.HRM_XTALK_CODE, "0,0,0,0");
        IntentFilter mIntentFilter = new IntentFilter();
        mIntentFilter.addAction("com.android.samsungtest.HRM_SENSOR_XTALK_STOP");
        registerReceiver(this.mBroadcastReceiver, mIntentFilter);
        this.dataAvgFile = new File("data/log/hrmxtalkavg.log");
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        FtUtil.log_d(this.CLASS_NAME, "onPause", "");
        this.mSensorManager.unregisterListener(this.mBIOSensorTask);
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.btn_exit:
                finish();
                return;
            case R.id.btn_reset:
                this.mBIOSensorTask.reset();
                return;
            default:
                return;
        }
    }

    private void init() {
        FtUtil.log_d(this.CLASS_NAME, "init", "");
        this.mBIOSensorTask = new BIOSensorTask();
        SensorManager sensorManager = (SensorManager) getSystemService("sensor");
        this.mSensorManager = sensorManager;
        this.mBIOSensor = sensorManager.getDefaultSensor(65561);
        this.ir_adc = (TextView) findViewById(R.id.adc_value);
        this.ir_spec = (TextView) findViewById(R.id.adc_spec);
        this.ir_level = (TextView) findViewById(R.id.adc_level);
        this.passfail = (TextView) findViewById(R.id.passfail);
        this.btn_reset = (Button) findViewById(R.id.btn_reset);
        this.btn_exit = (Button) findViewById(R.id.btn_exit);
        this.btn_reset.setOnClickListener(this);
        this.btn_exit.setOnClickListener(this);
        this.mSpecMin = Support.Spec.getInt(Support.Spec.HRM_WINDOW_XTALK_IR_ADC_MIN);
        this.mSpecMax = Support.Spec.getInt(Support.Spec.HRM_WINDOW_XTALK_IR_ADC_MAX);
        TextView textView = this.ir_level;
        textView.setText(((Object) this.ir_level.getText()) + "\n(" + this.mSpecMin + " ~ " + this.mSpecMax + ")");
    }

    /* access modifiers changed from: private */
    public class BIOSensorTask implements SensorEventListener {
        private int count;
        private float[] mBIOSensorValues;
        private int result;

        private BIOSensorTask() {
            this.mBIOSensorValues = new float[4];
            this.count = 0;
            this.result = 0;
        }

        public void onAccuracyChanged(Sensor sensor, int accuracy) {
        }

        public void onSensorChanged(SensorEvent event) {
            switch (event.sensor.getType()) {
                case 65561:
                    this.mBIOSensorValues = (float[]) event.values.clone();
                    FtUtil.log_d(UIHrmXTalkTest.this.CLASS_NAME, "readToBIOSensor", "mBIOSensorValues :" + this.mBIOSensorValues[0]);
                    int i = this.count;
                    if (i >= 50 && i < 100) {
                        this.result = (int) (((float) this.result) + this.mBIOSensorValues[0]);
                    } else if (i == 100) {
                        UIHrmXTalkTest.this.mHandler.sendEmptyMessage(10);
                    }
                    this.count++;
                    return;
                default:
                    return;
            }
        }

        public void reset() {
            FtUtil.log_d(UIHrmXTalkTest.this.CLASS_NAME, "reset", "");
            this.count = 0;
            this.result = 0;
            UIHrmXTalkTest.this.mHandler.sendEmptyMessage(11);
        }

        public int getResult() {
            FtUtil.log_d(UIHrmXTalkTest.this.CLASS_NAME, "getResult", "");
            if (UIHrmXTalkTest.this.dataAvgFile != null) {
                Support.Kernel.writeToPathNsync(UIHrmXTalkTest.this.dataAvgFile.getPath(), Integer.toString(this.result / 50));
            }
            return this.result / 50;
        }
    }
}
