package com.sec.factory.app.ui;

import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;

public class UIIDDetectCheck extends UIBase {
    private static final int MSG_CHECK_START = 2;
    private static final int MSG_DETECT_START = 1;
    private static final int MSG_TEST_END = 3;
    private final String CLASS_NAME = "UIIDDetectCheck";
    private TextView IDCheck;
    private TextView IDDetect;
    private boolean idDetectResult = false;
    private Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UIIDDetectCheck.AnonymousClass1 */

        public void handleMessage(Message msg) {
            switch (msg.what) {
                case 1:
                    UIIDDetectCheck.this.idDetect();
                    return;
                case 2:
                    UIIDDetectCheck.this.idCheck();
                    return;
                case 3:
                    UIIDDetectCheck.this.finish();
                    return;
                default:
                    return;
            }
        }
    };
    private int mTestCount = 0;

    public UIIDDetectCheck() {
        super("UIIDDetectCheck", 110);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_id_detect_check);
        this.IDDetect = (TextView) findViewById(R.id.id_detect_result);
        this.IDCheck = (TextView) findViewById(R.id.id_check_result);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        Support.Kernel.read(Support.Kernel.ID_CHIP_VERIFY);
        this.mHandler.sendEmptyMessageDelayed(1, 170);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        this.mHandler.removeMessages(1);
        this.mHandler.removeMessages(2);
        this.mHandler.removeMessages(3);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
        this.mHandler.removeMessages(1);
        this.mHandler.removeMessages(2);
        this.mHandler.removeMessages(3);
        this.mTestCount = 0;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void idCheck() {
        int i = this.mTestCount + 1;
        this.mTestCount = i;
        if (i > 5) {
            FtUtil.log_i("UIIDDetectCheck", Support.Kernel.ID_CHIP_VERIFY, Support.Kernel.read(Support.Kernel.ID_CHIP_VERIFY));
            this.IDCheck.setTextColor(-65536);
            this.IDCheck.setText("FAIL");
            writeNV(82, false);
        } else if ("0".equals(Support.Kernel.read(Support.Kernel.ID_CHIP_VERIFY))) {
            FtUtil.log_i("UIIDDetectCheck", Support.Kernel.ID_CHIP_VERIFY, Support.Kernel.read(Support.Kernel.ID_CHIP_VERIFY));
            this.IDCheck.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            this.IDCheck.setText("PASS");
            writeNV(82, true);
            if (this.idDetectResult) {
                setTestResultWithoutNV(110, (byte) 80);
                this.mHandler.sendEmptyMessageDelayed(3, 500);
            }
        } else {
            this.mHandler.sendEmptyMessageDelayed(2, 170);
        }
    }

    private void writeNV(int id, boolean isPass) {
        if (isPass) {
            FtUtil.log_i("UIIDDetectCheck", "writeNV", "PASS");
            setTestResult((byte) id, (byte) 80);
            return;
        }
        FtUtil.log_e("UIIDDetectCheck", "writeNV", "FAIL");
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void idDetect() {
        if ("0".equals(Support.Kernel.read(Support.Kernel.ID_DETECT_TEST))) {
            FtUtil.log_i("UIIDDetectCheck", Support.Kernel.ID_DETECT_TEST, Support.Kernel.read(Support.Kernel.ID_DETECT_TEST));
            this.IDDetect.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            this.IDDetect.setText("PASS");
            this.idDetectResult = true;
            writeNV(111, true);
            this.mHandler.sendEmptyMessageDelayed(2, 170);
            return;
        }
        FtUtil.log_i("UIIDDetectCheck", Support.Kernel.ID_DETECT_TEST, Support.Kernel.read(Support.Kernel.ID_DETECT_TEST));
        this.IDDetect.setTextColor(-65536);
        this.IDDetect.setText("FAIL");
        writeNV(111, false);
        this.mHandler.sendEmptyMessageDelayed(2, 170);
    }
}
