package com.sec.factory.app.ui;

import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.widget.LinearLayout;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.ModuleCoverID;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;

public class UIIdcheckTest extends UIBase {
    private static final int MSG_TEST_END = 2;
    private static final int MSG_TEST_START = 1;
    private final String LOG_TAG = "[UTOPIA_NFC_ID_CHECK]";
    private Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UIIdcheckTest.AnonymousClass2 */

        public void handleMessage(Message msg) {
            switch (msg.what) {
                case 1:
                    UIIdcheckTest.this.readIDChip();
                    return;
                case 2:
                    UIIdcheckTest.this.finish();
                    return;
                default:
                    return;
            }
        }
    };
    private ModuleCoverID mNfcCoverID;
    private String mTestCase;
    private int mTestCount = 0;
    private TextView mTextViewID;
    private TextView mTextViewResult;
    private TextView mTextViewTitle;

    public UIIdcheckTest() {
        super("UIIdcheckTest");
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        this.TEST_ID = getIntent().getIntExtra("testID", 82);
        this.mTestCase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML(this.TEST_ID));
        setContentView(R.layout.ui_idcheck);
        this.mTextViewTitle = (TextView) findViewById(R.id.title);
        this.mTextViewResult = (TextView) findViewById(R.id.result);
        this.mTextViewID = (TextView) findViewById(R.id.id);
        String str = this.mTestCase;
        if (str != null && "NFC_TYPE".equalsIgnoreCase(str)) {
            ((LinearLayout) findViewById(R.id.subTitle)).setVisibility(0);
        }
        String title = FactoryTestManager.getItemName_RequestCode(this.TEST_ID);
        if (title != null) {
            this.mTextViewTitle.setText(title);
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "onResume", "[UTOPIA_NFC_ID_CHECK]" + FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(82), "Start"));
        String str2 = this.mTestCase;
        if (str2 == null || !"NFC_TYPE".equalsIgnoreCase(str2)) {
            for (int i = 0; i < 6; i++) {
                this.mHandler.sendEmptyMessageDelayed(1, (long) (i * 170));
            }
            return;
        }
        ModuleCoverID moduleCoverID = new ModuleCoverID(this.CLASS_NAME, this, new ModuleCoverID.CoverIDListener() {
            /* class com.sec.factory.app.ui.UIIdcheckTest.AnonymousClass1 */

            @Override // com.sec.factory.modules.ModuleCoverID.CoverIDListener
            public void onAuthenticationResult(String result, String serialNo, String id, String attachInfo, String detachInfo) {
                String str = UIIdcheckTest.this.CLASS_NAME;
                FtUtil.log_d(str, "onAuthenticationResult", "result = " + result + ", serialNumber = " + serialNo + ", ID = " + id + ", AttachInfo = " + attachInfo + ", DetachInfo = " + detachInfo);
                if (UIIdcheckTest.this.mNfcCoverID != null) {
                    UIIdcheckTest.this.mNfcCoverID.unRegisterReceiver();
                }
                String coverID = null;
                if (id != null && !"".equalsIgnoreCase(id)) {
                    coverID = id.substring(3, 4);
                }
                if (result == null) {
                    String str2 = UIIdcheckTest.this.CLASS_NAME;
                    FtUtil.log_d(str2, "onAuthenticationResult", "[UTOPIA_NFC_ID_CHECK]" + FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(82), "FAIL - Result null(NFC_FT)"));
                    UIIdcheckTest.this.setFailResult("FAIL", id);
                } else if (!"OK".equalsIgnoreCase(result) || "7".equalsIgnoreCase(coverID)) {
                    String str3 = UIIdcheckTest.this.CLASS_NAME;
                    FtUtil.log_d(str3, "onAuthenticationResult", "[UTOPIA_NFC_ID_CHECK]" + FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(82), "FAIL - No Cover (NFC_FT)"));
                    UIIdcheckTest uIIdcheckTest = UIIdcheckTest.this;
                    uIIdcheckTest.setFailResult("FAIL - " + result, id);
                } else {
                    String str4 = UIIdcheckTest.this.CLASS_NAME;
                    FtUtil.log_d(str4, "onAuthenticationResult", "[UTOPIA_NFC_ID_CHECK]" + FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(82), "PASS - (NFC_FT)"));
                    UIIdcheckTest.this.setPassResult("PASS", id);
                }
            }
        });
        this.mNfcCoverID = moduleCoverID;
        moduleCoverID.registerReceiver(ModuleCoverID.ACTION_START_AUTHENTICATION_RESULT);
        this.mNfcCoverID.sendRequest(ModuleCoverID.ACTION_START_AUTHENTICATION_REQUEST);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        FtUtil.log_d(this.CLASS_NAME, "onDestroy", "[UTOPIA_NFC_ID_CHECK] Test End");
        super.onDestroy();
        Intent intent = new Intent("com.samsung.android.nfc.test.action.REQUEST");
        intent.putExtra("com.samsung.android.nfc.test.extra.ID", 3);
        sendBroadcast(intent);
        this.mHandler.removeMessages(1);
        this.mHandler.removeMessages(2);
        ModuleCoverID moduleCoverID = this.mNfcCoverID;
        if (moduleCoverID != null) {
            moduleCoverID.unRegisterReceiver();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void readIDChip() {
        String result = Support.Kernel.read(Support.Kernel.ID_CHIP_VERIFY);
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "readIDChip", "ID_CHIP_VERIFY-result = " + result);
        if ("0".equals(result)) {
            setPassResult("PASS", null);
            this.mHandler.removeMessages(1);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setFailResult(String result, String id) {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "setFailResult", "result : " + result + ", ID : " + id);
        setResult(0);
        TextView textView = this.mTextViewID;
        if (textView != null) {
            textView.setText("Cover ID : " + id);
        }
        TextView textView2 = this.mTextViewResult;
        if (textView2 != null) {
            textView2.setText(result);
            this.mTextViewResult.setTextColor(-65536);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setPassResult(String result, String id) {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "setPassResult", "result : " + result + ", ID : " + id);
        setResult(-1);
        setTestResult((byte) 80);
        TextView textView = this.mTextViewID;
        if (textView != null) {
            textView.setText("Cover ID : " + id);
        }
        TextView textView2 = this.mTextViewResult;
        if (textView2 != null) {
            textView2.setText(result);
            this.mTextViewResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
        }
        this.mHandler.sendEmptyMessageDelayed(2, 600);
    }
}
