package com.sec.factory.app.ui;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.util.Log;
import android.view.View;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import java.io.FileOutputStream;
import java.io.IOException;

public class UIIrLedTest extends UIBase implements View.OnClickListener {
    private static final String TAG = "UIIrLedTest";
    private static final int WHAT_RESULT_READ = 2;
    private static final int WHAT_TEST_START = 1;
    private String CHANNEL_UP;
    private TextView IRLedResultView;
    private TextView IRLedSelfTest;
    private BroadcastReceiver mBroadcastReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.app.ui.UIIrLedTest.AnonymousClass2 */

        public void onReceive(Context context, Intent intent) {
            String action = intent.getAction();
            String str = UIIrLedTest.this.CLASS_NAME;
            FtUtil.log_d(str, "mBroadcastReceiver.onReceive", "action=" + action);
            if ("com.sec.factory.app.ui.STOP_IRLED_TEST".equals(action)) {
                UIIrLedTest.this.stopIRLed();
            }
        }
    };
    private Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UIIrLedTest.AnonymousClass1 */

        public void handleMessage(Message msg) {
            if (msg.what == 1) {
                try {
                    UIIrLedTest uIIrLedTest = UIIrLedTest.this;
                    uIIrLedTest.controlIrED(uIIrLedTest.CHANNEL_UP);
                } catch (IOException e) {
                    e.printStackTrace();
                }
            } else if (msg.what == 2) {
                UIIrLedTest.this.readIRLedResult();
            }
        }
    };

    public UIIrLedTest() {
        super(TAG);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_irledtest);
        FtUtil.log_i(this.CLASS_NAME, "onCreate", "UIIrLedTest onCreate");
        this.IRLedResultView = (TextView) findViewById(R.id.irledpassfail);
        TextView textView = (TextView) findViewById(R.id.irledselftest);
        this.IRLedSelfTest = textView;
        textView.setText("Self Test : ");
        View passButton = findViewById(R.id.pass_button);
        passButton.setOnClickListener(this);
        passButton.setVisibility(4);
        View exitButton = findViewById(R.id.exit_button);
        exitButton.setOnClickListener(this);
        exitButton.setVisibility(0);
        this.CHANNEL_UP = ModuleDevice.CHANNEL_UP;
        this.mHandler.sendEmptyMessageDelayed(1, 1000);
        registerReceiver();
    }

    private void registerReceiver() {
        FtUtil.log_i(this.CLASS_NAME, "registerReceiver", null);
        IntentFilter filter = new IntentFilter();
        filter.addAction("com.sec.factory.app.ui.STOP_IRLED_TEST");
        registerReceiver(this.mBroadcastReceiver, filter);
    }

    private void unregisterReceiver() {
        BroadcastReceiver broadcastReceiver = this.mBroadcastReceiver;
        if (broadcastReceiver != null) {
            unregisterReceiver(broadcastReceiver);
            this.mBroadcastReceiver = null;
            FtUtil.log_i(this.CLASS_NAME, "unregisterReceiver", null);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void readIRLedResult() {
        setResult(-1);
        this.IRLedResultView.setTextColor(UiHallICTest.FONT_COLOR_PASS);
        this.IRLedResultView.setText("PASS");
        finish();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void controlIrED(String control) throws IOException {
        FileOutputStream out = new FileOutputStream(Support.Kernel.getFilePath(Support.Kernel.IR_LED_SEND));
        try {
            out.write(control.getBytes());
            out.flush();
        } catch (Exception e) {
            e.printStackTrace();
        } catch (Throwable th) {
            out.close();
            throw th;
        }
        out.close();
        this.mHandler.sendEmptyMessageDelayed(2, 500);
        Log.i(TAG, "controlIrED - write bytes : " + control);
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.exit_button:
                finish();
                return;
            case R.id.pass_button:
            default:
                return;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void stopIRLed() {
        finish();
    }

    private int[] convertPattern(String pattern) {
        String[] arr = pattern.split(",");
        int[] converted = new int[(arr.length - 1)];
        for (int i = 0; i < arr.length - 1; i++) {
            converted[i] = Integer.parseInt(arr[i + 1]);
        }
        return converted;
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        this.mHandler.removeMessages(1);
        this.mHandler.removeMessages(2);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
        this.mHandler.removeMessages(1);
        this.mHandler.removeMessages(2);
        unregisterReceiver();
    }
}
