package com.sec.factory.app.ui;

import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.KeyEvent;
import android.widget.LinearLayout;
import android.widget.TableRow;
import android.widget.TextView;
import com.goodix.fingerprint.BuildConfig;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.sensors.SensorLight;
import com.sec.factory.sensors.SensorListener;
import com.sec.factory.sensors.SensorProximity;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;

public class UIIrisProximityLight extends UIBase implements SensorListener {
    public final int INT_CHECK_FAIL;
    public final int INT_CHECK_PASS;
    private final long INT_CHECK_TIME;
    private int[] IrisProximitySensors;
    public String LightSensorADCValue = "0.0";
    public String LightSensorMgrValue = "0.0";
    public final int MSG_UPDATE_UI;
    public String ProximitySensorMgrValue = "5.0";
    private int RANGE_LIGHT_BRIGHT;
    private int RANGE_LIGHT_DARK;
    private String RANGE_PROXIMITY_DETECT;
    public boolean isFirstReadRawdata;
    public boolean isFirstTry;
    public boolean isIntCheck;
    public boolean isLightTestOn;
    public boolean isPass;
    private boolean isPassCheckingINT;
    public boolean isProxiTestOn;
    public boolean isTestDone;
    private Handler mHandler;
    public SensorProximity mIrisSensorProximity = null;
    private final boolean mIsIrisTestProximity;
    private final boolean mIsTestLight;
    private LinearLayout mLinearBackground;
    private ModuleDevice mModuleDevice;
    public SensorLight mSensorLight = null;
    private TableRow mTableRow1_Dummy1;
    private TableRow mTableRow1_Light;
    private TableRow mTableRow1_Proximity;
    private TableRow mTableRow2_Light;
    private TableRow mTableRow2_Proximity;
    private TableRow mTableRow3_Light;
    private TableRow mTableRow3_Proximity;
    private TableRow mTableRow4_Light;
    private TableRow mTableRow4_Proximity;
    private TableRow mTableRow5_Proximity;
    private TableRow mTableRow6_Proximity;
    private TableRow mTableRow7_Proximity;
    private final String mTestCase;
    private TextView mText_Dummy_Row1_Col1;
    private TextView mText_Light_Row1_Col1;
    private TextView mText_Light_Row1_Col2;
    private TextView mText_Light_Row1_Col3;
    private TextView mText_Light_Row2_Col1;
    private TextView mText_Light_Row2_Col2;
    private TextView mText_Light_Row2_Col3;
    private TextView mText_Light_Row3_Col1;
    private TextView mText_Light_Row3_Col2;
    private TextView mText_Light_Row3_Col3;
    private TextView mText_Light_Row4_Col1;
    private TextView mText_Light_Row4_Col2;
    private TextView mText_Light_Row4_Col3;
    private TextView mText_Proximity_Row1_Col1;
    private TextView mText_Proximity_Row1_Col2;
    private TextView mText_Proximity_Row1_Col3;
    private TextView mText_Proximity_Row2_Col1;
    private TextView mText_Proximity_Row2_Col2;
    private TextView mText_Proximity_Row2_Col3;
    private TextView mText_Proximity_Row3_Col1;
    private TextView mText_Proximity_Row3_Col2;
    private TextView mText_Proximity_Row3_Col3;
    private TextView mText_Proximity_Row4_Col1;
    private TextView mText_Proximity_Row4_Col2;
    private TextView mText_Proximity_Row4_Col3;
    private TextView mText_Proximity_Row5_Col1;
    private TextView mText_Proximity_Row5_Col2;
    private TextView mText_Proximity_Row5_Col3;
    private TextView mText_Proximity_Row6_Col1;
    private TextView mText_Proximity_Row6_Col2;
    private TextView mText_Proximity_Row6_Col3;
    private TextView mText_Proximity_Row7_Col1;
    private TextView mText_Proximity_Row7_Col2;
    private TextView mText_Proximity_Row7_Col3;
    private TextView mText_Title;
    private final float mUIRate = Support.FactoryTestMenu.getUIRate(FactoryTestManager.convertorID_XML(177));
    private int m_nCurADC;
    private long m_nStartTime;
    int m_nThreshHold;
    public int step;

    public UIIrisProximityLight() {
        super("UIIrisProximityLight", 177);
        String testCase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML(177));
        this.mTestCase = testCase;
        this.mIsIrisTestProximity = testCase.contains("PROX");
        this.mIsTestLight = testCase.contains("LIGHT");
        this.RANGE_PROXIMITY_DETECT = BuildConfig.VERSION_NAME;
        this.RANGE_LIGHT_DARK = 10;
        this.RANGE_LIGHT_BRIGHT = 150;
        this.isProxiTestOn = false;
        this.isLightTestOn = false;
        this.isTestDone = false;
        this.isFirstTry = true;
        this.isFirstReadRawdata = false;
        this.isIntCheck = false;
        this.step = 2;
        this.isPass = true;
        this.MSG_UPDATE_UI = 0;
        this.INT_CHECK_PASS = 1;
        this.INT_CHECK_FAIL = 2;
        this.IrisProximitySensors = new int[]{8};
        this.mHandler = new Handler() {
            /* class com.sec.factory.app.ui.UIIrisProximityLight.AnonymousClass1 */

            public void handleMessage(Message msg) {
                switch (msg.what) {
                    case 0:
                        UIIrisProximityLight.this.updateUI();
                        return;
                    default:
                        return;
                }
            }
        };
        this.INT_CHECK_TIME = 1000;
        this.isPassCheckingINT = true;
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_iris_proximity_light);
        initialize();
        setWidthCol3();
        setUIRate();
        this.mIrisSensorProximity = new SensorProximity(this);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        if (!this.mIsIrisTestProximity) {
            doSensorChange();
        }
        super.onResume();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        this.mModuleDevice.stopVibrate();
        this.mIrisSensorProximity.SensorOff();
        SensorLight sensorLight = this.mSensorLight;
        if (sensorLight != null) {
            sensorLight.SensorOff();
        }
    }

    @Override // com.sec.factory.sensors.SensorListener
    public void onSensorValueReceived(int mSensor, String value) {
        FtUtil.log_d(this.CLASS_NAME, "onSensorValueReceived", value);
        switch (mSensor) {
            case 0:
                String str = this.CLASS_NAME;
                FtUtil.log_d(str, "onSensorValueReceived", "NOTI : " + value);
                this.mHandler.sendEmptyMessage(0);
                return;
            case 3:
                String str2 = this.CLASS_NAME;
                FtUtil.log_d(str2, "onSensorValueReceived", "ID_MANAGER_LIGHT : " + value);
                this.LightSensorMgrValue = value;
                return;
            case 4:
                String str3 = this.CLASS_NAME;
                FtUtil.log_d(str3, "onSensorValueReceived", "ID_FILE____LIGHT_ADC : " + value);
                this.LightSensorADCValue = value;
                return;
            case 8:
                String str4 = this.CLASS_NAME;
                FtUtil.log_d(str4, "onSensorValueReceived", "ID_MANAGER_IRIS_PROXIMITY : " + value);
                if (this.RANGE_PROXIMITY_DETECT.equals(value) && this.isFirstReadRawdata) {
                    this.isFirstReadRawdata = false;
                    this.m_nCurADC = Integer.valueOf(mModuleCommon.readIrisProxiADC()).intValue();
                    String str5 = this.CLASS_NAME;
                    FtUtil.log_d(str5, "onSensorValueReceived", "First time read CurADC : " + this.m_nCurADC);
                }
                this.ProximitySensorMgrValue = value;
                return;
            default:
                return;
        }
    }

    public void updateUI() {
        if (this.mIsIrisTestProximity && this.isProxiTestOn) {
            switch (this.step) {
                case 1:
                    if (!this.ProximitySensorMgrValue.equals(this.RANGE_PROXIMITY_DETECT)) {
                        String str = this.CLASS_NAME;
                        FtUtil.log_d(str, "updateUI", "Proximity Stage : " + this.step);
                        this.step = 2;
                        break;
                    }
                    break;
                case 2:
                    if (this.ProximitySensorMgrValue.equals(this.RANGE_PROXIMITY_DETECT)) {
                        String str2 = this.CLASS_NAME;
                        FtUtil.log_d(str2, "updateUI", "Proximity Stage : " + this.step);
                        this.step = 3;
                        setWorking();
                        this.mText_Proximity_Row4_Col2.setText("Working");
                        this.mText_Proximity_Row4_Col3.setText("Pass");
                        this.mText_Proximity_Row4_Col3.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                        break;
                    }
                    break;
                case 3:
                    FtUtil.Sleep.sleep(1000);
                    setRelease();
                    if (!Support.Feature.getBoolean(Support.Feature.PROX_CHECK_INT_SUPPORT)) {
                        this.step = 5;
                        disableCheckINT();
                        break;
                    } else {
                        String str3 = this.CLASS_NAME;
                        FtUtil.log_d(str3, "updateUI", "Proximity Stage : " + this.step);
                        this.mIrisSensorProximity.SensorOff();
                        FtUtil.Sleep.sleep(50);
                        this.ProximitySensorMgrValue = "0.0";
                        this.isFirstReadRawdata = true;
                        this.mIrisSensorProximity.SensorOn(this, this.IrisProximitySensors, 10);
                        this.mText_Proximity_Row5_Col2.setText("ResetForINTCheck");
                        this.mText_Proximity_Row5_Col3.setText("Pass");
                        this.mText_Proximity_Row5_Col3.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                        this.step = 4;
                        startCheckINT();
                        break;
                    }
                case 4:
                    if (isOver1sec()) {
                        String str4 = this.CLASS_NAME;
                        FtUtil.log_d(str4, "updateUI", "Proximity Stage : " + this.step);
                        if (this.isPassCheckingINT) {
                            setINTCheckPass();
                            this.step = 5;
                        } else {
                            setINTCheckFail();
                        }
                    }
                    if (this.ProximitySensorMgrValue.equals(this.RANGE_PROXIMITY_DETECT) && !this.isIntCheck) {
                        String str5 = this.CLASS_NAME;
                        FtUtil.log_d(str5, "updateUI", "Proximity Stage : " + this.step);
                        this.isIntCheck = true;
                        String str6 = this.CLASS_NAME;
                        FtUtil.log_d(str6, "updateUI", "CurADC : " + this.m_nCurADC);
                        checkINT();
                        break;
                    }
                case 5:
                    if (!this.mIsTestLight) {
                        this.step = 6;
                        break;
                    } else {
                        doSensorChange();
                        break;
                    }
                case 6:
                    FtUtil.Sleep.sleep(1000);
                    String str7 = this.CLASS_NAME;
                    FtUtil.log_d(str7, "updateUI", "Proximity Stage : " + this.step);
                    this.step = 1;
                    this.isTestDone = true;
                    break;
            }
        }
        if (this.mIsTestLight && this.isLightTestOn) {
            if ("null".equals(this.LightSensorMgrValue)) {
                SetLightFail();
                FtUtil.log_d(this.CLASS_NAME, "updateUI", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(17), "Fail - Light sensor value is null"));
                this.isLightTestOn = false;
                this.step = 0;
                this.isPass = false;
                this.isTestDone = true;
            } else {
                TextView textView = this.mText_Light_Row4_Col1;
                textView.setText("LUX : " + this.LightSensorMgrValue);
            }
            TextView textView2 = this.mText_Light_Row3_Col1;
            textView2.setText("ADC : " + this.LightSensorADCValue);
            switch (this.step) {
                case 1:
                    if (Float.valueOf(this.LightSensorMgrValue).floatValue() >= ((float) this.RANGE_LIGHT_BRIGHT)) {
                        String str8 = this.CLASS_NAME;
                        FtUtil.log_d(str8, "updateUI", "Light Stage : " + this.step);
                        this.step = 2;
                        this.mText_Light_Row2_Col2.setText("Release");
                        break;
                    }
                    break;
                case 2:
                    if (Float.valueOf(this.LightSensorMgrValue).floatValue() <= ((float) this.RANGE_LIGHT_DARK)) {
                        String str9 = this.CLASS_NAME;
                        FtUtil.log_d(str9, "updateUI", "Light Stage : " + this.step);
                        this.step = 3;
                        setWorking();
                        this.mText_Light_Row3_Col2.setText("Working");
                        this.mText_Light_Row3_Col3.setText("Pass");
                        this.mText_Light_Row3_Col3.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                        break;
                    }
                    break;
                case 3:
                    if (Float.valueOf(this.LightSensorMgrValue).floatValue() >= ((float) this.RANGE_LIGHT_BRIGHT)) {
                        String str10 = this.CLASS_NAME;
                        FtUtil.log_d(str10, "updateUI", "Light Stage : " + this.step);
                        this.step = 0;
                        this.isLightTestOn = false;
                        this.isTestDone = true;
                        setRelease();
                        this.mText_Light_Row4_Col2.setText("Release");
                        this.mText_Light_Row4_Col3.setText("Pass");
                        this.mText_Light_Row4_Col3.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                        break;
                    }
                    break;
            }
        }
        if (this.isTestDone) {
            exit();
        }
    }

    public int getThreshHold() {
        int threshHold;
        String strNormalHighThreshHold = Support.Kernel.read(Support.Kernel.IRIS_PROXI_SENSOR_SET_HIGH_THRESHOLD);
        String strDetectHighThreshHold = Support.Kernel.read(Support.Kernel.IRIS_PROXI_SENSOR_DETECT_HIGH_THRESHOLD);
        if (strNormalHighThreshHold == null) {
            FtUtil.log_d(this.CLASS_NAME, "getThreshHold", "normal null");
            strNormalHighThreshHold = "987654321";
        }
        if (strDetectHighThreshHold == null) {
            FtUtil.log_d(this.CLASS_NAME, "getThreshHold", "detect null");
            strDetectHighThreshHold = "987654321";
        }
        String strNormalHighThreshHold2 = strNormalHighThreshHold.split(",")[0];
        String strDetectHighThreshHold2 = strDetectHighThreshHold.split(",")[0];
        int nNormalHighThreshHold = Integer.valueOf(strNormalHighThreshHold2).intValue();
        int nDetectHighThreshHold = Integer.valueOf(strDetectHighThreshHold2).intValue();
        if (nNormalHighThreshHold < nDetectHighThreshHold) {
            FtUtil.log_d(this.CLASS_NAME, "getThreshHold", "normal");
            threshHold = nNormalHighThreshHold;
        } else {
            FtUtil.log_d(this.CLASS_NAME, "getThreshHold", "detect");
            threshHold = nDetectHighThreshHold;
        }
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "getThreshHold", "threshHold : " + threshHold);
        return threshHold;
    }

    public void startCheckINT() {
        this.isPassCheckingINT = true;
        this.mText_Proximity_Row6_Col2.setText("INT Check");
        this.m_nStartTime = System.currentTimeMillis();
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "startCheckINT", "startTime : " + this.m_nStartTime);
    }

    public void disableCheckINT() {
        this.mText_Proximity_Row6_Col1.setVisibility(8);
        this.mText_Proximity_Row6_Col2.setVisibility(8);
        this.mText_Proximity_Row6_Col3.setVisibility(8);
        FtUtil.log_d(this.CLASS_NAME, "disableCheckINT", "");
    }

    public boolean isOver1sec() {
        if (1000 <= System.currentTimeMillis() - this.m_nStartTime) {
            return true;
        }
        return false;
    }

    public void checkINT() {
        try {
            Thread.sleep(50);
        } catch (Exception e) {
        }
        int threshHold = getThreshHold();
        this.m_nThreshHold = threshHold;
        if (this.isIntCheck && threshHold > this.m_nCurADC) {
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "something over iris sensor checkINT", "fail... CurADC : " + this.m_nCurADC);
            this.isPassCheckingINT = false;
        }
        if (!this.isIntCheck && this.m_nThreshHold < this.m_nCurADC) {
            String str2 = this.CLASS_NAME;
            FtUtil.log_d(str2, "nothing over iris sensor checkINT", "fail... CurADC : " + this.m_nCurADC);
            this.isPassCheckingINT = false;
        }
    }

    public void doSensorChange() {
        FtUtil.log_d(this.CLASS_NAME, "doSensorChange", "");
        this.mIrisSensorProximity.SensorOff();
        this.isProxiTestOn = false;
        SensorLight sensorLight = new SensorLight(this);
        this.mSensorLight = sensorLight;
        sensorLight.SensorOn(this, new int[]{3, 4}, 100);
        this.isLightTestOn = true;
        this.mText_Light_Row1_Col1.setText("LIGHTEST");
        this.mText_Light_Row1_Col2.setText("Pending");
    }

    public void SetProximityFail() {
        this.mText_Proximity_Row4_Col2.setText("Working");
        this.mText_Proximity_Row4_Col3.setText("Fail");
        this.mText_Proximity_Row4_Col3.setTextColor(-65536);
        this.mText_Proximity_Row5_Col2.setText("Release");
        this.mText_Proximity_Row5_Col3.setText("Fail");
        this.mText_Proximity_Row5_Col3.setTextColor(-65536);
        this.mText_Proximity_Row6_Col2.setText("Release");
        this.mText_Proximity_Row6_Col3.setText("Fail");
        this.mText_Proximity_Row6_Col3.setTextColor(-65536);
        this.mText_Proximity_Row7_Col2.setText("Release");
        this.mText_Proximity_Row7_Col3.setText("Fail");
        this.mText_Proximity_Row7_Col3.setTextColor(-65536);
    }

    public void setINTCheckPass() {
        FtUtil.log_d(this.CLASS_NAME, "setINTCheckPass", "");
        this.mText_Proximity_Row6_Col3.setText("Pass");
        this.mText_Proximity_Row6_Col3.setTextColor(UiHallICTest.FONT_COLOR_PASS);
    }

    public void setINTCheckFail() {
        FtUtil.log_d(this.CLASS_NAME, "setINTCheckFail", "");
        this.mText_Proximity_Row6_Col3.setText("Fail");
        this.mText_Proximity_Row6_Col3.setTextColor(-65536);
    }

    public void SetLightFail() {
        this.mText_Light_Row3_Col2.setText("Working");
        this.mText_Light_Row3_Col3.setText("Fail");
        this.mText_Light_Row3_Col3.setTextColor(-65536);
        this.mText_Light_Row4_Col2.setText("Release");
        this.mText_Light_Row4_Col3.setText("Fail");
        this.mText_Light_Row4_Col3.setTextColor(-65536);
        this.mText_Light_Row4_Col1.setText("LUX : NONE");
    }

    @Override // com.sec.factory.app.ui.UIBase
    public boolean onKeyDown(int keyCode, KeyEvent event) {
        switch (keyCode) {
            case 25:
                if (this.isFirstTry && this.mIsIrisTestProximity) {
                    this.isProxiTestOn = true;
                    this.isFirstTry = false;
                    this.mText_Proximity_Row3_Col2.setText("Release");
                    FtUtil.Sleep.sleep(50);
                    this.mIrisSensorProximity.SensorOn(this, this.IrisProximitySensors, 10);
                    break;
                }
        }
        return super.onKeyDown(keyCode, event);
    }

    private void initialize() {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "initialize", "mIsIrisTestProximity : " + this.mIsIrisTestProximity);
        String str2 = this.CLASS_NAME;
        FtUtil.log_d(str2, "initialize", "mIsTestLight : " + this.mIsTestLight);
        this.mModuleDevice = ModuleDevice.instance(this);
        this.RANGE_LIGHT_BRIGHT = Support.Spec.getInt(Support.Spec.RANGE_LIGHT_BRIGHT);
        this.mLinearBackground = (LinearLayout) findViewById(R.id.background);
        this.mText_Title = (TextView) findViewById(R.id.prox_light_title);
        if (this.mIsIrisTestProximity) {
            TableRow tableRow = (TableRow) findViewById(R.id.proximity_row2);
            this.mTableRow2_Proximity = tableRow;
            tableRow.setVisibility(0);
            this.mText_Proximity_Row2_Col1 = (TextView) findViewById(R.id.proximity_row2_col1);
            this.mText_Proximity_Row2_Col2 = (TextView) findViewById(R.id.proximity_row2_col2);
            this.mText_Proximity_Row2_Col3 = (TextView) findViewById(R.id.proximity_row2_col3);
            TableRow tableRow2 = (TableRow) findViewById(R.id.proximity_row3);
            this.mTableRow3_Proximity = tableRow2;
            tableRow2.setVisibility(0);
            this.mText_Proximity_Row3_Col1 = (TextView) findViewById(R.id.proximity_row3_col1);
            this.mText_Proximity_Row3_Col2 = (TextView) findViewById(R.id.proximity_row3_col2);
            this.mText_Proximity_Row3_Col3 = (TextView) findViewById(R.id.proximity_row3_col3);
            TableRow tableRow3 = (TableRow) findViewById(R.id.proximity_row4);
            this.mTableRow4_Proximity = tableRow3;
            tableRow3.setVisibility(0);
            this.mText_Proximity_Row4_Col1 = (TextView) findViewById(R.id.proximity_row4_col1);
            this.mText_Proximity_Row4_Col2 = (TextView) findViewById(R.id.proximity_row4_col2);
            this.mText_Proximity_Row4_Col3 = (TextView) findViewById(R.id.proximity_row4_col3);
            TableRow tableRow4 = (TableRow) findViewById(R.id.proximity_row5);
            this.mTableRow5_Proximity = tableRow4;
            tableRow4.setVisibility(0);
            this.mText_Proximity_Row5_Col1 = (TextView) findViewById(R.id.proximity_row5_col1);
            this.mText_Proximity_Row5_Col2 = (TextView) findViewById(R.id.proximity_row5_col2);
            this.mText_Proximity_Row5_Col3 = (TextView) findViewById(R.id.proximity_row5_col3);
            TableRow tableRow5 = (TableRow) findViewById(R.id.proximity_row6);
            this.mTableRow6_Proximity = tableRow5;
            tableRow5.setVisibility(0);
            this.mText_Proximity_Row6_Col1 = (TextView) findViewById(R.id.proximity_row6_col1);
            this.mText_Proximity_Row6_Col2 = (TextView) findViewById(R.id.proximity_row6_col2);
            this.mText_Proximity_Row6_Col3 = (TextView) findViewById(R.id.proximity_row6_col3);
            this.mText_Proximity_Row2_Col1.setText("PROXIMIT");
            this.mText_Proximity_Row2_Col2.setText("Pending");
            TableRow tableRow6 = (TableRow) findViewById(R.id.proximity_row7);
            this.mTableRow7_Proximity = tableRow6;
            tableRow6.setVisibility(0);
            this.mText_Proximity_Row7_Col1 = (TextView) findViewById(R.id.proximity_row7_col1);
            this.mText_Proximity_Row7_Col2 = (TextView) findViewById(R.id.proximity_row7_col2);
            this.mText_Proximity_Row7_Col3 = (TextView) findViewById(R.id.proximity_row7_col3);
        }
        if (this.mIsTestLight) {
            TableRow tableRow7 = (TableRow) findViewById(R.id.prox_light_dummy_row1);
            this.mTableRow1_Dummy1 = tableRow7;
            tableRow7.setVisibility(4);
            TableRow tableRow8 = (TableRow) findViewById(R.id.light_row1);
            this.mTableRow1_Light = tableRow8;
            tableRow8.setVisibility(0);
            this.mText_Light_Row1_Col1 = (TextView) findViewById(R.id.light_row1_col1);
            this.mText_Light_Row1_Col2 = (TextView) findViewById(R.id.light_row1_col2);
            this.mText_Light_Row1_Col3 = (TextView) findViewById(R.id.light_row1_col3);
            TableRow tableRow9 = (TableRow) findViewById(R.id.light_row2);
            this.mTableRow2_Light = tableRow9;
            tableRow9.setVisibility(0);
            this.mText_Light_Row2_Col1 = (TextView) findViewById(R.id.light_row2_col1);
            this.mText_Light_Row2_Col2 = (TextView) findViewById(R.id.light_row2_col2);
            this.mText_Light_Row2_Col3 = (TextView) findViewById(R.id.light_row2_col3);
            TableRow tableRow10 = (TableRow) findViewById(R.id.light_row3);
            this.mTableRow3_Light = tableRow10;
            tableRow10.setVisibility(0);
            this.mText_Light_Row3_Col1 = (TextView) findViewById(R.id.light_row3_col1);
            this.mText_Light_Row3_Col2 = (TextView) findViewById(R.id.light_row3_col2);
            this.mText_Light_Row3_Col3 = (TextView) findViewById(R.id.light_row3_col3);
            TableRow tableRow11 = (TableRow) findViewById(R.id.light_row4);
            this.mTableRow4_Light = tableRow11;
            tableRow11.setVisibility(0);
            this.mText_Light_Row4_Col1 = (TextView) findViewById(R.id.light_row4_col1);
            this.mText_Light_Row4_Col2 = (TextView) findViewById(R.id.light_row4_col2);
            this.mText_Light_Row4_Col3 = (TextView) findViewById(R.id.light_row4_col3);
        }
        boolean z = this.mIsIrisTestProximity;
        if (z && !this.mIsTestLight) {
            this.mText_Title.setText("IRIS_PROX");
        } else if (z || !this.mIsTestLight) {
            this.mText_Title.setText("IRIS_PROX_LIGHT");
        } else {
            this.mText_Title.setText("LIGHT");
        }
    }

    private void setWidthCol3() {
        if (this.mIsIrisTestProximity) {
            this.mText_Proximity_Row4_Col3.setText("pass");
            this.mText_Proximity_Row4_Col3.setTextColor(getResources().getColor(R.color.background));
        }
        if (this.mIsTestLight && !this.mIsIrisTestProximity) {
            this.mText_Light_Row3_Col3.setText("pass");
            this.mText_Light_Row3_Col3.setTextColor(getResources().getColor(R.color.background));
        }
    }

    private void setUIRate() {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "setUIRate", "rate : " + this.mUIRate);
        float f = this.mUIRate;
        if (f != 0.0f && f != 1.0f) {
            TextView textView = this.mText_Title;
            textView.setTextSize(textView.getTextSize() * this.mUIRate);
            if (this.mIsIrisTestProximity) {
                TextView textView2 = this.mText_Proximity_Row2_Col1;
                textView2.setTextSize(0, textView2.getTextSize() * this.mUIRate);
                TextView textView3 = this.mText_Proximity_Row2_Col2;
                textView3.setTextSize(0, textView3.getTextSize() * this.mUIRate);
                TextView textView4 = this.mText_Proximity_Row2_Col3;
                textView4.setTextSize(0, textView4.getTextSize() * this.mUIRate);
                TextView textView5 = this.mText_Proximity_Row3_Col1;
                textView5.setTextSize(0, textView5.getTextSize() * this.mUIRate);
                TextView textView6 = this.mText_Proximity_Row3_Col2;
                textView6.setTextSize(0, textView6.getTextSize() * this.mUIRate);
                TextView textView7 = this.mText_Proximity_Row3_Col3;
                textView7.setTextSize(0, textView7.getTextSize() * this.mUIRate);
                TextView textView8 = this.mText_Proximity_Row4_Col1;
                textView8.setTextSize(0, textView8.getTextSize() * this.mUIRate);
                TextView textView9 = this.mText_Proximity_Row4_Col2;
                textView9.setTextSize(0, textView9.getTextSize() * this.mUIRate);
                TextView textView10 = this.mText_Proximity_Row4_Col3;
                textView10.setTextSize(0, textView10.getTextSize() * this.mUIRate);
                TextView textView11 = this.mText_Proximity_Row5_Col1;
                textView11.setTextSize(0, textView11.getTextSize() * this.mUIRate);
                TextView textView12 = this.mText_Proximity_Row5_Col2;
                textView12.setTextSize(0, textView12.getTextSize() * this.mUIRate);
                TextView textView13 = this.mText_Proximity_Row5_Col3;
                textView13.setTextSize(0, textView13.getTextSize() * this.mUIRate);
                TextView textView14 = this.mText_Proximity_Row6_Col1;
                textView14.setTextSize(0, textView14.getTextSize() * this.mUIRate);
                TextView textView15 = this.mText_Proximity_Row6_Col2;
                textView15.setTextSize(0, textView15.getTextSize() * this.mUIRate);
                TextView textView16 = this.mText_Proximity_Row6_Col3;
                textView16.setTextSize(0, textView16.getTextSize() * this.mUIRate);
                TextView textView17 = this.mText_Proximity_Row7_Col1;
                textView17.setTextSize(0, textView17.getTextSize() * this.mUIRate);
                TextView textView18 = this.mText_Proximity_Row7_Col2;
                textView18.setTextSize(0, textView18.getTextSize() * this.mUIRate);
                TextView textView19 = this.mText_Proximity_Row7_Col3;
                textView19.setTextSize(0, textView19.getTextSize() * this.mUIRate);
            }
            if (this.mIsTestLight) {
                TextView textView20 = (TextView) findViewById(R.id.prox_light_dummy_row1_col1);
                this.mText_Dummy_Row1_Col1 = textView20;
                textView20.setTextSize(0, textView20.getTextSize() * this.mUIRate);
                TextView textView21 = this.mText_Light_Row1_Col1;
                textView21.setTextSize(0, textView21.getTextSize() * this.mUIRate);
                TextView textView22 = this.mText_Light_Row1_Col2;
                textView22.setTextSize(0, textView22.getTextSize() * this.mUIRate);
                TextView textView23 = this.mText_Light_Row1_Col3;
                textView23.setTextSize(0, textView23.getTextSize() * this.mUIRate);
                TextView textView24 = this.mText_Light_Row2_Col1;
                textView24.setTextSize(0, textView24.getTextSize() * this.mUIRate);
                TextView textView25 = this.mText_Light_Row2_Col2;
                textView25.setTextSize(0, textView25.getTextSize() * this.mUIRate);
                TextView textView26 = this.mText_Light_Row2_Col3;
                textView26.setTextSize(0, textView26.getTextSize() * this.mUIRate);
                TextView textView27 = this.mText_Light_Row3_Col1;
                textView27.setTextSize(0, textView27.getTextSize() * this.mUIRate);
                TextView textView28 = this.mText_Light_Row3_Col2;
                textView28.setTextSize(0, textView28.getTextSize() * this.mUIRate);
                TextView textView29 = this.mText_Light_Row3_Col3;
                textView29.setTextSize(0, textView29.getTextSize() * this.mUIRate);
                TextView textView30 = this.mText_Light_Row4_Col1;
                textView30.setTextSize(0, textView30.getTextSize() * this.mUIRate);
                TextView textView31 = this.mText_Light_Row4_Col2;
                textView31.setTextSize(0, textView31.getTextSize() * this.mUIRate);
                TextView textView32 = this.mText_Light_Row4_Col3;
                textView32.setTextSize(0, textView32.getTextSize() * this.mUIRate);
            }
        }
    }

    private void setRelease() {
        this.mLinearBackground.setBackgroundColor(-1);
        if (Support.TestCase.getEnabled(Support.TestCase.IS_PROXIMITY_TEST_MOTOR_FEEDBACK)) {
            this.mModuleDevice.stopVibrate();
        }
    }

    private void setWorking() {
        this.mLinearBackground.setBackgroundColor(-16711936);
        if (Support.TestCase.getEnabled(Support.TestCase.IS_PROXIMITY_TEST_MOTOR_FEEDBACK)) {
            this.mModuleDevice.startVibrate();
        }
    }

    private void exit() {
        FtUtil.log_d(this.CLASS_NAME, "exit", null);
        setRelease();
        if (this.isPass) {
            setTestResult((byte) 80);
        } else {
            setTestResultFailCase(17);
        }
        finish();
    }
}
