package com.sec.factory.app.ui;

import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import com.samsung.android.sdk.cover.ScoverManager;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.ModuleCoverID;
import com.sec.factory.modules.ModuleNfc;
import com.sec.factory.support.FtUtil;

public class UILEDCover extends UIBase implements View.OnClickListener {
    private static final int TOUCH_TEST_TIMEOUT_DELAY = 5000;
    private final String CLASS_NAME = "UILEDCover";
    private final int ENABLE_PASS_BTN = 1002;
    private final int FINISH_TEST = 1013;
    private final int FULL_LED_ON = 1001;
    private final String LOG_TAG = "[UTOPIA_NFC_LEDCOVER]";
    private Button btn_fail;
    private Button btn_pass;
    private int currentTest = -1;
    private boolean isStoppedLedCover = false;
    private NfcLedCoverCallback mCallbackCall = null;
    private ScoverManager mCoverManager = null;
    private boolean mEnableTouchEvent = false;
    public Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UILEDCover.AnonymousClass2 */

        public void handleMessage(Message msg) {
            switch (msg.what) {
                case 1001:
                    UILEDCover.this.fullLedOnTest();
                    return;
                case 1002:
                    UILEDCover.this.btn_pass.setEnabled(true);
                    return;
                case 1013:
                    UILEDCover.this.mHandler.removeMessages(1013);
                    UILEDCover.this.finish();
                    return;
                default:
                    return;
            }
        }
    };
    private ModuleCoverID mNfcCoverID;
    private TextView text_detect_result;

    public UILEDCover() {
        super("UILEDCover", 148);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_led_cover);
        this.text_detect_result = (TextView) findViewById(R.id.detect_result);
        this.btn_pass = (Button) findViewById(R.id.btn_pass);
        this.btn_fail = (Button) findViewById(R.id.btn_fail);
        this.btn_pass.setOnClickListener(this);
        this.btn_fail.setOnClickListener(this);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        FtUtil.log_d("UILEDCover", "onResume", "[UTOPIA_NFC_LEDCOVER]" + FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(148), "Start"));
        if (this.mCoverManager == null) {
            this.mCoverManager = new ScoverManager(this);
        }
        ModuleCoverID moduleCoverID = new ModuleCoverID("UILEDCover", this, new ModuleCoverID.CoverIDListener() {
            /* class com.sec.factory.app.ui.UILEDCover.AnonymousClass1 */

            @Override // com.sec.factory.modules.ModuleCoverID.CoverIDListener
            public void onAuthenticationResult(String result, String serialNo, String id, String attachInfo, String detachInfo) {
                FtUtil.log_d("UILEDCover", "onAuthenticationResult", "[UTOPIA_NFC_LEDCOVER]result = " + result + ", serialNumber = " + serialNo + ", ID = " + id + ", AttachInfo = " + attachInfo + ", DetachInfo = " + detachInfo);
                if (UILEDCover.this.mNfcCoverID != null) {
                    UILEDCover.this.mNfcCoverID.unRegisterReceiver();
                }
                try {
                    UILEDCover.this.mCoverManager.sendDataToNfcLedCover(-1, null);
                } catch (Exception e) {
                    FtUtil.log_i("UILEDCover", "Start LedCoverService app", "error");
                }
                UILEDCover.this.detectTest(result, id);
            }
        });
        this.mNfcCoverID = moduleCoverID;
        moduleCoverID.registerReceiver(ModuleCoverID.ACTION_START_AUTHENTICATION_RESULT);
        this.mNfcCoverID.sendRequest(ModuleCoverID.ACTION_START_AUTHENTICATION_REQUEST);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        ModuleCoverID moduleCoverID = this.mNfcCoverID;
        if (moduleCoverID != null) {
            moduleCoverID.unRegisterReceiver();
        }
        stopLedCover();
        super.onPause();
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.btn_fail:
                FtUtil.log_d("UILEDCover", "onClick", "[UTOPIA_NFC_LEDCOVER]" + FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(148), "FAIL - FAIL Button is clicked (NFC_FT)"));
                stopLedCover();
                this.mHandler.sendEmptyMessageDelayed(1013, 500);
                return;
            case R.id.btn_pass:
                FtUtil.log_d("UILEDCover", "onClick", "[UTOPIA_NFC_LEDCOVER]" + FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(148), "PASS - PASS Button is clicked (NFC_FT)"));
                setResult(-1);
                stopLedCover();
                this.mHandler.sendEmptyMessageDelayed(1013, 500);
                return;
            default:
                return;
        }
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        sendBroadcast(ModuleNfc.NfcFunctions.NFC_DISABLE_DISCOVERY.getNfcIntent());
        super.onDestroy();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void detectTest(String result, String id) {
        String coverID = null;
        if (id != null && !"".equalsIgnoreCase(id)) {
            coverID = id.substring(3, 4);
        }
        if (!"OK".equalsIgnoreCase(result) || !"7".equalsIgnoreCase(coverID)) {
            FtUtil.log_i("UILEDCover", "detectTest", "[UTOPIA_NFC_LEDCOVER]FAIL info : " + result + ", id : " + id);
            this.text_detect_result.setTextColor(-65536);
            this.text_detect_result.setText("FAIL");
            FtUtil.log_d("UILEDCover", "detectTest", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(148), "FAIL - No LEDcover (NFC_FT)"));
            return;
        }
        FtUtil.log_i("UILEDCover", "detectTest", "[UTOPIA_NFC_LEDCOVER]PASS");
        this.text_detect_result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
        this.text_detect_result.setText("PASS");
        FtUtil.log_d("UILEDCover", "detectTest", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(148), "PASS - LEDcover detected (NFC_FT)"));
        try {
            this.mCoverManager.registerNfcTouchListener(5, this.mCallbackCall);
        } catch (Exception e) {
            FtUtil.log_i("UILEDCover", "onResume", "registration error");
        }
        this.mHandler.sendEmptyMessage(1001);
    }

    private String getTestName(int testName) {
        switch (testName) {
            case 1001:
                return "FULL_LED_ON_TEST";
            default:
                return "";
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void fullLedOnTest() {
        FtUtil.log_i("UILEDCover", "fullLedOnTest", "");
        this.currentTest = 1001;
        try {
            this.mCoverManager.unregisterNfcTouchListener(this.mCallbackCall);
        } catch (Exception e) {
            FtUtil.log_i("UILEDCover", "fullLedOnTest", "deregistration error");
        }
        setLED(true);
        this.mHandler.sendEmptyMessageDelayed(1002, 2000);
    }

    public void stopLedCover() {
        if (!this.isStoppedLedCover) {
            FtUtil.log_i("UILEDCover", "stopLedCover", "");
            try {
                this.mCoverManager.sendDataToNfcLedCover(18, new byte[]{0, 0});
                this.isStoppedLedCover = true;
            } catch (Exception e) {
                FtUtil.log_i("UILEDCover", "stopLedCover", "data transmission error");
            }
        }
    }

    private void setLED(boolean state) {
        FtUtil.log_i("UILEDCover", "setLED", "state = " + state);
        if (state) {
            try {
                this.mCoverManager.sendDataToNfcLedCover(112, new byte[]{2});
                FtUtil.log_i("UILEDCover", "setLED", "data transmission success");
            } catch (Exception e) {
                FtUtil.log_i("UILEDCover", "setLED", "data transmission error");
            }
        } else {
            try {
                this.mCoverManager.sendDataToNfcLedCover(112, new byte[]{4});
                FtUtil.log_i("UILEDCover", "setLED", "data transmission success");
            } catch (Exception e2) {
                FtUtil.log_i("UILEDCover", "setLED", "data transmission error");
            }
        }
    }

    private void incomingCall() {
        try {
            this.mCoverManager.sendDataToNfcLedCover(112, new byte[]{3});
            FtUtil.log_i("UILEDCover", "incomingCall", "data transmission success");
        } catch (Exception e) {
            FtUtil.log_i("UILEDCover", "incomingCall", "data transmission error");
        }
    }

    /* access modifiers changed from: package-private */
    public class NfcLedCoverCallback extends ScoverManager.NfcLedCoverTouchListener {
        public NfcLedCoverCallback(int type) {
        }

        @Override // com.samsung.android.sdk.cover.ScoverManager.NfcLedCoverTouchListener
        public void onCoverTouchAccept() {
            super.onCoverTouchAccept();
        }

        @Override // com.samsung.android.sdk.cover.ScoverManager.NfcLedCoverTouchListener
        public void onCoverTouchReject() {
            super.onCoverTouchReject();
        }
    }
}
