package com.sec.factory.app.ui;

import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import android.view.KeyEvent;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.NVAccessor;

public class UILEDKeyTest extends UIBaseWithNoLcd {
    public static final int MEDIA_PLAY_PAUSE = 1;
    public static final int VOLUME_DOWN = 2;
    public static final int VOLUME_MUTE = 3;
    public static final int VOLUME_UP = 0;
    private final String CLASS_NAME = "UILEDKeyTest";
    final Runnable checkResult = new Runnable() {
        /* class com.sec.factory.app.ui.UILEDKeyTest.AnonymousClass1 */

        public void run() {
            if (UILEDKeyTest.this.mIsPassed) {
                FtUtil.log_i("UILEDKeyTest", "checkResult", "Activity finish");
                UILEDKeyTest.this.setResult(-1);
                UILEDKeyTest.this.finish();
            }
        }
    };
    boolean[] mCheckedArray = {false, false, false, false};
    private boolean mIsPassed = false;
    private ModuleDevice mModuleDevice;
    private Handler mResultCheckerHandler = new Handler();
    private int mTestID = 0;
    private TextView mText_Media;
    private TextView mText_Mute;
    private TextView mText_Voldown;
    private TextView mText_Volup;

    public void DisplayAllKeys() {
        StringBuffer result = new StringBuffer();
        boolean[] zArr = this.mCheckedArray;
        for (boolean item : zArr) {
            result.append(" ");
            result.append(item);
        }
        FtUtil.log_i("UILEDKeyTest", "DisplayAllKeys", "results : " + result.toString());
        checkAllKeys();
    }

    public boolean checkAllKeys() {
        boolean result = true;
        boolean[] zArr = this.mCheckedArray;
        int length = zArr.length;
        int i = 0;
        while (true) {
            if (i >= length) {
                break;
            } else if (!zArr[i]) {
                FtUtil.log_i("UILEDKeyTest", "checkAllKeys", "not passed");
                result = false;
                break;
            } else {
                i++;
            }
        }
        if (result) {
            FtUtil.log_i("UILEDKeyTest", "checkAllKeys", "TEST_ID : " + this.TEST_ID + "ALL Key pressed ");
        }
        return result;
    }

    @Override // com.sec.factory.app.ui.UIBaseWithNoLcd, com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        FtUtil.log_d("UILEDKeyTest", "onCreate UILEDKeyTest");
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_led_key);
        this.mText_Volup = (TextView) findViewById(R.id.volume_up);
        this.mText_Media = (TextView) findViewById(R.id.media_play);
        this.mText_Voldown = (TextView) findViewById(R.id.volume_down);
        this.mText_Mute = (TextView) findViewById(R.id.volume_mute);
        resetTextView();
        NVAccessor.setNV(FactoryTestManager.TEST_LED_KEY, (byte) 78);
        int intExtra = getIntent().getIntExtra("testID", 0);
        this.mTestID = intExtra;
        setTestId(intExtra);
        this.mModuleDevice = ModuleDevice.instance(this);
        this.mText_Volup.setEnabled(true);
        this.mCheckedArray[0] = true;
        this.mModuleDevice.turnOnColorLED(ModuleDevice.COLORLED_RED, 0);
        FtUtil.log_i("UILEDKeyTest", "onKeyUp", "RED_ON!");
        DisplayAllKeys();
        this.result_manual_report = true;
        FtUtil.log_i("UILEDKeyTest", "onCreate", "RED_ON!");
    }

    public void resetTextView() {
        this.mText_Volup.setEnabled(false);
        this.mText_Media.setEnabled(false);
        this.mText_Voldown.setEnabled(false);
        this.mText_Mute.setEnabled(false);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        FtUtil.log_i("UILEDKeyTest", "onResume");
        super.onResume();
    }

    public void onWindowFocusChanged(boolean hasFocus) {
        FtUtil.log_i("UILEDKeyTest", "onWindowFocusChanged");
        super.onWindowFocusChanged(hasFocus);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        FtUtil.log_d("UILEDKeyTest", "onDestroy");
        this.result_manual_report = false;
        super.onDestroy();
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        FtUtil.log_d("UILEDKeyTest", "onPause");
        super.onPause();
    }

    @Override // com.sec.factory.app.ui.UIBaseWithNoLcd, com.sec.factory.app.ui.UIBase
    public boolean onKeyUp(int keyCode, KeyEvent event) {
        FtUtil.log_d("UILEDKeyTest", "onKeyUp", "keyCode : " + keyCode);
        switch (keyCode) {
            case 24:
                FtUtil.log_i("UILEDKeyTest", "onKeyUp", "KEYCODE_VOLUME_UP!");
                this.mText_Volup.setEnabled(true);
                this.mCheckedArray[0] = true;
                this.mModuleDevice.turnOnColorLED(ModuleDevice.COLORLED_RED, 0);
                FtUtil.log_i("UILEDKeyTest", "onKeyUp", "RED_ON!");
                break;
            case 25:
                FtUtil.log_i("UILEDKeyTest", "onKeyUp", "KEYCODE_VOLUME_DOWN!");
                this.mText_Voldown.setEnabled(true);
                this.mCheckedArray[2] = true;
                this.mModuleDevice.turnOnColorLED(ModuleDevice.COLORLED_BLUE, 0);
                FtUtil.log_i("UILEDKeyTest", "onKeyUp", "BLUE_ON!");
                break;
            case 85:
                FtUtil.log_i("UILEDKeyTest", "onKeyUp", "KEYCODE_MEDIA_PLAY_PAUSE!");
                this.mText_Media.setEnabled(true);
                this.mCheckedArray[1] = true;
                this.mModuleDevice.turnOnColorLED(ModuleDevice.COLORLED_GREEN, 0);
                FtUtil.log_i("UILEDKeyTest", "onKeyUp", "GREEN_ON!");
                break;
            case 91:
                FtUtil.log_i("UILEDKeyTest", "onKeyUp", "KEYCODE_MUTE!");
                this.mText_Mute.setEnabled(true);
                this.mCheckedArray[3] = true;
                this.mModuleDevice.turnOnWhiteLED();
                FtUtil.log_i("UILEDKeyTest", "onKeyUp", "WHITELED_ON!");
                break;
        }
        DisplayAllKeys();
        return super.onKeyUp(keyCode, event);
    }

    /* access modifiers changed from: protected */
    public void onActivityResult(int requestCode, int resultCode, Intent data) {
        FtUtil.log_d("UILEDKeyTest", "onActivityResult", "resultCode = " + requestCode);
        FactoryTestManager.notifyDataSetChanged();
    }
}
