package com.sec.factory.app.ui;

import android.app.Activity;
import android.graphics.Color;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.MotionEvent;
import android.view.View;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.ModulePower;
import com.sec.factory.modules.vrr.RefreshRateChangeUtil;
import com.sec.factory.modules.vrr.VRRcontants;
import com.sec.factory.support.FtUtil;
import java.lang.ref.WeakReference;

public class UILcd9GrayHS90HzTest extends UIBase implements View.OnTouchListener, View.OnClickListener {
    private static final int IGNORE_TOUCH_DELAY = 5000;
    private static final int IGNORE_TOUCH_END = 11;
    private static final int SHOW_PASS_FAIL_BTN = 10;
    private final int ColorB = 9;
    private final int ColorG = 9;
    private final int ColorR = 9;
    private LinearLayout mBgLayout;
    private Button mBtnFail;
    private Button mBtnPass;
    private boolean mIsShowBtnEnabled = false;
    private final WeakReferenceTestHandler mNotiHandler = new WeakReferenceTestHandler(this);
    private RefreshRateChangeUtil mRefreshRateChangeUtil;
    private TextView mTxtTitle;

    public UILcd9GrayHS90HzTest() {
        super("UILcd9Gray90HzTest", FactoryTestManager.TEST_LCD_9GRAY_HS90HZ_TEST);
    }

    private static class WeakReferenceTestHandler extends Handler {
        private final WeakReference<Activity> ref;

        public WeakReferenceTestHandler(Activity act) {
            this.ref = new WeakReference<>(act);
        }

        public void handleMessage(Message msg) {
            UILcd9GrayHS90HzTest act = (UILcd9GrayHS90HzTest) this.ref.get();
            switch (msg.what) {
                case 10:
                    act.displayTitle();
                    act.btnVisible(true);
                    return;
                case 11:
                    act.setShowBtnEnabledFlag(true);
                    return;
                default:
                    return;
            }
        }
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        FtUtil.log_d(this.CLASS_NAME, "onCreate", "onCreate");
        FtUtil.setRemoveSystemUI(getWindow(), true);
        FtUtil.setRemoveStatusBar(getWindow());
        this.mRefreshRateChangeUtil = new RefreshRateChangeUtil(this, this.mNotiHandler);
        setContentView(R.layout.ui_lcd_9gray_hs90hz_test);
        initializeUI();
        setShowBtnEnabledFlag(false);
    }

    private void initializeUI() {
        this.mBtnPass = (Button) findViewById(R.id.pass_btn);
        this.mBtnFail = (Button) findViewById(R.id.fail_btn);
        this.mTxtTitle = (TextView) findViewById(R.id.lcd_test_title);
        LinearLayout linearLayout = (LinearLayout) findViewById(R.id.background);
        this.mBgLayout = linearLayout;
        linearLayout.setBackgroundColor(Color.rgb(9, 9, 9));
        this.mBgLayout.setOnTouchListener(this);
        this.mBtnPass.setOnClickListener(this);
        this.mBtnFail.setOnClickListener(this);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setShowBtnEnabledFlag(boolean value) {
        this.mIsShowBtnEnabled = value;
    }

    private boolean getShowBtnEnabledFlag() {
        return this.mIsShowBtnEnabled;
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        ModulePower.instance(this).setBrightness(255);
        FtUtil.log_d(this.CLASS_NAME, "onResume", "IGNORE_TOUCH_DELAY: 5000");
        this.mNotiHandler.sendEmptyMessageDelayed(11, 5000);
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        this.mRefreshRateChangeUtil.setRefreshRate(VRRcontants.REFRESH_RATE_MODE_ALWAYS, 90);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        this.mRefreshRateChangeUtil.restoreDefault();
        this.mNotiHandler.removeCallbacksAndMessages(null);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void btnVisible(boolean flag) {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "btnVisible", "Visible : " + flag);
        if (flag) {
            this.mBtnPass.setVisibility(0);
            this.mBtnFail.setVisibility(0);
            return;
        }
        this.mBtnPass.setVisibility(4);
        this.mBtnFail.setVisibility(4);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void displayTitle() {
        this.mTxtTitle.setTextColor(-1);
        this.mTxtTitle.setText("LCD 9Gray HS90Hz Test");
    }

    public boolean onTouch(View view, MotionEvent event) {
        switch (event.getAction()) {
            case 0:
                FtUtil.log_i(this.CLASS_NAME, "onTouch", "Touch down");
                if (!getShowBtnEnabledFlag()) {
                    return true;
                }
                this.mNotiHandler.sendEmptyMessage(10);
                return true;
            default:
                return true;
        }
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.fail_btn:
                FtUtil.log_i(this.CLASS_NAME, "onClick", "FAIL");
                finish();
                return;
            case R.id.pass_btn:
                FtUtil.log_i(this.CLASS_NAME, "onClick", "PASS");
                setTestResult((byte) 80);
                finish();
                return;
            default:
                return;
        }
    }
}
