package com.sec.factory.app.ui;

import android.content.Intent;
import android.graphics.BitmapFactory;
import android.graphics.drawable.BitmapDrawable;
import android.graphics.drawable.Drawable;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.KeyEvent;
import android.widget.RelativeLayout;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.optical.client.api.EgisFingerprint;

public class UILcdALPMTest extends UIBase {
    private static final int OFF_ALPM = 4;
    private static final int ON_ALPM_HIGH = 0;
    private static final int ON_ALPM_LOW = 1;
    private static final int ON_HLPM_HIGH = 2;
    private static final int ON_HLPM_LOW = 3;
    private static final int RELEASE_TOUCH = 5;
    private final int AT_DISP_ALPM_HIGH = 102;
    private final int AT_DISP_ALPM_LOW = 101;
    private final int AT_DISP_HLPM_HIGH = 103;
    private final int AT_DISP_HLPM_LOW = 104;
    private final int AT_DISP_SUB_HLPM_HIGH = 108;
    private int CURRENT_STATE = 0;
    private final int NO_TYPE = -1;
    private final String[] STRING_STATE = {"ALPM HIGH TEST", "ALPM LOW TEST", "HLPM HIGH TEST", "HLPM LOW TEST"};
    private boolean isAlpmOnly = false;
    private boolean isHlpmOnly = false;
    private boolean isStarted = false;
    private RelativeLayout m2ndBackground;
    private RelativeLayout mBackground;
    private final Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UILcdALPMTest.AnonymousClass1 */

        public void handleMessage(Message msg) {
            switch (msg.what) {
                case 0:
                    UILcdALPMTest.this.setALPM(1000, EgisFingerprint.MAJOR_VERSION);
                    return;
                case 1:
                    UILcdALPMTest.this.setALPM(1000, egis.client.api.EgisFingerprint.MAJOR_VERSION);
                    return;
                case 2:
                    UILcdALPMTest.this.setALPM(1000, "4");
                    return;
                case 3:
                    UILcdALPMTest.this.setALPM(1000, "2");
                    return;
                case 4:
                    UILcdALPMTest.this.setALPM(100, "0");
                    return;
                case 5:
                    UILcdALPMTest.this.isStarted = true;
                    return;
                default:
                    return;
            }
        }
    };
    private String mPathLcdAlpm;
    private TextView mTextALPMTextTop;
    private boolean mTouched = false;
    private int test_mode = -1;

    public UILcdALPMTest() {
        super("UILcdALPMTest");
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setALPM(int delay, String value) {
        int releasement_delay = 0;
        if (this.test_mode == -1) {
            FtUtil.Sleep.sleep((long) delay);
        }
        setAlpmMode(value);
        if (this.test_mode == -1) {
            if (value.equals(EgisFingerprint.MAJOR_VERSION) || value.equals("4")) {
                releasement_delay = delay * 3;
            } else {
                releasement_delay = delay / 2;
            }
        }
        this.mHandler.sendEmptyMessageDelayed(5, (long) releasement_delay);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_lcd_alpm);
        this.test_mode = getIntent().getIntExtra("test_mode", -1);
        this.isAlpmOnly = getIntent().getBooleanExtra("alpm_only", false);
        this.isHlpmOnly = getIntent().getBooleanExtra("hlpm_only", false);
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "onCreate", "isAlpmOnly : " + this.isAlpmOnly + ", ishlpmOnly :" + this.isHlpmOnly);
        String str2 = this.CLASS_NAME;
        StringBuilder sb = new StringBuilder();
        sb.append("TEST_MODE: ");
        sb.append(this.test_mode);
        FtUtil.log_d(str2, "onCreate", sb.toString());
        updateSimpleTestStates("ALPM");
        FtUtil.setRemoveSystemUI(getWindow(), true);
        this.mBackground = (RelativeLayout) findViewById(R.id.lcd_alpm);
        if (this.test_mode != -1) {
            this.CURRENT_STATE = getATDispIndex();
        } else if (this.isHlpmOnly) {
            this.CURRENT_STATE = 2;
        }
        changeBackground(this.CURRENT_STATE);
        this.mTextALPMTextTop = (TextView) findViewById(R.id.lpm_text_top);
        changeText(this.STRING_STATE[this.CURRENT_STATE]);
    }

    public void onStart() {
        FtUtil.log_d(this.CLASS_NAME, "onStart", "Start UILcdALPMTest");
        super.onStart();
        int initMsgDelay = 700;
        if (this.test_mode != -1) {
            initMsgDelay = 100;
        }
        this.mHandler.sendEmptyMessageDelayed(this.CURRENT_STATE, (long) initMsgDelay);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        FtUtil.log_d(this.CLASS_NAME, "onResume", "Start UILcdALPMTest");
        if (Support.Feature.getBoolean(Support.Feature.SUPPORT_LCD_FAST_DISCHARGE)) {
            if (Support.Kernel.write(Support.Kernel.LCD_FAST_DISCHARGE, "0")) {
                FtUtil.log_d(this.CLASS_NAME, "onResume", "LCD_FAST_DISCHARGE off");
            } else if (Support.Kernel.write(Support.Kernel.LCD_FAST_DISCHARGE_2ND, "0")) {
                FtUtil.log_d(this.CLASS_NAME, "onResume", "LCD_FAST_DISCHARGE_2ND off");
            } else {
                FtUtil.log_d(this.CLASS_NAME, "onResume", "no proper node off");
            }
        }
        super.onResume();
        sendBroadcast(new Intent("com.samsung.android.aircommandmanager.STOP_MONITORING"));
    }

    /* access modifiers changed from: protected */
    public void onStop() {
        FtUtil.log_d(this.CLASS_NAME, "onStop", "Stop UILcdALPMTest");
        super.onStop();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        FtUtil.log_d(this.CLASS_NAME, "onPause", "Stop UILcdALPMTest");
        super.onPause();
        sendBroadcast(new Intent("com.samsung.android.aircommandmanager.START_MONITORING"));
        checkATFinish();
        if (!Support.Feature.getBoolean(Support.Feature.SUPPORT_LCD_FAST_DISCHARGE)) {
            return;
        }
        if (Support.Kernel.write(Support.Kernel.LCD_FAST_DISCHARGE, egis.client.api.EgisFingerprint.MAJOR_VERSION)) {
            FtUtil.log_d(this.CLASS_NAME, "onPause", "LCD_FAST_DISCHARGE on");
        } else if (Support.Kernel.write(Support.Kernel.LCD_FAST_DISCHARGE_2ND, egis.client.api.EgisFingerprint.MAJOR_VERSION)) {
            FtUtil.log_d(this.CLASS_NAME, "onPause", "LCD_FAST_DISCHARGE_2ND on");
        } else {
            FtUtil.log_d(this.CLASS_NAME, "onPause", "no proper node on");
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        this.mHandler.removeMessages(0);
        recycleBackgroundView();
        super.onDestroy();
    }

    @Override // com.sec.factory.app.ui.UIBase
    public boolean onKeyUp(int keyCode, KeyEvent event) {
        if (!this.isStarted || keyCode == 26) {
            return true;
        }
        if (keyCode == 24) {
            checkStatus();
            return true;
        } else if (keyCode != 25) {
            return super.onKeyUp(keyCode, event);
        } else {
            FtUtil.log_d(this.CLASS_NAME, "onKeyDown", "Pressed volume down key");
            setAlpmMode("0");
            setResult(0);
            finish();
            return true;
        }
    }

    private void setAlpmMode(String value) {
        if (this.test_mode == 108) {
            this.mPathLcdAlpm = Support.Kernel.LCD_ALPM_2;
        } else {
            this.mPathLcdAlpm = Support.Kernel.LCD_ALPM;
        }
        if (Support.Kernel.write(this.mPathLcdAlpm, value)) {
            String result = Support.Kernel.read(this.mPathLcdAlpm);
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "setAlpmMode", "Result of LCD_ALPM = " + result);
        }
    }

    private void changeText(String value) {
        this.mTextALPMTextTop.setText(value);
    }

    private void changeBackground(int CURRENT_STATE2) {
        String strDrawable;
        if (CURRENT_STATE2 == 0 || CURRENT_STATE2 == 1) {
            strDrawable = "alpm";
        } else if (CURRENT_STATE2 == 2 || CURRENT_STATE2 == 3) {
            strDrawable = "hlpm";
        } else {
            return;
        }
        recycleBackgroundView();
        this.mBackground.setBackgroundDrawable(new BitmapDrawable(getResources(), BitmapFactory.decodeResource(getResources(), getResources().getIdentifier(strDrawable, "drawable", getPackageName()))));
    }

    private void checkATFinish() {
        int i = this.test_mode;
        if (i == 101 || i == 102 || i == 103 || i == 104 || i == 108) {
            setAlpmMode("0");
            finish();
        }
    }

    private void checkStatus() {
        int i = this.CURRENT_STATE;
        if (i == 3 || this.test_mode != -1 || (this.isAlpmOnly && i == 1)) {
            this.isStarted = true;
            if (this.test_mode == -1) {
                setAlpmMode("0");
            }
            setResult(-1);
            finish();
            return;
        }
        this.isStarted = false;
        int i2 = i + 1;
        this.CURRENT_STATE = i2;
        changeText(this.STRING_STATE[i2]);
        changeBackground(this.CURRENT_STATE);
        if (this.CURRENT_STATE == 2) {
            setAlpmMode("0");
        }
        this.mHandler.sendEmptyMessageDelayed(this.CURRENT_STATE, 700);
    }

    private int getATDispIndex() {
        switch (this.test_mode) {
            case -1:
                return this.CURRENT_STATE;
            case 101:
                return 1;
            case 102:
                return 0;
            case 103:
                return 2;
            case 104:
                return 3;
            case 108:
                return 2;
            default:
                return 0;
        }
    }

    private void recycleBackgroundView() {
        Drawable bg = this.mBackground.getBackground();
        if (bg != null) {
            bg.setCallback(null);
            ((BitmapDrawable) bg).getBitmap().recycle();
            this.mBackground.setBackgroundDrawable(null);
        }
    }

    @Override // com.sec.factory.app.ui.UIBase
    public boolean onKeyDown(int keyCode, KeyEvent event) {
        super.onKeyDown(keyCode, event);
        if (!this.mFlag_BackKey_Twice) {
            return true;
        }
        FtUtil.log_d(this.CLASS_NAME, "onKeyDown", "Return to ALPM normal");
        setAlpmMode("0");
        return true;
    }
}
