package com.sec.factory.app.ui;

import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.KeyEvent;
import android.view.View;
import com.sec.factory.R;
import com.sec.factory.modules.ModulePower;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class UILcdHLPMAlphabet extends UIBase {
    private static ModulePower mModulePower = null;
    private final long ENABLE_KEY_DELAY = 3000;
    private final int ENABLE_ON_KEY_UP = 10;
    private final long SET_HLPM_HIGH_DELAY = 50;
    private final int SET_HLPM_HIGH_MODE = 1;
    private final int SET_LCD_OFF = 12;
    private final int SET_LCD_ON = 11;
    private final long SET_LCD_ON_DELAY = 1000;
    private final int TEST_FINISH = 13;
    private boolean isCompleted = false;
    private boolean isKeyPressed = false;
    private boolean isSubDisp = false;
    private View mBackground;
    public Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UILcdHLPMAlphabet.AnonymousClass1 */

        public void handleMessage(Message msg) {
            switch (msg.what) {
                case 1:
                    UILcdHLPMAlphabet.this.setHlpmMode("4");
                    return;
                case 10:
                    UILcdHLPMAlphabet.this.isCompleted = true;
                    return;
                case 11:
                    UILcdHLPMAlphabet.this.lcdOn();
                    UILcdHLPMAlphabet.this.mHandler.sendEmptyMessageDelayed(13, 0);
                    return;
                case 12:
                    UILcdHLPMAlphabet.this.mHandler.sendEmptyMessageDelayed(11, 1000);
                    UILcdHLPMAlphabet.this.lcdOff();
                    return;
                case 13:
                    FtUtil.log_d(UILcdHLPMAlphabet.this.CLASS_NAME, "mHandler", "TEST_FINISH");
                    UILcdHLPMAlphabet.this.finish();
                    return;
                default:
                    return;
            }
        }
    };
    private String mPathLcdAlpm;

    public UILcdHLPMAlphabet() {
        super("UILcdHLPMAlphabet");
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_lcd_hlpm_alphabet);
        View findViewById = findViewById(R.id.background);
        this.mBackground = findViewById;
        findViewById.setBackgroundResource(R.drawable.hlpm_alphabet);
        FtUtil.setRemoveSystemUI(getWindow(), true);
        this.isSubDisp = getIntent().getBooleanExtra("sub_display", false);
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "onCreate", "isSubDisp : " + this.isSubDisp);
        if (mModulePower == null) {
            mModulePower = ModulePower.instance(this);
        }
        if (!Support.Feature.getBoolean(Support.Feature.SUPPORT_LCD_FAST_DISCHARGE)) {
            return;
        }
        if (Support.Kernel.write(Support.Kernel.LCD_FAST_DISCHARGE, "0")) {
            FtUtil.log_d(this.CLASS_NAME, "onResume", "LCD_FAST_DISCHARGE off");
        } else if (Support.Kernel.write(Support.Kernel.LCD_FAST_DISCHARGE_2ND, "0")) {
            FtUtil.log_d(this.CLASS_NAME, "onResume", "LCD_FAST_DISCHARGE_2ND off");
        } else {
            FtUtil.log_d(this.CLASS_NAME, "onResume", "no proper node off");
        }
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        FtUtil.log_d(this.CLASS_NAME, "onResume", "Start UILcdHLPMAlphabet");
        super.onResume();
        sendBroadcast(new Intent("com.samsung.android.aircommandmanager.STOP_MONITORING"));
    }

    /* access modifiers changed from: protected */
    public void onStop() {
        FtUtil.log_d(this.CLASS_NAME, "onStop", "Stop UILcdHLPMAlphabet");
        super.onStop();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        FtUtil.log_d(this.CLASS_NAME, "onPause", "Stop UILcdHLPMAlphabet");
        super.onPause();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        this.mHandler.removeMessages(0);
        super.onDestroy();
        mModulePower.doPartialWakeLock(false);
        mModulePower.doWakeLock(false);
    }

    public void onWindowFocusChanged(boolean hasFocus) {
        if (hasFocus && !this.isCompleted) {
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "onWindowFocusChanged", "hasFocus = " + hasFocus);
            this.mHandler.sendEmptyMessageDelayed(1, 50);
            this.mHandler.sendEmptyMessageDelayed(10, 3000);
        }
    }

    @Override // com.sec.factory.app.ui.UIBase
    public boolean onKeyUp(int keyCode, KeyEvent event) {
        if (!this.isCompleted || this.isKeyPressed || keyCode == 26) {
            return true;
        }
        if (keyCode == 24) {
            setResult(-1);
            testEnd();
            this.mHandler.sendEmptyMessageDelayed(12, 0);
            this.isKeyPressed = true;
            return true;
        } else if (keyCode != 25) {
            return super.onKeyUp(keyCode, event);
        } else {
            FtUtil.log_d(this.CLASS_NAME, "onKeyDown", "Pressed volume down key");
            setHlpmMode("0");
            setResult(0);
            testEnd();
            this.mHandler.sendEmptyMessageDelayed(12, 0);
            this.isKeyPressed = true;
            return true;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setHlpmMode(String value) {
        if (this.isSubDisp) {
            this.mPathLcdAlpm = Support.Kernel.LCD_ALPM_2;
        } else {
            this.mPathLcdAlpm = Support.Kernel.LCD_ALPM;
        }
        if (Support.Kernel.write(this.mPathLcdAlpm, value)) {
            String result = Support.Kernel.read(this.mPathLcdAlpm);
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "setHlpmMode", "Result of LCD_HLPM_Alphabet = " + result);
        }
    }

    @Override // com.sec.factory.app.ui.UIBase
    public boolean onKeyDown(int keyCode, KeyEvent event) {
        super.onKeyDown(keyCode, event);
        if (!this.mFlag_BackKey_Twice) {
            return true;
        }
        FtUtil.log_d(this.CLASS_NAME, "onKeyDown", "Return to HLPM normal");
        setHlpmMode("0");
        return true;
    }

    private void testEnd() {
        FtUtil.log_d(this.CLASS_NAME, "testEnd", "");
        setHlpmMode("0");
        sendBroadcast(new Intent("com.samsung.android.aircommandmanager.START_MONITORING"));
        if (!Support.Feature.getBoolean(Support.Feature.SUPPORT_LCD_FAST_DISCHARGE)) {
            return;
        }
        if (Support.Kernel.write(Support.Kernel.LCD_FAST_DISCHARGE, EgisFingerprint.MAJOR_VERSION)) {
            FtUtil.log_d(this.CLASS_NAME, "onPause", "LCD_FAST_DISCHARGE on");
        } else if (Support.Kernel.write(Support.Kernel.LCD_FAST_DISCHARGE_2ND, EgisFingerprint.MAJOR_VERSION)) {
            FtUtil.log_d(this.CLASS_NAME, "onPause", "LCD_FAST_DISCHARGE_2ND on");
        } else {
            FtUtil.log_d(this.CLASS_NAME, "onPause", "no proper node on");
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void lcdOn() {
        FtUtil.log_d(this.CLASS_NAME, "lcdOn", "");
        mModulePower.doWakeLock(true);
        mModulePower.doPartialWakeLock(false);
        mModulePower.setScreenState(true);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void lcdOff() {
        FtUtil.log_d(this.CLASS_NAME, "lcdOff", "");
        mModulePower.doPartialWakeLock(true);
        mModulePower.doWakeLock(false);
        mModulePower.setScreenState(false);
    }
}
