package com.sec.factory.app.ui;

import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.KeyEvent;
import android.view.View;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.modules.ModulePower;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class UILcdHLPMAlphabetMain extends UIBase {
    private static ModulePower mModulePower = null;
    private final int AT_CMD = 107;
    private final long ENABLE_KEY_DELAY = 3000;
    private final int ENABLE_ON_KEY_UP = 10;
    private final long SET_HLPM_HIGH_DELAY = 1000;
    private final int SET_HLPM_HIGH_MODE = 1;
    private final int SET_LCD_OFF = 12;
    private final int SET_LCD_ON = 11;
    private final long SET_LCD_ON_DELAY = 1000;
    private final int TEST_FINISH = 13;
    private boolean isCompleted = false;
    private boolean isFinish = false;
    private boolean isKeyPressed = false;
    private boolean isStart = true;
    private View mBackground;
    public Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UILcdHLPMAlphabetMain.AnonymousClass1 */

        public void handleMessage(Message msg) {
            switch (msg.what) {
                case 1:
                    UILcdHLPMAlphabetMain.this.setHlpmMode("4");
                    return;
                case 10:
                    UILcdHLPMAlphabetMain.this.isCompleted = true;
                    return;
                case 11:
                    UILcdHLPMAlphabetMain.this.lcdOn();
                    if (UILcdHLPMAlphabetMain.this.isFinish) {
                        UILcdHLPMAlphabetMain.this.mHandler.sendEmptyMessageDelayed(13, 1000);
                    }
                    if (UILcdHLPMAlphabetMain.this.isStart) {
                        UILcdHLPMAlphabetMain.this.isStart = false;
                        UILcdHLPMAlphabetMain.this.mHandler.sendEmptyMessageDelayed(1, 1000);
                        UILcdHLPMAlphabetMain.this.mHandler.sendEmptyMessageDelayed(10, 3000);
                        return;
                    }
                    return;
                case 12:
                    UILcdHLPMAlphabetMain.this.mHandler.sendEmptyMessageDelayed(11, 1000);
                    UILcdHLPMAlphabetMain.this.lcdOff();
                    return;
                case 13:
                    FtUtil.log_d(UILcdHLPMAlphabetMain.this.CLASS_NAME, "mHandler", "TEST_FINISH");
                    UILcdHLPMAlphabetMain.this.finish();
                    return;
                default:
                    return;
            }
        }
    };
    private String mPathLcdAlpm;
    private TextView mTextTextTop;

    public UILcdHLPMAlphabetMain() {
        super("UILcdHLPMAlphabetMain");
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_lcd_hlpm_alphabet_main);
        this.mBackground = findViewById(R.id.background);
        TextView textView = (TextView) findViewById(R.id.text_top);
        this.mTextTextTop = textView;
        textView.setVisibility(8);
        if (getIntent().getIntExtra("test_mode", 0) == 107) {
            this.mTextTextTop.setVisibility(0);
            this.mTextTextTop.setText("HLPM HIGH TEST");
            this.mBackground.setBackgroundResource(R.drawable.hlpm);
        } else {
            this.mBackground.setBackgroundResource(R.drawable.hlpm_alphabet);
            setTestId(getIntent().getIntExtra("testID", 0));
        }
        FtUtil.setRemoveSystemUI(getWindow(), true);
        if (mModulePower == null) {
            mModulePower = ModulePower.instance(this);
        }
        if (Support.Feature.getBoolean(Support.Feature.SUPPORT_LCD_FAST_DISCHARGE)) {
            if (Support.Kernel.write(Support.Kernel.LCD_FAST_DISCHARGE, "0")) {
                FtUtil.log_d(this.CLASS_NAME, "onResume", "LCD_FAST_DISCHARGE off");
            } else if (Support.Kernel.write(Support.Kernel.LCD_FAST_DISCHARGE_2ND, "0")) {
                FtUtil.log_d(this.CLASS_NAME, "onResume", "LCD_FAST_DISCHARGE_2ND off");
            } else {
                FtUtil.log_d(this.CLASS_NAME, "onResume", "no proper node off");
            }
            this.mHandler.sendEmptyMessageDelayed(12, 0);
        }
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        FtUtil.log_d(this.CLASS_NAME, "onResume", "Start UILcdHLPMAlphabet");
        super.onResume();
        sendBroadcast(new Intent("com.samsung.android.aircommandmanager.STOP_MONITORING"));
    }

    /* access modifiers changed from: protected */
    public void onStop() {
        FtUtil.log_d(this.CLASS_NAME, "onStop", "Stop UILcdHLPMAlphabet");
        super.onStop();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        FtUtil.log_d(this.CLASS_NAME, "onPause", "Stop UILcdHLPMAlphabet");
        super.onPause();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        this.mHandler.removeMessages(0);
        super.onDestroy();
        mModulePower.doPartialWakeLock(false);
        mModulePower.doWakeLock(false);
    }

    public void onWindowFocusChanged(boolean hasFocus) {
        if (hasFocus && !this.isCompleted) {
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "onWindowFocusChanged", "hasFocus = " + hasFocus);
        }
    }

    @Override // com.sec.factory.app.ui.UIBase
    public boolean onKeyUp(int keyCode, KeyEvent event) {
        if (!this.isCompleted || this.isKeyPressed || keyCode == 26) {
            return true;
        }
        if (keyCode == 24) {
            FtUtil.log_d(this.CLASS_NAME, "onKeyDown", "Pressed volume up key");
            setTestResult((byte) 80);
            setResult(-1);
            testEnd();
            this.isKeyPressed = true;
            return true;
        } else if (keyCode != 25) {
            return super.onKeyUp(keyCode, event);
        } else {
            FtUtil.log_d(this.CLASS_NAME, "onKeyDown", "Pressed volume down key");
            setHlpmMode("0");
            setResult(0);
            testEnd();
            this.isKeyPressed = true;
            return true;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setHlpmMode(String value) {
        this.mPathLcdAlpm = Support.Kernel.LCD_ALPM;
        if (Support.Kernel.write(Support.Kernel.LCD_ALPM, value)) {
            String result = Support.Kernel.read(this.mPathLcdAlpm);
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "setHlpmMode", "Result of LCD_HLPM_Alphabet = " + result);
        }
    }

    @Override // com.sec.factory.app.ui.UIBase
    public boolean onKeyDown(int keyCode, KeyEvent event) {
        super.onKeyDown(keyCode, event);
        if (!this.mFlag_BackKey_Twice) {
            return true;
        }
        FtUtil.log_d(this.CLASS_NAME, "onKeyDown", "Return to HLPM normal");
        testEnd();
        return true;
    }

    private void testEnd() {
        FtUtil.log_d(this.CLASS_NAME, "testEnd", "");
        this.isFinish = true;
        setHlpmMode("0");
        sendBroadcast(new Intent("com.samsung.android.aircommandmanager.START_MONITORING"));
        if (Support.Feature.getBoolean(Support.Feature.SUPPORT_LCD_FAST_DISCHARGE)) {
            if (Support.Kernel.write(Support.Kernel.LCD_FAST_DISCHARGE, EgisFingerprint.MAJOR_VERSION)) {
                FtUtil.log_d(this.CLASS_NAME, "onPause", "LCD_FAST_DISCHARGE on");
            } else if (Support.Kernel.write(Support.Kernel.LCD_FAST_DISCHARGE_2ND, EgisFingerprint.MAJOR_VERSION)) {
                FtUtil.log_d(this.CLASS_NAME, "onPause", "LCD_FAST_DISCHARGE_2ND on");
            } else {
                FtUtil.log_d(this.CLASS_NAME, "onPause", "no proper node on");
            }
        }
        this.mHandler.sendEmptyMessageDelayed(12, 0);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void lcdOn() {
        FtUtil.log_d(this.CLASS_NAME, "lcdOn", "");
        mModulePower.doWakeLock(true);
        mModulePower.doPartialWakeLock(false);
        mModulePower.setScreenState(true);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void lcdOff() {
        FtUtil.log_d(this.CLASS_NAME, "lcdOff", "");
        mModulePower.doPartialWakeLock(true);
        mModulePower.doWakeLock(false);
        mModulePower.setScreenState(false);
    }
}
