package com.sec.factory.app.ui;

import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.NVAccessor;

public class UILeakageCurrentCheck extends UIBase implements View.OnClickListener {
    protected static final String CLASS_NAME = "UILeakageCurrentCheck";
    private Button button_fail;
    private Button button_pass;
    private int testId;
    private TextView text_result_fail;
    private TextView text_result_pass;
    private TextView text_title;

    public UILeakageCurrentCheck() {
        super(CLASS_NAME);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        FtUtil.log_i(CLASS_NAME, "onCreate", null);
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_leakage_current_check);
        int intExtra = getIntent().getIntExtra("testID", -1);
        this.testId = intExtra;
        setTestId(intExtra);
        LeakageCurrentCheckInit();
    }

    private void LeakageCurrentCheckInit() {
        this.text_title = (TextView) findViewById(R.id.title);
        this.text_result_pass = (TextView) findViewById(R.id.text_result_pass);
        this.text_result_fail = (TextView) findViewById(R.id.text_result_fail);
        this.button_pass = (Button) findViewById(R.id.button_pass);
        this.button_fail = (Button) findViewById(R.id.button_fail);
        this.text_result_pass.setVisibility(8);
        this.text_result_fail.setVisibility(8);
        if (this.testId == 224) {
            this.text_title.setText("Leakage Current Check 2");
        }
        this.button_pass.setOnClickListener(this);
        this.button_fail.setOnClickListener(this);
        this.button_pass.setVisibility(4);
        this.button_pass.setClickable(false);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        if (NVAccessor.getNV(FactoryTestManager.getItemNVKey(FactoryTestManager.getItemPosition_ID(this.TEST_ID))) == 80) {
            FtUtil.log_d(CLASS_NAME, "onPause", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(this.TEST_ID), "Pass - NV value is P"));
        }
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.button_fail:
                this.text_result_pass.setVisibility(8);
                this.text_result_fail.setVisibility(0);
                FtUtil.log_d(CLASS_NAME, "onClick", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(this.TEST_ID), "Fail - Click Fail Button by User"));
                return;
            case R.id.button_pass:
                this.text_result_pass.setVisibility(0);
                this.text_result_fail.setVisibility(8);
                setTestResult((byte) 80);
                FtUtil.log_d(CLASS_NAME, "onClick", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(this.TEST_ID), "Pass - Click Pass Button by User"));
                finish();
                return;
            default:
                return;
        }
    }
}
