package com.sec.factory.app.ui;

import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.modules.ModulePower;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.Random;

public class UILed_RandomTest extends UIBase implements View.OnClickListener {
    private static TextView textColor;
    private final int FINISH = 5;
    private String[] Ramdom_LED_NAME = new String[5];
    private int[] Random_LED = new int[5];
    private final int TEST_FIFTH = 4;
    private final int TEST_FIRST = 0;
    private final int TEST_FOURTH = 3;
    private final int TEST_SECOND = 1;
    private final int TEST_THIRD = 2;
    private boolean isMotorSupport;
    private final int mBlue = 4;
    private Button mButtonBlue;
    private Button mButtonExit;
    private Button mButtonGreen;
    private Button mButtonRed;
    private Button mButtonReset;
    private final int mGreen = 3;
    private boolean mIsLongPress = false;
    private ModuleDevice mModuleDevice;
    private final int mRed = 2;
    private String mTestCase;
    private int test_state = 0;

    public UILed_RandomTest() {
        super("UILed_RandomTest");
        boolean z = false;
        String testCase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML((byte) 0));
        this.mTestCase = testCase;
        if (testCase != null && testCase.contains("MOTOR")) {
            z = true;
        }
        this.isMotorSupport = z;
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        this.TEST_ID = getIntent().getIntExtra("testID", 0);
        this.isMotorSupport = getIntent().getBooleanExtra("motorSupport", false);
        setContentView(R.layout.ui_led_randomtest);
        this.mModuleDevice = ModuleDevice.instance(this);
        textColor = (TextView) findViewById(R.id.state_result);
        Button button = (Button) findViewById(R.id.button_red);
        this.mButtonRed = button;
        button.setTag(2);
        Button button2 = (Button) findViewById(R.id.button_green);
        this.mButtonGreen = button2;
        button2.setTag(3);
        Button button3 = (Button) findViewById(R.id.button_blue);
        this.mButtonBlue = button3;
        button3.setTag(4);
        this.mButtonRed.setOnClickListener(this);
        this.mButtonGreen.setOnClickListener(this);
        this.mButtonBlue.setOnClickListener(this);
        this.mButtonReset = (Button) findViewById(R.id.button_reset);
        this.mButtonExit = (Button) findViewById(R.id.button_exit);
        this.mButtonReset.setOnClickListener(this);
        this.mButtonExit.setOnClickListener(this);
        this.mModuleDevice.setLEDlamp(5);
        ModulePower.instance(this).setTouchLed(true);
        FtUtil.setRemoveSystemUI(getWindow(), true);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        if (this.isMotorSupport && !this.mModuleDevice.isVibrating()) {
            this.mModuleDevice.startVibrate(ModuleDevice.TIMELESS_VIBRATOR);
        }
        shuffleRandomLed();
    }

    private void shuffleRandomLed() {
        int[] iArr = this.Random_LED;
        iArr[0] = 2;
        iArr[1] = 3;
        iArr[2] = 4;
        String[] strArr = this.Ramdom_LED_NAME;
        strArr[0] = "RED LED";
        strArr[1] = "GREEN LED";
        strArr[2] = "BLUE LED";
        ArrayList<Integer> mNumberList = new ArrayList<>(Arrays.asList(0, 1, 2));
        Collections.shuffle(mNumberList);
        String[] strArr2 = this.Ramdom_LED_NAME;
        strArr2[3] = strArr2[mNumberList.get(0).intValue()];
        String[] strArr3 = this.Ramdom_LED_NAME;
        strArr3[4] = strArr3[mNumberList.get(1).intValue()];
        int[] iArr2 = this.Random_LED;
        iArr2[3] = iArr2[mNumberList.get(0).intValue()];
        int[] iArr3 = this.Random_LED;
        iArr3[4] = iArr3[mNumberList.get(1).intValue()];
        Random rnd = new Random();
        for (int i = 0; i < 5; i++) {
            int des = rnd.nextInt(5);
            int[] iArr4 = this.Random_LED;
            int tmp = iArr4[i];
            String[] strArr4 = this.Ramdom_LED_NAME;
            String str_temp = strArr4[i];
            iArr4[i] = iArr4[des];
            strArr4[i] = strArr4[des];
            iArr4[des] = tmp;
            strArr4[des] = str_temp;
        }
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "shuffleRandomLed", "Random_LED[ ] : " + this.Random_LED[0] + ", " + this.Random_LED[1] + ", " + this.Random_LED[2] + ", " + this.Random_LED[3] + ", " + this.Random_LED[4]);
        if (this.isMotorSupport) {
            updateSimpleTestStates(this.Ramdom_LED_NAME[this.test_state] + "/" + "MOTOR");
        } else {
            updateSimpleTestStates(this.Ramdom_LED_NAME[this.test_state]);
        }
        this.mModuleDevice.setLEDlamp(this.Random_LED[this.test_state]);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        if (this.isMotorSupport) {
            this.mModuleDevice.stopVibrate();
        }
        ModulePower.instance(this).setTouchLed(false);
        if (this.test_state != 5) {
            this.mModuleDevice.setLEDlamp(0);
        }
    }

    public void onClick(View v) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "onClick()", "v.getTag() : " + ((Integer) v.getTag()));
        switch (v.getId()) {
            case R.id.button_exit:
                FtUtil.log_d(this.CLASS_NAME, "onClick", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(this.TEST_ID), "Cancel - Exit button"));
                this.mModuleDevice.setLEDlamp(0);
                finish();
                break;
            case R.id.button_reset:
                FtUtil.log_i(this.CLASS_NAME, "onClick", "button_reset Click");
                textColor.setText("");
                this.mButtonRed.setEnabled(true);
                this.mButtonGreen.setEnabled(true);
                this.mButtonBlue.setEnabled(true);
                this.test_state = 0;
                shuffleRandomLed();
                break;
        }
        if (this.test_state != 5 && v.getTag() != null) {
            checkButton((Integer) v.getTag());
        }
    }

    private void checkButton(Integer resID) {
        FtUtil.log_i(this.CLASS_NAME, "test_state : " + this.Random_LED[this.test_state], "resID : " + resID.intValue());
        if (this.Random_LED[this.test_state] == resID.intValue()) {
            int i = this.test_state + 1;
            this.test_state = i;
            if (i == 1) {
                ModulePower.instance(this).setTouchLed(false);
            } else if (i == 2) {
                ModulePower.instance(this).setTouchLed(true);
            } else if (i == 3) {
                ModulePower.instance(this).setTouchLed(false);
            } else if (i == 4) {
                ModulePower.instance(this).setTouchLed(true);
            } else if (i == 5) {
                FtUtil.log_i(this.CLASS_NAME, "checkButton()", "ALL LED PASS");
                this.mModuleDevice.setLEDlamp(0);
                setResult(-1);
                finish();
                return;
            }
            textColor.setText("PASS");
            textColor.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            if (this.isMotorSupport) {
                updateSimpleTestStates(this.Ramdom_LED_NAME[this.test_state] + "/" + "MOTOR");
            } else {
                updateSimpleTestStates(this.Ramdom_LED_NAME[this.test_state]);
            }
            this.mModuleDevice.setLEDlamp(this.Random_LED[this.test_state]);
            return;
        }
        FtUtil.log_d(this.CLASS_NAME, "checkButton", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(this.TEST_ID), "Fail - wrong button"));
        this.mButtonRed.setEnabled(false);
        this.mButtonGreen.setEnabled(false);
        this.mButtonBlue.setEnabled(false);
        textColor.setText("FAIL");
        textColor.setTextColor(-65536);
    }
}
