package com.sec.factory.app.ui;

import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.KeyEvent;
import android.view.View;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.TableRow;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.sensors.SensorLight;
import com.sec.factory.sensors.SensorListener;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class UILightSensor extends UIBase implements View.OnClickListener, SensorListener {
    private final String FLIP_STATE_NORMAL = "0";
    public String LightSensorADCValue = "0.0";
    public String LightSensorMgrValue = "0.0";
    public final int MSG_SHOW_POINT = 1;
    public final int MSG_UPDATE_UI = 0;
    private int RANGE_LIGHT_BRIGHT = 150;
    private int RANGE_LIGHT_DARK = 15;
    private final int STEP1 = 0;
    private final int STEP2 = 1;
    private Button button_point;
    public boolean isFirstTry = true;
    public boolean isLight2TestOn = false;
    public boolean isLightTestOn = false;
    public boolean isPass = true;
    public boolean isTestDone = false;
    private String[] lightNumArray;
    private int lightSensorCount = 0;
    private Button mBtnExit;
    private Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UILightSensor.AnonymousClass1 */

        public void handleMessage(Message msg) {
            switch (msg.what) {
                case 0:
                    UILightSensor.this.updateUI();
                    return;
                case 1:
                    UILightSensor.this.mLightTeachingPoint.setVisibility(0);
                    UILightSensor.this.mLight2TeachingPoint.setVisibility(0);
                    UILightSensor.this.button_point.setVisibility(8);
                    return;
                default:
                    return;
            }
        }
    };
    private boolean mIs2ndTest = false;
    private boolean mIsPoint = false;
    private boolean mIsTestLight = false;
    private boolean mIsTestLight2 = false;
    private ProximityLightCircleView mLight2BlackPoint;
    private ProximityLightCircleView mLight2TeachingPoint;
    private ProximityLightCircleView mLightBlackPoint;
    private ProximityLightCircleView mLightTeachingPoint;
    private LinearLayout mLinearBackground;
    private ModuleDevice mModuleDevice;
    public SensorLight mSensorLight = null;
    private TableRow mTableRow1_Dummy1;
    private TableRow mTableRow1_Dummy2;
    private TableRow mTableRow1_Light;
    private TableRow mTableRow1_Light2;
    private TableRow mTableRow2_Light;
    private TableRow mTableRow2_Light2;
    private TableRow mTableRow3_Light;
    private TableRow mTableRow3_Light2;
    private TableRow mTableRow4_Light;
    private TableRow mTableRow4_Light2;
    private String mTestCase = null;
    private int mTestID = 0;
    private TextView mText_Dummy2_Row1_Col1;
    private TextView mText_Dummy_Row1_Col1;
    private TextView mText_Light2_Row1_Col1;
    private TextView mText_Light2_Row1_Col2;
    private TextView mText_Light2_Row1_Col3;
    private TextView mText_Light2_Row2_Col1;
    private TextView mText_Light2_Row2_Col2;
    private TextView mText_Light2_Row2_Col3;
    private TextView mText_Light2_Row3_Col1;
    private TextView mText_Light2_Row3_Col2;
    private TextView mText_Light2_Row3_Col3;
    private TextView mText_Light2_Row4_Col1;
    private TextView mText_Light2_Row4_Col2;
    private TextView mText_Light2_Row4_Col3;
    private TextView mText_Light_Row1_Col1;
    private TextView mText_Light_Row1_Col2;
    private TextView mText_Light_Row1_Col3;
    private TextView mText_Light_Row2_Col1;
    private TextView mText_Light_Row2_Col2;
    private TextView mText_Light_Row2_Col3;
    private TextView mText_Light_Row3_Col1;
    private TextView mText_Light_Row3_Col2;
    private TextView mText_Light_Row3_Col3;
    private TextView mText_Light_Row4_Col1;
    private TextView mText_Light_Row4_Col2;
    private TextView mText_Light_Row4_Col3;
    private TextView mText_Title;
    private final float mUIRate = Support.FactoryTestMenu.getUIRate(FactoryTestManager.convertorID_XML((byte) 17));
    public int step = 1;

    public UILightSensor() {
        super("UILightSensor");
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        String[] testCaseArray;
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_light_sensor);
        FtUtil.setRemoveSystemUI(getWindow(), true);
        this.mTestID = getIntent().getIntExtra("testID", 0);
        FtUtil.log_d(this.CLASS_NAME, "onCreate", "mTestID :" + this.mTestID);
        this.TEST_ID = this.mTestID;
        if (this.mTestID == 188) {
            FtUtil.log_d(this.CLASS_NAME, "onCreate", "mIs2ndTest :" + this.mIs2ndTest);
            this.mIs2ndTest = true;
        }
        String testCase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML(this.mTestID));
        this.mTestCase = testCase;
        if (testCase == null) {
            this.mTestCase = "LIGHT";
        }
        FtUtil.log_d(this.CLASS_NAME, "onCreate", "mTestCase :" + this.mTestCase);
        this.mIsTestLight = true;
        if (this.mTestCase.contains(",")) {
            String replaceAll = this.mTestCase.replaceAll(" ", "");
            this.mTestCase = replaceAll;
            testCaseArray = replaceAll.split(",");
            for (String str : testCaseArray) {
                if (str.contains("LIGHT")) {
                    this.lightSensorCount++;
                }
            }
            FtUtil.log_d(this.CLASS_NAME, "onCreate", "lightSensorCount : " + this.lightSensorCount);
            if (this.lightSensorCount > 1) {
                this.mIsTestLight2 = true;
            }
        } else {
            this.lightSensorCount = 1;
            testCaseArray = new String[]{this.mTestCase};
        }
        this.lightNumArray = new String[this.lightSensorCount];
        int lightNumIndex = 0;
        for (int k = 0; k < testCaseArray.length; k++) {
            if (testCaseArray[k].contains("LIGHT")) {
                String sensorNum = testCaseArray[k].replace("LIGHT", "");
                this.lightNumArray[lightNumIndex] = "0";
                if (!"".equals(sensorNum)) {
                    this.lightNumArray[lightNumIndex] = sensorNum;
                }
                lightNumIndex++;
            }
        }
        this.mIsPoint = Support.Kernel.isExistFile(Support.Kernel.LIGHT_SENSOR_CIRCLE);
        initialize();
        setWidthCol3();
        setUIRate();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        doSensorChange(0);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        SensorLight sensorLight = this.mSensorLight;
        if (sensorLight != null) {
            sensorLight.SensorOff();
        }
        if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
            Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, "0");
        }
        this.mHandler.removeMessages(0);
        this.mModuleDevice.stopVibrate();
        super.onPause();
    }

    @Override // com.sec.factory.sensors.SensorListener
    public void onSensorValueReceived(int mSensor, String value) {
        FtUtil.log_d(this.CLASS_NAME, "onSensorValueReceived", value);
        switch (mSensor) {
            case 0:
                String str = this.CLASS_NAME;
                FtUtil.log_d(str, "onSensorValueReceived", "NOTI : " + value);
                this.mHandler.sendEmptyMessage(0);
                return;
            case 1:
            case 2:
            default:
                return;
            case 3:
                String str2 = this.CLASS_NAME;
                FtUtil.log_d(str2, "onSensorValueReceived", "ID_MANAGER_LIGHT : " + value);
                this.LightSensorMgrValue = value;
                return;
            case 4:
                String str3 = this.CLASS_NAME;
                FtUtil.log_d(str3, "onSensorValueReceived", "ID_FILE____LIGHT_ADC : " + value);
                this.LightSensorADCValue = value;
                return;
        }
    }

    public void updateUI() {
        if (this.mIsTestLight && this.isLightTestOn) {
            if ("null".equals(this.LightSensorMgrValue)) {
                SetLightFail(EgisFingerprint.MAJOR_VERSION);
                FtUtil.log_d(this.CLASS_NAME, "updateUI", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(17), "Fail - Light sensor value is null"));
                this.isLightTestOn = false;
                this.step = 0;
                this.isPass = false;
                this.isTestDone = true;
            } else {
                TextView textView = this.mText_Light_Row4_Col1;
                textView.setText("LUX : " + this.LightSensorMgrValue);
            }
            TextView textView2 = this.mText_Light_Row3_Col1;
            textView2.setText("ADC : " + this.LightSensorADCValue);
            switch (this.step) {
                case 1:
                    if (Float.valueOf(this.LightSensorMgrValue).floatValue() >= ((float) this.RANGE_LIGHT_BRIGHT)) {
                        String str = this.CLASS_NAME;
                        FtUtil.log_d(str, "updateUI", "Light Stage : " + this.step);
                        this.step = 2;
                        this.mText_Light_Row2_Col2.setText("Release");
                        break;
                    }
                    break;
                case 2:
                    if (Float.valueOf(this.LightSensorMgrValue).floatValue() <= ((float) this.RANGE_LIGHT_DARK)) {
                        String str2 = this.CLASS_NAME;
                        FtUtil.log_d(str2, "updateUI", "Light Stage : " + this.step);
                        this.step = 3;
                        setWorking();
                        this.mText_Light_Row3_Col2.setText("Working");
                        this.mText_Light_Row3_Col3.setText("Pass");
                        this.mText_Light_Row3_Col3.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                        break;
                    }
                    break;
                case 3:
                    if (Float.valueOf(this.LightSensorMgrValue).floatValue() >= ((float) this.RANGE_LIGHT_BRIGHT)) {
                        String str3 = this.CLASS_NAME;
                        FtUtil.log_d(str3, "updateUI", "Light Stage : " + this.step);
                        if (this.mIsTestLight2) {
                            this.step = 1;
                            doSensorChange(1);
                        } else {
                            this.step = 0;
                            this.isTestDone = true;
                            setRelease();
                        }
                        this.isLightTestOn = false;
                        setRelease();
                        this.mText_Light_Row4_Col2.setText("Release");
                        this.mText_Light_Row4_Col3.setText("Pass");
                        this.mText_Light_Row4_Col3.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                        break;
                    }
                    break;
            }
        }
        if (this.mIsTestLight2 && this.isLight2TestOn) {
            if ("null".equals(this.LightSensorMgrValue)) {
                SetLightFail("2");
                FtUtil.log_d(this.CLASS_NAME, "updateUI", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(17), "Fail - Light sensor(2) value is null"));
                this.isLight2TestOn = false;
                this.step = 0;
                this.isPass = false;
                this.isTestDone = true;
            } else {
                TextView textView3 = this.mText_Light2_Row4_Col1;
                textView3.setText("LUX : " + this.LightSensorMgrValue);
            }
            TextView textView4 = this.mText_Light2_Row3_Col1;
            textView4.setText("ADC : " + this.LightSensorADCValue);
            switch (this.step) {
                case 1:
                    if (Float.valueOf(this.LightSensorMgrValue).floatValue() >= ((float) this.RANGE_LIGHT_BRIGHT)) {
                        String str4 = this.CLASS_NAME;
                        FtUtil.log_d(str4, "updateUI", "Light2 Stage : " + this.step);
                        this.step = 2;
                        this.mText_Light2_Row2_Col2.setText("Release");
                        break;
                    }
                    break;
                case 2:
                    if (Float.valueOf(this.LightSensorMgrValue).floatValue() <= ((float) this.RANGE_LIGHT_DARK)) {
                        String str5 = this.CLASS_NAME;
                        FtUtil.log_d(str5, "updateUI", "Light2 Stage : " + this.step);
                        this.step = 3;
                        setWorking();
                        this.mText_Light2_Row3_Col2.setText("Working");
                        this.mText_Light2_Row3_Col3.setText("Pass");
                        this.mText_Light2_Row3_Col3.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                        break;
                    }
                    break;
                case 3:
                    if (Float.valueOf(this.LightSensorMgrValue).floatValue() >= ((float) this.RANGE_LIGHT_BRIGHT)) {
                        String str6 = this.CLASS_NAME;
                        FtUtil.log_d(str6, "updateUI", "Light2 Stage : " + this.step);
                        this.step = 0;
                        this.isLight2TestOn = false;
                        this.isTestDone = true;
                        setRelease();
                        this.mText_Light2_Row4_Col2.setText("Release");
                        this.mText_Light2_Row4_Col3.setText("Pass");
                        this.mText_Light2_Row4_Col3.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                        break;
                    }
                    break;
            }
        }
        if (this.isTestDone) {
            exit();
        }
    }

    public void doSensorChange(int select) {
        FtUtil.log_d(this.CLASS_NAME, "doSensorChange", "");
        String light = "LIGHTEST";
        String sensorNum = this.lightNumArray[select];
        SensorLight sensorLight = this.mSensorLight;
        if (sensorLight != null) {
            sensorLight.SensorOff();
        }
        this.LightSensorMgrValue = "0.0";
        if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
            Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, sensorNum);
        }
        if (this.lightSensorCount > 1) {
            light = light + " " + (select + 1);
        }
        if (select == 0) {
            this.mText_Light_Row1_Col1.setText(light);
            this.mText_Light_Row1_Col2.setText("Pending");
        } else if (select == 1) {
            this.isLight2TestOn = true;
            this.mText_Light2_Row1_Col1.setText(light);
            this.mText_Light2_Row1_Col2.setText("Pending");
        }
        SensorLight sensorLight2 = new SensorLight(this);
        this.mSensorLight = sensorLight2;
        sensorLight2.SensorOn(this, new int[]{3, 4}, 100);
    }

    public void SetLightFail(String select) {
        if (EgisFingerprint.MAJOR_VERSION.equals(select)) {
            this.mText_Light_Row3_Col2.setText("Working");
            this.mText_Light_Row3_Col3.setText("Fail");
            this.mText_Light_Row3_Col3.setTextColor(-65536);
            this.mText_Light_Row4_Col2.setText("Release");
            this.mText_Light_Row4_Col3.setText("Fail");
            this.mText_Light_Row4_Col3.setTextColor(-65536);
            this.mText_Light_Row4_Col1.setText("LUX : NONE");
        } else if ("2".equals(select)) {
            this.mText_Light2_Row3_Col2.setText("Working");
            this.mText_Light2_Row3_Col3.setText("Fail");
            this.mText_Light2_Row3_Col3.setTextColor(-65536);
            this.mText_Light2_Row4_Col2.setText("Release");
            this.mText_Light2_Row4_Col3.setText("Fail");
            this.mText_Light2_Row4_Col3.setTextColor(-65536);
            this.mText_Light2_Row4_Col1.setText("LUX : NONE");
        }
    }

    @Override // com.sec.factory.app.ui.UIBase
    public boolean onKeyDown(int keyCode, KeyEvent event) {
        switch (keyCode) {
            case 25:
                if (this.isFirstTry) {
                    if (this.mIsTestLight) {
                        this.isLightTestOn = true;
                        this.mText_Light_Row2_Col2.setText("Release");
                        this.step = 2;
                    }
                    this.isFirstTry = false;
                    if (this.mIsPoint) {
                        this.button_point.setVisibility(8);
                        this.mLightTeachingPoint.setVisibility(8);
                        this.mLight2TeachingPoint.setVisibility(8);
                        break;
                    }
                }
                break;
        }
        return super.onKeyDown(keyCode, event);
    }

    private String[] getLightSensorCircleInfo() {
        String circleData = Support.Kernel.read(Support.Kernel.LIGHT_SENSOR_CIRCLE, true);
        if (circleData != null) {
            String[] arrCircle = circleData.split(" ");
            if (arrCircle.length % 3 == 0) {
                return arrCircle;
            }
            FtUtil.log_d(this.CLASS_NAME, "getLightSensorCircleInfo", "Circle sysfs values are wrong.");
            return null;
        }
        FtUtil.log_d(this.CLASS_NAME, "getLightSensorCircleInfo", "Circle sysfs is null.");
        return null;
    }

    private void initialize() {
        String[] arrCircle;
        float r;
        float r2;
        float y;
        float y2;
        float r22;
        float x2;
        FtUtil.log_d(this.CLASS_NAME, "initialize", "mIsTestLight : " + this.mIsTestLight);
        this.mModuleDevice = ModuleDevice.instance(this);
        this.RANGE_LIGHT_BRIGHT = Support.Spec.getInt(Support.Spec.RANGE_LIGHT_BRIGHT);
        this.RANGE_LIGHT_DARK = Support.Spec.getInt(Support.Spec.RANGE_LIGHT_DARK);
        this.mLinearBackground = (LinearLayout) findViewById(R.id.background);
        this.mText_Title = (TextView) findViewById(R.id.light_test_title);
        this.mLightTeachingPoint = (ProximityLightCircleView) findViewById(R.id.light_teaching_point);
        this.mLightBlackPoint = (ProximityLightCircleView) findViewById(R.id.light_black_point);
        this.mLight2TeachingPoint = (ProximityLightCircleView) findViewById(R.id.light2_teaching_point);
        this.mLight2BlackPoint = (ProximityLightCircleView) findViewById(R.id.light2_black_point);
        Button button = (Button) findViewById(R.id.button_exit);
        this.mBtnExit = button;
        button.setOnClickListener(this);
        this.mBtnExit.setVisibility(0);
        this.mBtnExit.setText("EXIT");
        if (this.mIsPoint && (arrCircle = getLightSensorCircleInfo()) != null) {
            try {
                float x = Float.parseFloat(arrCircle[0]);
                float y3 = Float.parseFloat(arrCircle[1]);
                r = Float.parseFloat(arrCircle[2]) / 2.0f;
                r2 = y3;
                y = x;
            } catch (Exception e) {
                y = 0.0f;
                r2 = 0.0f;
                r = 0.0f;
                FtUtil.log_d(this.CLASS_NAME, "initialize", "light_circle sysfs is wrong");
            }
            this.mLightTeachingPoint.setPoint(y, r2, r, -1);
            this.mLightBlackPoint.setPoint(y, r2, r * 10.0f, -16777216);
            this.mLightBlackPoint.setVisibility(0);
            if (this.mIsTestLight2) {
                try {
                    x2 = Float.parseFloat(arrCircle[3]);
                    y2 = Float.parseFloat(arrCircle[4]);
                    r22 = Float.parseFloat(arrCircle[5]) / 2.0f;
                } catch (Exception e2) {
                    y2 = 0.0f;
                    FtUtil.log_d(this.CLASS_NAME, "initialize", "light_circle sysfs is wrong");
                    x2 = 0.0f;
                    r22 = 0.0f;
                }
                this.mLight2TeachingPoint.setPoint(x2, y2, r22, -1);
                this.mLight2BlackPoint.setPoint(x2, y2, 10.0f * r22, -16777216);
                this.mLight2BlackPoint.setVisibility(0);
            }
            Button button2 = (Button) findViewById(R.id.button_point);
            this.button_point = button2;
            button2.setOnClickListener(this);
            this.button_point.setVisibility(0);
            this.button_point.setText("POINT");
        }
        if (this.mIsTestLight) {
            TableRow tableRow = (TableRow) findViewById(R.id.prox_light_dummy_row1);
            this.mTableRow1_Dummy1 = tableRow;
            tableRow.setVisibility(4);
            TableRow tableRow2 = (TableRow) findViewById(R.id.light_row1);
            this.mTableRow1_Light = tableRow2;
            tableRow2.setVisibility(0);
            this.mText_Light_Row1_Col1 = (TextView) findViewById(R.id.light_row1_col1);
            this.mText_Light_Row1_Col2 = (TextView) findViewById(R.id.light_row1_col2);
            this.mText_Light_Row1_Col3 = (TextView) findViewById(R.id.light_row1_col3);
            TableRow tableRow3 = (TableRow) findViewById(R.id.light_row2);
            this.mTableRow2_Light = tableRow3;
            tableRow3.setVisibility(0);
            this.mText_Light_Row2_Col1 = (TextView) findViewById(R.id.light_row2_col1);
            this.mText_Light_Row2_Col2 = (TextView) findViewById(R.id.light_row2_col2);
            this.mText_Light_Row2_Col3 = (TextView) findViewById(R.id.light_row2_col3);
            TableRow tableRow4 = (TableRow) findViewById(R.id.light_row3);
            this.mTableRow3_Light = tableRow4;
            tableRow4.setVisibility(0);
            this.mText_Light_Row3_Col1 = (TextView) findViewById(R.id.light_row3_col1);
            this.mText_Light_Row3_Col2 = (TextView) findViewById(R.id.light_row3_col2);
            this.mText_Light_Row3_Col3 = (TextView) findViewById(R.id.light_row3_col3);
            TableRow tableRow5 = (TableRow) findViewById(R.id.light_row4);
            this.mTableRow4_Light = tableRow5;
            tableRow5.setVisibility(0);
            this.mText_Light_Row4_Col1 = (TextView) findViewById(R.id.light_row4_col1);
            this.mText_Light_Row4_Col2 = (TextView) findViewById(R.id.light_row4_col2);
            this.mText_Light_Row4_Col3 = (TextView) findViewById(R.id.light_row4_col3);
        }
        if (this.mIsTestLight2) {
            TableRow tableRow6 = (TableRow) findViewById(R.id.prox_light_dummy2_row1);
            this.mTableRow1_Dummy2 = tableRow6;
            tableRow6.setVisibility(4);
            TableRow tableRow7 = (TableRow) findViewById(R.id.light2_row1);
            this.mTableRow1_Light2 = tableRow7;
            tableRow7.setVisibility(0);
            this.mText_Light2_Row1_Col1 = (TextView) findViewById(R.id.light2_row1_col1);
            this.mText_Light2_Row1_Col2 = (TextView) findViewById(R.id.light2_row1_col2);
            this.mText_Light2_Row1_Col3 = (TextView) findViewById(R.id.light2_row1_col3);
            TableRow tableRow8 = (TableRow) findViewById(R.id.light2_row2);
            this.mTableRow2_Light2 = tableRow8;
            tableRow8.setVisibility(0);
            this.mText_Light2_Row2_Col1 = (TextView) findViewById(R.id.light2_row2_col1);
            this.mText_Light2_Row2_Col2 = (TextView) findViewById(R.id.light2_row2_col2);
            this.mText_Light2_Row2_Col3 = (TextView) findViewById(R.id.light2_row2_col3);
            TableRow tableRow9 = (TableRow) findViewById(R.id.light2_row3);
            this.mTableRow3_Light2 = tableRow9;
            tableRow9.setVisibility(0);
            this.mText_Light2_Row3_Col1 = (TextView) findViewById(R.id.light2_row3_col1);
            this.mText_Light2_Row3_Col2 = (TextView) findViewById(R.id.light2_row3_col2);
            this.mText_Light2_Row3_Col3 = (TextView) findViewById(R.id.light2_row3_col3);
            TableRow tableRow10 = (TableRow) findViewById(R.id.light2_row4);
            this.mTableRow4_Light2 = tableRow10;
            tableRow10.setVisibility(0);
            this.mText_Light2_Row4_Col1 = (TextView) findViewById(R.id.light2_row4_col1);
            this.mText_Light2_Row4_Col2 = (TextView) findViewById(R.id.light2_row4_col2);
            this.mText_Light2_Row4_Col3 = (TextView) findViewById(R.id.light2_row4_col3);
        }
        if (this.mIsTestLight) {
            this.mText_Title.setText(this.mIs2ndTest ? "LIGHT 2" : "LIGHT");
        }
    }

    private void setWidthCol3() {
        if (this.mIsTestLight) {
            this.mText_Light_Row3_Col3.setText("pass");
            this.mText_Light_Row3_Col3.setTextColor(getResources().getColor(R.color.background));
        }
    }

    private void setUIRate() {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "setUIRate", "rate : " + this.mUIRate);
        float f = this.mUIRate;
        if (f != 0.0f && f != 1.0f) {
            TextView textView = this.mText_Title;
            textView.setTextSize(0, textView.getTextSize() * this.mUIRate);
            if (this.mIsPoint) {
                this.button_point.setTextSize(0, this.mText_Title.getTextSize() * this.mUIRate);
            }
            if (this.mIsTestLight) {
                TextView textView2 = (TextView) findViewById(R.id.prox_light_dummy_row1_col1);
                this.mText_Dummy_Row1_Col1 = textView2;
                textView2.setTextSize(0, textView2.getTextSize() * this.mUIRate);
                TextView textView3 = this.mText_Light_Row1_Col1;
                textView3.setTextSize(0, textView3.getTextSize() * this.mUIRate);
                TextView textView4 = this.mText_Light_Row1_Col2;
                textView4.setTextSize(0, textView4.getTextSize() * this.mUIRate);
                TextView textView5 = this.mText_Light_Row1_Col3;
                textView5.setTextSize(0, textView5.getTextSize() * this.mUIRate);
                TextView textView6 = this.mText_Light_Row2_Col1;
                textView6.setTextSize(0, textView6.getTextSize() * this.mUIRate);
                TextView textView7 = this.mText_Light_Row2_Col2;
                textView7.setTextSize(0, textView7.getTextSize() * this.mUIRate);
                TextView textView8 = this.mText_Light_Row2_Col3;
                textView8.setTextSize(0, textView8.getTextSize() * this.mUIRate);
                TextView textView9 = this.mText_Light_Row3_Col1;
                textView9.setTextSize(0, textView9.getTextSize() * this.mUIRate);
                TextView textView10 = this.mText_Light_Row3_Col2;
                textView10.setTextSize(0, textView10.getTextSize() * this.mUIRate);
                TextView textView11 = this.mText_Light_Row3_Col3;
                textView11.setTextSize(0, textView11.getTextSize() * this.mUIRate);
                TextView textView12 = this.mText_Light_Row4_Col1;
                textView12.setTextSize(0, textView12.getTextSize() * this.mUIRate);
                TextView textView13 = this.mText_Light_Row4_Col2;
                textView13.setTextSize(0, textView13.getTextSize() * this.mUIRate);
                TextView textView14 = this.mText_Light_Row4_Col3;
                textView14.setTextSize(0, textView14.getTextSize() * this.mUIRate);
            }
            if (this.mIsTestLight2) {
                TextView textView15 = (TextView) findViewById(R.id.prox_light_dummy2_row1_col1);
                this.mText_Dummy2_Row1_Col1 = textView15;
                textView15.setTextSize(0, textView15.getTextSize() * this.mUIRate);
                TextView textView16 = this.mText_Light2_Row1_Col1;
                textView16.setTextSize(0, textView16.getTextSize() * this.mUIRate);
                TextView textView17 = this.mText_Light2_Row1_Col2;
                textView17.setTextSize(0, textView17.getTextSize() * this.mUIRate);
                TextView textView18 = this.mText_Light2_Row1_Col3;
                textView18.setTextSize(0, textView18.getTextSize() * this.mUIRate);
                TextView textView19 = this.mText_Light2_Row2_Col1;
                textView19.setTextSize(0, textView19.getTextSize() * this.mUIRate);
                TextView textView20 = this.mText_Light2_Row2_Col2;
                textView20.setTextSize(0, textView20.getTextSize() * this.mUIRate);
                TextView textView21 = this.mText_Light2_Row2_Col3;
                textView21.setTextSize(0, textView21.getTextSize() * this.mUIRate);
                TextView textView22 = this.mText_Light2_Row3_Col1;
                textView22.setTextSize(0, textView22.getTextSize() * this.mUIRate);
                TextView textView23 = this.mText_Light2_Row3_Col2;
                textView23.setTextSize(0, textView23.getTextSize() * this.mUIRate);
                TextView textView24 = this.mText_Light2_Row3_Col3;
                textView24.setTextSize(0, textView24.getTextSize() * this.mUIRate);
                TextView textView25 = this.mText_Light2_Row4_Col1;
                textView25.setTextSize(0, textView25.getTextSize() * this.mUIRate);
                TextView textView26 = this.mText_Light2_Row4_Col2;
                textView26.setTextSize(0, textView26.getTextSize() * this.mUIRate);
                TextView textView27 = this.mText_Light2_Row4_Col3;
                textView27.setTextSize(0, textView27.getTextSize() * this.mUIRate);
            }
        }
    }

    private void setRelease() {
        if (Support.TestCase.getEnabled(Support.TestCase.IS_PROXIMITY_TEST_MOTOR_FEEDBACK)) {
            this.mModuleDevice.stopVibrate();
        }
        this.mLinearBackground.setBackgroundColor(-1);
    }

    private void setWorking() {
        if (Support.TestCase.getEnabled(Support.TestCase.IS_PROXIMITY_TEST_MOTOR_FEEDBACK)) {
            this.mModuleDevice.startVibrate();
        }
        this.mLinearBackground.setBackgroundColor(-16711936);
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.button_exit:
            case R.id.button_exit2:
                if (!this.isPass || !this.isTestDone) {
                    setTestResultFailCase(this.mTestID);
                } else {
                    setTestResult(this.mTestID, (byte) 80);
                }
                finish();
                return;
            case R.id.button_point:
                this.mHandler.sendEmptyMessage(1);
                return;
            default:
                return;
        }
    }

    private void exit() {
        FtUtil.log_d(this.CLASS_NAME, "exit", null);
        setRelease();
        if (this.isPass) {
            setTestResult(this.mTestID, (byte) 80);
        } else {
            setTestResultFailCase(this.mTestID);
        }
        finish();
    }
}
