package com.sec.factory.app.ui;

import android.app.Activity;
import android.content.Intent;
import android.graphics.drawable.Drawable;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.View;
import com.sec.factory.R;
import com.sec.factory.modules.ModulePower;
import com.sec.factory.modules.ModuleSensor;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import com.sec.xmldata.support.XMLDataStorage;
import egis.client.api.EgisFingerprint;

public class UILightSensorCal extends Activity {
    private static final String CLASS_NAME = "UILightSensorCal";
    private final String FLIP_STATE_NORMAL = "0";
    private final String INTENT_LIGHT_CAL_RESPONSE = "com.sec.factory.LIGHT_CAL_RESPONSE";
    private final int MAX_BRIGHTNESS = 255;
    private final byte MSG_START_TEST = 1;
    private Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UILightSensorCal.AnonymousClass1 */

        public void handleMessage(Message msg) {
            switch (msg.what) {
                case 1:
                    UILightSensorCal.this.startTest();
                    return;
                default:
                    return;
            }
        }
    };
    private ModulePower mModulePower;
    private ModuleSensor mModuleSensor;
    private int prevBrightness;
    String[] resultArray = null;
    private int[] sensorID;
    private String sensorNum;

    /* access modifiers changed from: protected */
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        if (!XMLDataStorage.instance().wasCompletedParsing()) {
            FtUtil.log_d(CLASS_NAME, "onCreate", "XML data parsing was failed.");
            XMLDataStorage.instance().parseXML(this);
        }
        FtUtil.setSystemKeyBlock(getComponentName(), 187);
        FtUtil.setSystemKeyBlock(getComponentName(), 65);
        FtUtil.setSystemKeyBlock(getComponentName(), 64);
        FtUtil.setSystemKeyBlock(getComponentName(), 3);
        FtUtil.setSystemKeyBlock(getComponentName(), 26);
        FtUtil.setSystemKeyBlock(getComponentName(), 84);
        FtUtil.setSystemKeyBlock(getComponentName(), 1082);
        FtUtil.setRemoveStatusBar(getWindow());
        getWindow().addFlags(128);
        FtUtil.log_i(CLASS_NAME, "onCreate", "Create UILightSensorCal");
        FtUtil.disableDisplayCutOutMode(getWindow(), true);
        Drawable gray = getResources().getDrawable(R.drawable.gray230);
        View view = new View(this);
        view.setBackground(gray);
        setContentView(view);
        this.sensorNum = getIntent().getStringExtra("sensorNum");
        this.mModuleSensor = ModuleSensor.instance(this);
        this.mModulePower = ModulePower.instance(this);
    }

    /* access modifiers changed from: protected */
    public void onPause() {
        this.mModulePower.setBrightness(this.prevBrightness);
        this.mModuleSensor.SensorOff(this.sensorID);
        super.onPause();
    }

    /* access modifiers changed from: protected */
    public void onResume() {
        super.onResume();
        this.prevBrightness = this.mModulePower.getBrightness();
        int[] iArr = {ModuleSensor.ID_MANAGER_LIGHT};
        this.sensorID = iArr;
        this.mModuleSensor.SensorOn(iArr);
        this.mModulePower.setBrightness(255);
        this.mHandler.sendEmptyMessageDelayed(1, 1000);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void startTest() {
        FtUtil.log_d(CLASS_NAME, "startTest", "Light sensor " + this.sensorNum);
        if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
            Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, this.sensorNum);
        }
        boolean step1Result = Support.Kernel.write(Support.Kernel.LIGHT_SENSOR_CAL, "0");
        FtUtil.Sleep.sleep(300);
        boolean step2Result = Support.Kernel.write(Support.Kernel.LIGHT_SENSOR_CAL, EgisFingerprint.MAJOR_VERSION);
        FtUtil.Sleep.sleep(300);
        String result = Support.Kernel.read(Support.Kernel.LIGHT_SENSOR_CAL);
        if (result != null) {
            this.resultArray = result.split(",");
        }
        String[] strArr = this.resultArray;
        boolean step3Result = strArr != null && strArr.length == 3;
        if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
            Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, "0");
        }
        Intent intent = new Intent("com.sec.factory.LIGHT_CAL_RESPONSE");
        if (!step1Result || !step2Result || !step3Result) {
            intent.putExtra("completed", "NG");
        } else {
            if (EgisFingerprint.MAJOR_VERSION.equals(this.resultArray[0])) {
                this.resultArray[0] = "OK";
            } else {
                this.resultArray[0] = "NG";
            }
            intent.putExtra("completed", "OK");
            intent.putExtra("result", this.resultArray[0] + "," + this.resultArray[1] + "," + this.resultArray[2]);
        }
        sendBroadcast(intent);
        finish();
    }
}
