package com.sec.factory.app.ui;

import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.View;
import android.widget.Button;
import android.widget.LinearLayout;
import com.sec.factory.R;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;

public class UILogoLightTest extends UIBase implements View.OnClickListener {
    private static final String LED_OFF = "0";
    private static final String LED_ON = "1";
    private static final int MSG_SHOW_BUTTONS = 1;
    private static final String TAG = "UILogoLightTest";
    private Button mButtonFail;
    private Button mButtonPass;
    private Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UILogoLightTest.AnonymousClass1 */

        public void handleMessage(Message msg) {
            switch (msg.what) {
                case 1:
                    UILogoLightTest.this.mLinearLayoutButtonDepot.setVisibility(0);
                    return;
                default:
                    return;
            }
        }
    };
    private LinearLayout mLinearLayoutButtonDepot;

    public UILogoLightTest() {
        super(TAG);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        FtUtil.setRemoveSystemUI(getWindow(), true);
        setContentView(R.layout.ui_logo_light_test);
        initUi();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        Support.Kernel.write(Support.Kernel.LOGO_LIGHT_TEST_LED_PATTERN, "1");
        this.mHandler.sendEmptyMessageDelayed(1, 1000);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        Support.Kernel.write(Support.Kernel.LOGO_LIGHT_TEST_LED_PATTERN, LED_OFF);
        super.onPause();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
    }

    private void initUi() {
        this.mLinearLayoutButtonDepot = (LinearLayout) findViewById(R.id.bottom_btn_depot);
        Button button = (Button) findViewById(R.id.pass);
        this.mButtonPass = button;
        button.setOnClickListener(this);
        Button button2 = (Button) findViewById(R.id.fail);
        this.mButtonFail = button2;
        button2.setOnClickListener(this);
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.fail:
                finish();
                return;
            case R.id.pass:
                setTestResult((byte) 80);
                setResult(-1);
                finish();
                return;
            default:
                return;
        }
    }
}
