package com.sec.factory.app.ui;

import android.app.AlertDialog;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import android.widget.Toast;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.ModuleAudio;
import com.sec.factory.modules.ModuleCommon;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import java.util.Locale;

public class UILoopBackTest extends UIBase implements View.OnClickListener {
    private static final int BTN_ENABLE_TIME = 2000;
    protected static final String CLASS_NAME = "UILoopBackTest";
    private static final int EARJACK_PLUGGED = 1;
    private static final int EARJACK_UNPLUGGED = 0;
    private final int ENABLE_BTN = 4;
    private final int FINISH_TEST = 2;
    private final int NEXT_STEP = 1;
    private final int TEST_FAIL = 3;
    private int TEST_ID = 0;
    private final int TEST_START = 0;
    private Button button_fail;
    private Button button_pass;
    private boolean isTestFinished = false;
    private Thread mAudioThread = null;
    private BroadcastReceiver mBroadcastReceiver;
    private Context mContext;
    private int mCurrentStep = 0;
    private int mFinalStep = 0;
    private final Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UILoopBackTest.AnonymousClass1 */

        public void handleMessage(Message msg) {
            if (msg.what == 2) {
                UILoopBackTest.this.setTestResult((byte) 80);
                UILoopBackTest.this.setResult(-1);
                UILoopBackTest.this.finish();
            } else if (msg.what == 0) {
                UILoopBackTest.this.TestStart();
            } else if (msg.what == 1) {
                UILoopBackTest.access$108(UILoopBackTest.this);
                UILoopBackTest.this.TestStart();
            } else if (msg.what == 3) {
                FtUtil.log_d(UILoopBackTest.CLASS_NAME, "handleMessage", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(UILoopBackTest.this.TEST_ID), "Fail"));
                UILoopBackTest.this.finish();
            } else if (msg.what == 4) {
                UILoopBackTest.this.ChangeBtn(true);
            }
        }
    };
    private boolean mInsertedEP = false;
    private String[] mLoopbackTestcase = null;
    private int mStatusEarJack = 0;
    private String mTestCase = null;
    private String mTestName = null;
    private TextView txt_msg;
    private TextView txt_msg_ep;
    private TextView txt_title;

    static /* synthetic */ int access$108(UILoopBackTest x0) {
        int i = x0.mCurrentStep;
        x0.mCurrentStep = i + 1;
        return i;
    }

    public UILoopBackTest() {
        super(CLASS_NAME);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        FtUtil.log_i(CLASS_NAME, "onCreate", null);
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_loopbacktest);
        this.TEST_ID = getIntent().getIntExtra("testID", 210);
        FtUtil.log_i(CLASS_NAME, "onCreate", "TEST_ID : " + this.TEST_ID);
        String testloopback = FactoryTestManager.convertorID_XML(this.TEST_ID);
        this.mTestCase = Support.FactoryTestMenu.getTestCase(testloopback);
        this.mTestName = Support.FactoryTestMenu.getTestName(testloopback);
        String str = this.mTestCase;
        if (str != null) {
            String[] split = str.split(",");
            this.mLoopbackTestcase = split;
            this.mFinalStep = split.length - 1;
        }
        setTestId(this.TEST_ID);
        initialize();
    }

    private void initialize() {
        this.txt_msg = (TextView) findViewById(R.id.test_msg);
        this.txt_msg_ep = (TextView) findViewById(R.id.test_msg_ep);
        this.txt_title = (TextView) findViewById(R.id.title);
        this.button_pass = (Button) findViewById(R.id.button_pass);
        this.button_fail = (Button) findViewById(R.id.button_fail);
        this.button_pass.setOnClickListener(this);
        this.button_fail.setOnClickListener(this);
        ChangeBtn(false);
        if (this.TEST_ID == 210) {
            this.txt_title.setText("RCV LoopBack Test");
        } else {
            this.txt_title.setText("SPK LoopBack Test");
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        this.mCurrentStep = 0;
        this.mInsertedEP = false;
        stopLoopback();
        registerTestReceiver();
        this.mHandler.sendEmptyMessageDelayed(0, 300);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        ModuleAudio.instance(this).setAudioPath(4);
        unregisterTestReceiver();
        stopLoopback();
        super.onPause();
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void TestStart() {
        FtUtil.log_i(CLASS_NAME, "TestStart", "mCurrentStep : " + this.mCurrentStep + ", path : " + this.mLoopbackTestcase[this.mCurrentStep]);
        if (!"ear_ear;".equalsIgnoreCase(this.mLoopbackTestcase[this.mCurrentStep]) || this.mInsertedEP) {
            startLoopback(this.mLoopbackTestcase[this.mCurrentStep]);
            this.mHandler.sendEmptyMessageDelayed(4, 2000);
        } else {
            this.txt_msg_ep.setText("Please Insert EP");
        }
        setTextPath(this.mLoopbackTestcase[this.mCurrentStep]);
    }

    private void setTextPath(String rawPath) {
        String pathName;
        if (rawPath != null) {
            if ("mic_rcv;".equalsIgnoreCase(this.mLoopbackTestcase[this.mCurrentStep])) {
                pathName = "MIC1-RCV";
            } else {
                pathName = this.mLoopbackTestcase[this.mCurrentStep].toUpperCase(Locale.ENGLISH).replace(";", "").replace("_", "-");
            }
            FtUtil.log_i(CLASS_NAME, "setTextPath", "pathName : " + pathName);
            TextView textView = this.txt_msg;
            textView.setText("PATH : " + pathName);
            return;
        }
        FtUtil.log_i(CLASS_NAME, "setTextPath", "rawPath Null");
    }

    private void registerTestReceiver() {
        this.mBroadcastReceiver = new BroadcastReceiver() {
            /* class com.sec.factory.app.ui.UILoopBackTest.AnonymousClass2 */

            public void onReceive(Context context, Intent intent) {
                String action = intent.getAction();
                FtUtil.log_d(UILoopBackTest.CLASS_NAME, "mBroadcastReceiver.onReceive", "action=" + action);
                if ("android.intent.action.HEADSET_PLUG".equals(intent.getAction())) {
                    boolean isHeadsetPlugged = intent.getIntExtra("state", 0) == 1;
                    FtUtil.log_d(UILoopBackTest.CLASS_NAME, "ACTION_HEADSET_PLUG state : " + isHeadsetPlugged);
                    boolean isMicrophonePlugged = intent.getIntExtra("microphone", 0) == 1;
                    FtUtil.log_d(UILoopBackTest.CLASS_NAME, "ACTION_HEADSET_PLUG microphone : " + isMicrophonePlugged);
                    if (isHeadsetPlugged && isMicrophonePlugged && UILoopBackTest.this.mStatusEarJack == 0) {
                        UILoopBackTest.this.mInsertedEP = true;
                        UILoopBackTest.this.mStatusEarJack = 1;
                        FtUtil.log_d(UILoopBackTest.CLASS_NAME, "ACTION_HEADSET_PLUG : " + UILoopBackTest.this.mStatusEarJack);
                    } else if (isHeadsetPlugged || UILoopBackTest.this.mStatusEarJack != 1) {
                        FtUtil.log_d(UILoopBackTest.CLASS_NAME, "This is duplicated called, ACTION_HEADSET_PLUG state : " + isHeadsetPlugged);
                        return;
                    } else {
                        UILoopBackTest.this.mInsertedEP = false;
                        UILoopBackTest.this.mStatusEarJack = 0;
                        FtUtil.log_d(UILoopBackTest.CLASS_NAME, "ACTION_HEADSET_PLUG : " + UILoopBackTest.this.mStatusEarJack);
                    }
                    if (UILoopBackTest.this.isTestFinished) {
                        return;
                    }
                    if ("ear_ear;".equalsIgnoreCase(UILoopBackTest.this.mLoopbackTestcase[UILoopBackTest.this.mCurrentStep])) {
                        if (UILoopBackTest.this.mInsertedEP) {
                            UILoopBackTest.this.txt_msg_ep.setText("");
                            UILoopBackTest uILoopBackTest = UILoopBackTest.this;
                            uILoopBackTest.startLoopback(uILoopBackTest.mLoopbackTestcase[UILoopBackTest.this.mCurrentStep]);
                            UILoopBackTest.this.mHandler.sendEmptyMessageDelayed(4, 2000);
                            return;
                        }
                        UILoopBackTest.this.ChangeBtn(false);
                        UILoopBackTest.this.stopLoopback();
                        UILoopBackTest.this.txt_msg_ep.setText("Please Insert EP");
                    } else if (UILoopBackTest.this.mInsertedEP) {
                        Toast.makeText(UILoopBackTest.this, " Do not insert EP \n Before EP Loopback Test", 1).show();
                        FtUtil.log_i(UILoopBackTest.CLASS_NAME, "inserted EP before EP Loopback Test", "Test Fail");
                        UILoopBackTest.this.mHandler.sendEmptyMessageDelayed(3, 1000);
                    }
                }
            }
        };
        IntentFilter filter = new IntentFilter();
        filter.addAction("android.intent.action.HEADSET_PLUG");
        registerReceiver(this.mBroadcastReceiver, filter);
        FtUtil.log_i(CLASS_NAME, "registerTestReceiver", null);
    }

    public void unregisterTestReceiver() {
        BroadcastReceiver broadcastReceiver = this.mBroadcastReceiver;
        if (broadcastReceiver != null) {
            unregisterReceiver(broadcastReceiver);
            this.mBroadcastReceiver = null;
            FtUtil.log_i(CLASS_NAME, "unregisterTestReceiver", null);
        }
    }

    public void onClick(View v) {
        stopLoopback();
        switch (v.getId()) {
            case R.id.button_fail:
                this.isTestFinished = true;
                this.txt_msg.setText("FAIL");
                this.txt_msg.setTextColor(-65536);
                FtUtil.log_i(CLASS_NAME, "onClick", "Test Fail");
                this.mHandler.sendEmptyMessageDelayed(3, 1000);
                return;
            case R.id.button_pass:
                ChangeBtn(false);
                if (this.mCurrentStep == this.mFinalStep) {
                    this.isTestFinished = true;
                    FtUtil.log_i(CLASS_NAME, "onClick", "Test Pass");
                    this.txt_msg.setText("PASS");
                    this.txt_msg.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                    this.mHandler.sendEmptyMessageDelayed(2, 1000);
                    return;
                }
                this.mHandler.sendEmptyMessageDelayed(1, 300);
                return;
            default:
                FtUtil.log_i(CLASS_NAME, "onClick", "Default");
                return;
        }
    }

    public void stopLoopback() {
        FtUtil.log_d(CLASS_NAME, "stopLoopback", "Stop Loopback");
        ModuleAudio.instance(this.mContext).stopLoopback();
    }

    public void startLoopback(String path) {
        FtUtil.log_d(CLASS_NAME, "startLoopback", "Start Loopback");
        ModuleAudio moduleAudio = ModuleAudio.instance(this.mContext);
        if (!moduleAudio.isDoingLoopback()) {
            if (Support.Feature.getBoolean(Support.Feature.AUDIO_PATH_OFF_WHEN_15_LOOPBACK, false)) {
                ModuleAudio.instance(this.mContext).setAudioPath(4);
            }
            FtUtil.log_d(CLASS_NAME, "startLoopback", "mLoopbackTestcase: [" + path + "]");
            if (ModuleCommon.instance(this.mContext).isVoiceCapable()) {
                FtUtil.log_d(CLASS_NAME, "startLoopback", "Start Loopback packet");
                moduleAudio.startLoopback(path, 0);
                return;
            }
            FtUtil.log_d(CLASS_NAME, "startLoopback", "Start Loopback realtime");
            moduleAudio.startLoopback(path, 2, true, false);
            return;
        }
        moduleAudio.stopLoopback();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void ChangeBtn(boolean enable) {
        if (enable) {
            this.button_pass.setEnabled(true);
        } else {
            this.button_pass.setEnabled(false);
        }
    }

    private void showAlertDialog(String msg) {
        new AlertDialog.Builder(this).setTitle("Warning!").setMessage(msg).setPositiveButton(R.string.EXIT, new DialogInterface.OnClickListener() {
            /* class com.sec.factory.app.ui.UILoopBackTest.AnonymousClass3 */

            public void onClick(DialogInterface dialog, int which) {
                UILoopBackTest.this.finish();
            }
        }).setCancelable(false).show();
    }
}
