package com.sec.factory.app.ui;

import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestMainInnerLoopback;
import com.sec.factory.support.FtUtil;

public class UILoopbackForWIFI extends UIBase implements View.OnClickListener {
    private static final String CLASS_NAME = "UILoopbackForWIFI";
    private Button btnStart;
    private Button btnStop;
    private FactoryTestMainInnerLoopback mTestInnerLoopback;
    private boolean result = false;
    private TextView tvLoopback;

    public UILoopbackForWIFI() {
        super(CLASS_NAME);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_loopback_for_wifi);
        Button button = (Button) findViewById(R.id.btn_loopstart);
        this.btnStart = button;
        button.setOnClickListener(this);
        this.btnStart.setEnabled(true);
        Button button2 = (Button) findViewById(R.id.btn_loopstop);
        this.btnStop = button2;
        button2.setOnClickListener(this);
        this.btnStop.setEnabled(false);
        TextView textView = (TextView) findViewById(R.id.tv_loopback);
        this.tvLoopback = textView;
        textView.setText("Waiting...");
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.btn_loopstart:
                this.result = startLoopbackService();
                return;
            case R.id.btn_loopstop:
                this.result = stopLoopbackService();
                return;
            default:
                return;
        }
    }

    public boolean startLoopbackService() {
        FtUtil.log_i(CLASS_NAME, "startLoopbackService", null);
        if (this.mTestInnerLoopback == null) {
            this.mTestInnerLoopback = new FactoryTestMainInnerLoopback(this, null, null, null);
        }
        this.mTestInnerLoopback.startLoopback(0);
        this.tvLoopback.setText("Playing Loopback");
        this.btnStart.setEnabled(false);
        this.btnStop.setEnabled(true);
        return true;
    }

    public boolean stopLoopbackService() {
        FtUtil.log_i(CLASS_NAME, "stopLoopbackService", null);
        FactoryTestMainInnerLoopback factoryTestMainInnerLoopback = this.mTestInnerLoopback;
        if (factoryTestMainInnerLoopback != null) {
            factoryTestMainInnerLoopback.stopLoopback();
            this.mTestInnerLoopback = null;
        }
        this.tvLoopback.setText("Stop Loopback");
        this.btnStart.setEnabled(true);
        this.btnStop.setEnabled(false);
        return true;
    }
}
