package com.sec.factory.app.ui;

import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.optical.client.api.EgisFingerprint;

public class UIMCPTTAccessoryTest extends UIBase implements View.OnClickListener {
    private static final int MSG_MCPTT_DETECT_FAIL;
    private static final int MSG_MCPTT_DETECT_PASS;
    private static final int MSG_MCPTT_DETECT_START = 0;
    private static final int MSG_TEST_EXIT;
    private static final int MSG_TEST_FAIL;
    private static final int MSG_TEST_PASS;
    private static final int STATE_FINISH;
    private static final int STATE_MCPTT_DETECT = 0;
    private static int TEST_MSG;
    private static int TEST_STATE;
    private static String VALUE_AMP_SPEAKER = EgisFingerprint.MAJOR_VERSION;
    private static String VALUE_FIST_SPEAKER = "2";
    private static String VALUE_PTT_HEADSET = egis.client.api.EgisFingerprint.MAJOR_VERSION;
    private final int TIME_DELAY = 500;
    private Button mExitButton;
    public Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UIMCPTTAccessoryTest.AnonymousClass1 */

        public void handleMessage(Message msg) {
            if (msg.what == UIMCPTTAccessoryTest.MSG_MCPTT_DETECT_START) {
                FtUtil.log_d(UIMCPTTAccessoryTest.this.CLASS_NAME, "mHandler.handleMessage", "MSG_MCPTT_DETECT_START");
                if (UIMCPTTAccessoryTest.this.mTestState == UIMCPTTAccessoryTest.STATE_MCPTT_DETECT) {
                    UIMCPTTAccessoryTest.this.checkMCPTTAccessory();
                }
            } else if (msg.what == UIMCPTTAccessoryTest.MSG_MCPTT_DETECT_PASS) {
                FtUtil.log_d(UIMCPTTAccessoryTest.this.CLASS_NAME, "mHandler.handleMessage", "MSG_MCPTT_DETECT_PASS");
                if (UIMCPTTAccessoryTest.this.mTestState == UIMCPTTAccessoryTest.STATE_MCPTT_DETECT) {
                    UIMCPTTAccessoryTest.this.mTextViewEarphoneResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                    UIMCPTTAccessoryTest.this.mTextViewEarphoneResult.setText("OK");
                    UIMCPTTAccessoryTest.this.mHandler.sendEmptyMessage(UIMCPTTAccessoryTest.MSG_TEST_PASS);
                }
            } else if (msg.what == UIMCPTTAccessoryTest.MSG_MCPTT_DETECT_FAIL) {
                FtUtil.log_d(UIMCPTTAccessoryTest.this.CLASS_NAME, "mHandler.handleMessage", "MSG_MCPTT_DETECT_FAIL");
                if (UIMCPTTAccessoryTest.this.mTestState == UIMCPTTAccessoryTest.STATE_MCPTT_DETECT) {
                    UIMCPTTAccessoryTest.this.mTextViewEarphoneResult.setTextColor(-65536);
                    UIMCPTTAccessoryTest.this.mTextViewEarphoneResult.setText("NG");
                    UIMCPTTAccessoryTest.this.mHandler.sendEmptyMessage(UIMCPTTAccessoryTest.MSG_TEST_FAIL);
                }
            } else if (msg.what == UIMCPTTAccessoryTest.MSG_TEST_PASS) {
                FtUtil.log_d(UIMCPTTAccessoryTest.this.CLASS_NAME, "mHandler.handleMessage", "MSG_TEST_PASS");
                UIMCPTTAccessoryTest.this.mTextViewOverallResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                UIMCPTTAccessoryTest.this.mTextViewOverallResult.setText("PASS");
                UIMCPTTAccessoryTest.this.setTestResult((byte) 80);
                UIMCPTTAccessoryTest.this.mHandler.sendEmptyMessageDelayed(UIMCPTTAccessoryTest.MSG_TEST_EXIT, 500);
            } else if (msg.what == UIMCPTTAccessoryTest.MSG_TEST_FAIL) {
                FtUtil.log_d(UIMCPTTAccessoryTest.this.CLASS_NAME, "mHandler.handleMessage", "MSG_TEST_FAIL");
                UIMCPTTAccessoryTest.this.mTextViewOverallResult.setTextColor(-65536);
                UIMCPTTAccessoryTest.this.mTextViewOverallResult.setText("FAIL");
                UIMCPTTAccessoryTest.this.mTestState = UIMCPTTAccessoryTest.STATE_FINISH;
            } else if (msg.what == UIMCPTTAccessoryTest.MSG_TEST_EXIT) {
                FtUtil.log_d(UIMCPTTAccessoryTest.this.CLASS_NAME, "mHandler.handleMessage", "MSG_TEST_EXIT");
                UIMCPTTAccessoryTest.this.finish();
            }
        }
    };
    private Button mRetestButton;
    private int mTestState = TEST_STATE;
    private TextView mTextViewEarphoneResult;
    private TextView mTextViewOverallResult;

    static {
        TEST_MSG = 0;
        int i = 0 + 1;
        TEST_MSG = i;
        int i2 = i + 1;
        TEST_MSG = i2;
        MSG_MCPTT_DETECT_PASS = i;
        int i3 = i2 + 1;
        TEST_MSG = i3;
        MSG_MCPTT_DETECT_FAIL = i2;
        int i4 = i3 + 1;
        TEST_MSG = i4;
        MSG_TEST_PASS = i3;
        int i5 = i4 + 1;
        TEST_MSG = i5;
        MSG_TEST_FAIL = i4;
        TEST_MSG = i5 + 1;
        MSG_TEST_EXIT = i5;
        TEST_STATE = 0;
        int i6 = 0 + 1;
        TEST_STATE = i6;
        TEST_STATE = i6 + 1;
        STATE_FINISH = i6;
    }

    public UIMCPTTAccessoryTest() {
        super("UIMCPTTAccessoryTest", 215);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        this.TEST_ID = getIntent().getIntExtra("testid", -1);
        setContentView(R.layout.ui_mcptt_accessory_test);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        initialize();
        startTest();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        this.mHandler.removeCallbacksAndMessages(null);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
    }

    private void initialize() {
        initUi();
        initTestValues();
    }

    private void initUi() {
        FtUtil.log_d(this.CLASS_NAME, "initUi", "");
        this.mTextViewEarphoneResult = (TextView) findViewById(R.id.mcptt_accessory_detect_result);
        this.mTextViewOverallResult = (TextView) findViewById(R.id.test_result);
        this.mRetestButton = (Button) findViewById(R.id.retest);
        this.mExitButton = (Button) findViewById(R.id.exit);
        this.mRetestButton.setOnClickListener(this);
        this.mExitButton.setOnClickListener(this);
    }

    private void initTestValues() {
        FtUtil.log_d(this.CLASS_NAME, "initTestValues", "");
        this.mTextViewEarphoneResult.setText("");
        this.mTextViewOverallResult.setText("");
        this.mTestState = TEST_STATE;
    }

    private void startTest() {
        FtUtil.log_d(this.CLASS_NAME, "startTest", "");
        this.mTestState = STATE_MCPTT_DETECT;
        this.mHandler.sendEmptyMessageDelayed(MSG_MCPTT_DETECT_START, 500);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void checkMCPTTAccessory() {
        FtUtil.log_d(this.CLASS_NAME, "checkMCPTTAccessory", "");
        String readResult = Support.Kernel.read(Support.Kernel.PTT_STATE);
        if (readResult == null) {
            this.mHandler.sendEmptyMessageDelayed(MSG_MCPTT_DETECT_START, 500);
        } else if (VALUE_PTT_HEADSET.equalsIgnoreCase(readResult)) {
            this.mHandler.sendEmptyMessage(MSG_MCPTT_DETECT_PASS);
        } else {
            this.mHandler.sendEmptyMessageDelayed(MSG_MCPTT_DETECT_START, 500);
        }
    }

    public void onClick(View view) {
        switch (view.getId()) {
            case R.id.exit:
                FtUtil.log_d(this.CLASS_NAME, "onClick", "click exit button");
                finish();
                return;
            case R.id.retest:
                FtUtil.log_d(this.CLASS_NAME, "onClick", "click retest button");
                if (this.mTestState == STATE_FINISH) {
                    initTestValues();
                    startTest();
                    return;
                }
                return;
            default:
                return;
        }
    }
}
