package com.sec.factory.app.ui;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;

public class UIMHL_Selftest extends UIBase {
    private static final int SELF_MSG_END = 2;
    private static final int SELF_MSG_START = 1;
    private final String CLASS_NAME = "UIHDMI_Selftest";
    private final String TEST_CASE_LAND = "LAND";
    private Context mContext;
    private Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UIMHL_Selftest.AnonymousClass1 */

        public void handleMessage(Message msg) {
            if (msg.what == 1) {
                FtUtil.log_i("UIHDMI_Selftest", "Handler", "handleMessage()");
                UIMHL_Selftest.this.readMHLVersion();
            }
        }
    };
    private TextView mMeasureText;
    private TextView mResultText;
    private TextView mSpecText;
    private String mhlVersion;

    public UIMHL_Selftest() {
        super("UIHDMI_Selftest");
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_mhl_selftest);
        this.mContext = this;
        this.mhlVersion = Support.FactoryTestMenu.getExtra(Integer.valueOf(FactoryTestManager.convertorID_XML((byte) FactoryTestManager.TEST_MHL)).intValue());
        getWindow().addFlags(4718592);
        this.mResultText = (TextView) findViewById(R.id.mhl_selftest_status);
        this.mSpecText = (TextView) findViewById(R.id.mhl_selftest_spec);
        this.mMeasureText = (TextView) findViewById(R.id.mhl_selftest_measure);
        TextView textView = this.mSpecText;
        textView.setText("SPEC    : MHL " + this.mhlVersion + ".0");
        this.mHandler.sendEmptyMessageDelayed(1, 100);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void readMHLVersion() {
        FtUtil.log_i("UIHDMI_Selftest", "readMHLVersion", "readMHLVersion()");
        if (this.mhlVersion.equals(Support.Kernel.read(Support.Kernel.HDMI_FHD_MODE))) {
            FtUtil.log_i("UIHDMI_Selftest", "readMHLVersion", "Extra / Node = " + this.mhlVersion + " / " + Support.Kernel.read(Support.Kernel.HDMI_FHD_MODE));
            TextView textView = this.mMeasureText;
            textView.setText("Measure : MHL " + Support.Kernel.read(Support.Kernel.HDMI_FHD_MODE) + ".0");
            this.mResultText.setText(R.string.PASS);
            this.mResultText.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            this.mHandler.postDelayed(new Runnable() {
                /* class com.sec.factory.app.ui.UIMHL_Selftest.AnonymousClass2 */

                public void run() {
                    Intent intent = new Intent(UIMHL_Selftest.this.mContext, UIHDMI.class);
                    intent.putExtra("testView", UIMHL_Selftest.this.getIntent().getStringExtra(Support.TestCase.TAG));
                    intent.putExtra("testID", 73);
                    intent.putExtra(FactoryTestManager.INTENT_EXTRA_NAME_ENTER15MODE, true);
                    UIMHL_Selftest.this.startActivity(intent);
                }
            }, 1000);
            return;
        }
        this.mHandler.sendEmptyMessageDelayed(1, 500);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        sendBroadcast(new Intent("com.samsung.android.aircommandmanager.STOP_MONITORING"));
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        sendBroadcast(new Intent("com.samsung.android.aircommandmanager.START_MONITORING"));
        this.mHandler.removeMessages(1);
        this.mHandler.removeMessages(2);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
        this.mHandler.removeMessages(1);
        this.mHandler.removeMessages(2);
    }
}
