package com.sec.factory.app.ui;

import android.app.AlertDialog;
import android.app.Dialog;
import android.content.DialogInterface;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.View;
import android.widget.Button;
import com.google.common.net.HttpHeaders;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class UIMSTTest extends UIBase implements View.OnClickListener {
    protected static final String TAG = "UIMSTTest";
    private static Boolean isWriting;
    private int TimeOffset = 1000;
    private final int WHAT_STOP_WPC = 101;
    private boolean canBeTransferred = true;
    private boolean isUseMFCIC = false;
    private Button mButtonFail;
    private Button mButtonPass;
    private Button mButtonRetry;
    private Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UIMSTTest.AnonymousClass1 */

        public void handleMessage(Message msg) {
            String str = UIMSTTest.this.CLASS_NAME;
            FtUtil.log_d(str, "handleMessage", "msg.what : " + msg.what);
            switch (msg.what) {
                case 101:
                    AlertDialog.Builder builder = new AlertDialog.Builder(UIMSTTest.this);
                    builder.setCancelable(false);
                    builder.setTitle(HttpHeaders.WARNING);
                    builder.setMessage("Please stop wireless charging first.");
                    builder.setPositiveButton("OK", new DialogInterface.OnClickListener() {
                        /* class com.sec.factory.app.ui.UIMSTTest.AnonymousClass1.AnonymousClass1 */

                        public void onClick(DialogInterface dialog, int whichButton) {
                            FtUtil.log_d(UIMSTTest.this.CLASS_NAME, "onClick", "OK");
                            UIMSTTest.this.finish();
                        }
                    });
                    Dialog mDialog = builder.create();
                    mDialog.setCanceledOnTouchOutside(false);
                    mDialog.show();
                    return;
                default:
                    return;
            }
        }
    };
    private Thread mThread;

    public UIMSTTest() {
        super(TAG, 116);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "onCreate", "TEST_ID: " + this.TEST_ID);
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_mst_test);
        String timeOffset_Temp = Support.FactoryTestMenu.getSpec(FactoryTestManager.convertorID_XML(this.TEST_ID));
        if (!"".equals(timeOffset_Temp)) {
            this.TimeOffset = Integer.parseInt(timeOffset_Temp);
        }
        String str2 = this.CLASS_NAME;
        FtUtil.log_d(str2, "onCreate", "delay : " + this.TimeOffset);
        if (Support.Kernel.isExistFileID(Support.Kernel.USE_MST_MFC_IC) && "mfc_charger".equalsIgnoreCase(Support.Kernel.read(Support.Kernel.USE_MST_MFC_IC))) {
            this.isUseMFCIC = true;
            if (isConnectWirelessCharger()) {
                this.canBeTransferred = false;
                this.mHandler.sendEmptyMessage(101);
            } else {
                Support.Kernel.write(Support.Kernel.MST_DATA_TRANSMIT_PATH, EgisFingerprint.MAJOR_VERSION);
                FtUtil.Sleep.sleep(3);
            }
        }
        isWriting = false;
        initUI();
        MSTDataTransmit();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        if (this.isUseMFCIC) {
            Support.Kernel.write(Support.Kernel.MST_DATA_TRANSMIT_PATH, "0");
        }
        super.onPause();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
    }

    private void initUI() {
        FtUtil.log_i(this.CLASS_NAME, "initUI", null);
        this.mButtonPass = (Button) findViewById(R.id.btn_mst_pass);
        this.mButtonRetry = (Button) findViewById(R.id.btn_mst_retry);
        this.mButtonFail = (Button) findViewById(R.id.btn_mst_fail);
        this.mButtonPass.setOnClickListener(this);
        this.mButtonRetry.setOnClickListener(this);
        this.mButtonFail.setOnClickListener(this);
        this.mButtonPass.setClickable(false);
    }

    private boolean isConnectWirelessCharger() {
        String mstatus = Support.Kernel.read(Support.Kernel.WIRELESS_BATTERY);
        if (mstatus == null || !mstatus.contains(EgisFingerprint.MAJOR_VERSION)) {
            return false;
        }
        return true;
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.btn_mst_fail:
                FtUtil.log_d(this.CLASS_NAME, "onClick", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(116), "Fail - button click"));
                finish();
                return;
            case R.id.btn_mst_pass:
                FtUtil.log_i(this.CLASS_NAME, "onClick", "PASS button click");
                setTestResult((byte) 80);
                finish();
                return;
            case R.id.btn_mst_retry:
                FtUtil.log_i(this.CLASS_NAME, "onClick", "RETRY button click");
                MSTDataTransmit();
                return;
            default:
                return;
        }
    }

    private void MSTDataTransmit() {
        FtUtil.log_d(this.CLASS_NAME, "MSTDataTransmit", "Transmit start");
        if (this.canBeTransferred && !isWriting.booleanValue()) {
            Thread thread = new Thread(new Runnable() {
                /* class com.sec.factory.app.ui.UIMSTTest.AnonymousClass2 */

                public void run() {
                    Boolean unused = UIMSTTest.isWriting = true;
                    FtUtil.log_i(UIMSTTest.this.CLASS_NAME, "MSTDataTransmit", " [Thread] Track 1 transmit");
                    Support.Kernel.write(Support.Kernel.MST_DATA_TRANSMIT_PATH, "2");
                    FtUtil.Sleep.sleep((long) UIMSTTest.this.TimeOffset);
                    FtUtil.log_i(UIMSTTest.this.CLASS_NAME, "MSTDataTransmit", " [Thread] Track 2 transmit");
                    Support.Kernel.write(Support.Kernel.MST_DATA_TRANSMIT_PATH, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION);
                    Boolean unused2 = UIMSTTest.isWriting = false;
                }
            });
            this.mThread = thread;
            thread.start();
        }
    }
}
