package com.sec.factory.app.ui;

import android.app.Activity;
import android.app.Presentation;
import android.content.Context;
import android.content.Intent;
import android.hardware.display.DisplayManager;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.Display;
import android.view.KeyEvent;
import android.view.View;
import android.widget.Button;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.vrr.RefreshRateChangeUtil;
import com.sec.factory.modules.vrr.VRRcontants;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;

public class UIMcd extends UIBase implements View.OnClickListener {
    private static final String CLASS_NAME = "UIMcd";
    private static final String MODE_OFF = "0";
    private static final String MODE_ON = "1";
    private final int AT_CMD = 100;
    private final int AT_DISP_MCD = 9;
    private final long BACK_KEY_EVENT_TIMELAG = 2000;
    private final int NO_TYPE = -1;
    private String ResourcePath = "";
    private int SettingTime = 3000;
    private boolean isFirstRunning = true;
    private boolean isRunningTest = false;
    private DisplayManager mDisplayManager = null;
    private final Handler mHandler = new Handler();
    private Presentation mPresentation;
    private long mPrevBackKeyEventTime = -1;
    private RefreshRateChangeUtil mRefreshRateChangeUtil;
    private Button[] mStatus;
    boolean mSupportSubPresentationMode = false;
    private int mTestDisplayId = -1;
    private TimeThread mThread;
    private String testNode;
    private int test_mode = -1;

    private void setRefreshRate(Activity context) {
        try {
            int defaultRate = Integer.parseInt("120");
            FtUtil.log_i(CLASS_NAME, "setRefreshRate", "set defaultRate : " + defaultRate);
            if (defaultRate == 60) {
                this.mRefreshRateChangeUtil.setRefreshRate(VRRcontants.REFRESH_RATE_MODE_NORMAL, defaultRate);
            } else {
                this.mRefreshRateChangeUtil.setRefreshRate(VRRcontants.REFRESH_RATE_MODE_ALWAYS, defaultRate);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public UIMcd() {
        super(CLASS_NAME);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        this.TEST_ID = getIntent().getIntExtra("testid", 115);
        this.test_mode = getIntent().getIntExtra("test_mode", -1);
        FtUtil.log_d(CLASS_NAME, "onCreate", "TEST_MODE: " + this.test_mode);
        FtUtil.setRemoveSystemUI(getWindow(), true);
        if (this.test_mode == 9) {
            this.SettingTime = 10000;
        }
        if (this.TEST_ID == 331) {
            FtUtil.log_d(CLASS_NAME, "onCreate", "Sub MCD Presentation");
            this.mDisplayManager = (DisplayManager) getApplicationContext().getSystemService("display");
            this.mSupportSubPresentationMode = true;
        }
        setContentView(R.layout.ui_mcd_test_2);
        this.isRunningTest = false;
        this.isFirstRunning = true;
        init_UI();
    }

    public void onAttachedToWindow() {
        this.mRefreshRateChangeUtil = new RefreshRateChangeUtil(this, new Handler() {
            /* class com.sec.factory.app.ui.UIMcd.AnonymousClass1 */

            public void handleMessage(Message msg) {
            }
        });
        setRefreshRate(this);
    }

    private void init_UI() {
        Button[] buttonArr = new Button[4];
        this.mStatus = buttonArr;
        buttonArr[0] = (Button) findViewById(R.id.pass_btn);
        this.mStatus[1] = (Button) findViewById(R.id.fail_btn);
        this.mStatus[2] = (Button) findViewById(R.id.status_btn);
        if (this.test_mode != 9) {
            for (int i = 0; i < 3; i++) {
                this.mStatus[i].setOnClickListener(this);
            }
            return;
        }
        for (int i2 = 0; i2 < 3; i2++) {
            this.mStatus[i2].setVisibility(8);
        }
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        sendBroadcast(new Intent("com.samsung.android.aircommandmanager.STOP_MONITORING"));
        this.mThread = new TimeThread(this.SettingTime);
        if (this.mSupportSubPresentationMode) {
            showSubDisplay();
        }
        this.mHandler.postDelayed(new Runnable() {
            /* class com.sec.factory.app.ui.UIMcd.AnonymousClass2 */

            public void run() {
                if (UIMcd.this.mThread != null) {
                    UIMcd.this.mThread.start();
                }
            }
        }, 300);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        if (this.mSupportSubPresentationMode) {
            dismissPresentation();
        }
        sendBroadcast(new Intent("com.samsung.android.aircommandmanager.START_MONITORING"));
        TimeThread timeThread = this.mThread;
        if (timeThread != null) {
            timeThread.interrupt();
            this.mThread = null;
        }
        int i = this.test_mode;
        if (i == 9 || i == 100) {
            Support.Kernel.write(this.testNode, MODE_OFF);
            finish();
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        this.mRefreshRateChangeUtil.restoreDefault();
        super.onDestroy();
    }

    public void LcdOnOff(boolean status) {
        String str = (this.TEST_ID == 192 || this.mSupportSubPresentationMode) ? Support.Kernel.MCD_STATUS_NODE_2 : Support.Kernel.MCD_STATUS_NODE;
        this.testNode = str;
        if (status) {
            Support.Kernel.write(str, "1");
            this.mHandler.postDelayed(new Runnable() {
                /* class com.sec.factory.app.ui.UIMcd.AnonymousClass3 */

                public void run() {
                    UIMcd.this.mStatus[2].setText(UIMcd.this.getString(R.string.btn_stop));
                }
            }, 100);
            this.isRunningTest = true;
            this.isFirstRunning = false;
            return;
        }
        Support.Kernel.write(str, MODE_OFF);
        this.mHandler.postDelayed(new Runnable() {
            /* class com.sec.factory.app.ui.UIMcd.AnonymousClass4 */

            public void run() {
                UIMcd.this.mStatus[2].setText(UIMcd.this.getString(R.string.btn_start));
            }
        }, 100);
        this.isRunningTest = false;
        this.isFirstRunning = false;
    }

    @Override // com.sec.factory.app.ui.UIBase
    public boolean onKeyDown(int keyCode, KeyEvent event) {
        if (this.test_mode == 9) {
            boolean isLongPress = false;
            if (0 == 0) {
                isLongPress = event.isLongPress();
            }
            if (!isLongPress) {
                switch (keyCode) {
                    case 4:
                        FtUtil.log_d(CLASS_NAME, "onKeyDown", "KEYCODE_BACK => Prev : " + this.mPrevBackKeyEventTime + ", Curr : " + event.getEventTime() + " => Time Lag : " + (event.getEventTime() - this.mPrevBackKeyEventTime) + " [" + 2000L + "]");
                        if (this.mPrevBackKeyEventTime == -1) {
                            this.mPrevBackKeyEventTime = event.getEventTime();
                        } else if (event.getEventTime() - this.mPrevBackKeyEventTime < 2000) {
                            this.mFlag_BackKey_Twice = true;
                            finish();
                        } else {
                            this.mPrevBackKeyEventTime = event.getEventTime();
                        }
                        FtUtil.log_d(CLASS_NAME, "onKeyDown", "KEYCODE_BACK = return true");
                        return true;
                    default:
                        this.mPrevBackKeyEventTime = -1;
                        break;
                }
            }
        }
        return super.onKeyDown(keyCode, event);
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.fail_btn:
                if (!this.isRunningTest && !this.isFirstRunning) {
                    FtUtil.log_d(CLASS_NAME, "onClick", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(115), "Fail - Button clicked"));
                    FtUtil.log_d(CLASS_NAME, "onClick", "Click Fail");
                    setResult(0);
                    finish();
                    return;
                }
                return;
            case R.id.pass_btn:
                if (!this.isRunningTest && !this.isFirstRunning) {
                    FtUtil.log_d(CLASS_NAME, "onClick", "Click Pass");
                    setTestResult((byte) 80);
                    setResult(-1);
                    finish();
                    return;
                }
                return;
            case R.id.status_btn:
                FtUtil.log_d(CLASS_NAME, "onClick", "Click Status Button");
                if (this.isRunningTest) {
                    TimeThread timeThread = this.mThread;
                    if (timeThread != null) {
                        timeThread.interrupt();
                        return;
                    }
                    return;
                }
                TimeThread timeThread2 = new TimeThread(this.SettingTime);
                this.mThread = timeThread2;
                timeThread2.start();
                return;
            default:
                return;
        }
    }

    /* access modifiers changed from: private */
    public class TimeThread extends Thread {
        int mTimeOut = 0;
        long startTime = System.currentTimeMillis();

        public TimeThread(int time) {
            this.mTimeOut = time;
        }

        public void run() {
            FtUtil.log_d(UIMcd.CLASS_NAME, "TimeThread", "Starting... Time Setting : " + this.mTimeOut);
            try {
                UIMcd.this.isRunningTest = false;
                Thread.sleep(200);
                UIMcd.this.LcdOnOff(true);
                while (System.currentTimeMillis() - this.startTime < ((long) this.mTimeOut)) {
                    Thread.sleep(100);
                }
                FtUtil.log_d(UIMcd.CLASS_NAME, "TimeThread", "After Time : " + UIMcd.this.SettingTime);
                UIMcd.this.LcdOnOff(false);
            } catch (InterruptedException e) {
                e.printStackTrace();
                UIMcd.this.LcdOnOff(false);
            }
        }
    }

    private void showSubDisplay() {
        FtUtil.log_i(CLASS_NAME, "showSubDisplay");
        Display selectedDisplay = null;
        DisplayManager displayManager = this.mDisplayManager;
        if (displayManager != null) {
            Display[] presentationDisplays = displayManager.getDisplays("com.samsung.android.hardware.display.category.BUILTIN");
            FtUtil.log_i(CLASS_NAME, "showSubDisplay", "presentationDisplays.length : " + presentationDisplays.length);
            if (presentationDisplays.length > 0) {
                for (Display iterDisplay : presentationDisplays) {
                    FtUtil.log_i(CLASS_NAME, "showSubDisplay", "Display #" + iterDisplay + " is founded.");
                    selectedDisplay = iterDisplay;
                }
                showPresentation(selectedDisplay);
            }
        }
    }

    private void showPresentation(Display display) {
        FtUtil.log_i(CLASS_NAME, "showPresentation", "Show presentation to sub display.");
        if (this.mPresentation == null) {
            this.mTestDisplayId = display.getDisplayId();
            SubPresentation subPresentation = new SubPresentation(getApplicationContext(), display);
            this.mPresentation = subPresentation;
            subPresentation.show();
            FtUtil.setRemoveSystemUI(getWindow(), true);
        }
    }

    private void dismissPresentation() {
        if (this.mPresentation != null) {
            FtUtil.log_i(CLASS_NAME, "dismissPresentation", "mPresentation is not null");
            this.mPresentation.dismiss();
            this.mPresentation = null;
            this.mTestDisplayId = -1;
        }
    }

    /* access modifiers changed from: private */
    public final class SubPresentation extends Presentation {
        private final String CLASS_NAME = "SubPresentation";
        private View mBackground;

        public SubPresentation(Context context, Display display) {
            super(context, display);
        }

        /* access modifiers changed from: protected */
        public void onCreate(Bundle savedInstanceState) {
            FtUtil.log_i("SubPresentation", "onCreate", "Create presentation for sub display");
            super.onCreate(savedInstanceState);
            setContentView(R.layout.lcd_test);
            View findViewById = findViewById(R.id.background);
            this.mBackground = findViewById;
            findViewById.setBackgroundColor(getResources().getColor(R.color.green));
            getWindow().addFlags(2097152);
            FtUtil.setRemoveSystemUI(getWindow(), true);
        }
    }
}
