package com.sec.factory.app.ui;

import android.app.AlertDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.media.AudioManager;
import android.media.AudioRecord;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.View;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.ModuleAudio;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Iterator;
import sec.audio.solution.FactoryRMS;

public class UIMicGainTest extends UIBase implements View.OnClickListener {
    public static final int CHANNEL_COUNT = 2;
    private static final String ResourcePath = "/system/factory/testmedia/";
    public static final int TEST_FINISH = 4;
    private static final int TEST_ID_IDLE_SHORTCUT_MIC2_ONLY = -1;
    public static final int UPDATE_RMS = 0;
    public static final int UPDATE_RMS_FOR_3MIC = 1;
    public static final int UPDATE_RMS_FOR_4MIC = 2;
    public static final int[] audio_path = {0, 1, 0};
    private static int mCrrentTestCnt;
    private static int mInitMicPath;
    private static boolean mIsSupportDualSPKTest = false;
    private static int mTestGroupCnt;
    private static int mTotalTestCnt;
    public static final int[] volume = {20, 20, 20, 20};
    private String DataDestpath = "/data/log";
    private String MicGainFilePath = "/data/log/15MicGainData.txt";
    public int MicTestCase = 0;
    private AudioPlayer mAudioPlayer;
    private AudioRecording mAudioRecording;
    private boolean mCmdTestMode = false;
    public int mDropCount = 1;
    Button mExitButton;
    FactoryRMS mFactoryRMS;
    public Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UIMicGainTest.AnonymousClass1 */

        public void handleMessage(Message msg) {
            if (UIMicGainTest.this.isFinishing()) {
                FtUtil.log_e(UIMicGainTest.this.CLASS_NAME, "mHandler.handleMessage", "Already finished UIMicGainTest!");
            } else if (msg.what == 0) {
                String str = UIMicGainTest.this.CLASS_NAME;
                FtUtil.log_d(str, "mHandler.handleMessage", "UPDATE_RMS, msg.arg1=" + msg.arg1 + ", msg.arg2=" + msg.arg2);
                UIMicGainTest.this.update(new int[]{msg.arg1, msg.arg2});
            } else if (msg.what == 1) {
                int[] rms = {msg.arg1, msg.arg2, msg.arg1};
                if (UIMicGainTest.mTestGroupCnt == 0) {
                    rms[2] = TestInfo.EMPTY_DATA;
                } else if (UIMicGainTest.mTestGroupCnt == 1) {
                    rms[0] = TestInfo.EMPTY_DATA;
                    rms[1] = TestInfo.EMPTY_DATA;
                }
                String str2 = UIMicGainTest.this.CLASS_NAME;
                FtUtil.log_d(str2, "mHandler.handleMessage", "UPDATE_RMS_FOR_3MIC, rms[0]=" + rms[0] + ", rms[1]=" + rms[1] + ", rms[2]=" + rms[2]);
                UIMicGainTest.this.update(rms);
            } else if (msg.what == 2) {
                int[] rms2 = {msg.arg1, msg.arg2, msg.arg1, msg.arg2};
                if (UIMicGainTest.mTestGroupCnt == 0) {
                    rms2[2] = TestInfo.EMPTY_DATA;
                    rms2[3] = TestInfo.EMPTY_DATA;
                } else if (UIMicGainTest.mTestGroupCnt == 1) {
                    rms2[0] = TestInfo.EMPTY_DATA;
                    rms2[1] = TestInfo.EMPTY_DATA;
                }
                String str3 = UIMicGainTest.this.CLASS_NAME;
                FtUtil.log_d(str3, "mHandler.handleMessage", "UPDATE_RMS_FOR_4MIC, rms[0]=" + rms2[0] + ", rms[1]=" + rms2[1] + ", rms[2]=" + rms2[2] + ", rms[3]=" + rms2[3]);
                UIMicGainTest.this.update(rms2);
            } else if (msg.what == 4) {
                UIMicGainTest.this.finish();
            }
        }
    };
    InputMicSelector mInputMicSelector;
    Button mRetestButton;
    TestInfo[] mTestItemInfo;

    public UIMicGainTest() {
        super("UIMicGainTest", 196);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        this.mAudioPlayer = new AudioPlayer(this);
        this.mFactoryRMS = new FactoryRMS();
        this.TEST_ID = getIntent().getIntExtra("requestCode", -1);
        this.mCmdTestMode = getIntent().getBooleanExtra("isCmd", false);
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "onCreate", "TEST_ID: " + this.TEST_ID);
        String str2 = this.CLASS_NAME;
        FtUtil.log_d(str2, "onCreate", "mCmdTestMode : " + this.mCmdTestMode);
        setTestFeature(this.TEST_ID);
        setContentView(R.layout.ui_mic_gain_test);
        setTestItemInfo(this.TEST_ID);
        initUI(this.TEST_ID);
        SetUIRate();
        getVolume();
        getPath();
    }

    /* access modifiers changed from: protected */
    public void getVolume() {
        String testcase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML(this.TEST_ID));
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "getVolume", "testcase : " + testcase);
        if (testcase.contains("VOLUME")) {
            String testcase2 = testcase.substring(testcase.indexOf("VOLUME(") + "VOLUME(".length());
            String[] volumeStr = testcase2.substring(0, testcase2.indexOf(")")).trim().split(",");
            for (int i = 0; i < volumeStr.length; i++) {
                int[] iArr = volume;
                iArr[i] = Integer.parseInt(volumeStr[i]);
                String str2 = this.CLASS_NAME;
                FtUtil.log_d(str2, "getVolume", "volume " + i + ": " + iArr[i]);
            }
        }
    }

    /* access modifiers changed from: protected */
    public void getPath() {
        String testcase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML(this.TEST_ID));
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "getPath", "testcase : " + testcase);
        if (testcase.contains("PATH")) {
            String testcase2 = testcase.substring(testcase.indexOf("PATH(") + "PATH(".length());
            String[] pathStr = testcase2.substring(0, testcase2.indexOf(")")).trim().split(",");
            for (int i = 0; i < pathStr.length; i++) {
                int path = 0;
                if ("RCV".equalsIgnoreCase(pathStr[i])) {
                    path = 1;
                } else if ("SPK1".equalsIgnoreCase(pathStr[i])) {
                    path = 8;
                }
                int[] iArr = audio_path;
                iArr[i] = path;
                String str2 = this.CLASS_NAME;
                FtUtil.log_d(str2, "getPath", "path " + i + ": " + iArr[i]);
            }
        }
        String dropCount = Support.FactoryTestMenu.getCount(this.TEST_ID);
        if (dropCount != null && !"".equals(dropCount)) {
            this.mDropCount = Integer.valueOf(dropCount).intValue();
        }
        String str3 = this.CLASS_NAME;
        FtUtil.log_d(str3, "getPath", "drop count[count] : " + this.mDropCount);
    }

    /* access modifiers changed from: protected */
    public void setTestFeature(int testId) {
        switch (testId) {
            case 196:
                TestInfo.MEASURE_MAX_COUNT = 3;
                TestInfo.SUCCESS_DATA_COUNT = 2;
                TestInfo.MEASURE_STOP_IN_CASE_SPECIN = false;
                this.mAudioPlayer.setEnable(true);
                break;
        }
        TestInfo.SWAP_RMS_LEFT_RIGHT = false;
        if (containsTestCase("SWAP_RMS_LR")) {
            TestInfo.SWAP_RMS_LEFT_RIGHT = true;
        }
        TestInfo.printCondition();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        testStop();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void setTestResult(byte result) {
        if (!getIntent().getBooleanExtra("nvUpdate", true)) {
            FtUtil.log_d(this.CLASS_NAME, "setTestResult", "nvUpdate false");
        } else {
            super.setTestResult(result);
        }
    }

    public void onWindowFocusChanged(boolean hasFocus) {
        super.onWindowFocusChanged(hasFocus);
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "onWindowFocusChanged", "focused : " + hasFocus);
        if (hasFocus) {
            testStart();
        } else {
            testStop();
        }
    }

    private boolean containsTestCase(String param) {
        String testcase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML(this.TEST_ID));
        if (testcase == null || !testcase.toLowerCase().contains(param.toLowerCase())) {
            return false;
        }
        return true;
    }

    private boolean setTestItemInfo(int testId) {
        String specRaw = Support.FactoryTestMenu.getSpec(FactoryTestManager.convertorID_XML(testId));
        String[] arraySpec = specRaw != null ? specRaw.split(",") : null;
        if (arraySpec == null) {
            FtUtil.log_e(this.CLASS_NAME, "init", "No Spec data");
            return false;
        }
        SetKindOfTest(arraySpec);
        this.mTestItemInfo = new TestInfo[arraySpec.length];
        for (int i = 0; i < arraySpec.length; i++) {
            this.mTestItemInfo[i] = new TestInfo(this);
            String[] minMaxSpec = arraySpec != null ? arraySpec[i].split("~") : null;
            if (minMaxSpec.length != 2) {
                FtUtil.log_e(this.CLASS_NAME, "init", "Wrong spec");
            } else {
                String str = this.CLASS_NAME;
                FtUtil.log_d(str, "init", "arraySpec " + i + ": " + arraySpec[i]);
                try {
                    this.mTestItemInfo[i].mSpecMIN = Integer.parseInt(minMaxSpec[0]);
                    this.mTestItemInfo[i].mSpecMAX = Integer.parseInt(minMaxSpec[1]);
                } catch (NumberFormatException ne) {
                    this.mTestItemInfo[i].mSpecMIN = -1;
                    this.mTestItemInfo[i].mSpecMAX = -1;
                    FtUtil.log_e(ne);
                }
                this.mTestItemInfo[i].mIsSupport = true;
            }
        }
        return true;
    }

    private void initUI(int testId) {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "initUI", "testId: " + testId);
        for (int i = 0; i < this.mTestItemInfo.length; i++) {
            if (i == 0) {
                ((LinearLayout) findViewById(R.id.mic1)).setVisibility(0);
                this.mTestItemInfo[i].title = (TextView) findViewById(R.id.mic1_title);
                this.mTestItemInfo[i].spec = (TextView) findViewById(R.id.mic1_spec);
                this.mTestItemInfo[i].meas = (TextView) findViewById(R.id.mic1_meas);
                this.mTestItemInfo[i].result = (TextView) findViewById(R.id.mic1_result);
                this.mTestItemInfo[i].setTag("MIC1");
            } else if (i == 1) {
                ((LinearLayout) findViewById(R.id.mic2)).setVisibility(0);
                this.mTestItemInfo[i].title = (TextView) findViewById(R.id.mic2_title);
                this.mTestItemInfo[i].spec = (TextView) findViewById(R.id.mic2_spec);
                this.mTestItemInfo[i].meas = (TextView) findViewById(R.id.mic2_meas);
                this.mTestItemInfo[i].result = (TextView) findViewById(R.id.mic2_result);
                this.mTestItemInfo[i].setTag("MIC2");
            } else if (i == 2) {
                ((LinearLayout) findViewById(R.id.mic3)).setVisibility(0);
                this.mTestItemInfo[i].title = (TextView) findViewById(R.id.mic3_title);
                this.mTestItemInfo[i].spec = (TextView) findViewById(R.id.mic3_spec);
                this.mTestItemInfo[i].meas = (TextView) findViewById(R.id.mic3_meas);
                this.mTestItemInfo[i].result = (TextView) findViewById(R.id.mic3_result);
                this.mTestItemInfo[i].setTag("MIC3");
            } else if (i == 3) {
                ((LinearLayout) findViewById(R.id.mic4)).setVisibility(0);
                this.mTestItemInfo[i].title = (TextView) findViewById(R.id.mic4_title);
                this.mTestItemInfo[i].spec = (TextView) findViewById(R.id.mic4_spec);
                this.mTestItemInfo[i].meas = (TextView) findViewById(R.id.mic4_meas);
                this.mTestItemInfo[i].result = (TextView) findViewById(R.id.mic4_result);
                this.mTestItemInfo[i].setTag("MIC4");
            }
            TextView textView = this.mTestItemInfo[i].spec;
            textView.setText(getResources().getString(R.string.echo_test_spec) + this.mTestItemInfo[i].mSpecMIN + " ~ " + this.mTestItemInfo[i].mSpecMAX);
            this.mTestItemInfo[i].spec.setTextColor(-16777216);
        }
        Button button = (Button) findViewById(R.id.retest_button);
        this.mRetestButton = button;
        button.setOnClickListener(this);
        Button button2 = (Button) findViewById(R.id.exit_button);
        this.mExitButton = button2;
        button2.setOnClickListener(this);
    }

    private void SetUIRate() {
        float rate = Support.FactoryTestMenu.getUIRate(FactoryTestManager.convertorID_XML(this.TEST_ID));
        if (rate != 0.0f && rate != 1.0f) {
            int i = 0;
            while (true) {
                TestInfo[] testInfoArr = this.mTestItemInfo;
                if (i < testInfoArr.length) {
                    testInfoArr[i].title.setTextSize(0, this.mTestItemInfo[i].title.getTextSize() * rate);
                    this.mTestItemInfo[i].spec.setTextSize(0, this.mTestItemInfo[i].spec.getTextSize() * rate);
                    this.mTestItemInfo[i].meas.setTextSize(0, this.mTestItemInfo[i].meas.getTextSize() * rate);
                    this.mTestItemInfo[i].result.setTextSize(0, this.mTestItemInfo[i].result.getTextSize() * rate);
                    i++;
                } else {
                    return;
                }
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void update(int[] rms) {
        FtUtil.log_d(this.CLASS_NAME, "update", null);
        boolean checkResult = true;
        if (this.mTestItemInfo.length > 0) {
            int i = 0;
            while (true) {
                TestInfo[] testInfoArr = this.mTestItemInfo;
                if (i >= testInfoArr.length) {
                    break;
                }
                if (testInfoArr[i].addMeasure(rms[i])) {
                    FtUtil.log_d(this.CLASS_NAME, "update", "addMeasuer true rms : " + rms[i]);
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "update", "false");
                    checkResult = false;
                }
                i++;
            }
            FtUtil.log_d(this.CLASS_NAME, "update", "checkResult : " + checkResult);
            if (checkResult) {
                String strSpec = "SPEC : ";
                String strMeasure = " / RESULT : ";
                for (int i2 = 0; i2 < this.mTestItemInfo.length; i2++) {
                    strSpec = strSpec + "Mic[" + i2 + "]:" + this.mTestItemInfo[i2].mSpecMIN + "~" + this.mTestItemInfo[i2].mSpecMAX + "  ";
                    strMeasure = strMeasure + "Mic[" + i2 + "] : " + this.mTestItemInfo[i2].mMeasuredData.toString() + " ";
                }
                FtUtil.log_d(this.CLASS_NAME, "onClick", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(196), "" + strSpec + "" + strMeasure));
                testStop();
                createLogFile();
            }
            if (checkResult()) {
                setResult(-1);
                this.mHandler.sendEmptyMessageDelayed(4, 1000);
                return;
            }
            setResult(0);
        }
    }

    private boolean checkResult() {
        boolean result = true;
        for (int i = 0; i < this.mTestItemInfo.length; i++) {
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "checkResult", "checkResult i= " + i + " , mIsTestPass = " + this.mTestItemInfo[i].mIsTestPass);
            if (!this.mTestItemInfo[i].mIsSupport || !this.mTestItemInfo[i].mIsTestComplete || !this.mTestItemInfo[i].mIsTestPass) {
                result = false;
            }
        }
        String str2 = this.CLASS_NAME;
        FtUtil.log_d(str2, "checkResult", "result: " + result);
        return result;
    }

    private void testStop() {
        FtUtil.log_d(this.CLASS_NAME, "testStop", "");
        AudioRecording audioRecording = this.mAudioRecording;
        if (audioRecording != null && audioRecording.stopRecording()) {
            this.mAudioRecording = null;
        }
        this.mAudioPlayer.stopSound();
        this.mAudioPlayer.setPath(4);
        if (!checkResult()) {
            this.mRetestButton.setEnabled(true);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setTestMicPath(InputMicSelector inputMic, int path) {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "setTestMicPath", "setPath : " + path);
        inputMic.setPath(path);
        this.mAudioPlayer.mModuleAudio.setMicPath(inputMic.getPath());
    }

    private void testStart() {
        FtUtil.log_d(this.CLASS_NAME, "testStart", "");
        if (!ModuleAudio.instance(this).isEarphonePlugged() || this.TEST_ID != 196) {
            this.mRetestButton.setEnabled(false);
            mTestGroupCnt = 0;
            this.mInputMicSelector = new InputMicSelector();
            int i = this.MicTestCase;
            if (i == 1) {
                this.mAudioRecording = new AudioRecordingMic1(this, this.mHandler);
                FtUtil.log_d(this.CLASS_NAME, "testStart", "AudioRecordingMic1");
                mInitMicPath = 0;
            } else if (i == 2) {
                this.mAudioRecording = new AudioRecordingMic1Mic2(this, this.mHandler);
                FtUtil.log_d(this.CLASS_NAME, "testStart", "AudioRecordingMic1Mic2");
                mInitMicPath = 3;
            } else if (i == 3) {
                this.mAudioRecording = new AudioRecordingMic1Mic2Mic3(this, this.mHandler);
                FtUtil.log_d(this.CLASS_NAME, "testStart", "AudioRecordingMic1Mic2Mic3");
                mInitMicPath = 3;
            } else if (i == 4) {
                this.mAudioRecording = new AudioRecordingMic1Mic2Mic3Mic4(this, this.mHandler);
                FtUtil.log_d(this.CLASS_NAME, "testStart", "AudioRecordingMic1Mic2Mic3Mic4");
                mInitMicPath = 3;
            } else {
                FtUtil.log_d(this.CLASS_NAME, "testStart", "MicTestCase is abnormal");
            }
            this.mAudioRecording.initInputSetting(null);
            ((AudioManager) getSystemService("audio")).setParameters("factory_test_mic_check=on");
            setTestMicPath(this.mInputMicSelector, mInitMicPath);
            this.mAudioPlayer.setPath(audio_path[0]);
            this.mAudioPlayer.setVolume(volume[0]);
            this.mAudioRecording.startRecording();
            this.mAudioPlayer.playSound("/system/factory/testmedia/3K-ST-1.mp3");
            return;
        }
        FtUtil.log_d(this.CLASS_NAME, "testStart", "Earphone was plugged - so it can't do");
        EarPhoneFail();
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.exit_button:
                testStop();
                finish();
                return;
            case R.id.retest_button:
                testStop();
                int i = 0;
                while (true) {
                    TestInfo[] testInfoArr = this.mTestItemInfo;
                    if (i < testInfoArr.length) {
                        testInfoArr[i].result.setText("");
                        i++;
                    } else {
                        setTestItemInfo(this.TEST_ID);
                        initUI(this.TEST_ID);
                        testStart();
                        return;
                    }
                }
            default:
                return;
        }
    }

    public void SetKindOfTest(String[] arraySpec) {
        switch (arraySpec.length) {
            case 1:
                this.MicTestCase = 1;
                break;
            case 2:
            default:
                this.MicTestCase = 2;
                break;
            case 3:
                this.MicTestCase = 3;
                break;
            case 4:
                this.MicTestCase = 4;
                break;
        }
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "SetKindOfTest", "MicTestCase: " + this.MicTestCase);
    }

    private void EarPhoneFail() {
        AlertDialog.Builder builder = new AlertDialog.Builder(this);
        builder.setTitle("Earphone Fail");
        builder.setMessage("Do not plug earphone to device. Please unplug earphone.");
        DialogInterface.OnDismissListener pl = new EmptyListener();
        AlertDialog ad = builder.create();
        ad.setOnDismissListener(pl);
        ad.show();
    }

    private void createLogFile() {
        FileOutputStream fos = null;
        String strData = new String();
        File dataLogDirectory = new File(this.DataDestpath);
        File MicGainDataFile = new File(this.MicGainFilePath);
        if (!dataLogDirectory.exists()) {
            dataLogDirectory.mkdir();
        }
        if (!MicGainDataFile.exists()) {
            try {
                MicGainDataFile.createNewFile();
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
        try {
            FtUtil.log_d(this.CLASS_NAME, "createLogFile", null);
            FileOutputStream fos2 = new FileOutputStream(MicGainDataFile, true);
            int i = 0;
            while (true) {
                TestInfo[] testInfoArr = this.mTestItemInfo;
                if (i < testInfoArr.length) {
                    Iterator<Integer> itr = testInfoArr[i].mMeasuredData.iterator();
                    while (itr.hasNext()) {
                        strData = strData + itr.next() + ",";
                    }
                    i++;
                } else {
                    String strData2 = strData.substring(0, strData.length() - 1) + "\n";
                    FtUtil.log_d(this.CLASS_NAME, "createLogFile", "strData =" + strData2);
                    byte[] theByteArray = strData2.getBytes();
                    FtUtil.log_d(this.CLASS_NAME, "createLogFile", "no of bytes =" + theByteArray.length);
                    fos2.write(theByteArray);
                    fos2.flush();
                    fos2.getFD().sync();
                    try {
                        fos2.close();
                        return;
                    } catch (IOException e2) {
                        e2.printStackTrace();
                        return;
                    }
                }
            }
        } catch (FileNotFoundException e3) {
            e3.printStackTrace();
            if (0 != 0) {
                fos.close();
            }
        } catch (IOException e4) {
            e4.printStackTrace();
            if (0 != 0) {
                fos.close();
            }
        } catch (Throwable th) {
            if (0 != 0) {
                try {
                    fos.close();
                } catch (IOException e5) {
                    e5.printStackTrace();
                }
            }
            throw th;
        }
    }

    public static class TestInfo {
        private static final String CLASS_NAME = "UIMicGainTest.TestInfo";
        public static int EMPTY_DATA = Integer.MIN_VALUE;
        public static int MEASURE_MAX_COUNT = 15;
        public static boolean MEASURE_STOP_IN_CASE_SPECIN = true;
        public static int SUCCESS_DATA_COUNT = 3;
        public static boolean SWAP_RMS_LEFT_RIGHT = false;
        public Context mContext;
        public boolean mIsSupport = false;
        public boolean mIsTestComplete = false;
        public boolean mIsTestPass = false;
        private final ArrayList<Integer> mMeasuredData = new ArrayList<>();
        public int mSpecInCount = 0;
        public int mSpecMAX;
        public int mSpecMIN;
        private String mTag = "MIC";
        TextView meas;
        TextView result;
        TextView spec;
        TextView title;

        TestInfo(Context context) {
            this.mContext = context;
        }

        public void setTag(String tag) {
            this.mTag = tag;
        }

        public boolean addMeasure(int data) {
            if (this.mIsTestComplete) {
                FtUtil.log_d(CLASS_NAME, "addMeasure", "mIsTestComplete true, mTag: " + this.mTag);
                return true;
            } else if (data == EMPTY_DATA) {
                FtUtil.log_d(CLASS_NAME, "addMeasure", "skip rms empty data mTag: " + this.mTag);
                return false;
            } else {
                this.mMeasuredData.add(Integer.valueOf(data));
                String str = this.mMeasuredData.toString();
                String str2 = str.substring(1, str.length() - 1);
                this.meas.setText(this.mContext.getResources().getString(R.string.echo_test_meas) + "\n" + str2);
                if (data >= this.mSpecMIN && data <= this.mSpecMAX) {
                    this.mSpecInCount++;
                }
                boolean z = MEASURE_STOP_IN_CASE_SPECIN;
                int i = UiHallICTest.FONT_COLOR_PASS;
                if (z && this.mSpecInCount >= SUCCESS_DATA_COUNT) {
                    this.mIsTestPass = true;
                    this.mIsTestComplete = true;
                    this.result.setText("PASS");
                    TextView textView = this.result;
                    if (!this.mIsTestPass) {
                        i = -65536;
                    }
                    textView.setTextColor(i);
                    return true;
                } else if (this.mMeasuredData.size() < MEASURE_MAX_COUNT) {
                    return false;
                } else {
                    if (this.mSpecInCount >= SUCCESS_DATA_COUNT) {
                        this.mIsTestPass = true;
                        this.result.setText("PASS");
                    } else {
                        this.mIsTestPass = false;
                        this.result.setText("FAIL");
                        FtUtil.log_d(CLASS_NAME, "onClick", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(196), "Fail spec out"));
                    }
                    this.mIsTestComplete = true;
                    TextView textView2 = this.result;
                    if (!this.mIsTestPass) {
                        i = -65536;
                    }
                    textView2.setTextColor(i);
                    return true;
                }
            }
        }

        public ArrayList<Integer> getMeasuredData() {
            return this.mMeasuredData;
        }

        public static void printCondition() {
            FtUtil.log_d(CLASS_NAME, "printCondition", "MEASURE_MAX_COUNT: " + MEASURE_MAX_COUNT);
            FtUtil.log_d(CLASS_NAME, "printCondition", "SUCCESS_DATA_COUNT: " + SUCCESS_DATA_COUNT);
            FtUtil.log_d(CLASS_NAME, "printCondition", "MEASURE_STOP_IN_CASE_SPECIN: " + MEASURE_STOP_IN_CASE_SPECIN);
            FtUtil.log_d(CLASS_NAME, "printCondition", "SWAP_RMS_LEFT_RIGHT: " + SWAP_RMS_LEFT_RIGHT);
        }
    }

    public class AudioRecording {
        protected static final int AUDIO_FORMAT = 2;
        protected static final int CHANNEL_CONFIG = 12;
        protected static final int DURATION_MIC_TEST_ON_OFF = 200;
        protected static final int SAMPLE_RATE = 16000;
        protected String CLASS_NAME = "UIMicGainTest.AudioRecording";
        protected int audioSource = 5;
        byte[] buffer = null;
        public int initDataFlag = 0;
        protected AudioManager mAudioManager;
        protected int mBufferSize = 0;
        protected Handler mHandler;
        protected boolean mIsRecording = false;
        protected int mReadBytes = 0;
        protected AudioRecord mRecorder = null;
        public Thread mThread = null;

        AudioRecording(Context context, Handler handler) {
            this.mAudioManager = (AudioManager) context.getSystemService("audio");
            this.mHandler = handler;
        }

        /* access modifiers changed from: protected */
        public boolean initInputSetting(String path) {
            int minBufferSize = AudioRecord.getMinBufferSize(SAMPLE_RATE, 12, 2);
            this.mBufferSize = minBufferSize;
            int i = minBufferSize * 5;
            this.mBufferSize = i;
            this.buffer = new byte[i];
            this.mRecorder = new AudioRecord(this.audioSource, SAMPLE_RATE, 12, 2, this.mBufferSize);
            this.mReadBytes = 0;
            return false;
        }

        public short[] getRMSValue(byte[] data, int size) {
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "getRMS", "data length = " + data.length + ", size = " + size);
            if (UIMicGainTest.this.mFactoryRMS == null) {
                FtUtil.log_w(this.CLASS_NAME, "getRMS", "mFactoryRMS is null");
                return null;
            } else if (data == null || size <= 0) {
                FtUtil.log_w(this.CLASS_NAME, "getRMS", "data is null or size is lower than 0");
                return null;
            } else {
                UIMicGainTest.this.mFactoryRMS.Calc_RMS_init(size);
                UIMicGainTest.this.mFactoryRMS.Calc_RMS_exe(data, size);
                short[] lr = new short[2];
                UIMicGainTest.this.mFactoryRMS.Calc_RMS_deinit(lr);
                String str2 = this.CLASS_NAME;
                FtUtil.log_d(str2, "getRMS", "L=" + ((int) lr[0]) + ", R=" + ((int) lr[1]));
                return lr;
            }
        }

        public boolean startRecording() {
            FtUtil.log_d(this.CLASS_NAME, "startRecording", null);
            Thread thread = new Thread(new Runnable() {
                /* class com.sec.factory.app.ui.UIMicGainTest.AudioRecording.AnonymousClass1 */

                public void run() {
                    if (AudioRecording.this.mRecorder != null) {
                        AudioRecording.this.mRecorder.startRecording();
                        while (AudioRecording.this.mRecorder != null) {
                            AudioRecording.this.mIsRecording = true;
                            while (AudioRecording.this.mRecorder.getRecordingState() != 3) {
                                FtUtil.log_d(AudioRecording.this.CLASS_NAME, "waiting recording...", null);
                                try {
                                    Thread.sleep(50);
                                } catch (InterruptedException ie) {
                                    FtUtil.log_e(ie);
                                }
                            }
                            try {
                                Thread.sleep(200);
                                AudioRecording audioRecording = AudioRecording.this;
                                audioRecording.mReadBytes = audioRecording.mRecorder.read(AudioRecording.this.buffer, 0, AudioRecording.this.mBufferSize);
                                if (UIMicGainTest.this.mAudioPlayer.isPlayingSound()) {
                                    FtUtil.log_d(AudioRecording.this.CLASS_NAME, "startRecording", "getting RMS");
                                    AudioRecording audioRecording2 = AudioRecording.this;
                                    short[] lr = audioRecording2.getRMSValue(audioRecording2.buffer, AudioRecording.this.mReadBytes);
                                    short s = lr[0];
                                    short s2 = lr[1];
                                    if (AudioRecording.this.initDataFlag >= UIMicGainTest.this.mDropCount) {
                                        if (TestInfo.SWAP_RMS_LEFT_RIGHT) {
                                            FtUtil.log_d(AudioRecording.this.CLASS_NAME, "MicTestRecoder.doInBackground", "SWAP_RMS_LEFT_RIGHT");
                                            s2 = s;
                                            s = s2;
                                        }
                                        AudioRecording.this.updateInternal(s2, s);
                                    } else {
                                        String str = AudioRecording.this.CLASS_NAME;
                                        FtUtil.log_d(str, "MicTestRecoder.doInBackground", "initDataFlag=" + AudioRecording.this.initDataFlag + ", mDropCount=" + UIMicGainTest.this.mDropCount);
                                        FtUtil.log_d(AudioRecording.this.CLASS_NAME, "MicTestRecoder.doInBackground", "Initial RMS Value is skipped");
                                        AudioRecording audioRecording3 = AudioRecording.this;
                                        audioRecording3.initDataFlag = audioRecording3.initDataFlag + 1;
                                    }
                                } else {
                                    FtUtil.log_d(AudioRecording.this.CLASS_NAME, "startRecording", "Skip because Audio Player is stopped");
                                }
                                if (AudioRecording.this.mThread.isInterrupted()) {
                                    break;
                                }
                            } catch (InterruptedException ie2) {
                                FtUtil.log_e(ie2);
                            }
                        }
                        if (AudioRecording.this.mRecorder != null) {
                            if (AudioRecording.this.mRecorder.getState() == 3) {
                                AudioRecording.this.mRecorder.stop();
                            }
                            AudioRecording.this.mRecorder.release();
                            AudioRecording.this.mRecorder = null;
                        }
                        AudioRecording.this.mIsRecording = false;
                    }
                }
            });
            this.mThread = thread;
            thread.start();
            FtUtil.log_d(this.CLASS_NAME, "startRecording", "Started");
            return true;
        }

        /* access modifiers changed from: protected */
        public void updateInternal(int rmsR, int rmsL) {
            Handler handler = this.mHandler;
            handler.sendMessage(handler.obtainMessage(0, rmsR, rmsL));
        }

        public boolean stopRecording() {
            FtUtil.log_d(this.CLASS_NAME, "stopRecording", null);
            this.initDataFlag = 0;
            if (this.mThread != null) {
                do {
                    this.mThread.interrupt();
                    try {
                        Thread.sleep(100);
                        FtUtil.log_d(this.CLASS_NAME, "waiting to terminate mThread...", null);
                    } catch (Exception e) {
                        e.printStackTrace();
                    }
                } while (this.mIsRecording);
            }
            FtUtil.log_d(this.CLASS_NAME, "micCheckOnOff", "factory_test_mic_check=off");
            this.mAudioManager.setParameters("factory_test_mic_check=off");
            this.mThread = null;
            FtUtil.log_d(this.CLASS_NAME, "stopRecording", "Done: ");
            return true;
        }
    }

    public static class InputMicSelector {
        public static final int MIC1 = 0;
        public static final int MIC1MIC2 = 3;
        public static final int MIC2 = 1;
        public static final int MIC3 = 4;
        public static final int MIC3MIC4 = 6;
        public static final int MIC4 = 5;
        public static final int UNKNOWN = -1;
        public int mState = -1;

        public boolean setPath(int path) {
            boolean result = this.mState != path;
            this.mState = path;
            return result;
        }

        public int getPath() {
            return this.mState;
        }
    }

    public class AudioRecordingMic1 extends AudioRecording {
        private int mMeasureCount = 0;

        AudioRecordingMic1(Context context, Handler handler) {
            super(context, handler);
            this.CLASS_NAME = "UIMicGainTest.AudioRecordingMic1";
            this.mMeasureCount = 0;
        }

        /* access modifiers changed from: protected */
        @Override // com.sec.factory.app.ui.UIMicGainTest.AudioRecording
        public void updateInternal(int rmsR, int rmsL) {
            this.mMeasureCount++;
            FtUtil.log_d(this.CLASS_NAME, "updateInternal", "mMeasureCount: " + this.mMeasureCount);
            int mic2 = rmsL;
            if (this.mMeasureCount <= TestInfo.MEASURE_MAX_COUNT) {
                mic2 = TestInfo.EMPTY_DATA;
                if (this.mMeasureCount == TestInfo.MEASURE_MAX_COUNT && UIMicGainTest.this.mTestItemInfo.length > 1) {
                    FtUtil.log_d(this.CLASS_NAME, "updateInternal", "initDataFlag set initial value");
                    this.initDataFlag = 0;
                    UIMicGainTest.this.mAudioPlayer.stopSound();
                }
            } else {
                FtUtil.log_d(this.CLASS_NAME, "updateInternal", "mMeasureCount abnormal");
            }
            FtUtil.log_d(this.CLASS_NAME, "updateInternal", "mic1: " + rmsR + ", mic2: " + mic2);
            this.mHandler.sendMessage(this.mHandler.obtainMessage(0, rmsR, mic2));
        }
    }

    public class AudioRecordingMic1Mic2 extends AudioRecording {
        private int mMeasureCount = 0;

        AudioRecordingMic1Mic2(Context context, Handler handler) {
            super(context, handler);
            this.CLASS_NAME = "UIMicGainTest.AudioRecordingMic1Mic2";
            this.mMeasureCount = 0;
        }

        /* access modifiers changed from: protected */
        @Override // com.sec.factory.app.ui.UIMicGainTest.AudioRecording
        public void updateInternal(int rmsR, int rmsL) {
            this.mMeasureCount++;
            FtUtil.log_d(this.CLASS_NAME, "updateInternal", "mMeasureCount: " + this.mMeasureCount);
            if (this.mMeasureCount > TestInfo.MEASURE_MAX_COUNT) {
                FtUtil.log_d(this.CLASS_NAME, "updateInternal", "mMeasureCount abnormal");
            } else if (this.mMeasureCount == TestInfo.MEASURE_MAX_COUNT && UIMicGainTest.this.mTestItemInfo.length > 1) {
                FtUtil.log_d(this.CLASS_NAME, "updateInternal", "initDataFlag set initial value");
                this.initDataFlag = 0;
                UIMicGainTest.this.mAudioPlayer.stopSound();
            }
            FtUtil.log_d(this.CLASS_NAME, "updateInternal", "mic1: " + rmsR + ", mic2: " + rmsL);
            this.mHandler.sendMessage(this.mHandler.obtainMessage(0, rmsR, rmsL));
        }
    }

    public class AudioRecordingMic1Mic2Mic3 extends AudioRecording {
        private int mMeasureCount = 0;

        AudioRecordingMic1Mic2Mic3(Context context, Handler handler) {
            super(context, handler);
            this.CLASS_NAME = "UIMicGainTest.AudioRecordingMic1Mic2Mic3";
            this.mMeasureCount = 0;
        }

        /* access modifiers changed from: protected */
        @Override // com.sec.factory.app.ui.UIMicGainTest.AudioRecording
        public void updateInternal(int rmsR, int rmsL) {
            this.mMeasureCount++;
            FtUtil.log_d(this.CLASS_NAME, "updateInternal", "mMeasureCount: " + this.mMeasureCount);
            if (this.mMeasureCount > TestInfo.MEASURE_MAX_COUNT) {
                int unused = UIMicGainTest.mTestGroupCnt = 1;
            } else if (this.mMeasureCount == TestInfo.MEASURE_MAX_COUNT && UIMicGainTest.this.mTestItemInfo.length > 1) {
                FtUtil.log_d(this.CLASS_NAME, "updateInternal", "initDataFlag set initial value");
                this.initDataFlag = 0;
                UIMicGainTest.this.mAudioPlayer.stopSound();
                UIMicGainTest.this.mAudioPlayer.setPath(UIMicGainTest.audio_path[0]);
                UIMicGainTest uIMicGainTest = UIMicGainTest.this;
                uIMicGainTest.setTestMicPath(uIMicGainTest.mInputMicSelector, 4);
                UIMicGainTest.this.mAudioPlayer.setVolume(UIMicGainTest.volume[1]);
                UIMicGainTest.this.mAudioPlayer.playSound("/system/factory/testmedia/3K-ST-1.mp3");
            }
            FtUtil.log_d(this.CLASS_NAME, "updateInternal", "mic1: " + rmsR + ", mic2: " + rmsL + ", mTestGroupCnt :" + UIMicGainTest.mTestGroupCnt);
            this.mHandler.sendMessage(this.mHandler.obtainMessage(1, rmsR, rmsL));
        }
    }

    public class AudioRecordingMic1Mic2Mic3Mic4 extends AudioRecording {
        private int mMeasureCount = 0;

        AudioRecordingMic1Mic2Mic3Mic4(Context context, Handler handler) {
            super(context, handler);
            this.CLASS_NAME = "UIMicGainTest.AudioRecordingMic1Mic2Mic3Mic4";
            this.mMeasureCount = 0;
        }

        /* access modifiers changed from: protected */
        @Override // com.sec.factory.app.ui.UIMicGainTest.AudioRecording
        public void updateInternal(int rmsR, int rmsL) {
            this.mMeasureCount++;
            FtUtil.log_d(this.CLASS_NAME, "updateInternal", "mMeasureCount: " + this.mMeasureCount);
            if (this.mMeasureCount > TestInfo.MEASURE_MAX_COUNT) {
                int unused = UIMicGainTest.mTestGroupCnt = 1;
            } else if (this.mMeasureCount == TestInfo.MEASURE_MAX_COUNT && UIMicGainTest.this.mTestItemInfo.length > 1) {
                FtUtil.log_d(this.CLASS_NAME, "updateInternal", "initDataFlag set initial value");
                this.initDataFlag = 0;
                UIMicGainTest.this.mAudioPlayer.stopSound();
                UIMicGainTest.this.mAudioPlayer.setPath(UIMicGainTest.audio_path[0]);
                UIMicGainTest uIMicGainTest = UIMicGainTest.this;
                uIMicGainTest.setTestMicPath(uIMicGainTest.mInputMicSelector, 6);
                UIMicGainTest.this.mAudioPlayer.setVolume(UIMicGainTest.volume[1]);
                UIMicGainTest.this.mAudioPlayer.playSound("/system/factory/testmedia/3K-ST-1.mp3");
            }
            FtUtil.log_d(this.CLASS_NAME, "updateInternal", "mic1: " + rmsR + ", mic2: " + rmsL + ", mTestGroupCnt :" + UIMicGainTest.mTestGroupCnt);
            this.mHandler.sendMessage(this.mHandler.obtainMessage(2, rmsR, rmsL));
        }
    }

    public static class AudioPlayer {
        private static final String CLASS_NAME = "UIMicGainTest.AudioPlayer";
        private static int mLatestPath = 0;
        private static boolean mPlayerEnable = false;
        private final Context mContext;
        public ModuleAudio mModuleAudio;

        public AudioPlayer(Context context) {
            this.mContext = context;
        }

        public void setEnable(boolean enable) {
            FtUtil.log_d(CLASS_NAME, "setEnable", "enable: " + enable);
            this.mModuleAudio = ModuleAudio.instance(this.mContext);
            mPlayerEnable = enable;
        }

        public void setPath(int path) {
            if (!mPlayerEnable) {
                FtUtil.log_d(CLASS_NAME, "setPath", "mPlayerEnable: " + mPlayerEnable);
                return;
            }
            FtUtil.log_d(CLASS_NAME, "setPath", "path: " + path);
            this.mModuleAudio.setAudioPath(path);
            mLatestPath = path;
        }

        public void setVolume(int volume) {
            FtUtil.log_d(CLASS_NAME, "setVolume", "mPlayerEnable: " + mPlayerEnable);
            if (mPlayerEnable) {
                FtUtil.log_d(CLASS_NAME, "setVolume", "volume: " + volume);
                this.mModuleAudio.setStreamMusicVolume(volume);
            }
        }

        public void playSound(int path, int volume) {
            FtUtil.log_d(CLASS_NAME, "playSound", "mPlayerEnable: " + mPlayerEnable);
            if (mPlayerEnable) {
                setPath(path);
                setVolume(volume);
                playSound("/system/factory/testmedia/3K-ST-1.mp3");
            }
        }

        public void playSound(int resourceId) {
            FtUtil.log_d(CLASS_NAME, "playSound", "mPlayerEnable: " + mPlayerEnable);
            if (mPlayerEnable) {
                this.mModuleAudio.playMedia(resourceId, true);
            }
        }

        public void playSound(String filePath) {
            FtUtil.log_d(CLASS_NAME, "playSound", "filePath: " + filePath);
            try {
                this.mModuleAudio.playMedia(filePath, true);
            } catch (IOException e) {
                e.printStackTrace();
            }
        }

        public boolean isPlayingSound() {
            boolean r = this.mModuleAudio.isPlayingSound();
            FtUtil.log_d(CLASS_NAME, "isPlayingSound", "r: " + r);
            return r;
        }

        public void stopSound() {
            FtUtil.log_d(CLASS_NAME, "stopSound", "mPlayerEnable: " + mPlayerEnable);
            if (mPlayerEnable) {
                if (!this.mModuleAudio.isPlayingSound()) {
                    FtUtil.log_d(CLASS_NAME, "stopSound", "not isPlayingSound");
                    return;
                }
                this.mModuleAudio.stopMedia();
                switch (mLatestPath) {
                    case 0:
                        FtUtil.log_d(CLASS_NAME, "stopSound", "sleep 100ms to avoid pop sound when changed path spk > path off");
                        FtUtil.Sleep.sleep(100);
                        return;
                    case 1:
                        FtUtil.log_d(CLASS_NAME, "stopSound", "sleep 200ms to avoid pop sound when changed path rcv > path off");
                        FtUtil.Sleep.sleep(200);
                        return;
                    default:
                        return;
                }
            }
        }
    }

    public class EmptyListener implements DialogInterface.OnDismissListener {
        public EmptyListener() {
        }

        public void onDismiss(DialogInterface dialog) {
            UIMicGainTest.this.finish();
        }
    }
}
