package com.sec.factory.app.ui;

import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;

public class UIMicroCrack extends UIBase implements View.OnClickListener {
    private static final String CLASS_NAME = "UIMicroCrack";
    private static final String MODE_OFF = "0";
    private static final String MODE_ON = "1";
    private final long BACK_KEY_EVENT_TIMELAG = 2000;
    private final int NO_TYPE = -1;
    private int SettingTime = 5000;
    private boolean isFirstRunning = true;
    private boolean isRunningTest = false;
    private final Handler mHandler = new Handler();
    private long mPrevBackKeyEventTime = -1;
    private Button[] mStatus;
    private TextView mTextViewMicroCrackTitle;
    private TimeThread mThread;
    private int test_mode = -1;

    public UIMicroCrack() {
        super(CLASS_NAME, 163);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        this.TEST_ID = getIntent().getIntExtra("testid", 163);
        this.test_mode = getIntent().getIntExtra("test_mode", -1);
        FtUtil.log_d(CLASS_NAME, "onCreate", "TEST_MODE: " + this.test_mode);
        FtUtil.setRemoveSystemUI(getWindow(), true);
        this.mThread = new TimeThread(this.SettingTime);
        setContentView(R.layout.ui_micro_crack);
        this.isRunningTest = false;
        this.isFirstRunning = true;
        init_UI();
    }

    private void init_UI() {
        this.mTextViewMicroCrackTitle = (TextView) findViewById(R.id.title_micro_crack);
        Button[] buttonArr = new Button[4];
        this.mStatus = buttonArr;
        buttonArr[0] = (Button) findViewById(R.id.pass_btn);
        this.mStatus[1] = (Button) findViewById(R.id.fail_btn);
        this.mStatus[2] = (Button) findViewById(R.id.status_btn);
        this.mTextViewMicroCrackTitle.setVisibility(4);
        for (int i = 0; i < 3; i++) {
            this.mStatus[i].setOnClickListener(this);
            this.mStatus[i].setVisibility(4);
        }
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        sendBroadcast(new Intent("com.samsung.android.aircommandmanager.STOP_MONITORING"));
        this.mHandler.postDelayed(new Runnable() {
            /* class com.sec.factory.app.ui.UIMicroCrack.AnonymousClass1 */

            public void run() {
                UIMicroCrack.this.mThread.start();
            }
        }, 300);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        TimeThread timeThread;
        super.onPause();
        sendBroadcast(new Intent("com.samsung.android.aircommandmanager.START_MONITORING"));
        if (this.isRunningTest && (timeThread = this.mThread) != null) {
            timeThread.interrupt();
        }
    }

    public void MicroOnOff(boolean status) {
        if (status) {
            Support.Kernel.write(Support.Kernel.MICRO_CRACK_NODE, "1");
            this.mHandler.postDelayed(new Runnable() {
                /* class com.sec.factory.app.ui.UIMicroCrack.AnonymousClass2 */

                public void run() {
                    UIMicroCrack.this.mTextViewMicroCrackTitle.setVisibility(4);
                    for (int i = 0; i < 3; i++) {
                        UIMicroCrack.this.mStatus[i].setVisibility(4);
                    }
                }
            }, 10);
            this.isRunningTest = true;
            this.isFirstRunning = false;
            return;
        }
        Support.Kernel.write(Support.Kernel.MICRO_CRACK_NODE, MODE_OFF);
        this.mHandler.postDelayed(new Runnable() {
            /* class com.sec.factory.app.ui.UIMicroCrack.AnonymousClass3 */

            public void run() {
                UIMicroCrack.this.mTextViewMicroCrackTitle.setVisibility(0);
                for (int i = 0; i < 3; i++) {
                    UIMicroCrack.this.mStatus[i].setVisibility(0);
                }
            }
        }, 10);
        this.isRunningTest = false;
        this.isFirstRunning = false;
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.fail_btn:
                if (!this.isRunningTest && !this.isFirstRunning) {
                    FtUtil.log_d(CLASS_NAME, "onClick", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(163), "Fail - Button clicked"));
                    FtUtil.log_d(CLASS_NAME, "onClick", "Click Fail");
                    setResult(0);
                    finish();
                    return;
                }
                return;
            case R.id.pass_btn:
                if (!this.isRunningTest && !this.isFirstRunning) {
                    FtUtil.log_d(CLASS_NAME, "onClick", "Click Pass");
                    setTestResult((byte) 80);
                    setResult(-1);
                    finish();
                    return;
                }
                return;
            case R.id.status_btn:
                FtUtil.log_d(CLASS_NAME, "onClick", "Click Status Button");
                if (this.isRunningTest) {
                    TimeThread timeThread = this.mThread;
                    if (timeThread != null) {
                        timeThread.interrupt();
                        return;
                    }
                    return;
                }
                TimeThread timeThread2 = new TimeThread(this.SettingTime);
                this.mThread = timeThread2;
                timeThread2.start();
                return;
            default:
                return;
        }
    }

    /* access modifiers changed from: private */
    public class TimeThread extends Thread {
        int mTimeOut = 0;
        long startTime = System.currentTimeMillis();

        public TimeThread(int time) {
            this.mTimeOut = time;
        }

        public void run() {
            FtUtil.log_d(UIMicroCrack.CLASS_NAME, "TimeThread", "Starting... Time Setting : " + this.mTimeOut);
            try {
                UIMicroCrack.this.isRunningTest = false;
                Thread.sleep(200);
                UIMicroCrack.this.MicroOnOff(true);
                while (System.currentTimeMillis() - this.startTime < ((long) this.mTimeOut)) {
                    Thread.sleep(100);
                }
                FtUtil.log_d(UIMicroCrack.CLASS_NAME, "TimeThread", "After Time : " + UIMicroCrack.this.SettingTime);
                UIMicroCrack.this.MicroOnOff(false);
            } catch (InterruptedException e) {
                e.printStackTrace();
                UIMicroCrack.this.MicroOnOff(false);
            }
        }
    }
}
