package com.sec.factory.app.ui;

import android.graphics.Color;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.support.FtUtil;
import java.util.Random;

public class UIMoodLedTest extends UIBase implements View.OnClickListener {
    private static TextView textColor;
    private final int BLACK_START = 0;
    private final int FINISH = 3;
    private String[] Ramdom_LED_NAME = {"COLOR1 LED", "COLOR2 LED", "COLOR3 LED"};
    private int[] Random_LED = new int[3];
    private View mBackground;
    private Button mButtonColor1;
    private Button mButtonColor2;
    private Button mButtonColor3;
    private Button mButtonExit;
    private Button mButtonReset;
    private final int mColor1 = 6;
    private final int mColor2 = 7;
    private final int mColor3 = 8;
    private final int mColor4 = 4;
    private final int mColor5 = 5;
    private ModuleDevice mModuleDevice;
    private int test_state = 0;

    public UIMoodLedTest() {
        super("UIMoodLedTest");
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_moodled_randomtest);
        textColor = (TextView) findViewById(R.id.state_result);
        this.mModuleDevice = ModuleDevice.instance(this);
        Button button = (Button) findViewById(R.id.button_red);
        this.mButtonColor1 = button;
        button.setTag(6);
        this.mButtonColor1.setBackgroundColor(Color.argb(255, 255, 0, 0));
        Button button2 = (Button) findViewById(R.id.button_green);
        this.mButtonColor2 = button2;
        button2.setTag(7);
        this.mButtonColor2.setBackgroundColor(Color.argb(255, 0, 255, 0));
        Button button3 = (Button) findViewById(R.id.button_blue);
        this.mButtonColor3 = button3;
        button3.setTag(8);
        this.mButtonColor3.setBackgroundColor(Color.argb(255, 0, 0, 255));
        this.mButtonColor1.setOnClickListener(this);
        this.mButtonColor2.setOnClickListener(this);
        this.mButtonColor3.setOnClickListener(this);
        this.mButtonReset = (Button) findViewById(R.id.button_reset);
        this.mButtonExit = (Button) findViewById(R.id.button_exit);
        this.mButtonReset.setOnClickListener(this);
        this.mButtonExit.setOnClickListener(this);
        FtUtil.setRemoveSystemUI(getWindow(), true);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
    }

    public void onClick(View v) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "onClick()", "v.getTag() : " + ((Integer) v.getTag()));
        switch (v.getId()) {
            case R.id.button_exit:
                FtUtil.log_i(this.CLASS_NAME, "onClick", "button_exit Click");
                this.mModuleDevice.setMoodLEDlamp(0);
                finish();
                break;
            case R.id.button_reset:
                FtUtil.log_i(this.CLASS_NAME, "onClick", "button_reset Click");
                textColor.setText("");
                this.mButtonColor1.setEnabled(true);
                this.mButtonColor2.setEnabled(true);
                this.mButtonColor3.setEnabled(true);
                this.test_state = 0;
                shuffleRandomLed();
                break;
        }
        if (this.test_state != 3 && v.getTag() != null) {
            checkButton((Integer) v.getTag());
        }
    }

    private void shuffleRandomLed() {
        int[] iArr = this.Random_LED;
        iArr[0] = 6;
        iArr[1] = 7;
        iArr[2] = 8;
        String[] strArr = this.Ramdom_LED_NAME;
        strArr[0] = "COLOR1 LED";
        strArr[1] = "COLOR2 LED";
        strArr[2] = "COLOR3 LED";
        Random rnd = new Random();
        for (int i = 0; i < 3; i++) {
            int des = rnd.nextInt(3);
            int[] iArr2 = this.Random_LED;
            int tmp = iArr2[i];
            String[] strArr2 = this.Ramdom_LED_NAME;
            String str_temp = strArr2[i];
            iArr2[i] = iArr2[des];
            strArr2[i] = strArr2[des];
            iArr2[des] = tmp;
            strArr2[des] = str_temp;
        }
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, " initializeRandomLed()", "Random_LED[ ] : " + this.Random_LED[0] + ", " + this.Random_LED[1] + ", " + this.Random_LED[2]);
        this.mModuleDevice.setMoodLEDlamp(this.Random_LED[this.test_state]);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        this.mModuleDevice.setMoodLEDlamp(0);
    }

    private void checkButton(Integer resID) {
        FtUtil.log_i(this.CLASS_NAME, "test_state : " + this.Random_LED[this.test_state], "resID : " + resID.intValue());
        if (this.Random_LED[this.test_state] == resID.intValue()) {
            int i = this.test_state + 1;
            this.test_state = i;
            if (i == 3) {
                FtUtil.log_i(this.CLASS_NAME, "checkButton()", "ALL LED PASS");
                this.mModuleDevice.setMoodLEDlamp(0);
                setResult(-1);
                finish();
                return;
            }
            textColor.setText("PASS");
            textColor.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            this.mModuleDevice.setMoodLEDlamp(this.Random_LED[this.test_state]);
            return;
        }
        FtUtil.log_i(this.CLASS_NAME, "checkButton()", "FAIL");
        this.mButtonColor1.setEnabled(false);
        this.mButtonColor2.setEnabled(false);
        this.mButtonColor3.setEnabled(false);
        textColor.setText("FAIL");
        textColor.setTextColor(-65536);
    }
}
