package com.sec.factory.app.ui;

import android.hardware.Sensor;
import android.hardware.SensorEvent;
import android.hardware.SensorEventListener;
import android.hardware.SensorManager;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.modules.SensorCalculator;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.File;
import java.util.Calendar;
import java.util.Timer;
import java.util.TimerTask;

public class UIMotor extends UIBase {
    private static final int MOTOR_WORK = 0;
    public static final int TEST_START = 1000;
    public static final int UPDATE_DELTA = 1001;
    public static final int UPDATE_RESULT = 1002;
    private final int[] FEED_BACK_AMPLITUDE = {0, -1};
    private final long[] FEED_BACK_PATTERN = {0, 5000};
    private final int MAX_DATA = 2;
    private double MOTOR_SPEC = Support.TestCase.getDouble(Support.TestCase.MOTOR_SPEC);
    private Handler SscSysfsHandler = new Handler() {
        /* class com.sec.factory.app.ui.UIMotor.AnonymousClass2 */

        public void handleMessage(Message msg) {
            if (!UIMotor.this.readySensor && UIMotor.this.mStartTime + 125 < Calendar.getInstance().getTimeInMillis()) {
                UIMotor.this.readySensor = true;
                UIMotor.this.startTest();
            }
            if (msg.what == 0) {
                try {
                    String[] rawDatas = Support.Kernel.read(UIMotor.this.usingSubAcc ? Support.Kernel.SUB_ACCEL_SENSOR_RAW : Support.Kernel.ACCEL_SENSOR_RAW, true).trim().split(",");
                    UIMotor.this.mRawData[0] = Integer.parseInt(rawDatas[0].trim());
                    UIMotor.this.mRawData[1] = Integer.parseInt(rawDatas[1].trim());
                    UIMotor.this.mRawData[2] = Integer.parseInt(rawDatas[2].trim());
                    if (UIMotor.this.mZMax == 0) {
                        UIMotor uIMotor = UIMotor.this;
                        uIMotor.mXMax = uIMotor.mRawData[0];
                        UIMotor uIMotor2 = UIMotor.this;
                        uIMotor2.mXMin = uIMotor2.mRawData[0];
                        UIMotor uIMotor3 = UIMotor.this;
                        uIMotor3.mYMax = uIMotor3.mRawData[1];
                        UIMotor uIMotor4 = UIMotor.this;
                        uIMotor4.mYMin = uIMotor4.mRawData[1];
                        UIMotor uIMotor5 = UIMotor.this;
                        uIMotor5.mZMax = uIMotor5.mRawData[2];
                        UIMotor uIMotor6 = UIMotor.this;
                        uIMotor6.mZMin = uIMotor6.mRawData[2];
                    }
                    if (UIMotor.this.mXMax < UIMotor.this.mRawData[0]) {
                        UIMotor uIMotor7 = UIMotor.this;
                        uIMotor7.mXMax = uIMotor7.mRawData[0];
                    }
                    if (UIMotor.this.mXMin > UIMotor.this.mRawData[0]) {
                        UIMotor uIMotor8 = UIMotor.this;
                        uIMotor8.mXMin = uIMotor8.mRawData[0];
                    }
                    if (UIMotor.this.mYMax < UIMotor.this.mRawData[1]) {
                        UIMotor uIMotor9 = UIMotor.this;
                        uIMotor9.mYMax = uIMotor9.mRawData[1];
                    }
                    if (UIMotor.this.mYMin > UIMotor.this.mRawData[1]) {
                        UIMotor uIMotor10 = UIMotor.this;
                        uIMotor10.mYMin = uIMotor10.mRawData[1];
                    }
                    if (UIMotor.this.mZMax < UIMotor.this.mRawData[2]) {
                        UIMotor uIMotor11 = UIMotor.this;
                        uIMotor11.mZMax = uIMotor11.mRawData[2];
                    }
                    if (UIMotor.this.mZMin > UIMotor.this.mRawData[2]) {
                        UIMotor uIMotor12 = UIMotor.this;
                        uIMotor12.mZMin = uIMotor12.mRawData[2];
                    }
                } catch (NumberFormatException e) {
                    e.printStackTrace();
                }
                if (UIMotor.this.mTerminate_boolean) {
                    UIMotor.this.SscSysfsHandler.sendEmptyMessageDelayed(0, 10);
                }
            }
        }
    };
    private final long TIMER_TIME = 750;
    private final long TIMER_TIME_MOTOR_INIT = 125;
    private Handler UIUpdateHandler = new Handler() {
        /* class com.sec.factory.app.ui.UIMotor.AnonymousClass1 */

        public void handleMessage(Message msg) {
            switch (msg.what) {
                case 1000:
                    UIMotor.this.initTest();
                    return;
                case 1001:
                    String xDeltaString = UIMotor.this.getResources().getString(R.string.motor_x);
                    String yDeltaString = UIMotor.this.getResources().getString(R.string.motor_y);
                    String zDeltaString = UIMotor.this.getResources().getString(R.string.motor_z);
                    ((TextView) UIMotor.this.findViewById(R.id.motor_x)).setText(xDeltaString + " " + ((long) UIMotor.this.mXDeltaAvgData) + "(" + String.format("%.2f", Double.valueOf(UIMotor.this.mGX)) + "g)");
                    ((TextView) UIMotor.this.findViewById(R.id.motor_y)).setText(yDeltaString + " " + ((long) UIMotor.this.mYDeltaAvgData) + "(" + String.format("%.2f", Double.valueOf(UIMotor.this.mGY)) + "g)");
                    ((TextView) UIMotor.this.findViewById(R.id.motor_z)).setText(zDeltaString + " " + ((long) UIMotor.this.mZDeltaAvgData) + "(" + String.format("%.2f", Double.valueOf(UIMotor.this.mGZ)) + "g)");
                    return;
                case 1002:
                    UIMotor.this.tvPass.setTextColor(UIMotor.this.mIsPass ? UiHallICTest.FONT_COLOR_PASS : -65536);
                    UIMotor.this.tvPass.setText(UIMotor.this.mIsPass ? "PASS" : "FAIL");
                    UIMotor.this.setTestResult();
                    return;
                default:
                    String str = UIMotor.this.CLASS_NAME;
                    FtUtil.log_d(str, "handleMessage", "Not in case. msg : " + msg.what);
                    return;
            }
        }
    };
    private int count;
    private boolean isNoReadSysfs = false;
    private Sensor mAcceSensor;
    private float[] mAcceSensorValues = new float[3];
    private int mAccelerometer1GValue = 256;
    private int mAccelerometerBitCount = 10;
    private int mAccelerometerFullScale = 2;
    private TimerTask mDeltaCheck;
    private double mGX;
    private double mGY;
    private double mGZ;
    private boolean mIsDeltaPass = false;
    private boolean mIsPass = false;
    private int mMaxMagnitude;
    private ModuleDevice mModuleDevice;
    private int[] mRawData = new int[3];
    private AccelSensorListener mSensorListener = new AccelSensorListener();
    private SensorManager mSensorManager;
    public long mStartTime;
    private boolean mTerminate_boolean = false;
    private int mTestID = 0;
    private Timer mTimer;
    private double mXDeltaAvgData;
    private int[] mXDeltaData;
    private int mXMax;
    private int mXMin;
    private double mYDeltaAvgData;
    private int[] mYDeltaData;
    private int mYMax;
    private int mYMin;
    private double mZDeltaAvgData;
    private int[] mZDeltaData;
    private int mZMax;
    private int mZMin;
    private boolean readySensor = false;
    private TextView tvPass;
    private TextView tvSpec;
    private boolean usingSubAcc = false;

    static /* synthetic */ int access$2308(UIMotor x0) {
        int i = x0.count;
        x0.count = i + 1;
        return i;
    }

    public UIMotor() {
        super("UIMotor");
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_motor);
        TextView textView = (TextView) findViewById(R.id.motor_spec);
        this.tvSpec = textView;
        textView.setText(getResources().getString(R.string.motor_spec) + " Over " + this.MOTOR_SPEC + "g");
        this.tvPass = (TextView) findViewById(R.id.motor_passfail);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        this.UIUpdateHandler.sendEmptyMessageDelayed(1000, 50);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        terminate();
        this.SscSysfsHandler.removeMessages(0);
        this.SscSysfsHandler.removeMessages(1);
        this.UIUpdateHandler.removeMessages(0);
        this.UIUpdateHandler.removeMessages(1000);
        super.onPause();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void terminate() {
        Timer timer = this.mTimer;
        if (timer != null) {
            timer.cancel();
        }
        this.mTimer = null;
        ModuleDevice moduleDevice = this.mModuleDevice;
        if (moduleDevice != null) {
            moduleDevice.stopVibrate();
        }
        if (this.mTerminate_boolean) {
            sensorUnregister();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void initTest() {
        this.mModuleDevice = ModuleDevice.instance(this);
        this.mAccelerometerBitCount = Integer.parseInt(Support.TestCase.getString(Support.TestCase.SENSOR_TEST_ACC_BIT));
        int accelerometerFullScale = SensorCalculator.getAccelerometerFullScale(this);
        this.mAccelerometerFullScale = accelerometerFullScale;
        this.mAccelerometer1GValue = SensorCalculator.getAccelerometer1GValue(this.mAccelerometerBitCount, accelerometerFullScale);
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "onCreate", "mAccelerometerBitCount : " + this.mAccelerometerBitCount + ", mAccelerometerFullScale : " + this.mAccelerometerFullScale + ", mAccelerometer1GValue : " + this.mAccelerometer1GValue);
        this.isNoReadSysfs = Support.Feature.getBoolean(Support.Feature.SUPPORT_NO_READ_SYSFS_MOTOR);
        int intExtra = getIntent().getIntExtra("testID", 0);
        this.mTestID = intExtra;
        setTestId(intExtra);
        this.mTerminate_boolean = true;
        this.usingSubAcc = Support.Feature.getBoolean(Support.Feature.SUPPORT_SUB_ACC);
        String str2 = this.CLASS_NAME;
        FtUtil.log_d(str2, "onCreate", "usingSubAcc : " + this.usingSubAcc);
        this.mModuleDevice.startVibrate(this.FEED_BACK_PATTERN, this.FEED_BACK_AMPLITUDE);
        this.mStartTime = Calendar.getInstance().getTimeInMillis();
        sensorRegister();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void startTest() {
        FtUtil.log_d(this.CLASS_NAME, "startTest", "Test Start!");
        this.mXDeltaData = new int[2];
        this.mYDeltaData = new int[2];
        this.mZDeltaData = new int[2];
        this.count = 0;
        this.mDeltaCheck = new TimerTask() {
            /* class com.sec.factory.app.ui.UIMotor.AnonymousClass3 */

            public void run() {
                String str = UIMotor.this.CLASS_NAME;
                FtUtil.log_d(str, "Timer_RUN", (UIMotor.this.count + 1) + " times running..");
                String str2 = UIMotor.this.CLASS_NAME;
                FtUtil.log_d(str2, "startTest", "X = " + UIMotor.this.mXMax + " / " + UIMotor.this.mXMin);
                String str3 = UIMotor.this.CLASS_NAME;
                FtUtil.log_d(str3, "startTest", "Y = " + UIMotor.this.mYMax + " / " + UIMotor.this.mYMin);
                String str4 = UIMotor.this.CLASS_NAME;
                FtUtil.log_d(str4, "startTest", "Z = " + UIMotor.this.mZMax + " / " + UIMotor.this.mZMin);
                UIMotor.this.mXDeltaData[UIMotor.this.count] = UIMotor.this.mXMax - UIMotor.this.mXMin;
                UIMotor.this.mXMax = 0;
                UIMotor.this.mXMin = 0;
                UIMotor.this.mYDeltaData[UIMotor.this.count] = UIMotor.this.mYMax - UIMotor.this.mYMin;
                UIMotor.this.mYMax = 0;
                UIMotor.this.mYMin = 0;
                UIMotor.this.mZDeltaData[UIMotor.access$2308(UIMotor.this)] = UIMotor.this.mZMax - UIMotor.this.mZMin;
                UIMotor.this.mZMax = 0;
                UIMotor.this.mZMin = 0;
                if (UIMotor.this.count == 2) {
                    UIMotor.this.checkDeltaData();
                    UIMotor.this.UIUpdateHandler.sendEmptyMessageDelayed(1001, 0);
                    UIMotor uIMotor = UIMotor.this;
                    uIMotor.mIsPass = uIMotor.mIsDeltaPass;
                    UIMotor.this.UIUpdateHandler.sendEmptyMessageDelayed(1002, 0);
                    UIMotor.this.terminate();
                }
            }
        };
        Timer timer = new Timer();
        this.mTimer = timer;
        timer.schedule(this.mDeltaCheck, 125, 750);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void checkDeltaData() {
        FtUtil.log_d(this.CLASS_NAME, "checkDeltaData", "Start Delta Check");
        this.mXDeltaAvgData = 0.0d;
        this.mYDeltaAvgData = 0.0d;
        this.mZDeltaAvgData = 0.0d;
        for (int i = 0; i < 2; i++) {
            this.mXDeltaAvgData += (double) Math.abs(this.mXDeltaData[i]);
            this.mYDeltaAvgData += (double) Math.abs(this.mYDeltaData[i]);
            this.mZDeltaAvgData += (double) Math.abs(this.mZDeltaData[i]);
        }
        double d = this.mXDeltaAvgData / 2.0d;
        this.mXDeltaAvgData = d;
        this.mYDeltaAvgData /= 2.0d;
        this.mZDeltaAvgData /= 2.0d;
        this.mGX = Math.floor((d / ((double) this.mAccelerometer1GValue)) * 100.0d) / 100.0d;
        this.mGY = Math.floor((this.mYDeltaAvgData / ((double) this.mAccelerometer1GValue)) * 100.0d) / 100.0d;
        this.mGZ = Math.floor((this.mZDeltaAvgData / ((double) this.mAccelerometer1GValue)) * 100.0d) / 100.0d;
        FtUtil.log_d(this.CLASS_NAME, "checkDeltaData", "mGX: " + this.mGX + ", mGY: " + this.mGY + ", mGZ: " + this.mGZ + " / motor_spec : " + this.MOTOR_SPEC);
        double d2 = this.mGX;
        double d3 = this.MOTOR_SPEC;
        if (d2 > d3 || this.mGY > d3 || this.mGZ > d3) {
            FtUtil.log_d(this.CLASS_NAME, "checkDeltaData", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(100), "Pass - Delta"));
            this.mIsDeltaPass = true;
            return;
        }
        FtUtil.log_d(this.CLASS_NAME, "checkDeltaData", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(100), "Fail - Delta Spec Out"));
    }

    private void sensorRegister() {
        FtUtil.log_d(this.CLASS_NAME, "sensorRegister", "Sensor Registering now...");
        this.readySensor = false;
        SensorManager sensorManager = (SensorManager) getSystemService("sensor");
        this.mSensorManager = sensorManager;
        if (this.usingSubAcc) {
            this.mAcceSensor = sensorManager.getDefaultSensor(65687);
        } else {
            this.mAcceSensor = sensorManager.getDefaultSensor(1);
        }
        if (this.isNoReadSysfs) {
            this.mSensorManager.registerListener(this.mSensorListener, this.mAcceSensor, 0);
        } else {
            this.mSensorManager.registerListener(this.mSensorListener, this.mAcceSensor, 1);
        }
        try {
            Thread.sleep(300);
        } catch (InterruptedException ie) {
            ie.printStackTrace();
        }
        turnLPFOnOff(false);
    }

    private void sensorUnregister() {
        FtUtil.log_d(this.CLASS_NAME, "sensorUnregister", "Sensor Unregistering now...");
        if (this.mSensorManager != null) {
            turnLPFOnOff(true);
            AccelSensorListener accelSensorListener = this.mSensorListener;
            if (accelSensorListener != null) {
                this.mSensorManager.unregisterListener(accelSensorListener);
            }
        }
        this.mSensorManager = null;
        this.mSensorListener = null;
        this.mAcceSensor = null;
    }

    private void turnLPFOnOff(boolean isOn) {
        String lpfPath = this.usingSubAcc ? Support.Kernel.SUB_MOTOR_LPF : Support.Kernel.MOTOR_LPF;
        if (isOn) {
            Support.Kernel.write(lpfPath, EgisFingerprint.MAJOR_VERSION);
        }
        if (!isOn) {
            Support.Kernel.write(lpfPath, "0");
        }
        String str = this.CLASS_NAME;
        StringBuilder sb = new StringBuilder();
        sb.append("Turn motor LPF to ");
        sb.append(isOn ? "On" : "Off");
        FtUtil.log_d(str, "turnLPFOnOff", sb.toString());
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setTestResult() {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "setTestResult", "mIsPass: " + this.mIsPass);
        if (this.mIsPass) {
            setTestResult((byte) 80);
            setResult(-1);
            new Thread() {
                /* class com.sec.factory.app.ui.UIMotor.AnonymousClass4 */

                public void run() {
                    super.run();
                    try {
                        sleep(500);
                    } catch (InterruptedException e) {
                        e.printStackTrace();
                    }
                    UIMotor.this.finish();
                }
            }.start();
        } else {
            setTestResultFailCase(100);
        }
        File motorDataFile = new File("data/log/MOTOR_Data.log");
        Support.Kernel.writeToPathNsync(motorDataFile.getPath(), "");
        String path = motorDataFile.getPath();
        Object[] objArr = new Object[7];
        objArr[0] = Integer.valueOf((int) this.mXDeltaAvgData);
        objArr[1] = Integer.valueOf((int) this.mYDeltaAvgData);
        objArr[2] = Integer.valueOf((int) this.mZDeltaAvgData);
        objArr[3] = Double.valueOf(this.mGX);
        objArr[4] = Double.valueOf(this.mGY);
        objArr[5] = Double.valueOf(this.mGZ);
        objArr[6] = this.mIsPass ? "P" : "F";
        Support.Kernel.writeToPathNsync(path, String.format("%d,%d,%d,%.02f,%.02f,%.02f,%s", objArr));
    }

    private boolean containsTestCase(int testID, String param) {
        String testcase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML(testID));
        return testcase != null && testcase.toLowerCase().contains(param.toLowerCase());
    }

    /* access modifiers changed from: private */
    public class AccelSensorListener implements SensorEventListener {
        private AccelSensorListener() {
        }

        public void onAccuracyChanged(Sensor arg0, int arg1) {
        }

        public void onSensorChanged(SensorEvent event) {
            UIMotor.this.mAcceSensorValues = (float[]) event.values.clone();
            if (!UIMotor.this.readySensor && UIMotor.this.mStartTime + 125 < Calendar.getInstance().getTimeInMillis()) {
                String str = UIMotor.this.CLASS_NAME;
                FtUtil.log_d(str, "onSensorChanged", "sensorData : " + UIMotor.this.mAcceSensorValues.length + " / " + UIMotor.this.mAcceSensorValues[0] + " / " + UIMotor.this.mAcceSensorValues[1] + " / " + UIMotor.this.mAcceSensorValues[2]);
                UIMotor.this.readySensor = true;
                UIMotor.this.startTest();
            }
            if (!UIMotor.this.isNoReadSysfs) {
                try {
                    String[] rawDatas = Support.Kernel.read(UIMotor.this.usingSubAcc ? Support.Kernel.SUB_ACCEL_SENSOR_RAW : Support.Kernel.ACCEL_SENSOR_RAW, true).trim().split(",");
                    UIMotor.this.mRawData[0] = Integer.parseInt(rawDatas[0].trim());
                    UIMotor.this.mRawData[1] = Integer.parseInt(rawDatas[1].trim());
                    UIMotor.this.mRawData[2] = Integer.parseInt(rawDatas[2].trim());
                } catch (NumberFormatException e) {
                    UIMotor.this.mRawData[0] = (int) (((double) (UIMotor.this.mAcceSensorValues[0] * ((float) UIMotor.this.mAccelerometer1GValue))) / 9.81d);
                    UIMotor.this.mRawData[1] = (int) (((double) (UIMotor.this.mAcceSensorValues[1] * ((float) UIMotor.this.mAccelerometer1GValue))) / 9.81d);
                    UIMotor.this.mRawData[2] = (int) (((double) (UIMotor.this.mAcceSensorValues[2] * ((float) UIMotor.this.mAccelerometer1GValue))) / 9.81d);
                }
            } else {
                try {
                    UIMotor.this.mRawData[0] = (int) (((double) ((UIMotor.this.mAcceSensorValues[0] * 1000000.0f) / 244.0f)) / 9.80665d);
                    UIMotor.this.mRawData[1] = (int) (((double) ((UIMotor.this.mAcceSensorValues[1] * 1000000.0f) / 244.0f)) / 9.80665d);
                    UIMotor.this.mRawData[2] = (int) (((double) ((UIMotor.this.mAcceSensorValues[2] * 1000000.0f) / 244.0f)) / 9.80665d);
                    String str2 = UIMotor.this.CLASS_NAME;
                    FtUtil.log_d(str2, "onSensorChanged", "RawData : " + UIMotor.this.mRawData[0] + " / " + UIMotor.this.mRawData[1] + " / " + UIMotor.this.mRawData[2]);
                } catch (NumberFormatException e2) {
                    UIMotor.this.mRawData[0] = (int) (((double) (UIMotor.this.mAcceSensorValues[0] * ((float) UIMotor.this.mAccelerometer1GValue))) / 9.81d);
                    UIMotor.this.mRawData[1] = (int) (((double) (UIMotor.this.mAcceSensorValues[1] * ((float) UIMotor.this.mAccelerometer1GValue))) / 9.81d);
                    UIMotor.this.mRawData[2] = (int) (((double) (UIMotor.this.mAcceSensorValues[2] * ((float) UIMotor.this.mAccelerometer1GValue))) / 9.81d);
                }
            }
            if (UIMotor.this.mZMax == 0) {
                UIMotor uIMotor = UIMotor.this;
                uIMotor.mXMax = uIMotor.mRawData[0];
                UIMotor uIMotor2 = UIMotor.this;
                uIMotor2.mXMin = uIMotor2.mRawData[0];
                UIMotor uIMotor3 = UIMotor.this;
                uIMotor3.mYMax = uIMotor3.mRawData[1];
                UIMotor uIMotor4 = UIMotor.this;
                uIMotor4.mYMin = uIMotor4.mRawData[1];
                UIMotor uIMotor5 = UIMotor.this;
                uIMotor5.mZMax = uIMotor5.mRawData[2];
                UIMotor uIMotor6 = UIMotor.this;
                uIMotor6.mZMin = uIMotor6.mRawData[2];
            }
            if (UIMotor.this.mXMax < UIMotor.this.mRawData[0]) {
                UIMotor uIMotor7 = UIMotor.this;
                uIMotor7.mXMax = uIMotor7.mRawData[0];
            }
            if (UIMotor.this.mXMin > UIMotor.this.mRawData[0]) {
                UIMotor uIMotor8 = UIMotor.this;
                uIMotor8.mXMin = uIMotor8.mRawData[0];
            }
            if (UIMotor.this.mYMax < UIMotor.this.mRawData[1]) {
                UIMotor uIMotor9 = UIMotor.this;
                uIMotor9.mYMax = uIMotor9.mRawData[1];
            }
            if (UIMotor.this.mYMin > UIMotor.this.mRawData[1]) {
                UIMotor uIMotor10 = UIMotor.this;
                uIMotor10.mYMin = uIMotor10.mRawData[1];
            }
            if (UIMotor.this.mZMax < UIMotor.this.mRawData[2]) {
                UIMotor uIMotor11 = UIMotor.this;
                uIMotor11.mZMax = uIMotor11.mRawData[2];
            }
            if (UIMotor.this.mZMin > UIMotor.this.mRawData[2]) {
                UIMotor uIMotor12 = UIMotor.this;
                uIMotor12.mZMin = uIMotor12.mRawData[2];
            }
        }
    }
}
