package com.sec.factory.app.ui;

import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.View;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.support.FtUtil;

public class UIMotorSound extends UIBase implements View.OnClickListener {
    private static final int MSG_SHOW_BUTTONS = 1;
    private static final String TAG = "UIMotorSound";
    private final int[] FEED_BACK_AMPLITUDE = {0, -1};
    private final long[] FEED_BACK_PATTERN = {0, 5000};
    private Button mButtonFail;
    private Button mButtonPass;
    private Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UIMotorSound.AnonymousClass1 */

        public void handleMessage(Message msg) {
            switch (msg.what) {
                case 1:
                    UIMotorSound.this.mLinearLayoutButtonDepot.setVisibility(0);
                    return;
                default:
                    return;
            }
        }
    };
    private LinearLayout mLinearLayoutButtonDepot;
    private ModuleDevice mModuleDevice;
    private TextView mTextViewTitle;

    public UIMotorSound() {
        super(TAG);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        this.mModuleDevice = ModuleDevice.instance(this);
        FtUtil.setRemoveSystemUI(getWindow(), true);
        this.TEST_ID = getIntent().getIntExtra("testid", -1);
        setContentView(R.layout.ui_motor_sound);
        initUi();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        this.mModuleDevice.startVibrate(this.FEED_BACK_PATTERN, this.FEED_BACK_AMPLITUDE);
        this.mHandler.sendEmptyMessageDelayed(1, 2000);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        ModuleDevice moduleDevice = this.mModuleDevice;
        if (moduleDevice != null) {
            moduleDevice.stopVibrate();
        }
        super.onPause();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
    }

    private void initUi() {
        this.mTextViewTitle = (TextView) findViewById(R.id.title);
        this.mLinearLayoutButtonDepot = (LinearLayout) findViewById(R.id.bottom_btn_depot);
        Button button = (Button) findViewById(R.id.pass);
        this.mButtonPass = button;
        button.setOnClickListener(this);
        Button button2 = (Button) findViewById(R.id.fail);
        this.mButtonFail = button2;
        button2.setOnClickListener(this);
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.fail:
                finish();
                return;
            case R.id.pass:
                setTestResult((byte) 80);
                setResult(-1);
                finish();
                return;
            default:
                return;
        }
    }
}
