package com.sec.factory.app.ui;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.ModuleCommunication;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.modules.ModuleNfc;
import com.sec.factory.support.FtUtil;
import java.lang.ref.WeakReference;
import java.util.Objects;

public class UINFC extends UIBase {
    private static final String ACTION_ESE_TEST_RESPONSE = "com.samsung.android.ese.test.action.RESPONSE";
    private static final String ACTION_NFC_RESPONSE = "com.sec.android.app.nfcntest.NFC_TEST_RESPONSE";
    private static final String ACTION_NFC_TEST_RESPONSE = "com.samsung.android.nfc.test.action.RESPONSE";
    private static final int CHECK_ESE = 6;
    private static final String CHECK_SEC_NFC_ESE_RESP = "com.sec.android.app.nfctest.NFC_CHECK_ESE_RESPONSE";
    private static final String CHECK_SEC_NFC_SIM_RESP = "com.sec.android.app.nfctest.NFC_CHECK_SIM_RESPONSE";
    private static final int CHECK_SIM = 5;
    private static final String CLASS_NAME = "UINFC";
    private static final String ESE_EXTRA_CMD = "com.samsung.android.ese.test.extra.CMD";
    private static final String ESE_EXTRA_DATA_INTEGER = "com.samsung.android.ese.test.extra.DATA_INTEGER";
    private static final String ESE_EXTRA_DATA_STRING = "com.samsung.android.ese.test.extra.DATA_STRING";
    private static final String ESE_EXTRA_ID = "com.samsung.android.ese.test.extra.ID";
    private static final String EXTRA_DATA = "com.samsung.android.nfc.test.extra.DATA";
    private static final String EXTRA_ID = "com.samsung.android.nfc.test.extra.ID";
    private static final int INDICATION_V1 = 21;
    private static final String LOG_TAG = "[UTOPIA_NFC]";
    private static final byte MSG_DISABLE_DISCOVERY = 3;
    private static final byte MSG_ENABLE_DISCOVERY = 2;
    private static final byte MSG_ESE_AND_AP_COMMUNICATION_TEST = 7;
    private static final byte MSG_ESE_TEST = 6;
    private static final byte MSG_FINISH_TEST = 4;
    private static final byte MSG_READ_STATUS_TIMEOUT = 1;
    private static final byte MSG_SIM_TEST = 5;
    private final int NFC_DISABLE_DELAY = 400;
    private final int NFC_FINISH_DELAY = 1000;
    private final int NFC_READ_STATUS_TIMEOUT_DELAY = 10000;
    private TextView mCardModeResult;
    private boolean mIsPassed_card = false;
    private boolean mIsPassed_eSE_AP_Comm = false;
    private boolean mIsPassed_eSE_NFC = false;
    private boolean mIsPassed_reader = false;
    private NfcProcessHandler mNfcHandler = new NfcProcessHandler(this);
    private TextView mReaderModeResult;
    private final BroadcastReceiver mReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.app.ui.UINFC.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            String action = intent.getAction();
            if ("android.nfc.action.TAG_DISCOVERED".equals(action)) {
                FtUtil.log_d(UINFC.CLASS_NAME, "mReceiver.onReceive", "[UTOPIA_NFC][MSP_SEQ] Received ACTION_TAG_DISCOVERED");
                UINFC.this.mIsPassed_reader = true;
                UINFC.this.mNfcHandler.removeMessages(1);
                UINFC uinfc = UINFC.this;
                uinfc.updateDisplay(uinfc.mReaderModeResult, "PASS", UiHallICTest.FONT_COLOR_PASS);
                UINFC.this.mNfcHandler.sendEmptyMessageDelayed(4, 1000);
            } else if ("com.sec.android.app.nfctest.NFC_CHECK_SIM_RESPONSE".equals(action)) {
                FtUtil.log_i(UINFC.CLASS_NAME, "Received CHECK_SEC_NFC_SIM_RESP");
                if (intent.getIntExtra("SIM_DATA", -1) == 1) {
                    FtUtil.log_i(UINFC.CLASS_NAME, "SWP Test Pass");
                    UINFC.this.mIsPassed_card = true;
                    UINFC uinfc2 = UINFC.this;
                    uinfc2.updateDisplay(uinfc2.mSWPResult, "PASS", UiHallICTest.FONT_COLOR_PASS);
                    UINFC.this.checkCardModePass(true);
                } else if (UINFC.this.mSWPRetryCnt == 0) {
                    FtUtil.log_d(UINFC.CLASS_NAME, "mReceiver.onReceive", "[UTOPIA_NFC][MSP_SEQ] SWP Test Fail and retry");
                    UINFC.this.mNfcHandler.sendEmptyMessageDelayed(5, 400);
                    UINFC.access$908(UINFC.this);
                } else {
                    FtUtil.log_e(UINFC.CLASS_NAME, "SWP Retest Fail");
                    UINFC.this.mIsPassed_card = false;
                    UINFC uinfc3 = UINFC.this;
                    uinfc3.updateDisplay(uinfc3.mSWPResult, "FAIL", -65536);
                    UINFC.this.checkCardModePass(false);
                }
            } else if ("com.sec.android.app.nfctest.NFC_CHECK_ESE_RESPONSE".equals(action)) {
                FtUtil.log_i(UINFC.CLASS_NAME, "Received CHECK_SEC_NFC_ESE_RESP");
                if (intent.getIntExtra("SIM_DATA", -1) == 1) {
                    FtUtil.log_i(UINFC.CLASS_NAME, "eSE NFC Test Pass");
                    UINFC.this.mIsPassed_eSE_NFC = true;
                    UINFC uinfc4 = UINFC.this;
                    uinfc4.updateDisplay(uinfc4.meSENFCResult, "PASS", UiHallICTest.FONT_COLOR_PASS);
                    UINFC.this.checkCardModePass(true);
                    return;
                }
                FtUtil.log_e(UINFC.CLASS_NAME, "eSE NFC Test Fail");
                UINFC.this.mIsPassed_eSE_NFC = false;
                UINFC uinfc5 = UINFC.this;
                uinfc5.updateDisplay(uinfc5.meSENFCResult, "FAIL", -65536);
                UINFC.this.checkCardModePass(false);
            } else if ("com.samsung.android.nfc.test.action.RESPONSE".equals(action)) {
                int id = intent.getIntExtra("com.samsung.android.nfc.test.extra.ID", -1);
                switch (id) {
                    case 5:
                        FtUtil.log_i(UINFC.CLASS_NAME, "Received CHECK_SIM");
                        if (intent.getIntExtra("com.samsung.android.nfc.test.extra.DATA", -1) == 1) {
                            FtUtil.log_i(UINFC.CLASS_NAME, "SWP Test Pass");
                            UINFC.this.mIsPassed_card = true;
                            UINFC uinfc6 = UINFC.this;
                            uinfc6.updateDisplay(uinfc6.mSWPResult, "PASS", UiHallICTest.FONT_COLOR_PASS);
                            UINFC.this.checkCardModePass(true);
                            return;
                        } else if (UINFC.this.mSWPRetryCnt == 0) {
                            FtUtil.log_d(UINFC.CLASS_NAME, "mReceiver.onReceive", "[UTOPIA_NFC][MSP_SEQ] SWP Test Fail and retry");
                            UINFC.this.mNfcHandler.sendEmptyMessageDelayed(5, 400);
                            UINFC.access$908(UINFC.this);
                            return;
                        } else {
                            FtUtil.log_e(UINFC.CLASS_NAME, "SWP Retest Fail");
                            UINFC.this.mIsPassed_card = false;
                            UINFC uinfc7 = UINFC.this;
                            uinfc7.updateDisplay(uinfc7.mSWPResult, "FAIL", -65536);
                            UINFC.this.checkCardModePass(false);
                            return;
                        }
                    case 6:
                        FtUtil.log_i(UINFC.CLASS_NAME, "Received CHECK_ESE");
                        if (intent.getIntExtra("com.samsung.android.nfc.test.extra.DATA", -1) == 1) {
                            FtUtil.log_i(UINFC.CLASS_NAME, "eSE NFC Test Pass");
                            UINFC.this.mIsPassed_eSE_NFC = true;
                            UINFC uinfc8 = UINFC.this;
                            uinfc8.updateDisplay(uinfc8.meSENFCResult, "PASS", UiHallICTest.FONT_COLOR_PASS);
                            UINFC.this.checkCardModePass(true);
                            return;
                        }
                        FtUtil.log_e(UINFC.CLASS_NAME, "eSE NFC Test Fail");
                        UINFC.this.mIsPassed_eSE_NFC = false;
                        UINFC uinfc9 = UINFC.this;
                        uinfc9.updateDisplay(uinfc9.meSENFCResult, "FAIL", -65536);
                        UINFC.this.checkCardModePass(false);
                        return;
                    default:
                        FtUtil.log_e(UINFC.CLASS_NAME, "Unknown ID: " + id);
                        return;
                }
            }
        }
    };
    private BroadcastReceiver mReceiverESE = null;
    private TextView mSWPResult;
    private int mSWPRetryCnt = 0;
    private boolean mSupportCardMode = true;
    private boolean mSupport_eSE = false;
    private TextView meSEAPResult;
    private TextView meSENFCResult;

    static /* synthetic */ int access$908(UINFC x0) {
        int i = x0.mSWPRetryCnt;
        x0.mSWPRetryCnt = i + 1;
        return i;
    }

    /* access modifiers changed from: private */
    public static final class NfcProcessHandler extends Handler {
        private final WeakReference<UINFC> mReference;

        public NfcProcessHandler(UINFC activity) {
            this.mReference = new WeakReference<>(activity);
        }

        public void handleMessage(Message msg) {
            UINFC uiNfcActivity = null;
            WeakReference<UINFC> weakReference = this.mReference;
            if (weakReference != null) {
                uiNfcActivity = weakReference.get();
            }
            if (uiNfcActivity == null) {
                FtUtil.log_d(UINFC.CLASS_NAME, "NfcProcessHandler.handleMessage", "Activity is null. So handleMessage is not called.");
                return;
            }
            switch (msg.what) {
                case 1:
                    FtUtil.log_d(UINFC.CLASS_NAME, "NfcProcessHandler.handleMessage", "[UTOPIA_NFC][MSP_SEQ] Read Test fail because of timeout");
                    uiNfcActivity.mIsPassed_reader = false;
                    uiNfcActivity.updateDisplay(uiNfcActivity.mReaderModeResult, "FAIL", -65536);
                    return;
                case 2:
                    FtUtil.log_i(UINFC.CLASS_NAME, "send Intent ENABLE_SEC_NFC_DISCOVERY");
                    uiNfcActivity.sendBroadcast(ModuleNfc.NfcFunctions.NFC_ENABLE_DISCOVERY.getNfcIntent());
                    return;
                case 3:
                    FtUtil.log_i(UINFC.CLASS_NAME, "send Intent DISABLE_SEC_NFC_DISCOVERY");
                    uiNfcActivity.sendBroadcast(ModuleNfc.NfcFunctions.NFC_DISABLE_DISCOVERY.getNfcIntent());
                    return;
                case 4:
                    FtUtil.log_i(UINFC.CLASS_NAME, "MSG_FINISH_TEST");
                    if (!uiNfcActivity.mIsPassed_card || !uiNfcActivity.mIsPassed_eSE_NFC || !uiNfcActivity.mIsPassed_eSE_AP_Comm || !uiNfcActivity.mIsPassed_reader) {
                        FtUtil.log_d(UINFC.CLASS_NAME, "NfcProcessHandler.handleMessage", "[UTOPIA_NFC][MSP_SEQ] SWP or Read Test Fail");
                        return;
                    }
                    FtUtil.log_d(UINFC.CLASS_NAME, "NfcProcessHandler.handleMessage", "[UTOPIA_NFC][MSP_SEQ] SWP & Read Test all pass");
                    Objects.requireNonNull(uiNfcActivity);
                    uiNfcActivity.setTestResult((byte) 80);
                    uiNfcActivity.setResult(-1);
                    uiNfcActivity.finish();
                    return;
                case 5:
                    FtUtil.log_i(UINFC.CLASS_NAME, "send Intent CHECK_SEC_NFC_SIM");
                    uiNfcActivity.sendBroadcast(ModuleNfc.NfcFunctions.NFC_CHECK_SIM_TEST.getNfcIntent());
                    return;
                case 6:
                    FtUtil.log_i(UINFC.CLASS_NAME, "send Intent CHECK_SEC_NFC_ESE");
                    uiNfcActivity.sendBroadcast(ModuleNfc.NfcFunctions.NFC_CHECK_ESE_TEST.getNfcIntent());
                    return;
                case 7:
                    FtUtil.log_i(UINFC.CLASS_NAME, "send Intent MSG_ESE_AND_AP_COMMUNICATION_TEST");
                    uiNfcActivity.starteSEReceiver();
                    uiNfcActivity.sendBroadcast(ModuleNfc.getNfcTestCommand(0, 4));
                    return;
                default:
                    return;
            }
        }
    }

    public UINFC() {
        super(CLASS_NAME, 9);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_nfc);
        initFeature();
        initUI();
        initIntentFilter();
    }

    private void initIntentFilter() {
        IntentFilter filter = new IntentFilter();
        filter.addAction("android.nfc.action.TAG_DISCOVERED");
        filter.addAction("com.sec.android.app.nfctest.NFC_CHECK_SIM_RESPONSE");
        filter.addAction("com.sec.android.app.nfctest.NFC_CHECK_ESE_RESPONSE");
        filter.addAction("com.samsung.android.nfc.test.action.RESPONSE");
        registerReceiver(this.mReceiver, filter);
    }

    private void initFeature() {
        this.mSupportCardMode = ModuleDevice.instance(this).isSupportSWP(ModuleDevice.SwpType.SWP1);
        boolean equals = "eSE".equals(ModuleDevice.instance(this).getSecureElement());
        this.mSupport_eSE = equals;
        this.mIsPassed_card = !this.mSupportCardMode;
        this.mIsPassed_eSE_NFC = !equals;
        this.mIsPassed_eSE_AP_Comm = !equals;
        FtUtil.log_i(CLASS_NAME, "initFeature", " Support CardMode = " + this.mSupportCardMode + "eSE Support : " + this.mSupport_eSE);
    }

    private void initUI() {
        this.mCardModeResult = (TextView) findViewById(R.id.card_mode_result);
        this.mReaderModeResult = (TextView) findViewById(R.id.reader_mode_result);
        this.mSWPResult = (TextView) findViewById(R.id.swp_result);
        this.meSENFCResult = (TextView) findViewById(R.id.ese_nfc_result);
        this.meSEAPResult = (TextView) findViewById(R.id.ese_ap_result);
        if (!this.mSupportCardMode) {
            updateDisplay(this.mSWPResult, "Not support", -16777216);
        }
        if (!this.mSupport_eSE) {
            updateDisplay(this.meSENFCResult, "Not support", -16777216);
            updateDisplay(this.meSEAPResult, "Not support", -16777216);
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        FtUtil.log_i(CLASS_NAME, "onResume");
        super.onResume();
        sendBroadcast(ModuleNfc.NfcFunctions.NFC_START_SEC_NFC_TEST.getNfcIntent());
        runNfcTest();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        FtUtil.log_i(CLASS_NAME, "onPause");
        this.mNfcHandler.removeCallbacksAndMessages(null);
        super.onPause();
        sendBroadcast(ModuleNfc.NfcFunctions.NFC_END_SEC_NFC_TEST.getNfcIntent());
        FtUtil.Sleep.sleep(100);
        sendBroadcast(ModuleNfc.NfcFunctions.NFC_DISABLE_DISCOVERY.getNfcIntent());
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
        FtUtil.log_d(CLASS_NAME, "onDestroy", "[UTOPIA_NFC][MSP_SEQ] NFC Test End");
        unregisterReceiver(this.mReceiver);
        BroadcastReceiver broadcastReceiver = this.mReceiverESE;
        if (broadcastReceiver != null) {
            unregisterReceiver(broadcastReceiver);
        }
    }

    private void runNfcTest() {
        FtUtil.log_d(CLASS_NAME, "runNfcTest", "[UTOPIA_NFC][MSP_SEQ] NFC Test Start");
        this.mNfcHandler.sendEmptyMessageDelayed(1, 10000);
        this.mNfcHandler.sendEmptyMessageDelayed(3, 0);
        if (this.mSupportCardMode) {
            sendMessageDelayedToHandler((byte) 5, 0, 400);
        }
        if (this.mSupport_eSE) {
            sendMessageDelayedToHandler((byte) 6, 0, 400);
            sendMessageDelayedToHandler((byte) 7, 0, 400);
        }
        if ("SLSI_NFC".equals("CXD2235BGG")) {
            sendMessageDelayedToHandler((byte) 2, 0, 700);
        } else {
            sendMessageDelayedToHandler((byte) 2, 0, 400);
        }
    }

    private long sendMessageDelayedToHandler(byte type, long initValue, long delay) {
        long delayTime = initValue + delay;
        this.mNfcHandler.sendEmptyMessageDelayed(type, delayTime);
        return delayTime;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void checkCardModePass(boolean result) {
        if (!result) {
            updateDisplay(this.mCardModeResult, "FAIL", -65536);
            FtUtil.log_d(CLASS_NAME, "checkCardModePass", LOG_TAG + FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(9), "FAIL (NFC_FT)"));
        } else if (result && this.mIsPassed_card && this.mIsPassed_eSE_NFC && this.mIsPassed_eSE_AP_Comm) {
            updateDisplay(this.mCardModeResult, "PASS", UiHallICTest.FONT_COLOR_PASS);
            FtUtil.log_d(CLASS_NAME, "checkCardModePass", LOG_TAG + FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(9), "PASS (NFC_FT)"));
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void updateDisplay(TextView view, String text, int textColor) {
        FtUtil.log_d(CLASS_NAME, "updateDisplay", "view : " + ((Object) view.getText()) + ", text : " + text + ", color : " + textColor);
        view.setText(text);
        view.setTextColor(textColor);
    }

    public void starteSEReceiver() {
        this.mReceiverESE = new BroadcastReceiver() {
            /* class com.sec.factory.app.ui.UINFC.AnonymousClass2 */

            public void onReceive(Context context, Intent intent) {
                String action = intent.getAction();
                if ("com.sec.android.app.nfcntest.NFC_TEST_RESPONSE".equalsIgnoreCase(action)) {
                    String resData = intent.getStringExtra("S_DATA");
                    if (resData == null) {
                        resData = intent.getStringExtra("I_DATA");
                    }
                    int resCmd = intent.getIntExtra(ModuleCommunication.EXTRA_KEY_BT_SERVICE_REQUEST, 0);
                    FtUtil.log_d(UINFC.CLASS_NAME, "onReceive", "resCmd : " + resCmd + ", resData : " + resData);
                    if ("OK".equalsIgnoreCase(resData)) {
                        FtUtil.log_d(UINFC.CLASS_NAME, "onReceive", "[UTOPIA_NFC][MSP_SEQ] eSE AP Communication Pass");
                        UINFC.this.mIsPassed_eSE_AP_Comm = true;
                        UINFC uinfc = UINFC.this;
                        uinfc.updateDisplay(uinfc.meSEAPResult, "PASS", UiHallICTest.FONT_COLOR_PASS);
                        UINFC.this.checkCardModePass(true);
                        return;
                    }
                    FtUtil.log_d(UINFC.CLASS_NAME, "onReceive", "[UTOPIA_NFC][MSP_SEQ] eSE AP Communication Fail");
                    UINFC.this.mIsPassed_eSE_AP_Comm = false;
                    UINFC uinfc2 = UINFC.this;
                    uinfc2.updateDisplay(uinfc2.meSEAPResult, "FAIL", -65536);
                    UINFC.this.checkCardModePass(false);
                } else if (!"com.samsung.android.ese.test.action.RESPONSE".equals(action)) {
                } else {
                    if (intent.getIntExtra("com.samsung.android.ese.test.extra.ID", -1) == 21) {
                        String resData2 = intent.getStringExtra("com.samsung.android.ese.test.extra.DATA_STRING");
                        if (resData2 == null) {
                            resData2 = intent.getStringExtra("com.samsung.android.ese.test.extra.DATA_INTEGER");
                        }
                        int resCmd2 = intent.getIntExtra("com.samsung.android.ese.test.extra.CMD", 0);
                        FtUtil.log_d(UINFC.CLASS_NAME, "onReceive", "resCmd : " + resCmd2 + ", resData : " + resData2);
                        if ("OK".equalsIgnoreCase(resData2)) {
                            FtUtil.log_d(UINFC.CLASS_NAME, "onReceive", "[UTOPIA_NFC][MSP_SEQ] eSE AP Communication Pass");
                            UINFC.this.mIsPassed_eSE_AP_Comm = true;
                            UINFC uinfc3 = UINFC.this;
                            uinfc3.updateDisplay(uinfc3.meSEAPResult, "PASS", UiHallICTest.FONT_COLOR_PASS);
                            UINFC.this.checkCardModePass(true);
                            return;
                        }
                        FtUtil.log_d(UINFC.CLASS_NAME, "onReceive", "[UTOPIA_NFC][MSP_SEQ] eSE AP Communication Fail");
                        UINFC.this.mIsPassed_eSE_AP_Comm = false;
                        UINFC uinfc4 = UINFC.this;
                        uinfc4.updateDisplay(uinfc4.meSEAPResult, "FAIL", -65536);
                        UINFC.this.checkCardModePass(false);
                        return;
                    }
                    FtUtil.log_e(UINFC.CLASS_NAME, "Unknown ID: " + intent.getIntExtra("com.samsung.android.ese.test.extra.ID", -1));
                }
            }
        };
        IntentFilter filter = new IntentFilter();
        filter.addAction("com.sec.android.app.nfcntest.NFC_TEST_RESPONSE");
        filter.addAction("com.samsung.android.ese.test.action.RESPONSE");
        registerReceiver(this.mReceiverESE, filter);
    }
}
