package com.sec.factory.app.ui;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.nfc.NfcAdapter;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.text.SpannableStringBuilder;
import android.text.style.ForegroundColorSpan;
import android.widget.LinearLayout;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.modules.ModulePower;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.File;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Iterator;

public class UINormalCharge extends UIBase {
    private static final String AFC_OFF = "1";
    private static final String AFC_ON = "0";
    private static final String CHARGE_MODE_TO_DEFAULT = "0";
    private static final String CHARGE_MODE_TO_DUAL = "3";
    private static final String CHARGE_MODE_TO_MASTER = "1";
    private static final String CHARGE_MODE_TO_SLAVE = "2";
    private static final int MSG_NORMALTEST_START = 2;
    private static final int MSG_TEST_END = 3;
    private static final int MSG_TEST_START = 1;
    private static final String VOLTAGE_12V = "12V";
    private static final String VOLTAGE_5V = "5V";
    private static final String VOLTAGE_9V = "9V";
    private static final int WHAT_CHECK_LCD_ON = 4;
    private final int AVER_CHARGE_CNT;
    private final String CLASS_NAME = "UINormalCharge";
    private int DUMMY = 0;
    private final int TESTSTATE_CHARGE_CHECK_STATUS;
    private final int TESTSTATE_CHARGE_CONNECT;
    private final int TESTSTATE_CHARGE_NORMALTEST;
    private boolean initTest;
    private boolean isPass;
    private boolean isSupportCheckVoltageSpec;
    private boolean isUseChargeMode;
    private boolean isUseDualChargeChip;
    private int mAverCharge;
    private BroadcastReceiver mBroadcastReceiver;
    private LinearLayout mChargeCurrentTable;
    private ArrayList<Integer> mChargeList;
    private TextView mChargeMode;
    private TextView mChargeNormaltestCharging;
    private TextView mChargeNormaltestCheck;
    private TextView mChargeNormaltestRawavg;
    private TextView mChargeNormaltestRawdata1;
    private TextView mChargeNormaltestRawdata2;
    private TextView mChargeNormaltestRawdata3;
    private TextView mChargeNormaltestRawdata4;
    private TextView mChargeNormaltestRawdata5;
    private TextView mChargeNormaltestVoltage;
    private String mChargerName;
    private TextView mChargetestNormalCheck;
    private TextView mChargetestNormalNotice;
    private TextView mChargetestNormalSpec;
    private TextView mChargingMode;
    private int mCount;
    private int mCurrentCount;
    private Handler mHandler;
    private String mItemName;
    private ModuleDevice mModuleDevice;
    private ModulePower mModulePower;
    private int mSpecMax;
    private int mSpecMin;
    private String mTestCase;
    private int mTestState;
    private TextView mnormalchargetestnotice;
    private TextView mnormalchargetestsubtitle;
    private TextView mnormalchargetesttitle;
    private String normalVoltageSpec;
    private boolean useAfcSetVoltage;

    static /* synthetic */ int access$408(UINormalCharge x0) {
        int i = x0.mCount;
        x0.mCount = i + 1;
        return i;
    }

    public UINormalCharge() {
        super("UINormalCharge", 121);
        int i = 0 + 1;
        this.DUMMY = i;
        this.TESTSTATE_CHARGE_CONNECT = 0;
        int i2 = i + 1;
        this.DUMMY = i2;
        this.TESTSTATE_CHARGE_CHECK_STATUS = i;
        this.DUMMY = i2 + 1;
        this.TESTSTATE_CHARGE_NORMALTEST = i2;
        this.mTestState = 0;
        this.mCurrentCount = 0;
        this.initTest = true;
        this.isPass = false;
        this.AVER_CHARGE_CNT = 5;
        this.mCount = 0;
        this.mAverCharge = 0;
        this.mChargeList = new ArrayList<>();
        this.mChargerName = "CHG";
        this.isUseDualChargeChip = Support.Feature.getBoolean(Support.Feature.USE_DUAL_CHARGE_CHIP);
        this.isUseChargeMode = Support.Feature.getBoolean(Support.Feature.USE_CHARGE_MODE);
        this.useAfcSetVoltage = Support.Feature.getBoolean(Support.Feature.USE_AFC_SET_VOLTAGE);
        this.isSupportCheckVoltageSpec = Support.Feature.getBoolean(Support.Feature.SUPPORT_VOLTAGE_CHECK_IN_CHARGING_TEST);
        this.normalVoltageSpec = Support.Spec.getString(Support.Spec.NORMAL_CHARGE_VOLTAGE);
        this.mTestCase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML((byte) FactoryTestManager.TEST_AF_CHARGE));
        this.mBroadcastReceiver = new BroadcastReceiver() {
            /* class com.sec.factory.app.ui.UINormalCharge.AnonymousClass1 */

            public void onReceive(Context context, Intent intent) {
                String action = intent.getAction();
                FtUtil.log_d("UINormalCharge", "mBroadcastReceiver.onReceive", "action=" + action);
                if ("android.intent.action.BATTERY_CHANGED".equals(action)) {
                    int plugged = intent.getIntExtra("plugged", 0);
                    if (UINormalCharge.this.mTestState == UINormalCharge.this.TESTSTATE_CHARGE_CONNECT && plugged == 1) {
                        FtUtil.log_d("UINormalCharge", "Battery State: " + plugged);
                        UINormalCharge uINormalCharge = UINormalCharge.this;
                        uINormalCharge.mTestState = uINormalCharge.TESTSTATE_CHARGE_CHECK_STATUS;
                        UINormalCharge.this.mHandler.sendEmptyMessage(1);
                    }
                }
            }
        };
        this.mHandler = new Handler() {
            /* class com.sec.factory.app.ui.UINormalCharge.AnonymousClass2 */

            public void handleMessage(Message msg) {
                if (msg.what == 4) {
                    if (UINormalCharge.access$408(UINormalCharge.this) == 5) {
                        FtUtil.log_d("UINormalCharge", "handleMessage : LCD is not on state during 1 second.");
                        UINormalCharge.this.mCount = 0;
                        UINormalCharge.this.mHandler.sendEmptyMessageDelayed(2, 400);
                    } else if (UINormalCharge.this.mModulePower.isScreenOn()) {
                        UINormalCharge.this.turnLcdOffForCurrentCheck();
                        UINormalCharge.this.mHandler.sendEmptyMessageDelayed(2, 1000);
                        UINormalCharge.this.mCount = 0;
                    } else {
                        UINormalCharge.this.mHandler.sendEmptyMessageDelayed(4, 200);
                    }
                } else if (msg.what == 1) {
                    UINormalCharge.this.readChargeData();
                } else if (msg.what == 2) {
                    UINormalCharge.this.readcurrent();
                } else if (msg.what == 3) {
                    UINormalCharge.this.endMeasure();
                }
            }
        };
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        getIntent();
        setContentView(R.layout.ui_normalcharge);
        IntentFilter mIntentFilter = new IntentFilter();
        this.mModuleDevice = ModuleDevice.instance(this);
        this.mModulePower = ModulePower.instance(this);
        mIntentFilter.addAction("android.intent.action.BATTERY_CHANGED");
        this.mTestState = this.TESTSTATE_CHARGE_CONNECT;
        registerReceiver(this.mBroadcastReceiver, mIntentFilter);
        this.mnormalchargetesttitle = (TextView) findViewById(R.id.normalchargetesttitle);
        TextView textView = (TextView) findViewById(R.id.normalchargesubtitle);
        this.mnormalchargetestsubtitle = textView;
        if (this.isUseDualChargeChip || this.isUseChargeMode) {
            textView.setText("(" + this.normalVoltageSpec + " NORMAL Master)");
        } else {
            textView.setText("(" + this.normalVoltageSpec + " NORMAL)");
        }
        TextView textView2 = (TextView) findViewById(R.id.chargingmode);
        this.mChargingMode = textView2;
        textView2.setVisibility(8);
        TextView textView3 = (TextView) findViewById(R.id.chargemode);
        this.mChargeMode = textView3;
        textView3.setVisibility(8);
        TextView textView4 = (TextView) findViewById(R.id.normalcharging);
        this.mChargeNormaltestCharging = textView4;
        textView4.setVisibility(8);
        TextView textView5 = (TextView) findViewById(R.id.normalchargevoltage);
        this.mChargeNormaltestVoltage = textView5;
        textView5.setVisibility(8);
        this.mnormalchargetestnotice = (TextView) findViewById(R.id.normalchargetestnotice);
        this.mChargeNormaltestCheck = (TextView) findViewById(R.id.chargecheck);
        this.mChargetestNormalNotice = (TextView) findViewById(R.id.normalchargenotice);
        this.mChargetestNormalCheck = (TextView) findViewById(R.id.normalchargecheck);
        this.mChargetestNormalSpec = (TextView) findViewById(R.id.normalchargetestspec);
        this.mnormalchargetestnotice.setText("Connect Charger");
        LinearLayout linearLayout = (LinearLayout) findViewById(R.id.table);
        this.mChargeCurrentTable = linearLayout;
        linearLayout.setVisibility(8);
        this.mChargeNormaltestRawdata1 = (TextView) findViewById(R.id.rawdata1);
        this.mChargeNormaltestRawdata2 = (TextView) findViewById(R.id.rawdata2);
        this.mChargeNormaltestRawdata3 = (TextView) findViewById(R.id.rawdata3);
        this.mChargeNormaltestRawdata4 = (TextView) findViewById(R.id.rawdata4);
        this.mChargeNormaltestRawdata5 = (TextView) findViewById(R.id.rawdata5);
        this.mChargeNormaltestRawavg = (TextView) findViewById(R.id.rawdataavg);
        if (this.useAfcSetVoltage) {
            Support.Kernel.write(Support.Kernel.AFC_SET_VOLTAGE, VOLTAGE_5V);
        } else {
            Support.Kernel.write(Support.Kernel.AFC_DISABLE, EgisFingerprint.MAJOR_VERSION);
        }
        String str = this.mTestCase;
        if (str != null && VOLTAGE_12V.equalsIgnoreCase(str)) {
            if (!this.useAfcSetVoltage) {
                Support.Kernel.write(Support.Kernel.AFC_SET_VOLTAGE, VOLTAGE_5V);
            }
            Support.Kernel.write(Support.Kernel.SEC_MULTI_CHARGER_MODE, EgisFingerprint.MAJOR_VERSION);
        }
        this.mItemName = FactoryTestManager.getItemName_RequestCode(121);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        this.mHandler.removeMessages(1);
        this.mHandler.removeMessages(3);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
        if (this.useAfcSetVoltage) {
            String str = this.mTestCase;
            if (str == null || !VOLTAGE_12V.equalsIgnoreCase(str)) {
                Support.Kernel.write(Support.Kernel.AFC_SET_VOLTAGE, VOLTAGE_9V);
            } else {
                Support.Kernel.write(Support.Kernel.AFC_SET_VOLTAGE, VOLTAGE_12V);
            }
        } else {
            Support.Kernel.write(Support.Kernel.AFC_DISABLE, "0");
        }
        String str2 = this.mTestCase;
        if (str2 != null && VOLTAGE_12V.equalsIgnoreCase(str2)) {
            Support.Kernel.write(Support.Kernel.SEC_MULTI_CHARGER_MODE, "0");
        }
        this.mHandler.removeMessages(1);
        this.mHandler.removeMessages(3);
        this.mCurrentCount = 0;
        unregisterReceiver(this.mBroadcastReceiver);
        NfcAdapter nfc = NfcAdapter.getDefaultAdapter(getApplicationContext());
        if (nfc != null && nfc.isEnabled()) {
            Intent intent = new Intent("com.samsung.android.nfc.test.action.REQUEST");
            intent.putExtra("com.samsung.android.nfc.test.extra.ID", 3);
            sendBroadcast(intent);
            FtUtil.log_d("UINormalCharge", "when screen off / on. NFC RF discovery was enabled. so must be disabled before exit here");
        }
        this.mModulePower.doPartialWakeLock(false);
        this.mModulePower.doWakeLock(false);
        this.mChargeList.clear();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void readChargeData() {
        boolean isInSpecVoltage;
        this.mSpecMax = Support.Spec.getInt(Support.Spec.NORMAL_CHARGE_CURRRENT_SPEC_MAX);
        this.mSpecMin = Support.Spec.getInt(Support.Spec.NORMAL_CHARGE_CURRRENT_SPEC_MIN);
        String charge_voltage = "";
        int voltage_count = 10;
        if (this.isUseDualChargeChip) {
            this.mChargeNormaltestCharging.setVisibility(0);
            String currentChargingMode = Support.Kernel.read(Support.Kernel.SEC_MULTI_CHARGER_MODE);
            FtUtil.log_i("UINormalCharge", "readChargeData", "currentChargingMode = " + currentChargingMode);
            SpannableStringBuilder builder = new SpannableStringBuilder("(" + this.normalVoltageSpec + " NORMAL " + currentChargingMode + ")");
            builder.setSpan(new ForegroundColorSpan(-65536), this.normalVoltageSpec.length() + 9, this.normalVoltageSpec.length() + 9 + currentChargingMode.length(), 33);
            this.mnormalchargetestsubtitle.setText(builder);
        } else if (this.isUseChargeMode) {
            String str = this.mTestCase;
            if (str != null && VOLTAGE_12V.equalsIgnoreCase(str)) {
                Support.Kernel.write(Support.Kernel.SEC_MULTI_CHARGER_MODE, EgisFingerprint.MAJOR_VERSION);
            }
            this.mChargeNormaltestCharging.setVisibility(0);
            this.mChargingMode.setVisibility(0);
            this.mChargeMode.setText("Normal " + Support.Kernel.read(Support.Kernel.SEC_MULTI_CHARGER_MODE));
            this.mChargeMode.setVisibility(0);
            FtUtil.Sleep.sleep(1000);
        }
        while (true) {
            int voltage_count2 = voltage_count - 1;
            if (voltage_count <= 0) {
                break;
            }
            charge_voltage = Support.Kernel.read(Support.Kernel.SEC_CHARGING_VOLTAGE);
            if (!"UNKNOWN".equalsIgnoreCase(charge_voltage)) {
                break;
            }
            FtUtil.Sleep.sleep(200);
            voltage_count = voltage_count2;
        }
        if (this.isUseDualChargeChip || this.isUseChargeMode) {
            this.mChargeNormaltestVoltage.setText(charge_voltage);
            this.mChargeNormaltestVoltage.setVisibility(0);
        }
        if (this.isSupportCheckVoltageSpec) {
            isInSpecVoltage = this.normalVoltageSpec.equalsIgnoreCase(charge_voltage);
        } else {
            isInSpecVoltage = true;
        }
        if ((this.isUseDualChargeChip || this.isUseChargeMode) && (!isInSpecVoltage || (this.isUseChargeMode && !"master".equalsIgnoreCase(Support.Kernel.read(Support.Kernel.SEC_MULTI_CHARGER_MODE))))) {
            FtUtil.log_d("UINormalCharge", "readChargeData", FtUtil.setMspSeqMessage(1, this.mItemName, "Fail - Connection Fail"));
            this.mnormalchargetestnotice.setText("Connection : ");
            this.mChargeNormaltestCheck.setTextColor(-65536);
            this.mChargeNormaltestCheck.setText("FAIL");
            return;
        }
        FtUtil.log_i("UINormalCharge", "readChargeData", "Success| Charger Connected");
        if (this.isUseChargeMode) {
            this.mChargeMode.setText("Normal " + Support.Kernel.read(Support.Kernel.SEC_MULTI_CHARGER_MODE));
        }
        this.mnormalchargetestnotice.setText("Connection : ");
        this.mChargeNormaltestCheck.setTextColor(UiHallICTest.FONT_COLOR_PASS);
        this.mChargeNormaltestCheck.setText("PASS");
        this.mTestState = this.TESTSTATE_CHARGE_NORMALTEST;
        this.mChargetestNormalNotice.setText(" SelfTest : ");
        this.mChargetestNormalSpec.setText("SPEC : " + this.mSpecMin + "mA ~ " + this.mSpecMax + "mA");
        this.mHandler.sendEmptyMessageDelayed(4, 1500);
    }

    private void currentCheck() {
        this.mModulePower.doWakeLock(true);
        this.mChargeCurrentTable.setVisibility(0);
        File dataAvgFile = new File("data/log/NormalChargeData.log");
        Support.Kernel.writeToPathNsync(dataAvgFile.getPath(), Integer.toString(this.mAverCharge));
        FtUtil.log_i("UINormalCharge", "readFromPath", "NormalChargeData.log : " + Support.Kernel.readFromPath(dataAvgFile.getPath(), true));
        int i = this.mAverCharge;
        if (i < this.mSpecMin || i > this.mSpecMax) {
            FtUtil.log_i("UINormalCharge", "currentCheck", "current NormalTest: FAIL ");
            String str = this.mItemName;
            FtUtil.log_d("UINormalCharge", "currentCheck", FtUtil.setMspSeqMessage(1, str, "Fail - SPEC(" + this.mSpecMin + "mA ~ " + this.mSpecMax + "mA) OUT : " + this.mAverCharge + "mA"));
            this.mChargetestNormalCheck.setTextColor(-65536);
            this.mChargetestNormalCheck.setText("FAIL");
            return;
        }
        FtUtil.log_i("UINormalCharge", "currentCheck", "current NormalTest: PASS ");
        this.mChargetestNormalCheck.setTextColor(UiHallICTest.FONT_COLOR_PASS);
        this.mChargetestNormalCheck.setText("PASS");
        this.isPass = true;
        this.mHandler.sendEmptyMessageDelayed(3, 1000);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void readcurrent() {
        int i = this.mCurrentCount + 1;
        this.mCurrentCount = i;
        if (i <= 5) {
            this.mChargeList.add(Integer.valueOf(Integer.parseInt(Support.Kernel.read(Support.Kernel.HV_CHARGE_CURRENT)) / 1000));
            StringBuilder sb = new StringBuilder();
            sb.append("Charge Current:");
            ArrayList<Integer> arrayList = this.mChargeList;
            sb.append(arrayList.get(arrayList.size() - 1));
            sb.append(" / mCurrentCount : ");
            sb.append(this.mCurrentCount);
            FtUtil.log_i("UINormalCharge", "readcurrent", sb.toString());
            this.mHandler.sendEmptyMessageDelayed(2, 400);
            return;
        }
        this.mCurrentCount = 0;
        averageCharge();
    }

    private void averageCharge() {
        FtUtil.log_d("UINormalCharge", "averageAdc", "");
        this.mChargeNormaltestRawdata1.setText("" + this.mChargeList.get(0));
        this.mChargeNormaltestRawdata2.setText("" + this.mChargeList.get(1));
        this.mChargeNormaltestRawdata3.setText("" + this.mChargeList.get(2));
        this.mChargeNormaltestRawdata4.setText("" + this.mChargeList.get(3));
        this.mChargeNormaltestRawdata5.setText("" + this.mChargeList.get(4));
        Collections.sort(this.mChargeList);
        ArrayList<Integer> arrayList = this.mChargeList;
        arrayList.remove(arrayList.size() - 1);
        this.mChargeList.remove(0);
        Integer sum = 0;
        Iterator<Integer> it = this.mChargeList.iterator();
        while (it.hasNext()) {
            sum = Integer.valueOf(sum.intValue() + it.next().intValue());
        }
        this.mAverCharge = (int) (((float) sum.intValue()) / 3.0f);
        this.mChargeList.clear();
        this.mChargeNormaltestRawavg.setText("" + this.mAverCharge);
        FtUtil.log_i("UINormalCharge", "average" + this.mChargerName, "Averege Current: " + this.mAverCharge);
        currentCheck();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void endMeasure() {
        this.mCurrentCount = 0;
        this.initTest = true;
        setTestResult();
    }

    private void setTestResult() {
        FtUtil.log_e("UINormalCharge", "setTestResult", " isPass : " + this.isPass);
        if (this.isPass) {
            setTestResult((byte) 80);
            if (FactoryTestManager.getEnable(122) && FactoryTestManager.getItemResult(FactoryTestManager.getItemPosition_ID(99)) == 80) {
                setTestResultWithoutNV(122, (byte) 80);
            }
            if (FactoryTestManager.getEnable(18)) {
                setTestResultWithoutNV(18, (byte) 80);
            }
        } else {
            setTestResultFailCase(121);
        }
        finish();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void turnLcdOffForCurrentCheck() {
        FtUtil.log_i("UINormalCharge", "turnLcdOffForCurrentCheck", "Turn LCD Off");
        this.mModulePower.doPartialWakeLock(true);
        this.mModulePower.doWakeLock(false);
        if (Support.Feature.getBoolean(Support.Feature.NEED_LPA_MODE_SET, true)) {
            this.mModuleDevice.setLPAmode(ModuleDevice.LPA_MODE_DISABLE);
        }
        this.mModulePower.gotosleep();
    }
}
