package com.sec.factory.app.ui;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.support.FtUtil;

public class UIOTG extends UIBase {
    private final int COLOR_FAIL = -65536;
    private final int COLOR_PASS = -16742721;
    private final String DESCRIPTION_MEDIA_MOUNTED = "USB Memory Inserted";
    private final String DESCRIPTION_MEDIA_UNMOUNTED = "Please Insert USB Memory";
    private final byte MSG_MEDIA_MOUNTED = 2;
    private final byte MSG_MEDIA_UNMOUNTED = 3;
    private final byte MSG_OTG_CHECK_TEST_START = 0;
    private TextView mDescriptionText;
    private Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UIOTG.AnonymousClass1 */

        public void handleMessage(Message msg) {
            switch (msg.what) {
                case 0:
                    FtUtil.log_i(UIOTG.this.CLASS_NAME, "mHandler-handleMessage", "msg.what-MSG_OTG_CHECK_TEST_START");
                    UIOTG.this.mDescriptionText.setText("Please Insert USB Memory");
                    return;
                case 1:
                default:
                    return;
                case 2:
                    FtUtil.log_i(UIOTG.this.CLASS_NAME, "mHandler-handleMessage", "msg.what-MSG_MEDIA_MOUNTED");
                    UIOTG.this.mDescriptionText.setText("USB Memory Inserted");
                    UIOTG.this.mIsTestPass = true;
                    UIOTG.this.setTestResult();
                    return;
                case 3:
                    FtUtil.log_i(UIOTG.this.CLASS_NAME, "mHandler-handleMessage", "msg.what-MSG_MEDIA_UNMOUNTED");
                    UIOTG.this.mDescriptionText.setText("Please Insert USB Memory");
                    UIOTG.this.setTestResult();
                    return;
            }
        }
    };
    private boolean mIsTestPass = false;
    private TextView mResultText;
    private BroadcastReceiver mStorageReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.app.ui.UIOTG.AnonymousClass2 */

        public void onReceive(Context context, Intent intent) {
            String action = intent.getAction();
            String path = intent.getData().getPath();
            String str = UIOTG.this.CLASS_NAME;
            FtUtil.log_i(str, "mStorageReceiver-onReceive", "action=" + action);
            String str2 = UIOTG.this.CLASS_NAME;
            FtUtil.log_i(str2, "mStorageReceiver-onReceive", "path=" + path);
            if ("android.intent.action.MEDIA_MOUNTED".equals(action)) {
                UIOTG.this.mHandler.sendEmptyMessage(2);
            } else if ("android.intent.action.MEDIA_UNMOUNTED".equals(action)) {
                UIOTG.this.mHandler.sendEmptyMessage(3);
            }
        }
    };

    public UIOTG() {
        super("UIOTG", 24);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        FtUtil.log_i(this.CLASS_NAME, "onCreate", null);
        setContentView(R.layout.ui_otg);
        this.mResultText = (TextView) findViewById(R.id.result);
        this.mDescriptionText = (TextView) findViewById(R.id.description);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        FtUtil.log_i(this.CLASS_NAME, "onResume", null);
        registerBroadcastReceiver();
        this.mHandler.sendEmptyMessage(0);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        FtUtil.log_i(this.CLASS_NAME, "onPause", null);
        unregisterReceiver(this.mStorageReceiver);
    }

    private void registerBroadcastReceiver() {
        IntentFilter filter = new IntentFilter();
        FtUtil.log_i(this.CLASS_NAME, "registerBroadcastReceiver", "registerBroadcastReceiver");
        filter.addAction("android.intent.action.MEDIA_MOUNTED");
        filter.addAction("android.intent.action.MEDIA_UNMOUNTED");
        filter.addDataScheme("file");
        registerReceiver(this.mStorageReceiver, filter);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setTestResult() {
        this.mResultText.setText(this.mIsTestPass ? "PASS" : "FAIL");
        this.mResultText.setTextColor(this.mIsTestPass ? -16742721 : -65536);
        if (this.mIsTestPass) {
            setTestResult((byte) 80);
        } else {
            setTestResultFailCase(24);
        }
    }
}
