package com.sec.factory.app.ui;

import android.graphics.Bitmap;
import android.os.Bundle;
import android.util.TypedValue;
import android.view.View;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.TextView;
import com.google.zxing.BarcodeFormat;
import com.google.zxing.MultiFormatWriter;
import com.google.zxing.common.BitMatrix;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.common.CommonFingerprintGoodix;
import com.sec.factory.support.FtUtil;

public class UIOctaCellIdReadForFoolproof extends UIBase implements View.OnClickListener {
    private Bitmap mBitmapQRImage = null;
    private ImageView mImageViewQRImage;
    private Button mPassButton;

    public UIOctaCellIdReadForFoolproof() {
        super("UIOctaCellIdReadForFoolproof");
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        this.TEST_ID = getIntent().getIntExtra("testid", FactoryTestManager.TEST_OCTA_CELL_ID_READ_FOR_FOOLPROOF);
        setContentView(R.layout.ui_octa_cell_id_read_for_foolproof);
        ImageView imageView = (ImageView) findViewById(R.id.qr_image);
        this.mImageViewQRImage = imageView;
        imageView.setVisibility(8);
        Button button = (Button) findViewById(R.id.pass_btn);
        this.mPassButton = button;
        button.setOnClickListener(this);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        setText(R.id.title, "OCTA Cell ID Read\n for Foolproof");
        startTest();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
    }

    private void startTest() {
        FtUtil.log_d(this.CLASS_NAME, "startTest", "null");
        try {
            FtUtil.log_d(this.CLASS_NAME, "startTest", "delay 500ms for updated OctaCellId read");
            Thread.sleep(500);
        } catch (InterruptedException ie) {
            FtUtil.log_e(ie);
        }
        Bitmap generateQRCode = generateQRCode(ReadOctaCellId());
        this.mBitmapQRImage = generateQRCode;
        this.mImageViewQRImage.setImageBitmap(generateQRCode);
        this.mImageViewQRImage.setVisibility(0);
        setText(R.id.octa_cell_id, "Cell ID : ");
    }

    private String ReadOctaCellId() {
        String octaCellId;
        String octaId = FtUtil.readFromFile(CommonFingerprintGoodix.PATH_CELL_ID);
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "ReadOctaCellId", "octaId : " + octaId);
        if (octaId == null) {
            octaCellId = "NA";
        } else {
            octaCellId = octaId;
        }
        String str2 = this.CLASS_NAME;
        FtUtil.log_d(str2, "ReadOctaCellId", "octaCellId : " + octaCellId);
        setText(R.id.octa_cell_id_value, octaCellId);
        return octaCellId;
    }

    private Bitmap generateQRCode(String str) {
        MultiFormatWriter qrCodeWriter = new MultiFormatWriter();
        try {
            int imageViewWidth = (int) TypedValue.applyDimension(5, 20.0f, getResources().getDisplayMetrics());
            int imageViewHeight = (int) TypedValue.applyDimension(5, 20.0f, getResources().getDisplayMetrics());
            String str2 = this.CLASS_NAME;
            FtUtil.log_d(str2, "generateQRCode", "imageViewWidth:" + imageViewWidth + ", imageViewHeight:" + imageViewHeight);
            BitMatrix bitMatrix = qrCodeWriter.encode(str, BarcodeFormat.QR_CODE, imageViewWidth, imageViewHeight);
            int bitMatrixWidth = bitMatrix.getWidth();
            int bitMatrixHeight = bitMatrix.getHeight();
            String str3 = this.CLASS_NAME;
            FtUtil.log_d(str3, "generateQRCode", "bitMatrixWidth:" + bitMatrixWidth + ", bitMatrixHeight:" + bitMatrixHeight);
            Bitmap bitmap = Bitmap.createBitmap(bitMatrixWidth, bitMatrixHeight, Bitmap.Config.ARGB_8888);
            for (int y = 0; y < bitMatrixHeight; y++) {
                for (int x = 0; x < bitMatrixWidth; x++) {
                    bitmap.setPixel(x, y, bitMatrix.get(x, y) ? -16777216 : -1);
                }
            }
            return bitmap;
        } catch (Exception e) {
            e.printStackTrace();
            return null;
        }
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.pass_btn:
                FtUtil.log_d(this.CLASS_NAME, "onClick", "Click Pass Button");
                setResult(-1);
                FtUtil.log_d(this.CLASS_NAME, "onClick", "send MSG_FINISH");
                finish();
                return;
            default:
                return;
        }
    }

    /* access modifiers changed from: protected */
    public void setText(int id, String text) {
        ((TextView) findViewById(id)).setText(text);
    }
}
