package com.sec.factory.app.ui;

import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.support.FtUtil;
import egis.client.api.EgisFingerprint;

public class UIOctaDDIDSCDecoderTest extends UIBase {
    private static final String CLASS_NAME = "UIOctaDDIDSCDecoderTest";
    private static final int MSG_CHECK_RESULT;
    private static final int MSG_START_TEST = 0;
    private static final int MSG_TEST_FAIL;
    private static final int MSG_TEST_PASS;
    private static int TEST_MSG;
    private final String ACTION_RECEIVE_DDI_DSC_DECODER_RESULT = "com.android.samsungtest.RECEIVE_DDI_DSC_DECODER_RESULT";
    private final String CHECK_PASS = EgisFingerprint.MAJOR_VERSION;
    private final int DRC_CRC_SIZE = 3;
    private final String OCTA_DRC_CRC = "/sys/class/lcd/panel/dsc_crc";
    private Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UIOctaDDIDSCDecoderTest.AnonymousClass1 */

        public void handleMessage(Message msg) {
            if (msg.what == UIOctaDDIDSCDecoderTest.MSG_START_TEST) {
                FtUtil.log_d(UIOctaDDIDSCDecoderTest.CLASS_NAME, "mHandler", "MSG_START_TEST");
                UIOctaDDIDSCDecoderTest.this.startOctaDDIDSCDecoderCheck();
            } else if (msg.what == UIOctaDDIDSCDecoderTest.MSG_CHECK_RESULT) {
                FtUtil.log_d(UIOctaDDIDSCDecoderTest.CLASS_NAME, "mHandler", "MSG_CHECK_RESULT");
                UIOctaDDIDSCDecoderTest.this.checkResult((String) msg.obj);
            } else if (msg.what == UIOctaDDIDSCDecoderTest.MSG_TEST_PASS) {
                FtUtil.log_d(UIOctaDDIDSCDecoderTest.CLASS_NAME, "mHandler", "MSG_TEST_PASS");
                UIOctaDDIDSCDecoderTest.this.sendResultToAtCmd(true, (String) msg.obj);
                UIOctaDDIDSCDecoderTest.this.finish();
            } else if (msg.what == UIOctaDDIDSCDecoderTest.MSG_TEST_FAIL) {
                FtUtil.log_d(UIOctaDDIDSCDecoderTest.CLASS_NAME, "mHandler", "MSG_TEST_FAIL");
                UIOctaDDIDSCDecoderTest.this.sendResultToAtCmd(false, (String) msg.obj);
                UIOctaDDIDSCDecoderTest.this.finish();
            }
        }
    };
    private TextView mTxtCRCValue;
    private TextView mTxtResult;
    private TextView mTxtTitle;
    private boolean result = false;

    static {
        TEST_MSG = 0;
        int i = 0 + 1;
        TEST_MSG = i;
        int i2 = i + 1;
        TEST_MSG = i2;
        MSG_CHECK_RESULT = i;
        int i3 = i2 + 1;
        TEST_MSG = i3;
        MSG_TEST_PASS = i2;
        TEST_MSG = i3 + 1;
        MSG_TEST_FAIL = i3;
    }

    public UIOctaDDIDSCDecoderTest() {
        super(CLASS_NAME);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_octa_ddi_dsc_decoder_test);
        FtUtil.setRemoveSystemUI(getWindow(), true);
        initializeUI();
    }

    private void initializeUI() {
        this.mTxtTitle = (TextView) findViewById(R.id.octa_ddi_dsc_decoder_check_title);
        this.mTxtCRCValue = (TextView) findViewById(R.id.crc_value);
        this.mTxtResult = (TextView) findViewById(R.id.result);
        this.mTxtTitle.setText("OCTA DDI DSC\nDecoder Check");
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        sendBroadcast(new Intent("com.samsung.android.aircommandmanager.STOP_MONITORING"));
        this.mHandler.sendEmptyMessageDelayed(MSG_START_TEST, 100);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        sendBroadcast(new Intent("com.samsung.android.aircommandmanager.START_MONITORING"));
        this.mHandler.removeCallbacksAndMessages(null);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
        this.mHandler.removeMessages(MSG_START_TEST);
        this.mHandler.removeMessages(MSG_CHECK_RESULT);
        this.mHandler.removeMessages(MSG_TEST_PASS);
        this.mHandler.removeMessages(MSG_TEST_FAIL);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void checkResult(String crcValue) {
        this.mTxtTitle.setVisibility(0);
        this.mTxtCRCValue.setVisibility(0);
        this.mTxtResult.setVisibility(0);
        TextView textView = this.mTxtCRCValue;
        textView.setText("CRC Value : " + crcValue);
        if (this.result) {
            this.mTxtResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            this.mTxtResult.setText("PASS");
            Message msg = this.mHandler.obtainMessage();
            msg.what = MSG_TEST_PASS;
            msg.obj = crcValue.replace(" ", "");
            this.mHandler.sendMessageDelayed(msg, 1000);
            return;
        }
        this.mTxtResult.setTextColor(-65536);
        this.mTxtResult.setText("FAIL");
        Message msg2 = this.mHandler.obtainMessage();
        msg2.what = MSG_TEST_FAIL;
        msg2.obj = crcValue.replace(" ", "");
        this.mHandler.sendMessageDelayed(msg2, 1000);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void startOctaDDIDSCDecoderCheck() {
        FtUtil.log_d(CLASS_NAME, "startOctaDDIDSCDecoderCheck", "");
        FtUtil.writeToFile("/sys/class/lcd/panel/dsc_crc", EgisFingerprint.MAJOR_VERSION);
        String[] resData = FtUtil.readFromFile("/sys/class/lcd/panel/dsc_crc").split(" ");
        if (resData == null || !resData[0].equals(EgisFingerprint.MAJOR_VERSION)) {
            this.result = false;
        } else {
            this.result = true;
        }
        Message msg = this.mHandler.obtainMessage();
        msg.what = MSG_CHECK_RESULT;
        if (resData == null || resData.length <= 1) {
            msg.obj = "";
        } else {
            StringBuilder sb = new StringBuilder();
            for (int i = 1; i < resData.length; i++) {
                sb.append(resData[i] + " ");
            }
            msg.obj = sb.toString();
        }
        this.mHandler.sendMessage(msg);
    }

    public void sendResultToAtCmd(boolean pass, String crcValue) {
        Intent passIntent = new Intent();
        passIntent.setAction("com.android.samsungtest.RECEIVE_DDI_DSC_DECODER_RESULT");
        passIntent.putExtra("RESULT", pass);
        passIntent.putExtra("DATA", crcValue);
        sendBroadcast(passIntent);
        FtUtil.log_i(CLASS_NAME, "sendResultToAtCmd", "result : " + pass + ", data : " + crcValue);
    }
}
