package com.sec.factory.app.ui;

import android.os.Bundle;
import android.view.View;
import com.sec.factory.R;
import com.sec.factory.modules.ModulePower;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class UIOctaXTalkTest extends UIBase {
    private final int SHOW_BTN_DELAY = 3000;
    private final int WHAT_SHOW_PASS_FAIL_BTN = 10;
    private View mBackground;
    private boolean mIsStarted = false;

    public UIOctaXTalkTest() {
        super("UIOctaXTalkTest");
    }

    private void initUI() {
        FtUtil.log_d(this.CLASS_NAME, "initUI", "");
        View findViewById = findViewById(R.id.background);
        this.mBackground = findViewById;
        findViewById.setBackgroundResource(R.drawable.octa_x_talk_pattern);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        FtUtil.log_d(this.CLASS_NAME, "onCreate", "");
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_octa_x_talk_test);
        FtUtil.setRemoveSystemUI(getWindow(), true);
        initUI();
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        FtUtil.log_d(this.CLASS_NAME, "onResume", "");
        super.onResume();
        ModulePower.instance(this).setBrightness(0);
        Support.Kernel.write(Support.Kernel.SYSFS_OCTA_X_TALK_MODE, EgisFingerprint.MAJOR_VERSION);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        FtUtil.log_i(this.CLASS_NAME, "onPause", "");
        this.mIsStarted = false;
        super.onPause();
        Support.Kernel.write(Support.Kernel.SYSFS_OCTA_X_TALK_MODE, "0");
        ModulePower.instance(this).setBrightness(255);
        finish();
    }
}
