package com.sec.factory.app.ui;

import android.app.AlertDialog;
import android.app.Dialog;
import android.app.DialogFragment;
import android.content.DialogInterface;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Matrix;
import android.graphics.drawable.BitmapDrawable;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.KeyEvent;
import android.view.View;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.PopupWindow;
import android.widget.TextView;
import android.widget.Toast;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.ModulePower;
import com.sec.factory.modules.ModuleSensor;
import com.sec.factory.modules.ModuleTouchScreen;
import com.sec.factory.modules.SensorCalculator;
import com.sec.factory.modules.SensorNotification;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import java.io.File;
import java.text.DecimalFormat;
import java.text.NumberFormat;
import java.util.Locale;

public class UIOrientation extends UIBase {
    private static final int AP_ACCEL_POWER_OFF = 0;
    private static final int AP_ACCEL_POWER_ON = 1;
    public static final String INTENT_EXTRA_NAME_MAINCAM_FILEPATH = "mega_filepath";
    public static final String INTENT_EXTRA_NAME_SUBCAM_FILEPATH = "vga_filepath";
    public static final String INTENT_EXTRA_NAME_USE_INTERNAL_IMAGE = "use_internal_image";
    private static boolean mFlag_PowerKey_Twice = false;
    private static boolean mFlag_VolumeDownKey_Twice = false;
    private static boolean mIsDialogShown = false;
    public static String mOrientationType = "DEFAULT";
    public static String typeDevice = ModuleTouchScreen.TSP_DEVICE_TYPE__PHONE;
    private int ANGLE_BASE_X = 0;
    private int ANGLE_BASE_Y = 0;
    private int ANGLE_BASE_Z = 0;
    private int ANGLE_BASE_Z_NEW = 0;
    private final boolean DEBUG = true;
    private final int DISPLAY_IMAGES = 98;
    private boolean FLAG_TEST_EXIT = false;
    private final int FLAG_TEST_XY = 0;
    private final int FLAG_TEST_XY2 = 1;
    private final int GET_IMAGE_TYPE_FILEPATH = 1;
    private final int GET_IMAGE_TYPE_RAWDATA = 2;
    private final int IMAGE_DECODE_FAIL = 97;
    private final int LANDSCAPE_MODE_LEFT = 2;
    private final int LANDSCAPE_MODE_RIGHT = 1;
    private final int LOAD_IMAGES = 99;
    private final float MAX_DEVIATION_FROM_GRAVITY = 1.5f;
    private final int MAX_TILT = 30;
    private final String MESSAGE_0 = "Loading images...";
    private final String MESSAGE_1 = "Tilt toward body\nMore than 30 degrees";
    private final String MESSAGE_2_1 = "PASS!";
    private final String MESSAGE_2_2 = "Turn left or right\nMore than 60 degrees";
    private int MESSAGE_TYPE_0 = 0;
    private int MESSAGE_TYPE_1 = 1;
    private int MESSAGE_TYPE_2 = 2;
    private int MESSAGE_TYPE_3 = 3;
    private final float MIN_ABS_ACCELERATION = 1.5f;
    private boolean POPUP_FLAG_TEST_XY;
    private boolean POPUP_FLAG_TEST_XY2;
    private boolean POPUP_FLAG_TEST_Z;
    private final int PORTRAIT_MODE = 0;
    private final long POWER_KEY_EVENT_TIMELAG = 50;
    private final int TESTSTATUS_STATUS_FINISH = 7;
    private final int TESTSTATUS_STATUS_PENDING_XY = 3;
    private final int TESTSTATUS_STATUS_PENDING_Z = 1;
    private final int TESTSTATUS_STATUS_TEST_XY = 4;
    private final int TESTSTATUS_STATUS_TEST_XY2 = 6;
    private final int TESTSTATUS_STATUS_TEST_Z = 2;
    private final long VOLUME_DOWN_KEY_EVENT_TIMELAG = 50;
    private final int WHAT_EXIT = (SensorNotification.WHAT_NOTI_SENSOR_MAX + 2);
    private float deviation = 0.0f;
    private boolean first_popup = false;
    private double gValue;
    private double g_max = Support.Spec.getDouble(Support.Spec.SIMPLE_TEST_G_MAX);
    private double g_min = Support.Spec.getDouble(Support.Spec.SIMPLE_TEST_G_MIN);
    private int mAccelerometer1GValue = 256;
    private int mAccelerometerBitCount = 10;
    private int mAccelerometerFullScale = 2;
    private int mAngleCurrX = 0;
    private int mAngleCurrXY = 0;
    private int mAngleCurrY = 0;
    private int mAngleCurrZ = 0;
    private int mAngleDeltaZ = 0;
    private Bitmap[] mCameraBitmap = new Bitmap[2];
    private String[] mCoordinates = null;
    private String mFilePathMainCam;
    private String mFilePathSubCam;
    private DecimalFormat mFormat = ((DecimalFormat) NumberFormat.getInstance(Locale.ENGLISH));
    private Thread mGetImageThread = null;
    private int mGetImageType = 1;
    private Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UIOrientation.AnonymousClass1 */

        public void handleMessage(Message msg) {
            String str = UIOrientation.this.CLASS_NAME;
            FtUtil.log_i(str, "mHandler-handleMessage", "mStatus=[" + UIOrientation.this.mStatus + "]msg.what=[" + msg.what + "]");
            if (msg.what == 99) {
                UIOrientation uIOrientation = UIOrientation.this;
                uIOrientation.popupShow(uIOrientation.MESSAGE_TYPE_0);
            } else if (msg.what == 98) {
                UIOrientation.this.displayImage();
                UIOrientation.this.FLAG_TEST_EXIT = true;
                UIOrientation.this.controlAccelerometerSensor(1);
                UIOrientation uIOrientation2 = UIOrientation.this;
                uIOrientation2.popupShow(uIOrientation2.MESSAGE_TYPE_3);
                UIOrientation.this.mStatus = 3;
                UIOrientation.this.first_popup = true;
            } else if (msg.what == 97) {
                Toast.makeText(UIOrientation.this, "Image Decode Fail", 0).show();
            } else if (msg.what == SensorNotification.WHAT_NOTI_SENSOR_UPDATAE && UIOrientation.this.FLAG_TEST_EXIT) {
                UIOrientation uIOrientation3 = UIOrientation.this;
                uIOrientation3.mCoordinates = uIOrientation3.mModuleSensor.getData(ModuleSensor.ID_MANAGER_ACCELEROMETER_N_ANGLE);
                if (UIOrientation.this.mCoordinates != null) {
                    UIOrientation uIOrientation4 = UIOrientation.this;
                    uIOrientation4.mSensorValue = "AP [Coordinates] X:" + UIOrientation.this.mCoordinates[2] + "\t, Y:" + UIOrientation.this.mCoordinates[3] + "\t, Z:" + UIOrientation.this.mCoordinates[4] + "\nAP [___Angle___] X:" + UIOrientation.this.mCoordinates[5] + "\t, Y:" + UIOrientation.this.mCoordinates[6] + "\t, Z:" + UIOrientation.this.mCoordinates[7];
                    if (UIOrientation.this.mStatus == 2) {
                        UIOrientation uIOrientation5 = UIOrientation.this;
                        UIOrientation.access$1384(uIOrientation5, "\n[AP Angle__Base] Z:" + UIOrientation.this.ANGLE_BASE_Z);
                    } else if (UIOrientation.this.mStatus == 4) {
                        UIOrientation uIOrientation6 = UIOrientation.this;
                        UIOrientation.access$1384(uIOrientation6, "\n[AP Angle__Base] X:" + UIOrientation.this.ANGLE_BASE_X + "\t, Y:" + UIOrientation.this.ANGLE_BASE_Y);
                    } else if (UIOrientation.this.mStatus == 6) {
                        UIOrientation uIOrientation7 = UIOrientation.this;
                        UIOrientation.access$1384(uIOrientation7, "\n[AP Angle__Base] X:" + UIOrientation.this.ANGLE_BASE_X + "\t, Y:" + UIOrientation.this.ANGLE_BASE_Y);
                    }
                    UIOrientation.this.mTextCoordinates.setText(UIOrientation.this.mSensorValue);
                    UIOrientation uIOrientation8 = UIOrientation.this;
                    DecimalFormat decimalFormat = uIOrientation8.mFormat;
                    UIOrientation uIOrientation9 = UIOrientation.this;
                    uIOrientation8.gValue = Double.parseDouble(decimalFormat.format(uIOrientation9.getVectorSumToG(uIOrientation9.mCoordinates[2], UIOrientation.this.mCoordinates[3], UIOrientation.this.mCoordinates[4])));
                    TextView textView = UIOrientation.this.mTextVectorSum;
                    textView.setText("G Vector SUM : " + UIOrientation.this.gValue + " (Spec : " + UIOrientation.this.g_min + " ~ " + UIOrientation.this.g_max + ")");
                }
                if (UIOrientation.this.mCoordinates == null) {
                    return;
                }
                if (UIOrientation.this.mStatus == 2) {
                    if (UIOrientation.this.POPUP_FLAG_TEST_Z) {
                        UIOrientation.this.POPUP_FLAG_TEST_Z = false;
                    }
                    UIOrientation uIOrientation10 = UIOrientation.this;
                    if (uIOrientation10.startZTest30degree(uIOrientation10.mCoordinates) && UIOrientation.this.checkVectorSpec()) {
                        String str2 = UIOrientation.this.CLASS_NAME;
                        FtUtil.log_i(str2, "mHandler-handleMessage", "Z => Base : " + UIOrientation.this.ANGLE_BASE_Z + ", Curr : " + UIOrientation.this.mAngleCurrZ);
                        UIOrientation uIOrientation11 = UIOrientation.this;
                        uIOrientation11.popupShow(uIOrientation11.MESSAGE_TYPE_2);
                        UIOrientation.this.mStatus = 3;
                    }
                } else if (UIOrientation.this.mStatus == 4) {
                    if (UIOrientation.this.POPUP_FLAG_TEST_XY) {
                        UIOrientation.this.POPUP_FLAG_TEST_XY = false;
                    }
                    FtUtil.log_i(UIOrientation.this.CLASS_NAME, "mHandler-handleMessage", "TESTSTATUS_STATUS_TEST_XY");
                    UIOrientation uIOrientation12 = UIOrientation.this;
                    if (uIOrientation12.startXYTest60degree(uIOrientation12.mCoordinates, 0) && UIOrientation.this.checkVectorSpec()) {
                        String str3 = UIOrientation.this.CLASS_NAME;
                        FtUtil.log_i(str3, "mHandler-handleMessage", "X => Base : " + UIOrientation.this.ANGLE_BASE_X);
                        String str4 = UIOrientation.this.CLASS_NAME;
                        FtUtil.log_i(str4, "mHandler-handleMessage", "Y => Base : " + UIOrientation.this.ANGLE_BASE_Y);
                        UIOrientation.this.mStatus = 6;
                        if (UIOrientation.this.mOrientationStatus == 1) {
                            FtUtil.log_i(UIOrientation.this.CLASS_NAME, "mHandler-handleMessage", "AP - LANDSCAPE_MODE_RIGHT");
                            UIOrientation.this.setRequestedOrientation(8);
                            UIOrientation.this.mlinear[0].setVisibility(8);
                            UIOrientation.this.mlinear[1].setVisibility(0);
                            UIOrientation.this.mlinear[2].setVisibility(8);
                        } else if (UIOrientation.this.mOrientationStatus == 2) {
                            FtUtil.log_i(UIOrientation.this.CLASS_NAME, "mHandler-handleMessage", "AP - LANDSCAPE_MODE_LEFT");
                            UIOrientation.this.setRequestedOrientation(0);
                            UIOrientation.this.mlinear[0].setVisibility(8);
                            UIOrientation.this.mlinear[1].setVisibility(8);
                            UIOrientation.this.mlinear[2].setVisibility(0);
                        }
                    }
                } else if (UIOrientation.this.mStatus == 6) {
                    if (UIOrientation.this.POPUP_FLAG_TEST_XY2) {
                        UIOrientation.this.POPUP_FLAG_TEST_XY2 = false;
                    }
                    FtUtil.log_i(UIOrientation.this.CLASS_NAME, "mHandler-handleMessage", "TESTSTATUS_STATUS_TEST_XY2");
                    UIOrientation uIOrientation13 = UIOrientation.this;
                    uIOrientation13.ANGLE_BASE_X = Integer.valueOf(uIOrientation13.mCoordinates[5]).intValue();
                    UIOrientation uIOrientation14 = UIOrientation.this;
                    uIOrientation14.ANGLE_BASE_Y = Integer.valueOf(uIOrientation14.mCoordinates[6]).intValue();
                    UIOrientation uIOrientation15 = UIOrientation.this;
                    if (uIOrientation15.startXYTest60degree(uIOrientation15.mCoordinates, 1) && UIOrientation.this.checkVectorSpec()) {
                        String str5 = UIOrientation.this.CLASS_NAME;
                        FtUtil.log_i(str5, "mHandler-handleMessage", "X => Base : " + UIOrientation.this.ANGLE_BASE_X);
                        String str6 = UIOrientation.this.CLASS_NAME;
                        FtUtil.log_i(str6, "mHandler-handleMessage", "Y => Base : " + UIOrientation.this.ANGLE_BASE_Y);
                        UIOrientation.this.mStatus = 7;
                        if (UIOrientation.this.mOrientationStatus == 0) {
                            FtUtil.log_i(UIOrientation.this.CLASS_NAME, "mHandler-handleMessage", "AP - PORTRAIT_MODE");
                            UIOrientation.this.setResumeOrientation();
                        }
                        sendEmptyMessageDelayed(UIOrientation.this.WHAT_EXIT, 1000);
                        UIOrientation.this.FLAG_TEST_EXIT = false;
                    }
                }
            } else if (msg.what == UIOrientation.this.WHAT_EXIT && UIOrientation.this.mStatus == 7) {
                UIOrientation.this.setResult(-1);
                UIOrientation.this.finish();
            }
        }
    };
    private ImageView[] mImageMainCam = new ImageView[3];
    private ImageView[] mImageSubCam = new ImageView[3];
    private boolean mIsLongPress = false;
    private final int mLogLevel = Support.FactoryTestMenu.getLogLevel(FactoryTestManager.convertorID_XML((byte) 0));
    private ModuleSensor mModuleSensor;
    private int mOrientationStatus = 0;
    private PopupWindow mPopup;
    private View mPopupview;
    private long mPrevPowerKeyEventTime = -1;
    private long mPrevVolumeDownKeyEventTime = -1;
    private int mScreenHeight;
    private int mScreenWidth;
    private int[] mSensorID;
    private String mSensorValue = "";
    private int mStatus;
    private TextView mTextCoordinates;
    private TextView mTextMessage1;
    private TextView mTextMessage2;
    private TextView mTextVectorSum;
    private float mTilt = 0.0f;
    private float magnitude = 0.0f;
    private LinearLayout[] mlinear = new LinearLayout[3];
    private boolean use_internal_image = false;

    static /* synthetic */ String access$1384(UIOrientation x0, Object x1) {
        String str = x0.mSensorValue + x1;
        x0.mSensorValue = str;
        return str;
    }

    public UIOrientation() {
        super("UIOrientation");
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_orientation);
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "onCreate", "mLogLevel : " + this.mLogLevel);
        updateSimpleTestStates("ORIENTATION SCREEN");
        initializePopup();
        initialize();
        this.mAccelerometerBitCount = Integer.parseInt(Support.TestCase.getString(Support.TestCase.SENSOR_TEST_ACC_BIT));
        int accelerometerFullScale = SensorCalculator.getAccelerometerFullScale(this);
        this.mAccelerometerFullScale = accelerometerFullScale;
        this.mAccelerometerFullScale = accelerometerFullScale;
        this.mAccelerometer1GValue = SensorCalculator.getAccelerometer1GValue(this.mAccelerometerBitCount, accelerometerFullScale);
        String str2 = this.CLASS_NAME;
        FtUtil.log_d(str2, "onCreate", " mAccelerometerBitCount : " + this.mAccelerometerBitCount + ", mAccelerometerFullScale : " + this.mAccelerometerFullScale + ", mAccelerometer1GValue : " + this.mAccelerometer1GValue);
        FtUtil.setRemoveSystemUI(getWindow(), true);
    }

    /* access modifiers changed from: protected */
    public void onStart() {
        FtUtil.log_i(this.CLASS_NAME, "onStart", "onStart");
        super.onStart();
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        this.POPUP_FLAG_TEST_Z = true;
        this.POPUP_FLAG_TEST_XY = true;
        this.POPUP_FLAG_TEST_XY2 = true;
        mIsDialogShown = false;
        mFlag_PowerKey_Twice = false;
        mFlag_VolumeDownKey_Twice = false;
    }

    /* access modifiers changed from: protected */
    public void onStop() {
        FtUtil.log_i(this.CLASS_NAME, "onStop", "onStop");
        super.onStop();
    }

    public void onAttachedToWindow() {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "onAttachedToWindow", "use_internal_image:" + this.use_internal_image);
        super.onAttachedToWindow();
        if (this.use_internal_image) {
            this.mHandler.sendEmptyMessage(98);
        } else {
            this.mHandler.sendEmptyMessage(99);
        }
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        if (this.mHandler.hasMessages(99)) {
            this.mHandler.removeMessages(99);
        }
        if (this.mHandler.hasMessages(98)) {
            this.mHandler.removeMessages(98);
        }
        if (this.mHandler.hasMessages(SensorNotification.WHAT_NOTI_SENSOR_UPDATAE)) {
            this.mHandler.removeMessages(SensorNotification.WHAT_NOTI_SENSOR_UPDATAE);
        }
        if (this.mHandler.hasMessages(this.WHAT_EXIT)) {
            this.mHandler.removeMessages(this.WHAT_EXIT);
        }
        this.FLAG_TEST_EXIT = false;
        controlAccelerometerSensor(0);
        PopupWindow popupWindow = this.mPopup;
        if (popupWindow != null) {
            popupWindow.dismiss();
        }
        mIsDialogShown = false;
        mFlag_PowerKey_Twice = false;
        mFlag_VolumeDownKey_Twice = false;
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        ModulePower.instance(this).setTouchLed(false);
        Thread thread = this.mGetImageThread;
        if (thread != null && thread.isAlive()) {
            this.mGetImageThread.interrupt();
        }
        super.onDestroy();
    }

    public void showKeyFailDialog() {
        FtUtil.log_d(this.CLASS_NAME, "showKeyFailDialog", "showKeyFailDialog");
        mIsDialogShown = true;
        keyAlertDialogFragment.newInstance(10000).show(getFragmentManager(), "dialog");
    }

    public static class keyAlertDialogFragment extends DialogFragment {
        public static keyAlertDialogFragment newInstance(int title) {
            return new keyAlertDialogFragment();
        }

        public Dialog onCreateDialog(Bundle savedInstanceState) {
            return new AlertDialog.Builder(getActivity()).setMessage("Power Key Test Fail\nRe-press to key").setPositiveButton("Check", new DialogInterface.OnClickListener() {
                /* class com.sec.factory.app.ui.UIOrientation.keyAlertDialogFragment.AnonymousClass2 */

                public void onClick(DialogInterface dialog, int whichButton) {
                    boolean unused = UIOrientation.mIsDialogShown = false;
                    boolean unused2 = UIOrientation.mFlag_PowerKey_Twice = false;
                    boolean unused3 = UIOrientation.mFlag_VolumeDownKey_Twice = false;
                    keyAlertDialogFragment.this.dismiss();
                }
            }).setOnKeyListener(new DialogInterface.OnKeyListener() {
                /* class com.sec.factory.app.ui.UIOrientation.keyAlertDialogFragment.AnonymousClass1 */

                public boolean onKey(DialogInterface dInterface, int keyCode, KeyEvent event) {
                    if (keyCode != 4) {
                        return true;
                    }
                    boolean unused = UIOrientation.mIsDialogShown = false;
                    boolean unused2 = UIOrientation.mFlag_PowerKey_Twice = false;
                    boolean unused3 = UIOrientation.mFlag_VolumeDownKey_Twice = false;
                    keyAlertDialogFragment.this.dismiss();
                    return true;
                }
            }).create();
        }

        public void onDismiss(DialogInterface arg0) {
            boolean unused = UIOrientation.mIsDialogShown = false;
            boolean unused2 = UIOrientation.mFlag_PowerKey_Twice = false;
            boolean unused3 = UIOrientation.mFlag_VolumeDownKey_Twice = false;
        }
    }

    @Override // com.sec.factory.app.ui.UIBase
    public boolean onKeyDown(int keyCode, KeyEvent event) {
        if (!this.mIsLongPress) {
            this.mIsLongPress = event.isLongPress();
        }
        switch (keyCode) {
            case 24:
                FtUtil.log_i(this.CLASS_NAME, "onKeyDown", "KEYCODE_VOLUME_UP");
                break;
            case 25:
                FtUtil.log_i(this.CLASS_NAME, "onKeyDown", "KEYCODE_VOLUME_DOWN");
                break;
            case 26:
                FtUtil.log_i(this.CLASS_NAME, "onKeyDown", "KEYCODE_POWER");
                if (this.mIsLongPress && !mIsDialogShown) {
                    FtUtil.log_e(this.CLASS_NAME, "onKeyDown", "KEYCODE_POWER Long Pressed");
                    showKeyFailDialog();
                    break;
                }
        }
        return super.onKeyDown(keyCode, event);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public boolean onKeyUp(int keyCode, KeyEvent event) {
        this.mIsLongPress = false;
        switch (keyCode) {
            case 24:
                FtUtil.log_e(this.CLASS_NAME, "onKeyUp", "KEYCODE_VOLUME_UP");
                Toast.makeText(this, "Pressed Wrong Key(Volume UP)\nPress Hold Key", 0).show();
                break;
            case 25:
                FtUtil.log_e(this.CLASS_NAME, "onKeyUp", "KEYCODE_VOLUME_DOWN");
                Toast.makeText(this, "Pressed Wrong Key(Volume DOWN)\nPress Hold Key", 0).show();
                break;
            case 26:
                String str = this.CLASS_NAME;
                FtUtil.log_d(str, "onKeyUp", "KEYCODE_POWER => Prev : " + this.mPrevPowerKeyEventTime + ", Curr : " + event.getEventTime() + " => Time Lag : " + (event.getEventTime() - this.mPrevPowerKeyEventTime) + " [" + 50L + "]");
                if (this.mPrevPowerKeyEventTime == -1) {
                    this.mPrevPowerKeyEventTime = event.getEventTime();
                } else if (event.getEventTime() - this.mPrevPowerKeyEventTime < 50) {
                    FtUtil.log_e(this.CLASS_NAME, "onKeyDown", "KEYCODE_POWER Pressed Twice");
                    mFlag_PowerKey_Twice = true;
                    showKeyFailDialog();
                } else {
                    this.mPrevPowerKeyEventTime = event.getEventTime();
                }
                String str2 = this.CLASS_NAME;
                FtUtil.log_d(str2, "onKeyUp", "mFlag_PowerKey_Twice : " + mFlag_PowerKey_Twice + ", mIsDialogShown : " + mIsDialogShown);
                if (!mFlag_PowerKey_Twice && !mIsDialogShown) {
                    updateUI();
                }
                return true;
        }
        this.mPrevPowerKeyEventTime = -1;
        return super.onKeyUp(keyCode, event);
    }

    private void updateUI() {
        FtUtil.log_d(this.CLASS_NAME, "updateUI after onKeyUp", null);
        if (this.mCoordinates == null) {
            FtUtil.log_e(this.CLASS_NAME, "updateUI", "mCoordinates == null");
        } else if (this.first_popup) {
            int i = this.mStatus;
            if (i == 1) {
                FtUtil.log_d(this.CLASS_NAME, "updateUI", "TESTSTATUS_STATUS_PENDING_Z");
                this.mStatus = 2;
                this.ANGLE_BASE_X = Integer.valueOf(this.mCoordinates[5]).intValue();
                this.ANGLE_BASE_Y = Integer.valueOf(this.mCoordinates[6]).intValue();
                this.ANGLE_BASE_Z = Integer.valueOf(this.mCoordinates[7]).intValue();
                if (!ModuleTouchScreen.TSP_DEVICE_TYPE__TABLET.equals(typeDevice) || "portrait".equals(mOrientationType)) {
                    this.ANGLE_BASE_Z_NEW = CheckNewAngleZ(this.ANGLE_BASE_Y, this.ANGLE_BASE_Z);
                } else {
                    this.ANGLE_BASE_Z_NEW = CheckNewAngleZ(this.ANGLE_BASE_X * -1, this.ANGLE_BASE_Z);
                }
                this.mPopup.dismiss();
            } else if (i == 3) {
                FtUtil.log_d(this.CLASS_NAME, "updateUI", "TESTSTATUS_STATUS_PENDING_XY");
                this.mStatus = 4;
                this.ANGLE_BASE_X = Integer.valueOf(this.mCoordinates[5]).intValue();
                this.ANGLE_BASE_Y = Integer.valueOf(this.mCoordinates[6]).intValue();
                this.mPopup.dismiss();
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void controlAccelerometerSensor(int control) {
        if (control == 1) {
            if (!this.mFlag_BackKey_Twice) {
                int[] iArr = {ModuleSensor.ID_MANAGER_ACCELEROMETER_N_ANGLE};
                this.mSensorID = iArr;
                this.mModuleSensor.SensorOn(iArr, this.mHandler, 100, this.mLogLevel);
            }
        } else if (control == 0) {
            this.mModuleSensor.SensorOff(this.mSensorID, this.mHandler);
        }
    }

    private void initialize() {
        this.mFormat.applyPattern("0.00");
        TextView textView = (TextView) findViewById(R.id.coordinates_port);
        this.mTextCoordinates = textView;
        textView.setVisibility(0);
        TextView textView2 = (TextView) findViewById(R.id.vector_sum_port);
        this.mTextVectorSum = textView2;
        textView2.setVisibility(0);
        this.mlinear[0] = (LinearLayout) findViewById(R.id.layout_port);
        this.mlinear[1] = (LinearLayout) findViewById(R.id.layout_land_right);
        this.mlinear[2] = (LinearLayout) findViewById(R.id.layout_land_left);
        this.mImageMainCam[0] = (ImageView) findViewById(R.id.main_cam_port);
        this.mImageSubCam[0] = (ImageView) findViewById(R.id.sub_cam_port);
        this.mImageMainCam[1] = (ImageView) findViewById(R.id.main_cam_land_right);
        this.mImageSubCam[1] = (ImageView) findViewById(R.id.sub_cam_land_right);
        this.mImageMainCam[2] = (ImageView) findViewById(R.id.main_cam_land_left);
        this.mImageSubCam[2] = (ImageView) findViewById(R.id.sub_cam_land_left);
        this.mStatus = 1;
        this.mModuleSensor = ModuleSensor.instance(this);
        ModulePower.instance(this).setTouchLed(true);
        mOrientationType = Support.Feature.getString(Support.Feature.TABLET_DEFAULT_ORIENTATION);
        typeDevice = Support.Feature.getString(Support.Feature.DEVICE_TYPE);
        this.use_internal_image = getIntent().getBooleanExtra("use_internal_image", false);
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "initialize", "use_internal_image:" + this.use_internal_image);
        if (!this.use_internal_image) {
            Thread thread = new Thread(new Runnable() {
                /* class com.sec.factory.app.ui.UIOrientation.AnonymousClass2 */

                public void run() {
                    FtUtil.log_d(UIOrientation.this.CLASS_NAME, "Thread Run", "Start");
                    UIOrientation.this.getImage();
                    if (!UIOrientation.this.mGetImageThread.isInterrupted()) {
                        UIOrientation.this.mHandler.sendEmptyMessage(98);
                    }
                    FtUtil.log_d(UIOrientation.this.CLASS_NAME, "Thread Run", "End");
                }
            });
            this.mGetImageThread = thread;
            thread.setPriority(10);
            this.mGetImageThread.start();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void getImage() {
        if (this.mGetImageType == 1) {
            String string = Support.Feature.getString(Support.Feature.DEVICE_TYPE);
            typeDevice = string;
            if (string == null) {
                typeDevice = ModuleTouchScreen.TSP_DEVICE_TYPE__PHONE;
            }
            String stringExtra = getIntent().getStringExtra(INTENT_EXTRA_NAME_MAINCAM_FILEPATH);
            this.mFilePathMainCam = stringExtra;
            if (stringExtra != null && new File(this.mFilePathMainCam).exists()) {
                int sampleSize = Integer.parseInt(Support.TestCase.getString(Support.TestCase.SIMPLE_TEST_MEGACAM_SCALE_VALUE));
                BitmapFactory.Options options = new BitmapFactory.Options();
                options.inSampleSize = sampleSize;
                Bitmap bitmap = BitmapFactory.decodeFile(this.mFilePathMainCam, options);
                Matrix matrix = new Matrix();
                matrix.postRotate(90.0f);
                if (bitmap != null) {
                    this.mCameraBitmap[0] = Bitmap.createBitmap(bitmap, 0, 0, bitmap.getWidth(), bitmap.getHeight(), matrix, true);
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "getImage", "Image decoding fail (MegaCam)");
                    this.mCameraBitmap[0] = null;
                    this.mHandler.sendEmptyMessage(97);
                }
            }
            String stringExtra2 = getIntent().getStringExtra(INTENT_EXTRA_NAME_SUBCAM_FILEPATH);
            this.mFilePathSubCam = stringExtra2;
            if (stringExtra2 != null && new File(this.mFilePathSubCam).exists()) {
                int sampleSize2 = Integer.parseInt(Support.TestCase.getString(Support.TestCase.SIMPLE_TEST_SUBCAM_SCALE_VALUE));
                BitmapFactory.Options options2 = new BitmapFactory.Options();
                options2.inSampleSize = sampleSize2;
                Bitmap bitmap2 = BitmapFactory.decodeFile(this.mFilePathSubCam, options2);
                Matrix matrix2 = new Matrix();
                matrix2.postRotate(270.0f);
                matrix2.postScale(-1.0f, 1.0f);
                if (bitmap2 != null) {
                    this.mCameraBitmap[1] = Bitmap.createBitmap(bitmap2, 0, 0, bitmap2.getWidth(), bitmap2.getHeight(), matrix2, true);
                    return;
                }
                FtUtil.log_d(this.CLASS_NAME, "getImage", "Image decoding fail (SubCam)");
                this.mCameraBitmap[1] = null;
                this.mHandler.sendEmptyMessage(97);
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void displayImage() {
        if (this.use_internal_image) {
            this.mImageMainCam[0].setImageResource(R.drawable.orien_sensor_test_img1);
            this.mImageMainCam[1].setImageResource(R.drawable.orien_sensor_test_img1);
            this.mImageMainCam[2].setImageResource(R.drawable.orien_sensor_test_img1);
            this.mImageSubCam[0].setImageResource(R.drawable.orien_sensor_test_img2);
            this.mImageSubCam[1].setImageResource(R.drawable.orien_sensor_test_img2);
            this.mImageSubCam[2].setImageResource(R.drawable.orien_sensor_test_img2);
            return;
        }
        if (this.mCameraBitmap[0] == null) {
            this.mImageMainCam[0].setBackgroundColor(-16711936);
            this.mImageMainCam[1].setBackgroundColor(-16711936);
            this.mImageMainCam[2].setBackgroundColor(-16711936);
        } else if (!ModuleTouchScreen.TSP_DEVICE_TYPE__TABLET.equals(typeDevice) || "portrait".equals(mOrientationType)) {
            this.mImageMainCam[0].setImageBitmap(this.mCameraBitmap[0]);
            this.mImageMainCam[1].setImageBitmap(this.mCameraBitmap[0]);
            this.mImageMainCam[2].setImageBitmap(this.mCameraBitmap[0]);
        } else {
            this.mImageMainCam[0].setBackgroundDrawable(new BitmapDrawable(this.mCameraBitmap[0]));
            this.mImageMainCam[1].setBackgroundDrawable(new BitmapDrawable(this.mCameraBitmap[0]));
            this.mImageMainCam[2].setBackgroundDrawable(new BitmapDrawable(this.mCameraBitmap[0]));
        }
        if (this.mCameraBitmap[1] != null) {
            if (!ModuleTouchScreen.TSP_DEVICE_TYPE__TABLET.equals(typeDevice) || "portrait".equals(mOrientationType)) {
                this.mImageSubCam[0].setImageBitmap(this.mCameraBitmap[1]);
                this.mImageSubCam[1].setImageBitmap(this.mCameraBitmap[1]);
                this.mImageSubCam[2].setImageBitmap(this.mCameraBitmap[1]);
            } else {
                this.mImageSubCam[0].setBackgroundDrawable(new BitmapDrawable(this.mCameraBitmap[1]));
                this.mImageSubCam[1].setBackgroundDrawable(new BitmapDrawable(this.mCameraBitmap[1]));
                this.mImageSubCam[2].setBackgroundDrawable(new BitmapDrawable(this.mCameraBitmap[1]));
            }
            if (!Support.Feature.getBoolean(Support.Feature.SUPPORT_FRONT_CAMERA)) {
                this.mImageSubCam[0].setVisibility(8);
                this.mImageSubCam[1].setVisibility(8);
                this.mImageSubCam[2].setVisibility(8);
                return;
            }
            return;
        }
        this.mImageSubCam[0].setBackgroundColor(UiHallICTest.FONT_COLOR_PASS);
        this.mImageSubCam[1].setBackgroundColor(UiHallICTest.FONT_COLOR_PASS);
        this.mImageSubCam[2].setBackgroundColor(UiHallICTest.FONT_COLOR_PASS);
        if (!Support.Feature.getBoolean(Support.Feature.SUPPORT_FRONT_CAMERA)) {
            this.mImageSubCam[0].setVisibility(8);
            this.mImageSubCam[1].setVisibility(8);
            this.mImageSubCam[2].setVisibility(8);
        }
    }

    private int CheckNewAngleZ(int AngleY, int AngleZ) {
        int NewAngleZ;
        if (AngleY >= 0) {
            NewAngleZ = AngleZ + 90;
        } else {
            NewAngleZ = 270 - AngleZ;
        }
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "dw", "Angle: " + AngleZ + "-> NewAngleZ:" + NewAngleZ);
        return NewAngleZ;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean startZTest30degree(String[] coordinates) {
        int NewAngleCurrZ;
        int DeltaZ;
        this.mAngleCurrX = Integer.valueOf(coordinates[5]).intValue();
        this.mAngleCurrY = Integer.valueOf(coordinates[6]).intValue();
        this.mAngleCurrZ = Integer.valueOf(coordinates[7]).intValue();
        this.magnitude = Float.valueOf(coordinates[8]).floatValue();
        float floatValue = Float.valueOf(coordinates[9]).floatValue();
        this.deviation = floatValue;
        if (this.magnitude < 1.5f || floatValue > 1.5f) {
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "startZTest30degree", "return => magnitude :" + this.magnitude + ", deviation :" + this.deviation);
            return false;
        }
        if (!ModuleTouchScreen.TSP_DEVICE_TYPE__TABLET.equals(typeDevice) || "portrait".equals(mOrientationType)) {
            NewAngleCurrZ = CheckNewAngleZ(this.mAngleCurrY, this.mAngleCurrZ);
        } else {
            NewAngleCurrZ = CheckNewAngleZ(this.mAngleCurrX * -1, this.mAngleCurrZ);
        }
        int DeltaZ2 = this.ANGLE_BASE_Z_NEW;
        if (DeltaZ2 < 0 || DeltaZ2 >= 30) {
            if (DeltaZ2 < 330 || DeltaZ2 >= 360) {
                DeltaZ = DeltaZ2 - NewAngleCurrZ;
            } else if (NewAngleCurrZ - 90 < 0) {
                DeltaZ = (DeltaZ2 - 90) - ((NewAngleCurrZ - 90) + FactoryTestManager.TEST_UDC_CAPTURE);
            } else {
                DeltaZ = (DeltaZ2 - 90) - (NewAngleCurrZ - 90);
            }
        } else if (NewAngleCurrZ + 90 > 360) {
            DeltaZ = (DeltaZ2 + 90) - ((NewAngleCurrZ + 90) - FactoryTestManager.TEST_UDC_CAPTURE);
        } else {
            DeltaZ = (DeltaZ2 + 90) - (NewAngleCurrZ + 90);
        }
        String str2 = this.CLASS_NAME;
        FtUtil.log_d(str2, "dw", "NewAngleCurrZ :" + NewAngleCurrZ);
        String str3 = this.CLASS_NAME;
        FtUtil.log_d(str3, "dw", "DeltaZ :" + DeltaZ);
        if (Math.abs((float) DeltaZ) > 30.0f) {
            return true;
        }
        return false;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean startXYTest60degree(String[] coordinates, int flag) {
        boolean isPass = false;
        this.mAngleCurrZ = Integer.valueOf(coordinates[7]).intValue();
        this.magnitude = Float.valueOf(coordinates[8]).floatValue();
        this.deviation = Float.valueOf(coordinates[9]).floatValue();
        this.mAngleCurrXY = Integer.valueOf(coordinates[10]).intValue();
        if (this.magnitude < 1.5f || this.deviation > 1.5f) {
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "startXYTest60degree", "return => magnitude :" + this.magnitude + ", deviation :" + this.deviation);
            return false;
        }
        float abs = Math.abs((float) this.mAngleCurrZ);
        this.mTilt = abs;
        if (abs > 30.0f) {
            String str2 = this.CLASS_NAME;
            FtUtil.log_d(str2, "startXYTest60degree", "return => mTilt :" + this.mTilt);
            return false;
        }
        if (ModuleTouchScreen.TSP_DEVICE_TYPE__TABLET.equals(typeDevice) && !"portrait".equals(mOrientationType)) {
            String str3 = this.CLASS_NAME;
            FtUtil.log_i(str3, "startXYTest60degree", "typeDevice : " + typeDevice + ", orientationType : " + mOrientationType);
            this.mAngleCurrXY = this.mAngleCurrXY + -90;
        }
        int i = this.mAngleCurrXY;
        if (i < 0) {
            this.mAngleCurrXY = i + FactoryTestManager.TEST_UDC_CAPTURE;
        }
        String str4 = this.CLASS_NAME;
        FtUtil.log_i(str4, "startXYTest60degree", "mAngleCurrXY :" + this.mAngleCurrXY);
        if (flag == 0) {
            int i2 = this.mAngleCurrXY;
            if (i2 > 60 && i2 < 100) {
                this.mOrientationStatus = 1;
                isPass = true;
            } else if (i2 <= 260 || i2 >= 300) {
                this.mOrientationStatus = 0;
                isPass = false;
            } else {
                this.mOrientationStatus = 2;
                isPass = true;
            }
        }
        if (flag != 1) {
            return isPass;
        }
        int i3 = this.mAngleCurrXY;
        if (i3 >= 0 && i3 < 30) {
            FtUtil.log_i(this.CLASS_NAME, "startXYTest60degree", "FLAG_TEST_XY2 : PORTRAIT MODE");
            this.mOrientationStatus = 0;
            return true;
        } else if (i3 <= 330 || i3 >= 360) {
            return false;
        } else {
            FtUtil.log_i(this.CLASS_NAME, "startXYTest60degree", "FLAG_TEST_XY2 : PORTRAIT MODE");
            this.mOrientationStatus = 0;
            return true;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private double getVectorSumToG(String mCoordinates_x, String mCoordinates_y, String mCoordinates_z) {
        int x = Integer.parseInt(mCoordinates_x);
        int y = Integer.parseInt(mCoordinates_y);
        int z = Integer.parseInt(mCoordinates_z);
        return Math.sqrt((double) (((x * x) + (y * y)) + (z * z))) / ((double) this.mAccelerometer1GValue);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean checkVectorSpec() {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "checkVectorSpec", "spec : " + this.g_min + "~" + this.g_max + " , value : " + this.gValue);
        double d = this.gValue;
        if (d < this.g_min || d > this.g_max) {
            return false;
        }
        return true;
    }

    private void initializePopup() {
        View inflate = View.inflate(this, R.layout.ui_orientation_popup, null);
        this.mPopupview = inflate;
        this.mTextMessage1 = (TextView) inflate.findViewById(R.id.message1);
        this.mTextMessage2 = (TextView) this.mPopupview.findViewById(R.id.message2);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void popupShow(int type) {
        this.mScreenHeight = getWindowManager().getDefaultDisplay().getHeight();
        int width = getWindowManager().getDefaultDisplay().getWidth();
        this.mScreenWidth = width;
        if (this.mScreenHeight < width) {
            int swap = this.mScreenHeight;
            this.mScreenHeight = width;
            this.mScreenWidth = swap;
        }
        PopupWindow popupWindow = this.mPopup;
        if (popupWindow != null) {
            popupWindow.dismiss();
        }
        if (type == this.MESSAGE_TYPE_1) {
            this.mTextMessage1.setText("Tilt toward body\nMore than 30 degrees");
            this.mTextMessage1.setTextColor(-16777216);
            this.mTextMessage1.setTextSize(1, (float) 15);
            this.mTextMessage2.setVisibility(8);
        } else if (type == this.MESSAGE_TYPE_2) {
            this.mTextMessage1.setText("PASS!");
            this.mTextMessage1.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            this.mTextMessage1.setTextSize(1, (float) 30);
            this.mTextMessage2.setVisibility(0);
            this.mTextMessage2.setText("Turn left or right\nMore than 60 degrees");
            this.mTextMessage2.setTextSize(1, (float) 15);
        } else if (type == this.MESSAGE_TYPE_0) {
            this.mTextMessage1.setText("Loading images...");
            this.mTextMessage1.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            this.mTextMessage1.setTextSize(1, (float) 15);
            this.mTextMessage2.setVisibility(8);
        } else if (type == this.MESSAGE_TYPE_3) {
            this.mTextMessage1.setText("Turn left or right\nMore than 60 degrees");
            this.mTextMessage1.setTextColor(-16777216);
            this.mTextMessage1.setTextSize(1, (float) 15);
            this.mTextMessage2.setVisibility(8);
        }
        PopupWindow popupWindow2 = new PopupWindow(this.mPopupview, this.mScreenWidth / 2, this.mScreenHeight / 5, false);
        this.mPopup = popupWindow2;
        popupWindow2.showAtLocation(this.mlinear[this.mOrientationStatus], 17, 0, 0);
        FtUtil.log_d(this.CLASS_NAME, "popupShow", "done");
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setResumeOrientation() {
        setRequestedOrientation(1);
        this.mlinear[0].setVisibility(0);
        this.mlinear[1].setVisibility(8);
        this.mlinear[2].setVisibility(8);
    }
}
