package com.sec.factory.app.ui;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.os.UserHandle;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.support.FtUtil;

public class UIPalmTouch extends UIBase implements View.OnClickListener {
    private static final String PALM_MOTIN_SWEEP_FULL_SCREEN = "com.samsung.android.motion.SWEEP_FULL_SCREEN";
    private static final String PALM_MOTIN_SWEEP_LEFT = "com.samsung.android.motion.SWEEP_LEFT";
    private static final String PALM_MOTIN_SWEEP_RIGHT = "com.samsung.android.motion.SWEEP_RIGHT";
    private static final String PERMISSION_PALM_MOTIN = "com.samsung.permission.PALM_MOTION";
    private final String CLASS_NAME = "UIPalmTouch";
    private final byte MSG_TEST_FINISH = 2;
    private final byte MSG_TEST_PASS = 1;
    private Button buttonExit;
    private Button buttonFail;
    private BroadcastReceiver mBroadcastReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.app.ui.UIPalmTouch.AnonymousClass3 */

        public synchronized void onReceive(Context context, Intent intent) {
            try {
                if ("com.android.samsungtest.PALM_TOUCH_STOP".equals(intent.getAction())) {
                    FtUtil.log_i("UIPalmTouch", "onReceive", "com.android.samsungtest.PALM_TOUCH_STOP");
                    UIPalmTouch.this.finish();
                }
            } catch (Exception e) {
                FtUtil.log_i("UIPalmTouch", "mBroadcastReceiver.onReceive", "Exception : " + e);
            }
        }
    };
    public Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UIPalmTouch.AnonymousClass1 */

        public void handleMessage(Message msg) {
            FtUtil.log_d("UIPalmTouch", "handleMessage");
            switch (msg.what) {
                case 1:
                    FtUtil.log_d("UIPalmTouch", "MSG_TEST_PASS");
                    UIPalmTouch.this.setTestResult((byte) 80);
                    UIPalmTouch.this.mTextViewResult.setText("PASS");
                    UIPalmTouch.this.mTextViewResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                    UIPalmTouch.this.mHandler.sendEmptyMessageDelayed(2, 1000);
                    return;
                case 2:
                    FtUtil.log_d("UIPalmTouch", "MSG_TEST_FINISH");
                    UIPalmTouch.this.finish();
                    return;
                default:
                    return;
            }
        }
    };
    private final BroadcastReceiver mReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.app.ui.UIPalmTouch.AnonymousClass2 */

        public void onReceive(Context context, Intent intent) {
            String action = intent.getAction();
            FtUtil.log_d("UIPalmTouch", "onReceive:" + action);
            if (UIPalmTouch.PALM_MOTIN_SWEEP_LEFT.equals(action) || UIPalmTouch.PALM_MOTIN_SWEEP_RIGHT.equals(action) || UIPalmTouch.PALM_MOTIN_SWEEP_FULL_SCREEN.equals(action)) {
                UIPalmTouch.this.mHandler.sendEmptyMessageDelayed(1, 1000);
            }
        }
    };
    private TextView mTextViewResult;

    public UIPalmTouch() {
        super("UIPalmTouch");
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        this.TEST_ID = getIntent().getIntExtra("testid", -1);
        FtUtil.log_d("UIPalmTouch", "onCreate", "TEST_ID: " + this.TEST_ID);
        setContentView(R.layout.ui_palm_touch);
        IntentFilter filter = new IntentFilter();
        filter.addAction(PALM_MOTIN_SWEEP_LEFT);
        filter.addAction(PALM_MOTIN_SWEEP_RIGHT);
        filter.addAction(PALM_MOTIN_SWEEP_FULL_SCREEN);
        registerReceiverAsUser(this.mReceiver, UserHandle.ALL, filter, PERMISSION_PALM_MOTIN, null);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        TextView textView = (TextView) findViewById(R.id.result);
        this.mTextViewResult = textView;
        textView.setText("TEST");
        this.buttonFail = (Button) findViewById(R.id.fail);
        this.buttonExit = (Button) findViewById(R.id.exit);
        this.buttonFail.setOnClickListener(this);
        this.buttonExit.setOnClickListener(this);
        IntentFilter mIntentFilter = new IntentFilter();
        mIntentFilter.addAction("com.android.samsungtest.PALM_TOUCH_STOP");
        registerReceiver(this.mBroadcastReceiver, mIntentFilter);
        super.onResume();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
        unregisterReceiver(this.mReceiver);
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.exit:
                this.mHandler.sendEmptyMessageDelayed(2, 0);
                return;
            case R.id.fail:
                this.mTextViewResult.setText("FAIL");
                this.mTextViewResult.setTextColor(-65536);
                this.mHandler.sendEmptyMessageDelayed(2, 1000);
                return;
            default:
                return;
        }
    }
}
