package com.sec.factory.app.ui;

import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.View;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class UIPogoPinTest extends UIBase implements View.OnTouchListener, View.OnClickListener {
    private static final int CONNECT_CHECK;
    private static final int DISCONNECT_CHECK;
    private static final int DISCONNECT_FAIL;
    private static final int DISCONNECT_PASS;
    private static int DUMMY;
    private static final int FAIL_TOUCH;
    private static final int GPIO_READ_FAIL;
    private static final int GPIO_READ_PASS = 0;
    private static final int INIT = 0;
    private static final int KEY_TEST_FAIL;
    private static final int KEY_TEST_PASS;
    private final String GPIO_HIGH = EgisFingerprint.MAJOR_VERSION;
    private final String GPIO_LOW = "0";
    private final int TIME_OUT = 10000;
    private LinearLayout mBgLayout;
    private Button mExitButton;
    private String mGpioResult;
    public Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UIPogoPinTest.AnonymousClass1 */

        public void handleMessage(Message msg) {
            if (msg.what == UIPogoPinTest.FAIL_TOUCH) {
                FtUtil.log_d(UIPogoPinTest.this.CLASS_NAME, "mHandler.handleMessage", "FAIL_TOUCH");
                UIPogoPinTest.this.setTestResultFailCase(158);
                UIPogoPinTest.this.finish();
            } else if (msg.what == UIPogoPinTest.GPIO_READ_PASS) {
                FtUtil.log_d(UIPogoPinTest.this.CLASS_NAME, "mHandler.handleMessage", "GPIO_READ_PASS");
                UIPogoPinTest.this.mTextViewConnectResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                UIPogoPinTest.this.mTextViewConnectResult.setText(" PASS");
                UIPogoPinTest.this.mTestState = UIPogoPinTest.GPIO_READ_PASS;
                UIPogoPinTest.this.mHandler.sendEmptyMessageDelayed(UIPogoPinTest.KEY_TEST_FAIL, 10000);
            } else if (msg.what == UIPogoPinTest.GPIO_READ_FAIL) {
                FtUtil.log_d(UIPogoPinTest.this.CLASS_NAME, "mHandler.handleMessage", "GPIO_READ_FAIL");
                UIPogoPinTest.this.mTextViewConnectResult.setTextColor(-65536);
                UIPogoPinTest.this.mTextViewConnectResult.setText(" FAIL");
                UIPogoPinTest.this.mTestState = UIPogoPinTest.GPIO_READ_FAIL;
            } else if (msg.what == UIPogoPinTest.KEY_TEST_PASS) {
                FtUtil.log_d(UIPogoPinTest.this.CLASS_NAME, "mHandler.handleMessage", "KEY_TEST_PASS");
                UIPogoPinTest.this.mTextViewKeyPressResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                UIPogoPinTest.this.mTextViewKeyPressResult.setText(" PASS");
                UIPogoPinTest.this.mTestState = UIPogoPinTest.KEY_TEST_PASS;
                UIPogoPinTest.this.mTestCount = 0;
                UIPogoPinTest.this.mHandler.sendEmptyMessage(UIPogoPinTest.DISCONNECT_CHECK);
            } else if (msg.what == UIPogoPinTest.KEY_TEST_FAIL) {
                if (UIPogoPinTest.this.mTestState == UIPogoPinTest.GPIO_READ_PASS) {
                    FtUtil.log_d(UIPogoPinTest.this.CLASS_NAME, "mHandler.handleMessage", "KEY_TEST_FAIL");
                    UIPogoPinTest.this.mTextViewKeyPressResult.setTextColor(-65536);
                    UIPogoPinTest.this.mTextViewKeyPressResult.setText(" FAIL");
                    UIPogoPinTest.this.mTestState = UIPogoPinTest.KEY_TEST_FAIL;
                }
            } else if (msg.what == UIPogoPinTest.DISCONNECT_PASS) {
                FtUtil.log_d(UIPogoPinTest.this.CLASS_NAME, "mHandler.handleMessage", "DISCONNECT_PASS");
                UIPogoPinTest.this.mTextViewDisconnectResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                UIPogoPinTest.this.mTextViewDisconnectResult.setText(" PASS");
                UIPogoPinTest.this.setTestResult((byte) 80);
                UIPogoPinTest.this.finish();
            } else if (msg.what == UIPogoPinTest.DISCONNECT_FAIL) {
                FtUtil.log_d(UIPogoPinTest.this.CLASS_NAME, "mHandler.handleMessage", "DISCONNECT_FAIL");
                UIPogoPinTest.this.mTextViewDisconnectResult.setTextColor(-65536);
                UIPogoPinTest.this.mTextViewDisconnectResult.setText(" FAIL");
                UIPogoPinTest.this.mTestState = UIPogoPinTest.DISCONNECT_FAIL;
            } else if (msg.what == UIPogoPinTest.CONNECT_CHECK) {
                FtUtil.log_d(UIPogoPinTest.this.CLASS_NAME, "mHandler.handleMessage", "CONNECT_CHECK");
                UIPogoPinTest.this.startGpioRead();
            } else if (msg.what == UIPogoPinTest.DISCONNECT_CHECK) {
                FtUtil.log_d(UIPogoPinTest.this.CLASS_NAME, "mHandler.handleMessage", "DISCONNECT_CHECK");
                UIPogoPinTest.this.disconnectTest();
            }
        }
    };
    private boolean mIsTouchDown = false;
    private String mScreenOrientation = null;
    private int mTestCount;
    private int mTestState;
    private TextView mTextViewConnectResult;
    private TextView mTextViewDisconnectResult;
    private TextView mTextViewGpioResult;
    private TextView mTextViewKeyPress;
    private TextView mTextViewKeyPressResult;

    static {
        DUMMY = 0;
        int i = 0 + 1;
        DUMMY = i;
        int i2 = i + 1;
        DUMMY = i2;
        GPIO_READ_FAIL = i;
        int i3 = i2 + 1;
        DUMMY = i3;
        KEY_TEST_PASS = i2;
        int i4 = i3 + 1;
        DUMMY = i4;
        KEY_TEST_FAIL = i3;
        int i5 = i4 + 1;
        DUMMY = i5;
        DISCONNECT_PASS = i4;
        int i6 = i5 + 1;
        DUMMY = i6;
        DISCONNECT_FAIL = i5;
        int i7 = i6 + 1;
        DUMMY = i7;
        FAIL_TOUCH = i6;
        int i8 = i7 + 1;
        DUMMY = i8;
        CONNECT_CHECK = i7;
        DUMMY = i8 + 1;
        DISCONNECT_CHECK = i8;
    }

    public UIPogoPinTest() {
        super("UIPogoPinTest", 158);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_pogo_pin);
        FtUtil.setRemoveSystemUI(getWindow(), true);
        String orientation = Support.FactoryTestMenu.getOrientation(FactoryTestManager.convertorID_XML(158));
        this.mScreenOrientation = orientation;
        if (orientation == null) {
            return;
        }
        if ("portrait".equalsIgnoreCase(orientation)) {
            setRequestedOrientation(1);
        } else if ("landscape".equalsIgnoreCase(this.mScreenOrientation)) {
            setRequestedOrientation(0);
        } else if ("reversePortrait".equalsIgnoreCase(this.mScreenOrientation)) {
            setRequestedOrientation(9);
        } else if ("reverseLandscape".equalsIgnoreCase(this.mScreenOrientation)) {
            setRequestedOrientation(8);
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        initialize();
        this.mHandler.sendEmptyMessage(CONNECT_CHECK);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        this.mHandler.removeMessages(INIT);
        this.mHandler.removeMessages(GPIO_READ_PASS);
        this.mHandler.removeMessages(GPIO_READ_FAIL);
        this.mHandler.removeMessages(KEY_TEST_PASS);
        this.mHandler.removeMessages(KEY_TEST_FAIL);
        this.mHandler.removeMessages(DISCONNECT_PASS);
        this.mHandler.removeMessages(DISCONNECT_FAIL);
        this.mHandler.removeMessages(CONNECT_CHECK);
        this.mHandler.removeMessages(DISCONNECT_CHECK);
        this.mHandler.removeMessages(FAIL_TOUCH);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
    }

    private void initialize() {
        this.mBgLayout = (LinearLayout) findViewById(R.id.bgLayout);
        this.mTextViewGpioResult = (TextView) findViewById(R.id.gpio_result);
        this.mTextViewKeyPress = (TextView) findViewById(R.id.keypress);
        this.mTextViewConnectResult = (TextView) findViewById(R.id.connect_result);
        this.mTextViewKeyPressResult = (TextView) findViewById(R.id.keypress_result);
        this.mTextViewDisconnectResult = (TextView) findViewById(R.id.disconnect_result);
        this.mExitButton = (Button) findViewById(R.id.exit);
        this.mIsTouchDown = false;
        this.mTestCount = 0;
        this.mBgLayout.setOnTouchListener(this);
        this.mExitButton.setOnClickListener(this);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void startGpioRead() {
        if (this.mTestCount > 20) {
            this.mTestCount = 0;
            this.mHandler.sendEmptyMessage(GPIO_READ_FAIL);
            return;
        }
        String read = Support.Kernel.read(Support.Kernel.KEYBOARD_CONNECTED);
        this.mGpioResult = read;
        if (read != null) {
            this.mTextViewGpioResult.setText(" " + this.mGpioResult);
            if (EgisFingerprint.MAJOR_VERSION.equals(this.mGpioResult)) {
                this.mHandler.sendEmptyMessage(GPIO_READ_PASS);
            } else {
                this.mHandler.sendEmptyMessageDelayed(CONNECT_CHECK, 500);
            }
        } else {
            this.mTextViewGpioResult.setText(" NULL");
            this.mHandler.sendEmptyMessage(GPIO_READ_FAIL);
        }
        this.mTestCount++;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void disconnectTest() {
        if (this.mTestCount > 20) {
            this.mTestCount = 0;
            this.mHandler.sendEmptyMessage(DISCONNECT_FAIL);
            return;
        }
        String read = Support.Kernel.read(Support.Kernel.KEYBOARD_CONNECTED);
        this.mGpioResult = read;
        if (read != null) {
            this.mTextViewGpioResult.setText(" " + this.mGpioResult);
            if ("0".equals(this.mGpioResult)) {
                this.mHandler.sendEmptyMessage(DISCONNECT_PASS);
            } else {
                this.mHandler.sendEmptyMessageDelayed(DISCONNECT_CHECK, 500);
            }
        } else {
            this.mTextViewGpioResult.setText(" NULL");
            this.mHandler.sendEmptyMessage(DISCONNECT_FAIL);
        }
        this.mTestCount++;
    }

    @Override // com.sec.factory.app.ui.UIBase
    public boolean onKeyDown(int keyCode, KeyEvent event) {
        switch (keyCode) {
            case 66:
            case 160:
                String str = this.CLASS_NAME;
                FtUtil.log_d(str, "Key code " + keyCode);
                if (this.mTestState == GPIO_READ_PASS) {
                    this.mHandler.sendEmptyMessage(KEY_TEST_PASS);
                    break;
                }
                break;
        }
        return super.onKeyDown(keyCode, event);
    }

    public boolean onTouch(View view, MotionEvent event) {
        switch (event.getAction()) {
            case 0:
                String str = this.CLASS_NAME;
                FtUtil.log_i(str, "onTouch", "Touch down / mTestState - " + this.mTestState);
                int i = this.mTestState;
                if (i != GPIO_READ_FAIL && i != KEY_TEST_FAIL && i != DISCONNECT_FAIL) {
                    return true;
                }
                this.mHandler.sendEmptyMessage(FAIL_TOUCH);
                return true;
            default:
                return true;
        }
    }

    public void onClick(View view) {
        switch (view.getId()) {
            case R.id.exit:
                FtUtil.log_d(this.CLASS_NAME, "onClick", "click exit button");
                finish();
                return;
            default:
                return;
        }
    }
}
