package com.sec.factory.app.ui;

import android.content.Intent;
import android.os.Bundle;
import com.sec.factory.support.FtUtil;

public class UIProximityHoverEntry extends UIBase {
    private final int FINISH_PROXIMITY_HOVER_SELFTEST = 1001;
    private final int FINISH_PROXIMITY_HOVER_TEST = 1002;
    private final int REQUEST_PROXIMITY_HOVER_SELFTEST = 1001;
    private final int REQUEST_PROXIMITY_HOVER_TEST = 1002;
    private boolean mSkipSelftest = false;
    private int mTestID = 0;

    public UIProximityHoverEntry() {
        super("UIProximityHoverEntry");
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        this.mSkipSelftest = getIntent().getBooleanExtra("skipSelftest", false);
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "onCreate", "mSkipSelftest : " + this.mSkipSelftest);
        if (this.mSkipSelftest) {
            Intent i = new Intent(this, UIProximityHoverTest.class);
            i.putExtra("ATCMD", true);
            startActivityForResult(i, 1002);
            return;
        }
        startActivityForResult(new Intent(this, UIProximityHoverSelftest.class), 1001);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
    }

    /* access modifiers changed from: protected */
    public void onActivityResult(int requestCode, int resultCode, Intent data) {
        super.onActivityResult(requestCode, resultCode, data);
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "onActivityResult", "requestCode : " + requestCode);
        switch (requestCode) {
            case 1001:
                if (resultCode == -1) {
                    setResult(-1);
                    setTestResult(this.TEST_ID, (byte) 80);
                } else {
                    setTestResultFailCase(198);
                }
                finish();
                return;
            case 1002:
                if (resultCode == -1) {
                    setResult(-1);
                    setTestResult(this.TEST_ID, (byte) 80);
                } else {
                    setTestResultFailCase(198);
                }
                finish();
                return;
            default:
                return;
        }
    }
}
