package com.sec.factory.app.ui;

import android.content.Context;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.FileReader;

public class UIProximityHoverSelftest extends UIBase {
    public final int WHAT_CHECK_SPEC = 1003;
    public final int WHAT_READ_HOVER_DATA = 1002;
    public final int WHAT_READ_SPEC_DATA = 1001;
    public final int WHAT_TEST_FINISH = 1005;
    public final int WHAT_TEST_START = 1000;
    public final int WHAT_UPDATE_UI = 1004;
    public Context mContext;
    public Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UIProximityHoverSelftest.AnonymousClass1 */

        public void handleMessage(Message msg) {
            if (msg.what == 1000) {
                FtUtil.log_d(UIProximityHoverSelftest.this.CLASS_NAME, "mHandler.handleMessage", "WHAT_TEST_START");
                UIProximityHoverSelftest.this.enableEarDetect();
                UIProximityHoverSelftest.this.mHandler.sendEmptyMessageDelayed(1001, 500);
            } else if (msg.what == 1001) {
                FtUtil.log_d(UIProximityHoverSelftest.this.CLASS_NAME, "mHandler.handleMessage", "WHAT_READ_HOVER_DATA");
                UIProximityHoverSelftest.this.readFileSpecData();
                UIProximityHoverSelftest.this.mHandler.sendEmptyMessageDelayed(1002, 10);
            } else if (msg.what == 1002) {
                FtUtil.log_d(UIProximityHoverSelftest.this.CLASS_NAME, "mHandler.handleMessage", "WHAT_READ_HOVER_DATA");
                UIProximityHoverSelftest.this.readHoverData();
                UIProximityHoverSelftest.this.mHandler.sendEmptyMessageDelayed(1003, 10);
            } else if (msg.what == 1003) {
                FtUtil.log_d(UIProximityHoverSelftest.this.CLASS_NAME, "mHandler.handleMessage", "WHAT_READ_SPEC_DATA");
                UIProximityHoverSelftest.this.checkSpec();
                UIProximityHoverSelftest.this.mHandler.sendEmptyMessageDelayed(1004, 10);
            } else if (msg.what == 1004) {
                FtUtil.log_d(UIProximityHoverSelftest.this.CLASS_NAME, "mHandler.handleMessage", "WHAT_UPDATE_UI");
                UIProximityHoverSelftest.this.updateUI();
                UIProximityHoverSelftest.this.mHandler.sendEmptyMessageDelayed(1005, 1000);
            } else if (msg.what == 1005) {
                FtUtil.log_d(UIProximityHoverSelftest.this.CLASS_NAME, "mHandler.handleMessage", "WHAT_TEST_FINISH");
                UIProximityHoverSelftest.this.testFinish();
            }
        }
    };
    private boolean mIsDataCheckXY = false;
    private boolean mProxHoverService = false;
    private int mRawDataX;
    private int mRawDataY;
    private boolean mResult = true;
    private int mSpecMaxX;
    private int mSpecMaxY;
    private int mSpecMinX;
    private int mSpecMinY;
    private TextView txt_prox_hover_selftest_result;
    private TextView txt_raw_data_x;
    private TextView txt_raw_data_y;
    private TextView txt_raw_spec_x;
    private TextView txt_raw_spec_y;

    public UIProximityHoverSelftest() {
        super("UIProximityHoverSelftest");
    }

    public UIProximityHoverSelftest(String type, Context cont) {
        super("UIProximityHoverSelftest");
        if ("ATCMD".equals(type)) {
            this.mContext = cont;
            this.mProxHoverService = true;
            setAtCmd(true);
        }
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "UIProximityHoverSelftest", "mProxHoverService = " + this.mProxHoverService);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        FtUtil.log_d(this.CLASS_NAME, "onCreate", "");
        setContentView(R.layout.ui_proximity_hover_selftest);
        initUI();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        FtUtil.log_d(this.CLASS_NAME, "onResume", "");
        super.onResume();
        this.mHandler.sendEmptyMessageDelayed(1000, 10);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void enableEarDetect() {
        FtUtil.log_d(this.CLASS_NAME, "enableEarDetect", "");
        Support.Kernel.write(Support.Kernel.TSP_COMMAND_CMD, "ear_detect_enable,1");
    }

    private void initUI() {
        FtUtil.log_d(this.CLASS_NAME, "initUI", "");
        this.txt_raw_data_x = (TextView) findViewById(R.id.raw_data_x);
        this.txt_raw_spec_x = (TextView) findViewById(R.id.raw_spec_x);
        this.txt_raw_data_y = (TextView) findViewById(R.id.raw_data_y);
        this.txt_raw_spec_y = (TextView) findViewById(R.id.raw_spec_y);
        this.txt_prox_hover_selftest_result = (TextView) findViewById(R.id.proximity_hover_selftest_result);
    }

    public boolean checkCombineSpec() {
        if (Support.Kernel.isExistFilePath(Support.Kernel.getFilePath(Support.Kernel.PATH_TSP_ALL_NODE_SPEC) + "TSP1_SPEC_15.txt")) {
            return true;
        }
        return false;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void readFileSpecData() {
        String strReadLine;
        FtUtil.log_d(this.CLASS_NAME, "readFileSpecData", "");
        String strReadLine2 = "";
        String filePath = checkCombineSpec() ? Support.Kernel.getFilePath(Support.Kernel.PATH_TSP_ALL_NODE_SPEC) + "TSP1_SPEC_15.txt" : Support.Kernel.getFilePath(Support.Kernel.PATH_TSP_ALL_NODE_SPEC) + "TSP1_PROXHOVER_SELFTEST_SPEC_15.txt";
        FtUtil.log_i(this.CLASS_NAME, "getSpecData", "filePath : " + filePath);
        try {
            try {
                BufferedReader reader = new BufferedReader(new FileReader(filePath));
                if (checkCombineSpec()) {
                    do {
                        String readLine = reader.readLine();
                        strReadLine2 = readLine;
                        if (readLine == null) {
                            break;
                        }
                    } while (!strReadLine2.contains("PROX_HOVER_SELFTEST"));
                    if (strReadLine2 == null) {
                        return;
                    }
                }
                if (strReadLine2.contains("DUAL")) {
                    String strLcdType = Support.Kernel.read(Support.Kernel.LCD_TYPE_PATH);
                    do {
                        strReadLine = reader.readLine();
                        if (strReadLine == null) {
                            break;
                        }
                    } while (!checkModuleID(strReadLine, strLcdType));
                    if (strReadLine == null) {
                        return;
                    }
                }
                String specInfo = reader.readLine().trim();
                int specCount = Integer.parseInt(reader.readLine().trim());
                FtUtil.log_d(this.CLASS_NAME, "getSpecData", "specCount : " + specCount + ", specInfo : " + specInfo);
                String[] resSpec = new String[specCount];
                for (int i = 0; i < specCount; i++) {
                    resSpec[i] = reader.readLine().trim();
                    FtUtil.log_i(this.CLASS_NAME, "getSpecData", "resSpec[" + (i + 1) + "] : " + resSpec[i]);
                }
                String specX = resSpec[0].split(":")[1];
                this.mSpecMinX = Integer.parseInt(specX.split(",")[0]);
                this.mSpecMaxX = Integer.parseInt(specX.split(",")[1]);
                FtUtil.log_i(this.CLASS_NAME, "getSpecData", "mSpecMinX : " + this.mSpecMinX + " mSpecMaxX : " + this.mSpecMaxX);
                if (resSpec.length >= 2) {
                    String specY = resSpec[1].split(":")[1];
                    this.mSpecMinY = Integer.parseInt(specY.split(",")[0]);
                    this.mSpecMaxY = Integer.parseInt(specY.split(",")[1]);
                    FtUtil.log_i(this.CLASS_NAME, "getSpecData", "mSpecMinY : " + this.mSpecMinY + " mSpecMaxY : " + this.mSpecMaxY);
                }
            } catch (Exception e) {
                e.printStackTrace();
            }
        } catch (FileNotFoundException e2) {
            FtUtil.log_e(this.CLASS_NAME, "getSpecData", "FileNotFoundException");
        }
    }

    private boolean checkModuleID(String strFile, String strDriver) {
        String strFile2 = strFile.trim();
        if (!strFile2.startsWith("<") || !strFile2.endsWith(">")) {
            return false;
        }
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "checkModuleID", "strFile : " + strFile2);
        String strFile3 = strFile2.replace("<", "").replace(">", "");
        char[] file = strFile3.toCharArray();
        char[] driver = strDriver.toCharArray();
        if (file.length != driver.length) {
            return false;
        }
        for (int i = 0; i < file.length; i++) {
            if (!(file[i] == '*' || file[i] == driver[i])) {
                return false;
            }
        }
        String str2 = this.CLASS_NAME;
        FtUtil.log_d(str2, "checkModuleID", "ModuleID from Spec  : " + strFile3);
        String str3 = this.CLASS_NAME;
        FtUtil.log_d(str3, "checkModuleID", "ModuleID from Sysfs : " + strDriver);
        return true;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void readHoverData() {
        FtUtil.log_d(this.CLASS_NAME, "readHoverData", "");
        if (Support.Kernel.write(Support.Kernel.TSP_COMMAND_CMD, "run_prox_intensity_read_all")) {
            String[] dataSet = getResultData(Support.Kernel.read(Support.Kernel.TSP_COMMAND_RESULT)).split(" ");
            if (dataSet.length == 2) {
                this.mIsDataCheckXY = false;
                this.mRawDataX = Integer.parseInt(dataSet[0].split(":")[1]);
                String str = this.CLASS_NAME;
                FtUtil.log_d(str, "readHoverData", "Raw Data X : " + this.mRawDataX);
            } else if (dataSet.length == 4) {
                this.mIsDataCheckXY = true;
                this.mRawDataX = Integer.parseInt(dataSet[0].split(":")[1]);
                this.mRawDataY = Integer.parseInt(dataSet[1].split(":")[1]);
                String str2 = this.CLASS_NAME;
                FtUtil.log_d(str2, "readHoverData", "Raw Data X : " + this.mRawDataX + " Raw Data Y : " + this.mRawDataY);
            } else {
                FtUtil.log_e(this.CLASS_NAME, "readHoverData", "Read Hover Data Fail");
                this.mResult = false;
            }
        } else {
            FtUtil.log_d(this.CLASS_NAME, "testStart", "TSP Command Write Fail");
        }
    }

    private String getResultData(String result) {
        String resultData = "";
        String[] arrResult = result.split(":");
        for (int i = 1; i < arrResult.length; i++) {
            resultData = i != arrResult.length - 1 ? resultData + arrResult[i] + ":" : resultData + arrResult[i];
        }
        FtUtil.log_d(this.CLASS_NAME, "getResultData", "resultData : " + resultData);
        return resultData;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void checkSpec() {
        int i;
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "checkSpec", "mIsDataCheckXY : " + this.mIsDataCheckXY);
        int i2 = this.mRawDataX;
        if (i2 < this.mSpecMinX || i2 > this.mSpecMaxX) {
            String str2 = this.CLASS_NAME;
            FtUtil.log_e(str2, "checkSpec", "Raw Data X Spec Out, Raw Data X : " + this.mRawDataX + " Spec( " + this.mSpecMinX + " ~ " + this.mSpecMaxX + " )");
            this.mResult = false;
        }
        if (this.mIsDataCheckXY && ((i = this.mRawDataY) < this.mSpecMinY || i > this.mSpecMaxY)) {
            String str3 = this.CLASS_NAME;
            FtUtil.log_e(str3, "checkSpec", "Raw Data Y Spec Out, Raw Data Y : " + this.mRawDataY + " Spec( " + this.mSpecMinY + " ~ " + this.mSpecMaxY + " )");
            this.mResult = false;
        }
        if (this.mResult) {
            String str4 = this.CLASS_NAME;
            FtUtil.log_d(str4, "checkSpec", "Raw Data X : " + this.mRawDataX + " Spec( " + this.mSpecMinX + " ~ " + this.mSpecMaxX + " )");
            if (this.mIsDataCheckXY) {
                String str5 = this.CLASS_NAME;
                FtUtil.log_d(str5, "checkSpec", "Raw Data Y : " + this.mRawDataY + " Spec( " + this.mSpecMinY + " ~ " + this.mSpecMaxY + " )");
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void updateUI() {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "updateUI", "mIsDataCheckXY : " + this.mIsDataCheckXY + ", mProxHoverService : " + this.mProxHoverService);
        if (this.mProxHoverService) {
            FtUtil.log_d(this.CLASS_NAME, "updateUI", "AT CMD skips updataUI");
            return;
        }
        TextView textView = this.txt_raw_data_x;
        textView.setText("Raw Data X : " + this.mRawDataX);
        TextView textView2 = this.txt_raw_spec_x;
        textView2.setText("[Spec : " + this.mSpecMinX + " ~ " + this.mSpecMaxX + "]");
        if (this.mIsDataCheckXY) {
            TextView textView3 = this.txt_raw_data_y;
            textView3.setText("Raw Data Y : " + this.mRawDataY);
            TextView textView4 = this.txt_raw_spec_y;
            textView4.setText("[Spec : " + this.mSpecMinY + " ~ " + this.mSpecMaxY + "]");
        } else {
            this.txt_raw_data_y.setText("Raw Data Y : N/A");
            this.txt_raw_spec_y.setText("[Spec : N/A]");
        }
        if (this.mResult) {
            this.txt_prox_hover_selftest_result.setText("PASS");
            this.txt_prox_hover_selftest_result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            return;
        }
        this.txt_prox_hover_selftest_result.setText("FAIL");
        this.txt_prox_hover_selftest_result.setTextColor(-65536);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void testFinish() {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "testFinish", "AT CMD : " + this.mProxHoverService);
        Support.Kernel.write(Support.Kernel.TSP_COMMAND_CMD, "ear_detect_enable,0");
        if (this.mProxHoverService) {
            SharedPreferences.Editor accEditor = this.mContext.getSharedPreferences("PROXIMITY_HOVER_SELF_RESULT", 0).edit();
            if (this.mResult) {
                FtUtil.log_e(this.CLASS_NAME, "testFinish", FtUtil.setMspSeqMessage(4, "MULFUNCF=3,2,4,1", "PASS - PROXIMITY_HOVER_SELF_RESULT: OK"));
                accEditor.putString("RESULT_DATA", "OK," + this.mRawDataX + "," + this.mRawDataY);
                accEditor.commit();
                setTestResult(198, (byte) 80);
                return;
            }
            FtUtil.log_e(this.CLASS_NAME, "testFinish", FtUtil.setMspSeqMessage(4, "MULFUNCF=3,2,4,1", "FAIL - PROXIMITY_HOVER_SELF_RESULT: NG"));
            accEditor.putString("RESULT_DATA", "NG," + this.mRawDataX + "," + this.mRawDataY);
            accEditor.commit();
            setTestResultFailCase(198);
        } else if (this.mResult) {
            FtUtil.log_d(this.CLASS_NAME, "testFinish", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(198), "PASS"));
            setResult(-1);
            finish();
        } else {
            FtUtil.log_d(this.CLASS_NAME, "testFinish", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(198), "FAIL"));
            setResult(0);
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        FtUtil.log_d(this.CLASS_NAME, "onDestroy", "");
        super.onDestroy();
    }
}
