package com.sec.factory.app.ui;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;

public class UIProximityHoverTest extends UIBase {
    private static final String PROXIMITY_HOVERTEST_END = "com.sec.factory.app.factorytest.finshProximityHoverTest";
    private final int READ_INTERVAL = 100;
    private final int TIME_OUT = 30000;
    public final int WHAT_READ_HOVER_DATA = 1001;
    public final int WHAT_TEST_FINISH = 1005;
    public final int WHAT_TEST_SPEC_OUT = 1004;
    public final int WHAT_TEST_START = 1000;
    public final int WHAT_TEST_TIME_OUT = 1003;
    public final int WHAT_UPDATE_UI = 1002;
    public Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UIProximityHoverTest.AnonymousClass1 */

        public void handleMessage(Message msg) {
            if (msg.what == 1000) {
                FtUtil.log_d(UIProximityHoverTest.this.CLASS_NAME, "mHandler.handleMessage", "WHAT_TEST_START");
                UIProximityHoverTest.this.enableEarDetect();
                UIProximityHoverTest.this.mHandler.sendEmptyMessageDelayed(1003, 30000);
                UIProximityHoverTest.this.mHandler.sendEmptyMessageDelayed(1001, 200);
            } else if (msg.what == 1001) {
                FtUtil.log_d(UIProximityHoverTest.this.CLASS_NAME, "mHandler.handleMessage", "WHAT_READ_HOVER_DATA");
                UIProximityHoverTest.this.readHoverData();
            } else if (msg.what == 1002) {
                FtUtil.log_d(UIProximityHoverTest.this.CLASS_NAME, "mHandler.handleMessage", "WHAT_UPDATE_UI");
                UIProximityHoverTest.this.updateUI();
                UIProximityHoverTest.this.mHandler.sendEmptyMessageDelayed(1005, 1000);
            } else if (msg.what == 1004) {
                FtUtil.log_e(UIProximityHoverTest.this.CLASS_NAME, "mHandler.handleMessage", "WHAT_TEST_SPEC_OUT, SPEC OUT FAIL");
                UIProximityHoverTest.this.mHandler.removeMessages(1001);
                UIProximityHoverTest.this.mHandler.sendEmptyMessageDelayed(1002, 10);
            } else if (msg.what == 1003) {
                FtUtil.log_e(UIProximityHoverTest.this.CLASS_NAME, "mHandler.handleMessage", "WHAT_TEST_TIME_OUT, TIME OUT FAIL");
                UIProximityHoverTest.this.mTestFinished = true;
                UIProximityHoverTest.this.mHandler.removeMessages(1001);
                UIProximityHoverTest.this.mHandler.sendEmptyMessageDelayed(1002, 10);
            } else if (msg.what == 1005) {
                FtUtil.log_d(UIProximityHoverTest.this.CLASS_NAME, "mHandler.handleMessage", "WHAT_TEST_FINISH");
                UIProximityHoverTest.this.testFinish();
            }
        }
    };
    private boolean mIsDataTypeXY = false;
    private boolean mProxHoverService = false;
    private int mRawDataX;
    private int mRawDataY;
    public BroadcastReceiver mReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.app.ui.UIProximityHoverTest.AnonymousClass2 */

        public void onReceive(Context context, Intent intent) {
            UIProximityHoverTest.this.stopReceiver();
            String mAction = intent.getAction();
            String str = UIProximityHoverTest.this.CLASS_NAME;
            FtUtil.log_d(str, "onReceive", "mAction: " + mAction);
            if (UIProximityHoverTest.PROXIMITY_HOVERTEST_END.equals(mAction)) {
                UIProximityHoverTest.this.finish();
            }
        }
    };
    private boolean mResult = false;
    private boolean mTestFinished = false;
    private int mThdX;
    private int mThdY;
    private String strHoverResult = "";
    private TextView txt_adc_result;
    private TextView txt_hover_result;
    private TextView txt_thd_result;

    public UIProximityHoverTest() {
        super("UIProximityHoverTest");
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_proximity_hover_test);
        this.mProxHoverService = getIntent().getBooleanExtra("ATCMD", false);
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "onCreate", "mProxHoverService : " + this.mProxHoverService);
        if (this.mProxHoverService) {
            startReceiver();
        }
        this.mResult = false;
        initUI();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        this.mHandler.sendEmptyMessageDelayed(1000, 10);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void enableEarDetect() {
        FtUtil.log_d(this.CLASS_NAME, "enableEarDetect", "");
        Support.Kernel.write(Support.Kernel.TSP_COMMAND_CMD, "ear_detect_enable,1");
    }

    private void initUI() {
        FtUtil.log_d(this.CLASS_NAME, "initUI", "");
        this.txt_hover_result = (TextView) findViewById(R.id.hover_test_result);
        this.txt_adc_result = (TextView) findViewById(R.id.hover_adc_result);
        this.txt_thd_result = (TextView) findViewById(R.id.hover_thd_result);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void readHoverData() {
        FtUtil.log_d(this.CLASS_NAME, "readHoverData", "");
        if (Support.Kernel.write(Support.Kernel.TSP_COMMAND_CMD, "run_prox_intensity_read_all")) {
            String[] dataSet = getResultData(Support.Kernel.read(Support.Kernel.TSP_COMMAND_RESULT)).split(" ");
            if (dataSet.length == 2) {
                this.mIsDataTypeXY = false;
                this.mRawDataX = Integer.parseInt(dataSet[0].split(":")[1]);
                int parseInt = Integer.parseInt(dataSet[1].split(":")[1]);
                this.mThdX = parseInt;
                if (this.mRawDataX > parseInt) {
                    String str = this.CLASS_NAME;
                    FtUtil.log_d(str, "readHoverData", "Raw Data X : " + this.mRawDataX + " THD X : " + this.mThdX);
                    this.mResult = true;
                }
            } else if (dataSet.length == 4) {
                this.mIsDataTypeXY = true;
                this.mRawDataX = Integer.parseInt(dataSet[0].split(":")[1]);
                this.mRawDataY = Integer.parseInt(dataSet[1].split(":")[1]);
                this.mThdX = Integer.parseInt(dataSet[2].split(":")[1]);
                int parseInt2 = Integer.parseInt(dataSet[3].split(":")[1]);
                this.mThdY = parseInt2;
                if (this.mRawDataX > this.mThdX && this.mRawDataY > parseInt2) {
                    String str2 = this.CLASS_NAME;
                    FtUtil.log_d(str2, "readHoverData", "Raw Data X : " + this.mRawDataX + " Raw Data Y : " + this.mRawDataY + " THD X : " + this.mThdX + " THD Y : " + this.mThdY);
                    this.mResult = true;
                }
            } else {
                FtUtil.log_e(this.CLASS_NAME, "readHoverData", "Read Hover Data Fail");
                this.mResult = false;
                return;
            }
            if (this.mResult) {
                this.mTestFinished = true;
                this.mHandler.removeMessages(1003);
                this.mHandler.sendEmptyMessageDelayed(1002, 10);
                return;
            }
            updateUI();
            this.mHandler.sendEmptyMessageDelayed(1001, 100);
            return;
        }
        FtUtil.log_d(this.CLASS_NAME, "testStart", "TSP Command Write Fail");
    }

    private String getResultData(String result) {
        String resultData = "";
        String[] arrResult = result.split(":");
        for (int i = 1; i < arrResult.length; i++) {
            resultData = i != arrResult.length - 1 ? resultData + arrResult[i] + ":" : resultData + arrResult[i];
        }
        FtUtil.log_d(this.CLASS_NAME, "getResultData", "resultData : " + resultData);
        return resultData;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void updateUI() {
        FtUtil.log_d(this.CLASS_NAME, "updateUI", "");
        if (this.mIsDataTypeXY) {
            TextView textView = this.txt_adc_result;
            textView.setText("ADC (X,Y) : " + this.mRawDataX + ", " + this.mRawDataY);
            TextView textView2 = this.txt_thd_result;
            textView2.setText("THD (X,Y) : " + this.mThdX + ", " + this.mThdY);
        } else {
            TextView textView3 = this.txt_adc_result;
            textView3.setText("ADC (X,Y): " + this.mRawDataX + ", N/A");
            TextView textView4 = this.txt_thd_result;
            textView4.setText("THD (X,Y) : " + this.mThdX + ", N/A");
        }
        if (!this.mTestFinished) {
            return;
        }
        if (this.mResult) {
            this.txt_hover_result.setText("PASS");
            this.txt_hover_result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            return;
        }
        this.txt_hover_result.setText("FAIL");
        this.txt_hover_result.setTextColor(-65536);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        FtUtil.log_d(this.CLASS_NAME, "onPause", "onPause");
        this.mHandler.removeMessages(1000);
        this.mHandler.removeMessages(1001);
        this.mHandler.removeMessages(1002);
        this.mHandler.removeMessages(1003);
        this.mHandler.removeMessages(1004);
        this.mHandler.removeMessages(1005);
        super.onPause();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        FtUtil.log_d(this.CLASS_NAME, "onDestroy", "");
        super.onDestroy();
    }

    /* access modifiers changed from: protected */
    public void startReceiver() {
        IntentFilter mFilter = new IntentFilter();
        mFilter.addAction(PROXIMITY_HOVERTEST_END);
        FtUtil.log_d(this.CLASS_NAME, "startReceiver", "request to register mReceiver - start");
        registerReceiver(this.mReceiver, mFilter);
        FtUtil.log_d(this.CLASS_NAME, "startReceiver", "request to register mReceiver - done");
    }

    /* access modifiers changed from: protected */
    public void stopReceiver() {
        FtUtil.log_i(this.CLASS_NAME, "stopReceiver");
        BroadcastReceiver broadcastReceiver = this.mReceiver;
        if (broadcastReceiver != null) {
            unregisterReceiver(broadcastReceiver);
            this.mReceiver = null;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void testFinish() {
        FtUtil.log_d(this.CLASS_NAME, "testFinish", "");
        Support.Kernel.write(Support.Kernel.TSP_COMMAND_CMD, "ear_detect_enable,0");
        String selfRawDataX = "";
        String selfRawDataY = "";
        if (this.mProxHoverService) {
            stopReceiver();
            String selftestResult = getSharedPreferences("PROXIMITY_HOVER_SELF_RESULT", 0).getString("RESULT_DATA", "0");
            FtUtil.log_d(this.CLASS_NAME, "testFinish", "selftestResult : " + selftestResult);
            String[] temp = selftestResult.split(",");
            if (temp.length > 2) {
                String selfResult = temp[0];
                selfRawDataX = temp[1];
                selfRawDataY = temp[2];
                FtUtil.log_d(this.CLASS_NAME, "testFinish", "selfResult : " + selfResult);
                FtUtil.log_d(this.CLASS_NAME, "testFinish", "selfRawDataX : " + selfRawDataX);
                FtUtil.log_d(this.CLASS_NAME, "testFinish", "selfRawDataY : " + selfRawDataY);
            }
            if (!selftestResult.contains("OK") || !this.mResult) {
                this.strHoverResult = "NG_";
            } else {
                this.strHoverResult = "OK_";
            }
            this.strHoverResult += "1_";
            this.strHoverResult += selfRawDataX + "," + selfRawDataY + "_";
            this.strHoverResult += this.mRawDataX + "," + this.mRawDataY + ",";
            this.strHoverResult += this.mThdX + "," + this.mThdY;
            SharedPreferences.Editor hoverEditor = getSharedPreferences("PROXIMITY_HOVER_RESULT", 0).edit();
            if (this.mResult) {
                FtUtil.log_d(this.CLASS_NAME, "testFinish", FtUtil.setMspSeqMessage(4, "MULFUNCF=0,4,4,3", "PASS - PROXIMITY_HOVER_RESULT: OK"));
                hoverEditor.putString("RESULT_DATA", this.strHoverResult);
                hoverEditor.commit();
            } else {
                FtUtil.log_e(this.CLASS_NAME, "testFinish", FtUtil.setMspSeqMessage(4, "MULFUNCF=0,4,4,3", "FAIL - PROXIMITY_HOVER_RESULT: NG"));
                hoverEditor.putString("RESULT_DATA", this.strHoverResult);
                hoverEditor.commit();
            }
        }
        if (this.mResult) {
            FtUtil.log_d(this.CLASS_NAME, "testFinish", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(198), "PASS"));
            setResult(-1);
            finish();
            return;
        }
        FtUtil.log_d(this.CLASS_NAME, "testFinish", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(198), "FAIL"));
        setResult(0);
    }
}
