package com.sec.factory.app.ui;

import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.KeyEvent;
import android.view.View;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.TableRow;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.sensors.SensorListener;
import com.sec.factory.sensors.SensorProximity;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;

public class UIProximitySensorTest extends UIBase implements View.OnClickListener, SensorListener {
    private final String FLIP_STATE_NORMAL = "0";
    private final long INT_CHECK_TIME = 1000;
    public final int MSG_SHOW_POINT = 1;
    public final int MSG_UPDATE_UI = 0;
    public String ProximitySensorMgrValue = "5.0";
    private String RANGE_PROXIMITY_DETECT = "0.0";
    private Button button_point;
    public boolean isFirstTry = true;
    public boolean isIntCheck = false;
    public boolean isPass = true;
    private boolean isPassCheckingINT = true;
    public boolean isProxiTestOn = false;
    public boolean isTestDone = false;
    private Button mBtnExit;
    private Button mBtnModeSet;
    private Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UIProximitySensorTest.AnonymousClass1 */

        public void handleMessage(Message msg) {
            switch (msg.what) {
                case 0:
                    UIProximitySensorTest.this.updateUI();
                    return;
                case 1:
                    UIProximitySensorTest.this.mLightTeachingPoint.setVisibility(0);
                    UIProximitySensorTest.this.mLight2TeachingPoint.setVisibility(0);
                    UIProximitySensorTest.this.button_point.setVisibility(8);
                    return;
                default:
                    return;
            }
        }
    };
    private boolean mIsPoint = false;
    private ProximityLightCircleView mLight2BlackPoint;
    private ProximityLightCircleView mLight2TeachingPoint;
    private ProximityLightCircleView mLightBlackPoint;
    private ProximityLightCircleView mLightTeachingPoint;
    private LinearLayout mLinearBackground;
    private ModuleDevice mModuleDevice;
    public SensorProximity mSensorProximity = null;
    private int mSettingThdHigh = 0;
    private int mSettingThdLow = 0;
    private TableRow mTableRow1_Proximity;
    private TableRow mTableRow2_Proximity;
    private TableRow mTableRow3_Proximity;
    private TableRow mTableRow4_Proximity;
    private TableRow mTableRow5_Proximity;
    private TableRow mTableRow6_Proximity;
    private TableRow mTableRow7_Proximity;
    private String mTestCase = null;
    private int mTestID = 0;
    private TextView mText_Proximity_Row1_Col1;
    private TextView mText_Proximity_Row1_Col2;
    private TextView mText_Proximity_Row1_Col3;
    private TextView mText_Proximity_Row2_Col1;
    private TextView mText_Proximity_Row2_Col2;
    private TextView mText_Proximity_Row2_Col3;
    private TextView mText_Proximity_Row3_Col1;
    private TextView mText_Proximity_Row3_Col2;
    private TextView mText_Proximity_Row3_Col3;
    private TextView mText_Proximity_Row4_Col1;
    private TextView mText_Proximity_Row4_Col2;
    private TextView mText_Proximity_Row4_Col3;
    private TextView mText_Proximity_Row5_Col1;
    private TextView mText_Proximity_Row5_Col2;
    private TextView mText_Proximity_Row5_Col3;
    private TextView mText_Proximity_Row6_Col1;
    private TextView mText_Proximity_Row6_Col2;
    private TextView mText_Proximity_Row6_Col3;
    private TextView mText_Proximity_Row7_Col1;
    private TextView mText_Proximity_Row7_Col2;
    private TextView mText_Proximity_Row7_Col3;
    private TextView mText_Title;
    private final float mUIRate = Support.FactoryTestMenu.getUIRate(FactoryTestManager.convertorID_XML((int) FactoryTestManager.TEST_PROXIMITY_SENSOR_TEST));
    private int m_nCurADC;
    private long m_nStartTime;
    int m_nThreshHold;
    public int step = 1;

    public UIProximitySensorTest() {
        super("UIProximitySensorTest");
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_proximity_light);
        FtUtil.setRemoveSystemUI(getWindow(), true);
        this.mTestID = getIntent().getIntExtra("testID", 0);
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "onCreate", "mTestID :" + this.mTestID);
        this.TEST_ID = this.mTestID;
        this.mTestCase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML(this.mTestID));
        String str2 = this.CLASS_NAME;
        FtUtil.log_d(str2, "onCreate", "mTestCase :" + this.mTestCase);
        this.mIsPoint = Support.Kernel.isExistFile(Support.Kernel.LIGHT_SENSOR_CIRCLE);
        initialize();
        setWidthCol3();
        setUIRate();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        SensorProximity sensorProximity = new SensorProximity(this);
        this.mSensorProximity = sensorProximity;
        sensorProximity.SensorOn(this, new int[]{1}, 100);
        super.onResume();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        SensorProximity sensorProximity = this.mSensorProximity;
        if (sensorProximity != null) {
            sensorProximity.SensorOff();
        }
        if (Support.Kernel.isExistFile(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE)) {
            Support.Kernel.write(Support.Kernel.PROXI_LIGHT_SELECT_FLIP_STATE, "0");
        }
        this.mHandler.removeMessages(0);
        this.mModuleDevice.stopVibrate();
        super.onPause();
    }

    @Override // com.sec.factory.sensors.SensorListener
    public void onSensorValueReceived(int mSensor, String value) {
        FtUtil.log_d(this.CLASS_NAME, "onSensorValueReceived", value);
        switch (mSensor) {
            case 0:
                String str = this.CLASS_NAME;
                FtUtil.log_d(str, "onSensorValueReceived", "NOTI : " + value);
                this.mHandler.sendEmptyMessage(0);
                return;
            case 1:
                String str2 = this.CLASS_NAME;
                FtUtil.log_d(str2, "onSensorValueReceived", "ID_MANAGER_PROXIMITY : " + value);
                this.ProximitySensorMgrValue = value;
                return;
            default:
                return;
        }
    }

    public void updateUI() {
        if (this.isProxiTestOn) {
            if ("null".equals(this.ProximitySensorMgrValue)) {
                SetProximityFail();
                FtUtil.log_d(this.CLASS_NAME, "updateUI", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(FactoryTestManager.TEST_PROXIMITY_SENSOR_TEST), "Fail - Proximity sensor value is null"));
                this.step = 1;
                this.isPass = false;
                doSensorChange();
            }
            switch (this.step) {
                case 1:
                    if (!this.ProximitySensorMgrValue.equals(this.RANGE_PROXIMITY_DETECT)) {
                        String str = this.CLASS_NAME;
                        FtUtil.log_d(str, "updateUI", "Proximity Stage : " + this.step);
                        this.step = 2;
                        if (isSupportModeSet()) {
                            this.mBtnModeSet.setEnabled(true);
                            break;
                        }
                    }
                    break;
                case 2:
                    if (this.ProximitySensorMgrValue.equals(this.RANGE_PROXIMITY_DETECT)) {
                        String str2 = this.CLASS_NAME;
                        FtUtil.log_d(str2, "updateUI", "Proximity Stage : " + this.step);
                        this.step = 3;
                        setWorking();
                        this.mText_Proximity_Row4_Col2.setText("Working");
                        this.mText_Proximity_Row4_Col3.setText("Pass");
                        this.mText_Proximity_Row4_Col3.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                        if (isSupportModeSet()) {
                            this.mBtnModeSet.setEnabled(false);
                            break;
                        }
                    }
                    break;
                case 3:
                    if (!this.ProximitySensorMgrValue.equals(this.RANGE_PROXIMITY_DETECT)) {
                        String str3 = this.CLASS_NAME;
                        FtUtil.log_d(str3, "updateUI", "Proximity Stage : " + this.step);
                        setRelease();
                        this.mText_Proximity_Row5_Col2.setText("Release");
                        this.mText_Proximity_Row5_Col3.setText("Pass");
                        this.mText_Proximity_Row5_Col3.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                        if (!Support.Feature.getBoolean(Support.Feature.PROX_CHECK_INT_SUPPORT)) {
                            this.step = 5;
                            disableCheckINT();
                            break;
                        } else {
                            this.step = 4;
                            startCheckINT();
                            break;
                        }
                    }
                    break;
                case 4:
                    if (isOver1sec()) {
                        if (this.isPassCheckingINT) {
                            setINTCheckPass();
                            this.step = 5;
                        } else {
                            setINTCheckFail();
                        }
                    }
                    if (this.ProximitySensorMgrValue.equals(this.RANGE_PROXIMITY_DETECT) && !this.isIntCheck) {
                        this.isIntCheck = true;
                        this.m_nCurADC = Integer.valueOf(mModuleCommon.readProxiADC()).intValue();
                        String str4 = this.CLASS_NAME;
                        FtUtil.log_d(str4, "updateUI", "CurADC : " + this.m_nCurADC);
                        checkINT();
                        break;
                    }
                case 5:
                    if (this.ProximitySensorMgrValue.equals(this.RANGE_PROXIMITY_DETECT)) {
                        String str5 = this.CLASS_NAME;
                        FtUtil.log_d(str5, "updateUI", "Proximity Stage : " + this.step);
                        this.mText_Proximity_Row7_Col2.setText("Working");
                        this.mText_Proximity_Row7_Col3.setText("Pass");
                        this.mText_Proximity_Row7_Col3.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                        this.step = 1;
                        setWorking();
                        this.step = 6;
                        break;
                    }
                    break;
                case 6:
                    String str6 = this.CLASS_NAME;
                    FtUtil.log_d(str6, "updateUI", "Proximity Stage : " + this.step);
                    this.step = 1;
                    this.isTestDone = true;
                    setRelease();
                    break;
            }
        }
        if (this.isTestDone) {
            exit();
        }
    }

    public int getThreshHold() {
        int threshHold;
        String strNormalHighThreshHold = Support.Kernel.read(Support.Kernel.PROXI_SENSOR_SET_HIGH_THRESHOLD);
        String strDetectHighThreshHold = Support.Kernel.read(Support.Kernel.PROXI_SENSOR_DETECT_HIGH_THRESHOLD);
        if (strNormalHighThreshHold == null) {
            FtUtil.log_d(this.CLASS_NAME, "getThreshHold", "normal null");
            strNormalHighThreshHold = "987654321";
        }
        if (strDetectHighThreshHold == null) {
            FtUtil.log_d(this.CLASS_NAME, "getThreshHold", "detect null");
            strDetectHighThreshHold = "987654321";
        }
        String strNormalHighThreshHold2 = strNormalHighThreshHold.split(",")[0];
        String strDetectHighThreshHold2 = strDetectHighThreshHold.split(",")[0];
        int nNormalHighThreshHold = Integer.valueOf(strNormalHighThreshHold2).intValue();
        int nDetectHighThreshHold = Integer.valueOf(strDetectHighThreshHold2).intValue();
        if (nNormalHighThreshHold < nDetectHighThreshHold) {
            FtUtil.log_d(this.CLASS_NAME, "getThreshHold", "normal");
            threshHold = nNormalHighThreshHold;
        } else {
            FtUtil.log_d(this.CLASS_NAME, "getThreshHold", "detect");
            threshHold = nDetectHighThreshHold;
        }
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "getThreshHold", "threshHold : " + threshHold);
        return threshHold;
    }

    public void startCheckINT() {
        this.isPassCheckingINT = true;
        this.mText_Proximity_Row6_Col2.setText("INT Check");
        this.m_nStartTime = System.currentTimeMillis();
        this.m_nThreshHold = getThreshHold();
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "startCheckINT", "startTime : " + this.m_nStartTime);
    }

    public void disableCheckINT() {
        this.mText_Proximity_Row6_Col1.setVisibility(8);
        this.mText_Proximity_Row6_Col2.setVisibility(8);
        this.mText_Proximity_Row6_Col3.setVisibility(8);
        FtUtil.log_d(this.CLASS_NAME, "disableCheckINT", "");
    }

    public boolean isSupportModeSet() {
        if (!Support.Kernel.isExistFile(Support.Kernel.PROXI_SENSOR_MODIFY_SETTING)) {
            return false;
        }
        String thd_high = Support.Kernel.read(Support.Kernel.PROXI_SENSOR_SETTINGS_THD_HIGH);
        String thd_low = Support.Kernel.read(Support.Kernel.PROXI_SENSOR_SETTINGS_THD_LOW);
        if (thd_high == null || thd_low == null) {
            return false;
        }
        this.mSettingThdHigh = Integer.parseInt(thd_high);
        this.mSettingThdLow = Integer.parseInt(thd_low);
        return true;
    }

    public boolean startModeSet() {
        if (!isSupportModeSet()) {
            return false;
        }
        int proxiADC = Integer.valueOf(mModuleCommon.readProxiADC()).intValue();
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "startModeSet", "proxiADC : " + proxiADC + " / settings_thd_low : " + this.mSettingThdLow + " , settings_thd_high : " + this.mSettingThdHigh);
        if (proxiADC <= this.mSettingThdLow || proxiADC >= this.mSettingThdHigh) {
            return false;
        }
        Support.Kernel.write(Support.Kernel.PROXI_SENSOR_MODIFY_SETTING, "2");
        FtUtil.log_d(this.CLASS_NAME, "startModeSet", "set ModeSet");
        return true;
    }

    public boolean isOver1sec() {
        if (1000 <= System.currentTimeMillis() - this.m_nStartTime) {
            return true;
        }
        return false;
    }

    public void checkINT() {
        try {
            Thread.sleep(50);
        } catch (Exception e) {
        }
        int i = this.m_nThreshHold;
        int i2 = this.m_nCurADC;
        if (i > i2 && i2 != 0) {
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "checkINT", "fail... CurADC : " + this.m_nCurADC);
            this.isPassCheckingINT = false;
        }
    }

    public void doSensorChange() {
        FtUtil.log_d(this.CLASS_NAME, "doSensorChange", "");
        this.isProxiTestOn = false;
        SensorProximity sensorProximity = this.mSensorProximity;
        if (sensorProximity != null) {
            sensorProximity.SensorOff();
        }
    }

    public void SetProximityFail() {
        this.mText_Proximity_Row4_Col2.setText("Working");
        this.mText_Proximity_Row4_Col3.setText("Fail");
        this.mText_Proximity_Row4_Col3.setTextColor(-65536);
        this.mText_Proximity_Row5_Col2.setText("Release");
        this.mText_Proximity_Row5_Col3.setText("Fail");
        this.mText_Proximity_Row5_Col3.setTextColor(-65536);
        this.mText_Proximity_Row6_Col2.setText("Release");
        this.mText_Proximity_Row6_Col3.setText("Fail");
        this.mText_Proximity_Row6_Col3.setTextColor(-65536);
        this.mText_Proximity_Row7_Col2.setText("Release");
        this.mText_Proximity_Row7_Col3.setText("Fail");
        this.mText_Proximity_Row7_Col3.setTextColor(-65536);
    }

    public void setINTCheckPass() {
        FtUtil.log_d(this.CLASS_NAME, "setINTCheckPass", "");
        this.mText_Proximity_Row6_Col3.setText("Pass");
        this.mText_Proximity_Row6_Col3.setTextColor(UiHallICTest.FONT_COLOR_PASS);
    }

    public void setINTCheckFail() {
        FtUtil.log_d(this.CLASS_NAME, "setINTCheckFail", "");
        this.mText_Proximity_Row6_Col3.setText("Fail");
        this.mText_Proximity_Row6_Col3.setTextColor(-65536);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public boolean onKeyDown(int keyCode, KeyEvent event) {
        switch (keyCode) {
            case 25:
                if (this.isFirstTry) {
                    this.isProxiTestOn = true;
                    this.mText_Proximity_Row3_Col2.setText("Release");
                    this.isFirstTry = false;
                    if (this.mIsPoint) {
                        this.button_point.setVisibility(8);
                        this.mLightTeachingPoint.setVisibility(8);
                        this.mLight2TeachingPoint.setVisibility(8);
                        break;
                    }
                }
                break;
        }
        return super.onKeyDown(keyCode, event);
    }

    private String[] getLightSensorCircleInfo() {
        String circleData = Support.Kernel.read(Support.Kernel.LIGHT_SENSOR_CIRCLE, true);
        if (circleData != null) {
            String[] arrCircle = circleData.split(" ");
            if (arrCircle.length % 3 == 0) {
                return arrCircle;
            }
            FtUtil.log_d(this.CLASS_NAME, "getLightSensorCircleInfo", "Circle sysfs values are wrong.");
            return null;
        }
        FtUtil.log_d(this.CLASS_NAME, "getLightSensorCircleInfo", "Circle sysfs is null.");
        return null;
    }

    private void initialize() {
        String[] arrCircle;
        FtUtil.log_d(this.CLASS_NAME, "initialize", "initialize");
        this.mModuleDevice = ModuleDevice.instance(this);
        this.mLinearBackground = (LinearLayout) findViewById(R.id.background);
        this.mText_Title = (TextView) findViewById(R.id.proximity_sensor_test_title);
        this.mLightTeachingPoint = (ProximityLightCircleView) findViewById(R.id.light_teaching_point);
        this.mLightBlackPoint = (ProximityLightCircleView) findViewById(R.id.light_black_point);
        this.mLight2TeachingPoint = (ProximityLightCircleView) findViewById(R.id.light2_teaching_point);
        this.mLight2BlackPoint = (ProximityLightCircleView) findViewById(R.id.light2_black_point);
        if (isSupportModeSet()) {
            Button button = (Button) findViewById(R.id.button_mode_set);
            this.mBtnModeSet = button;
            button.setOnClickListener(this);
            this.mBtnModeSet.setVisibility(0);
            this.mBtnModeSet.setEnabled(false);
            this.mBtnModeSet.setText("MODE");
            this.mBtnExit = (Button) findViewById(R.id.button_exit);
        } else {
            this.mBtnExit = (Button) findViewById(R.id.button_exit2);
        }
        this.mBtnExit.setOnClickListener(this);
        this.mBtnExit.setVisibility(0);
        this.mBtnExit.setText("EXIT");
        if (this.mIsPoint && (arrCircle = getLightSensorCircleInfo()) != null) {
            float x = Float.parseFloat(arrCircle[0]);
            float y = Float.parseFloat(arrCircle[1]);
            float r = Float.parseFloat(arrCircle[2]) / 2.0f;
            this.mLightTeachingPoint.setPoint(x, y, r, -1);
            this.mLightBlackPoint.setPoint(x, y, 10.0f * r, -16777216);
            this.mLightBlackPoint.setVisibility(0);
            Button button2 = (Button) findViewById(R.id.button_point);
            this.button_point = button2;
            button2.setOnClickListener(this);
            this.button_point.setVisibility(0);
            this.button_point.setText("POINT");
        }
        TableRow tableRow = (TableRow) findViewById(R.id.proximity_row2);
        this.mTableRow2_Proximity = tableRow;
        tableRow.setVisibility(0);
        this.mText_Proximity_Row2_Col1 = (TextView) findViewById(R.id.proximity_row2_col1);
        this.mText_Proximity_Row2_Col2 = (TextView) findViewById(R.id.proximity_row2_col2);
        this.mText_Proximity_Row2_Col3 = (TextView) findViewById(R.id.proximity_row2_col3);
        TableRow tableRow2 = (TableRow) findViewById(R.id.proximity_row3);
        this.mTableRow3_Proximity = tableRow2;
        tableRow2.setVisibility(0);
        this.mText_Proximity_Row3_Col1 = (TextView) findViewById(R.id.proximity_row3_col1);
        this.mText_Proximity_Row3_Col2 = (TextView) findViewById(R.id.proximity_row3_col2);
        this.mText_Proximity_Row3_Col3 = (TextView) findViewById(R.id.proximity_row3_col3);
        TableRow tableRow3 = (TableRow) findViewById(R.id.proximity_row4);
        this.mTableRow4_Proximity = tableRow3;
        tableRow3.setVisibility(0);
        this.mText_Proximity_Row4_Col1 = (TextView) findViewById(R.id.proximity_row4_col1);
        this.mText_Proximity_Row4_Col2 = (TextView) findViewById(R.id.proximity_row4_col2);
        this.mText_Proximity_Row4_Col3 = (TextView) findViewById(R.id.proximity_row4_col3);
        TableRow tableRow4 = (TableRow) findViewById(R.id.proximity_row5);
        this.mTableRow5_Proximity = tableRow4;
        tableRow4.setVisibility(0);
        this.mText_Proximity_Row5_Col1 = (TextView) findViewById(R.id.proximity_row5_col1);
        this.mText_Proximity_Row5_Col2 = (TextView) findViewById(R.id.proximity_row5_col2);
        this.mText_Proximity_Row5_Col3 = (TextView) findViewById(R.id.proximity_row5_col3);
        TableRow tableRow5 = (TableRow) findViewById(R.id.proximity_row6);
        this.mTableRow6_Proximity = tableRow5;
        tableRow5.setVisibility(0);
        this.mText_Proximity_Row6_Col1 = (TextView) findViewById(R.id.proximity_row6_col1);
        this.mText_Proximity_Row6_Col2 = (TextView) findViewById(R.id.proximity_row6_col2);
        this.mText_Proximity_Row6_Col3 = (TextView) findViewById(R.id.proximity_row6_col3);
        this.mText_Proximity_Row2_Col1.setText("PROXIMIT");
        this.mText_Proximity_Row2_Col2.setText("Pending");
        TableRow tableRow6 = (TableRow) findViewById(R.id.proximity_row7);
        this.mTableRow7_Proximity = tableRow6;
        tableRow6.setVisibility(0);
        this.mText_Proximity_Row7_Col1 = (TextView) findViewById(R.id.proximity_row7_col1);
        this.mText_Proximity_Row7_Col2 = (TextView) findViewById(R.id.proximity_row7_col2);
        this.mText_Proximity_Row7_Col3 = (TextView) findViewById(R.id.proximity_row7_col3);
    }

    private void setWidthCol3() {
        this.mText_Proximity_Row4_Col3.setText("pass");
        this.mText_Proximity_Row4_Col3.setTextColor(getResources().getColor(R.color.background));
    }

    private void setUIRate() {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "setUIRate", "rate : " + this.mUIRate);
        float f = this.mUIRate;
        if (f != 0.0f && f != 1.0f) {
            TextView textView = this.mText_Title;
            textView.setTextSize(0, textView.getTextSize() * this.mUIRate);
            if (this.mIsPoint) {
                this.button_point.setTextSize(0, this.mText_Title.getTextSize() * this.mUIRate);
            }
            TextView textView2 = this.mText_Proximity_Row2_Col1;
            textView2.setTextSize(0, textView2.getTextSize() * this.mUIRate);
            TextView textView3 = this.mText_Proximity_Row2_Col2;
            textView3.setTextSize(0, textView3.getTextSize() * this.mUIRate);
            TextView textView4 = this.mText_Proximity_Row2_Col3;
            textView4.setTextSize(0, textView4.getTextSize() * this.mUIRate);
            TextView textView5 = this.mText_Proximity_Row3_Col1;
            textView5.setTextSize(0, textView5.getTextSize() * this.mUIRate);
            TextView textView6 = this.mText_Proximity_Row3_Col2;
            textView6.setTextSize(0, textView6.getTextSize() * this.mUIRate);
            TextView textView7 = this.mText_Proximity_Row3_Col3;
            textView7.setTextSize(0, textView7.getTextSize() * this.mUIRate);
            TextView textView8 = this.mText_Proximity_Row4_Col1;
            textView8.setTextSize(0, textView8.getTextSize() * this.mUIRate);
            TextView textView9 = this.mText_Proximity_Row4_Col2;
            textView9.setTextSize(0, textView9.getTextSize() * this.mUIRate);
            TextView textView10 = this.mText_Proximity_Row4_Col3;
            textView10.setTextSize(0, textView10.getTextSize() * this.mUIRate);
            TextView textView11 = this.mText_Proximity_Row5_Col1;
            textView11.setTextSize(0, textView11.getTextSize() * this.mUIRate);
            TextView textView12 = this.mText_Proximity_Row5_Col2;
            textView12.setTextSize(0, textView12.getTextSize() * this.mUIRate);
            TextView textView13 = this.mText_Proximity_Row5_Col3;
            textView13.setTextSize(0, textView13.getTextSize() * this.mUIRate);
            TextView textView14 = this.mText_Proximity_Row6_Col1;
            textView14.setTextSize(0, textView14.getTextSize() * this.mUIRate);
            TextView textView15 = this.mText_Proximity_Row6_Col2;
            textView15.setTextSize(0, textView15.getTextSize() * this.mUIRate);
            TextView textView16 = this.mText_Proximity_Row6_Col3;
            textView16.setTextSize(0, textView16.getTextSize() * this.mUIRate);
            TextView textView17 = this.mText_Proximity_Row7_Col1;
            textView17.setTextSize(0, textView17.getTextSize() * this.mUIRate);
            TextView textView18 = this.mText_Proximity_Row7_Col2;
            textView18.setTextSize(0, textView18.getTextSize() * this.mUIRate);
            TextView textView19 = this.mText_Proximity_Row7_Col3;
            textView19.setTextSize(0, textView19.getTextSize() * this.mUIRate);
        }
    }

    private void setRelease() {
        if (Support.TestCase.getEnabled(Support.TestCase.IS_PROXIMITY_TEST_MOTOR_FEEDBACK)) {
            this.mModuleDevice.stopVibrate();
        }
        this.mLinearBackground.setBackgroundColor(-1);
    }

    private void setWorking() {
        if (Support.TestCase.getEnabled(Support.TestCase.IS_PROXIMITY_TEST_MOTOR_FEEDBACK)) {
            this.mModuleDevice.startVibrate();
        }
        this.mLinearBackground.setBackgroundColor(-16711936);
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.button_exit:
            case R.id.button_exit2:
                if (!this.isPass || !this.isTestDone) {
                    setTestResultFailCase(this.mTestID);
                } else {
                    setTestResult(this.mTestID, (byte) 80);
                }
                finish();
                return;
            case R.id.button_mode_set:
                this.mBtnModeSet.setEnabled(false);
                if (startModeSet()) {
                    recreate();
                    return;
                }
                this.mText_Proximity_Row4_Col2.setText("Working");
                this.mText_Proximity_Row4_Col3.setText("Fail");
                this.mText_Proximity_Row4_Col3.setTextColor(-65536);
                this.isProxiTestOn = false;
                return;
            case R.id.button_point:
                this.mHandler.sendEmptyMessage(1);
                return;
            default:
                return;
        }
    }

    private void exit() {
        FtUtil.log_d(this.CLASS_NAME, "exit", null);
        setRelease();
        if (this.isPass) {
            setTestResult(this.mTestID, (byte) 80);
        } else {
            setTestResultFailCase(this.mTestID);
        }
        finish();
    }
}
