package com.sec.factory.app.ui;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.nfc.NfcAdapter;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.text.SpannableStringBuilder;
import android.widget.LinearLayout;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.modules.ModulePower;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.File;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Iterator;

public class UIQuickCharge extends UIBase {
    private static final String AFC_OFF = "1";
    private static final String AFC_ON = "0";
    private static final String CHARGE_MODE_TO_DEFAULT = "0";
    private static final String CHARGE_MODE_TO_DUAL = "3";
    private static final String CHARGE_MODE_TO_MASTER = "1";
    private static final String DUAL_CHARGE_MODE_OFF = "0";
    private static final String DUAL_CHARGE_MODE_ON = "3";
    private static final int MSG_SELFTEST_START = 2;
    private static final int MSG_TEST_END = 3;
    private static final int MSG_TEST_START = 1;
    private static final int WHAT_CHECK_LCD_ON = 4;
    private final int AVER_AFC_CNT;
    private final String CLASS_NAME = "UIQuickCharge";
    private int DUMMY = 0;
    private final String MODE_NORMAL;
    private final String MODE_QC2;
    private final String MODE_QC3;
    private final int TESTSTATE_CHECK_STATUS;
    private final int TESTSTATE_CONNECT;
    private final int TESTSTATE_SELFTEST;
    public int[] VOLTAGE_TABLE;
    private boolean initTest;
    private boolean isPass;
    private int mAver;
    private BroadcastReceiver mBroadcastReceiver;
    private TextView mChargeCheck;
    private ArrayList<Integer> mChargeList;
    private TextView mChargeNotice;
    private TextView mChargeRawAvg;
    private TextView mChargeRawdata1;
    private TextView mChargeRawdata2;
    private TextView mChargeRawdata3;
    private TextView mChargeRawdata4;
    private TextView mChargeRawdata5;
    private TextView mChargeSubTitle;
    private TextView mCharge_in;
    private TextView mCharge_in_result;
    private TextView mCharge_protocol;
    private TextView mCharge_protocol_result;
    private TextView mChargingMode;
    private TextView mChargingMode_result;
    private int mCount;
    private int mCurrentCount;
    private int mCurrentSpecMax;
    private int mCurrentSpecMin;
    private LinearLayout mCurrentTable;
    private Handler mHandler;
    private ModuleDevice mModuleDevice;
    private ModulePower mModulePower;
    private TextView mSelfCheck;
    private TextView mSelfNotice;
    private TextView mSelfSpec;
    private String mTestCase;
    private int mTestCount;
    private int mTestState;
    private int mVoltageSpecMax;
    private int mVoltageSpecMin;
    private final int modeChangeDelay = 9400;
    private String protocolSpec;
    private int testStep;
    private int voltage;
    private String voltageSpec;

    static /* synthetic */ int access$508(UIQuickCharge x0) {
        int i = x0.mCount;
        x0.mCount = i + 1;
        return i;
    }

    public UIQuickCharge() {
        super("UIQuickCharge", 92);
        int i = 0 + 1;
        this.DUMMY = i;
        this.TESTSTATE_CONNECT = 0;
        int i2 = i + 1;
        this.DUMMY = i2;
        this.TESTSTATE_CHECK_STATUS = i;
        this.DUMMY = i2 + 1;
        this.TESTSTATE_SELFTEST = i2;
        this.mTestCount = 0;
        this.mTestState = 0;
        this.mCurrentCount = 0;
        this.initTest = true;
        this.isPass = false;
        this.AVER_AFC_CNT = 5;
        this.mCount = 0;
        this.mAver = 0;
        this.voltage = 0;
        this.mChargeList = new ArrayList<>();
        this.MODE_QC3 = "2";
        this.MODE_QC2 = EgisFingerprint.MAJOR_VERSION;
        this.MODE_NORMAL = "0";
        this.VOLTAGE_TABLE = new int[]{0, 4, 5, 6, 7, 8, 9, 10, 12, 13, 14, 15, 16, 17, 18, 19};
        this.testStep = 1;
        this.voltageSpec = "";
        this.protocolSpec = "QC3.0";
        this.mTestCase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML((byte) FactoryTestManager.TEST_AF_CHARGE));
        this.mBroadcastReceiver = new BroadcastReceiver() {
            /* class com.sec.factory.app.ui.UIQuickCharge.AnonymousClass1 */

            public void onReceive(Context context, Intent intent) {
                String action = intent.getAction();
                FtUtil.log_d("UIQuickCharge", "mBroadcastReceiver.onReceive", "action=" + action);
                if ("android.intent.action.BATTERY_CHANGED".equals(action)) {
                    int plugged = intent.getIntExtra("plugged", 0);
                    if (UIQuickCharge.this.mTestState == UIQuickCharge.this.TESTSTATE_CONNECT && plugged == 1) {
                        FtUtil.log_d("UIQuickCharge", "Battery State: " + plugged);
                        UIQuickCharge uIQuickCharge = UIQuickCharge.this;
                        uIQuickCharge.mTestState = uIQuickCharge.TESTSTATE_CHECK_STATUS;
                        UIQuickCharge.this.mChargeNotice.setText("TA Detected\nChecking Protocol..\nPlease Wait");
                        FtUtil.log_d("UIQuickCharge", "onReceive", "delay for 9400ms to read VBUS");
                        UIQuickCharge.this.mHandler.sendEmptyMessageDelayed(1, 9400);
                    }
                }
            }
        };
        this.mHandler = new Handler() {
            /* class com.sec.factory.app.ui.UIQuickCharge.AnonymousClass2 */

            public void handleMessage(Message msg) {
                if (msg.what == 4) {
                    if (UIQuickCharge.access$508(UIQuickCharge.this) == 5) {
                        FtUtil.log_d("UIQuickCharge", "handleMessage : LCD is not on state during 1 second.");
                        UIQuickCharge.this.mCount = 0;
                        UIQuickCharge.this.mHandler.sendEmptyMessageDelayed(2, 400);
                    } else if (UIQuickCharge.this.mModulePower.isScreenOn()) {
                        UIQuickCharge.this.turnLcdOffForCurrentCheck();
                        UIQuickCharge.this.mHandler.sendEmptyMessageDelayed(2, (long) (UIQuickCharge.this.testStep == 3 ? 1000 + 500 : 1000));
                        UIQuickCharge.this.mCount = 0;
                    } else {
                        UIQuickCharge.this.mHandler.sendEmptyMessageDelayed(4, 200);
                    }
                } else if (msg.what == 1) {
                    UIQuickCharge.this.readChargeData();
                } else if (msg.what == 2) {
                    UIQuickCharge.this.readcurrent();
                } else if (msg.what == 3) {
                    UIQuickCharge.this.endMeasure();
                }
            }
        };
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_quickcharge);
        IntentFilter mIntentFilter = new IntentFilter();
        this.mModuleDevice = ModuleDevice.instance(this);
        this.mModulePower = ModulePower.instance(this);
        mIntentFilter.addAction("android.intent.action.BATTERY_CHANGED");
        this.mTestState = this.TESTSTATE_CONNECT;
        registerReceiver(this.mBroadcastReceiver, mIntentFilter);
        TextView textView = (TextView) findViewById(R.id.quickcharge_subtitle);
        this.mChargeSubTitle = textView;
        textView.setText("(QC3.0 Dual)");
        TextView textView2 = (TextView) findViewById(R.id.protocol);
        this.mCharge_protocol = textView2;
        textView2.setVisibility(8);
        TextView textView3 = (TextView) findViewById(R.id.protocol_result);
        this.mCharge_protocol_result = textView3;
        textView3.setVisibility(8);
        TextView textView4 = (TextView) findViewById(R.id.chargingmode);
        this.mChargingMode = textView4;
        textView4.setVisibility(8);
        TextView textView5 = (TextView) findViewById(R.id.chargingmode_result);
        this.mChargingMode_result = textView5;
        textView5.setVisibility(8);
        TextView textView6 = (TextView) findViewById(R.id.charge_in);
        this.mCharge_in = textView6;
        textView6.setVisibility(8);
        TextView textView7 = (TextView) findViewById(R.id.charge_in_result);
        this.mCharge_in_result = textView7;
        textView7.setVisibility(8);
        this.mChargeNotice = (TextView) findViewById(R.id.chargenotice);
        this.mChargeCheck = (TextView) findViewById(R.id.chargecheck);
        this.mSelfNotice = (TextView) findViewById(R.id.selftestnotice);
        this.mSelfCheck = (TextView) findViewById(R.id.selfcheck);
        this.mSelfSpec = (TextView) findViewById(R.id.selftestspec);
        this.mChargeNotice.setText("Connect Charger");
        LinearLayout linearLayout = (LinearLayout) findViewById(R.id.table);
        this.mCurrentTable = linearLayout;
        linearLayout.setVisibility(8);
        this.mChargeRawdata1 = (TextView) findViewById(R.id.rawdata1);
        this.mChargeRawdata2 = (TextView) findViewById(R.id.rawdata2);
        this.mChargeRawdata3 = (TextView) findViewById(R.id.rawdata3);
        this.mChargeRawdata4 = (TextView) findViewById(R.id.rawdata4);
        this.mChargeRawdata5 = (TextView) findViewById(R.id.rawdata5);
        this.mChargeRawAvg = (TextView) findViewById(R.id.rawdataavg);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        this.mHandler.removeMessages(1);
        this.mHandler.removeMessages(3);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
        this.mHandler.removeMessages(1);
        this.mHandler.removeMessages(3);
        unregisterReceiver(this.mBroadcastReceiver);
        NfcAdapter nfc = NfcAdapter.getDefaultAdapter(getApplicationContext());
        if (nfc != null && nfc.isEnabled()) {
            Intent intent = new Intent("com.samsung.android.nfc.test.action.REQUEST");
            intent.putExtra("com.samsung.android.nfc.test.extra.ID", 3);
            sendBroadcast(intent);
            FtUtil.log_d("UIQuickCharge", "when screen off / on. NFC RF discovery was enabled. so must be disabled before exit here");
        }
        this.mModulePower.doPartialWakeLock(false);
        this.mModulePower.doWakeLock(false);
        this.mChargeList.clear();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void readChargeData() {
        boolean pass_voltage;
        boolean pass_protocol = false;
        boolean pass_mode = false;
        if (this.mTestCount == 0) {
            int i = this.testStep;
            if (i == 1) {
                FtUtil.log_d("UIQuickCharge", "readChargeData", "test step -> QC 3.0");
                this.protocolSpec = "QC3.0";
                this.mVoltageSpecMax = Support.Spec.getInt(Support.Spec.QUICK_CHARGE_3_VOLTAGE_SPEC_MAX);
                this.mVoltageSpecMin = Support.Spec.getInt(Support.Spec.QUICK_CHARGE_3_VOLTAGE_SPEC_MIN);
                this.mCurrentSpecMax = Support.Spec.getInt(Support.Spec.QUICK_CHARGE_3_CURRRENT_SPEC_MAX);
                this.mCurrentSpecMin = Support.Spec.getInt(Support.Spec.QUICK_CHARGE_3_CURRRENT_SPEC_MIN);
            } else if (i == 2) {
                FtUtil.log_d("UIQuickCharge", "readChargeData", "test step -> Normal Charge");
                this.voltageSpec = "5V";
                this.protocolSpec = "Normal";
                this.mVoltageSpecMax = Support.Spec.getInt(Support.Spec.QUICK_CHARGE_NORMAL_VOLTAGE_SPEC_MAX);
                this.mVoltageSpecMin = Support.Spec.getInt(Support.Spec.QUICK_CHARGE_NORMAL_VOLTAGE_SPEC_MIN);
                this.mCurrentSpecMax = Support.Spec.getInt(Support.Spec.QUICK_CHARGE_NORMAL_CURRRENT_SPEC_MAX);
                this.mCurrentSpecMin = Support.Spec.getInt(Support.Spec.QUICK_CHARGE_NORMAL_CURRRENT_SPEC_MIN);
            }
        }
        String protocol = Support.Kernel.read(Support.Kernel.SET_QUICK_CHARGE_MODE);
        if ("2".equals(protocol)) {
            protocol = "QC3.0";
            if (this.mTestCount == 0) {
                Support.Kernel.write(Support.Kernel.SEC_MULTI_CHARGER_MODE, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION);
            }
        } else if (EgisFingerprint.MAJOR_VERSION.equals(protocol)) {
            protocol = "QC2.0";
        } else if ("0".equals(protocol)) {
            protocol = "Normal";
        }
        int i2 = this.testStep;
        if (i2 == 1) {
            if ("QC3.0".equals(protocol)) {
                pass_protocol = true;
            } else {
                pass_protocol = false;
            }
            this.mCharge_protocol.setVisibility(0);
            this.mCharge_protocol_result.setText(protocol);
            this.mCharge_protocol_result.setVisibility(0);
        } else if (i2 == 2) {
            pass_protocol = true;
            this.mCharge_protocol.setVisibility(8);
            this.mCharge_protocol_result.setVisibility(8);
        }
        String currentChargingMode = Support.Kernel.read(Support.Kernel.SEC_MULTI_CHARGER_MODE);
        this.mChargingMode.setVisibility(0);
        this.mChargingMode_result.setText(currentChargingMode);
        this.mChargingMode_result.setVisibility(0);
        int i3 = this.testStep;
        if (i3 == 1) {
            if ("dual".equals(currentChargingMode)) {
                pass_mode = true;
            } else {
                pass_mode = false;
            }
        } else if (i3 == 2) {
            if ("master".equals(currentChargingMode)) {
                pass_mode = true;
            } else {
                pass_mode = false;
            }
        }
        String voltage_raw = Support.Kernel.read(Support.Kernel.SEC_QUICK_CHARGE_VOLTAGE);
        this.voltage = this.VOLTAGE_TABLE[Integer.parseInt(voltage_raw)];
        FtUtil.log_d("UIQuickCharge", "readChargeData", "voltage(raw data) : " + voltage_raw + " / voltage(result) : " + this.voltage + "V");
        this.mCharge_in.setVisibility(0);
        TextView textView = this.mCharge_in_result;
        textView.setText(this.voltage + "[SPEC " + this.mVoltageSpecMin + " ~ " + this.mVoltageSpecMax + "V]");
        this.mCharge_in_result.setVisibility(0);
        int i4 = this.voltage;
        if (i4 < this.mVoltageSpecMin || i4 > this.mVoltageSpecMax) {
            pass_voltage = false;
        } else {
            pass_voltage = true;
            FtUtil.log_d("UIQuickCharge", "readChargeData", "voltage - PASS");
        }
        SpannableStringBuilder builder = new SpannableStringBuilder("(" + this.voltageSpec + " " + this.protocolSpec + " " + currentChargingMode + ")");
        if ("QC3.0".equals(this.protocolSpec)) {
            builder = new SpannableStringBuilder("(" + this.protocolSpec + " " + currentChargingMode + ")");
        }
        this.mChargeSubTitle.setText(builder);
        int i5 = this.mTestCount + 1;
        this.mTestCount = i5;
        if (i5 > 11) {
            FtUtil.log_i("UIQuickCharge", "readChargeData", "Connection fail");
            this.mChargeNotice.setText(" Connection : ");
            this.mChargeCheck.setTextColor(-65536);
            this.mChargeCheck.setText("FAIL");
        } else if (pass_voltage && pass_mode && pass_protocol) {
            FtUtil.log_i("UIQuickCharge", "readChargeData", "Connection pass");
            this.mChargeNotice.setText("Connection : ");
            this.mChargeCheck.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            this.mChargeCheck.setText("PASS");
            this.mTestState = this.TESTSTATE_SELFTEST;
            this.mSelfNotice.setText(" SelfTest : ");
            this.mSelfSpec.setText("SPEC : " + this.mCurrentSpecMin + "mA ~ " + this.mCurrentSpecMax + "mA");
            this.mHandler.sendEmptyMessageDelayed(4, 500);
        } else if (this.initTest) {
            this.mHandler.sendEmptyMessageDelayed(1, 1500);
            FtUtil.log_i("UIQuickCharge", "readChargeData", "delay 1.5 sec - TestCount : " + this.mTestCount);
            this.initTest = false;
        } else {
            this.mHandler.sendEmptyMessageDelayed(1, 200);
            FtUtil.log_i("UIQuickCharge", "readChargeData", "delay 0.2 sec - TestCount : " + this.mTestCount);
        }
    }

    private void currentCheck() {
        File dataAvgFile = null;
        this.mModulePower.doWakeLock(true);
        this.mCurrentTable.setVisibility(0);
        int i = this.testStep;
        if (i == 1) {
            dataAvgFile = new File("data/log/QCharge3Data.log");
            String path = dataAvgFile.getPath();
            Support.Kernel.writeToPathNsync(path, this.voltage + "," + Integer.toString(this.mAver));
        } else if (i == 2) {
            dataAvgFile = new File("data/log/QChargeNormalData.log");
            Support.Kernel.writeToPathNsync(dataAvgFile.getPath(), Integer.toString(this.mAver));
        }
        FtUtil.log_i("UIQuickCharge", "readFromPath", "AVG value in file : " + Support.Kernel.readFromPath(dataAvgFile.getPath(), true));
        int i2 = this.mAver;
        if (i2 < this.mCurrentSpecMin || i2 > this.mCurrentSpecMax) {
            FtUtil.log_i("UIQuickCharge", "currentCheck", "current SelfTest: FAIL ");
            this.mSelfCheck.setTextColor(-65536);
            this.mSelfCheck.setText("FAIL");
            return;
        }
        FtUtil.log_i("UIQuickCharge", "currentCheck", "current SelfTest: PASS ");
        this.mSelfCheck.setTextColor(UiHallICTest.FONT_COLOR_PASS);
        this.mSelfCheck.setText("PASS");
        this.isPass = true;
        int i3 = this.testStep;
        if (i3 == 1) {
            Support.Kernel.write(Support.Kernel.SET_QUICK_CHARGE_MODE, "0");
            Support.Kernel.write(Support.Kernel.SEC_MULTI_CHARGER_MODE, EgisFingerprint.MAJOR_VERSION);
            this.mHandler.sendEmptyMessageDelayed(3, 3000);
        } else if (i3 == 2) {
            this.mHandler.sendEmptyMessageDelayed(3, 1000);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void readcurrent() {
        int i = this.mCurrentCount + 1;
        this.mCurrentCount = i;
        if (i <= 5) {
            this.mChargeList.add(Integer.valueOf(Integer.parseInt(Support.Kernel.read(Support.Kernel.HV_CHARGE_CURRENT)) / 1000));
            StringBuilder sb = new StringBuilder();
            sb.append("Charge Current:");
            ArrayList<Integer> arrayList = this.mChargeList;
            sb.append(arrayList.get(arrayList.size() - 1));
            sb.append(" / mCurrentCount : ");
            sb.append(this.mCurrentCount);
            FtUtil.log_i("UIQuickCharge", "readcurrent", sb.toString());
            this.mHandler.sendEmptyMessageDelayed(2, 400);
            return;
        }
        this.mCurrentCount = 0;
        average();
    }

    private void average() {
        FtUtil.log_d("UIQuickCharge", "average", "");
        TextView textView = this.mChargeRawdata1;
        textView.setText("" + this.mChargeList.get(0));
        TextView textView2 = this.mChargeRawdata2;
        textView2.setText("" + this.mChargeList.get(1));
        TextView textView3 = this.mChargeRawdata3;
        textView3.setText("" + this.mChargeList.get(2));
        TextView textView4 = this.mChargeRawdata4;
        textView4.setText("" + this.mChargeList.get(3));
        TextView textView5 = this.mChargeRawdata5;
        textView5.setText("" + this.mChargeList.get(4));
        Collections.sort(this.mChargeList);
        ArrayList<Integer> arrayList = this.mChargeList;
        arrayList.remove(arrayList.size() - 1);
        this.mChargeList.remove(0);
        Integer sum = 0;
        Iterator<Integer> it = this.mChargeList.iterator();
        while (it.hasNext()) {
            sum = Integer.valueOf(sum.intValue() + it.next().intValue());
        }
        this.mAver = (int) (((float) sum.intValue()) / 3.0f);
        this.mChargeList.clear();
        TextView textView6 = this.mChargeRawAvg;
        textView6.setText("" + this.mAver);
        FtUtil.log_i("UIQuickCharge", "average", "Averege Current: " + this.mAver);
        currentCheck();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void endMeasure() {
        this.mTestCount = 0;
        this.mCurrentCount = 0;
        this.mAver = 0;
        this.initTest = true;
        setTestResult();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void turnLcdOffForCurrentCheck() {
        FtUtil.log_i("UIQuickCharge", "turnLcdOffForCurrentCheck", "Turn LCD Off");
        this.mModulePower.doPartialWakeLock(true);
        this.mModulePower.doWakeLock(false);
        if (Support.Feature.getBoolean(Support.Feature.NEED_LPA_MODE_SET, true)) {
            this.mModuleDevice.setLPAmode(ModuleDevice.LPA_MODE_DISABLE);
        }
        this.mModulePower.gotosleep();
    }

    private void setTestResult() {
        FtUtil.log_e("UIQuickCharge", "setTestResult", " isPass : " + this.isPass);
        int i = this.testStep;
        if (i < 2) {
            this.isPass = false;
            this.testStep = i + 1;
            this.mChargeNotice.setText("");
            this.mCharge_protocol_result.setText("");
            this.mChargingMode_result.setText("");
            this.mCharge_in_result.setText("");
            this.mChargeCheck.setText("");
            this.mSelfCheck.setText("");
            this.mSelfNotice.setText("");
            this.mSelfSpec.setText("");
            this.mCurrentTable.setVisibility(8);
            this.mHandler.sendEmptyMessage(1);
            return;
        }
        if (this.isPass) {
            setTestResult((byte) 80);
            setTestResult(18, (byte) 80);
        } else {
            setTestResultFailCase(92);
        }
        finish();
    }
}
