package com.sec.factory.app.ui;

import android.app.Activity;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.MotionEvent;
import android.view.View;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.ModulePower;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.lang.ref.WeakReference;

public class UIRGBPEonoffTest extends UIBase implements View.OnTouchListener, View.OnClickListener {
    private static final int IGNORE_TOUCH_DELAY = 5000;
    private static final int IGNORE_TOUCH_END = 11;
    private static final int SHOW_PASS_FAIL_BTN = 10;
    private LinearLayout mBackgroundLayout;
    private Button mBtnFail;
    private Button mBtnPass;
    private WeakReferenceTestHandler mHandler = new WeakReferenceTestHandler(this) {
        /* class com.sec.factory.app.ui.UIRGBPEonoffTest.AnonymousClass1 */

        public void handleMessage(Message msg) {
            UIRGBPEonoffTest act = (UIRGBPEonoffTest) this.ref.get();
            switch (msg.what) {
                case 10:
                    act.setUIVisible(true);
                    return;
                case 11:
                    act.setShowBtnEnabledFlag(true);
                    return;
                default:
                    return;
            }
        }
    };
    private boolean mIsShowBtnEnabled = false;
    private TextView mTxtTitle;

    public UIRGBPEonoffTest() {
        super("UIRGBPEonoffTest", FactoryTestManager.TEST_RGB_PE_ONOFF_TEST);
    }

    protected static class WeakReferenceTestHandler extends Handler {
        protected final WeakReference<Activity> ref;

        public WeakReferenceTestHandler(Activity act) {
            this.ref = new WeakReference<>(act);
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_rgb_pe_onoff_test);
        FtUtil.setRemoveSystemUI(getWindow(), true);
        initializeUI();
    }

    private void initializeUI() {
        this.mBtnPass = (Button) findViewById(R.id.pass_btn);
        this.mBtnFail = (Button) findViewById(R.id.fail_btn);
        this.mTxtTitle = (TextView) findViewById(R.id.test_title);
        this.mBackgroundLayout = (LinearLayout) findViewById(R.id.background_layout);
        this.mBtnPass.setOnClickListener(this);
        this.mBtnFail.setOnClickListener(this);
        this.mBackgroundLayout.setOnTouchListener(this);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        ModulePower.instance(this).setBrightness(255);
        Support.Kernel.write(Support.Kernel.RGB_PE_ONOFF, EgisFingerprint.MAJOR_VERSION);
        FtUtil.log_d(this.CLASS_NAME, "onResume", "IGNORE_TOUCH_DELAY: 5000");
        this.mHandler.sendEmptyMessageDelayed(11, 5000);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        Support.Kernel.write(Support.Kernel.RGB_PE_ONOFF, "0");
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
    }

    public boolean onTouch(View view, MotionEvent motionEvent) {
        FtUtil.log_i(this.CLASS_NAME, "onTouch", "Motion Event");
        switch (motionEvent.getAction()) {
            case 0:
                FtUtil.log_i(this.CLASS_NAME, "onTouch", "Touch down");
                if (!getShowBtnEnabledFlag()) {
                    return true;
                }
                Support.Kernel.write(Support.Kernel.RGB_PE_ONOFF, "0");
                this.mHandler.sendEmptyMessage(10);
                return true;
            default:
                return true;
        }
    }

    public void onClick(View view) {
        switch (view.getId()) {
            case R.id.fail_btn:
                FtUtil.log_i(this.CLASS_NAME, "onClick", "FAIL");
                finish();
                return;
            case R.id.pass_btn:
                FtUtil.log_i(this.CLASS_NAME, "onClick", "PASS");
                setTestResult((byte) 80);
                finish();
                return;
            default:
                return;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setUIVisible(boolean flag) {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "btnVisible", "Visible : " + flag);
        if (flag) {
            this.mBtnPass.setVisibility(0);
            this.mBtnFail.setVisibility(0);
            this.mTxtTitle.setVisibility(0);
            return;
        }
        this.mBtnPass.setVisibility(4);
        this.mBtnFail.setVisibility(4);
        this.mTxtTitle.setVisibility(4);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setShowBtnEnabledFlag(boolean value) {
        this.mIsShowBtnEnabled = value;
    }

    private boolean getShowBtnEnabledFlag() {
        return this.mIsShowBtnEnabled;
    }
}
