package com.sec.factory.app.ui;

import android.content.Context;
import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.View;
import android.widget.Button;
import android.widget.TableLayout;
import android.widget.TableRow;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.app.ui.UIRangingSensorTest;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Iterator;

public class UIRangingSensorCal extends UIBase implements View.OnClickListener, Serializable {
    public final int WHAT_TEST_CALIBRATION = 1003;
    public final int WHAT_TEST_FINISH = 1005;
    public final int WHAT_TEST_INIT = 1001;
    public final int WHAT_TEST_START = 1002;
    public final int WHAT_UPDATE_UI = 1004;
    private String chipID;
    private TextView[][] mArrTextViewValue;
    private Button mBtnDetail;
    private Button mBtnExit;
    private Button mBtnStart;
    public Context mContext;
    ArrayList<UIRangingSensorTest.RangingSensorData> mDataList = new ArrayList<>();
    public Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UIRangingSensorCal.AnonymousClass1 */

        public void handleMessage(Message msg) {
            if (msg.what == 1001) {
                FtUtil.log_d(UIRangingSensorCal.this.CLASS_NAME, "mHandler.handleMessage", "WHAT_TEST_INIT");
                UIRangingSensorCal.this.initUI();
            } else if (msg.what == 1002) {
                FtUtil.log_d(UIRangingSensorCal.this.CLASS_NAME, "mHandler.handleMessage", "WHAT_TEST_START");
                UIRangingSensorCal.this.startCalibration();
                UIRangingSensorCal.this.getData();
                UIRangingSensorCal.this.saveResultData();
                UIRangingSensorCal.this.mHandler.sendEmptyMessageDelayed(1004, 100);
            } else if (msg.what == 1004) {
                FtUtil.log_d(UIRangingSensorCal.this.CLASS_NAME, "mHandler.handleMessage", "WHAT_UPDATE_UI");
                UIRangingSensorCal.this.updateUI();
                UIRangingSensorCal.this.checkResult();
            } else if (msg.what == 1005) {
                FtUtil.log_d(UIRangingSensorCal.this.CLASS_NAME, "mHandler.handleMessage", "WHAT_TEST_FINISH");
                UIRangingSensorCal.this.finish();
            }
        }
    };
    private boolean mIsAtCmd = false;
    private int mItemCount;
    private boolean mRawDataResult = true;
    private TableRow[] mRow;
    private int mSizeX;
    private int mSizeY;
    private TableLayout mTable;
    private TextView mTextChipID;
    private TextView mTextTherResult;
    private TextView mTextTherTitle;
    private boolean mThermistorResult = true;
    private String therSpecMax;
    private String therSpecMin;
    private String therString;
    private String therValue;

    public UIRangingSensorCal() {
        super("UIRangingSensorCal");
    }

    public UIRangingSensorCal(String type, Context context) {
        super("UIRangingSensorCal");
        if ("ATCMD".equals(type)) {
            this.mIsAtCmd = true;
            this.mContext = context;
        }
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_ranging_sensor_cal);
        this.mHandler.sendEmptyMessageDelayed(1001, 10);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        if (this.mIsAtCmd) {
            this.mHandler.sendEmptyMessageDelayed(1002, 10);
            this.mBtnStart.setEnabled(false);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void initUI() {
        FtUtil.log_d(this.CLASS_NAME, "initUI", "");
        this.mTextChipID = (TextView) findViewById(R.id.chip_id_result);
        this.mTextTherTitle = (TextView) findViewById(R.id.ther_check_title);
        this.mTextTherResult = (TextView) findViewById(R.id.ther_check_result);
        this.mTable = (TableLayout) findViewById(R.id.table);
        Button button = (Button) findViewById(R.id.btn_start);
        this.mBtnStart = button;
        button.setOnClickListener(this);
        Button button2 = (Button) findViewById(R.id.btn_exit);
        this.mBtnExit = button2;
        button2.setOnClickListener(this);
        Button button3 = (Button) findViewById(R.id.btn_detail);
        this.mBtnDetail = button3;
        button3.setOnClickListener(this);
        this.mBtnDetail.setEnabled(false);
    }

    public void startCalibration() {
        FtUtil.log_d(this.CLASS_NAME, "startCalibration", "");
        Support.Kernel.write(Support.Kernel.RANGE_SENSOR_CALIBRATION, EgisFingerprint.MAJOR_VERSION);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void updateUI() {
        FtUtil.log_d(this.CLASS_NAME, "updateUI", "");
        this.mTextChipID.setText(this.chipID);
        TextView textView = this.mTextTherTitle;
        textView.setText(((Object) this.mTextTherTitle.getText()) + " ( Spec : " + this.therSpecMin + " ~ " + this.therSpecMax + " )");
        this.mTextTherResult.setText(this.therValue);
        if (this.mThermistorResult) {
            this.mTextTherResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
        } else {
            this.mTextTherResult.setTextColor(-65536);
        }
        this.mBtnDetail.setEnabled(true);
        TableRow.LayoutParams rowLayout = new TableRow.LayoutParams(-1, -2);
        int size = this.mDataList.size();
        this.mItemCount = size;
        this.mRow = new TableRow[size];
        for (int y = 0; y < this.mItemCount; y++) {
            this.mRow[y] = new TableRow(this);
            this.mRow[y].addView(getTextView(this.mDataList.get(y).getTitle(), false));
            this.mRow[y].addView(getTextView(this.mDataList.get(y).getMinData(), false));
            this.mRow[y].addView(getTextView(this.mDataList.get(y).getMaxData(), false));
            this.mRow[y].addView(getTextView(this.mDataList.get(y).getAvgData(), false));
            this.mRow[y].addView(getTextView(this.mDataList.get(y).getResult(), true));
            this.mTable.addView(this.mRow[y], rowLayout);
        }
        this.mBtnStart.setEnabled(true);
    }

    private void clearUI() {
        while (this.mTable.getChildCount() > 1) {
            this.mTable.removeView((TableRow) this.mTable.getChildAt(1));
        }
        this.mDataList.clear();
    }

    private TextView getTextView(String str, boolean isResult) {
        TableRow.LayoutParams tvParams = new TableRow.LayoutParams(-1, -2);
        tvParams.setMargins(1, 1, 1, 1);
        TextView tView = new TextView(this);
        tView.setText(str);
        tView.setBackgroundColor(-1);
        tView.setGravity(17);
        tView.setTextSize(15.0f);
        tView.setLayoutParams(tvParams);
        if (isResult) {
            if ("PASS".equals(str)) {
                tView.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            } else {
                tView.setTextColor(-65536);
            }
        }
        return tView;
    }

    public void getData() {
        FtUtil.log_d(this.CLASS_NAME, "getData", "");
        FtUtil.Sleep.sleep(100);
        this.chipID = Support.Kernel.read(Support.Kernel.RANGE_SENSOR_CAL_DATA_ID);
        FtUtil.Sleep.sleep(100);
        this.therString = Support.Kernel.read(Support.Kernel.RANGE_SENSOR_TEMP);
        int sqrt = (int) Math.sqrt((double) Integer.parseInt(Support.Kernel.read(Support.Kernel.RANGE_SENSOR_TEST_MODE).split(",")[1]));
        this.mSizeY = sqrt;
        this.mSizeX = sqrt;
        String str = this.therString;
        if (str != null) {
            this.therSpecMin = str.split(",")[0];
            this.therSpecMax = this.therString.split(",")[1];
            this.therValue = this.therString.split(",")[2];
        }
        String filePath = Support.Kernel.getFilePath(Support.Kernel.RANGE_SENSOR_TEST_CAL_ITEM_0);
        for (int idx = 1; idx <= 10; idx++) {
            String path = filePath + idx;
            FtUtil.log_d(this.CLASS_NAME, "getData", "path : " + path);
            if (Support.Kernel.isExistFilePath(path)) {
                this.mDataList.add(new UIRangingSensorTest.RangingSensorData(Support.Kernel.readFromPath(path, true)));
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void checkResult() {
        FtUtil.log_d(this.CLASS_NAME, "checkResult", "");
        if (Integer.parseInt(this.therValue) < Integer.parseInt(this.therSpecMin) || Integer.parseInt(this.therValue) > Integer.parseInt(this.therSpecMax)) {
            this.mThermistorResult = false;
        }
        Iterator<UIRangingSensorTest.RangingSensorData> it = this.mDataList.iterator();
        while (true) {
            if (it.hasNext()) {
                if ("FAIL".equals(it.next().getResult())) {
                    this.mRawDataResult = false;
                    break;
                }
            } else {
                break;
            }
        }
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "checkResult", "mThermistorResult : " + this.mThermistorResult + " mRawDataResult :" + this.mRawDataResult);
        if (!this.mThermistorResult || !this.mRawDataResult) {
            setTestResultFailCase(FactoryTestManager.TEST_RANGING_SENSOR_CAL);
            FtUtil.log_d(this.CLASS_NAME, "checkResult", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(FactoryTestManager.TEST_RANGING_SENSOR_CAL), "FAIL"));
            return;
        }
        setTestResult(FactoryTestManager.TEST_RANGING_SENSOR_CAL, (byte) 80);
        FtUtil.log_d(this.CLASS_NAME, "checkResult", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(FactoryTestManager.TEST_RANGING_SENSOR_CAL), "PASS"));
    }

    public void saveResultData() {
        SharedPreferences preferences;
        FtUtil.log_d(this.CLASS_NAME, "saveResultData", "");
        String rawData = "";
        String result = "OK";
        if (this.mIsAtCmd) {
            preferences = this.mContext.getSharedPreferences("RANGING_SERSOR_CAL_RESULT", 0);
        } else {
            preferences = getSharedPreferences("RANGING_SERSOR_CAL_RESULT", 0);
        }
        SharedPreferences.Editor editor = preferences.edit();
        if (!this.mThermistorResult) {
            result = "NG";
        }
        Iterator<UIRangingSensorTest.RangingSensorData> it = this.mDataList.iterator();
        while (it.hasNext()) {
            UIRangingSensorTest.RangingSensorData data = it.next();
            if ("FAIL".equals(data.getResult())) {
                result = "NG";
            }
            rawData = rawData + "," + data.getStrForFile();
        }
        editor.putString("RESULT_DATA", result + "," + this.chipID + "," + this.therValue + rawData);
        editor.commit();
        if (!this.mIsAtCmd && "OK".equals(result)) {
            this.mHandler.sendEmptyMessageDelayed(1005, 1000);
        }
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.btn_detail:
                Intent i = new Intent(this, UIRangingSensorDetail.class);
                i.putExtra("DATA_LIST", this.mDataList);
                i.putExtra("TITLE", "Ranging Sensor Calibration");
                i.putExtra("SIZE_X", this.mSizeX);
                i.putExtra("SIZE_Y", this.mSizeY);
                startActivity(i);
                return;
            case R.id.btn_exit:
                finish();
                return;
            case R.id.btn_start:
                clearUI();
                this.mHandler.sendEmptyMessageDelayed(1002, 10);
                this.mBtnStart.setEnabled(false);
                return;
            default:
                return;
        }
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
    }
}
