package com.sec.factory.app.ui;

import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.View;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.TableLayout;
import android.widget.TableRow;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.ui.UIRangingSensorTest;
import com.sec.factory.support.FtUtil;
import java.lang.reflect.Array;
import java.util.ArrayList;

public class UIRangingSensorDetail extends UIBase implements View.OnClickListener {
    public final int WHAT_TEST_FINISH = 1003;
    public final int WHAT_TEST_INIT = 1001;
    public final int WHAT_TEST_START = 1002;
    private TextView[][] arrData;
    private TextView[][] mArrTextViewValue;
    private String mAvg = "";
    private Button mBtnExit;
    ArrayList<UIRangingSensorTest.RangingSensorData> mDataList;
    public Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UIRangingSensorDetail.AnonymousClass1 */

        public void handleMessage(Message msg) {
            if (msg.what == 1001) {
                FtUtil.log_d(UIRangingSensorDetail.this.CLASS_NAME, "mHandler.handleMessage", "WHAT_TEST_INIT");
                UIRangingSensorDetail.this.initUI();
            } else if (msg.what == 1003) {
                FtUtil.log_d(UIRangingSensorDetail.this.CLASS_NAME, "mHandler.handleMessage", "WHAT_TEST_FINISH");
                UIRangingSensorDetail.this.finish();
            }
        }
    };
    private LinearLayout mLayoutBtn;
    private String mMax = "";
    private String mMin = "";
    private boolean mResult = false;
    private int mSizeX;
    private int mSizeY;
    private int mSpecMax = 500;
    private int mSpecMin = 100;
    private String mTitle = "Ranging Sensor Test";
    private TextView mTxtAvg;
    private TextView mTxtDataType;
    private TextView mTxtMax;
    private TextView mTxtMin;
    private TextView mTxtResult;
    private TextView mTxtTitle;
    private TableRow[] row;
    private TableLayout table;

    public UIRangingSensorDetail() {
        super("UIRangingSensorDetail");
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_ranging_sensor_detail);
        Intent intent = getIntent();
        this.mDataList = (ArrayList) intent.getSerializableExtra("DATA_LIST");
        this.mTitle = intent.getStringExtra("TITLE");
        this.mSizeX = intent.getIntExtra("SIZE_X", 0);
        this.mSizeY = intent.getIntExtra("SIZE_Y", 0);
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "onCreate", "mTitle : " + this.mTitle);
        String str2 = this.CLASS_NAME;
        FtUtil.log_d(str2, "onCreate", "mSizeX : " + this.mSizeX + ", mSizeY : " + this.mSizeY);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        this.mHandler.sendEmptyMessageDelayed(1001, 300);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void initUI() {
        FtUtil.log_d(this.CLASS_NAME, "initUI", "");
        this.mTxtTitle = (TextView) findViewById(R.id.txt_title);
        this.mTxtDataType = (TextView) findViewById(R.id.txt_data_type);
        this.mTxtMin = (TextView) findViewById(R.id.txt_min);
        this.mTxtMax = (TextView) findViewById(R.id.txt_max);
        this.mTxtAvg = (TextView) findViewById(R.id.txt_avg);
        this.mTxtResult = (TextView) findViewById(R.id.txt_result);
        Button button = (Button) findViewById(R.id.btn_exit);
        this.mBtnExit = button;
        button.setOnClickListener(this);
        this.mLayoutBtn = (LinearLayout) findViewById(R.id.layout_button_list);
        this.table = (TableLayout) findViewById(R.id.table);
        for (int i = 0; i < this.mDataList.size(); i++) {
            this.mLayoutBtn.addView(getButton(this.mDataList.get(i).getTitle(), i));
        }
        this.mTxtTitle.setText(this.mTitle);
    }

    private Button getButton(String title, int id) {
        Button btn = new Button(this);
        btn.setText(title);
        btn.setWidth(300);
        btn.setId(id);
        btn.setOnClickListener(new View.OnClickListener() {
            /* class com.sec.factory.app.ui.UIRangingSensorDetail.AnonymousClass2 */

            public void onClick(View v) {
                UIRangingSensorDetail.this.updateUI(v.getId());
            }
        });
        return btn;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void updateUI(int id) {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "updateUI", "Title : " + this.mDataList.get(id).getTitle());
        TextView textView = this.mTxtDataType;
        textView.setText("- " + this.mDataList.get(id).getTitle() + "(Spec : " + this.mDataList.get(id).getSpecMin() + " ~ " + this.mDataList.get(id).getSpecMax() + ")");
        TextView textView2 = this.mTxtMin;
        StringBuilder sb = new StringBuilder();
        sb.append("Min : ");
        sb.append(this.mDataList.get(id).getMinData());
        textView2.setText(sb.toString());
        TextView textView3 = this.mTxtMax;
        textView3.setText("Max : " + this.mDataList.get(id).getMaxData());
        TextView textView4 = this.mTxtAvg;
        textView4.setText("Avg : " + this.mDataList.get(id).getAvgData());
        TableRow.LayoutParams rowLayout = new TableRow.LayoutParams(-1, -2);
        TableRow.LayoutParams tvParams = new TableRow.LayoutParams(-1, -2);
        tvParams.setMargins(1, 1, 1, 1);
        this.table.removeAllViews();
        int i = this.mSizeY;
        this.row = new TableRow[i];
        int[] iArr = new int[2];
        iArr[1] = this.mSizeX;
        iArr[0] = i;
        this.arrData = (TextView[][]) Array.newInstance(TextView.class, iArr);
        int idx = 0;
        for (int y = 0; y < this.mSizeY; y++) {
            this.row[y] = new TableRow(this);
            int x = 0;
            while (x < this.mSizeX) {
                this.arrData[y][x] = new TextView(this);
                this.arrData[y][x].setText(this.mDataList.get(id).getRawData(idx));
                this.arrData[y][x].setBackgroundColor(-1);
                this.arrData[y][x].setGravity(17);
                this.arrData[y][x].setTextSize(15.0f);
                int idx2 = idx + 1;
                if (!this.mDataList.get(id).getIndexResult(idx)) {
                    this.arrData[y][x].setTextColor(-65536);
                }
                this.arrData[y][x].setLayoutParams(tvParams);
                this.row[y].addView(this.arrData[y][x]);
                x++;
                idx = idx2;
            }
            this.table.addView(this.row[y], rowLayout);
        }
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.btn_exit:
                finish();
                return;
            default:
                return;
        }
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
    }
}
