package com.sec.factory.app.ui;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.View;
import android.widget.Button;
import android.widget.TableLayout;
import android.widget.TableRow;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Iterator;

public class UIRangingSensorTest extends UIBase implements View.OnClickListener, Serializable {
    private static final String RANGING_SENSOR_TEST_300_FINISH = "com.sec.factory.app.factorytest.finishRangingSensorTest300";
    private static final String RANGING_SENSOR_TEST_500_FINISH = "com.sec.factory.app.factorytest.finishRangingSensorTest500";
    private static boolean mIsAtCommand = false;
    public final int WHAT_CHECK_RESULT = 1004;
    public final int WHAT_TEST_FINISH = 1005;
    public final int WHAT_TEST_INIT = 1001;
    public final int WHAT_TEST_START = 1002;
    public final int WHAT_UPDATE_UI = 1003;
    private TextView[][] mArrTextViewValue;
    private BroadcastReceiver mBroadcastReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.app.ui.UIRangingSensorTest.AnonymousClass2 */

        public void onReceive(Context context, Intent intent) {
            String action = intent.getAction();
            String str = UIRangingSensorTest.this.CLASS_NAME;
            FtUtil.log_d(str, "mBroadcastReceiver.onReceive", "action=" + action);
            String str2 = UIRangingSensorTest.this.CLASS_NAME;
            FtUtil.log_d(str2, "mBroadcastReceiver.onReceive", "mTestTitle=" + UIRangingSensorTest.this.mTestTitle);
            if (UIRangingSensorTest.RANGING_SENSOR_TEST_500_FINISH.equals(action)) {
                if (UIRangingSensorTest.this.mTestID == 347) {
                    UIRangingSensorTest.this.mHandler.sendEmptyMessageDelayed(1005, 10);
                    UIRangingSensorTest.this.sensorOff();
                    UIRangingSensorTest.this.finish();
                }
            } else if (UIRangingSensorTest.RANGING_SENSOR_TEST_300_FINISH.equals(action) && UIRangingSensorTest.this.mTestID == 345) {
                UIRangingSensorTest.this.mHandler.sendEmptyMessageDelayed(1005, 10);
                UIRangingSensorTest.this.sensorOff();
                UIRangingSensorTest.this.finish();
            }
        }
    };
    private Button mBtnDetail;
    private Button mBtnExit;
    private Button mBtnStart;
    private String mCalDataID;
    private String mChipID;
    ArrayList<RangingSensorData> mDataList = new ArrayList<>();
    public Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UIRangingSensorTest.AnonymousClass1 */

        public void handleMessage(Message msg) {
            if (msg.what == 1001) {
                FtUtil.log_d(UIRangingSensorTest.this.CLASS_NAME, "mHandler.handleMessage", "WHAT_TEST_INIT");
                UIRangingSensorTest.this.sensorOn();
                UIRangingSensorTest.this.initUI();
                if (UIRangingSensorTest.mIsAtCommand) {
                    UIRangingSensorTest.this.mHandler.sendEmptyMessageDelayed(1002, 10);
                }
            } else if (msg.what == 1002) {
                FtUtil.log_d(UIRangingSensorTest.this.CLASS_NAME, "mHandler.handleMessage", "WHAT_TEST_START");
                UIRangingSensorTest.this.readData();
                UIRangingSensorTest.this.updateUI();
                UIRangingSensorTest.this.mHandler.sendEmptyMessageDelayed(1004, 10);
            } else if (msg.what == 1004) {
                FtUtil.log_d(UIRangingSensorTest.this.CLASS_NAME, "mHandler.handleMessage", "WHAT_CHECK_RESULT");
                UIRangingSensorTest.this.checkResult();
                UIRangingSensorTest.this.mHandler.sendEmptyMessageDelayed(1005, 1000);
            } else if (msg.what == 1005) {
                FtUtil.log_d(UIRangingSensorTest.this.CLASS_NAME, "mHandler.handleMessage", "WHAT_TEST_FINISH");
                UIRangingSensorTest.this.testFinish();
            }
        }
    };
    private boolean mIDResult = true;
    private int mItemCount;
    private boolean mRawDataResult = true;
    private TableRow[] mRow;
    private int mSizeX;
    private int mSizeY;
    private TableLayout mTable;
    private int mTestID;
    private String mTestTitle;
    private TextView mTextCalDataID;
    private TextView mTextChipIDResult;
    private TextView mTextModuleID;
    private TextView mTextTitle;

    public UIRangingSensorTest() {
        super("UIRangingSensorTest");
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_ranging_sensor_test);
        this.mTestID = getIntent().getIntExtra("testID", FactoryTestManager.TEST_RANGING_SENSOR_300);
        boolean booleanExtra = getIntent().getBooleanExtra("mIsAtCmd", false);
        mIsAtCommand = booleanExtra;
        setAtCmd(booleanExtra);
        IntentFilter mIntentFilter = new IntentFilter();
        mIntentFilter.addAction(RANGING_SENSOR_TEST_300_FINISH);
        mIntentFilter.addAction(RANGING_SENSOR_TEST_500_FINISH);
        registerReceiver(this.mBroadcastReceiver, mIntentFilter);
        this.mHandler.sendEmptyMessageDelayed(1001, 10);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
    }

    /* access modifiers changed from: protected */
    public void onNewIntent(Intent intent) {
        FtUtil.log_d(this.CLASS_NAME, "onNewIntent", "onNewIntent");
        super.onNewIntent(intent);
        clearUI();
        this.mHandler.sendEmptyMessageDelayed(1002, 10);
        this.mBtnStart.setEnabled(false);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void sensorOn() {
        if (this.mTestID == 345) {
            this.mTestTitle = "Ranging Sensor Test (300mm)";
            Support.Kernel.write(Support.Kernel.RANGE_SENSOR_TEST_MODE, "0");
            FtUtil.log_d(this.CLASS_NAME, "sensorOn", this.mTestTitle);
        } else {
            this.mTestTitle = "Ranging Sensor Test (500mm)";
            Support.Kernel.write(Support.Kernel.RANGE_SENSOR_TEST_MODE, EgisFingerprint.MAJOR_VERSION);
            FtUtil.log_d(this.CLASS_NAME, "sensorOn", this.mTestTitle);
        }
        Support.Kernel.write(Support.Kernel.RANGE_SENSOR_ENABLE, EgisFingerprint.MAJOR_VERSION);
        String result = Support.Kernel.read(Support.Kernel.RANGE_SENSOR_ENABLE);
        if (EgisFingerprint.MAJOR_VERSION.equals(result)) {
            FtUtil.log_d(this.CLASS_NAME, "sensorOn", "Sensor On");
            return;
        }
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "sensorOn", "Sensor On Fail, result : " + result);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void sensorOff() {
        FtUtil.log_d(this.CLASS_NAME, "sensorOff", "Sensor Off");
        Support.Kernel.write(Support.Kernel.RANGE_SENSOR_ENABLE, "0");
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void initUI() {
        FtUtil.log_d(this.CLASS_NAME, "initUI", "");
        this.mTextTitle = (TextView) findViewById(R.id.test_title);
        this.mTextModuleID = (TextView) findViewById(R.id.module_chip_id_result);
        this.mTextCalDataID = (TextView) findViewById(R.id.cal_chip_id_result);
        this.mTextChipIDResult = (TextView) findViewById(R.id.chip_id_result);
        this.mTable = (TableLayout) findViewById(R.id.table);
        Button button = (Button) findViewById(R.id.btn_start);
        this.mBtnStart = button;
        button.setOnClickListener(this);
        Button button2 = (Button) findViewById(R.id.btn_exit);
        this.mBtnExit = button2;
        button2.setOnClickListener(this);
        Button button3 = (Button) findViewById(R.id.btn_detail);
        this.mBtnDetail = button3;
        button3.setOnClickListener(this);
        this.mBtnDetail.setEnabled(false);
        this.mTextTitle.setText(this.mTestTitle);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void updateUI() {
        String str;
        FtUtil.log_d(this.CLASS_NAME, "updateUI", "");
        this.mTextModuleID.setText(this.mChipID);
        this.mTextCalDataID.setText(this.mCalDataID);
        this.mBtnDetail.setEnabled(true);
        String str2 = this.mChipID;
        if (str2 == null || (str = this.mCalDataID) == null || !str2.equals(str)) {
            this.mTextChipIDResult.setText("FAIL");
            this.mTextChipIDResult.setTextColor(-65536);
            String str3 = this.CLASS_NAME;
            FtUtil.log_e(str3, "updateUI", "ID Check Fail! mTextModuleID : " + this.mTextModuleID);
            String str4 = this.CLASS_NAME;
            FtUtil.log_e(str4, "updateUI", "ID Check Fail! mTextCalDataID : " + this.mTextCalDataID);
            this.mIDResult = false;
        } else {
            this.mTextChipIDResult.setText("PASS");
            this.mTextChipIDResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            this.mIDResult = true;
        }
        TableRow.LayoutParams rowLayout = new TableRow.LayoutParams(-1, -2);
        int size = this.mDataList.size();
        this.mItemCount = size;
        this.mRow = new TableRow[size];
        for (int y = 0; y < this.mItemCount; y++) {
            this.mRow[y] = new TableRow(this);
            this.mRow[y].addView(getTextView(this.mDataList.get(y).getTitle(), false));
            this.mRow[y].addView(getTextView(this.mDataList.get(y).getMinData(), false));
            this.mRow[y].addView(getTextView(this.mDataList.get(y).getMaxData(), false));
            this.mRow[y].addView(getTextView(this.mDataList.get(y).getAvgData(), false));
            this.mRow[y].addView(getTextView(this.mDataList.get(y).getResult(), true));
            this.mTable.addView(this.mRow[y], rowLayout);
        }
        this.mBtnStart.setEnabled(true);
    }

    private void clearUI() {
        FtUtil.log_d(this.CLASS_NAME, "clearUI", "");
        while (this.mTable.getChildCount() > 1) {
            this.mTable.removeView((TableRow) this.mTable.getChildAt(1));
        }
        this.mDataList.clear();
    }

    private TextView getTextView(String str, boolean isResult) {
        TableRow.LayoutParams tvParams = new TableRow.LayoutParams(-1, -2);
        tvParams.setMargins(1, 1, 1, 1);
        TextView tView = new TextView(this);
        tView.setText(str);
        tView.setBackgroundColor(-1);
        tView.setGravity(17);
        tView.setTextSize(15.0f);
        tView.setLayoutParams(tvParams);
        if (isResult) {
            if ("PASS".equals(str)) {
                tView.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            } else {
                tView.setTextColor(-65536);
            }
        }
        return tView;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void readData() {
        FtUtil.log_d(this.CLASS_NAME, "readData", "");
        this.mChipID = Support.Kernel.read(Support.Kernel.RANGE_SENSOR_CHIP_ID);
        this.mCalDataID = Support.Kernel.read(Support.Kernel.RANGE_SENSOR_CAL_DATA_ID);
        int sqrt = (int) Math.sqrt((double) Integer.parseInt(Support.Kernel.read(Support.Kernel.RANGE_SENSOR_TEST_MODE).split(",")[1]));
        this.mSizeY = sqrt;
        this.mSizeX = sqrt;
        String filePath = Support.Kernel.getFilePath(Support.Kernel.RANGE_SENSOR_TEST_ITEM_0);
        for (int idx = 1; idx <= 10; idx++) {
            String path = filePath + idx;
            FtUtil.log_d(this.CLASS_NAME, "readData", "path : " + path);
            if (Support.Kernel.isExistFilePath(path)) {
                this.mDataList.add(new RangingSensorData(Support.Kernel.readFromPath(path, true)));
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void checkResult() {
        FtUtil.log_d(this.CLASS_NAME, "checkResult", "");
        Iterator<RangingSensorData> it = this.mDataList.iterator();
        while (true) {
            if (it.hasNext()) {
                if ("FAIL".equals(it.next().getResult())) {
                    this.mRawDataResult = false;
                    break;
                }
            } else {
                break;
            }
        }
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "checkResult", "mIDResult : " + this.mIDResult + ", mRawDataResult : " + this.mRawDataResult);
        if (!this.mIDResult || !this.mRawDataResult) {
            if (this.mTestID == 345) {
                setTestResultFailCase(FactoryTestManager.TEST_RANGING_SENSOR_300, "Ranging Sensor Test 300");
                FtUtil.log_d(this.CLASS_NAME, "checkResult", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(FactoryTestManager.TEST_RANGING_SENSOR_300), "FAIL"));
                return;
            }
            setTestResultFailCase(FactoryTestManager.TEST_RANGING_SENSOR_500, "Ranging Sensor Test 500");
            FtUtil.log_d(this.CLASS_NAME, "checkResult", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(FactoryTestManager.TEST_RANGING_SENSOR_500), "FAIL"));
        } else if (this.mTestID == 345) {
            setTestResult(FactoryTestManager.TEST_RANGING_SENSOR_300, (byte) 80);
            FtUtil.log_d(this.CLASS_NAME, "checkResult", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(FactoryTestManager.TEST_RANGING_SENSOR_300), "PASS"));
        } else {
            setTestResult(FactoryTestManager.TEST_RANGING_SENSOR_500, (byte) 80);
            FtUtil.log_d(this.CLASS_NAME, "checkResult", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(FactoryTestManager.TEST_RANGING_SENSOR_500), "PASS"));
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void testFinish() {
        String strSharedPref;
        FtUtil.log_d(this.CLASS_NAME, "testFinish", "");
        String rawData = "";
        String result = "OK";
        if (this.mTestID == 345) {
            strSharedPref = "RANGING_SERSOR_TEST_RESULT_300";
        } else {
            strSharedPref = "RANGING_SERSOR_TEST_RESULT_500";
        }
        SharedPreferences.Editor editor = getSharedPreferences(strSharedPref, 0).edit();
        if (!this.mIDResult) {
            result = "NG";
        }
        Iterator<RangingSensorData> it = this.mDataList.iterator();
        while (it.hasNext()) {
            RangingSensorData data = it.next();
            if ("FAIL".equals(data.getResult())) {
                result = "NG";
            }
            rawData = rawData + "," + data.getStrForFile();
        }
        FtUtil.log_d(this.CLASS_NAME, "testFinish", "rawData :" + rawData);
        String saveData = result + rawData;
        FtUtil.log_d(this.CLASS_NAME, "testFinish", "saveData :" + saveData);
        editor.putString("RESULT_DATA", saveData);
        editor.commit();
        if ("OK".equals(result)) {
            sensorOff();
            finish();
        }
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.btn_detail:
                FtUtil.log_d(this.CLASS_NAME, "onClick", "Detail");
                Intent i = new Intent(this, UIRangingSensorDetail.class);
                i.putExtra("DATA_LIST", this.mDataList);
                i.putExtra("TITLE", this.mTestTitle);
                i.putExtra("SIZE_X", this.mSizeX);
                i.putExtra("SIZE_Y", this.mSizeY);
                startActivity(i);
                return;
            case R.id.btn_exit:
                FtUtil.log_d(this.CLASS_NAME, "onClick", "Exit");
                sensorOff();
                finish();
                return;
            case R.id.btn_start:
                FtUtil.log_d(this.CLASS_NAME, "onClick", "Start");
                clearUI();
                this.mHandler.sendEmptyMessageDelayed(1002, 10);
                this.mBtnStart.setEnabled(false);
                return;
            default:
                return;
        }
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
    }

    public static class RangingSensorData implements Serializable {
        String mAvgData;
        boolean mEnable;
        String mFrameRate;
        String mFwVer;
        String mMaxData;
        String mMinData;
        String mMode;
        String[] mRawData;
        String mResult;
        String mSpecMax;
        String mSpecMin;
        String mTitle;
        String mUid;

        public RangingSensorData() {
        }

        public RangingSensorData(String data) {
            if (data != null) {
                setRawData(data);
                this.mEnable = true;
                return;
            }
            this.mEnable = false;
        }

        public boolean isEnabled() {
            return this.mEnable;
        }

        private void setRawData(String arrData) {
            String[] data = arrData.split(",");
            this.mTitle = data[0];
            this.mSpecMin = data[1];
            this.mSpecMax = data[2];
            this.mMinData = data[3];
            this.mMaxData = data[4];
            this.mAvgData = data[5];
            FtUtil.log_d("UIRangingSensorTest.RangingSensorData", "setRawData", "mTitle : " + this.mTitle);
            FtUtil.log_d("UIRangingSensorTest.RangingSensorData", "setRawData", "Spec : " + this.mSpecMin + " ~ " + this.mSpecMax);
            StringBuilder sb = new StringBuilder();
            sb.append("Min : ");
            sb.append(this.mMinData);
            FtUtil.log_d("UIRangingSensorTest.RangingSensorData", "setRawData", sb.toString());
            FtUtil.log_d("UIRangingSensorTest.RangingSensorData", "setRawData", "Max : " + this.mMaxData);
            FtUtil.log_d("UIRangingSensorTest.RangingSensorData", "setRawData", "Avg : " + this.mAvgData);
            int len = data.length + -6;
            this.mRawData = new String[len];
            for (int i = 0; i < len; i++) {
                this.mRawData[i] = data[i + 6];
            }
            if (Integer.parseInt(this.mMinData) < Integer.parseInt(this.mSpecMin) || Integer.parseInt(this.mMaxData) > Integer.parseInt(this.mSpecMax)) {
                FtUtil.log_d("UIRangingSensorTest.RangingSensorData", "setRawData", "Fail, Spec Out");
                this.mResult = "FAIL";
                return;
            }
            this.mResult = "PASS";
        }

        public boolean getIndexResult(int idx) {
            if (this.mRawData[idx].contains("N")) {
                return true;
            }
            if (Integer.parseInt(this.mRawData[idx]) < Integer.parseInt(this.mSpecMin) || Integer.parseInt(this.mRawData[idx]) > Integer.parseInt(this.mSpecMax)) {
                return false;
            }
            return true;
        }

        public String getStrForFile() {
            String resData = this.mMinData + "," + this.mMaxData + "," + this.mAvgData;
            for (String rawData : this.mRawData) {
                resData = resData + "," + rawData;
            }
            FtUtil.log_d("UIRangingSensorTest.RangingSensorData", "getStrForFile", "resData : " + resData);
            return resData;
        }

        public String getRawData(int idx) {
            String[] strArr = this.mRawData;
            if (idx < strArr.length) {
                return strArr[idx];
            }
            return "";
        }

        public String getTitle() {
            return this.mTitle;
        }

        public String getUid() {
            return this.mTitle;
        }

        public String getFwVer() {
            return this.mFwVer;
        }

        public String getFrameRate() {
            return this.mFrameRate;
        }

        public String getSpecMin() {
            return this.mSpecMin;
        }

        public String getSpecMax() {
            return this.mSpecMax;
        }

        public String getMinData() {
            return this.mMinData;
        }

        public String getMaxData() {
            return this.mMaxData;
        }

        public String getAvgData() {
            return this.mAvgData;
        }

        public String getResult() {
            return this.mResult;
        }
    }
}
