package com.sec.factory.app.ui;

import android.app.Activity;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.media.AudioManager;
import android.media.MediaPlayer;
import android.net.Uri;
import android.os.Bundle;
import android.support.v4.app.NotificationCompat;
import android.util.Log;
import android.view.KeyEvent;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestMainAdapter;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;

public class UISPDIF extends Activity {
    private static final String ACTION_USB_DGTL_HEADSET_PLUG = "";
    private static AudioManager mAudioManager;
    private static FactoryTestMainAdapter mFacAdap;
    private static MediaPlayer melody_test;
    private final long BACK_KEY_EVENT_TIMELAG = 2000;
    private final String TAG = "SPDIF";
    private boolean isCharge = false;
    private boolean isDock = false;
    private int mBatteryStatus = 1;
    private BroadcastReceiver mBroadcastReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.app.ui.UISPDIF.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            String str;
            String action = intent.getAction();
            StringBuilder sb = new StringBuilder();
            sb.append("Action :");
            sb.append(action);
            sb.append("  State: ");
            if ("android.intent.action.DOCK_EVENT".equals(action)) {
                str = "android.intent.extra.DOCK_STATE";
            } else {
                str = "android.intent.action.BATTERY_CHANGED".equals(action) ? NotificationCompat.CATEGORY_STATUS : "state";
            }
            sb.append(intent.getIntExtra(str, 0));
            Log.e("SPDIF", sb.toString());
            Log.i("SPDIF", "isDock: " + UISPDIF.this.isDock + " mIsDigitalHeadsetPlugged: " + UISPDIF.this.mIsDigitalHeadsetPlugged + " isCharge: " + UISPDIF.this.isCharge);
            if (action.equals("android.intent.action.BATTERY_CHANGED")) {
                UISPDIF.this.mBatteryStatus = intent.getIntExtra(NotificationCompat.CATEGORY_STATUS, 1);
                Log.i("SPDIF", "ACTION_BATTERY_CHANGED - mBatteryStatus " + UISPDIF.this.mBatteryStatus);
                if (UISPDIF.this.mBatteryStatus == 2) {
                    UISPDIF.this.isCharge = true;
                    if (UISPDIF.this.isDock && UISPDIF.this.mIsDigitalHeadsetPlugged) {
                        UISPDIF.this.Charge2Pass();
                    }
                }
            } else if (action.equals("android.intent.action.DOCK_EVENT")) {
                Log.i("SPDIF", "ACTION_DOCK_EVENT");
                if (intent.getIntExtra("android.intent.extra.DOCK_STATE", 0) == 1) {
                    Log.i("SPDIF", "ACTION_DOCK_EVENT: DOCK ON");
                    UISPDIF.this.isDock = true;
                    if (UISPDIF.this.isCharge && UISPDIF.this.mIsDigitalHeadsetPlugged) {
                        UISPDIF.this.Charge2Pass();
                    }
                } else if (intent.getIntExtra("android.intent.extra.DOCK_STATE", 0) == 0) {
                    Log.i("SPDIF", "ACTION_DOCK_EVENT: DOCK OFF");
                }
            } else if (!"".equals(action)) {
            } else {
                if (intent.getIntExtra("state", 0) == 1) {
                    Log.i("SPDIF", "ACTION_DIGITAL_HEADSET_PLUG: switch audio path to SPDIF");
                    UISPDIF.this.mIsDigitalHeadsetPlugged = true;
                    if (UISPDIF.this.isCharge && UISPDIF.this.isDock) {
                        UISPDIF.this.Charge2Pass();
                    }
                } else if (intent.getIntExtra("state", 0) == 0) {
                    Log.i("SPDIF", "mIsStart: " + UISPDIF.this.mIsStart);
                    Log.i("SPDIF", "ACTION_DIGITAL_HEADSET_PLUG: switch audio path to SPK");
                }
            }
        }
    };
    private boolean mIsDigitalHeadsetPlugged = false;
    private boolean mIsStart = false;
    private long mPrevBackKeyEventTime = -1;
    private TextView mSpeakResultText;

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void Charge2Pass() {
        Log.i("SPDIF", "Charge2Pass ");
        this.mSpeakResultText.setText(R.string.PASS);
        this.mSpeakResultText.setTextColor(UiHallICTest.FONT_COLOR_PASS);
        FactoryTestManager.notifyDataSetChanged();
    }

    /* access modifiers changed from: protected */
    public void onCreate(Bundle savedInstanceState) {
        Log.d("SPDIF", "onCreate");
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_spdif);
        registerBroadcastReceiver();
        Log.d("SPDIF", " onCreate - mBroadcastReceiver : " + this.mBroadcastReceiver);
        mFacAdap = (FactoryTestMainAdapter) getLastNonConfigurationInstance();
        FtUtil.setSystemKeyBlock(getComponentName(), 3);
        if (mFacAdap == null) {
            mFacAdap = new FactoryTestMainAdapter(this);
        }
        this.mSpeakResultText = (TextView) findViewById(R.id.SPDIF_result_text);
        mAudioManager = (AudioManager) getSystemService("audio");
        this.isCharge = false;
        this.isDock = false;
        this.mIsDigitalHeadsetPlugged = false;
        this.mIsStart = getIntent().getBooleanExtra("IsStart", false);
        speak2testStart();
    }

    /* access modifiers changed from: protected */
    public void onResume() {
        Log.d("SPDIF", "onResume");
        super.onResume();
    }

    public void onPause() {
        Log.d("SPDIF", "onPause");
        super.onPause();
        speak2testStop();
        this.isCharge = false;
        this.isDock = false;
        this.mIsDigitalHeadsetPlugged = false;
        this.mIsStart = false;
    }

    /* access modifiers changed from: protected */
    public void onDestroy() {
        Log.e("SPDIF", "onDestroy");
        BroadcastReceiver broadcastReceiver = this.mBroadcastReceiver;
        if (broadcastReceiver != null) {
            unregisterReceiver(broadcastReceiver);
        }
        super.onDestroy();
    }

    private void speak2testStart() {
        Log.i("SPDIF", "speakerTest Start!!");
        if (melody_test == null) {
            if (Support.Path.isExistPath(Support.Path.SPEAKER_TEST_MEDIA)) {
                melody_test = MediaPlayer.create(this, Uri.parse(Support.Path.getPath(Support.Path.SPEAKER_TEST_MEDIA)));
            } else {
                melody_test = MediaPlayer.create(this, (int) R.raw.over_the_horizon);
            }
            AudioManager audioManager = mAudioManager;
            audioManager.setStreamVolume(3, audioManager.getStreamMaxVolume(3), 0);
            melody_test.start();
        }
    }

    private void speak2testStop() {
        Log.i("SPDIF", "speakerTest Stop");
        MediaPlayer mediaPlayer = melody_test;
        if (mediaPlayer != null) {
            mediaPlayer.stop();
            melody_test.release();
            melody_test = null;
        }
    }

    public boolean onKeyDown(int keyCode, KeyEvent event) {
        switch (keyCode) {
            case 4:
                FtUtil.log_d("UIBase", "onKeyDown", "KEYCODE_BACK => Prev : " + this.mPrevBackKeyEventTime + ", Curr : " + event.getEventTime() + " => Time Lag : " + (event.getEventTime() - this.mPrevBackKeyEventTime) + " [" + 2000L + "]");
                if (this.mPrevBackKeyEventTime == -1) {
                    this.mPrevBackKeyEventTime = event.getEventTime();
                    return true;
                } else if (event.getEventTime() - this.mPrevBackKeyEventTime < 2000) {
                    finish();
                    return true;
                } else {
                    this.mPrevBackKeyEventTime = event.getEventTime();
                    return true;
                }
            case 24:
                Log.i("SPDIF", "KEYCODE_VOLUME_UP");
                break;
            case 25:
                Log.i("SPDIF", "KEYCODE_VOLUME_DOWN");
                break;
        }
        this.mPrevBackKeyEventTime = -1;
        return super.onKeyDown(keyCode, event);
    }

    private void registerBroadcastReceiver() {
        IntentFilter pogopintIntentFilter = new IntentFilter();
        pogopintIntentFilter.addAction("android.intent.action.BATTERY_CHANGED");
        registerReceiver(this.mBroadcastReceiver, pogopintIntentFilter);
        IntentFilter dockIntentFilter = new IntentFilter();
        dockIntentFilter.addAction("android.intent.action.DOCK_EVENT");
        registerReceiver(this.mBroadcastReceiver, dockIntentFilter);
        IntentFilter dgtlHeadsetIntentFilter = new IntentFilter();
        dgtlHeadsetIntentFilter.addAction("");
        registerReceiver(this.mBroadcastReceiver, dgtlHeadsetIntentFilter);
    }
}
