package com.sec.factory.app.ui;

import android.content.Intent;
import android.graphics.BitmapFactory;
import android.graphics.drawable.BitmapDrawable;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.View;
import android.widget.LinearLayout;
import com.sec.factory.R;
import com.sec.factory.modules.ModulePower;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class UISPICheckTest extends UIBase {
    private static final String CLASS_NAME = "UISPICheckTest";
    private static final String PATH_SYSFS_COPR = "/sys/class/lcd/panel/read_copr";
    private static final String PATH_SYSFS_MDNIE_BYPASS = "/sys/class/mdnie/mdnie/bypass";
    private final String ACTION_RECEIVE_SPICHECK_RESULT = "com.android.samsungtest.RECEIVE_SPICHECK_RESULT";
    private final int MSG_READ_COPR = 1;
    private final int MSG_READ_MOSI_MISO = 2;
    private final int MSG_RESULT_FAIL = 12;
    private final int MSG_RESULT_PASS = 11;
    private final int MSG_RESULT_VIEW = 10;
    private final int MSG_TEST_START = 0;
    private final int SHOW_IMAGE_DELAY = 2000;
    private final int SHOW_RESULT_DELAY = 2000;
    private final int TEMP = 1000;
    private String[] copr_val;
    private boolean fromATCMD;
    private boolean isAllPass = false;
    private boolean[] isPass;
    private View mBackground;
    public Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UISPICheckTest.AnonymousClass1 */

        public void handleMessage(Message msg) {
            int i;
            switch (msg.what) {
                case 0:
                    FtUtil.log_i(UISPICheckTest.CLASS_NAME, "handleMessage", "MSG_TEST_START");
                    UISPICheckTest.this.recycleBackgroundView();
                    FtUtil.log_i(UISPICheckTest.CLASS_NAME, "changeBackgroundView", "sendEmptyMessageDelayed step : start Image");
                    UISPICheckTest.this.mBackground.setBackgroundDrawable(new BitmapDrawable(UISPICheckTest.this.getResources(), BitmapFactory.decodeResource(UISPICheckTest.this.getResources(), UISPICheckTest.this.getResources().getIdentifier("w116", "drawable", UISPICheckTest.this.getPackageName()))));
                    FtUtil.log_i(UISPICheckTest.CLASS_NAME, "changeBackgroundView", "sendEmptyMessageDelayed step : end Image");
                    if (Support.Feature.getBoolean(Support.Feature.SUPPORT_OCTA_SPI_SELF_MASK)) {
                        Support.Kernel.write(Support.Kernel.OCTA_SPI_SELF_MASK_NODE, "0");
                    }
                    Support.Kernel.write(Support.Kernel.MDNIE_BYPASS_NODE, EgisFingerprint.MAJOR_VERSION);
                    UISPICheckTest.this.mHandler.sendEmptyMessageDelayed(1, 700);
                    return;
                case 1:
                    FtUtil.log_i(UISPICheckTest.CLASS_NAME, "handleMessage", "MSG_READ_COPR");
                    UISPICheckTest.this.copr_val[0] = Support.Kernel.read(Support.Kernel.READ_COPR_NODE);
                    UISPICheckTest.this.copr_val[1] = Support.Kernel.read(Support.Kernel.READ_COPR_NODE);
                    UISPICheckTest.this.copr_val[2] = Support.Kernel.read(Support.Kernel.READ_COPR_NODE);
                    FtUtil.log_i(UISPICheckTest.CLASS_NAME, "changeBackgroundView", "sendEmptyMessageDelayed step : start Image");
                    UISPICheckTest.this.mBackground.setBackgroundDrawable(new BitmapDrawable(UISPICheckTest.this.getResources(), BitmapFactory.decodeResource(UISPICheckTest.this.getResources(), UISPICheckTest.this.getResources().getIdentifier("w116", "drawable", UISPICheckTest.this.getPackageName()))));
                    FtUtil.log_i(UISPICheckTest.CLASS_NAME, "changeBackgroundView", "sendEmptyMessageDelayed step : end Image");
                    UISPICheckTest.this.mHandler.sendEmptyMessageDelayed(2, 700);
                    return;
                case 2:
                    FtUtil.log_i(UISPICheckTest.CLASS_NAME, "handleMessage", "MSG_READ_MOSI_MISO");
                    UISPICheckTest.this.copr_val[3] = Support.Kernel.read(Support.Kernel.READ_COPR_NODE);
                    if (Support.Feature.getBoolean(Support.Feature.SUPPORT_OCTA_SPI_SELF_MASK)) {
                        Support.Kernel.write(Support.Kernel.OCTA_SPI_SELF_MASK_NODE, EgisFingerprint.MAJOR_VERSION);
                    }
                    Support.Kernel.write(Support.Kernel.MDNIE_BYPASS_NODE, "0");
                    UISPICheckTest.this.mHandler.sendEmptyMessageDelayed(10, 500);
                    return;
                case 10:
                    FtUtil.log_i(UISPICheckTest.CLASS_NAME, "handleMessage", "MSG_RESULT_VIEW");
                    UISPICheckTest.this.recycleBackgroundView();
                    if (!UISPICheckTest.this.copr_val[0].equals(UISPICheckTest.this.mStrPassCoprVal) || !UISPICheckTest.this.copr_val[1].equals(UISPICheckTest.this.mStrPassCoprVal) || !UISPICheckTest.this.copr_val[2].equals(UISPICheckTest.this.mStrPassCoprVal) || !UISPICheckTest.this.copr_val[3].equals(UISPICheckTest.this.mStrPassCoprVal)) {
                        FtUtil.log_i(UISPICheckTest.CLASS_NAME, "handleMessage", "send pass after 1000ms");
                        UISPICheckTest.this.mHandler.sendEmptyMessageDelayed(12, 1000);
                        return;
                    }
                    FtUtil.log_i(UISPICheckTest.CLASS_NAME, "handleMessage", "send pass after 1500ms");
                    UISPICheckTest.this.mHandler.sendEmptyMessageDelayed(11, 1500);
                    return;
                case 11:
                    FtUtil.log_i(UISPICheckTest.CLASS_NAME, "handleMessage", "MSG_RESULT_PASS");
                    if (UISPICheckTest.this.fromATCMD) {
                        UISPICheckTest.this.sendResultToAtCmd(true);
                    }
                    UISPICheckTest.this.setResult(-1);
                    UISPICheckTest.this.finish();
                    return;
                case 12:
                    FtUtil.log_i(UISPICheckTest.CLASS_NAME, "handleMessage", "MSG_RESULT_FAIL");
                    if (UISPICheckTest.this.fromATCMD) {
                        i = 0;
                        UISPICheckTest.this.sendResultToAtCmd(false);
                    } else {
                        i = 0;
                    }
                    UISPICheckTest.this.setResult(i);
                    UISPICheckTest.this.finish();
                    return;
                default:
                    return;
            }
        }
    };
    private ModulePower mModulePower;
    private String mStrPassCoprVal;

    public UISPICheckTest() {
        super(CLASS_NAME, 112);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_spi_check_test);
        FtUtil.log_i(CLASS_NAME, "onCreate", "");
        this.fromATCMD = getIntent().getBooleanExtra("FROM_ATCMD", false);
        this.mStrPassCoprVal = Support.Spec.getString(Support.Spec.COPR_READ_PASS_VAL);
        FtUtil.log_i(CLASS_NAME, "onCreate", "COPR_VAL : " + this.mStrPassCoprVal);
        this.mModulePower = ModulePower.instance(this);
        this.mBackground = (LinearLayout) findViewById(R.id.background);
        initTest();
    }

    public void initTest() {
        FtUtil.log_i(CLASS_NAME, "initTest", "");
        this.copr_val = new String[11];
        this.isPass = new boolean[4];
        FtUtil.setRemoveSystemUI(getWindow(), true);
    }

    public void startTest() {
        FtUtil.log_i(CLASS_NAME, "startTest", "send MSG_TEST_START after 500ms");
        this.mHandler.sendEmptyMessageDelayed(0, 500);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        FtUtil.log_i(CLASS_NAME, "onResume", "send intent to stop JIG-HISTORY-VIEW in FTL");
        sendBroadcast(new Intent("com.samsung.android.aircommandmanager.STOP_MONITORING"));
        startTest();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        FtUtil.log_i(CLASS_NAME, "onPause", "send intent to re-start JIG-HISTORY-VIEW in FTL");
        sendBroadcast(new Intent("com.samsung.android.aircommandmanager.START_MONITORING"));
    }

    public void sendResultToAtCmd(boolean pass) {
        String data = this.copr_val[0] + "," + this.copr_val[1] + "," + this.copr_val[2] + "," + this.copr_val[3];
        Intent passIntent = new Intent();
        passIntent.setAction("com.android.samsungtest.RECEIVE_SPICHECK_RESULT");
        passIntent.putExtra("RESULT", pass);
        passIntent.putExtra("DATA", data);
        sendBroadcast(passIntent);
        FtUtil.log_i(CLASS_NAME, "sendResultToAtCmd", "result : " + pass + ", data : " + data);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void recycleBackgroundView() {
        if (this.mBackground.getBackground() != null) {
            FtUtil.log_i(CLASS_NAME, "recycleBackgroundView", "mBackground Image recycle");
            this.mBackground.setBackgroundDrawable(null);
            this.mBackground.setBackgroundColor(getResources().getColor(R.color.white));
        }
    }
}
