package com.sec.factory.app.ui;

import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import java.io.File;
import java.util.Locale;

public class UISensingOpenCheckTest extends UIBase {
    private static final int MSG_TEST_END = 1;
    private final String CLASS_NAME = "UISensingOpenCheckTest";
    private float VoltageDiff;
    private String ccicRid;
    private boolean isSkipRidCheck = Support.Feature.getBoolean(Support.Feature.SUPPORT_SKIP_RID_CHECK);
    private String jigADC;
    private String jigCheck;
    private int jigRidInt;
    private boolean mAddDelay = false;
    private TextView mApbatt;
    private TextView mApbattValue;
    private String[] mCableRid = {"RID_UNDEFINED", "RID_000K", "RID_001K", "RID_255K", "RID_301K", "RID_523K", "RID_619K", "RID_OPEN"};
    private String[] mCableUart = {"JIG UART OFF", "CABLE_JIG_UART_ON", "JIG UART", "JIG UART ON"};
    private String mCcicRid = "";
    private TextView mDelta;
    private TextView mDeltavalue;
    private TextView mFuelbatt;
    private TextView mFuelbattValue;
    private Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UISensingOpenCheckTest.AnonymousClass2 */

        public void handleMessage(Message msg) {
            if (msg.what == 1) {
                UISensingOpenCheckTest.this.setTestResult();
            }
        }
    };
    private boolean mIsTestPass = false;
    private String mItemName;
    private String mJigResult = "";
    private String mJigState = "NONE";
    private TextView mResult;
    private TextView mSensingOpenCheckSubTitle;
    private TextView mSensingOpenCheckTitle;
    private TextView mSpec;
    private float mSpecMax;
    private float mSpecMin;
    private String mVoltageAp;
    private String mVoltageDiff;
    private String mVoltageFuel;
    private TextView mVpsridCheck;
    private TextView mVpsridValue;

    public UISensingOpenCheckTest() {
        super("UISensingOpenCheckTest", 157);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_sensingopenchecktest);
        setAtCmd(getIntent().getBooleanExtra("mIsAtCmd", false));
        this.jigCheck = Support.Kernel.read(Support.Kernel.JIG_CONNECTION_CHECK);
        this.jigADC = Support.Kernel.read(Support.Kernel.ANYWAY_JIG);
        this.ccicRid = Support.Kernel.read(Support.Kernel.CCIC_RID);
        this.mHandler.postDelayed(new Runnable() {
            /* class com.sec.factory.app.ui.UISensingOpenCheckTest.AnonymousClass1 */

            public void run() {
                UISensingOpenCheckTest.this.init();
            }
        }, 100);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        this.mHandler.removeMessages(1);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
        this.mHandler.removeMessages(1);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void init() {
        this.jigRidInt = 0;
        this.mSensingOpenCheckTitle = (TextView) findViewById(R.id.sensingopenchecktitle);
        this.mSensingOpenCheckSubTitle = (TextView) findViewById(R.id.sensingopenchecksubtitle);
        TextView textView = (TextView) findViewById(R.id.vps_rid_check);
        this.mVpsridCheck = textView;
        textView.setText("VPS/RID : ");
        this.mVpsridValue = (TextView) findViewById(R.id.vps_rid_status);
        TextView textView2 = (TextView) findViewById(R.id.ap_batt);
        this.mApbatt = textView2;
        textView2.setText("AP BATT(1,6) : ");
        this.mApbattValue = (TextView) findViewById(R.id.ap_batt_value);
        this.mVoltageAp = Support.Kernel.read(Support.Kernel.BATTERY_INBAT_VOLTAGE_ADC);
        if (Support.Feature.getBoolean(Support.Feature.SUPPORT_IN_BATTERY_OCV)) {
            this.mVoltageAp = String.format(Locale.US, "%.3f", Float.valueOf(Float.valueOf(this.mVoltageAp).floatValue() / 1000.0f));
        } else {
            this.mVoltageAp = String.format(Locale.US, "%.3f", Float.valueOf(Float.valueOf(this.mVoltageAp).floatValue() / 100.0f));
        }
        TextView textView3 = this.mApbattValue;
        textView3.setText(this.mVoltageAp + "V");
        TextView textView4 = (TextView) findViewById(R.id.fuel_batt);
        this.mFuelbatt = textView4;
        textView4.setText("FUEL BATT(1,2) : ");
        this.mFuelbattValue = (TextView) findViewById(R.id.fuel_batt_value);
        this.mVoltageFuel = Support.Kernel.read(Support.Kernel.BATTERY_VOLT);
        this.mVoltageFuel = String.format(Locale.US, "%.3f", Float.valueOf(Float.valueOf(this.mVoltageFuel).floatValue() / 1000000.0f));
        TextView textView5 = this.mFuelbattValue;
        textView5.setText(this.mVoltageFuel + "V");
        TextView textView6 = (TextView) findViewById(R.id.delta);
        this.mDelta = textView6;
        textView6.setText("Delta : ");
        this.mDeltavalue = (TextView) findViewById(R.id.delta_value);
        this.VoltageDiff = Float.valueOf(this.mVoltageAp).floatValue() - Float.valueOf(this.mVoltageFuel).floatValue();
        String format = String.format(Locale.US, "%.3f", Float.valueOf(this.VoltageDiff));
        this.mVoltageDiff = format;
        this.VoltageDiff = Float.valueOf(format).floatValue();
        TextView textView7 = this.mDeltavalue;
        textView7.setText(this.mVoltageDiff + "V");
        this.mResult = (TextView) findViewById(R.id.result);
        this.mSpecMax = Support.Spec.getFloat(Support.Spec.SENSING_OPEN_CHECK_SPEC);
        this.mSpecMin = Support.Spec.getFloat(Support.Spec.SENSING_OPEN_CHECK_SPEC) * -1.0f;
        TextView textView8 = (TextView) findViewById(R.id.spec);
        this.mSpec = textView8;
        textView8.setText("SPEC : " + this.mSpecMin + "V ~ " + this.mSpecMax + "V");
        FtUtil.log_i("UISensingOpenCheckTest", "init", "spec : " + this.mSpecMin + "V ~ " + this.mSpecMax + "V");
        if (this.isSkipRidCheck) {
            this.mVpsridValue.setText("SKIP - Not Support");
            this.mAddDelay = true;
            checkUartmode();
            checkDelta();
            return;
        }
        muicStatusUpdate();
        this.mVpsridValue.setText(this.mJigResult);
        checkVpsRid();
    }

    public void checkUartmode() {
        int i = 0;
        while (true) {
            String[] strArr = this.mCableUart;
            if (i >= strArr.length) {
                return;
            }
            if (strArr[i].equalsIgnoreCase(this.jigCheck)) {
                this.mAddDelay = false;
                return;
            }
            i++;
        }
    }

    public void muicStatusUpdate() {
        String str = this.jigCheck;
        if (str == null) {
            FtUtil.log_d("UISensingOpenCheckTest", "muicStatusUpdate", "JigChekc is null");
        } else if (!this.mJigState.equalsIgnoreCase(str)) {
            FtUtil.log_d("UISensingOpenCheckTest", "muicStatusUpdate", "Jig state=" + this.jigCheck);
            FtUtil.log_d("UISensingOpenCheckTest", "muicStatusUpdate", "Jig ADC=" + this.jigADC);
            this.mJigState = this.jigCheck;
            this.mJigResult = Support.Properties.PROPERTIES_DEFAULT_STRING;
            String str2 = this.ccicRid;
            if (str2 != null && !this.mCcicRid.equalsIgnoreCase(str2)) {
                this.mCcicRid = this.ccicRid;
                FtUtil.log_d("UISensingOpenCheckTest", "muicStatusUpdate", "Ccic Rid= " + this.mCcicRid);
                updateCcicInfo(this.jigCheck);
            }
        }
    }

    private void updateCcicInfo(String jig_check) {
        this.mJigResult = jig_check;
        String str = this.ccicRid;
        if (str == null || "null".equalsIgnoreCase(str)) {
            this.mJigResult += " / UNKNOWN";
            return;
        }
        FtUtil.log_d("UISensingOpenCheckTest", "updateCcicInfo", "ccicRid= " + this.ccicRid);
        int parseInt = Integer.parseInt(this.ccicRid);
        this.jigRidInt = parseInt;
        if (parseInt < 0 || parseInt >= this.mCableRid.length) {
            this.mJigResult += " / " + this.jigRidInt;
            return;
        }
        this.mJigResult += " / " + this.mCableRid[this.jigRidInt];
    }

    private void checkVpsRid() {
        if ((!"No VPS".equals(this.jigCheck) || !"RID_OPEN".equals(this.mCableRid[this.jigRidInt])) && (!"JIG UART ON".equals(this.jigCheck) || !"RID_619K".equals(this.mCableRid[this.jigRidInt]))) {
            FtUtil.log_i("UISensingOpenCheckTest", "checkVpsRid", "Fail| VSP : " + Support.Kernel.read(Support.Kernel.JIG_CONNECTION_CHECK) + " / RID : " + Support.Kernel.read(Support.Kernel.CCIC_RID));
            FtUtil.log_d("UISensingOpenCheckTest", "checkVpsRid", FtUtil.setMspSeqMessage(1, this.mItemName, "Fail - CHECK VPS / RID Fail"));
            this.mVpsridValue.setTextColor(-65536);
            this.mResult.setTextColor(-65536);
            this.mResult.setText("FAIL");
            setTestResultFailCase(this.TEST_ID);
            return;
        }
        FtUtil.log_i("UISensingOpenCheckTest", "checkVpsRid", "Success| VSP : " + this.jigCheck + " / RID : " + this.mCableRid[this.jigRidInt]);
        if ("RID_OPEN".equals(this.mCableRid[this.jigRidInt])) {
            this.mAddDelay = true;
        }
        checkDelta();
    }

    private void checkDelta() {
        File dataAvgFile = new File("data/log/OpenSensingCheckDelta.log");
        Support.Kernel.writeToPathNsync(dataAvgFile.getPath(), this.mVoltageDiff);
        FtUtil.log_i("UISensingOpenCheckTest", "readFromPath", "OpenSensingCheckDelta.log : " + Support.Kernel.readFromPath(dataAvgFile.getPath(), true));
        float f = this.VoltageDiff;
        if (f < this.mSpecMin || f > this.mSpecMax) {
            FtUtil.log_i("UISensingOpenCheckTest", "checkDelta", "Fail| Voltage Diff : " + this.VoltageDiff + " (spec : " + this.mSpecMin + "V ~ " + this.mSpecMax + "V)");
            FtUtil.log_d("UISensingOpenCheckTest", "checkDelta", FtUtil.setMspSeqMessage(1, this.mItemName, "Fail - CHECK VOLTAGE Diff Fail"));
            this.mDeltavalue.setTextColor(-65536);
            this.mResult.setTextColor(-65536);
            this.mResult.setText("FAIL");
            setTestResultFailCase(this.TEST_ID);
            return;
        }
        FtUtil.log_i("UISensingOpenCheckTest", "checkDelta", "Success| Voltage Diff : " + this.VoltageDiff + " (spec : " + this.mSpecMin + "V ~ " + this.mSpecMax + "V)");
        this.mIsTestPass = true;
        this.mVpsridValue.setTextColor(UiHallICTest.FONT_COLOR_PASS);
        this.mResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
        this.mResult.setText("PASS");
        StringBuilder sb = new StringBuilder();
        sb.append("RID : ");
        sb.append(this.mCableRid[this.jigRidInt]);
        FtUtil.log_i("UISensingOpenCheckTest", "checkDelta", sb.toString());
        if (this.mAddDelay) {
            this.mHandler.sendEmptyMessageDelayed(1, 1000);
        } else {
            this.mHandler.sendEmptyMessageDelayed(1, 10);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setTestResult() {
        FtUtil.log_i("UISensingOpenCheckTest", "setTestResult", null);
        if (this.mIsTestPass) {
            FtUtil.log_d("UISensingOpenCheckTest", "setTestResult", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(157), "Pass"));
            setTestResult((byte) 80);
        } else {
            FtUtil.log_d("UISensingOpenCheckTest", "setTestResult", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(157), "Fail"));
            setTestResultFailCase(157);
        }
        finish();
    }
}
