package com.sec.factory.app.ui;

import android.app.AlarmManager;
import android.app.PendingIntent;
import android.content.Intent;
import android.os.Bundle;
import android.os.FactoryTest;
import android.os.Handler;
import android.os.Message;
import android.os.PowerManager;
import android.os.SystemClock;
import android.support.v4.app.NotificationCompat;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.aporiented.WakeUpService;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.modules.ModulePower;
import com.sec.factory.support.FtUtil;

public class UISensorHub extends UIBase {
    public static final int FINISH_DELAY = 500;
    public static final int FINISH_TEST = 3;
    private static final String RTC_OFF = "android.intent.action.START_FACTORY_TEST";
    private static final String RTC_ON = "android.intent.action.STOP_FACTORY_TEST";
    public static final int SENSORHUB_START = 1;
    public static final int SENSORHUB_WAKEUP = 2;
    public static final int WAKEUP_DELAY = 5000;
    protected static ModulePower mModulePower = null;
    private final String ACTION_WAKE_UP = WakeUpService.ACTION_WAKE_UP;
    private TextView BinFwVersion;
    private final int FAIL = 2;
    private TextView IntCheckResult;
    private TextView McuChipName;
    private TextView McuFwVersion;
    private final int PASS = 1;
    private TextView PassFail;
    private final int READ_FAIL = 3;
    boolean isFactoryMode = false;
    private int ispassed = -1;
    public Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UISensorHub.AnonymousClass1 */

        public void handleMessage(Message msg) {
            switch (msg.what) {
                case 1:
                    FtUtil.log_d(UISensorHub.this.CLASS_NAME, "mHandler()", "Display SensorHub Info()");
                    UISensorHub.this.getMcuFirmware();
                    UISensorHub.this.getBinFirmware();
                    FtUtil.log_d(UISensorHub.this.CLASS_NAME, "mHandler()", "Start SensorHub SelfTest");
                    UISensorHub.mModulePower.doPartialWakeLock(true);
                    if (UISensorHub.this.isFactoryMode) {
                        UISensorHub.this.getApplicationContext().sendBroadcast(new Intent(UISensorHub.RTC_ON));
                        FtUtil.log_i(UISensorHub.this.CLASS_NAME, "handleCommand", "AlarmManager Enable");
                    }
                    UISensorHub.this.mModuleDevice.startSensorHubTest();
                    Intent intent = new Intent(UISensorHub.this.getApplicationContext(), WakeUpService.class);
                    intent.setAction(WakeUpService.ACTION_WAKE_UP);
                    intent.putExtra("isAcquireWakelock", false);
                    ((AlarmManager) UISensorHub.this.getApplicationContext().getSystemService(NotificationCompat.CATEGORY_ALARM)).set(0, System.currentTimeMillis() + 5000, PendingIntent.getBroadcast(UISensorHub.this.getApplicationContext(), 0, intent, 0));
                    UISensorHub.this.mPM.goToSleep(SystemClock.uptimeMillis());
                    return;
                case 2:
                    FtUtil.log_d(UISensorHub.this.CLASS_NAME, "mHandler()", "WakeUp device");
                    if (UISensorHub.this.isFactoryMode) {
                        UISensorHub.this.getApplicationContext().sendBroadcast(new Intent(UISensorHub.RTC_OFF));
                        FtUtil.log_i(UISensorHub.this.CLASS_NAME, "handleCommand", "AlarmManager disable");
                    }
                    try {
                        UISensorHub uISensorHub = UISensorHub.this;
                        uISensorHub.result = uISensorHub.mModuleDevice.readSensorHubResult().split(",");
                        String str = UISensorHub.this.CLASS_NAME;
                        FtUtil.log_i(str, "Result - ", "MCU name: " + UISensorHub.this.result[0] + "  /  Selftest: " + UISensorHub.this.result[1] + "  /  INT pin: " + UISensorHub.this.result[2]);
                        TextView textView = UISensorHub.this.IntCheckResult;
                        StringBuilder sb = new StringBuilder();
                        sb.append("INT Check : ");
                        sb.append(UISensorHub.this.result[2]);
                        textView.setText(sb.toString());
                        TextView textView2 = UISensorHub.this.McuChipName;
                        textView2.setText("MCU name : " + UISensorHub.this.result[0]);
                    } catch (Exception e) {
                        e.printStackTrace();
                    }
                    do {
                    } while (!UISensorHub.this.mPM.isScreenOn());
                    try {
                        Thread.sleep(200);
                    } catch (InterruptedException e2) {
                        e2.printStackTrace();
                    }
                    ModulePower.instance(UISensorHub.this.getApplicationContext()).setBrightness(255);
                    FtUtil.log_d(UISensorHub.this.CLASS_NAME, "mHandler()", "checkPassResult()");
                    UISensorHub.this.checkPassFail();
                    UISensorHub.this.checkPassResult();
                    return;
                case 3:
                    UISensorHub.this.finish();
                    return;
                default:
                    return;
            }
        }
    };
    private ModuleDevice mModuleDevice;
    private PowerManager mPM;
    private String[] result;

    public UISensorHub() {
        super("UISensorHub", 49);
    }

    private void init() {
        FtUtil.log_d(this.CLASS_NAME, "init()", "init_start");
        this.IntCheckResult = (TextView) findViewById(R.id.intcheck);
        this.McuFwVersion = (TextView) findViewById(R.id.mcufirmversion);
        this.BinFwVersion = (TextView) findViewById(R.id.binfirmversion);
        this.McuChipName = (TextView) findViewById(R.id.MCUchip);
        this.PassFail = (TextView) findViewById(R.id.sensorHubpassfail);
        this.mModuleDevice = ModuleDevice.instance(this);
        this.mPM = (PowerManager) getApplicationContext().getSystemService("power");
        ModulePower modulePower = mModulePower;
        if (modulePower == null) {
            modulePower = ModulePower.instance(this);
        }
        mModulePower = modulePower;
        this.isFactoryMode = FactoryTest.isFactoryMode();
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "handleCommand", "isFactoryMode: " + this.isFactoryMode);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle arg0) {
        FtUtil.log_d(this.CLASS_NAME, "onCreate()", "startOnCreate()");
        super.onCreate(arg0);
        FtUtil.setRemoveSystemUI(getWindow(), true);
        setContentView(R.layout.ui_sensorhub);
        init();
        new Thread(new Runnable() {
            /* class com.sec.factory.app.ui.UISensorHub.AnonymousClass2 */

            public void run() {
                UISensorHub.this.startSensorHubTest();
            }
        }).start();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
        FtUtil.log_d(this.CLASS_NAME, "onDestroy", null);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        FtUtil.log_d(this.CLASS_NAME, "onPause", null);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        FtUtil.log_d(this.CLASS_NAME, "onResume", null);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public boolean onKeyDown(int keyCode, KeyEvent event) {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "onKeyDown", "KeyEent=" + keyCode);
        switch (keyCode) {
            case 4:
                return true;
            default:
                return super.onKeyDown(keyCode, event);
        }
    }

    @Override // com.sec.factory.app.ui.UIBase
    public boolean onKeyUp(int keyCode, KeyEvent event) {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "onKeyUp", "KeyEent=" + keyCode);
        switch (keyCode) {
            case 4:
                return true;
            default:
                return super.onKeyDown(keyCode, event);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void startSensorHubTest() {
        FtUtil.log_d(this.CLASS_NAME, "startSensorHubTest", null);
        this.mHandler.sendEmptyMessage(1);
        this.mHandler.sendEmptyMessageDelayed(2, 5000);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void getMcuFirmware() {
        FtUtil.log_d(this.CLASS_NAME, "getMcuFirmware", null);
        try {
            String[] McuFirmware = this.mModuleDevice.readModuleFirmwareVersion(5).split(",");
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "getMcuFirmware", "McuFirmware = " + McuFirmware[0]);
            TextView textView = this.McuFwVersion;
            textView.setText("MCU Firm Version : " + McuFirmware[0]);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void getBinFirmware() {
        FtUtil.log_d(this.CLASS_NAME, "getBinFirmware", null);
        try {
            String[] BinFirmware = this.mModuleDevice.readModuleFirmwareVersion(5).split(",");
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "getBinFirmware", "BinFirmware = " + BinFirmware[1]);
            TextView textView = this.BinFwVersion;
            textView.setText("Bin Firm Version : " + BinFirmware[1]);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void checkPassFail() {
        boolean passfail = false;
        if (!"OK".equals(this.result[1]) || !"OK".equals(this.result[2])) {
            writeNV(49, false);
        } else {
            writeNV(49, true);
            passfail = true;
        }
        if (!passfail || this.ispassed == 3) {
            this.PassFail.setText("FAIL");
            this.PassFail.setTextColor(-65536);
            this.ispassed = 2;
            return;
        }
        this.PassFail.setText("PASS");
        this.PassFail.setTextColor(UiHallICTest.FONT_COLOR_PASS);
        this.ispassed = 1;
    }

    public boolean onTouchEvent(MotionEvent event) {
        FtUtil.log_d(this.CLASS_NAME, "onTouchEvent()", null);
        int i = this.ispassed;
        if (i == 1) {
            FtUtil.log_d(this.CLASS_NAME, "onTouchEvent()", "pass!!!");
            setResult(-1);
            finish();
        } else if (i == 2) {
            setResult(0);
            finish();
        }
        return true;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void checkPassResult() {
        int i = this.ispassed;
        if (i == 1) {
            FtUtil.log_d(this.CLASS_NAME, "checkPassResult()", "pass!!!");
            setTestResultWithoutNV(49, (byte) 80);
            this.mHandler.sendEmptyMessageDelayed(3, 500);
        } else if (i == 2) {
            setResult(0);
        }
    }

    private void writeNV(int id, boolean isPass) {
        if (isPass) {
            FtUtil.log_i(this.CLASS_NAME, "writeNV", "PASS");
            setTestResult((byte) id, (byte) 80);
            return;
        }
        FtUtil.log_e(this.CLASS_NAME, "writeNV", "FAIL");
    }
}
