package com.sec.factory.app.ui;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Bundle;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import com.sec.xmldata.support.XMLDataStorage;
import java.util.Arrays;

public class UISimple extends UIBase {
    public static final String CAMERA_FAIL = "CAMERA FAIL";
    public static final int CAMERA_NONE = -1;
    public static final int FRONT_CAMERA = 1;
    public static final String KEY_CAMERA_ID = "camera_id";
    public static final String KEY_COMPANION_IC = "companion_ic_on";
    public static final String KEY_COMPANION_IC_24FPS = "companion_ic_on_24fps";
    public static final String KEY_FRONT_CAMERA_ONLY = "mFrontCameraOnly";
    private static final String KEY_FRONT_PHOTO_PATH = "vga_filepath";
    public static final String KEY_NEXT_CC_ON_24FPS = "next_cc_on_24fps";
    public static final String KEY_OMMISION_TEST = "ommision_test";
    private static final String KEY_PHOTO_PATH = "data_filepath";
    public static final String KEY_POSTVIEW = "postView";
    private static final String KEY_REAR_PHOTO_PATH = "mega_filepath";
    public static final String KEY_USE_INTERNAL_IMAGE = "use_internal_image";
    public static final int REAR_CAMERA = 0;
    private final int FINISH_ALPM_ONLY_TEST = 5;
    private final int FINISH_ALPM_TEST = 4;
    private final int FINISH_DIMMING_TEST = 3;
    private final int FINISH_FRONT_CAMERA_TEST_WITH_COMPANION_IC_TEST = 11;
    private final int FINISH_FRONT_CAM_TEST = 10;
    private final int FINISH_FRONT_CAM_WITH_COMPANION_IC_24FPS_TEST = 12;
    private final int FINISH_GREEN_LCD_TEST = 7;
    private final int FINISH_HLPM_ONLY_TEST = 6;
    private final int FINISH_HOME_KEY_TEST = 8;
    private final int FINISH_LED_RANDOM_TEST = 1;
    private final int FINISH_LED_TEST = 0;
    private final int FINISH_ORIENTATION_SENSOR_TEST = 13;
    private final int FINISH_QR_TEST = 14;
    private final int FINISH_REAR_CAM_TEST = 9;
    private final int FINISH_RGB_ONLY_TEST = 2;
    private final int START_ALPM_ONLY_TEST = 5;
    private final int START_ALPM_TEST = 4;
    private final int START_DIMMING_TEST = 3;
    private final int START_FRONT_CAMERA_TEST_WITH_COMPANION_IC_TEST = 11;
    private final int START_FRONT_CAM_TEST = 10;
    private final int START_FRONT_CAM_WITH_COMPANION_IC_24FPS_TEST = 12;
    private final int START_GREEN_LCD_TEST = 7;
    private final int START_HLPM_ONLY_TEST = 6;
    private final int START_HOME_KEY_TEST = 8;
    private final int START_LED_RANDOM_TEST = 1;
    private final int START_LED_TEST = 0;
    private final int START_ORIENTATION_SENSOR_TEST = 13;
    private final int START_QR_TEST = 14;
    private final int START_REAR_CAM_TEST = 9;
    private final int START_RGB_ONLY_TEST = 2;
    private boolean isMotorSupport;
    private String mFrontCameraPhotoPath;
    private String mFrontCamera_with_companion_24fps_PhotoPath;
    private String mFrontCamera_with_companion_PhotoPath;
    private String mRearCameraPhotoPath;
    public BroadcastReceiver mReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.app.ui.UISimple.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            String mAction = intent.getAction();
            if ("com.android.samsungtest.CAMERA_GOOD".equals(mAction)) {
                FtUtil.log_d(UISimple.this.CLASS_NAME, "onReceive", "CAMERA_GOOD");
            } else if ("com.android.samsungtest.CAMERA_BAD".equals(mAction)) {
                FtUtil.log_d(UISimple.this.CLASS_NAME, "onReceive", "CAMERA_BAD");
            }
        }
    };
    private String mTestCase;
    int testItemCount;
    int[] testItemListID;
    String[] testItemListStr;
    int testState = 0;
    private boolean useInternalImage = true;

    public UISimple() {
        super("UISimple", 0);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        byte test_id = getIntent().getByteExtra("requestCode", (byte) 0);
        if (14 == test_id) {
            try {
                setTestId(test_id);
                this.mTestCase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML((byte) 14));
                FtUtil.log_d("UISimple", "onCreate", "Act as LCD TEST, TEST_ID = " + ((int) test_id));
            } catch (Exception e) {
                e.printStackTrace();
            }
        } else if (63 == test_id) {
            setTestId(test_id);
            this.mTestCase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML((byte) FactoryTestManager.TEST_QR));
            FtUtil.log_d("UISimple", "onCreate", "QR Test, TEST_ID = " + ((int) test_id));
            FtUtil.log_d("UISimple", "onCreate", "QR Test, mTestCase = " + this.mTestCase);
        }
        IntentFilter mFilter = new IntentFilter();
        mFilter.addAction("com.android.samsungtest.CAMERA_GOOD");
        mFilter.addAction("com.android.samsungtest.CAMERA_BAD");
        registerReceiver(this.mReceiver, mFilter);
        if (this.mTestCase == null || !XMLDataStorage.instance().wasCompletedParsing()) {
            FtUtil.log_d(this.CLASS_NAME, "onCreate", "XML data parsing was failed.");
            XMLDataStorage.instance().parseXML(this);
            FtUtil.log_d(this.CLASS_NAME, "onCreate", "Fetch mTestCase Again Due to XMLDataParsing Fail Earlier");
            this.mTestCase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML((byte) 0));
        }
        String str = this.mTestCase;
        if (str != null) {
            String replace = str.replace(" ", "");
            this.mTestCase = replace;
            if (replace.contains("MOTOR")) {
                this.isMotorSupport = true;
                this.mTestCase = this.mTestCase.replace("MOTOR,", "");
            }
            if (this.mTestCase.contains("SIDE_KEY_TEST,")) {
                this.mTestCase = this.mTestCase.replace("SIDE_KEY_TEST,", "");
            } else if (this.mTestCase.contains("SIDE_KEY_TEST")) {
                this.mTestCase = this.mTestCase.replace("SIDE_KEY_TEST", "");
            }
            String[] split = this.mTestCase.split(",");
            this.testItemListStr = split;
            int length = split.length;
            this.testItemCount = length;
            this.testItemListID = new int[length];
            for (int i = 0; i < this.testItemCount; i++) {
                this.testItemListID[i] = mapping_CaseNItem(this.testItemListStr[i]);
            }
            Arrays.sort(this.testItemListID);
        } else {
            FtUtil.log_d(this.CLASS_NAME, "onCreate", "fail to parse test case");
        }
        FtUtil.setRemoveSystemUI(getWindow(), true);
        String str2 = this.CLASS_NAME;
        FtUtil.log_d(str2, "onCreate", "mTestCase : " + this.mTestCase);
        String str3 = this.CLASS_NAME;
        FtUtil.log_d(str3, "onCreate", "isMotorSupport : " + this.isMotorSupport);
        String str4 = this.CLASS_NAME;
        FtUtil.log_d(str4, "onCreate", "testItemCount : " + this.testItemCount);
        for (int i2 = 0; i2 < this.testItemCount; i2++) {
            String str5 = this.CLASS_NAME;
            FtUtil.log_d(str5, "onCreate", "testItemListStr :" + getTestItemName(this.testItemListID[i2]));
        }
        start();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        sendBroadcast(new Intent("com.samsung.android.aircommandmanager.STOP_MONITORING"));
    }

    private void start() {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "start", "testState : " + this.testState);
        int i = this.testState;
        if (i == this.testItemCount) {
            setTestResult((byte) 80);
            setResult(-1);
            finish();
            return;
        }
        int testItem = this.testItemListID[i];
        String str2 = this.CLASS_NAME;
        String itemName_RequestCode = FactoryTestManager.getItemName_RequestCode(0);
        FtUtil.log_d(str2, "start", FtUtil.setMspSeqMessage(1, itemName_RequestCode, "start - " + getTestItemName(testItem)));
        switch (testItem) {
            case 0:
                startActivityForResult(new Intent(this, UILedTest.class), 0);
                return;
            case 1:
                Intent intent = new Intent(this, UILed_RandomTest.class);
                intent.putExtra("motorSupport", this.isMotorSupport);
                startActivityForResult(intent, 1);
                return;
            case 2:
                startActivityForResult(new Intent(this, UIVibrate.class), 2);
                return;
            case 3:
                startActivityForResult(new Intent(this, UIDimmingTest.class), 3);
                return;
            case 4:
                startActivityForResult(new Intent(this, UILcdALPMTest.class), 4);
                return;
            case 5:
                Intent intent2 = new Intent(this, UILcdALPMTest.class);
                intent2.putExtra("alpm_only", true);
                startActivityForResult(intent2, 5);
                return;
            case 6:
                Intent intent3 = new Intent(this, UILcdHLPMAlphabet.class);
                intent3.putExtra("hlpm_only", true);
                startActivityForResult(intent3, 6);
                return;
            case 7:
                Intent intent4 = new Intent(this, UILCDTest.class);
                intent4.putExtra("motorSupport", this.isMotorSupport);
                startActivityForResult(intent4, 7);
                return;
            case 8:
                startActivityForResult(new Intent(this, UIHomeKey.class), 8);
                return;
            case 9:
                Intent intent5 = new Intent();
                intent5.setClassName("com.sec.factory.camera", "com.sec.android.app.camera.Camera");
                intent5.putExtra("ois_test", true);
                intent5.putExtra("camera_id", 0);
                intent5.putExtra(KEY_OMMISION_TEST, true);
                if (this.mTestCase.contains("FRONT_CAM_WITH_COMPANION_IC_24FPS")) {
                    intent5.putExtra(KEY_COMPANION_IC_24FPS, false);
                    intent5.putExtra(KEY_NEXT_CC_ON_24FPS, false);
                }
                startActivityForResult(intent5, 9);
                return;
            case 10:
                Intent intent6 = new Intent();
                intent6.setClassName("com.sec.factory.camera", "com.sec.android.app.camera.Camera");
                intent6.putExtra(KEY_OMMISION_TEST, true);
                if (!Support.Feature.getBoolean(Support.Feature.SUPPORT_REAR_CAMERA)) {
                    intent6.putExtra("camera_id", 0);
                    intent6.putExtra(KEY_FRONT_CAMERA_ONLY, true);
                } else {
                    intent6.putExtra("camera_id", 1);
                }
                if (this.mTestCase.contains("FRONT_CAM_WIDTH_COMPANION_IC")) {
                    intent6.putExtra(KEY_POSTVIEW, false);
                } else {
                    intent6.putExtra(KEY_POSTVIEW, true);
                }
                if (this.mTestCase.contains("FRONT_CAM_WITH_COMPANION_IC_24FPS")) {
                    intent6.putExtra(KEY_COMPANION_IC_24FPS, false);
                    intent6.putExtra(KEY_NEXT_CC_ON_24FPS, false);
                }
                if (Support.Feature.getInt(Support.Feature.SPEAKER_COUNT) == 4) {
                    FtUtil.log_i(this.CLASS_NAME, "start:START_FRONT_CAM_TEST", "delay_before_imageview: 500");
                    intent6.putExtra("delay_before_imageview", 500);
                }
                startActivityForResult(intent6, 10);
                return;
            case 11:
                Intent intent7 = new Intent();
                intent7.setClassName("com.sec.factory.camera", "com.sec.android.app.camera.Camera");
                intent7.putExtra("camera_id", 1);
                intent7.putExtra(KEY_OMMISION_TEST, true);
                intent7.putExtra(KEY_COMPANION_IC, true);
                if (this.mTestCase.contains("FRONT_CAM_WITH_COMPANION_IC_24FPS")) {
                    intent7.putExtra(KEY_COMPANION_IC_24FPS, false);
                    intent7.putExtra(KEY_NEXT_CC_ON_24FPS, true);
                }
                startActivityForResult(intent7, 11);
                return;
            case 12:
                Intent intent8 = new Intent();
                intent8.setClassName("com.sec.factory.camera", "com.sec.android.app.camera.Camera");
                intent8.putExtra("camera_id", 1);
                intent8.putExtra(KEY_OMMISION_TEST, true);
                intent8.putExtra(KEY_COMPANION_IC, true);
                intent8.putExtra(KEY_COMPANION_IC_24FPS, true);
                intent8.putExtra(KEY_NEXT_CC_ON_24FPS, false);
                startActivityForResult(intent8, 12);
                return;
            case 13:
                Intent intent9 = new Intent(this, UIOrientation.class);
                if (this.useInternalImage) {
                    intent9.putExtra("use_internal_image", true);
                } else {
                    intent9.putExtra("use_internal_image", false);
                    intent9.putExtra("mega_filepath", this.mRearCameraPhotoPath);
                    intent9.putExtra("vga_filepath", this.mFrontCameraPhotoPath);
                    String str3 = this.CLASS_NAME;
                    FtUtil.log_d(str3, "REQUEST_ORIENTATION_TEST", "mRearCameraPhotoPath : " + this.mRearCameraPhotoPath);
                    String str4 = this.CLASS_NAME;
                    FtUtil.log_d(str4, "REQUEST_ORIENTATION_TEST", "mFrontCameraPhotoPath : " + this.mFrontCameraPhotoPath);
                }
                startActivityForResult(intent9, 13);
                return;
            case 14:
                Intent intent10 = new Intent();
                intent10.setClassName("com.sec.factory.camera", "com.sec.android.app.camera.CameraTestActivity");
                intent10.putExtra("testtype", Support.HwTestMenu.LCD_TEST_GRIP);
                intent10.putExtra("arg1", "qr");
                startActivityForResult(intent10, 14);
                return;
            default:
                return;
        }
    }

    /* access modifiers changed from: protected */
    public void onActivityResult(int requestCode, int resultCode, Intent data) {
        super.onActivityResult(requestCode, resultCode, data);
        FtUtil.log_v("UISimple", "onActivityResult", "requestCode : " + requestCode + ", resultCode : " + resultCode);
        String failString = null;
        boolean additionalPassCheck = true;
        switch (requestCode) {
            case 9:
                if (data != null) {
                    String stringExtra = data.getStringExtra(KEY_PHOTO_PATH);
                    this.mRearCameraPhotoPath = stringExtra;
                    if (stringExtra == null) {
                        additionalPassCheck = false;
                    }
                } else {
                    this.mRearCameraPhotoPath = null;
                    additionalPassCheck = false;
                }
                this.useInternalImage = false;
                if (!additionalPassCheck && data != null) {
                    failString = data.getStringExtra(CAMERA_FAIL);
                    break;
                }
            case 10:
                if (data != null) {
                    String stringExtra2 = data.getStringExtra(KEY_PHOTO_PATH);
                    this.mFrontCameraPhotoPath = stringExtra2;
                    if (stringExtra2 == null) {
                        additionalPassCheck = false;
                    }
                } else {
                    this.mFrontCameraPhotoPath = null;
                    additionalPassCheck = false;
                }
                this.useInternalImage = false;
                if (!additionalPassCheck && data != null) {
                    failString = data.getStringExtra(CAMERA_FAIL);
                    break;
                }
            case 11:
                if (data != null) {
                    String stringExtra3 = data.getStringExtra(KEY_PHOTO_PATH);
                    this.mFrontCamera_with_companion_PhotoPath = stringExtra3;
                    if (stringExtra3 == null) {
                        additionalPassCheck = false;
                    }
                } else {
                    this.mFrontCamera_with_companion_PhotoPath = null;
                    additionalPassCheck = false;
                }
                this.useInternalImage = false;
                if (!additionalPassCheck && data != null) {
                    failString = data.getStringExtra(CAMERA_FAIL);
                    break;
                }
            case 12:
                if (data != null) {
                    String stringExtra4 = data.getStringExtra(KEY_PHOTO_PATH);
                    this.mFrontCamera_with_companion_24fps_PhotoPath = stringExtra4;
                    if (stringExtra4 == null) {
                        additionalPassCheck = false;
                    }
                } else {
                    this.mFrontCamera_with_companion_24fps_PhotoPath = null;
                    additionalPassCheck = false;
                }
                this.useInternalImage = false;
                if (!additionalPassCheck && data != null) {
                    failString = data.getStringExtra(CAMERA_FAIL);
                    break;
                }
        }
        if (resultCode != -1 || !additionalPassCheck) {
            String str = this.CLASS_NAME;
            String itemName_RequestCode = FactoryTestManager.getItemName_RequestCode(0);
            FtUtil.log_d(str, "onActivityResult", FtUtil.setMspSeqMessage(1, itemName_RequestCode, "Fail - " + getTestItemName(requestCode)));
            if (failString != null) {
                updateSimpleTestStates(failString);
                mModuleCommon.updateFailItem("15 Test", failString, "", "");
            } else {
                updateSimpleTestStates(getTestItemName(this.testItemListID[this.testState]));
                mModuleCommon.updateFailItem("15 Test", getTestItemName(this.testItemListID[this.testState]), "", "");
            }
            finishKeyCode();
            return;
        }
        String str2 = this.CLASS_NAME;
        String itemName_RequestCode2 = FactoryTestManager.getItemName_RequestCode(0);
        FtUtil.log_d(str2, "onActivityResult", FtUtil.setMspSeqMessage(1, itemName_RequestCode2, "Pass - " + getTestItemName(requestCode)));
        this.testState = this.testState + 1;
        start();
    }

    private int mapping_CaseNItem(String simpleTestID) {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "mapping_CaseNItem", "simpleTestID : " + simpleTestID);
        if ("LED".equalsIgnoreCase(simpleTestID)) {
            return 0;
        }
        if ("LED_RANDOM".equalsIgnoreCase(simpleTestID)) {
            return 1;
        }
        if ("RGB_ONLY".equalsIgnoreCase(simpleTestID)) {
            return 2;
        }
        if ("ALPM".equalsIgnoreCase(simpleTestID)) {
            return 4;
        }
        if ("ALPM_ONLY".equalsIgnoreCase(simpleTestID)) {
            return 5;
        }
        if ("HLPM_ONLY".equalsIgnoreCase(simpleTestID)) {
            return 6;
        }
        if ("REAR_CAM".equalsIgnoreCase(simpleTestID)) {
            return 9;
        }
        if ("FRONT_CAM".equalsIgnoreCase(simpleTestID)) {
            return 10;
        }
        if ("FRONT_CAM_WIDTH_COMPANION_IC".equalsIgnoreCase(simpleTestID)) {
            return 11;
        }
        if ("FRONT_CAM_WITH_COMPANION_IC_24FPS".equalsIgnoreCase(simpleTestID)) {
            return 12;
        }
        if ("ORIEN".equalsIgnoreCase(simpleTestID)) {
            return 13;
        }
        if ("QR".equalsIgnoreCase(simpleTestID)) {
            return 14;
        }
        if ("GREEN_LCD".equalsIgnoreCase(simpleTestID)) {
            return 7;
        }
        if ("HOMEKEY".equalsIgnoreCase(simpleTestID)) {
            return 8;
        }
        if ("DIMMING_TEST".equalsIgnoreCase(simpleTestID)) {
            return 3;
        }
        return -1;
    }

    private String getTestItemName(int requestCode) {
        switch (requestCode) {
            case 0:
                return "LED";
            case 1:
                return "LED_RANDOM";
            case 2:
                return "RGB_ONLY";
            case 3:
                return "DIMMING_TEST";
            case 4:
                return "ALPM";
            case 5:
                return "ALPM_ONLY";
            case 6:
                return "HLPM_ONLY";
            case 7:
                return "GREEN_LCD";
            case 8:
                return "HOMEKEY";
            case 9:
                return "REAR_CAMCAM";
            case 10:
                return "FRONT_CAM";
            case 11:
                return "FRONT_CAM_WIDTH_COMPANION_IC";
            case 12:
                return "FRONT_CAM_WITH_COMPANION_IC_24FPS";
            case 13:
                return "ORIEN";
            case 14:
                return "QR";
            default:
                return "Not in the list";
        }
    }

    private void finishKeyCode() {
        FactoryTestManager.getItemResult(FactoryTestManager.getItemPosition_ID(this.TEST_ID));
        finish();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
        unregisterReceiver(this.mReceiver);
    }
}
