package com.sec.factory.app.ui;

import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;

public class UISlideCamTilt extends UIBase implements View.OnClickListener {
    private static final String CLASS_NAME = "UISlideCamTilt";
    private static final int MSG_TEST_CHECK_PASSFAIL = 1002;
    private static final int MSG_TEST_FINISH = 1003;
    private static final int MSG_TEST_MOVE_DOWN = 1001;
    private static final int MSG_TEST_MOVE_UP = 1000;
    Button buttonFail;
    Button buttonPass;
    public Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UISlideCamTilt.AnonymousClass1 */

        public void handleMessage(Message msg) {
            switch (msg.what) {
                case 1000:
                    FtUtil.log_d(UISlideCamTilt.CLASS_NAME, "handleMessage", "MSG_TEST_MOVE_UP");
                    Support.Kernel.writeNsync(Support.Kernel.ENABLE_SLIDING_MOTOR, "1 1");
                    UISlideCamTilt.this.mHandler.sendEmptyMessageDelayed(1002, (long) UISlideCamTilt.this.motorTime);
                    return;
                case 1001:
                    FtUtil.log_d(UISlideCamTilt.CLASS_NAME, "handleMessage", "MSG_TEST_MOVE_DOWN");
                    Support.Kernel.writeNsync(Support.Kernel.ENABLE_SLIDING_MOTOR, "1 -1");
                    UISlideCamTilt.this.mHandler.sendEmptyMessageDelayed(1003, (long) UISlideCamTilt.this.motorTime);
                    return;
                case 1002:
                    FtUtil.log_d(UISlideCamTilt.CLASS_NAME, "handleMessage", "MSG_TEST_CHECK_PASSFAIL");
                    Support.Kernel.writeNsync(Support.Kernel.ENABLE_SLIDING_MOTOR, "0 0");
                    UISlideCamTilt.this.button_enable();
                    return;
                case 1003:
                    FtUtil.log_d(UISlideCamTilt.CLASS_NAME, "handleMessage", "MSG_TEST_FINISH");
                    Support.Kernel.writeNsync(Support.Kernel.ENABLE_SLIDING_MOTOR, "0 0");
                    UISlideCamTilt.this.finish();
                    return;
                default:
                    return;
            }
        }
    };
    private int mTestID = 0;
    private int motorTime;
    private TextView testResult;

    public UISlideCamTilt() {
        super(CLASS_NAME, 318);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_slide_cam_tilt);
        FtUtil.log_d(CLASS_NAME, "onCreate");
        this.mHandler.sendEmptyMessage(1000);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        FtUtil.log_d(CLASS_NAME, "onResume");
        initTest();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        FtUtil.log_d(CLASS_NAME, "onPause");
        Support.Kernel.writeNsync(Support.Kernel.ENABLE_SLIDING_MOTOR, "0 0");
        removeAllMessage();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
        FtUtil.log_d(CLASS_NAME, "onDestory");
        Support.Kernel.writeNsync(Support.Kernel.ENABLE_SLIDING_MOTOR, "0 0");
        removeAllMessage();
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.button_fail:
                FtUtil.log_d(CLASS_NAME, "onClick", "FAIL Button");
                this.testResult.setText("FAIL");
                this.testResult.setTextColor(-65536);
                this.mHandler.sendEmptyMessage(1001);
                return;
            case R.id.button_pass:
                FtUtil.log_d(CLASS_NAME, "onClick", "PASS Button");
                this.testResult.setText("PASS");
                this.testResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                setTestResult((byte) 80);
                this.mHandler.sendEmptyMessage(1001);
                return;
            default:
                return;
        }
    }

    private void removeAllMessage() {
        this.mHandler.removeMessages(1000);
        this.mHandler.removeMessages(1001);
        this.mHandler.removeMessages(1002);
        this.mHandler.removeMessages(1003);
    }

    private void initTest() {
        FtUtil.log_d(CLASS_NAME, "initTest");
        int intExtra = getIntent().getIntExtra("testid", 0);
        this.mTestID = intExtra;
        this.motorTime = Integer.parseInt(Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML(intExtra)));
        FtUtil.log_d(CLASS_NAME, "initTest", "mTestID : " + this.mTestID + " motorTime : " + this.motorTime);
        this.testResult = (TextView) findViewById(R.id.testresult);
        Button button = (Button) findViewById(R.id.button_fail);
        this.buttonFail = button;
        button.setOnClickListener(this);
        Button button2 = (Button) findViewById(R.id.button_pass);
        this.buttonPass = button2;
        button2.setOnClickListener(this);
        this.buttonFail.setEnabled(false);
        this.buttonPass.setEnabled(false);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void button_enable() {
        this.buttonPass.setEnabled(true);
        this.buttonPass.setTextColor(UiHallICTest.FONT_COLOR_PASS);
        this.buttonFail.setEnabled(true);
        this.buttonFail.setTextColor(-65536);
    }
}
