package com.sec.factory.app.ui;

import android.app.AlertDialog;
import android.content.DialogInterface;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.ModuleAudio;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import java.io.IOException;

public class UISpeaker extends UIBase implements View.OnClickListener {
    protected static final String CLASS_NAME = "UISpeaker";
    private int DUMMY = 0;
    private int FINISH_TEST;
    private int NEXT_STEP;
    private int TEST_FAIL;
    private int TEST_ID = 0;
    private int TEST_START;
    private Button button_fail;
    private Button button_pass;
    private Thread mAudioThread;
    private final Handler mHandler;
    private TextView txt_msg;
    private TextView txt_title;

    public UISpeaker() {
        super(CLASS_NAME, 4);
        int i = 0 + 1;
        this.DUMMY = i;
        this.NEXT_STEP = 0;
        int i2 = i + 1;
        this.DUMMY = i2;
        this.FINISH_TEST = i;
        int i3 = i2 + 1;
        this.DUMMY = i3;
        this.TEST_FAIL = i2;
        this.DUMMY = i3 + 1;
        this.TEST_START = i3;
        this.mAudioThread = null;
        this.mHandler = new Handler() {
            /* class com.sec.factory.app.ui.UISpeaker.AnonymousClass1 */

            public void handleMessage(Message msg) {
                if (msg.what == UISpeaker.this.FINISH_TEST) {
                    UISpeaker.this.setTestResult((byte) 80);
                    UISpeaker.this.setResult(-1);
                    UISpeaker.this.finish();
                } else if (msg.what == UISpeaker.this.NEXT_STEP) {
                    UISpeaker.this.ChangeBtn(true);
                } else if (msg.what == UISpeaker.this.TEST_FAIL) {
                    FtUtil.log_d(UISpeaker.CLASS_NAME, "handleMessage", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(4), "Fail - User CLICK fail"));
                    UISpeaker.this.finish();
                } else if (msg.what == UISpeaker.this.TEST_START) {
                    UISpeaker.this.TestStart();
                }
            }
        };
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        FtUtil.log_i(CLASS_NAME, "onCreate", null);
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_speaker);
        this.TEST_ID = getIntent().getIntExtra("testID", 4);
        FtUtil.log_i(CLASS_NAME, "onCreate", "TEST_ID: " + this.TEST_ID);
        setTestId(this.TEST_ID);
        Dual_ClockInit();
    }

    private void Dual_ClockInit() {
        this.txt_msg = (TextView) findViewById(R.id.test_msg);
        this.txt_title = (TextView) findViewById(R.id.title);
        this.button_pass = (Button) findViewById(R.id.button_pass);
        this.button_fail = (Button) findViewById(R.id.button_fail);
        this.button_pass.setOnClickListener(this);
        this.button_fail.setOnClickListener(this);
        if (this.TEST_ID == 5) {
            this.txt_title.setText("SPK(R) Test");
        } else if (ModuleDevice.instance(this).getSpeakerCount() > 1 && !Support.Feature.getBoolean(Support.Feature.SUPPORT_RCV_SPK_COMBINANTION)) {
            this.txt_title.setText("SPK(L) Test");
        } else if (this.TEST_ID == 169) {
            this.txt_title.setText("Speaker2(RCV) Test");
        } else {
            this.txt_title.setText("Speaker Test");
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        ChangeBtn(false);
        if (Support.Feature.getBoolean(Support.Feature.SPK_TEST_CHECK_FINGER_SENSOR_CONNECTION) && this.TEST_ID == 169 && Support.Kernel.readVal(Support.Kernel.FINGERPRINT_TYPE_CHECK) < 1) {
            FtUtil.log_d(CLASS_NAME, "onResume", "FingerPrint Type check Fail");
            showAlertDialog("Please try again after assemble the Back Glass and FingerPrint Sensor.");
            return;
        }
        readyAudioPathAndStart();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void TestStart() {
        FtUtil.log_i(CLASS_NAME, "TestStart", "Play music");
        playSound();
        this.txt_msg.setText("Playing...");
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        stopSound();
        ModuleAudio.instance(this).setAudioPath(4);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
    }

    public void onClick(View v) {
        stopSound();
        ChangeBtn(false);
        switch (v.getId()) {
            case R.id.button_fail:
                this.txt_msg.setText("FAIL");
                this.txt_msg.setTextColor(-65536);
                FtUtil.log_i(CLASS_NAME, "onClick", "Test Fail");
                this.mHandler.sendEmptyMessageDelayed(this.TEST_FAIL, 1000);
                return;
            case R.id.button_pass:
                FtUtil.log_i(CLASS_NAME, "onClick", "Test Pass");
                this.txt_msg.setText("PASS");
                this.txt_msg.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                this.mHandler.sendEmptyMessageDelayed(this.FINISH_TEST, 1000);
                return;
            default:
                FtUtil.log_i(CLASS_NAME, "onClick", "Default");
                return;
        }
    }

    private void playSound() {
        ModuleAudio moduleAudio = ModuleAudio.instance(this);
        String musicPath = Support.Path.getPath(Support.Path.SPEAKER_TEST_MEDIA2);
        FtUtil.log_i(CLASS_NAME, "playSound", "path : " + musicPath);
        try {
            moduleAudio.playMedia(musicPath, true);
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    private void stopSound() {
        ModuleAudio moduleAudio = ModuleAudio.instance(this);
        if (moduleAudio.isPlayingSound()) {
            moduleAudio.stopMedia();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void ChangeBtn(boolean enable) {
        if (enable) {
            this.button_pass.setEnabled(true);
            this.button_fail.setEnabled(true);
            return;
        }
        this.button_pass.setEnabled(false);
        this.button_fail.setEnabled(false);
    }

    private void showAlertDialog(String msg) {
        new AlertDialog.Builder(this).setTitle("Warning!").setMessage(msg).setPositiveButton(R.string.EXIT, new DialogInterface.OnClickListener() {
            /* class com.sec.factory.app.ui.UISpeaker.AnonymousClass2 */

            public void onClick(DialogInterface dialog, int which) {
                UISpeaker.this.finish();
            }
        }).setCancelable(false).show();
    }

    private void readyAudioPathAndStart() {
        Thread thread = new Thread(new Runnable() {
            /* class com.sec.factory.app.ui.UISpeaker.AnonymousClass3 */

            public void run() {
                if (ModuleDevice.instance(UISpeaker.this.getApplicationContext()).getSpeakerCount() <= 1) {
                    ModuleAudio.instance(UISpeaker.this.getApplicationContext()).setAudioPath(0);
                } else if (Support.Feature.getBoolean(Support.Feature.SUPPORT_RCV_SPK_COMBINANTION)) {
                    if (UISpeaker.this.TEST_ID == 169) {
                        ModuleAudio.instance(UISpeaker.this.getApplicationContext()).setAudioPath(9);
                    } else {
                        ModuleAudio.instance(UISpeaker.this.getApplicationContext()).setAudioPath(8);
                    }
                } else if (UISpeaker.this.TEST_ID == 5) {
                    ModuleAudio.instance(UISpeaker.this.getApplicationContext()).setAudioPath(8);
                } else {
                    ModuleAudio.instance(UISpeaker.this.getApplicationContext()).setAudioPath(9);
                }
                ModuleAudio.instance(UISpeaker.this.getApplicationContext()).setStreamMusicVolumeMax();
                UISpeaker.this.mHandler.sendEmptyMessage(UISpeaker.this.TEST_START);
                UISpeaker.this.mHandler.sendEmptyMessageDelayed(UISpeaker.this.NEXT_STEP, 5000);
            }
        });
        this.mAudioThread = thread;
        thread.start();
    }
}
