package com.sec.factory.app.ui;

import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.ModuleAudio;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import java.io.IOException;
import java.util.ArrayList;

public class UISpeaker4 extends UIBase implements View.OnClickListener {
    protected static final String CLASS_NAME = "UISpeaker4";
    private int TEST_ID = 0;
    private Button button_fail;
    private Button button_lowerSPK;
    private Button button_lowerSPKL;
    private Button button_lowerSPKR;
    private Button button_upperSPK;
    private Button button_upperSPKL;
    private Button button_upperSPKR;
    private ArrayList<Integer> mAudioPathArray = new ArrayList<>();
    private final Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UISpeaker4.AnonymousClass1 */

        public void handleMessage(Message msg) {
            if (((TestState) msg.obj) == TestState.TEST_PASS) {
                UISpeaker4.this.setTestResult((byte) 80);
                UISpeaker4.this.setResult(-1);
                UISpeaker4.this.finish();
            } else if (((TestState) msg.obj) == TestState.TEST_FAIL) {
                FtUtil.log_d(UISpeaker4.CLASS_NAME, "handleMessage", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(4), "Fail - User CLICK fail"));
                UISpeaker4.this.finish();
            } else {
                UISpeaker4.this.changeBtn(true, (TestState) msg.obj);
            }
        }
    };
    private String mScreenOrientation = null;
    private ArrayList<TestState> mTestSequenceArray = new ArrayList<>();
    private int mTestStep = 0;
    private TextView txt_lower;
    private TextView txt_lowerL;
    private TextView txt_lowerR;
    private TextView txt_msg;
    private TextView txt_title;
    private TextView txt_upper;
    private TextView txt_upperL;
    private TextView txt_upperR;

    public enum TestState {
        UPPER_L,
        UPPER_R,
        LOWER_R,
        LOWER_L,
        UPPER,
        LOWER,
        TEST_PASS,
        TEST_FAIL
    }

    public UISpeaker4() {
        super(CLASS_NAME, 4);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_speaker4);
        String orientation = Support.FactoryTestMenu.getOrientation(FactoryTestManager.convertorID_XML((byte) 4));
        this.mScreenOrientation = orientation;
        if ("landscape".equalsIgnoreCase(orientation)) {
            setRequestedOrientation(0);
        }
        int intExtra = getIntent().getIntExtra("testID", 4);
        this.TEST_ID = intExtra;
        setTestId(intExtra);
        initUI();
        FtUtil.log_d(CLASS_NAME, "onCreate", "Fix Rotation for SPK4 model");
        ModuleAudio.instance(this).setParam("display_rotation=0");
    }

    private void initUI() {
        FtUtil.log_i(CLASS_NAME, "initUI", null);
        this.txt_msg = (TextView) findViewById(R.id.test_msg);
        this.txt_title = (TextView) findViewById(R.id.title);
        this.txt_upperL = (TextView) findViewById(R.id.txt_upperL);
        this.txt_upper = (TextView) findViewById(R.id.txt_upper);
        this.txt_upperR = (TextView) findViewById(R.id.txt_upperR);
        this.txt_lowerL = (TextView) findViewById(R.id.txt_lowerL);
        this.txt_lower = (TextView) findViewById(R.id.txt_lower);
        this.txt_lowerR = (TextView) findViewById(R.id.txt_lowerR);
        this.button_upperSPKL = (Button) findViewById(R.id.button_upperSPKL);
        this.button_upperSPK = (Button) findViewById(R.id.button_upperSPK);
        this.button_upperSPKR = (Button) findViewById(R.id.button_upperSPKR);
        this.button_lowerSPKL = (Button) findViewById(R.id.button_lowerSPKL);
        this.button_lowerSPK = (Button) findViewById(R.id.button_lowerSPK);
        this.button_lowerSPKR = (Button) findViewById(R.id.button_lowerSPKR);
        this.button_fail = (Button) findViewById(R.id.button_fail);
        this.button_upperSPKL.setOnClickListener(this);
        this.button_upperSPK.setOnClickListener(this);
        this.button_upperSPKR.setOnClickListener(this);
        this.button_lowerSPKL.setOnClickListener(this);
        this.button_lowerSPK.setOnClickListener(this);
        this.button_lowerSPKR.setOnClickListener(this);
        this.button_fail.setOnClickListener(this);
        this.txt_title.setText("Speaker Test");
        if (Support.Feature.getInt(Support.Feature.SPEAKER_COUNT) == 4) {
            this.txt_upper.setVisibility(8);
            this.txt_lower.setVisibility(8);
            this.button_upperSPK.setVisibility(8);
            this.button_lowerSPK.setVisibility(8);
        } else if (Support.Feature.getInt(Support.Feature.SPEAKER_COUNT) == 2 && "T_B".equals(Support.TestCase.getString(Support.TestCase.SPEAKER_POSITION))) {
            this.txt_upperL.setVisibility(8);
            this.txt_upperR.setVisibility(8);
            this.txt_lowerL.setVisibility(8);
            this.txt_lowerR.setVisibility(8);
            this.button_upperSPKL.setVisibility(8);
            this.button_upperSPKR.setVisibility(8);
            this.button_lowerSPKL.setVisibility(8);
            this.button_lowerSPKR.setVisibility(8);
        } else if (Support.Feature.getInt(Support.Feature.SPEAKER_COUNT) == 2 && "L_R".equals(Support.TestCase.getString(Support.TestCase.SPEAKER_POSITION))) {
            this.txt_upperL.setVisibility(8);
            this.txt_upper.setVisibility(8);
            this.txt_upperR.setVisibility(8);
            this.txt_lower.setVisibility(8);
            this.button_upperSPKL.setVisibility(8);
            this.button_upperSPK.setVisibility(8);
            this.button_upperSPKR.setVisibility(8);
            this.button_lowerSPK.setVisibility(8);
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        initValues();
        initAudioSetting();
        initTestSequence();
        changeBtn(false, this.mTestSequenceArray.get(this.mTestStep));
        goToNextStep();
    }

    private void initValues() {
        FtUtil.log_i(CLASS_NAME, "initValues", null);
        this.mTestStep = 0;
        this.mAudioPathArray.clear();
        this.mTestSequenceArray.clear();
    }

    private void initAudioSetting() {
        FtUtil.log_i(CLASS_NAME, "initAudioSetting", null);
        initAudioPath();
        ModuleAudio.instance(this).setStreamMusicVolumeMax();
    }

    private void initAudioPath() {
        String[] audioPath;
        this.mAudioPathArray.clear();
        FtUtil.log_i(CLASS_NAME, "initAudioPath", "Add default audio-path.");
        if (Support.Feature.getInt(Support.Feature.SPEAKER_COUNT) == 4) {
            this.mAudioPathArray.add(8);
            this.mAudioPathArray.add(9);
            this.mAudioPathArray.add(10);
            this.mAudioPathArray.add(11);
        } else if ("L_R".equals(Support.TestCase.getString(Support.TestCase.SPEAKER_POSITION)) || "T_B".equals(Support.TestCase.getString(Support.TestCase.SPEAKER_POSITION))) {
            this.mAudioPathArray.add(9);
            this.mAudioPathArray.add(8);
        } else {
            this.mAudioPathArray.add(0);
            this.mAudioPathArray.add(0);
        }
        String testCase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML(this.TEST_ID));
        if (!(testCase == null || (audioPath = testCase.split(",")) == null || audioPath.length != Support.Feature.getInt(Support.Feature.SPEAKER_COUNT))) {
            FtUtil.log_i(CLASS_NAME, "initAudioPath", "Testcase exist. Replace audio-path for test.");
            this.mAudioPathArray.clear();
            for (String path : audioPath) {
                this.mAudioPathArray.add(Integer.valueOf(mappingAudioPath(path)));
            }
        }
        if (this.mAudioPathArray.size() > 0) {
            setAudioPath(this.mAudioPathArray.get(this.mTestStep).intValue());
        }
    }

    private int mappingAudioPath(String path) {
        FtUtil.log_i(CLASS_NAME, "mappingAudioPath", "path : " + path);
        if ("SPK1".equalsIgnoreCase(path)) {
            return 8;
        }
        if ("SPK2".equalsIgnoreCase(path)) {
            return 9;
        }
        if ("SPK3".equalsIgnoreCase(path)) {
            return 10;
        }
        if ("SPK4".equalsIgnoreCase(path)) {
            return 11;
        }
        "SPK".equalsIgnoreCase(path);
        return 0;
    }

    private void initTestSequence() {
        FtUtil.log_i(CLASS_NAME, "initTestSequence", null);
        this.mTestSequenceArray.clear();
        if (Support.Feature.getInt(Support.Feature.SPEAKER_COUNT) == 4) {
            FtUtil.log_i(CLASS_NAME, "initTestSequence", "4 speaker model. Add 4 test sequence.");
            this.mTestSequenceArray.add(TestState.UPPER_L);
            this.mTestSequenceArray.add(TestState.UPPER_R);
            this.mTestSequenceArray.add(TestState.LOWER_R);
            this.mTestSequenceArray.add(TestState.LOWER_L);
            return;
        }
        FtUtil.log_i(CLASS_NAME, "initTestSequence", "2 speaker model. Add 2 test sequence.");
        if ("L_R".equals(Support.TestCase.getString(Support.TestCase.SPEAKER_POSITION))) {
            this.mTestSequenceArray.add(TestState.LOWER_L);
            this.mTestSequenceArray.add(TestState.LOWER_R);
            return;
        }
        this.mTestSequenceArray.add(TestState.UPPER);
        this.mTestSequenceArray.add(TestState.LOWER);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        stopSound();
        ModuleAudio.instance(this).setAudioPath(4);
        this.mHandler.removeCallbacksAndMessages(null);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
    }

    public void onClick(View v) {
        stopSound();
        changeBtn(false, this.mTestSequenceArray.get(this.mTestStep));
        this.mTestStep++;
        switch (v.getId()) {
            case R.id.button_fail:
                FtUtil.log_i(CLASS_NAME, "onClick", "Test fail");
                this.txt_msg.setText("FAIL");
                this.txt_msg.setTextColor(-65536);
                Handler handler = this.mHandler;
                handler.sendMessageDelayed(handler.obtainMessage(0, TestState.TEST_FAIL), 1000);
                return;
            case R.id.button_lowerSPK:
                FtUtil.log_i(CLASS_NAME, "onClick", "lowerSPK pass");
                this.button_lowerSPK.setTextColor(-1);
                this.button_lowerSPK.setBackgroundColor(UiHallICTest.FONT_COLOR_PASS);
                goToNextStep();
                return;
            case R.id.button_lowerSPKL:
                FtUtil.log_i(CLASS_NAME, "onClick", "lowerSPKL pass");
                this.button_lowerSPKL.setTextColor(-1);
                this.button_lowerSPKL.setBackgroundColor(UiHallICTest.FONT_COLOR_PASS);
                goToNextStep();
                return;
            case R.id.button_lowerSPKR:
                FtUtil.log_i(CLASS_NAME, "onClick", "lowerSPKR pass");
                this.button_lowerSPKR.setTextColor(-1);
                this.button_lowerSPKR.setBackgroundColor(UiHallICTest.FONT_COLOR_PASS);
                goToNextStep();
                return;
            case R.id.button_upperSPK:
                FtUtil.log_i(CLASS_NAME, "onClick", "upperSPK pass");
                this.button_upperSPK.setTextColor(-1);
                this.button_upperSPK.setBackgroundColor(UiHallICTest.FONT_COLOR_PASS);
                goToNextStep();
                return;
            case R.id.button_upperSPKL:
                FtUtil.log_i(CLASS_NAME, "onClick", "upperSPKL pass");
                this.button_upperSPKL.setTextColor(-1);
                this.button_upperSPKL.setBackgroundColor(UiHallICTest.FONT_COLOR_PASS);
                goToNextStep();
                return;
            case R.id.button_upperSPKR:
                FtUtil.log_i(CLASS_NAME, "onClick", "upperSPKR pass");
                this.button_upperSPKR.setTextColor(-1);
                this.button_upperSPKR.setBackgroundColor(UiHallICTest.FONT_COLOR_PASS);
                goToNextStep();
                return;
            default:
                FtUtil.log_i(CLASS_NAME, "onClick", "Default");
                return;
        }
    }

    private void goToNextStep() {
        FtUtil.log_i(CLASS_NAME, "goToNextStep", "mTestSequenceArray.size() : " + this.mTestSequenceArray.size() + " mTestStep : " + this.mTestStep);
        int size = this.mTestSequenceArray.size();
        int i = this.mTestStep;
        if (size > i) {
            setAudioPath(this.mAudioPathArray.get(i).intValue());
            playSound();
            changeTestStepText(this.mTestSequenceArray.get(this.mTestStep));
            Handler handler = this.mHandler;
            handler.sendMessageDelayed(handler.obtainMessage(0, this.mTestSequenceArray.get(this.mTestStep)), 2000);
            return;
        }
        changeTestStepText(TestState.TEST_PASS);
        Handler handler2 = this.mHandler;
        handler2.sendMessageDelayed(handler2.obtainMessage(0, TestState.TEST_PASS), 1000);
    }

    private void setAudioPath(int path) {
        FtUtil.log_i(CLASS_NAME, "setAudioPath", "path : " + path);
        ModuleAudio.instance(this).setAudioPath(path);
    }

    private void playSound() {
        ModuleAudio moduleAudio = ModuleAudio.instance(this);
        String musicPath = Support.Path.getPath(Support.Path.SPEAKER_TEST_MEDIA2);
        FtUtil.log_i(CLASS_NAME, "playSound", "path : " + musicPath);
        try {
            moduleAudio.playMedia(musicPath, true);
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    private void stopSound() {
        FtUtil.log_i(CLASS_NAME, "stopSound", null);
        ModuleAudio moduleAudio = ModuleAudio.instance(this);
        if (moduleAudio.isPlayingSound()) {
            moduleAudio.stopMedia();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void changeBtn(boolean enable, TestState state) {
        FtUtil.log_i(CLASS_NAME, "changeBtn", "enable : " + enable + "state : " + state.ordinal());
        if (enable) {
            this.button_fail.setEnabled(true);
            this.button_fail.setTextColor(-65536);
            if (state == TestState.UPPER_L) {
                this.button_upperSPKL.setEnabled(true);
                this.button_upperSPKL.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            } else if (state == TestState.UPPER) {
                this.button_upperSPK.setEnabled(true);
                this.button_upperSPK.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            } else if (state == TestState.UPPER_R) {
                this.button_upperSPKR.setEnabled(true);
                this.button_upperSPKR.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            } else if (state == TestState.LOWER_R) {
                this.button_lowerSPKR.setEnabled(true);
                this.button_lowerSPKR.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            } else if (state == TestState.LOWER) {
                this.button_lowerSPK.setEnabled(true);
                this.button_lowerSPK.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            } else if (state == TestState.LOWER_L) {
                this.button_lowerSPKL.setEnabled(true);
                this.button_lowerSPKL.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            }
        } else {
            this.button_upperSPKL.setEnabled(false);
            this.button_upperSPK.setEnabled(false);
            this.button_upperSPKR.setEnabled(false);
            this.button_lowerSPKL.setEnabled(false);
            this.button_lowerSPK.setEnabled(false);
            this.button_lowerSPKR.setEnabled(false);
            this.button_fail.setEnabled(false);
            this.button_fail.setTextColor(-16777216);
        }
    }

    private void changeTestStepText(TestState state) {
        if (state == TestState.UPPER_L) {
            this.txt_msg.setText("Top SPK L Playing...");
            this.txt_msg.setTextColor(-16777216);
        } else if (state == TestState.UPPER_R) {
            this.txt_msg.setText("Top SPK R Playing...");
            this.txt_msg.setTextColor(-16777216);
        } else if (state == TestState.LOWER_R) {
            this.txt_msg.setText("Bottom SPK R Playing...");
            this.txt_msg.setTextColor(-16777216);
        } else if (state == TestState.LOWER_L) {
            this.txt_msg.setText("Bottom SPK L Playing...");
            this.txt_msg.setTextColor(-16777216);
        } else if (state == TestState.UPPER) {
            this.txt_msg.setText("Top SPK Playing...");
            this.txt_msg.setTextColor(-16777216);
        } else if (state == TestState.LOWER) {
            this.txt_msg.setText("Bottom SPK Playing...");
            this.txt_msg.setTextColor(-16777216);
        } else if (state == TestState.TEST_PASS) {
            this.txt_msg.setText("PASS");
            this.txt_msg.setTextColor(UiHallICTest.FONT_COLOR_PASS);
        } else if (state == TestState.TEST_FAIL) {
            this.txt_msg.setText("FAIL");
            this.txt_msg.setTextColor(-65536);
        }
    }
}
