package com.sec.factory.app.ui;

import android.content.Context;
import android.content.res.Resources;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Point;
import android.os.Bundle;
import android.os.Handler;
import android.os.SystemProperties;
import android.util.Log;
import android.util.TypedValue;
import android.view.Display;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.View;
import android.view.WindowManager;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import com.sec.factory.R;
import com.sec.factory.modules.ModuleTouchScreen;
import com.sec.factory.support.FtUtil;

public class UISpenAccuracyPointTest extends UIBase {
    private static final int AMETA_PEN_ON = 33554432;
    private static final int HEIGHT_BASIS = 42;
    private static final String TAG = "UISpenAccuracyPointTest";
    private static final int WIDTH_BASIS = 27;
    private int EDGE_NUM_X = 3;
    private int EDGE_NUM_Y = 3;
    private int NUMBER_OF_CIRCLES = 9;
    private int SIZE_CENTER_CIRCLE = 3;
    private int SIZE_MARGIN = 5;
    private int SIZE_OUT_CIRCLE = 5;
    private float SIZE_X;
    private float SIZE_Y;
    private CircleView circleView;
    private float closerEdgeX;
    private float closerEdgeY;
    float delta_Distance = 0.0f;
    float delta_Distance_MAX = 0.0f;
    float delta_subtractionX = 0.0f;
    float delta_subtractionX_MAX = 0.0f;
    float delta_subtractionY = 0.0f;
    float delta_subtractionY_MAX = 0.0f;
    private float[] edgeArray_X;
    private float[] edgeArray_Y;
    private float edgeX;
    private float edgeY;
    private Paint mCloserEdgePaint;
    private Handler mHandler = new Handler();
    private boolean[] mIsClicked;
    private boolean mIsPassFlag = false;
    private boolean mIsTablet = false;
    private boolean mIsWacom = true;
    private int mOldHoveringSetting = 0;

    static /* synthetic */ float access$1116(UISpenAccuracyPointTest x0, float x1) {
        float f = x0.edgeX + x1;
        x0.edgeX = f;
        return f;
    }

    static /* synthetic */ float access$1216(UISpenAccuracyPointTest x0, float x1) {
        float f = x0.edgeY + x1;
        x0.edgeY = f;
        return f;
    }

    public UISpenAccuracyPointTest() {
        super(TAG, 26);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        initValues();
        initPoints();
        CircleView circleView2 = new CircleView(this);
        this.circleView = circleView2;
        setContentView(circleView2);
        Display mDisplay = ((WindowManager) getSystemService("window")).getDefaultDisplay();
        Point outpoint = new Point();
        mDisplay.getRealSize(outpoint);
        int Width = outpoint.x;
        int Height = outpoint.y;
        Button btn = new Button(this);
        btn.setText("Reset");
        new LinearLayout(this);
        RelativeLayout.LayoutParams buttonParams = new RelativeLayout.LayoutParams(-2, -2);
        btn.setClickable(true);
        btn.setOnClickListener(new View.OnClickListener() {
            /* class com.sec.factory.app.ui.UISpenAccuracyPointTest.AnonymousClass1 */

            public void onClick(View arg0) {
                UISpenAccuracyPointTest.this.initPoints();
            }
        });
        btn.setX(((float) (Width / 2)) - 35.0f);
        btn.setY((float) ((Height * 2) / 3));
        addContentView(btn, buttonParams);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public boolean onKeyDown(int keyCode, KeyEvent event) {
        if (keyCode != 25 && keyCode != 24) {
            return true;
        }
        finish();
        return true;
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        FtUtil.setRemoveSystemUI(getWindow(), true);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
    }

    private void initValues() {
        String deviceType = SystemProperties.get("ro.build.characteristics");
        if (deviceType != null) {
            this.mIsTablet = deviceType.contains(ModuleTouchScreen.TSP_DEVICE_TYPE__TABLET);
        }
        if (this.mIsTablet) {
            this.NUMBER_OF_CIRCLES = 9;
            this.EDGE_NUM_X = 3;
            this.EDGE_NUM_Y = 3;
        } else {
            this.NUMBER_OF_CIRCLES = 5;
            this.EDGE_NUM_X = 2;
            this.EDGE_NUM_Y = 2;
        }
        this.edgeArray_X = new float[this.EDGE_NUM_X];
        this.edgeArray_Y = new float[this.EDGE_NUM_Y];
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void initPoints() {
        this.mIsClicked = new boolean[this.NUMBER_OF_CIRCLES];
        CircleView circleView2 = this.circleView;
        if (circleView2 != null) {
            circleView2.invalidate();
        }
    }

    public class CircleView extends View {
        private float mCenterRadius;
        private Bitmap mCircleBitmap;
        private Canvas mCircleCanvas;
        private Paint mClickPaint;
        private float mLargeRadius;
        private Bitmap mLineBitmap;
        private Canvas mLineCanvas;
        private Paint mLinePaint;
        private Paint mNonClickPaint;
        private String mPassText = "";
        private float mPointX;
        private float mPointY;
        private float mRadiusLength;
        private int mScreenHeight;
        private int mScreenWidth;
        private Paint mTextResultPaint;
        private Paint[] mUsePaint;
        private float viewMarginHeight;
        private float viewMarginWidth;

        public CircleView(Context context) {
            super(context);
            Display mDisplay = ((WindowManager) context.getSystemService("window")).getDefaultDisplay();
            Point outpoint = new Point();
            mDisplay.getRealSize(outpoint);
            this.mScreenWidth = outpoint.x;
            this.mScreenHeight = outpoint.y;
            initCircleView();
        }

        private void initCircleView() {
            Resources r = getResources();
            this.mLargeRadius = TypedValue.applyDimension(5, (float) UISpenAccuracyPointTest.this.SIZE_OUT_CIRCLE, r.getDisplayMetrics()) / 2.0f;
            this.mCenterRadius = TypedValue.applyDimension(5, (float) UISpenAccuracyPointTest.this.SIZE_CENTER_CIRCLE, r.getDisplayMetrics()) / 2.0f;
            this.mRadiusLength = this.mLargeRadius;
            this.viewMarginWidth = TypedValue.applyDimension(5, (float) UISpenAccuracyPointTest.this.SIZE_MARGIN, r.getDisplayMetrics());
            this.viewMarginHeight = TypedValue.applyDimension(5, (float) UISpenAccuracyPointTest.this.SIZE_MARGIN, r.getDisplayMetrics());
            Paint paint = new Paint();
            this.mClickPaint = paint;
            paint.setStrokeWidth(4.0f);
            this.mClickPaint.setAntiAlias(false);
            this.mClickPaint.setColor(-16711936);
            Paint paint2 = new Paint();
            this.mNonClickPaint = paint2;
            paint2.setAntiAlias(false);
            this.mNonClickPaint.setColor(-65536);
            Paint paint3 = new Paint();
            this.mTextResultPaint = paint3;
            paint3.setColor(UiHallICTest.FONT_COLOR_PASS);
            this.mTextResultPaint.setTextAlign(Paint.Align.CENTER);
            this.mTextResultPaint.setAntiAlias(false);
            this.mTextResultPaint.setTextSize(100.0f);
            Paint paint4 = new Paint();
            this.mLinePaint = paint4;
            paint4.setStrokeWidth(4.0f);
            this.mLinePaint.setColor(-16777216);
            UISpenAccuracyPointTest.this.mCloserEdgePaint = new Paint();
            UISpenAccuracyPointTest.this.mCloserEdgePaint.setStrokeWidth(4.0f);
            UISpenAccuracyPointTest.this.mCloserEdgePaint.setColor(UiHallICTest.FONT_COLOR_PASS);
            this.mCircleBitmap = Bitmap.createBitmap(this.mScreenWidth, this.mScreenHeight, Bitmap.Config.ARGB_8888);
            this.mCircleCanvas = new Canvas(this.mCircleBitmap);
            this.mLineBitmap = Bitmap.createBitmap(this.mScreenWidth, this.mScreenHeight, Bitmap.Config.ARGB_8888);
            this.mLineCanvas = new Canvas(this.mLineBitmap);
            this.mUsePaint = new Paint[UISpenAccuracyPointTest.this.NUMBER_OF_CIRCLES];
            this.mPassText = getResources().getString(R.string.PASS);
            invalidate();
        }

        public boolean onKeyDown(int keyCode, KeyEvent event) {
            if (keyCode == 25 || keyCode == 24) {
                UISpenAccuracyPointTest.this.finish();
            }
            return super.onKeyDown(keyCode, event);
        }

        public boolean onTouchEvent(MotionEvent event) {
            this.mPointX = event.getX();
            this.mPointY = event.getY();
            int action = event.getAction();
            if (UISpenAccuracyPointTest.this.mIsWacom) {
                if (event.getToolType(0) == 2) {
                    Log.i(UISpenAccuracyPointTest.TAG, "Touched!");
                    checkRange(event);
                    drawCircles(this.mCircleCanvas);
                    drawPoint(this.mPointX, this.mPointY);
                    invalidate();
                    if (isPass() && !UISpenAccuracyPointTest.this.mIsPassFlag) {
                        UISpenAccuracyPointTest.this.mIsPassFlag = true;
                        this.mCircleCanvas.drawText(this.mPassText, (float) (this.mScreenWidth / 2), 300.0f, this.mTextResultPaint);
                        invalidate();
                        UISpenAccuracyPointTest.this.mHandler.postDelayed(new Runnable() {
                            /* class com.sec.factory.app.ui.UISpenAccuracyPointTest.CircleView.AnonymousClass1 */

                            public void run() {
                                UISpenAccuracyPointTest.this.setTestResult(26, (byte) 80);
                                UISpenAccuracyPointTest.this.finish();
                            }
                        }, 500);
                    }
                }
                switch (action) {
                    case 0:
                        initCircleView();
                        saveEdgeLocations();
                        calculateCloserEdge(this.mPointX, this.mPointY);
                        this.mLinePaint.setTextSize(20.0f);
                        Canvas canvas = this.mLineCanvas;
                        canvas.drawText("Point T(X " + UISpenAccuracyPointTest.this.closerEdgeX + ", Y " + UISpenAccuracyPointTest.this.closerEdgeY + ") / Point A(X " + this.mPointX + ", Y " + this.mPointY + ")", 30.0f, 300.0f, this.mLinePaint);
                        UISpenAccuracyPointTest uISpenAccuracyPointTest = UISpenAccuracyPointTest.this;
                        uISpenAccuracyPointTest.delta_Distance = (float) (Math.sqrt((double) (squareValue(makeAbsoluteValue(this.mPointX - uISpenAccuracyPointTest.closerEdgeX)) + squareValue(makeAbsoluteValue(this.mPointY - UISpenAccuracyPointTest.this.closerEdgeY)))) / 5.6d);
                        UISpenAccuracyPointTest uISpenAccuracyPointTest2 = UISpenAccuracyPointTest.this;
                        uISpenAccuracyPointTest2.delta_subtractionX = makeAbsoluteValue(this.mPointX - uISpenAccuracyPointTest2.closerEdgeX);
                        UISpenAccuracyPointTest uISpenAccuracyPointTest3 = UISpenAccuracyPointTest.this;
                        uISpenAccuracyPointTest3.delta_subtractionY = makeAbsoluteValue(this.mPointY - uISpenAccuracyPointTest3.closerEdgeY);
                        if (UISpenAccuracyPointTest.this.delta_Distance > UISpenAccuracyPointTest.this.delta_Distance_MAX) {
                            UISpenAccuracyPointTest uISpenAccuracyPointTest4 = UISpenAccuracyPointTest.this;
                            uISpenAccuracyPointTest4.delta_Distance_MAX = uISpenAccuracyPointTest4.delta_Distance;
                            UISpenAccuracyPointTest uISpenAccuracyPointTest5 = UISpenAccuracyPointTest.this;
                            uISpenAccuracyPointTest5.delta_subtractionX_MAX = uISpenAccuracyPointTest5.delta_subtractionX;
                            UISpenAccuracyPointTest uISpenAccuracyPointTest6 = UISpenAccuracyPointTest.this;
                            uISpenAccuracyPointTest6.delta_subtractionY_MAX = uISpenAccuracyPointTest6.delta_subtractionY;
                        }
                        float pressure = event.getPressure();
                        Canvas canvas2 = this.mLineCanvas;
                        canvas2.drawText("Deta(X " + UISpenAccuracyPointTest.this.delta_subtractionX + ", Y " + UISpenAccuracyPointTest.this.delta_subtractionY + ", " + UISpenAccuracyPointTest.this.delta_Distance + "mm)", 30.0f, 320.0f, this.mLinePaint);
                        Canvas canvas3 = this.mLineCanvas;
                        canvas3.drawText("Deta MAX(X " + UISpenAccuracyPointTest.this.delta_subtractionX_MAX + ", Y " + UISpenAccuracyPointTest.this.delta_subtractionY_MAX + ", " + UISpenAccuracyPointTest.this.delta_Distance_MAX + "mm)", 30.0f, 340.0f, this.mLinePaint);
                        Canvas canvas4 = this.mLineCanvas;
                        StringBuilder sb = new StringBuilder();
                        sb.append("Pressure : ");
                        sb.append(pressure);
                        canvas4.drawText(sb.toString(), 30.0f, 360.0f, this.mLinePaint);
                        break;
                }
            }
            return true;
        }

        private void saveEdgeLocations() {
            UISpenAccuracyPointTest.this.edgeX = this.viewMarginWidth;
            UISpenAccuracyPointTest.this.edgeY = this.viewMarginHeight;
            if (UISpenAccuracyPointTest.this.mIsTablet) {
                UISpenAccuracyPointTest.this.SIZE_X = ((float) (this.mScreenWidth / 2)) - this.viewMarginWidth;
                UISpenAccuracyPointTest.this.SIZE_Y = ((float) (this.mScreenHeight / 2)) - this.viewMarginHeight;
            } else {
                UISpenAccuracyPointTest.this.SIZE_X = ((float) this.mScreenWidth) - (this.viewMarginWidth * 2.0f);
                UISpenAccuracyPointTest.this.SIZE_Y = ((float) this.mScreenHeight) - (this.viewMarginHeight * 2.0f);
            }
            for (int i = 0; i < UISpenAccuracyPointTest.this.EDGE_NUM_X; i++) {
                UISpenAccuracyPointTest.this.edgeArray_X[i] = UISpenAccuracyPointTest.this.edgeX;
                UISpenAccuracyPointTest uISpenAccuracyPointTest = UISpenAccuracyPointTest.this;
                UISpenAccuracyPointTest.access$1116(uISpenAccuracyPointTest, uISpenAccuracyPointTest.SIZE_X);
            }
            for (int i2 = 0; i2 < UISpenAccuracyPointTest.this.EDGE_NUM_Y; i2++) {
                UISpenAccuracyPointTest.this.edgeArray_Y[i2] = UISpenAccuracyPointTest.this.edgeY;
                UISpenAccuracyPointTest uISpenAccuracyPointTest2 = UISpenAccuracyPointTest.this;
                UISpenAccuracyPointTest.access$1216(uISpenAccuracyPointTest2, uISpenAccuracyPointTest2.SIZE_Y);
            }
        }

        private void calculateCloserEdge(float touchX, float touchY) {
            UISpenAccuracyPointTest.this.closerEdgeX = 10000.0f;
            UISpenAccuracyPointTest.this.closerEdgeY = 10000.0f;
            for (int j = 0; j < UISpenAccuracyPointTest.this.EDGE_NUM_Y; j++) {
                for (int i = 0; i < UISpenAccuracyPointTest.this.EDGE_NUM_X; i++) {
                    if (squareValue(makeAbsoluteValue(touchX - UISpenAccuracyPointTest.this.edgeArray_X[i])) + squareValue(makeAbsoluteValue(touchY - UISpenAccuracyPointTest.this.edgeArray_Y[j])) < squareValue(makeAbsoluteValue(touchX - UISpenAccuracyPointTest.this.closerEdgeX)) + squareValue(makeAbsoluteValue(touchY - UISpenAccuracyPointTest.this.closerEdgeY))) {
                        UISpenAccuracyPointTest uISpenAccuracyPointTest = UISpenAccuracyPointTest.this;
                        uISpenAccuracyPointTest.closerEdgeX = uISpenAccuracyPointTest.edgeArray_X[i];
                        UISpenAccuracyPointTest uISpenAccuracyPointTest2 = UISpenAccuracyPointTest.this;
                        uISpenAccuracyPointTest2.closerEdgeY = uISpenAccuracyPointTest2.edgeArray_Y[j];
                    }
                }
            }
            Log.i(UISpenAccuracyPointTest.TAG, "closerX : " + UISpenAccuracyPointTest.this.closerEdgeX + "closerY : " + UISpenAccuracyPointTest.this.closerEdgeY);
            this.mLineCanvas.drawLine(UISpenAccuracyPointTest.this.closerEdgeX - this.mLargeRadius, UISpenAccuracyPointTest.this.closerEdgeY, UISpenAccuracyPointTest.this.closerEdgeX + this.mLargeRadius, UISpenAccuracyPointTest.this.closerEdgeY, UISpenAccuracyPointTest.this.mCloserEdgePaint);
            this.mLineCanvas.drawLine(UISpenAccuracyPointTest.this.closerEdgeX, UISpenAccuracyPointTest.this.closerEdgeY - this.mLargeRadius, UISpenAccuracyPointTest.this.closerEdgeX, UISpenAccuracyPointTest.this.closerEdgeY + this.mLargeRadius, UISpenAccuracyPointTest.this.mCloserEdgePaint);
        }

        private float makeAbsoluteValue(float input) {
            if (input < 0.0f) {
                return input * -1.0f;
            }
            return input;
        }

        private float squareValue(float input) {
            return input * input;
        }

        private void checkRange(MotionEvent event) {
            Log.i(UISpenAccuracyPointTest.TAG, "pointX: " + this.mPointX);
            Log.i(UISpenAccuracyPointTest.TAG, "pointY: " + this.mPointY);
            switch (event.getAction()) {
                case 0:
                    if (isInCircleArea(this.viewMarginWidth, this.viewMarginHeight, this.mPointX, this.mPointY, this.mRadiusLength)) {
                        Log.i(UISpenAccuracyPointTest.TAG, "TopLeftCircle: true");
                        UISpenAccuracyPointTest.this.mIsClicked[0] = true;
                        return;
                    } else if (isInCircleArea(((float) this.mScreenWidth) - this.viewMarginWidth, this.viewMarginHeight, this.mPointX, this.mPointY, this.mRadiusLength)) {
                        Log.i(UISpenAccuracyPointTest.TAG, "TopRightCircle: true");
                        UISpenAccuracyPointTest.this.mIsClicked[1] = true;
                        return;
                    } else if (isInCircleArea((float) (this.mScreenWidth / 2), (float) (this.mScreenHeight / 2), this.mPointX, this.mPointY, this.mCenterRadius)) {
                        Log.i(UISpenAccuracyPointTest.TAG, "CenterCircle: true");
                        UISpenAccuracyPointTest.this.mIsClicked[2] = true;
                        return;
                    } else if (isInCircleArea(this.viewMarginWidth, ((float) this.mScreenHeight) - this.viewMarginHeight, this.mPointX, this.mPointY, this.mRadiusLength)) {
                        Log.i(UISpenAccuracyPointTest.TAG, "BottomLeftCircle: true");
                        UISpenAccuracyPointTest.this.mIsClicked[3] = true;
                        return;
                    } else if (isInCircleArea(((float) this.mScreenWidth) - this.viewMarginWidth, ((float) this.mScreenHeight) - this.viewMarginHeight, this.mPointX, this.mPointY, this.mRadiusLength)) {
                        Log.i(UISpenAccuracyPointTest.TAG, "BottomRightCircle: true");
                        UISpenAccuracyPointTest.this.mIsClicked[4] = true;
                        return;
                    } else if (!UISpenAccuracyPointTest.this.mIsTablet) {
                        Log.i(UISpenAccuracyPointTest.TAG, "FALSE");
                        return;
                    } else if (isInCircleArea((float) (this.mScreenWidth / 2), this.viewMarginHeight, this.mPointX, this.mPointY, this.mRadiusLength)) {
                        Log.i(UISpenAccuracyPointTest.TAG, "TopCenterCircle: true");
                        UISpenAccuracyPointTest.this.mIsClicked[5] = true;
                        return;
                    } else if (isInCircleArea((float) (this.mScreenWidth / 2), ((float) this.mScreenHeight) - this.viewMarginHeight, this.mPointX, this.mPointY, this.mRadiusLength)) {
                        Log.i(UISpenAccuracyPointTest.TAG, "BottomCenterCircle: true");
                        UISpenAccuracyPointTest.this.mIsClicked[6] = true;
                        return;
                    } else if (isInCircleArea(this.viewMarginWidth, (float) (this.mScreenHeight / 2), this.mPointX, this.mPointY, this.mRadiusLength)) {
                        Log.i(UISpenAccuracyPointTest.TAG, "LeftCenterCircle: true");
                        UISpenAccuracyPointTest.this.mIsClicked[7] = true;
                        return;
                    } else if (isInCircleArea(((float) this.mScreenWidth) - this.viewMarginWidth, (float) (this.mScreenHeight / 2), this.mPointX, this.mPointY, this.mRadiusLength)) {
                        Log.i(UISpenAccuracyPointTest.TAG, "RightCenterCircle: true");
                        UISpenAccuracyPointTest.this.mIsClicked[8] = true;
                        return;
                    } else {
                        Log.i(UISpenAccuracyPointTest.TAG, "FALSE");
                        return;
                    }
                default:
                    return;
            }
        }

        private boolean isPass() {
            boolean pass = true;
            for (int count = 0; count < UISpenAccuracyPointTest.this.NUMBER_OF_CIRCLES; count++) {
                pass &= UISpenAccuracyPointTest.this.mIsClicked[count];
            }
            return pass;
        }

        private boolean isInCircleArea(float centerX, float centerY, float x, float y, float radius) {
            if (Math.pow((double) (centerX - x), 2.0d) + Math.pow((double) (centerY - y), 2.0d) <= Math.pow((double) radius, 2.0d)) {
                return true;
            }
            return false;
        }

        /* access modifiers changed from: protected */
        public void onDraw(Canvas cv) {
            cv.drawBitmap(this.mCircleBitmap, 0.0f, 0.0f, (Paint) null);
            drawCircles(cv);
            drawLines(cv);
            cv.drawBitmap(this.mLineBitmap, 0.0f, 0.0f, (Paint) null);
        }

        private void drawPoint(float x, float y) {
            this.mLineCanvas.drawPoint(x, y, this.mLinePaint);
        }

        private void drawCircles(Canvas cv) {
            for (int count = 0; count < UISpenAccuracyPointTest.this.NUMBER_OF_CIRCLES; count++) {
                if (UISpenAccuracyPointTest.this.mIsClicked[count]) {
                    this.mUsePaint[count] = this.mClickPaint;
                } else {
                    this.mUsePaint[count] = this.mNonClickPaint;
                }
            }
            cv.drawCircle(this.viewMarginWidth, this.viewMarginHeight, this.mLargeRadius, this.mUsePaint[0]);
            cv.drawCircle(((float) this.mScreenWidth) - this.viewMarginWidth, this.viewMarginHeight, this.mLargeRadius, this.mUsePaint[1]);
            cv.drawCircle((float) (this.mScreenWidth / 2), (float) (this.mScreenHeight / 2), this.mCenterRadius, this.mUsePaint[2]);
            cv.drawCircle(this.viewMarginWidth, ((float) this.mScreenHeight) - this.viewMarginHeight, this.mLargeRadius, this.mUsePaint[3]);
            cv.drawCircle(((float) this.mScreenWidth) - this.viewMarginWidth, ((float) this.mScreenHeight) - this.viewMarginHeight, this.mLargeRadius, this.mUsePaint[4]);
            if (UISpenAccuracyPointTest.this.mIsTablet) {
                cv.drawCircle((float) (this.mScreenWidth / 2), this.viewMarginHeight, this.mLargeRadius, this.mUsePaint[5]);
                cv.drawCircle((float) (this.mScreenWidth / 2), ((float) this.mScreenHeight) - this.viewMarginHeight, this.mLargeRadius, this.mUsePaint[6]);
                cv.drawCircle(this.viewMarginWidth, (float) (this.mScreenHeight / 2), this.mLargeRadius, this.mUsePaint[7]);
                cv.drawCircle(((float) this.mScreenWidth) - this.viewMarginWidth, (float) (this.mScreenHeight / 2), this.mLargeRadius, this.mUsePaint[8]);
            }
        }

        private void drawLines(Canvas cv) {
            float f = this.viewMarginWidth;
            float f2 = this.mRadiusLength;
            float f3 = this.viewMarginHeight;
            cv.drawLine(f - f2, f3, f + f2, f3, this.mLinePaint);
            float f4 = this.viewMarginWidth;
            float f5 = this.viewMarginHeight;
            float f6 = this.mRadiusLength;
            cv.drawLine(f4, f5 - f6, f4, f5 + f6, this.mLinePaint);
            int i = this.mScreenWidth;
            float f7 = this.viewMarginWidth;
            float f8 = this.mRadiusLength;
            float f9 = this.viewMarginHeight;
            cv.drawLine((((float) i) - f7) - f8, f9, (((float) i) - f7) + f8, f9, this.mLinePaint);
            int i2 = this.mScreenWidth;
            float f10 = this.viewMarginWidth;
            float f11 = this.viewMarginHeight;
            float f12 = this.mRadiusLength;
            cv.drawLine(((float) i2) - f10, f11 - f12, ((float) i2) - f10, f11 + f12, this.mLinePaint);
            int i3 = this.mScreenWidth;
            float f13 = this.mCenterRadius;
            int i4 = this.mScreenHeight;
            cv.drawLine(((float) (i3 / 2)) - f13, (float) (i4 / 2), ((float) (i3 / 2)) + f13, (float) (i4 / 2), this.mLinePaint);
            int i5 = this.mScreenWidth;
            int i6 = this.mScreenHeight;
            float f14 = this.mCenterRadius;
            cv.drawLine((float) (i5 / 2), ((float) (i6 / 2)) - f14, (float) (i5 / 2), ((float) (i6 / 2)) + f14, this.mLinePaint);
            float f15 = this.viewMarginWidth;
            float f16 = this.mRadiusLength;
            int i7 = this.mScreenHeight;
            float f17 = this.viewMarginHeight;
            cv.drawLine(f15 - f16, ((float) i7) - f17, f15 + f16, ((float) i7) - f17, this.mLinePaint);
            float f18 = this.viewMarginWidth;
            int i8 = this.mScreenHeight;
            float f19 = this.viewMarginHeight;
            float f20 = this.mRadiusLength;
            cv.drawLine(f18, (((float) i8) - f19) - f20, f18, (((float) i8) - f19) + f20, this.mLinePaint);
            int i9 = this.mScreenWidth;
            float f21 = this.viewMarginWidth;
            float f22 = this.mRadiusLength;
            int i10 = this.mScreenHeight;
            float f23 = this.viewMarginHeight;
            cv.drawLine((((float) i9) - f21) - f22, ((float) i10) - f23, (((float) i9) - f21) + f22, ((float) i10) - f23, this.mLinePaint);
            int i11 = this.mScreenWidth;
            float f24 = this.viewMarginWidth;
            int i12 = this.mScreenHeight;
            float f25 = this.viewMarginHeight;
            float f26 = this.mRadiusLength;
            cv.drawLine(((float) i11) - f24, (((float) i12) - f25) - f26, ((float) i11) - f24, (((float) i12) - f25) + f26, this.mLinePaint);
            if (UISpenAccuracyPointTest.this.mIsTablet) {
                int i13 = this.mScreenWidth;
                float f27 = this.mRadiusLength;
                float f28 = this.viewMarginHeight;
                cv.drawLine(((float) (i13 / 2)) - f27, f28, ((float) (i13 / 2)) + f27, f28, this.mLinePaint);
                int i14 = this.mScreenWidth;
                float f29 = this.viewMarginHeight;
                float f30 = this.mRadiusLength;
                cv.drawLine((float) (i14 / 2), f29 - f30, (float) (i14 / 2), f29 + f30, this.mLinePaint);
                int i15 = this.mScreenWidth;
                float f31 = this.mRadiusLength;
                int i16 = this.mScreenHeight;
                float f32 = this.viewMarginHeight;
                cv.drawLine(((float) (i15 / 2)) - f31, ((float) i16) - f32, ((float) (i15 / 2)) + f31, ((float) i16) - f32, this.mLinePaint);
                int i17 = this.mScreenWidth;
                int i18 = this.mScreenHeight;
                float f33 = this.viewMarginHeight;
                float f34 = this.mRadiusLength;
                cv.drawLine((float) (i17 / 2), (((float) i18) - f33) - f34, (float) (i17 / 2), (((float) i18) - f33) + f34, this.mLinePaint);
                float f35 = this.viewMarginWidth;
                float f36 = this.mRadiusLength;
                int i19 = this.mScreenHeight;
                cv.drawLine(f35 - f36, (float) (i19 / 2), f35 + f36, (float) (i19 / 2), this.mLinePaint);
                float f37 = this.viewMarginWidth;
                int i20 = this.mScreenHeight;
                float f38 = this.mRadiusLength;
                cv.drawLine(f37, ((float) (i20 / 2)) - f38, f37, ((float) (i20 / 2)) + f38, this.mLinePaint);
                int i21 = this.mScreenWidth;
                float f39 = this.viewMarginWidth;
                float f40 = this.mRadiusLength;
                int i22 = this.mScreenHeight;
                cv.drawLine((((float) i21) - f39) - f40, (float) (i22 / 2), (((float) i21) - f39) + f40, (float) (i22 / 2), this.mLinePaint);
                int i23 = this.mScreenWidth;
                float f41 = this.viewMarginWidth;
                int i24 = this.mScreenHeight;
                float f42 = this.mRadiusLength;
                cv.drawLine(((float) i23) - f41, ((float) (i24 / 2)) - f42, ((float) i23) - f41, ((float) (i24 / 2)) + f42, this.mLinePaint);
            }
        }
    }
}
