package com.sec.factory.app.ui;

import android.app.AlertDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.SharedPreferences;
import android.content.res.Resources;
import android.graphics.AvoidXfermode;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Point;
import android.graphics.Rect;
import android.os.Bundle;
import android.os.Handler;
import android.os.SystemProperties;
import android.provider.Settings;
import android.util.Log;
import android.util.TypedValue;
import android.view.Display;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.View;
import android.view.WindowManager;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.ModuleCommunicationService;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.modules.ModuleTouchScreen;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.File;
import java.io.IOException;
import java.lang.reflect.Array;
import java.text.DecimalFormat;
import java.util.Calendar;

public class UISpenAccuracyTest extends UIBase {
    private static final String TAG = "SpenAccuracyTest";
    private int DEADZONE_HEIGHT = 0;
    private int DEADZONE_WIDTH = 0;
    private final int DIRECTION_DOWN = 2;
    private final int DIRECTION_NONE = 0;
    private final int DIRECTION_UP = 1;
    private int HEIGHT_BASIS = 28;
    private int HEIGHT_BASIS_CROSS = 0;
    private int MARGIN_BOTTOM = 0;
    private int MARGIN_LEFT = 0;
    private int MARGIN_RIGHT = 0;
    private int MARGIN_TOP = 0;
    private String MEASURE = "px";
    private int SIZE_RECT = 4;
    private int SIZE_RECT_CROSS = 4;
    private int SPEN_DEADZONE = 2;
    private int WIDTH_BASIS = 16;
    private int WIDTH_BASIS_CROSS = 0;
    private final int defaultPxSizeforDavinci = 59;
    private boolean[][] draw;
    private boolean[] drawCross;
    private boolean[] drawVertex;
    SharedPreferences.Editor editor;
    private boolean isCheckCrossDouble = false;
    private boolean[][] isDrawArea;
    private boolean isExistMargin = false;
    private boolean isIncreaseWidthFromSemiFt = false;
    private boolean isSeparateTest = false;
    private boolean isSkipCheckBottomLeftOuterWall = false;
    private boolean isSkipCheckOuterWall = false;
    private boolean isStyleX = false;
    private boolean isStyleX_TopLeftOnly = false;
    private boolean isStyleX_TopRightOnly = false;
    private boolean isTouchDown;
    private LinearPoint[] leftLinearPoint;
    private int mBottommostOfMatrix;
    private boolean mCmdTestMode = false;
    private float mDistanceAbsSpec = 0.0f;
    private Handler mHandler = new Handler();
    private int mLeftmostOfMatrix;
    private ModuleDevice mModuleDevice;
    private MyView mMyView;
    private int mOldHoveringSetting = 0;
    private int mRightmostOfMatrix;
    private int mScreenHeight;
    private int mScreenHeightMarginApplied;
    private int mScreenWidth;
    private int mScreenWidthMarginApplied;
    private String mTSPHover;
    private String mTestCase;
    private String mTestName = FactoryTestManager.getItemName_RequestCode(26);
    private int mTopmostOfMatrix;
    private int mUnnessaryNode = 0;
    private int passFlag = 0;
    SharedPreferences prefLastTouchPoint;
    int pxsize;
    int pxsize_cross;
    private boolean remoteCall = false;
    private LinearPoint[] rightLinearPoint;
    private String typeDevice = ModuleTouchScreen.TSP_DEVICE_TYPE__PHONE;

    static /* synthetic */ int access$1220(UISpenAccuracyTest x0, int x1) {
        int i = x0.HEIGHT_BASIS_CROSS - x1;
        x0.HEIGHT_BASIS_CROSS = i;
        return i;
    }

    static /* synthetic */ int access$1320(UISpenAccuracyTest x0, int x1) {
        int i = x0.WIDTH_BASIS_CROSS - x1;
        x0.WIDTH_BASIS_CROSS = i;
        return i;
    }

    static /* synthetic */ int access$2508(UISpenAccuracyTest x0) {
        int i = x0.passFlag;
        x0.passFlag = i + 1;
        return i;
    }

    public class EmptyListener implements DialogInterface.OnClickListener {
        public EmptyListener() {
        }

        public void onClick(DialogInterface dialog, int which) {
            UISpenAccuracyTest.this.finish();
        }
    }

    public class LinearPoint {
        float calDistance = 0.0f;
        int direction = 0;
        float distance = 0.0f;
        boolean visitFlag = false;
        float x = 0.0f;
        float y = 0.0f;

        public LinearPoint() {
        }

        public void setPosition(float x2, float y2) {
            this.x = x2;
            this.y = y2;
        }

        public void setFlag(boolean flag) {
            this.visitFlag = flag;
        }

        public boolean getFlag() {
            return this.visitFlag;
        }
    }

    public UISpenAccuracyTest() {
        super("UISpenAccuracyTest");
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        decideRemote();
        FtUtil.log_d(this.CLASS_NAME, "onCreate", "UISpenAccuracyTest is created");
        this.mModuleDevice = ModuleDevice.instance(this);
        this.mTSPHover = Support.FactoryTestMenu.getEnable(FactoryTestManager.convertorID_XML((byte) 56));
        this.mCmdTestMode = getIntent().getExtras().getBoolean("isCmd", false);
        this.isCheckCrossDouble = getIntent().getExtras().getBoolean("isCheckCrossDouble");
        this.isIncreaseWidthFromSemiFt = getIntent().getExtras().getBoolean("isIncreaseWidthFromSemiFt");
        this.isSkipCheckOuterWall = getIntent().getExtras().getBoolean("isSkipCheckOuterWall");
        boolean z = getIntent().getExtras().getBoolean("isSeparateTest");
        this.isSeparateTest = z;
        this.TEST_ID = z ? 369 : 26;
        this.mTestCase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML(this.TEST_ID));
        this.typeDevice = Support.Feature.getString(Support.Feature.DEVICE_TYPE);
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "onCreate", "mTestCase = " + this.mTestCase);
        String str2 = this.CLASS_NAME;
        FtUtil.log_d(str2, "onCreate", "mTSPHover = " + this.mTSPHover);
        SharedPreferences sharedPreferences = getSharedPreferences("LAST_SPEN_TOUCHED_POINT", 0);
        this.prefLastTouchPoint = sharedPreferences;
        this.editor = sharedPreferences.edit();
        if (this.isSeparateTest) {
            this.mTestName = FactoryTestManager.getItemName_RequestCode(FactoryTestManager.TEST_S_PEN_DRAWING1_1);
        }
        String str3 = this.mTestCase;
        if (str3 == null || !str3.contains("SKIP_OUTER_WALL")) {
            String str4 = this.mTestCase;
            if (str4 != null && str4.contains("SKIP_BOTTOM_LEFT_OUTER_WALL")) {
                this.isSkipCheckBottomLeftOuterWall = true;
            }
        } else {
            this.isSkipCheckOuterWall = true;
        }
        String str5 = this.CLASS_NAME;
        FtUtil.log_d(str5, "onCreate", "isSkipCheckOuterWall: " + this.isSkipCheckOuterWall);
        String str6 = this.CLASS_NAME;
        FtUtil.log_d(str6, "onCreate", "isSkipCheckOuterWallBottomLeft: " + this.isSkipCheckBottomLeftOuterWall);
        String str7 = this.mTestCase;
        if (str7 != null && str7.contains("STYLE_X")) {
            this.isStyleX = true;
            if (this.mTestCase.contains("STYLE_X_TOP_RIGHT_ONLY")) {
                this.isStyleX_TopRightOnly = true;
            }
            if (this.mTestCase.contains("STYLE_X_TOP_LEFT_ONLY")) {
                this.isStyleX_TopLeftOnly = true;
            }
        }
        if (ModuleTouchScreen.TSP_DEVICE_TYPE__TABLET.equals(this.typeDevice)) {
            this.SIZE_RECT = 5;
            this.SIZE_RECT_CROSS = 5;
        }
        String str8 = this.CLASS_NAME;
        FtUtil.log_d(str8, "onCreate", "isStyleX: " + this.isStyleX + " ,isStyleX_TopRightOnly:" + this.isStyleX_TopRightOnly + " ,isStyleX_TopLeftOnly:" + this.isStyleX_TopLeftOnly);
        getDisplaySize();
        setGridSizebyModel();
        initGridSettings();
        initLinearSetting();
        MyView myView = new MyView(this);
        this.mMyView = myView;
        setContentView(myView);
        getWindow().addFlags(128);
        fillUpMatrix();
    }

    private boolean getMargin() {
        String testcase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML((byte) 26));
        if (this.isSeparateTest) {
            testcase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML((int) FactoryTestManager.TEST_S_PEN_DRAWING1_1));
        }
        if (!testcase.contains("MARGIN")) {
            return false;
        }
        String testcase2 = testcase.substring(testcase.indexOf("MARGIN(") + "MARGIN(".length());
        String[] marginStr = testcase2.substring(0, testcase2.indexOf(")")).trim().split(",");
        this.MEASURE = marginStr[0];
        this.MARGIN_LEFT = Integer.parseInt(marginStr[1]);
        this.MARGIN_RIGHT = Integer.parseInt(marginStr[2]);
        this.MARGIN_TOP = Integer.parseInt(marginStr[3]);
        this.MARGIN_BOTTOM = Integer.parseInt(marginStr[4]);
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "getMargin", "margin(LEFT,RIGHT,TOP,BOTTOM) -> " + this.MARGIN_LEFT + "," + this.MARGIN_RIGHT + "," + this.MARGIN_TOP + "," + this.MARGIN_BOTTOM);
        if ("mm".equalsIgnoreCase(this.MEASURE)) {
            this.MARGIN_LEFT = (int) TypedValue.applyDimension(5, (float) this.MARGIN_LEFT, getResources().getDisplayMetrics());
            this.MARGIN_RIGHT = (int) TypedValue.applyDimension(5, (float) this.MARGIN_RIGHT, getResources().getDisplayMetrics());
            this.MARGIN_TOP = (int) TypedValue.applyDimension(5, (float) this.MARGIN_TOP, getResources().getDisplayMetrics());
            this.MARGIN_BOTTOM = (int) TypedValue.applyDimension(5, (float) this.MARGIN_BOTTOM, getResources().getDisplayMetrics());
        }
        return true;
    }

    private void getDisplaySize() {
        Display defaultDisplay = ((WindowManager) getSystemService("window")).getDefaultDisplay();
        Point outpoint = new Point();
        defaultDisplay.getRealSize(outpoint);
        this.mScreenWidth = outpoint.x;
        this.mScreenHeight = outpoint.y;
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "getDisplaySize", "mScreenWidth:" + this.mScreenWidth + " ,mScreenHeight:" + this.mScreenHeight);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:11:0x007a, code lost:
        if (r7.pxsize_cross == 0) goto L_0x008e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:20:0x008c, code lost:
        if (r7.pxsize_cross != 0) goto L_0x0090;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:21:0x008e, code lost:
        r7.pxsize_cross = 59;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:22:0x0090, code lost:
        r3 = getMargin();
        r7.isExistMargin = r3;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:23:0x0096, code lost:
        if (r3 != false) goto L_0x00b4;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:24:0x0098, code lost:
        r7.DEADZONE_WIDTH = (int) android.util.TypedValue.applyDimension(5, (float) r7.SPEN_DEADZONE, r1.getDisplayMetrics());
        r7.DEADZONE_HEIGHT = (int) android.util.TypedValue.applyDimension(5, (float) r7.SPEN_DEADZONE, r1.getDisplayMetrics());
     */
    /* JADX WARNING: Code restructure failed: missing block: B:26:0x00b6, code lost:
        if (r7.isExistMargin == false) goto L_0x00cd;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:27:0x00b8, code lost:
        r7.mScreenWidthMarginApplied = r7.mScreenWidth - (r7.MARGIN_LEFT + r7.MARGIN_RIGHT);
        r7.mScreenHeightMarginApplied = r7.mScreenHeight - (r7.MARGIN_TOP + r7.MARGIN_BOTTOM);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:28:0x00cd, code lost:
        r7.mScreenWidthMarginApplied = r7.mScreenWidth - (r7.DEADZONE_WIDTH * 2);
        r7.mScreenHeightMarginApplied = r7.mScreenHeight - (r7.DEADZONE_HEIGHT * 2);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:29:0x00df, code lost:
        r2 = r7.CLASS_NAME;
        com.sec.factory.support.FtUtil.log_d(r2, "setGridSizebyModel", "mScreenWidthMarginApplied:" + r7.mScreenWidthMarginApplied + " ,mScreenHeightMarginApplied:" + r7.mScreenHeightMarginApplied);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:31:?, code lost:
        r2 = com.sec.xmldata.support.Support.Spec.getInt(com.sec.xmldata.support.Support.Spec.SPEN_NODE_COUNT_WIDTH);
        r7.WIDTH_BASIS = r2;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:32:0x0109, code lost:
        if (r2 >= 0) goto L_0x0116;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:33:0x010b, code lost:
        r2 = r7.pxsize;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:34:0x010d, code lost:
        if (r2 <= 0) goto L_0x0116;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:35:0x010f, code lost:
        r7.WIDTH_BASIS = (r7.mScreenWidthMarginApplied / r2) + 1;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:36:0x0116, code lost:
        r2 = com.sec.xmldata.support.Support.Spec.getInt(com.sec.xmldata.support.Support.Spec.SPEN_NODE_COUNT_HEIGHT);
        r7.HEIGHT_BASIS = r2;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:37:0x011e, code lost:
        if (r2 >= 0) goto L_0x0130;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:38:0x0120, code lost:
        r2 = r7.pxsize;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:39:0x0122, code lost:
        if (r2 <= 0) goto L_0x0130;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:40:0x0124, code lost:
        r7.HEIGHT_BASIS = (r7.mScreenHeightMarginApplied / r2) + 1;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:41:0x012c, code lost:
        r2 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:42:0x012d, code lost:
        r2.printStackTrace();
     */
    private void setGridSizebyModel() {
        Resources r = getResources();
        try {
            this.pxsize = (int) TypedValue.applyDimension(5, (float) this.SIZE_RECT, r.getDisplayMetrics());
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "setGridSizebyModel", "pxsize : " + String.valueOf(this.pxsize));
            if (this.isIncreaseWidthFromSemiFt) {
                this.pxsize_cross = (int) TypedValue.applyDimension(5, (float) (this.SIZE_RECT_CROSS + 2), r.getDisplayMetrics());
            } else {
                this.pxsize_cross = (int) TypedValue.applyDimension(5, (float) this.SIZE_RECT_CROSS, r.getDisplayMetrics());
            }
            String str2 = this.CLASS_NAME;
            FtUtil.log_d(str2, "setGridSizebyModel", "pxsize_cross : " + String.valueOf(this.pxsize_cross));
            if (this.pxsize == 0) {
                this.pxsize = 59;
            }
        } catch (Exception e) {
            e.printStackTrace();
            if (this.pxsize == 0) {
                this.pxsize = 59;
            }
        } catch (Throwable th) {
            if (this.pxsize == 0) {
                this.pxsize = 59;
            }
            if (this.pxsize_cross == 0) {
                this.pxsize_cross = 59;
            }
            throw th;
        }
        String str3 = this.CLASS_NAME;
        FtUtil.log_d(str3, "setGridSizebyModel", "WIDTH_BASIS:" + this.WIDTH_BASIS + " ,HEIGHT_BASIS:" + this.HEIGHT_BASIS);
    }

    private void initGridSettings() {
        int i = this.HEIGHT_BASIS;
        int i2 = this.SIZE_RECT;
        int i3 = this.SIZE_RECT_CROSS;
        this.HEIGHT_BASIS_CROSS = ((i * i2) / i3) * 2;
        int i4 = this.WIDTH_BASIS;
        this.WIDTH_BASIS_CROSS = (i2 * i4) / i3;
        int[] iArr = new int[2];
        iArr[1] = i4;
        iArr[0] = i;
        this.draw = (boolean[][]) Array.newInstance(boolean.class, iArr);
        int i5 = this.HEIGHT_BASIS;
        int[] iArr2 = new int[2];
        iArr2[1] = this.WIDTH_BASIS;
        iArr2[0] = i5;
        this.isDrawArea = (boolean[][]) Array.newInstance(boolean.class, iArr2);
        this.drawCross = new boolean[(this.HEIGHT_BASIS_CROSS * 2)];
        this.drawVertex = new boolean[4];
        this.mTopmostOfMatrix = 0;
        this.mBottommostOfMatrix = this.HEIGHT_BASIS - 1;
        this.mLeftmostOfMatrix = 0;
        this.mRightmostOfMatrix = this.WIDTH_BASIS - 1;
    }

    private void initLinearSetting() {
        int i = this.HEIGHT_BASIS_CROSS;
        this.leftLinearPoint = new LinearPoint[i];
        this.rightLinearPoint = new LinearPoint[i];
        for (int index = 0; index < this.HEIGHT_BASIS_CROSS; index++) {
            this.leftLinearPoint[index] = new LinearPoint();
        }
        for (int index2 = 0; index2 < this.HEIGHT_BASIS_CROSS; index2++) {
            this.rightLinearPoint[index2] = new LinearPoint();
        }
        this.mUnnessaryNode = Support.Spec.getInt(Support.Spec.SPEN_UNNECESSARY_NODE_COUNT);
        this.mDistanceAbsSpec = Support.Spec.getFloat(Support.Spec.SPEN_DISTANCE_ABS_SPEC);
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "initLinearSetting", "mUnnessaryNode:" + this.mUnnessaryNode + " ,mDistanceAbsSpec:" + this.mDistanceAbsSpec);
    }

    private void decideRemote() {
        this.remoteCall = getIntent().getBooleanExtra("RemoteCall", false);
    }

    private void fillUpMatrix() {
        for (int row = 0; row < this.HEIGHT_BASIS; row++) {
            for (int column = 0; column < this.WIDTH_BASIS; column++) {
                if (isNeededCheck(row, column)) {
                    this.isDrawArea[row][column] = true;
                } else {
                    this.isDrawArea[row][column] = false;
                }
            }
        }
    }

    private boolean isNeededCheck(int row, int column) {
        return !this.isSkipCheckBottomLeftOuterWall ? row == this.mTopmostOfMatrix || row == this.mBottommostOfMatrix || column == this.mLeftmostOfMatrix || column == this.mRightmostOfMatrix : row == this.mTopmostOfMatrix || column == this.mRightmostOfMatrix;
    }

    /* access modifiers changed from: protected */
    public void onStop() {
        super.onStop();
        finish();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean isPass() {
        boolean isPass = true;
        for (int i = 0; i < this.HEIGHT_BASIS; i++) {
            for (int j = 0; j < this.WIDTH_BASIS; j++) {
                boolean z = true;
                if (this.isDrawArea[i][j]) {
                    if (!isPass || !this.draw[i][j]) {
                        z = false;
                    }
                    isPass = z;
                }
            }
        }
        return isPass;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean isPassCross() {
        boolean isPassCross = true;
        boolean isPassCross2 = false;
        if (this.isStyleX_TopRightOnly) {
            for (int i = this.HEIGHT_BASIS_CROSS; i < this.HEIGHT_BASIS_CROSS * 2; i++) {
                isPassCross = isPassCross && this.drawCross[i];
            }
            if (!this.isSkipCheckOuterWall) {
                return isPassCross;
            }
            if ((isPassCross && this.drawVertex[2]) && this.drawVertex[3]) {
                isPassCross2 = true;
            }
            return isPassCross2;
        } else if (this.isStyleX_TopLeftOnly) {
            for (int i2 = 0; i2 < this.HEIGHT_BASIS_CROSS; i2++) {
                isPassCross = isPassCross && this.drawCross[i2];
            }
            if (!this.isSkipCheckOuterWall) {
                return isPassCross;
            }
            if ((isPassCross && this.drawVertex[0]) && this.drawVertex[1]) {
                isPassCross2 = true;
            }
            return isPassCross2;
        } else {
            for (int i3 = 0; i3 < this.HEIGHT_BASIS_CROSS * 2; i3++) {
                isPassCross = isPassCross && this.drawCross[i3];
            }
            if (!this.isSkipCheckOuterWall) {
                return isPassCross;
            }
            if ((((isPassCross && this.drawVertex[0]) && this.drawVertex[1]) && this.drawVertex[2]) && this.drawVertex[3]) {
                isPassCross2 = true;
            }
            return isPassCross2;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean checkLinearity() {
        int i;
        String str;
        int i2;
        LinearPoint startP;
        LinearPoint endP;
        String str2;
        int i3;
        float largeMax;
        int i4;
        LinearPoint startP2 = new LinearPoint();
        LinearPoint endP2 = new LinearPoint();
        float leftCrossUpMax = 0.0f;
        float leftCrossDownMax = 0.0f;
        float rightCrossUpMax = 0.0f;
        float rightCrossDownMax = 0.0f;
        float largeMax2 = 0.0f;
        startP2.setPosition(this.leftLinearPoint[this.mUnnessaryNode + 0].x, this.leftLinearPoint[this.mUnnessaryNode + 0].y);
        endP2.setPosition(this.leftLinearPoint[(this.HEIGHT_BASIS_CROSS - 1) - this.mUnnessaryNode].x, this.leftLinearPoint[(this.HEIGHT_BASIS_CROSS - 1) - this.mUnnessaryNode].y);
        float segmentMag = ((float) Math.pow((double) (endP2.x - startP2.x), 2.0d)) + ((float) Math.pow((double) (endP2.y - startP2.y), 2.0d));
        FtUtil.log_i(this.CLASS_NAME, "checkLinearity", String.format("[%d] start.x : %f, start.y : %f / [%d] end.x : %f, end.y : %f", Integer.valueOf(this.mUnnessaryNode + 0), Float.valueOf(startP2.x), Float.valueOf(startP2.y), Integer.valueOf((this.HEIGHT_BASIS_CROSS - 1) - this.mUnnessaryNode), Float.valueOf(endP2.x), Float.valueOf(endP2.y)));
        int i5 = 1;
        int index = this.mUnnessaryNode + 1;
        while (true) {
            int i6 = this.HEIGHT_BASIS_CROSS - i5;
            i = this.mUnnessaryNode;
            str = "index : %d, x : %f / y : %f";
            if (index >= i6 - i) {
                break;
            }
            FtUtil.log_i(this.CLASS_NAME, "checkLinearity", String.format(str, Integer.valueOf(index), Float.valueOf(this.leftLinearPoint[index].x), Float.valueOf(this.leftLinearPoint[index].y)));
            if (segmentMag != 0.0f) {
                float u = (((this.leftLinearPoint[index].x - startP2.x) * (endP2.x - startP2.x)) + ((this.leftLinearPoint[index].y - startP2.y) * (endP2.y - startP2.y))) / segmentMag;
                float xp = startP2.x + ((endP2.x - startP2.x) * u);
                largeMax = largeMax2;
                float yp = startP2.y + ((endP2.y - startP2.y) * u);
                LinearPoint[] linearPointArr = this.leftLinearPoint;
                linearPointArr[index].distance = (float) Math.sqrt((double) (((xp - linearPointArr[index].x) * (xp - this.leftLinearPoint[index].x)) + ((yp - this.leftLinearPoint[index].y) * (yp - this.leftLinearPoint[index].y))));
                if (this.leftLinearPoint[index].y >= yp) {
                    this.leftLinearPoint[index].direction = 2;
                    i4 = 1;
                } else {
                    i4 = 1;
                    this.leftLinearPoint[index].direction = 1;
                }
            } else {
                largeMax = largeMax2;
                i4 = 1;
            }
            if (this.leftLinearPoint[index].direction == i4) {
                leftCrossUpMax = Math.max(this.leftLinearPoint[index].distance, leftCrossUpMax);
            } else if (this.leftLinearPoint[index].direction == 2) {
                leftCrossDownMax = Math.max(this.leftLinearPoint[index].distance, leftCrossDownMax);
            }
            index++;
            rightCrossUpMax = rightCrossUpMax;
            rightCrossDownMax = rightCrossDownMax;
            largeMax2 = largeMax;
            i5 = 1;
        }
        startP2.setPosition(this.rightLinearPoint[i + 0].x, this.rightLinearPoint[this.mUnnessaryNode + 0].y);
        endP2.setPosition(this.rightLinearPoint[(this.HEIGHT_BASIS_CROSS - 1) - this.mUnnessaryNode].x, this.rightLinearPoint[(this.HEIGHT_BASIS_CROSS - 1) - this.mUnnessaryNode].y);
        float segmentMag2 = ((float) Math.pow((double) (endP2.x - startP2.x), 2.0d)) + ((float) Math.pow((double) (endP2.y - startP2.y), 2.0d));
        FtUtil.log_i(this.CLASS_NAME, "checkLinearity", String.format("[%d] start.x : %f, start.y : %f / [%d] end.x : %f, end.y : %f", Integer.valueOf(this.mUnnessaryNode + 0), Float.valueOf(startP2.x), Float.valueOf(startP2.y), Integer.valueOf((this.HEIGHT_BASIS_CROSS - 1) - this.mUnnessaryNode), Float.valueOf(endP2.x), Float.valueOf(endP2.y)));
        int index2 = this.mUnnessaryNode + 1;
        float rightCrossUpMax2 = rightCrossUpMax;
        float rightCrossDownMax2 = rightCrossDownMax;
        for (int i7 = 1; index2 < (this.HEIGHT_BASIS_CROSS - i7) - this.mUnnessaryNode; i7 = 1) {
            FtUtil.log_i(this.CLASS_NAME, "checkLinearity", String.format(str, Integer.valueOf(index2), Float.valueOf(this.rightLinearPoint[index2].x), Float.valueOf(this.rightLinearPoint[index2].y)));
            if (segmentMag2 != 0.0f) {
                str2 = str;
                float u2 = (((this.rightLinearPoint[index2].x - startP2.x) * (endP2.x - startP2.x)) + ((this.rightLinearPoint[index2].y - startP2.y) * (endP2.y - startP2.y))) / segmentMag2;
                float xp2 = startP2.x + ((endP2.x - startP2.x) * u2);
                endP = endP2;
                float yp2 = startP2.y + ((endP2.y - startP2.y) * u2);
                LinearPoint[] linearPointArr2 = this.rightLinearPoint;
                startP = startP2;
                linearPointArr2[index2].distance = (float) Math.sqrt((double) (((xp2 - linearPointArr2[index2].x) * (xp2 - this.rightLinearPoint[index2].x)) + ((yp2 - this.rightLinearPoint[index2].y) * (yp2 - this.rightLinearPoint[index2].y))));
                if (this.rightLinearPoint[index2].y >= yp2) {
                    this.rightLinearPoint[index2].direction = 2;
                    i3 = 1;
                } else {
                    i3 = 1;
                    this.rightLinearPoint[index2].direction = 1;
                }
            } else {
                startP = startP2;
                endP = endP2;
                str2 = str;
                i3 = 1;
            }
            if (this.rightLinearPoint[index2].direction == i3) {
                rightCrossUpMax2 = Math.max(this.rightLinearPoint[index2].distance, rightCrossUpMax2);
            } else if (this.rightLinearPoint[index2].direction == 2) {
                rightCrossDownMax2 = Math.max(this.rightLinearPoint[index2].distance, rightCrossDownMax2);
            }
            index2++;
            str = str2;
            endP2 = endP;
            startP2 = startP;
        }
        float largeMax3 = calibrateDistance(leftCrossUpMax, leftCrossDownMax, rightCrossUpMax2, rightCrossDownMax2);
        int i8 = 1;
        int index3 = this.mUnnessaryNode + 1;
        int specOutCount = 0;
        while (true) {
            int i9 = this.HEIGHT_BASIS_CROSS - i8;
            i2 = this.mUnnessaryNode;
            if (index3 >= i9 - i2) {
                break;
            }
            if (this.leftLinearPoint[index3].distance >= this.mDistanceAbsSpec) {
                specOutCount++;
                FtUtil.log_d(this.CLASS_NAME, "checkLinearity", FtUtil.setMspSeqMessage(1, this.mTestName, "Fail : Spec Out -> " + this.leftLinearPoint[index3].distance));
            }
            index3++;
            i8 = 1;
        }
        int index4 = i2 + 1;
        for (int index5 = 1; index4 < (this.HEIGHT_BASIS_CROSS - index5) - this.mUnnessaryNode; index5 = 1) {
            if (this.rightLinearPoint[index4].distance >= this.mDistanceAbsSpec) {
                specOutCount++;
                FtUtil.log_d(this.CLASS_NAME, "checkLinearity", FtUtil.setMspSeqMessage(1, this.mTestName, "Fail : Spec Out -> " + this.rightLinearPoint[index4].distance));
            }
            index4++;
        }
        if ("tester".equals(SystemProperties.get("sys.factory.gadgetmode", "none"))) {
            showLinearityData(String.format("[Linearity Info]\r\nMax calDistance : %f\r\nSpecOut Count : %d", Float.valueOf(largeMax3), Integer.valueOf(specOutCount)));
        }
        saveLinearityData(largeMax3, specOutCount);
        return true;
    }

    private float calibrateDistance(float lCrossUpMax, float lCrossDownMax, float rCrossUpMax, float rCrossDownMax) {
        int i;
        float distanceMax = 0.0f;
        FtUtil.log_i(this.CLASS_NAME, "calibrateDistance", String.format("leftCrossUpMax : %f, downMax : %f / rightCrossUpMax : %f, downMax : %f", Float.valueOf(lCrossUpMax), Float.valueOf(lCrossDownMax), Float.valueOf(rCrossUpMax), Float.valueOf(rCrossDownMax)));
        int index = this.mUnnessaryNode + 1;
        while (true) {
            i = this.mUnnessaryNode;
            if (index >= (this.HEIGHT_BASIS_CROSS - 1) - i) {
                break;
            }
            if (this.leftLinearPoint[index].direction == 1) {
                LinearPoint[] linearPointArr = this.leftLinearPoint;
                linearPointArr[index].calDistance = linearPointArr[index].distance + lCrossDownMax;
            } else if (this.leftLinearPoint[index].direction == 2) {
                LinearPoint[] linearPointArr2 = this.leftLinearPoint;
                linearPointArr2[index].calDistance = linearPointArr2[index].distance + lCrossUpMax;
            }
            distanceMax = Math.max(distanceMax, this.leftLinearPoint[index].calDistance);
            FtUtil.log_i(this.CLASS_NAME, "calibrateDistance", String.format("[%d] leftCross distance : %f, leftCross calDistance : %f", Integer.valueOf(index), Float.valueOf(this.leftLinearPoint[index].distance), Float.valueOf(this.leftLinearPoint[index].calDistance)));
            index++;
        }
        for (int index2 = i + 1; index2 < (this.HEIGHT_BASIS_CROSS - 1) - this.mUnnessaryNode; index2++) {
            if (this.rightLinearPoint[index2].direction == 1) {
                LinearPoint[] linearPointArr3 = this.rightLinearPoint;
                linearPointArr3[index2].calDistance = linearPointArr3[index2].distance + rCrossDownMax;
            } else if (this.rightLinearPoint[index2].direction == 2) {
                LinearPoint[] linearPointArr4 = this.rightLinearPoint;
                linearPointArr4[index2].calDistance = linearPointArr4[index2].distance + rCrossUpMax;
            }
            distanceMax = Math.max(distanceMax, this.rightLinearPoint[index2].calDistance);
            FtUtil.log_i(this.CLASS_NAME, "calibrateDistance", String.format("[%d] rightCross distance : %f, rightCross calDistance : %f", Integer.valueOf(index2), Float.valueOf(this.rightLinearPoint[index2].distance), Float.valueOf(this.rightLinearPoint[index2].calDistance)));
        }
        return distanceMax;
    }

    private void saveLinearityData(float largeMax, int count) {
        File linearityDataFile = new File("data/log/LinearityData.log");
        File linearityImgDir = new File("data/log/LinearityImg");
        Support.Kernel.writeToPathNsync(linearityDataFile.getPath(), String.format("%.2f,%d", Float.valueOf(largeMax), Integer.valueOf(count)));
        if (!linearityImgDir.exists()) {
            linearityImgDir.mkdir();
        }
    }

    private void captureScreen() {
        Calendar cal = Calendar.getInstance();
        doShellCmd("screencap -p /data/log/LinearityImg/linearity_" + (cal.get(1) + new DecimalFormat("00").format((long) (cal.get(2) + 1)) + new DecimalFormat("00").format((long) cal.get(5)) + new DecimalFormat("00").format((long) cal.get(11)) + new DecimalFormat("00").format((long) cal.get(12)) + new DecimalFormat("00").format((long) cal.get(13))) + ".png");
    }

    private void doShellCmd(String cmd) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "doShellCmd", "DoShellCmd : " + cmd);
        String[] shell_command = {"/system/bin/sh", "-c", cmd};
        try {
            FtUtil.log_i(this.CLASS_NAME, "doShellCmd", "exec command");
            Runtime.getRuntime().exec(shell_command);
            FtUtil.log_i(this.CLASS_NAME, "doShellCmd", "exec done");
        } catch (IOException e) {
            FtUtil.log_e(this.CLASS_NAME, "doShellCmd", "doShellCmd - IOException");
        } catch (SecurityException e2) {
            FtUtil.log_e(this.CLASS_NAME, "doShellCmd", "doShellCmd - SecurityException");
        }
        FtUtil.log_i(this.CLASS_NAME, "doShellCmd", "doShellCmd done");
    }

    private void showLinearityData(String string) {
        this.mCmdTestMode = true;
        AlertDialog.Builder builder = new AlertDialog.Builder(this);
        builder.setTitle("Linearity Result");
        builder.setMessage(string);
        builder.setPositiveButton("OK", new EmptyListener());
        builder.create().show();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void finishEpentest() {
        this.mHandler.postDelayed(new Runnable() {
            /* class com.sec.factory.app.ui.UISpenAccuracyTest.AnonymousClass1 */

            public void run() {
                UISpenAccuracyTest uISpenAccuracyTest = UISpenAccuracyTest.this;
                uISpenAccuracyTest.setTestResult(uISpenAccuracyTest.TEST_ID, (byte) 80);
                if (FactoryTestManager.getEnable(105) && FactoryTestManager.getItemResult(FactoryTestManager.getItemPosition_ID(119)) == 80) {
                    UISpenAccuracyTest.this.setTestResultWithoutNV(105, (byte) 80);
                }
                if (!UISpenAccuracyTest.this.mCmdTestMode) {
                    UISpenAccuracyTest.this.finish();
                }
            }
        }, 200);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public boolean onKeyDown(int keyCode, KeyEvent event) {
        if (keyCode != 24) {
            return super.onKeyDown(keyCode, event);
        }
        if (this.isTouchDown) {
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "onKeyDown", "isTouchDown : " + this.isTouchDown);
            return super.onKeyDown(keyCode, event);
        }
        if (this.isStyleX) {
            if (this.isSkipCheckOuterWall) {
                if (!isPassCross()) {
                    setResult(0);
                }
            } else if (!isPass() || !isPassCross()) {
                setResult(0);
            }
        } else if (!isPass()) {
            setResult(0);
        }
        if (!this.isSeparateTest) {
            FtUtil.log_d(this.CLASS_NAME, "onKeyDown", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(26), "Cancel - User stopped by pressing KEYCODE_VOLUME_UP"));
        } else {
            FtUtil.log_d(this.CLASS_NAME, "onKeyDown", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(FactoryTestManager.TEST_S_PEN_DRAWING1_1), "Cancel - User stopped by pressing KEYCODE_VOLUME_UP"));
        }
        finish();
        return super.onKeyDown(keyCode, event);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        captureScreen();
        if ("true".equals(this.mTSPHover)) {
            FtUtil.log_d(this.CLASS_NAME, "onPause", "EnableHovering");
            this.mModuleDevice.hoveringOnOFF(EgisFingerprint.MAJOR_VERSION);
        }
        this.editor.putString("SPEN_LAST_TOUCHED", ModuleCommunicationService.SMD_NOK);
        this.editor.commit();
        Settings.System.putInt(getContentResolver(), "pen_detect_mode_disabled", 1);
        Support.Kernel.write(Support.Kernel.EPEN_SAVINGMODE, EgisFingerprint.MAJOR_VERSION);
        if (Support.TestCase.getEnabled(Support.TestCase.TSP_DISABLE_WHEN_SPEN_DRAWING_TEST)) {
            Support.Kernel.write(Support.Kernel.TSP_ENABLE, EgisFingerprint.MAJOR_VERSION);
        }
        if (Support.TestCase.getEnabled(Support.TestCase.TSP_DISABLE_FOR_TDDI_WHEN_SPEN_DRAWING_TEST)) {
            Support.Kernel.write(Support.Kernel.TSP_COMMAND_CMD, "scan_block,0");
        }
        super.onPause();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        FtUtil.setRemoveSystemUI(getWindow(), true);
        if ("true".equals(this.mTSPHover)) {
            FtUtil.log_d(this.CLASS_NAME, "onResume", "DisableHovering");
            this.mModuleDevice.hoveringOnOFF("0");
        }
        Settings.System.putInt(getContentResolver(), "pen_detect_mode_disabled", 0);
        Support.Kernel.write(Support.Kernel.EPEN_SAVINGMODE, "0");
        this.mModuleDevice.setEPenDisableMode(false);
        if (Support.TestCase.getEnabled(Support.TestCase.TSP_DISABLE_WHEN_SPEN_DRAWING_TEST)) {
            Support.Kernel.write(Support.Kernel.TSP_ENABLE, "0");
        }
        if (Support.TestCase.getEnabled(Support.TestCase.TSP_DISABLE_FOR_TDDI_WHEN_SPEN_DRAWING_TEST)) {
            Support.Kernel.write(Support.Kernel.TSP_COMMAND_CMD, "scan_block,1");
        }
    }

    /* access modifiers changed from: protected */
    public void onActivityResult(int requestCode, int resultCode, Intent intent) {
        finish();
    }

    public class MyView extends View {
        private float col_height = 0.0f;
        private float col_height_cross = 0.0f;
        private float col_width = 0.0f;
        private float col_width_cross = 0.0f;
        private Paint mClickPaint;
        private Paint mEmptyPaint;
        private float mHeightCross = 0.0f;
        private Paint mLinePaint;
        private Bitmap mMatrixBitmap;
        private Canvas mMatrixCanvas;
        private Paint mNonClickPaint;
        private float mPreTouchedX = 0.0f;
        private float mPreTouchedY = 0.0f;
        private float mTouchedX = 0.0f;
        private float mTouchedY = 0.0f;
        private float mWidthCross = 0.0f;
        private float pxPer1mm = 0.0f;

        public MyView(Context context) {
            super(context);
            setKeepScreenOn(true);
            if (UISpenAccuracyTest.this.isExistMargin) {
                this.mMatrixBitmap = Bitmap.createBitmap(UISpenAccuracyTest.this.mScreenWidthMarginApplied + UISpenAccuracyTest.this.MARGIN_LEFT + UISpenAccuracyTest.this.MARGIN_RIGHT, UISpenAccuracyTest.this.mScreenHeightMarginApplied + UISpenAccuracyTest.this.MARGIN_TOP + UISpenAccuracyTest.this.MARGIN_BOTTOM, Bitmap.Config.RGB_565);
            } else {
                this.mMatrixBitmap = Bitmap.createBitmap(UISpenAccuracyTest.this.mScreenWidthMarginApplied + (UISpenAccuracyTest.this.DEADZONE_WIDTH * 2), UISpenAccuracyTest.this.mScreenHeightMarginApplied + (UISpenAccuracyTest.this.DEADZONE_HEIGHT * 2), Bitmap.Config.RGB_565);
            }
            Canvas canvas = new Canvas(this.mMatrixBitmap);
            this.mMatrixCanvas = canvas;
            canvas.drawColor(-1);
            this.col_height = ((float) UISpenAccuracyTest.this.mScreenHeightMarginApplied) / ((float) UISpenAccuracyTest.this.HEIGHT_BASIS);
            this.col_width = ((float) UISpenAccuracyTest.this.mScreenWidthMarginApplied) / ((float) UISpenAccuracyTest.this.WIDTH_BASIS);
            this.col_height_cross = ((float) UISpenAccuracyTest.this.mScreenHeightMarginApplied) / ((float) UISpenAccuracyTest.this.HEIGHT_BASIS_CROSS);
            this.col_width_cross = ((float) UISpenAccuracyTest.this.mScreenWidthMarginApplied) / ((float) UISpenAccuracyTest.this.WIDTH_BASIS_CROSS);
            this.mHeightCross = this.col_height_cross;
            UISpenAccuracyTest.access$1220(UISpenAccuracyTest.this, 4);
            UISpenAccuracyTest.access$1320(UISpenAccuracyTest.this, 4);
            String str = UISpenAccuracyTest.this.CLASS_NAME;
            FtUtil.log_d(str, "MyView", "HEIGHT_BASIS_CROSS(-4):" + UISpenAccuracyTest.this.HEIGHT_BASIS_CROSS + " ,WIDTH_BASIS_CROSS(-4):" + UISpenAccuracyTest.this.WIDTH_BASIS_CROSS);
            this.pxPer1mm = TypedValue.applyDimension(5, 1.0f, getResources().getDisplayMetrics());
            String str2 = UISpenAccuracyTest.this.CLASS_NAME;
            FtUtil.log_d(str2, "MyView", "pxPer1mm : " + String.valueOf(this.pxPer1mm));
            this.mWidthCross = ((((float) UISpenAccuracyTest.this.mScreenWidthMarginApplied) - this.col_width) - ((float) UISpenAccuracyTest.this.pxsize_cross)) / ((float) (UISpenAccuracyTest.this.HEIGHT_BASIS_CROSS - 1));
            setPaint();
            initRect();
            drawTeachingPoint();
            UISpenAccuracyTest.this.isTouchDown = false;
        }

        private void setPaint() {
            Paint paint = new Paint();
            this.mLinePaint = paint;
            paint.setAntiAlias(true);
            this.mLinePaint.setDither(true);
            this.mLinePaint.setColor(-16777216);
            this.mLinePaint.setStyle(Paint.Style.STROKE);
            this.mLinePaint.setStrokeJoin(Paint.Join.ROUND);
            this.mLinePaint.setStrokeCap(Paint.Cap.SQUARE);
            this.mLinePaint.setStrokeWidth(2.0f);
            this.mLinePaint.setColor(-16777216);
            Paint paint2 = new Paint();
            this.mClickPaint = paint2;
            paint2.setAntiAlias(false);
            this.mClickPaint.setStyle(Paint.Style.FILL);
            this.mClickPaint.setColor(-16711936);
            this.mClickPaint.setXfermode(new AvoidXfermode(-1, 255, AvoidXfermode.Mode.TARGET));
            Paint paint3 = new Paint();
            this.mNonClickPaint = paint3;
            paint3.setAntiAlias(false);
            this.mNonClickPaint.setColor(-1);
            Paint paint4 = new Paint();
            this.mEmptyPaint = paint4;
            paint4.setAntiAlias(false);
            this.mEmptyPaint.setColor(-1);
        }

        /* access modifiers changed from: protected */
        public void onDraw(Canvas canvas) {
            canvas.drawBitmap(this.mMatrixBitmap, 0.0f, 0.0f, (Paint) null);
        }

        public boolean onTouchEvent(MotionEvent event) {
            if (event.getToolType(0) != 2) {
                return true;
            }
            drawByEvent(event);
            return true;
        }

        private void drawByEvent(MotionEvent event) {
            switch (event.getAction()) {
                case 0:
                    this.mTouchedX = event.getX();
                    float y = event.getY();
                    this.mTouchedY = y;
                    drawRect(this.mTouchedX, y, this.mClickPaint);
                    SharedPreferences.Editor editor = UISpenAccuracyTest.this.editor;
                    editor.putString("SPEN_LAST_TOUCHED", String.valueOf((int) this.mTouchedX) + "," + String.valueOf((int) this.mTouchedY));
                    UISpenAccuracyTest.this.editor.commit();
                    drawTeachingPoint();
                    UISpenAccuracyTest.this.isTouchDown = true;
                    return;
                case 1:
                    if (UISpenAccuracyTest.this.isTouchDown) {
                        this.mPreTouchedX = this.mTouchedX;
                        this.mPreTouchedY = this.mTouchedY;
                        this.mTouchedX = event.getX();
                        float y2 = event.getY();
                        this.mTouchedY = y2;
                        float f = this.mPreTouchedX;
                        float f2 = this.mTouchedX;
                        if (f == f2 && this.mPreTouchedY == y2) {
                            drawPoint(f2, y2);
                        }
                        drawTeachingPoint();
                        UISpenAccuracyTest.this.isTouchDown = false;
                        UISpenAccuracyTest.this.editor.putString("SPEN_LAST_TOUCHED", ModuleCommunicationService.SMD_NOK);
                        UISpenAccuracyTest.this.editor.commit();
                        return;
                    }
                    return;
                case 2:
                    if (UISpenAccuracyTest.this.isTouchDown) {
                        for (int i = 0; i < event.getHistorySize(); i++) {
                            this.mPreTouchedX = this.mTouchedX;
                            this.mPreTouchedY = this.mTouchedY;
                            this.mTouchedX = event.getHistoricalX(i);
                            float historicalY = event.getHistoricalY(i);
                            this.mTouchedY = historicalY;
                            drawRect(this.mTouchedX, historicalY, this.mClickPaint);
                            drawLine(this.mPreTouchedX, this.mPreTouchedY, this.mTouchedX, this.mTouchedY);
                        }
                        this.mPreTouchedX = this.mTouchedX;
                        this.mPreTouchedY = this.mTouchedY;
                        this.mTouchedX = event.getX();
                        float y3 = event.getY();
                        this.mTouchedY = y3;
                        drawRect(this.mTouchedX, y3, this.mClickPaint);
                        drawLine(this.mPreTouchedX, this.mPreTouchedY, this.mTouchedX, this.mTouchedY);
                        drawTeachingPoint();
                        UISpenAccuracyTest.this.isTouchDown = true;
                        return;
                    }
                    return;
                default:
                    return;
            }
        }

        private void drawTeachingPoint() {
            float pxsize = TypedValue.applyDimension(5, 1.0f, getResources().getDisplayMetrics());
            Paint mCirclePaint = new Paint();
            mCirclePaint.setStrokeWidth(pxsize / 4.0f);
            mCirclePaint.setColor(-65536);
            mCirclePaint.setStyle(Paint.Style.STROKE);
            if (UISpenAccuracyTest.this.isExistMargin) {
                this.mMatrixCanvas.drawCircle((float) ((UISpenAccuracyTest.this.mScreenWidthMarginApplied / 2) + UISpenAccuracyTest.this.MARGIN_LEFT), (float) ((UISpenAccuracyTest.this.mScreenHeightMarginApplied / 2) + UISpenAccuracyTest.this.MARGIN_TOP), pxsize, mCirclePaint);
            } else {
                this.mMatrixCanvas.drawCircle((float) ((UISpenAccuracyTest.this.mScreenWidthMarginApplied + (UISpenAccuracyTest.this.DEADZONE_WIDTH * 2)) / 2), (float) ((UISpenAccuracyTest.this.mScreenHeightMarginApplied + (UISpenAccuracyTest.this.DEADZONE_HEIGHT * 2)) / 2), pxsize, mCirclePaint);
            }
        }

        private void drawLine(float preX, float preY, float x, float y) {
            int highX;
            int lowX;
            int highY;
            int lowY;
            this.mMatrixCanvas.drawLine(preX, preY, x, y, this.mLinePaint);
            if (preX >= x) {
                highX = (int) preX;
                lowX = (int) x;
            } else {
                highX = (int) x;
                lowX = (int) preX;
            }
            if (preY >= y) {
                highY = (int) preY;
                lowY = (int) y;
            } else {
                highY = (int) y;
                lowY = (int) preY;
            }
            invalidate(new Rect(lowX - 6, lowY - 6, highX + 6, highY + 6));
        }

        private void drawPoint(float x, float y) {
            this.mMatrixCanvas.drawPoint(x, y, this.mLinePaint);
            invalidate(new Rect(((int) x) - 6, ((int) y) - 6, ((int) x) + 6, ((int) y) + 6));
        }

        private void initRect() {
            int i;
            float f;
            int ColX;
            int i2;
            float f2;
            int ColX2;
            Paint mRectPaint = new Paint();
            mRectPaint.setColor(-16777216);
            Paint mRectPaintCross = new Paint();
            mRectPaint.setColor(-16777216);
            mRectPaintCross.setColor(-16777216);
            mRectPaintCross.setStyle(Paint.Style.STROKE);
            if (!UISpenAccuracyTest.this.isSkipCheckOuterWall) {
                for (int i3 = 0; i3 <= UISpenAccuracyTest.this.HEIGHT_BASIS; i3++) {
                    if (UISpenAccuracyTest.this.isExistMargin) {
                        int ColY = ((int) (this.col_height * ((float) i3))) + UISpenAccuracyTest.this.MARGIN_TOP;
                        this.mMatrixCanvas.drawLine((float) UISpenAccuracyTest.this.MARGIN_LEFT, (float) ColY, (float) (UISpenAccuracyTest.this.mScreenWidthMarginApplied + UISpenAccuracyTest.this.MARGIN_LEFT), (float) ColY, mRectPaint);
                    } else {
                        int ColY2 = ((int) (this.col_height * ((float) i3))) + UISpenAccuracyTest.this.DEADZONE_HEIGHT;
                        this.mMatrixCanvas.drawLine((float) UISpenAccuracyTest.this.DEADZONE_WIDTH, (float) ColY2, (float) (UISpenAccuracyTest.this.mScreenWidthMarginApplied + UISpenAccuracyTest.this.DEADZONE_WIDTH), (float) ColY2, mRectPaint);
                    }
                }
                for (int j = 0; j <= UISpenAccuracyTest.this.WIDTH_BASIS; j++) {
                    if (UISpenAccuracyTest.this.isExistMargin) {
                        int ColX3 = ((int) (this.col_width * ((float) j))) + UISpenAccuracyTest.this.MARGIN_LEFT;
                        this.mMatrixCanvas.drawLine((float) ColX3, (float) UISpenAccuracyTest.this.MARGIN_TOP, (float) ColX3, (float) (UISpenAccuracyTest.this.mScreenHeightMarginApplied + UISpenAccuracyTest.this.MARGIN_TOP), mRectPaint);
                    } else {
                        int ColX4 = ((int) (this.col_width * ((float) j))) + UISpenAccuracyTest.this.DEADZONE_WIDTH;
                        this.mMatrixCanvas.drawLine((float) ColX4, (float) UISpenAccuracyTest.this.DEADZONE_HEIGHT, (float) ColX4, (float) (UISpenAccuracyTest.this.mScreenHeightMarginApplied + UISpenAccuracyTest.this.DEADZONE_HEIGHT), mRectPaint);
                    }
                }
                for (int i4 = 0; i4 < UISpenAccuracyTest.this.HEIGHT_BASIS; i4++) {
                    for (int j2 = 0; j2 < UISpenAccuracyTest.this.WIDTH_BASIS; j2++) {
                        UISpenAccuracyTest.this.draw[i4][j2] = false;
                    }
                }
                if (UISpenAccuracyTest.this.isExistMargin) {
                    if (!UISpenAccuracyTest.this.isSkipCheckBottomLeftOuterWall) {
                        this.mMatrixCanvas.drawRect(this.col_width + ((float) UISpenAccuracyTest.this.MARGIN_LEFT) + 1.0f, this.col_height + ((float) UISpenAccuracyTest.this.MARGIN_TOP) + 1.0f, ((this.col_width * ((float) (UISpenAccuracyTest.this.WIDTH_BASIS - 1))) + ((float) UISpenAccuracyTest.this.MARGIN_LEFT)) - 1.0f, ((this.col_height * ((float) (UISpenAccuracyTest.this.HEIGHT_BASIS - 1))) + ((float) UISpenAccuracyTest.this.MARGIN_TOP)) - 1.0f, this.mEmptyPaint);
                    } else {
                        this.mMatrixCanvas.drawRect((float) UISpenAccuracyTest.this.MARGIN_LEFT, this.col_height + ((float) UISpenAccuracyTest.this.MARGIN_TOP) + 1.0f, ((this.col_width * ((float) (UISpenAccuracyTest.this.WIDTH_BASIS - 1))) + ((float) UISpenAccuracyTest.this.MARGIN_LEFT)) - 1.0f, (this.col_height * ((float) UISpenAccuracyTest.this.HEIGHT_BASIS)) + ((float) UISpenAccuracyTest.this.MARGIN_TOP) + 1.0f, this.mEmptyPaint);
                    }
                } else if (!UISpenAccuracyTest.this.isSkipCheckBottomLeftOuterWall) {
                    this.mMatrixCanvas.drawRect(this.col_width + ((float) UISpenAccuracyTest.this.DEADZONE_WIDTH) + 1.0f, this.col_height + ((float) UISpenAccuracyTest.this.DEADZONE_HEIGHT) + 1.0f, ((this.col_width * ((float) (UISpenAccuracyTest.this.WIDTH_BASIS - 1))) + ((float) UISpenAccuracyTest.this.DEADZONE_WIDTH)) - 1.0f, ((this.col_height * ((float) (UISpenAccuracyTest.this.HEIGHT_BASIS - 1))) + ((float) UISpenAccuracyTest.this.DEADZONE_HEIGHT)) - 1.0f, this.mEmptyPaint);
                } else {
                    this.mMatrixCanvas.drawRect((float) UISpenAccuracyTest.this.DEADZONE_WIDTH, this.col_height + ((float) UISpenAccuracyTest.this.DEADZONE_HEIGHT) + 1.0f, ((this.col_width * ((float) (UISpenAccuracyTest.this.WIDTH_BASIS - 1))) + ((float) UISpenAccuracyTest.this.DEADZONE_WIDTH)) - 1.0f, (this.col_height * ((float) UISpenAccuracyTest.this.HEIGHT_BASIS)) + ((float) UISpenAccuracyTest.this.DEADZONE_HEIGHT) + 1.0f, this.mEmptyPaint);
                }
            }
            if (UISpenAccuracyTest.this.isStyleX) {
                if (!UISpenAccuracyTest.this.isStyleX_TopRightOnly) {
                    for (int i5 = 0; i5 < UISpenAccuracyTest.this.HEIGHT_BASIS_CROSS; i5++) {
                        if (UISpenAccuracyTest.this.isExistMargin) {
                            ColX2 = (int) ((this.mWidthCross * ((float) i5)) + ((float) UISpenAccuracyTest.this.MARGIN_LEFT) + (this.col_width / 2.0f) + ((float) (UISpenAccuracyTest.this.pxsize_cross / 2)));
                            f2 = this.mHeightCross * ((float) (i5 + 2));
                            i2 = UISpenAccuracyTest.this.MARGIN_TOP;
                        } else {
                            ColX2 = (int) ((this.mWidthCross * ((float) i5)) + ((float) UISpenAccuracyTest.this.DEADZONE_WIDTH) + (this.col_width / 2.0f) + ((float) (UISpenAccuracyTest.this.pxsize_cross / 2)));
                            f2 = this.mHeightCross * ((float) (i5 + 2));
                            i2 = UISpenAccuracyTest.this.DEADZONE_HEIGHT;
                        }
                        int ColY3 = (int) (f2 + ((float) i2));
                        this.mMatrixCanvas.drawRect((float) (ColX2 - (UISpenAccuracyTest.this.pxsize_cross / 2)), (float) ColY3, (float) ((UISpenAccuracyTest.this.pxsize_cross / 2) + ColX2), ((float) ColY3) + this.col_height_cross, mRectPaintCross);
                        UISpenAccuracyTest.this.drawCross[i5] = false;
                    }
                }
                if (!UISpenAccuracyTest.this.isStyleX_TopLeftOnly) {
                    for (int i6 = 0; i6 < UISpenAccuracyTest.this.HEIGHT_BASIS_CROSS; i6++) {
                        if (UISpenAccuracyTest.this.isExistMargin) {
                            ColX = (int) ((this.mWidthCross * ((float) i6)) + ((float) UISpenAccuracyTest.this.MARGIN_LEFT) + (this.col_width / 2.0f) + ((float) (UISpenAccuracyTest.this.pxsize_cross / 2)));
                            f = ((float) UISpenAccuracyTest.this.mScreenHeightMarginApplied) - (this.mHeightCross * ((float) (i6 + 3)));
                            i = UISpenAccuracyTest.this.MARGIN_TOP;
                        } else {
                            ColX = (int) ((this.mWidthCross * ((float) i6)) + ((float) UISpenAccuracyTest.this.DEADZONE_WIDTH) + (this.col_width / 2.0f) + ((float) (UISpenAccuracyTest.this.pxsize_cross / 2)));
                            f = ((float) UISpenAccuracyTest.this.mScreenHeightMarginApplied) - (this.mHeightCross * ((float) (i6 + 3)));
                            i = UISpenAccuracyTest.this.DEADZONE_HEIGHT;
                        }
                        int ColY4 = (int) (f + ((float) i));
                        this.mMatrixCanvas.drawRect((float) (ColX - (UISpenAccuracyTest.this.pxsize_cross / 2)), (float) ColY4, (float) ((UISpenAccuracyTest.this.pxsize_cross / 2) + ColX), ((float) ColY4) + this.col_height_cross, mRectPaintCross);
                        UISpenAccuracyTest.this.drawCross[UISpenAccuracyTest.this.HEIGHT_BASIS_CROSS + i6] = false;
                    }
                }
                if (UISpenAccuracyTest.this.isStyleX && UISpenAccuracyTest.this.isSkipCheckOuterWall) {
                    if (!UISpenAccuracyTest.this.isStyleX_TopRightOnly) {
                        UISpenAccuracyTest.this.drawVertex[0] = false;
                        UISpenAccuracyTest.this.drawVertex[1] = false;
                        if (UISpenAccuracyTest.this.isExistMargin) {
                            this.mMatrixCanvas.drawRect((float) UISpenAccuracyTest.this.MARGIN_LEFT, (float) UISpenAccuracyTest.this.MARGIN_TOP, ((float) UISpenAccuracyTest.this.MARGIN_LEFT) + this.col_width, ((float) UISpenAccuracyTest.this.MARGIN_TOP) + this.col_height, mRectPaintCross);
                            this.mMatrixCanvas.drawRect(((float) UISpenAccuracyTest.this.MARGIN_LEFT) + (this.col_width * ((float) (UISpenAccuracyTest.this.WIDTH_BASIS - 1))), ((float) UISpenAccuracyTest.this.MARGIN_TOP) + (this.col_height * ((float) (UISpenAccuracyTest.this.HEIGHT_BASIS - 1))), ((float) UISpenAccuracyTest.this.MARGIN_LEFT) + (this.col_width * ((float) UISpenAccuracyTest.this.WIDTH_BASIS)), ((float) UISpenAccuracyTest.this.MARGIN_TOP) + (this.col_height * ((float) UISpenAccuracyTest.this.HEIGHT_BASIS)), mRectPaintCross);
                        } else {
                            this.mMatrixCanvas.drawRect((float) UISpenAccuracyTest.this.DEADZONE_WIDTH, (float) UISpenAccuracyTest.this.DEADZONE_HEIGHT, ((float) UISpenAccuracyTest.this.DEADZONE_WIDTH) + this.col_width, ((float) UISpenAccuracyTest.this.DEADZONE_HEIGHT) + this.col_height, mRectPaintCross);
                            this.mMatrixCanvas.drawRect(((float) UISpenAccuracyTest.this.DEADZONE_WIDTH) + (this.col_width * ((float) (UISpenAccuracyTest.this.WIDTH_BASIS - 1))), ((float) UISpenAccuracyTest.this.DEADZONE_HEIGHT) + (this.col_height * ((float) (UISpenAccuracyTest.this.HEIGHT_BASIS - 1))), ((float) UISpenAccuracyTest.this.DEADZONE_WIDTH) + (this.col_width * ((float) UISpenAccuracyTest.this.WIDTH_BASIS)), ((float) UISpenAccuracyTest.this.DEADZONE_HEIGHT) + (this.col_height * ((float) UISpenAccuracyTest.this.HEIGHT_BASIS)), mRectPaintCross);
                        }
                    }
                    if (!UISpenAccuracyTest.this.isStyleX_TopLeftOnly) {
                        UISpenAccuracyTest.this.drawVertex[2] = false;
                        UISpenAccuracyTest.this.drawVertex[3] = false;
                        if (UISpenAccuracyTest.this.isExistMargin) {
                            this.mMatrixCanvas.drawRect(((float) UISpenAccuracyTest.this.MARGIN_LEFT) + (this.col_width * ((float) (UISpenAccuracyTest.this.WIDTH_BASIS - 1))), (float) UISpenAccuracyTest.this.MARGIN_TOP, ((float) UISpenAccuracyTest.this.MARGIN_LEFT) + (this.col_width * ((float) UISpenAccuracyTest.this.WIDTH_BASIS)), ((float) UISpenAccuracyTest.this.MARGIN_TOP) + this.col_height, mRectPaintCross);
                            this.mMatrixCanvas.drawRect((float) UISpenAccuracyTest.this.MARGIN_LEFT, ((float) UISpenAccuracyTest.this.MARGIN_TOP) + (this.col_height * ((float) (UISpenAccuracyTest.this.HEIGHT_BASIS - 1))), ((float) UISpenAccuracyTest.this.MARGIN_LEFT) + this.col_width, ((float) UISpenAccuracyTest.this.MARGIN_TOP) + (this.col_height * ((float) UISpenAccuracyTest.this.HEIGHT_BASIS)), mRectPaintCross);
                            return;
                        }
                        this.mMatrixCanvas.drawRect(((float) UISpenAccuracyTest.this.DEADZONE_WIDTH) + (this.col_width * ((float) (UISpenAccuracyTest.this.WIDTH_BASIS - 1))), (float) UISpenAccuracyTest.this.DEADZONE_HEIGHT, ((float) UISpenAccuracyTest.this.DEADZONE_WIDTH) + (this.col_width * ((float) UISpenAccuracyTest.this.WIDTH_BASIS)), ((float) UISpenAccuracyTest.this.DEADZONE_HEIGHT) + this.col_height, mRectPaintCross);
                        this.mMatrixCanvas.drawRect((float) UISpenAccuracyTest.this.DEADZONE_WIDTH, ((float) UISpenAccuracyTest.this.DEADZONE_HEIGHT) + (this.col_height * ((float) (UISpenAccuracyTest.this.HEIGHT_BASIS - 1))), ((float) UISpenAccuracyTest.this.DEADZONE_WIDTH) + this.col_width, ((float) UISpenAccuracyTest.this.DEADZONE_HEIGHT) + (this.col_height * ((float) UISpenAccuracyTest.this.HEIGHT_BASIS)), mRectPaintCross);
                    }
                }
            }
        }

        private void drawRect(float x, float y, Paint paint) {
            float ColY;
            float ColX;
            int countY_cross;
            int countY;
            int countX;
            float col_height2 = ((float) UISpenAccuracyTest.this.mScreenHeightMarginApplied) / ((float) UISpenAccuracyTest.this.HEIGHT_BASIS);
            float col_width2 = ((float) UISpenAccuracyTest.this.mScreenWidthMarginApplied) / ((float) UISpenAccuracyTest.this.WIDTH_BASIS);
            float col_height_cross2 = ((float) UISpenAccuracyTest.this.mScreenHeightMarginApplied) / ((float) UISpenAccuracyTest.this.HEIGHT_BASIS_CROSS);
            if (UISpenAccuracyTest.this.isExistMargin) {
                countX = (int) ((x - ((float) UISpenAccuracyTest.this.MARGIN_LEFT)) / col_width2);
                countY = (int) ((y - ((float) UISpenAccuracyTest.this.MARGIN_TOP)) / col_height2);
                countY_cross = (int) ((y - ((float) UISpenAccuracyTest.this.MARGIN_TOP)) / col_height_cross2);
                ColX = (((float) countX) * col_width2) + ((float) UISpenAccuracyTest.this.MARGIN_LEFT);
                ColY = (((float) countY) * col_height2) + ((float) UISpenAccuracyTest.this.MARGIN_TOP);
                if (countY > UISpenAccuracyTest.this.HEIGHT_BASIS - 1 || countX > UISpenAccuracyTest.this.WIDTH_BASIS - 1 || x < ((float) UISpenAccuracyTest.this.MARGIN_LEFT) || y < ((float) UISpenAccuracyTest.this.MARGIN_TOP)) {
                    Log.i(UISpenAccuracyTest.TAG, "You are out of bounds!");
                    return;
                }
            } else {
                countX = (int) ((x - ((float) UISpenAccuracyTest.this.DEADZONE_WIDTH)) / col_width2);
                countY = (int) ((y - ((float) UISpenAccuracyTest.this.DEADZONE_HEIGHT)) / col_height2);
                countY_cross = (int) ((y - ((float) UISpenAccuracyTest.this.DEADZONE_HEIGHT)) / col_height_cross2);
                ColX = (((float) countX) * col_width2) + ((float) UISpenAccuracyTest.this.DEADZONE_WIDTH);
                ColY = (((float) countY) * col_height2) + ((float) UISpenAccuracyTest.this.DEADZONE_HEIGHT);
                if (countY <= UISpenAccuracyTest.this.HEIGHT_BASIS - 1 && countX <= UISpenAccuracyTest.this.WIDTH_BASIS - 1 && x >= ((float) UISpenAccuracyTest.this.DEADZONE_WIDTH)) {
                    if (y < ((float) UISpenAccuracyTest.this.DEADZONE_HEIGHT)) {
                    }
                }
                Log.i(UISpenAccuracyTest.TAG, "You are out of bounds!");
                return;
            }
            if (!UISpenAccuracyTest.this.isSkipCheckOuterWall && !UISpenAccuracyTest.this.draw[countY][countX]) {
                UISpenAccuracyTest.this.draw[countY][countX] = true;
                if (UISpenAccuracyTest.this.isDrawArea[countY][countX]) {
                    this.mMatrixCanvas.drawRect((float) (((int) ColX) + 1), (float) (((int) ColY) + 1), (float) ((int) (ColX + col_width2)), (float) ((int) (ColY + col_height2)), paint);
                    invalidate(new Rect((int) (ColX - 1.0f), (int) (ColY - 1.0f), (int) (ColX + col_width2 + 1.0f), (int) (ColY + col_height2 + 1.0f)));
                    String str = UISpenAccuracyTest.this.CLASS_NAME;
                    FtUtil.log_d(str, "drawRect", "count Y : " + countY + " , count X : " + countX);
                }
            }
            if (UISpenAccuracyTest.this.isStyleX) {
                checkCrossRectRegion(x, y, countY_cross, paint);
                if (UISpenAccuracyTest.this.isSkipCheckOuterWall) {
                    checkVertexRectRegion(x, y, paint);
                }
            }
            checkPassNfinishSpenTest();
        }

        private void checkPassNfinishSpenTest() {
            if (UISpenAccuracyTest.this.isStyleX) {
                if (UISpenAccuracyTest.this.isSkipCheckOuterWall) {
                    if (UISpenAccuracyTest.this.isPassCross() && UISpenAccuracyTest.this.passFlag == 0) {
                        UISpenAccuracyTest.this.checkLinearity();
                        UISpenAccuracyTest.access$2508(UISpenAccuracyTest.this);
                        UISpenAccuracyTest.this.finishEpentest();
                    }
                } else if (UISpenAccuracyTest.this.isPass() && UISpenAccuracyTest.this.isPassCross() && UISpenAccuracyTest.this.passFlag == 0) {
                    UISpenAccuracyTest.this.checkLinearity();
                    UISpenAccuracyTest.access$2508(UISpenAccuracyTest.this);
                    UISpenAccuracyTest.this.finishEpentest();
                }
            } else if (UISpenAccuracyTest.this.isPass() && UISpenAccuracyTest.this.passFlag == 0) {
                UISpenAccuracyTest.access$2508(UISpenAccuracyTest.this);
                UISpenAccuracyTest.this.finishEpentest();
            }
        }

        private void checkCrossRectRegion(float x, float y, int countY, Paint paint) {
            int startRectBottomY;
            int startRectBottomX;
            int startRectTopY;
            int startRectTopX;
            int countCrossY;
            int i;
            int startRectBottomYPair;
            int startRectBottomXPair;
            int i2;
            int i3;
            int i4;
            int i5;
            int startRectTopYPair;
            int startRectTopXPair;
            int i6;
            int i7;
            int i8;
            int i9;
            if (countY > 0 && countY < UISpenAccuracyTest.this.HEIGHT_BASIS_CROSS - 2) {
                if (UISpenAccuracyTest.this.isExistMargin) {
                    countCrossY = (int) ((y - (((float) UISpenAccuracyTest.this.MARGIN_TOP) + (this.col_height_cross * 2.0f))) / this.mHeightCross);
                    startRectTopX = (int) (((float) UISpenAccuracyTest.this.MARGIN_LEFT) + (this.col_width / 2.0f) + (this.mWidthCross * ((float) countCrossY)) + ((float) (UISpenAccuracyTest.this.pxsize_cross / 2)));
                    startRectBottomX = (int) (((float) UISpenAccuracyTest.this.MARGIN_LEFT) + (this.col_width / 2.0f) + (this.mWidthCross * ((float) ((UISpenAccuracyTest.this.HEIGHT_BASIS_CROSS - 1) - countCrossY))) + ((float) (UISpenAccuracyTest.this.pxsize_cross / 2)));
                    startRectTopY = (int) ((this.mHeightCross * ((float) (countCrossY + 2))) + ((float) UISpenAccuracyTest.this.MARGIN_TOP));
                    startRectBottomY = startRectTopY;
                } else {
                    countCrossY = (int) ((y - (((float) UISpenAccuracyTest.this.DEADZONE_HEIGHT) + (this.col_height_cross * 2.0f))) / this.mHeightCross);
                    startRectTopX = (int) (((float) UISpenAccuracyTest.this.DEADZONE_WIDTH) + (this.col_width / 2.0f) + (this.mWidthCross * ((float) countCrossY)) + ((float) (UISpenAccuracyTest.this.pxsize_cross / 2)));
                    startRectBottomX = (int) (((float) UISpenAccuracyTest.this.DEADZONE_WIDTH) + (this.col_width / 2.0f) + (this.mWidthCross * ((float) ((UISpenAccuracyTest.this.HEIGHT_BASIS_CROSS - 1) - countCrossY))) + ((float) (UISpenAccuracyTest.this.pxsize_cross / 2)));
                    startRectTopY = (int) ((this.mHeightCross * ((float) (countCrossY + 2))) + ((float) UISpenAccuracyTest.this.DEADZONE_HEIGHT));
                    startRectBottomY = startRectTopY;
                }
                if (!UISpenAccuracyTest.this.isStyleX_TopRightOnly && x > ((float) (startRectTopX - (UISpenAccuracyTest.this.pxsize_cross / 2))) && x < ((float) ((UISpenAccuracyTest.this.pxsize_cross / 2) + startRectTopX))) {
                    if (!UISpenAccuracyTest.this.leftLinearPoint[countCrossY].getFlag() && (countCrossY <= UISpenAccuracyTest.this.mUnnessaryNode || countCrossY >= (UISpenAccuracyTest.this.HEIGHT_BASIS_CROSS - 1) - UISpenAccuracyTest.this.mUnnessaryNode || UISpenAccuracyTest.this.leftLinearPoint[UISpenAccuracyTest.this.mUnnessaryNode].getFlag() || UISpenAccuracyTest.this.leftLinearPoint[(UISpenAccuracyTest.this.HEIGHT_BASIS_CROSS - 1) - UISpenAccuracyTest.this.mUnnessaryNode].getFlag())) {
                        float f = this.pxPer1mm;
                        UISpenAccuracyTest.this.leftLinearPoint[countCrossY].setPosition(x / f, y / f);
                        UISpenAccuracyTest.this.leftLinearPoint[countCrossY].setFlag(true);
                    }
                    if (!UISpenAccuracyTest.this.drawCross[countCrossY]) {
                        String str = UISpenAccuracyTest.this.CLASS_NAME;
                        FtUtil.log_i(str, "checkCrossRectRegion", "left cross index : " + countCrossY + " have been drawed...");
                        this.mMatrixCanvas.drawRect((float) ((startRectTopX - (UISpenAccuracyTest.this.pxsize_cross / 2)) + 1), (float) (startRectTopY + 1), (float) ((UISpenAccuracyTest.this.pxsize_cross / 2) + startRectTopX), (float) ((int) (((float) startRectTopY) + this.col_height_cross)), paint);
                        invalidate(new Rect((startRectTopX - (UISpenAccuracyTest.this.pxsize_cross / 2)) - 1, startRectTopY + -1, (UISpenAccuracyTest.this.pxsize_cross / 2) + startRectTopX + 1, (int) (((float) startRectTopY) + this.col_height_cross + 1.0f)));
                        if (countCrossY >= 0) {
                            UISpenAccuracyTest.this.drawCross[countCrossY] = true;
                        }
                        if (UISpenAccuracyTest.this.isCheckCrossDouble) {
                            if (UISpenAccuracyTest.this.isExistMargin) {
                                if (countCrossY % 2 == 0) {
                                    i8 = (int) (((float) UISpenAccuracyTest.this.MARGIN_LEFT) + (this.col_width / 2.0f) + (this.mWidthCross * ((float) (countCrossY + 1))) + ((float) (UISpenAccuracyTest.this.pxsize_cross / 2)));
                                } else {
                                    i8 = (int) (((float) UISpenAccuracyTest.this.MARGIN_LEFT) + (this.col_width / 2.0f) + (this.mWidthCross * ((float) (countCrossY - 1))) + ((float) (UISpenAccuracyTest.this.pxsize_cross / 2)));
                                }
                                startRectTopXPair = i8;
                                if (countCrossY % 2 == 0) {
                                    i9 = (int) ((this.mHeightCross * ((float) (countCrossY + 2 + 1))) + ((float) UISpenAccuracyTest.this.MARGIN_TOP));
                                } else {
                                    i9 = (int) ((this.mHeightCross * ((float) ((countCrossY + 2) - 1))) + ((float) UISpenAccuracyTest.this.MARGIN_TOP));
                                }
                                startRectTopYPair = i9;
                            } else {
                                if (countCrossY % 2 == 0) {
                                    i6 = (int) (((float) UISpenAccuracyTest.this.DEADZONE_WIDTH) + (this.col_width / 2.0f) + (this.mWidthCross * ((float) (countCrossY + 1))) + ((float) (UISpenAccuracyTest.this.pxsize_cross / 2)));
                                } else {
                                    i6 = (int) (((float) UISpenAccuracyTest.this.DEADZONE_WIDTH) + (this.col_width / 2.0f) + (this.mWidthCross * ((float) (countCrossY - 1))) + ((float) (UISpenAccuracyTest.this.pxsize_cross / 2)));
                                }
                                startRectTopXPair = i6;
                                if (countCrossY % 2 == 0) {
                                    i7 = (int) ((this.mHeightCross * ((float) (countCrossY + 2 + 1))) + ((float) UISpenAccuracyTest.this.DEADZONE_HEIGHT));
                                } else {
                                    i7 = (int) ((this.mHeightCross * ((float) ((countCrossY + 2) - 1))) + ((float) UISpenAccuracyTest.this.DEADZONE_HEIGHT));
                                }
                                startRectTopYPair = i7;
                            }
                            this.mMatrixCanvas.drawRect((float) ((startRectTopXPair - (UISpenAccuracyTest.this.pxsize_cross / 2)) + 1), (float) (startRectTopYPair + 1), (float) ((UISpenAccuracyTest.this.pxsize_cross / 2) + startRectTopXPair), (float) ((int) (((float) startRectTopYPair) + this.col_height_cross)), paint);
                            invalidate(new Rect((startRectTopXPair - (UISpenAccuracyTest.this.pxsize_cross / 2)) - 1, startRectTopYPair - 1, (UISpenAccuracyTest.this.pxsize_cross / 2) + startRectTopXPair + 1, (int) (((float) startRectTopYPair) + this.col_height_cross)));
                            if (countCrossY % 2 == 0 && countCrossY >= 0) {
                                UISpenAccuracyTest.this.drawCross[countCrossY + 1] = true;
                            } else if (countCrossY % 2 != 0 && countCrossY > 0) {
                                UISpenAccuracyTest.this.drawCross[countCrossY - 1] = true;
                            }
                        }
                    }
                }
                if (!UISpenAccuracyTest.this.isStyleX_TopLeftOnly && x > ((float) (startRectBottomX - (UISpenAccuracyTest.this.pxsize_cross / 2))) && x < ((float) ((UISpenAccuracyTest.this.pxsize_cross / 2) + startRectBottomX))) {
                    if (UISpenAccuracyTest.this.rightLinearPoint[countCrossY].getFlag()) {
                        i = 1;
                    } else if (countCrossY <= UISpenAccuracyTest.this.mUnnessaryNode || countCrossY >= (UISpenAccuracyTest.this.HEIGHT_BASIS_CROSS - 1) - UISpenAccuracyTest.this.mUnnessaryNode || UISpenAccuracyTest.this.rightLinearPoint[UISpenAccuracyTest.this.mUnnessaryNode].getFlag() || UISpenAccuracyTest.this.rightLinearPoint[(UISpenAccuracyTest.this.HEIGHT_BASIS_CROSS - 1) - UISpenAccuracyTest.this.mUnnessaryNode].getFlag()) {
                        float f2 = this.pxPer1mm;
                        UISpenAccuracyTest.this.rightLinearPoint[countCrossY].setPosition(x / f2, y / f2);
                        i = 1;
                        UISpenAccuracyTest.this.rightLinearPoint[countCrossY].setFlag(true);
                    } else {
                        i = 1;
                    }
                    if (!UISpenAccuracyTest.this.drawCross[((UISpenAccuracyTest.this.HEIGHT_BASIS_CROSS * 2) - i) - countCrossY]) {
                        String str2 = UISpenAccuracyTest.this.CLASS_NAME;
                        FtUtil.log_i(str2, "checkCrossRectRegion", "right cross index : " + countCrossY + " have been drawed...");
                        this.mMatrixCanvas.drawRect((float) ((startRectBottomX - (UISpenAccuracyTest.this.pxsize_cross / 2)) + 1), (float) (startRectBottomY + 1), (float) ((UISpenAccuracyTest.this.pxsize_cross / 2) + startRectBottomX), (float) ((int) (((float) startRectBottomY) + this.col_height_cross)), paint);
                        invalidate(new Rect((startRectBottomX - (UISpenAccuracyTest.this.pxsize_cross / 2)) - 1, startRectBottomY + -1, (UISpenAccuracyTest.this.pxsize_cross / 2) + startRectBottomX + 1, (int) (((float) startRectBottomY) + this.col_height_cross + 1.0f)));
                        if (countCrossY >= 0) {
                            UISpenAccuracyTest.this.drawCross[((UISpenAccuracyTest.this.HEIGHT_BASIS_CROSS * 2) - 1) - countCrossY] = true;
                        }
                        if (UISpenAccuracyTest.this.isCheckCrossDouble) {
                            if (UISpenAccuracyTest.this.isExistMargin) {
                                if (countCrossY % 2 == 0) {
                                    i4 = (int) (((float) UISpenAccuracyTest.this.MARGIN_LEFT) + (this.col_width / 2.0f) + (this.mWidthCross * ((float) ((UISpenAccuracyTest.this.HEIGHT_BASIS_CROSS - 1) - (countCrossY + 1)))) + ((float) (UISpenAccuracyTest.this.pxsize_cross / 2)));
                                } else {
                                    i4 = (int) (((float) UISpenAccuracyTest.this.MARGIN_LEFT) + (this.col_width / 2.0f) + (this.mWidthCross * ((float) ((UISpenAccuracyTest.this.HEIGHT_BASIS_CROSS - 1) - (countCrossY - 1)))) + ((float) (UISpenAccuracyTest.this.pxsize_cross / 2)));
                                }
                                startRectBottomXPair = i4;
                                if (countCrossY % 2 == 0) {
                                    i5 = (int) ((this.mHeightCross * ((float) (countCrossY + 2 + 1))) + ((float) UISpenAccuracyTest.this.MARGIN_TOP));
                                } else {
                                    i5 = (int) ((this.mHeightCross * ((float) ((countCrossY + 2) - 1))) + ((float) UISpenAccuracyTest.this.MARGIN_TOP));
                                }
                                startRectBottomYPair = i5;
                            } else {
                                if (countCrossY % 2 == 0) {
                                    i2 = (int) (((float) UISpenAccuracyTest.this.DEADZONE_WIDTH) + (this.col_width / 2.0f) + (this.mWidthCross * ((float) ((UISpenAccuracyTest.this.HEIGHT_BASIS_CROSS - 1) - (countCrossY + 1)))) + ((float) (UISpenAccuracyTest.this.pxsize_cross / 2)));
                                } else {
                                    i2 = (int) (((float) UISpenAccuracyTest.this.DEADZONE_WIDTH) + (this.col_width / 2.0f) + (this.mWidthCross * ((float) ((UISpenAccuracyTest.this.HEIGHT_BASIS_CROSS - 1) - (countCrossY - 1)))) + ((float) (UISpenAccuracyTest.this.pxsize_cross / 2)));
                                }
                                startRectBottomXPair = i2;
                                if (countCrossY % 2 == 0) {
                                    i3 = (int) ((this.mHeightCross * ((float) (countCrossY + 2 + 1))) + ((float) UISpenAccuracyTest.this.DEADZONE_HEIGHT));
                                } else {
                                    i3 = (int) ((this.mHeightCross * ((float) ((countCrossY + 2) - 1))) + ((float) UISpenAccuracyTest.this.DEADZONE_HEIGHT));
                                }
                                startRectBottomYPair = i3;
                            }
                            this.mMatrixCanvas.drawRect((float) ((startRectBottomXPair - (UISpenAccuracyTest.this.pxsize_cross / 2)) + 1), (float) (startRectBottomYPair + 1), (float) ((UISpenAccuracyTest.this.pxsize_cross / 2) + startRectBottomXPair), (float) ((int) (((float) startRectBottomYPair) + this.col_height_cross)), paint);
                            invalidate(new Rect((startRectBottomXPair - (UISpenAccuracyTest.this.pxsize_cross / 2)) - 1, startRectBottomYPair - 1, (UISpenAccuracyTest.this.pxsize_cross / 2) + startRectBottomXPair + 1, (int) (((float) startRectBottomYPair) + this.col_height_cross + 1.0f)));
                            if (countCrossY % 2 == 0 && countCrossY >= 0) {
                                UISpenAccuracyTest.this.drawCross[(((UISpenAccuracyTest.this.HEIGHT_BASIS_CROSS * 2) - 1) - countCrossY) - 1] = true;
                            } else if (countCrossY % 2 != 0 && countCrossY > 0) {
                                UISpenAccuracyTest.this.drawCross[(((UISpenAccuracyTest.this.HEIGHT_BASIS_CROSS * 2) - 1) - countCrossY) + 1] = true;
                            }
                        }
                    }
                }
            }
        }

        private void checkVertexRectRegion(float x, float y, Paint paint) {
            if (!UISpenAccuracyTest.this.isStyleX_TopRightOnly) {
                if (!UISpenAccuracyTest.this.drawVertex[0]) {
                    if (UISpenAccuracyTest.this.isExistMargin) {
                        if (((float) UISpenAccuracyTest.this.MARGIN_LEFT) <= x && x <= ((float) UISpenAccuracyTest.this.MARGIN_LEFT) + this.col_width && ((float) UISpenAccuracyTest.this.MARGIN_TOP) <= y && y <= ((float) UISpenAccuracyTest.this.MARGIN_TOP) + this.col_height) {
                            UISpenAccuracyTest.this.drawVertex[0] = true;
                            this.mMatrixCanvas.drawRect((float) (UISpenAccuracyTest.this.MARGIN_LEFT + 1), (float) (UISpenAccuracyTest.this.MARGIN_TOP + 1), (((float) UISpenAccuracyTest.this.MARGIN_LEFT) + this.col_width) - 1.0f, (((float) UISpenAccuracyTest.this.MARGIN_TOP) + this.col_height) - 1.0f, paint);
                        }
                    } else if (((float) UISpenAccuracyTest.this.DEADZONE_WIDTH) <= x && x <= ((float) UISpenAccuracyTest.this.DEADZONE_WIDTH) + this.col_width && ((float) UISpenAccuracyTest.this.DEADZONE_HEIGHT) <= y && y <= ((float) UISpenAccuracyTest.this.DEADZONE_HEIGHT) + this.col_height) {
                        UISpenAccuracyTest.this.drawVertex[0] = true;
                        this.mMatrixCanvas.drawRect((float) UISpenAccuracyTest.this.DEADZONE_WIDTH, (float) UISpenAccuracyTest.this.DEADZONE_HEIGHT, ((float) UISpenAccuracyTest.this.DEADZONE_WIDTH) + this.col_width, ((float) UISpenAccuracyTest.this.DEADZONE_HEIGHT) + this.col_height, paint);
                    }
                }
                if (!UISpenAccuracyTest.this.drawVertex[1]) {
                    if (UISpenAccuracyTest.this.isExistMargin) {
                        if (((float) UISpenAccuracyTest.this.MARGIN_LEFT) + (this.col_width * ((float) (UISpenAccuracyTest.this.WIDTH_BASIS - 1))) <= x && x <= ((float) UISpenAccuracyTest.this.MARGIN_LEFT) + (this.col_width * ((float) UISpenAccuracyTest.this.WIDTH_BASIS)) && ((float) UISpenAccuracyTest.this.MARGIN_TOP) + (this.col_height * ((float) (UISpenAccuracyTest.this.HEIGHT_BASIS - 1))) <= y && y <= ((float) UISpenAccuracyTest.this.MARGIN_TOP) + (this.col_height * ((float) UISpenAccuracyTest.this.HEIGHT_BASIS))) {
                            UISpenAccuracyTest.this.drawVertex[1] = true;
                            this.mMatrixCanvas.drawRect(((float) UISpenAccuracyTest.this.MARGIN_LEFT) + (this.col_width * ((float) (UISpenAccuracyTest.this.WIDTH_BASIS - 1))) + 1.0f, ((float) UISpenAccuracyTest.this.MARGIN_TOP) + (this.col_height * ((float) (UISpenAccuracyTest.this.HEIGHT_BASIS - 1))) + 1.0f, (((float) UISpenAccuracyTest.this.MARGIN_LEFT) + (this.col_width * ((float) UISpenAccuracyTest.this.WIDTH_BASIS))) - 1.0f, (((float) UISpenAccuracyTest.this.MARGIN_TOP) + (this.col_height * ((float) UISpenAccuracyTest.this.HEIGHT_BASIS))) - 1.0f, paint);
                        }
                    } else if (((float) UISpenAccuracyTest.this.DEADZONE_WIDTH) + (this.col_width * ((float) (UISpenAccuracyTest.this.WIDTH_BASIS - 1))) <= x && x <= ((float) UISpenAccuracyTest.this.DEADZONE_WIDTH) + (this.col_width * ((float) UISpenAccuracyTest.this.WIDTH_BASIS)) && ((float) UISpenAccuracyTest.this.DEADZONE_HEIGHT) + (this.col_height * ((float) (UISpenAccuracyTest.this.HEIGHT_BASIS - 1))) <= y && y <= ((float) UISpenAccuracyTest.this.DEADZONE_HEIGHT) + (this.col_height * ((float) UISpenAccuracyTest.this.HEIGHT_BASIS))) {
                        UISpenAccuracyTest.this.drawVertex[1] = true;
                        this.mMatrixCanvas.drawRect((this.col_width * ((float) (UISpenAccuracyTest.this.WIDTH_BASIS - 1))) + ((float) UISpenAccuracyTest.this.DEADZONE_WIDTH), (this.col_height * ((float) (UISpenAccuracyTest.this.HEIGHT_BASIS - 1))) + ((float) UISpenAccuracyTest.this.DEADZONE_HEIGHT), (this.col_width * ((float) UISpenAccuracyTest.this.WIDTH_BASIS)) + ((float) UISpenAccuracyTest.this.DEADZONE_WIDTH), (this.col_height * ((float) UISpenAccuracyTest.this.HEIGHT_BASIS)) + ((float) UISpenAccuracyTest.this.DEADZONE_HEIGHT), paint);
                    }
                }
            }
            if (!UISpenAccuracyTest.this.isStyleX_TopLeftOnly) {
                if (!UISpenAccuracyTest.this.drawVertex[2]) {
                    if (UISpenAccuracyTest.this.isExistMargin) {
                        if (((float) UISpenAccuracyTest.this.MARGIN_LEFT) + (this.col_width * ((float) (UISpenAccuracyTest.this.WIDTH_BASIS - 1))) <= x && x <= ((float) UISpenAccuracyTest.this.MARGIN_LEFT) + (this.col_width * ((float) UISpenAccuracyTest.this.WIDTH_BASIS)) && ((float) UISpenAccuracyTest.this.MARGIN_TOP) <= y && y <= ((float) UISpenAccuracyTest.this.MARGIN_TOP) + this.col_height) {
                            UISpenAccuracyTest.this.drawVertex[2] = true;
                            this.mMatrixCanvas.drawRect(((float) UISpenAccuracyTest.this.MARGIN_LEFT) + (this.col_width * ((float) (UISpenAccuracyTest.this.WIDTH_BASIS - 1))) + 1.0f, (float) (UISpenAccuracyTest.this.MARGIN_TOP + 1), (((float) UISpenAccuracyTest.this.MARGIN_LEFT) + (this.col_width * ((float) UISpenAccuracyTest.this.WIDTH_BASIS))) - 1.0f, (((float) UISpenAccuracyTest.this.MARGIN_TOP) + this.col_height) - 1.0f, paint);
                        }
                    } else if (((float) UISpenAccuracyTest.this.DEADZONE_WIDTH) + (this.col_width * ((float) (UISpenAccuracyTest.this.WIDTH_BASIS - 1))) <= x && x <= ((float) UISpenAccuracyTest.this.DEADZONE_WIDTH) + (this.col_width * ((float) UISpenAccuracyTest.this.WIDTH_BASIS)) && ((float) UISpenAccuracyTest.this.DEADZONE_HEIGHT) <= y && y <= ((float) UISpenAccuracyTest.this.DEADZONE_HEIGHT) + this.col_height) {
                        UISpenAccuracyTest.this.drawVertex[2] = true;
                        this.mMatrixCanvas.drawRect(((float) UISpenAccuracyTest.this.DEADZONE_WIDTH) + (this.col_width * ((float) (UISpenAccuracyTest.this.WIDTH_BASIS - 1))), (float) UISpenAccuracyTest.this.DEADZONE_HEIGHT, ((float) UISpenAccuracyTest.this.DEADZONE_WIDTH) + (this.col_width * ((float) UISpenAccuracyTest.this.WIDTH_BASIS)), ((float) UISpenAccuracyTest.this.DEADZONE_HEIGHT) + this.col_height, paint);
                    }
                }
                if (UISpenAccuracyTest.this.drawVertex[3]) {
                    return;
                }
                if (UISpenAccuracyTest.this.isExistMargin) {
                    if (((float) UISpenAccuracyTest.this.MARGIN_LEFT) <= x && x <= ((float) UISpenAccuracyTest.this.MARGIN_LEFT) + this.col_width && ((float) UISpenAccuracyTest.this.MARGIN_TOP) + (this.col_height * ((float) (UISpenAccuracyTest.this.HEIGHT_BASIS - 1))) <= y && y <= ((float) UISpenAccuracyTest.this.MARGIN_TOP) + (this.col_height * ((float) UISpenAccuracyTest.this.HEIGHT_BASIS))) {
                        UISpenAccuracyTest.this.drawVertex[3] = true;
                        this.mMatrixCanvas.drawRect((float) (UISpenAccuracyTest.this.MARGIN_LEFT + 1), ((float) UISpenAccuracyTest.this.MARGIN_TOP) + (this.col_height * ((float) (UISpenAccuracyTest.this.HEIGHT_BASIS - 1))) + 1.0f, (((float) UISpenAccuracyTest.this.MARGIN_LEFT) + this.col_width) - 1.0f, (((float) UISpenAccuracyTest.this.MARGIN_TOP) + (this.col_height * ((float) UISpenAccuracyTest.this.HEIGHT_BASIS))) - 1.0f, paint);
                    }
                } else if (((float) UISpenAccuracyTest.this.DEADZONE_WIDTH) <= x && x <= ((float) UISpenAccuracyTest.this.DEADZONE_WIDTH) + this.col_width && ((float) UISpenAccuracyTest.this.DEADZONE_HEIGHT) + (this.col_height * ((float) (UISpenAccuracyTest.this.HEIGHT_BASIS - 1))) <= y && y <= ((float) UISpenAccuracyTest.this.DEADZONE_HEIGHT) + (this.col_height * ((float) UISpenAccuracyTest.this.HEIGHT_BASIS))) {
                    UISpenAccuracyTest.this.drawVertex[3] = true;
                    this.mMatrixCanvas.drawRect((float) UISpenAccuracyTest.this.DEADZONE_WIDTH, ((float) UISpenAccuracyTest.this.DEADZONE_HEIGHT) + (this.col_height * ((float) (UISpenAccuracyTest.this.HEIGHT_BASIS - 1))), ((float) UISpenAccuracyTest.this.DEADZONE_WIDTH) + this.col_width, ((float) UISpenAccuracyTest.this.DEADZONE_HEIGHT) + (this.col_height * ((float) UISpenAccuracyTest.this.HEIGHT_BASIS)), paint);
                }
            }
        }
    }
}
