package com.sec.factory.app.ui;

import android.bluetooth.BluetoothDevice;
import android.content.BroadcastReceiver;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.content.ServiceConnection;
import android.content.SharedPreferences;
import android.os.Binder;
import android.os.Bundle;
import android.os.Handler;
import android.os.IBinder;
import android.os.Looper;
import android.os.Message;
import android.provider.Settings;
import android.view.KeyEvent;
import android.view.View;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.aporiented.SpenBluetoothService;
import com.sec.factory.app.ui.SpenBluetoothTestEntry;
import com.sec.factory.modules.ModuleCommunication;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class UISpenBluetoothAccGyroTest extends UIBase implements View.OnClickListener {
    public static final String CLASS_NAME = "UISpenBluetoothAccGyroTest";
    private static final int MSG_BATTERYLEVEL_READ;
    private static final int MSG_BATTERYLEVEL_RESULT;
    private static final int MSG_BTON_PASS = 0;
    private static final int MSG_CHANGESLAVELATENCY_1S;
    private static final int MSG_CHANGESLAVELATENCY_1S_RESULT;
    private static final int MSG_CHANGESLAVELATENCY_9S_RESULT;
    private static final int MSG_CHARGING_OFF;
    private static final int MSG_CHARGING_ON;
    private static final int MSG_DATE_READ;
    private static final int MSG_DATE_RESULT;
    private static final int MSG_DELAY_BEFORE_FUNCTION_TEST;
    private static final int MSG_DETECT_START;
    private static final int MSG_FASTDISCHARGING_END;
    private static final int MSG_FASTDISCHARGING_START;
    private static final int MSG_FWVER_READ;
    private static final int MSG_FWVER_RESULT;
    private static final int MSG_GEOGYRORAW_READ_DELAY;
    private static final int MSG_GEOGYRORAW_READ_READY;
    private static final int MSG_GEOGYRORAW_READ_RESULT;
    private static final int MSG_GEOGYROSELFTEST_READ_RESULT;
    private static final int MSG_GEOGYRO_GRAVITY_BLOCK_CHECK_DATA_RESULT;
    private static final int MSG_KEYTEST_FAIL;
    private static final int MSG_KEYTEST_PASS;
    private static final int MSG_MODE_WRITE_SUCCESS;
    private static final int MSG_PAIRING_PASS;
    private static final int MSG_PAIRING_RESTART;
    private static final int MSG_PAIRING_START;
    private static final int MSG_PEN_ID;
    private static final int MSG_RSSI_READ;
    private static final int MSG_RSSI_RESULT;
    private static final int MSG_SUBCOLORCODE_RESULT;
    private static final int MSG_SUBCOLORCODE_WRITE;
    private static final int MSG_SUBEWRITE_RESULT;
    private static final int MSG_TEST_EXIT;
    private static final int MSG_TEST_FAIL;
    private static final int MSG_TEST_PASS;
    private static final int MSG_WACOMIC_ON;
    private static final int SLAVE_LATENCY_1S = 1;
    private static final int SLAVE_LATENCY_9S = 9;
    private static final int STATE_BATTERYCHECK_0;
    private static final int STATE_BATTERYCHECK_1;
    private static final int STATE_BATTERYCHECK_21;
    private static final int STATE_BATTERYCHECK_23;
    private static final int STATE_BATTERYCHECK_34;
    private static final int STATE_BTON;
    private static final int STATE_CHARGEOFF_0;
    private static final int STATE_CHARGEOFF_1;
    private static final int STATE_CHARGEON_0;
    private static final int STATE_CHARGEON_1;
    private static final int STATE_DATE;
    private static final int STATE_DETECT;
    private static final int STATE_FASTDISCHARGING;
    private static final int STATE_FINISH;
    private static final int STATE_FW;
    private static final int STATE_GEOGYRO_GRAVITY_BLOCK_CHECK_DATA;
    private static final int STATE_GEOGYRO_RAWDATA_FINISH;
    private static final int STATE_GEOGYRO_RAW_DATA;
    private static final int STATE_GEOGYRO_RAW_DATA_DELAY;
    private static final int STATE_GEOGYRO_SELFTEST_DATA;
    private static final int STATE_KEYTEST;
    private static final int STATE_PAIRING;
    private static final int STATE_PENID;
    private static final int STATE_READY = 0;
    private static final int STATE_RSSI;
    private static final int STATE_SLAVELATENCY_1S;
    private static final int STATE_SLAVELATENCY_9S;
    private static final int STATE_SUBCOLORCODE;
    private static final int STATE_SUBCOLORCODE_RESULT;
    private static final int STATE_SUBEWRITE;
    private static final int STATE_WACOMIC_ON;
    private static int TEST_MSG;
    private static int TEST_STATE;
    private static IBinder mBinder = new Binder();
    private static String[] mMsgString = {"BTON_PASS", "DETECT_START", "PAIRING_START", "PAIRING_PASS", "PAIRING_RESTART", "PEN_ID", "FASTDISCHARGING_START", "FASTDISCHARGING_END", "CHANGESLAVELATENCY_1S", "CHANGESLAVELATENCY_1S_RESULT", "BATTERYLEVEL_READ", "BATTERYLEVEL_RESULT", "CHARGING_ON", "CHARGING_OFF", "SUBEWRITE_RESULT", "KEYTEST_PASS", "KEYTEST_FAIL", "WACOMIC_ON", "RSSI_READ", "RSSI_RESULT", "FWVER_READ", "FWVER_RESULT", "DATE_READ", "DATE_RESULT", "SUBCOLORCODE_WRITE", "SUBCOLORCODE_RESULT", "DELAY_BEFORE_FUNCTION_TEST", "GEOGYROSELFTEST_READ_RESULT", "GEOGYRORAW_READ_DELAY", "GEOGYRORAW_READ_READY", "GEOGYRORAW_READ_RESULT", "GEOGYRO_GRAVITY_BLOCK_CHECK_DATA_RESULT", "MODE_WRITE_SUCCESS", "TEST_PASS", "TEST_FAIL", "TEST_EXIT", "CHANGESLAVELATENCY_9S_RESULT"};
    private static String[] mStateString = {"READY", "BTON", "DETECT", "CHARGEON", "PAIRING", "PENID", "FW", "SLAVELATENCY_1S", "BATTERYCHECK_0", "SUBEWRITE", "CHARGEOFF", "BATTERYCHECK_1", "FASTDISCHARGING", "BATTERYCHECK_21", "BATTERYCHECK_23", "CHARGEON1", "CHARGEOFF1", "BATTERYCHECK_34", "KEYTEST", "WACOMIC_ON", "RSSI", "DATE", "SUBCOLORCODE", "SUBCOLORCODE_RESULT", "SLAVELATENCY_9S", "GEOGYRO_SELFTEST_DATA", "GEOGYRO_RAW_DATA_DELAY", "GEOGYRO_RAW_DATA", "GEOGYRO_RAWDATA_FINISH", "GEOGYRO_GRAVITY_BLOCK_CHECK_DATA", "FINISH"};
    private static int testloop = 0;
    private String allResultData = "";
    private boolean isChargingMode = false;
    private int mACC_self_m_x_Max;
    private int mACC_self_m_x_Min;
    private int mACC_self_m_y_Max;
    private int mACC_self_m_y_Min;
    private int mACC_self_m_z_Max;
    private int mACC_self_m_z_Min;
    private int mACC_self_p_x_Max;
    private int mACC_self_p_x_Min;
    private int mACC_self_p_y_Max;
    private int mACC_self_p_y_Min;
    private int mACC_self_p_z_Max;
    private int mACC_self_p_z_Min;
    private double mACC_vector_sum_Max;
    private double mACC_vector_sum_Min;
    private LinearLayout mAccGyroDetailsLinearLayout;
    private boolean mAccGyroGravityBlockCheckData = false;
    private String mAccGyroRawData = "";
    private String mAccGyroSelftestData = "";
    private TextView mAccGyro_result_f;
    private int mBatt0_check_cnt;
    private int mBatt0_check_max_cnt = 5;
    private TextView mBatt0_measure;
    private TextView mBatt0_result;
    private TextView mBatt0_spec;
    private int mBatt0_spec_Max;
    private int mBatt0_spec_Min;
    private TextView mBatt1_measure;
    private TextView mBatt1_result;
    private TextView mBatt1_spec;
    private int mBatt1_spec_Max;
    private int mBatt1_spec_Min;
    private TextView mBatt21_measure;
    private TextView mBatt21_result;
    private TextView mBatt21_spec;
    private int mBatt21_spec_Max;
    private int mBatt21_spec_Min;
    private TextView mBatt23_measure;
    private TextView mBatt23_result;
    private TextView mBatt23_spec;
    private int mBatt23_spec_Max;
    private int mBatt23_spec_Min;
    private TextView mBatt34_measure;
    private TextView mBatt34_result;
    private TextView mBatt34_spec;
    private int mBatt34_spec_Max;
    private int mBatt34_spec_Min;
    private int mBatteryLevel = -1;
    private int mBatteryLevel0 = -1;
    private int mBatteryLevel1 = -1;
    private int mBatteryLevel2 = -1;
    private int mBatteryLevel3 = -1;
    private int mBatteryLevel4 = -1;
    private LinearLayout mBleLinearLayout;
    private TextView mBtOn_result_p;
    private final BroadcastReceiver mBtStateReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.app.ui.UISpenBluetoothAccGyroTest.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            String action = intent.getAction();
            FtUtil.log_d(UISpenBluetoothAccGyroTest.CLASS_NAME, "mBtStateReceiver", "receiver:" + action);
            if (ModuleCommunication.ACTION_BT_SERVICE_RESPONSE.equals(intent.getAction())) {
                String result = intent.getStringExtra("result");
                FtUtil.log_i(UISpenBluetoothAccGyroTest.CLASS_NAME, "mBtStateReceiver.onReceive", "EXTRA_KEY_BT_SERVICE_RESPONSE result=" + result);
                if ("ON".equalsIgnoreCase(result) && UISpenBluetoothAccGyroTest.this.mState == UISpenBluetoothAccGyroTest.STATE_BTON) {
                    UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessage(UISpenBluetoothAccGyroTest.MSG_BTON_PASS);
                }
            }
        }
    };
    private Button mButtonDetails;
    private Button mButtonExit;
    private Button mButtonRetry;
    private TextView mChargeOff_result_0;
    private TextView mChargeOff_result_1;
    private TextView mChargeOn_result_1;
    private TextView mColorBodyCode_spec_f;
    private String mColorCodeResult = "";
    private TextView mColorCode_measure_f;
    private TextView mColorCode_result_f;
    private TextView mColorTipCode_spec_f;
    private Context mContext = null;
    private String mDate = "";
    private TextView mDate_result_f;
    private TextView mDetect_result_p;
    private TextView mDischarge_Off_result;
    private TextView mDischarge_On_result;
    private TextView mFWver_measure_f;
    private TextView mFWver_result_f;
    private int mFWver_spec_Min;
    private TextView mFWver_spec_f;
    private TextView mFunc_acc_gravity_check_data_measure;
    private TextView mFunc_acc_gravity_check_data_result;
    private TextView mFunc_acc_gravity_check_data_spec;
    private TextView mFunc_acc_raw_gb_result;
    private TextView mFunc_acc_raw_result;
    private TextView mFunc_acc_self_m_x_measure;
    private TextView mFunc_acc_self_m_x_result;
    private TextView mFunc_acc_self_m_x_spec;
    private TextView mFunc_acc_self_m_y_measure;
    private TextView mFunc_acc_self_m_y_result;
    private TextView mFunc_acc_self_m_y_spec;
    private TextView mFunc_acc_self_m_z_measure;
    private TextView mFunc_acc_self_m_z_result;
    private TextView mFunc_acc_self_m_z_spec;
    private TextView mFunc_acc_self_p_x_measure;
    private TextView mFunc_acc_self_p_x_result;
    private TextView mFunc_acc_self_p_x_spec;
    private TextView mFunc_acc_self_p_y_measure;
    private TextView mFunc_acc_self_p_y_result;
    private TextView mFunc_acc_self_p_y_spec;
    private TextView mFunc_acc_self_p_z_measure;
    private TextView mFunc_acc_self_p_z_result;
    private TextView mFunc_acc_self_p_z_spec;
    private TextView mFunc_acc_vector_sum_gb_measure;
    private TextView mFunc_acc_vector_sum_gb_result;
    private TextView mFunc_acc_vector_sum_gb_spec;
    private TextView mFunc_acc_vector_sum_measure;
    private TextView mFunc_acc_vector_sum_result;
    private TextView mFunc_acc_vector_sum_spec;
    private TextView mFunc_gyro_self_bias_result;
    private TextView mFunc_gyro_self_diff_x_measure;
    private TextView mFunc_gyro_self_diff_x_result;
    private TextView mFunc_gyro_self_diff_x_spec;
    private TextView mFunc_gyro_self_diff_y_measure;
    private TextView mFunc_gyro_self_diff_y_result;
    private TextView mFunc_gyro_self_diff_y_spec;
    private TextView mFunc_gyro_self_diff_z_measure;
    private TextView mFunc_gyro_self_diff_z_result;
    private TextView mFunc_gyro_self_diff_z_spec;
    private TextView mFunc_gyro_self_x_measure;
    private TextView mFunc_gyro_self_x_result;
    private TextView mFunc_gyro_self_x_spec;
    private TextView mFunc_gyro_self_y_measure;
    private TextView mFunc_gyro_self_y_result;
    private TextView mFunc_gyro_self_y_spec;
    private TextView mFunc_gyro_self_z_measure;
    private TextView mFunc_gyro_self_z_result;
    private TextView mFunc_gyro_self_z_spec;
    private TextView mFunc_gyro_zro_avg_x_measure;
    private TextView mFunc_gyro_zro_avg_x_result;
    private TextView mFunc_gyro_zro_avg_x_spec;
    private TextView mFunc_gyro_zro_avg_y_measure;
    private TextView mFunc_gyro_zro_avg_y_result;
    private TextView mFunc_gyro_zro_avg_y_spec;
    private TextView mFunc_gyro_zro_avg_z_measure;
    private TextView mFunc_gyro_zro_avg_z_result;
    private TextView mFunc_gyro_zro_avg_z_spec;
    private int mFwVer = -1;
    private int mGB_Check_FWver_spec_Min;
    private final BroadcastReceiver mGattUpdateReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.app.ui.UISpenBluetoothAccGyroTest.AnonymousClass4 */

        public void onReceive(Context context, Intent intent) {
            String action = intent.getAction();
            FtUtil.log_d(UISpenBluetoothAccGyroTest.CLASS_NAME, "mGattUpdateReceiver", "receiver:" + action);
            if (UISpenBluetoothAccGyroTest.this.mState != UISpenBluetoothAccGyroTest.STATE_FINISH && !SpenBluetoothService.ACTION_GATT_CONNECTED.equals(action)) {
                if (SpenBluetoothService.ACTION_DATA_READY.equals(action)) {
                    UISpenBluetoothAccGyroTest.this.setKeyEventNotification();
                } else if (SpenBluetoothService.ACTION_KEYEVENT_READY.equals(action)) {
                    UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessage(UISpenBluetoothAccGyroTest.MSG_PAIRING_PASS);
                } else if (SpenBluetoothService.ACTION_GATT_DISCONNECTED.equals(action)) {
                    UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessage(UISpenBluetoothAccGyroTest.MSG_TEST_FAIL);
                } else if (SpenBluetoothService.ACTION_GATT_RECONNECT.equals(action)) {
                    if (UISpenBluetoothAccGyroTest.this.mState == UISpenBluetoothAccGyroTest.STATE_PAIRING) {
                        UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessage(UISpenBluetoothAccGyroTest.MSG_PAIRING_RESTART);
                    } else {
                        UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessage(UISpenBluetoothAccGyroTest.MSG_TEST_FAIL);
                    }
                } else if (SpenBluetoothService.ACTION_NOT_FOUND.equals(action)) {
                    UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessage(UISpenBluetoothAccGyroTest.MSG_TEST_FAIL);
                } else if (!SpenBluetoothService.ACTION_SCAN_SUCCESS.equals(action)) {
                    if (SpenBluetoothService.ACTION_PAIRING_REQUEST.equals(action)) {
                        BluetoothDevice device = (BluetoothDevice) intent.getParcelableExtra("android.bluetooth.device.extra.DEVICE");
                        if (device.getAddress().equals(UISpenBluetoothAccGyroTest.this.mSpenBluetoothService.getBtAddress()) && intent.getIntExtra("android.bluetooth.device.extra.PAIRING_VARIANT", Integer.MIN_VALUE) == 3) {
                            device.setPairingConfirmation(true);
                            abortBroadcast();
                        }
                    } else if (SpenBluetoothService.ACTION_BATTERY.equals(action)) {
                        UISpenBluetoothAccGyroTest.this.mBatteryLevel = intent.getIntExtra(SpenBluetoothService.EXTRA_DATA, -1);
                        UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessage(UISpenBluetoothAccGyroTest.MSG_BATTERYLEVEL_RESULT);
                    } else if (SpenBluetoothService.ACTION_FW_VER.equals(action)) {
                        int fwVer = intent.getIntExtra(SpenBluetoothService.EXTRA_DATA, 0);
                        FtUtil.log_d(UISpenBluetoothAccGyroTest.CLASS_NAME, "mGattUpdateReceiver", "FW ver : " + fwVer);
                        UISpenBluetoothAccGyroTest.this.mFwVer = fwVer;
                        UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessage(UISpenBluetoothAccGyroTest.MSG_FWVER_RESULT);
                    } else if (SpenBluetoothService.ACTION_DATE.equals(action)) {
                        UISpenBluetoothAccGyroTest.this.mDate = intent.getStringExtra(SpenBluetoothService.EXTRA_DATA);
                        UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessage(UISpenBluetoothAccGyroTest.MSG_DATE_RESULT);
                    } else if (SpenBluetoothService.ACTION_SUBCOLORCODE_RESULT.equals(action)) {
                        String flashResult = intent.getStringExtra(SpenBluetoothService.EXTRA_DATA);
                        FtUtil.log_d(UISpenBluetoothAccGyroTest.CLASS_NAME, "mGattUpdateReceiver", "flash result : " + flashResult);
                        if (flashResult != null && flashResult.length() > 2) {
                            UISpenBluetoothAccGyroTest.this.mSubResult = flashResult.substring(0, 1);
                            String reverseResult = new StringBuffer(flashResult).reverse().toString();
                            UISpenBluetoothAccGyroTest.this.mColorCodeResult = reverseResult.substring(0, 2);
                        }
                        UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessage(UISpenBluetoothAccGyroTest.MSG_SUBCOLORCODE_RESULT);
                    } else if (SpenBluetoothService.ACTION_SLAVELATENCY1S_CHANGE.equals(action)) {
                        UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessage(UISpenBluetoothAccGyroTest.MSG_CHANGESLAVELATENCY_1S_RESULT);
                    } else if (SpenBluetoothService.ACTION_SLAVELATENCY9S_CHANGE.equals(action)) {
                        UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessage(UISpenBluetoothAccGyroTest.MSG_CHANGESLAVELATENCY_9S_RESULT);
                    } else if (SpenBluetoothService.ACTION_GEOGYRO_SELFTEST_DATA_RESULT.equals(action)) {
                        UISpenBluetoothAccGyroTest.this.mAccGyroSelftestData = intent.getStringExtra(SpenBluetoothService.EXTRA_DATA);
                        FtUtil.log_d(UISpenBluetoothAccGyroTest.CLASS_NAME, "mGattUpdateReceiver", " mAccGyroSelftestData:" + UISpenBluetoothAccGyroTest.this.mAccGyroSelftestData);
                        UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessage(UISpenBluetoothAccGyroTest.MSG_GEOGYROSELFTEST_READ_RESULT);
                    } else if (SpenBluetoothService.ACTION_GEOGYRO_RAW_DATA_NOTIFICATION_MODE_ON.equals(action)) {
                        UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessage(UISpenBluetoothAccGyroTest.MSG_GEOGYRORAW_READ_DELAY);
                    } else if (SpenBluetoothService.ACTION_GEOGYRO_RAW_DATA_RESULT.equals(action)) {
                        UISpenBluetoothAccGyroTest.this.mAccGyroRawData = intent.getStringExtra(SpenBluetoothService.EXTRA_DATA);
                        FtUtil.log_d(UISpenBluetoothAccGyroTest.CLASS_NAME, "mGattUpdateReceiver", " mAccGyroRawData:" + UISpenBluetoothAccGyroTest.this.mAccGyroRawData);
                        UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessage(UISpenBluetoothAccGyroTest.MSG_GEOGYRORAW_READ_RESULT);
                    } else if (SpenBluetoothService.ACTION_GEOGYRO_GRAVITY_BLOCK_CHECK_DATA_RESULT.equals(action)) {
                        UISpenBluetoothAccGyroTest.this.mAccGyroGravityBlockCheckData = intent.getBooleanExtra(SpenBluetoothService.EXTRA_DATA, false);
                        FtUtil.log_d(UISpenBluetoothAccGyroTest.CLASS_NAME, "mGattUpdateReceiver", " mAccGyroGravityBlockCheckData:" + UISpenBluetoothAccGyroTest.this.mAccGyroGravityBlockCheckData);
                        UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessage(UISpenBluetoothAccGyroTest.MSG_GEOGYRO_GRAVITY_BLOCK_CHECK_DATA_RESULT);
                    } else if (SpenBluetoothService.ACTION_MODE_WRITE_SUCCESS.equals(action)) {
                        UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessage(UISpenBluetoothAccGyroTest.MSG_MODE_WRITE_SUCCESS);
                    }
                }
            }
        }
    };
    private int mGyro_self_diff_x_Max;
    private int mGyro_self_diff_x_Min;
    private int mGyro_self_diff_y_Max;
    private int mGyro_self_diff_y_Min;
    private int mGyro_self_diff_z_Max;
    private int mGyro_self_diff_z_Min;
    private int mGyro_self_x_Max;
    private int mGyro_self_x_Min;
    private int mGyro_self_y_Max;
    private int mGyro_self_y_Min;
    private int mGyro_self_z_Max;
    private int mGyro_self_z_Min;
    private int mGyro_zro_avg_x_Max;
    private int mGyro_zro_avg_x_Min;
    private int mGyro_zro_avg_y_Max;
    private int mGyro_zro_avg_y_Min;
    private int mGyro_zro_avg_z_Max;
    private int mGyro_zro_avg_z_Min;
    private final Handler mHandler = new Handler(Looper.getMainLooper()) {
        /* class com.sec.factory.app.ui.UISpenBluetoothAccGyroTest.AnonymousClass5 */

        public void handleMessage(Message msg) {
            boolean z;
            boolean z2;
            boolean z3;
            boolean res;
            try {
                FtUtil.log_d(UISpenBluetoothAccGyroTest.CLASS_NAME, "mHandler.handleMessage", "State : " + UISpenBluetoothAccGyroTest.mStateString[UISpenBluetoothAccGyroTest.this.mState] + " ,Msg : " + UISpenBluetoothAccGyroTest.mMsgString[msg.what]);
                UISpenBluetoothAccGyroTest.this.updateResult(true, UISpenBluetoothAccGyroTest.mStateString[UISpenBluetoothAccGyroTest.this.mState]);
            } catch (Exception e) {
                e.printStackTrace();
            }
            if (msg.what == UISpenBluetoothAccGyroTest.MSG_BTON_PASS) {
                if (UISpenBluetoothAccGyroTest.this.mState == UISpenBluetoothAccGyroTest.STATE_BTON) {
                    UISpenBluetoothAccGyroTest.this.mBtOn_result_p.setText("PASS");
                    UISpenBluetoothAccGyroTest.this.mBtOn_result_p.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                    UISpenBluetoothAccGyroTest.this.mState = UISpenBluetoothAccGyroTest.STATE_DETECT;
                    UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessage(UISpenBluetoothAccGyroTest.MSG_DETECT_START);
                }
            } else if (msg.what == UISpenBluetoothAccGyroTest.MSG_DETECT_START) {
                if (UISpenBluetoothAccGyroTest.this.mState != UISpenBluetoothAccGyroTest.STATE_DETECT) {
                    return;
                }
                if (UISpenBluetoothAccGyroTest.this.spenDetect()) {
                    UISpenBluetoothAccGyroTest.this.mDetect_result_p.setText("PASS");
                    UISpenBluetoothAccGyroTest.this.mDetect_result_p.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                    UISpenBluetoothAccGyroTest.this.mState = UISpenBluetoothAccGyroTest.STATE_PAIRING;
                    UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessage(UISpenBluetoothAccGyroTest.MSG_PAIRING_START);
                    return;
                }
                UISpenBluetoothAccGyroTest.this.mDetect_result_p.setText("FAIL");
                UISpenBluetoothAccGyroTest.this.mDetect_result_p.setTextColor(-65536);
                UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessage(UISpenBluetoothAccGyroTest.MSG_TEST_FAIL);
            } else if (msg.what == UISpenBluetoothAccGyroTest.MSG_PAIRING_START) {
                if (Support.Feature.getInt(Support.Feature.SPEN_BLE_CHARGE_VER) == 2) {
                    UISpenBluetoothAccGyroTest.this.setSpenChargeMode(EgisFingerprint.MAJOR_VERSION);
                    UISpenBluetoothAccGyroTest.this.setSpenChargeMode("4");
                } else {
                    UISpenBluetoothAccGyroTest.this.setSpenChargeMode(EgisFingerprint.MAJOR_VERSION);
                }
                UISpenBluetoothAccGyroTest.this.paringStart();
                UISpenBluetoothAccGyroTest.this.mPairing_measure_p.setText("");
                UISpenBluetoothAccGyroTest.this.mPairing_result_p.setText("TEST");
                UISpenBluetoothAccGyroTest.this.mPairing_result_p.setTextColor(-16777216);
            } else if (msg.what == UISpenBluetoothAccGyroTest.MSG_PAIRING_RESTART) {
                UISpenBluetoothAccGyroTest.this.mPairing_measure_p.setText("");
                UISpenBluetoothAccGyroTest.this.mPairing_result_p.setText("RETEST");
                UISpenBluetoothAccGyroTest.this.mPairing_result_p.setTextColor(-16777216);
            } else if (msg.what == UISpenBluetoothAccGyroTest.MSG_PAIRING_PASS) {
                if (UISpenBluetoothAccGyroTest.this.mState == UISpenBluetoothAccGyroTest.STATE_PAIRING) {
                    UISpenBluetoothAccGyroTest uISpenBluetoothAccGyroTest = UISpenBluetoothAccGyroTest.this;
                    UISpenBluetoothAccGyroTest.access$4584(uISpenBluetoothAccGyroTest, String.valueOf(uISpenBluetoothAccGyroTest.mSpenBluetoothService.mPairingRssi));
                    UISpenBluetoothAccGyroTest.this.mPairing_measure_p.setText(String.valueOf(UISpenBluetoothAccGyroTest.this.mSpenBluetoothService.mPairingRssi));
                    UISpenBluetoothAccGyroTest.this.mPairing_result_p.setText("PASS");
                    UISpenBluetoothAccGyroTest.this.mPairing_result_p.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                    UISpenBluetoothAccGyroTest.this.mState = UISpenBluetoothAccGyroTest.STATE_PENID;
                    UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessage(UISpenBluetoothAccGyroTest.MSG_PEN_ID);
                }
            } else if (msg.what == UISpenBluetoothAccGyroTest.MSG_PEN_ID) {
                if (UISpenBluetoothAccGyroTest.this.mState == UISpenBluetoothAccGyroTest.STATE_PENID) {
                    String mBtAddress = null;
                    if (UISpenBluetoothAccGyroTest.this.mSpenBluetoothService != null) {
                        mBtAddress = UISpenBluetoothAccGyroTest.this.mSpenBluetoothService.getBtAddress();
                    }
                    if (mBtAddress != null) {
                        UISpenBluetoothAccGyroTest.access$4584(UISpenBluetoothAccGyroTest.this, "," + mBtAddress);
                        UISpenBluetoothAccGyroTest.this.mPenId_result_p.setText(mBtAddress);
                        UISpenBluetoothAccGyroTest.this.mPenId_result_p.setTextColor(-16777216);
                        UISpenBluetoothAccGyroTest.this.mState = UISpenBluetoothAccGyroTest.STATE_FW;
                        UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessage(UISpenBluetoothAccGyroTest.MSG_FWVER_READ);
                        return;
                    }
                    UISpenBluetoothAccGyroTest.this.mPenId_result_p.setText("FAIL");
                    UISpenBluetoothAccGyroTest.this.mPenId_result_p.setTextColor(-65536);
                    UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessage(UISpenBluetoothAccGyroTest.MSG_TEST_FAIL);
                }
            } else if (msg.what == UISpenBluetoothAccGyroTest.MSG_FWVER_READ) {
                if (UISpenBluetoothAccGyroTest.this.mState == UISpenBluetoothAccGyroTest.STATE_FW) {
                    UISpenBluetoothAccGyroTest.this.readFwVer();
                }
            } else if (msg.what == UISpenBluetoothAccGyroTest.MSG_FWVER_RESULT) {
                if (UISpenBluetoothAccGyroTest.this.mState == UISpenBluetoothAccGyroTest.STATE_FW) {
                    String fwText = "0x" + String.format("%X", Integer.valueOf(UISpenBluetoothAccGyroTest.this.mFwVer));
                    UISpenBluetoothAccGyroTest.access$4584(UISpenBluetoothAccGyroTest.this, "," + fwText);
                    UISpenBluetoothAccGyroTest.this.mFWver_measure_f.setText(fwText);
                    UISpenBluetoothAccGyroTest uISpenBluetoothAccGyroTest2 = UISpenBluetoothAccGyroTest.this;
                    if (uISpenBluetoothAccGyroTest2.checkSpec((UISpenBluetoothAccGyroTest) uISpenBluetoothAccGyroTest2.mFWver_spec_Min, 9999, UISpenBluetoothAccGyroTest.this.mFwVer)) {
                        UISpenBluetoothAccGyroTest.this.mFWver_result_f.setText("PASS");
                        UISpenBluetoothAccGyroTest.this.mFWver_result_f.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                        UISpenBluetoothAccGyroTest.this.mBatt0_check_cnt = 0;
                        UISpenBluetoothAccGyroTest.this.mState = UISpenBluetoothAccGyroTest.STATE_BATTERYCHECK_0;
                        UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessage(UISpenBluetoothAccGyroTest.MSG_BATTERYLEVEL_READ);
                        return;
                    }
                    UISpenBluetoothAccGyroTest.this.mFWver_result_f.setText("FAIL");
                    UISpenBluetoothAccGyroTest.this.mFWver_result_f.setTextColor(-65536);
                    UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessage(UISpenBluetoothAccGyroTest.MSG_TEST_FAIL);
                }
            } else if (msg.what == UISpenBluetoothAccGyroTest.MSG_CHANGESLAVELATENCY_1S) {
                if (UISpenBluetoothAccGyroTest.this.mState == UISpenBluetoothAccGyroTest.STATE_SLAVELATENCY_1S) {
                    UISpenBluetoothAccGyroTest.this.changeSlaveLatency(1);
                }
            } else if (msg.what == UISpenBluetoothAccGyroTest.MSG_CHANGESLAVELATENCY_1S_RESULT) {
                UISpenBluetoothAccGyroTest.this.mState = UISpenBluetoothAccGyroTest.STATE_BATTERYCHECK_0;
                UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessage(UISpenBluetoothAccGyroTest.MSG_BATTERYLEVEL_READ);
            } else if (msg.what == UISpenBluetoothAccGyroTest.MSG_FASTDISCHARGING_START) {
                if (UISpenBluetoothAccGyroTest.this.mState == UISpenBluetoothAccGyroTest.STATE_FASTDISCHARGING) {
                    boolean result = false;
                    if (UISpenBluetoothAccGyroTest.this.mSpenBluetoothService != null && UISpenBluetoothAccGyroTest.this.mSpenBluetoothService.startFastDischarging(1)) {
                        result = true;
                    }
                    if (result) {
                        UISpenBluetoothAccGyroTest.this.mDischarge_On_result.setText("TEST");
                        UISpenBluetoothAccGyroTest.this.mDischarge_On_result.setTextColor(-16777216);
                        UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessageDelayed(UISpenBluetoothAccGyroTest.MSG_FASTDISCHARGING_END, 10000);
                        return;
                    }
                    UISpenBluetoothAccGyroTest.this.mDischarge_On_result.setText("FAIL");
                    UISpenBluetoothAccGyroTest.this.mDischarge_On_result.setTextColor(-65536);
                    UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessage(UISpenBluetoothAccGyroTest.MSG_TEST_FAIL);
                }
            } else if (msg.what == UISpenBluetoothAccGyroTest.MSG_FASTDISCHARGING_END) {
                if (UISpenBluetoothAccGyroTest.this.mState == UISpenBluetoothAccGyroTest.STATE_FASTDISCHARGING) {
                    UISpenBluetoothAccGyroTest.this.mDischarge_On_result.setText("PASS");
                    UISpenBluetoothAccGyroTest.this.mDischarge_On_result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                    if (UISpenBluetoothAccGyroTest.this.mSpenBluetoothService.startFastDischarging(0)) {
                        UISpenBluetoothAccGyroTest.this.mDischarge_Off_result.setText("PASS");
                        UISpenBluetoothAccGyroTest.this.mDischarge_Off_result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                        UISpenBluetoothAccGyroTest.this.mState = UISpenBluetoothAccGyroTest.STATE_BATTERYCHECK_34;
                        UISpenBluetoothAccGyroTest.this.mBatt34_result.setText("WAIT");
                        UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessageDelayed(UISpenBluetoothAccGyroTest.MSG_BATTERYLEVEL_READ, 10000);
                        return;
                    }
                    UISpenBluetoothAccGyroTest.this.mDischarge_Off_result.setText("FAIL");
                    UISpenBluetoothAccGyroTest.this.mDischarge_Off_result.setTextColor(-65536);
                    UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessage(UISpenBluetoothAccGyroTest.MSG_TEST_FAIL);
                }
            } else if (msg.what == UISpenBluetoothAccGyroTest.MSG_BATTERYLEVEL_READ) {
                if (UISpenBluetoothAccGyroTest.this.mState == UISpenBluetoothAccGyroTest.STATE_BATTERYCHECK_0) {
                    UISpenBluetoothAccGyroTest.this.mBatt0_result.setText("TEST");
                } else if (UISpenBluetoothAccGyroTest.this.mState == UISpenBluetoothAccGyroTest.STATE_BATTERYCHECK_1) {
                    UISpenBluetoothAccGyroTest.this.mBatt1_result.setText("TEST");
                } else if (UISpenBluetoothAccGyroTest.this.mState == UISpenBluetoothAccGyroTest.STATE_BATTERYCHECK_21) {
                    UISpenBluetoothAccGyroTest.this.mBatt21_result.setText("TEST");
                } else if (UISpenBluetoothAccGyroTest.this.mState == UISpenBluetoothAccGyroTest.STATE_BATTERYCHECK_23) {
                    UISpenBluetoothAccGyroTest.this.mBatt23_result.setText("TEST");
                } else if (UISpenBluetoothAccGyroTest.this.mState == UISpenBluetoothAccGyroTest.STATE_BATTERYCHECK_34) {
                    UISpenBluetoothAccGyroTest.this.mBatt34_result.setText("TEST");
                }
                if (UISpenBluetoothAccGyroTest.this.mSpenBluetoothService != null) {
                    UISpenBluetoothAccGyroTest.this.mSpenBluetoothService.readBatteryLevelRaw();
                }
            } else if (msg.what == UISpenBluetoothAccGyroTest.MSG_BATTERYLEVEL_RESULT) {
                if (UISpenBluetoothAccGyroTest.this.mState == UISpenBluetoothAccGyroTest.STATE_BATTERYCHECK_0) {
                    UISpenBluetoothAccGyroTest uISpenBluetoothAccGyroTest3 = UISpenBluetoothAccGyroTest.this;
                    uISpenBluetoothAccGyroTest3.mBatteryLevel0 = uISpenBluetoothAccGyroTest3.mBatteryLevel;
                    UISpenBluetoothAccGyroTest.this.mBatt0_measure.setText(String.valueOf(UISpenBluetoothAccGyroTest.this.mBatteryLevel0));
                    if (UISpenBluetoothAccGyroTest.this.mBatt0_check_cnt == 0) {
                        UISpenBluetoothAccGyroTest.access$4584(UISpenBluetoothAccGyroTest.this, "," + UISpenBluetoothAccGyroTest.this.mBatteryLevel0);
                    }
                    UISpenBluetoothAccGyroTest uISpenBluetoothAccGyroTest4 = UISpenBluetoothAccGyroTest.this;
                    if (uISpenBluetoothAccGyroTest4.checkSpec((UISpenBluetoothAccGyroTest) uISpenBluetoothAccGyroTest4.mBatt0_spec_Min, UISpenBluetoothAccGyroTest.this.mBatt0_spec_Max, UISpenBluetoothAccGyroTest.this.mBatteryLevel0)) {
                        UISpenBluetoothAccGyroTest.this.mBatt0_result.setText("PASS");
                        UISpenBluetoothAccGyroTest.this.mBatt0_result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                        UISpenBluetoothAccGyroTest uISpenBluetoothAccGyroTest5 = UISpenBluetoothAccGyroTest.this;
                        uISpenBluetoothAccGyroTest5.writeSubColorCode("E", uISpenBluetoothAccGyroTest5.mSettedColorCode);
                        UISpenBluetoothAccGyroTest.this.mState = UISpenBluetoothAccGyroTest.STATE_SUBEWRITE;
                    } else if (UISpenBluetoothAccGyroTest.this.mBatteryLevel0 >= UISpenBluetoothAccGyroTest.this.mBatt0_spec_Min || UISpenBluetoothAccGyroTest.this.mBatt0_check_cnt >= UISpenBluetoothAccGyroTest.this.mBatt0_check_max_cnt) {
                        UISpenBluetoothAccGyroTest.this.mBatt0_result.setText("FAIL");
                        UISpenBluetoothAccGyroTest.this.mBatt0_result.setTextColor(-65536);
                        UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessage(UISpenBluetoothAccGyroTest.MSG_TEST_FAIL);
                    } else {
                        UISpenBluetoothAccGyroTest.access$5608(UISpenBluetoothAccGyroTest.this);
                        UISpenBluetoothAccGyroTest.this.mBatt0_result.setText("Charging");
                        UISpenBluetoothAccGyroTest.this.mBatt0_result.setTextColor(-16711936);
                        UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessageDelayed(UISpenBluetoothAccGyroTest.MSG_BATTERYLEVEL_READ, 5000);
                    }
                } else if (UISpenBluetoothAccGyroTest.this.mState == UISpenBluetoothAccGyroTest.STATE_BATTERYCHECK_1) {
                    UISpenBluetoothAccGyroTest uISpenBluetoothAccGyroTest6 = UISpenBluetoothAccGyroTest.this;
                    uISpenBluetoothAccGyroTest6.mBatteryLevel1 = uISpenBluetoothAccGyroTest6.mBatteryLevel;
                    UISpenBluetoothAccGyroTest.this.mBatt1_measure.setText(String.valueOf(UISpenBluetoothAccGyroTest.this.mBatteryLevel1));
                    UISpenBluetoothAccGyroTest.access$4584(UISpenBluetoothAccGyroTest.this, "," + UISpenBluetoothAccGyroTest.this.mBatteryLevel1);
                    UISpenBluetoothAccGyroTest uISpenBluetoothAccGyroTest7 = UISpenBluetoothAccGyroTest.this;
                    if (uISpenBluetoothAccGyroTest7.checkSpec((UISpenBluetoothAccGyroTest) uISpenBluetoothAccGyroTest7.mBatt1_spec_Min, UISpenBluetoothAccGyroTest.this.mBatt1_spec_Max, UISpenBluetoothAccGyroTest.this.mBatteryLevel1)) {
                        UISpenBluetoothAccGyroTest.this.mBatt1_result.setText("PASS");
                        UISpenBluetoothAccGyroTest.this.mBatt1_result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                        UISpenBluetoothAccGyroTest.this.mState = UISpenBluetoothAccGyroTest.STATE_CHARGEON_1;
                        UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessage(UISpenBluetoothAccGyroTest.MSG_CHARGING_ON);
                        return;
                    }
                    UISpenBluetoothAccGyroTest.this.mBatt1_result.setText("FAIL");
                    UISpenBluetoothAccGyroTest.this.mBatt1_result.setTextColor(-65536);
                    UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessage(UISpenBluetoothAccGyroTest.MSG_TEST_FAIL);
                } else if (UISpenBluetoothAccGyroTest.this.mState == UISpenBluetoothAccGyroTest.STATE_BATTERYCHECK_21) {
                    UISpenBluetoothAccGyroTest uISpenBluetoothAccGyroTest8 = UISpenBluetoothAccGyroTest.this;
                    uISpenBluetoothAccGyroTest8.mBatteryLevel2 = uISpenBluetoothAccGyroTest8.mBatteryLevel;
                    UISpenBluetoothAccGyroTest.this.mBatt21_measure.setText(String.valueOf(UISpenBluetoothAccGyroTest.this.mBatteryLevel2 - UISpenBluetoothAccGyroTest.this.mBatteryLevel1) + "(" + String.valueOf(UISpenBluetoothAccGyroTest.this.mBatteryLevel2) + ")");
                    UISpenBluetoothAccGyroTest uISpenBluetoothAccGyroTest9 = UISpenBluetoothAccGyroTest.this;
                    StringBuilder sb = new StringBuilder();
                    sb.append(",");
                    sb.append(String.valueOf(UISpenBluetoothAccGyroTest.this.mBatteryLevel2 - UISpenBluetoothAccGyroTest.this.mBatteryLevel1));
                    UISpenBluetoothAccGyroTest.access$4584(uISpenBluetoothAccGyroTest9, sb.toString());
                    double min_a = Support.Spec.getDouble(Support.Spec.SPEN_BLE_BATT21_SPEC_MIN_FORMULA_COEFFICIENT_A);
                    double min_b = Support.Spec.getDouble(Support.Spec.SPEN_BLE_BATT21_SPEC_MIN_FORMULA_COEFFICIENT_B);
                    double min_c = Support.Spec.getDouble(Support.Spec.SPEN_BLE_BATT21_SPEC_MIN_FORMULA_COEFFICIENT_C);
                    double min_d = Support.Spec.getDouble(Support.Spec.SPEN_BLE_BATT21_SPEC_MIN_FORMULA_COEFFICIENT_D);
                    double max_a = Support.Spec.getDouble(Support.Spec.SPEN_BLE_BATT21_SPEC_MAX_FORMULA_COEFFICIENT_A);
                    double max_b = Support.Spec.getDouble(Support.Spec.SPEN_BLE_BATT21_SPEC_MAX_FORMULA_COEFFICIENT_B);
                    double max_c = Support.Spec.getDouble(Support.Spec.SPEN_BLE_BATT21_SPEC_MAX_FORMULA_COEFFICIENT_C);
                    double max_d = Support.Spec.getDouble(Support.Spec.SPEN_BLE_BATT21_SPEC_MAX_FORMULA_COEFFICIENT_D);
                    UISpenBluetoothAccGyroTest uISpenBluetoothAccGyroTest10 = UISpenBluetoothAccGyroTest.this;
                    uISpenBluetoothAccGyroTest10.mBatt21_spec_Min = (int) ((((((double) uISpenBluetoothAccGyroTest10.mBatteryLevel1) * min_b) + min_c) * min_a) + min_d);
                    if (UISpenBluetoothAccGyroTest.this.mBatt21_spec_Min < 0) {
                        UISpenBluetoothAccGyroTest.this.mBatt21_spec_Min = 0;
                    }
                    UISpenBluetoothAccGyroTest uISpenBluetoothAccGyroTest11 = UISpenBluetoothAccGyroTest.this;
                    uISpenBluetoothAccGyroTest11.mBatt21_spec_Max = (int) ((((((double) uISpenBluetoothAccGyroTest11.mBatteryLevel1) * max_b) + max_c) * max_a) + max_d);
                    UISpenBluetoothAccGyroTest.this.mBatt21_spec.setText(String.valueOf(UISpenBluetoothAccGyroTest.this.mBatt21_spec_Min) + "-" + String.valueOf(UISpenBluetoothAccGyroTest.this.mBatt21_spec_Max));
                    UISpenBluetoothAccGyroTest uISpenBluetoothAccGyroTest12 = UISpenBluetoothAccGyroTest.this;
                    if (uISpenBluetoothAccGyroTest12.checkSpec((UISpenBluetoothAccGyroTest) uISpenBluetoothAccGyroTest12.mBatt21_spec_Min, UISpenBluetoothAccGyroTest.this.mBatt21_spec_Max, UISpenBluetoothAccGyroTest.this.mBatteryLevel2 - UISpenBluetoothAccGyroTest.this.mBatteryLevel1)) {
                        UISpenBluetoothAccGyroTest.this.mBatt21_result.setText("PASS");
                        UISpenBluetoothAccGyroTest.this.mBatt21_result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                        UISpenBluetoothAccGyroTest.this.mBatt23_result.setText("WAIT");
                        UISpenBluetoothAccGyroTest.this.mBatt23_result.setTextColor(-16777216);
                        UISpenBluetoothAccGyroTest.this.mState = UISpenBluetoothAccGyroTest.STATE_BATTERYCHECK_23;
                        UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessageDelayed(UISpenBluetoothAccGyroTest.MSG_BATTERYLEVEL_READ, 0);
                        return;
                    }
                    UISpenBluetoothAccGyroTest.this.mBatt21_result.setText("FAIL");
                    UISpenBluetoothAccGyroTest.this.mBatt21_result.setTextColor(-65536);
                    UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessage(UISpenBluetoothAccGyroTest.MSG_TEST_FAIL);
                } else if (UISpenBluetoothAccGyroTest.this.mState == UISpenBluetoothAccGyroTest.STATE_BATTERYCHECK_23) {
                    UISpenBluetoothAccGyroTest uISpenBluetoothAccGyroTest13 = UISpenBluetoothAccGyroTest.this;
                    uISpenBluetoothAccGyroTest13.mBatteryLevel3 = uISpenBluetoothAccGyroTest13.mBatteryLevel;
                    UISpenBluetoothAccGyroTest.this.mBatt23_measure.setText(String.valueOf(UISpenBluetoothAccGyroTest.this.mBatteryLevel2 - UISpenBluetoothAccGyroTest.this.mBatteryLevel3) + "(" + String.valueOf(UISpenBluetoothAccGyroTest.this.mBatteryLevel3) + ")");
                    UISpenBluetoothAccGyroTest uISpenBluetoothAccGyroTest14 = UISpenBluetoothAccGyroTest.this;
                    StringBuilder sb2 = new StringBuilder();
                    sb2.append(",");
                    sb2.append(String.valueOf(UISpenBluetoothAccGyroTest.this.mBatteryLevel2 - UISpenBluetoothAccGyroTest.this.mBatteryLevel3));
                    UISpenBluetoothAccGyroTest.access$4584(uISpenBluetoothAccGyroTest14, sb2.toString());
                    UISpenBluetoothAccGyroTest uISpenBluetoothAccGyroTest15 = UISpenBluetoothAccGyroTest.this;
                    if (uISpenBluetoothAccGyroTest15.checkSpec((UISpenBluetoothAccGyroTest) uISpenBluetoothAccGyroTest15.mBatt23_spec_Min, UISpenBluetoothAccGyroTest.this.mBatt23_spec_Max, UISpenBluetoothAccGyroTest.this.mBatteryLevel2 - UISpenBluetoothAccGyroTest.this.mBatteryLevel3)) {
                        UISpenBluetoothAccGyroTest.this.mBatt23_result.setText("PASS");
                        UISpenBluetoothAccGyroTest.this.mBatt23_result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                        UISpenBluetoothAccGyroTest.this.mState = UISpenBluetoothAccGyroTest.STATE_FASTDISCHARGING;
                        UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessageDelayed(UISpenBluetoothAccGyroTest.MSG_FASTDISCHARGING_START, 500);
                        return;
                    }
                    UISpenBluetoothAccGyroTest.this.mBatt23_result.setText("FAIL");
                    UISpenBluetoothAccGyroTest.this.mBatt23_result.setTextColor(-65536);
                    UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessage(UISpenBluetoothAccGyroTest.MSG_TEST_FAIL);
                } else if (UISpenBluetoothAccGyroTest.this.mState == UISpenBluetoothAccGyroTest.STATE_BATTERYCHECK_34) {
                    UISpenBluetoothAccGyroTest uISpenBluetoothAccGyroTest16 = UISpenBluetoothAccGyroTest.this;
                    uISpenBluetoothAccGyroTest16.mBatteryLevel4 = uISpenBluetoothAccGyroTest16.mBatteryLevel;
                    UISpenBluetoothAccGyroTest.this.mBatt34_measure.setText(String.valueOf(UISpenBluetoothAccGyroTest.this.mBatteryLevel3 - UISpenBluetoothAccGyroTest.this.mBatteryLevel4) + "(" + String.valueOf(UISpenBluetoothAccGyroTest.this.mBatteryLevel4) + ")");
                    UISpenBluetoothAccGyroTest uISpenBluetoothAccGyroTest17 = UISpenBluetoothAccGyroTest.this;
                    StringBuilder sb3 = new StringBuilder();
                    sb3.append(",");
                    sb3.append(String.valueOf(UISpenBluetoothAccGyroTest.this.mBatteryLevel3 - UISpenBluetoothAccGyroTest.this.mBatteryLevel4));
                    UISpenBluetoothAccGyroTest.access$4584(uISpenBluetoothAccGyroTest17, sb3.toString());
                    if (Support.Feature.getBoolean(Support.Feature.SUPPORT_SPEN_BLE_BATT34_DYNAMIC_SPEC, true)) {
                        double min_a2 = Support.Spec.getDouble(Support.Spec.SPEN_BLE_BATT34_SPEC_MIN_FORMULA_COEFFICIENT_A);
                        double min_b2 = Support.Spec.getDouble(Support.Spec.SPEN_BLE_BATT34_SPEC_MIN_FORMULA_COEFFICIENT_B);
                        double min_c2 = Support.Spec.getDouble(Support.Spec.SPEN_BLE_BATT34_SPEC_MIN_FORMULA_COEFFICIENT_C);
                        double min_d2 = Support.Spec.getDouble(Support.Spec.SPEN_BLE_BATT34_SPEC_MIN_FORMULA_COEFFICIENT_D);
                        double max_a2 = Support.Spec.getDouble(Support.Spec.SPEN_BLE_BATT34_SPEC_MAX_FORMULA_COEFFICIENT_A);
                        double max_b2 = Support.Spec.getDouble(Support.Spec.SPEN_BLE_BATT34_SPEC_MAX_FORMULA_COEFFICIENT_B);
                        double max_c2 = Support.Spec.getDouble(Support.Spec.SPEN_BLE_BATT34_SPEC_MAX_FORMULA_COEFFICIENT_C);
                        double max_d2 = Support.Spec.getDouble(Support.Spec.SPEN_BLE_BATT34_SPEC_MAX_FORMULA_COEFFICIENT_D);
                        UISpenBluetoothAccGyroTest uISpenBluetoothAccGyroTest18 = UISpenBluetoothAccGyroTest.this;
                        uISpenBluetoothAccGyroTest18.mBatt34_spec_Min = (int) ((((((double) uISpenBluetoothAccGyroTest18.mBatteryLevel3) * min_b2) + min_c2) * min_a2) + min_d2);
                        if (UISpenBluetoothAccGyroTest.this.mBatt34_spec_Min < 0) {
                            UISpenBluetoothAccGyroTest.this.mBatt34_spec_Min = 0;
                        }
                        UISpenBluetoothAccGyroTest uISpenBluetoothAccGyroTest19 = UISpenBluetoothAccGyroTest.this;
                        uISpenBluetoothAccGyroTest19.mBatt34_spec_Max = (int) ((((((double) uISpenBluetoothAccGyroTest19.mBatteryLevel3) * max_b2) + max_c2) * max_a2) + max_d2);
                        UISpenBluetoothAccGyroTest.this.mBatt34_spec.setText(String.valueOf(UISpenBluetoothAccGyroTest.this.mBatt34_spec_Min) + "-" + String.valueOf(UISpenBluetoothAccGyroTest.this.mBatt34_spec_Max));
                    }
                    UISpenBluetoothAccGyroTest uISpenBluetoothAccGyroTest20 = UISpenBluetoothAccGyroTest.this;
                    if (uISpenBluetoothAccGyroTest20.checkSpec((UISpenBluetoothAccGyroTest) uISpenBluetoothAccGyroTest20.mBatt34_spec_Min, UISpenBluetoothAccGyroTest.this.mBatt34_spec_Max, UISpenBluetoothAccGyroTest.this.mBatteryLevel3 - UISpenBluetoothAccGyroTest.this.mBatteryLevel4)) {
                        UISpenBluetoothAccGyroTest.this.mBatt34_result.setText("PASS");
                        UISpenBluetoothAccGyroTest.this.mBatt34_result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                        UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessage(UISpenBluetoothAccGyroTest.MSG_DELAY_BEFORE_FUNCTION_TEST);
                        return;
                    }
                    UISpenBluetoothAccGyroTest.this.mBatt34_result.setText("FAIL");
                    UISpenBluetoothAccGyroTest.this.mBatt34_result.setTextColor(-65536);
                    UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessage(UISpenBluetoothAccGyroTest.MSG_TEST_FAIL);
                }
            } else if (msg.what != UISpenBluetoothAccGyroTest.MSG_SUBEWRITE_RESULT) {
                if (msg.what == UISpenBluetoothAccGyroTest.MSG_CHARGING_ON) {
                    if (Support.Feature.getInt(Support.Feature.SPEN_BLE_CHARGE_VER) != 2) {
                        res = UISpenBluetoothAccGyroTest.this.setSpenChargeMode(EgisFingerprint.MAJOR_VERSION);
                    } else if (UISpenBluetoothAccGyroTest.this.mState == UISpenBluetoothAccGyroTest.STATE_CHARGEON_0) {
                        res = UISpenBluetoothAccGyroTest.this.setSpenChargeMode(EgisFingerprint.MAJOR_VERSION);
                        if (res) {
                            res = UISpenBluetoothAccGyroTest.this.setSpenChargeMode("4");
                        }
                    } else {
                        res = UISpenBluetoothAccGyroTest.this.setSpenChargeMode("2");
                    }
                    if (!res) {
                        if (UISpenBluetoothAccGyroTest.this.mState != UISpenBluetoothAccGyroTest.STATE_CHARGEON_0 && UISpenBluetoothAccGyroTest.this.mState == UISpenBluetoothAccGyroTest.STATE_CHARGEON_1) {
                            UISpenBluetoothAccGyroTest.this.mChargeOn_result_1.setText("FAIL");
                            UISpenBluetoothAccGyroTest.this.mChargeOn_result_1.setTextColor(-65536);
                        }
                        UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessage(UISpenBluetoothAccGyroTest.MSG_TEST_FAIL);
                    } else if (UISpenBluetoothAccGyroTest.this.mState == UISpenBluetoothAccGyroTest.STATE_CHARGEON_0) {
                        UISpenBluetoothAccGyroTest.this.mState = UISpenBluetoothAccGyroTest.STATE_PAIRING;
                        UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessage(UISpenBluetoothAccGyroTest.MSG_PAIRING_START);
                    } else if (UISpenBluetoothAccGyroTest.this.mState == UISpenBluetoothAccGyroTest.STATE_CHARGEON_1) {
                        UISpenBluetoothAccGyroTest.this.mChargeOn_result_1.setText("TEST");
                        UISpenBluetoothAccGyroTest.this.mChargeOn_result_1.setTextColor(-16777216);
                        UISpenBluetoothAccGyroTest.this.mState = UISpenBluetoothAccGyroTest.STATE_CHARGEOFF_1;
                        UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessageDelayed(UISpenBluetoothAccGyroTest.MSG_CHARGING_OFF, 30000);
                    }
                } else {
                    String str = "0";
                    if (msg.what == UISpenBluetoothAccGyroTest.MSG_CHARGING_OFF) {
                        if (UISpenBluetoothAccGyroTest.this.mState == UISpenBluetoothAccGyroTest.STATE_CHARGEOFF_1) {
                            UISpenBluetoothAccGyroTest.this.mChargeOn_result_1.setText("PASS");
                            UISpenBluetoothAccGyroTest.this.mChargeOn_result_1.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                        }
                        if (UISpenBluetoothAccGyroTest.this.setSpenChargeMode(str)) {
                            if (UISpenBluetoothAccGyroTest.this.mState == UISpenBluetoothAccGyroTest.STATE_CHARGEOFF_0) {
                                UISpenBluetoothAccGyroTest.this.mChargeOff_result_0.setText("PASS");
                                UISpenBluetoothAccGyroTest.this.mChargeOff_result_0.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                                UISpenBluetoothAccGyroTest.this.mState = UISpenBluetoothAccGyroTest.STATE_BATTERYCHECK_1;
                            } else if (UISpenBluetoothAccGyroTest.this.mState == UISpenBluetoothAccGyroTest.STATE_CHARGEOFF_1) {
                                UISpenBluetoothAccGyroTest.this.mChargeOff_result_1.setText("PASS");
                                UISpenBluetoothAccGyroTest.this.mChargeOff_result_1.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                                UISpenBluetoothAccGyroTest.this.mState = UISpenBluetoothAccGyroTest.STATE_BATTERYCHECK_21;
                            }
                            UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessageDelayed(UISpenBluetoothAccGyroTest.MSG_BATTERYLEVEL_READ, 2000);
                            return;
                        }
                        if (UISpenBluetoothAccGyroTest.this.mState == UISpenBluetoothAccGyroTest.STATE_CHARGEOFF_0) {
                            UISpenBluetoothAccGyroTest.this.mChargeOff_result_0.setText("FAIL");
                            UISpenBluetoothAccGyroTest.this.mChargeOff_result_0.setTextColor(-65536);
                        } else if (UISpenBluetoothAccGyroTest.this.mState == UISpenBluetoothAccGyroTest.STATE_CHARGEOFF_1) {
                            UISpenBluetoothAccGyroTest.this.mChargeOff_result_1.setText("FAIL");
                            UISpenBluetoothAccGyroTest.this.mChargeOff_result_1.setTextColor(-65536);
                        }
                        UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessage(UISpenBluetoothAccGyroTest.MSG_TEST_FAIL);
                    } else if (msg.what == UISpenBluetoothAccGyroTest.MSG_DELAY_BEFORE_FUNCTION_TEST) {
                        UISpenBluetoothAccGyroTest.this.mAccGyro_result_f.setText("TEST");
                        UISpenBluetoothAccGyroTest.this.mAccGyro_result_f.setTextColor(-16777216);
                        UISpenBluetoothAccGyroTest.this.mButtonDetails.setVisibility(0);
                        UISpenBluetoothAccGyroTest.this.mState = UISpenBluetoothAccGyroTest.STATE_GEOGYRO_SELFTEST_DATA;
                        UISpenBluetoothAccGyroTest.this.setGeoGyroSelfTestDataNotification(true);
                    } else if (msg.what == UISpenBluetoothAccGyroTest.MSG_GEOGYROSELFTEST_READ_RESULT) {
                        if (UISpenBluetoothAccGyroTest.this.mState == UISpenBluetoothAccGyroTest.STATE_GEOGYRO_SELFTEST_DATA) {
                            String[] accGyroSelftestData = UISpenBluetoothAccGyroTest.this.mAccGyroSelftestData.split(",");
                            StringBuilder stringBuilder = new StringBuilder();
                            for (int i = 0; i <= 21; i++) {
                                stringBuilder.append("," + accGyroSelftestData[i]);
                            }
                            UISpenBluetoothAccGyroTest.access$4584(UISpenBluetoothAccGyroTest.this, stringBuilder.toString());
                            UISpenBluetoothAccGyroTest.this.mFunc_acc_raw_result.setText(accGyroSelftestData[0] + "," + accGyroSelftestData[1] + "," + accGyroSelftestData[2]);
                            UISpenBluetoothAccGyroTest.this.mFunc_acc_vector_sum_measure.setText(accGyroSelftestData[3]);
                            UISpenBluetoothAccGyroTest uISpenBluetoothAccGyroTest21 = UISpenBluetoothAccGyroTest.this;
                            if (uISpenBluetoothAccGyroTest21.checkSpec((UISpenBluetoothAccGyroTest) uISpenBluetoothAccGyroTest21.mACC_vector_sum_Min, UISpenBluetoothAccGyroTest.this.mACC_vector_sum_Max, Double.parseDouble(accGyroSelftestData[3]))) {
                                UISpenBluetoothAccGyroTest.this.mFunc_acc_vector_sum_result.setText("PASS");
                                UISpenBluetoothAccGyroTest.this.mFunc_acc_vector_sum_result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                            } else {
                                UISpenBluetoothAccGyroTest.this.mFunc_acc_vector_sum_result.setText("FAIL");
                                UISpenBluetoothAccGyroTest.this.mFunc_acc_vector_sum_result.setTextColor(-65536);
                                UISpenBluetoothAccGyroTest.this.mIsAccGyroPass = false;
                            }
                            UISpenBluetoothAccGyroTest.this.mFunc_acc_self_p_x_measure.setText(accGyroSelftestData[4]);
                            UISpenBluetoothAccGyroTest uISpenBluetoothAccGyroTest22 = UISpenBluetoothAccGyroTest.this;
                            if (uISpenBluetoothAccGyroTest22.checkSpec((UISpenBluetoothAccGyroTest) uISpenBluetoothAccGyroTest22.mACC_self_p_x_Min, UISpenBluetoothAccGyroTest.this.mACC_self_p_x_Max, Integer.parseInt(accGyroSelftestData[4]))) {
                                UISpenBluetoothAccGyroTest.this.mFunc_acc_self_p_x_result.setText("PASS");
                                UISpenBluetoothAccGyroTest.this.mFunc_acc_self_p_x_result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                            } else {
                                UISpenBluetoothAccGyroTest.this.mFunc_acc_self_p_x_result.setText("FAIL");
                                UISpenBluetoothAccGyroTest.this.mFunc_acc_self_p_x_result.setTextColor(-65536);
                                UISpenBluetoothAccGyroTest.this.mIsAccGyroPass = false;
                            }
                            UISpenBluetoothAccGyroTest.this.mFunc_acc_self_p_y_measure.setText(accGyroSelftestData[5]);
                            UISpenBluetoothAccGyroTest uISpenBluetoothAccGyroTest23 = UISpenBluetoothAccGyroTest.this;
                            if (uISpenBluetoothAccGyroTest23.checkSpec((UISpenBluetoothAccGyroTest) uISpenBluetoothAccGyroTest23.mACC_self_p_y_Min, UISpenBluetoothAccGyroTest.this.mACC_self_p_y_Max, Integer.parseInt(accGyroSelftestData[5]))) {
                                UISpenBluetoothAccGyroTest.this.mFunc_acc_self_p_y_result.setText("PASS");
                                UISpenBluetoothAccGyroTest.this.mFunc_acc_self_p_y_result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                            } else {
                                UISpenBluetoothAccGyroTest.this.mFunc_acc_self_p_y_result.setText("FAIL");
                                UISpenBluetoothAccGyroTest.this.mFunc_acc_self_p_y_result.setTextColor(-65536);
                                UISpenBluetoothAccGyroTest.this.mIsAccGyroPass = false;
                            }
                            UISpenBluetoothAccGyroTest.this.mFunc_acc_self_p_z_measure.setText(accGyroSelftestData[6]);
                            UISpenBluetoothAccGyroTest uISpenBluetoothAccGyroTest24 = UISpenBluetoothAccGyroTest.this;
                            if (uISpenBluetoothAccGyroTest24.checkSpec((UISpenBluetoothAccGyroTest) uISpenBluetoothAccGyroTest24.mACC_self_p_z_Min, UISpenBluetoothAccGyroTest.this.mACC_self_p_z_Max, Integer.parseInt(accGyroSelftestData[6]))) {
                                UISpenBluetoothAccGyroTest.this.mFunc_acc_self_p_z_result.setText("PASS");
                                UISpenBluetoothAccGyroTest.this.mFunc_acc_self_p_z_result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                            } else {
                                UISpenBluetoothAccGyroTest.this.mFunc_acc_self_p_z_result.setText("FAIL");
                                UISpenBluetoothAccGyroTest.this.mFunc_acc_self_p_z_result.setTextColor(-65536);
                                UISpenBluetoothAccGyroTest.this.mIsAccGyroPass = false;
                            }
                            UISpenBluetoothAccGyroTest.this.mFunc_acc_self_m_x_measure.setText(accGyroSelftestData[7]);
                            UISpenBluetoothAccGyroTest uISpenBluetoothAccGyroTest25 = UISpenBluetoothAccGyroTest.this;
                            if (uISpenBluetoothAccGyroTest25.checkSpec((UISpenBluetoothAccGyroTest) uISpenBluetoothAccGyroTest25.mACC_self_m_x_Min, UISpenBluetoothAccGyroTest.this.mACC_self_m_x_Max, Integer.parseInt(accGyroSelftestData[7]))) {
                                UISpenBluetoothAccGyroTest.this.mFunc_acc_self_m_x_result.setText("PASS");
                                UISpenBluetoothAccGyroTest.this.mFunc_acc_self_m_x_result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                            } else {
                                UISpenBluetoothAccGyroTest.this.mFunc_acc_self_m_x_result.setText("FAIL");
                                UISpenBluetoothAccGyroTest.this.mFunc_acc_self_m_x_result.setTextColor(-65536);
                                UISpenBluetoothAccGyroTest.this.mIsAccGyroPass = false;
                            }
                            UISpenBluetoothAccGyroTest.this.mFunc_acc_self_m_y_measure.setText(accGyroSelftestData[8]);
                            UISpenBluetoothAccGyroTest uISpenBluetoothAccGyroTest26 = UISpenBluetoothAccGyroTest.this;
                            if (uISpenBluetoothAccGyroTest26.checkSpec((UISpenBluetoothAccGyroTest) uISpenBluetoothAccGyroTest26.mACC_self_m_y_Min, UISpenBluetoothAccGyroTest.this.mACC_self_m_y_Max, Integer.parseInt(accGyroSelftestData[8]))) {
                                UISpenBluetoothAccGyroTest.this.mFunc_acc_self_m_y_result.setText("PASS");
                                UISpenBluetoothAccGyroTest.this.mFunc_acc_self_m_y_result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                            } else {
                                UISpenBluetoothAccGyroTest.this.mFunc_acc_self_m_y_result.setText("FAIL");
                                UISpenBluetoothAccGyroTest.this.mFunc_acc_self_m_y_result.setTextColor(-65536);
                                UISpenBluetoothAccGyroTest.this.mIsAccGyroPass = false;
                            }
                            UISpenBluetoothAccGyroTest.this.mFunc_acc_self_m_z_measure.setText(accGyroSelftestData[9]);
                            UISpenBluetoothAccGyroTest uISpenBluetoothAccGyroTest27 = UISpenBluetoothAccGyroTest.this;
                            if (uISpenBluetoothAccGyroTest27.checkSpec((UISpenBluetoothAccGyroTest) uISpenBluetoothAccGyroTest27.mACC_self_m_z_Min, UISpenBluetoothAccGyroTest.this.mACC_self_m_z_Max, Integer.parseInt(accGyroSelftestData[9]))) {
                                UISpenBluetoothAccGyroTest.this.mFunc_acc_self_m_z_result.setText("PASS");
                                UISpenBluetoothAccGyroTest.this.mFunc_acc_self_m_z_result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                            } else {
                                UISpenBluetoothAccGyroTest.this.mFunc_acc_self_m_z_result.setText("FAIL");
                                UISpenBluetoothAccGyroTest.this.mFunc_acc_self_m_z_result.setTextColor(-65536);
                                UISpenBluetoothAccGyroTest.this.mIsAccGyroPass = false;
                            }
                            UISpenBluetoothAccGyroTest.this.mFunc_gyro_zro_avg_x_measure.setText(accGyroSelftestData[10]);
                            UISpenBluetoothAccGyroTest uISpenBluetoothAccGyroTest28 = UISpenBluetoothAccGyroTest.this;
                            if (uISpenBluetoothAccGyroTest28.checkSpec((UISpenBluetoothAccGyroTest) uISpenBluetoothAccGyroTest28.mGyro_zro_avg_x_Min, UISpenBluetoothAccGyroTest.this.mGyro_zro_avg_x_Max, Integer.parseInt(accGyroSelftestData[10]))) {
                                UISpenBluetoothAccGyroTest.this.mFunc_gyro_zro_avg_x_result.setText("PASS");
                                UISpenBluetoothAccGyroTest.this.mFunc_gyro_zro_avg_x_result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                            } else {
                                UISpenBluetoothAccGyroTest.this.mFunc_gyro_zro_avg_x_result.setText("FAIL");
                                UISpenBluetoothAccGyroTest.this.mFunc_gyro_zro_avg_x_result.setTextColor(-65536);
                                UISpenBluetoothAccGyroTest.this.mIsAccGyroPass = false;
                            }
                            UISpenBluetoothAccGyroTest.this.mFunc_gyro_zro_avg_y_measure.setText(accGyroSelftestData[11]);
                            UISpenBluetoothAccGyroTest uISpenBluetoothAccGyroTest29 = UISpenBluetoothAccGyroTest.this;
                            if (uISpenBluetoothAccGyroTest29.checkSpec((UISpenBluetoothAccGyroTest) uISpenBluetoothAccGyroTest29.mGyro_zro_avg_y_Min, UISpenBluetoothAccGyroTest.this.mGyro_zro_avg_y_Max, Integer.parseInt(accGyroSelftestData[11]))) {
                                UISpenBluetoothAccGyroTest.this.mFunc_gyro_zro_avg_y_result.setText("PASS");
                                UISpenBluetoothAccGyroTest.this.mFunc_gyro_zro_avg_y_result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                            } else {
                                UISpenBluetoothAccGyroTest.this.mFunc_gyro_zro_avg_y_result.setText("FAIL");
                                UISpenBluetoothAccGyroTest.this.mFunc_gyro_zro_avg_y_result.setTextColor(-65536);
                                UISpenBluetoothAccGyroTest.this.mIsAccGyroPass = false;
                            }
                            UISpenBluetoothAccGyroTest.this.mFunc_gyro_zro_avg_z_measure.setText(accGyroSelftestData[12]);
                            UISpenBluetoothAccGyroTest uISpenBluetoothAccGyroTest30 = UISpenBluetoothAccGyroTest.this;
                            if (uISpenBluetoothAccGyroTest30.checkSpec((UISpenBluetoothAccGyroTest) uISpenBluetoothAccGyroTest30.mGyro_zro_avg_z_Min, UISpenBluetoothAccGyroTest.this.mGyro_zro_avg_z_Max, Integer.parseInt(accGyroSelftestData[12]))) {
                                UISpenBluetoothAccGyroTest.this.mFunc_gyro_zro_avg_z_result.setText("PASS");
                                UISpenBluetoothAccGyroTest.this.mFunc_gyro_zro_avg_z_result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                            } else {
                                UISpenBluetoothAccGyroTest.this.mFunc_gyro_zro_avg_z_result.setText("FAIL");
                                UISpenBluetoothAccGyroTest.this.mFunc_gyro_zro_avg_z_result.setTextColor(-65536);
                                UISpenBluetoothAccGyroTest.this.mIsAccGyroPass = false;
                            }
                            UISpenBluetoothAccGyroTest.this.mFunc_gyro_self_x_measure.setText(accGyroSelftestData[13]);
                            UISpenBluetoothAccGyroTest uISpenBluetoothAccGyroTest31 = UISpenBluetoothAccGyroTest.this;
                            if (uISpenBluetoothAccGyroTest31.checkSpec((UISpenBluetoothAccGyroTest) uISpenBluetoothAccGyroTest31.mGyro_self_x_Min, UISpenBluetoothAccGyroTest.this.mGyro_self_x_Max, Integer.parseInt(accGyroSelftestData[13]))) {
                                UISpenBluetoothAccGyroTest.this.mFunc_gyro_self_x_result.setText("PASS");
                                UISpenBluetoothAccGyroTest.this.mFunc_gyro_self_x_result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                            } else {
                                UISpenBluetoothAccGyroTest.this.mFunc_gyro_self_x_result.setText("FAIL");
                                UISpenBluetoothAccGyroTest.this.mFunc_gyro_self_x_result.setTextColor(-65536);
                                UISpenBluetoothAccGyroTest.this.mIsAccGyroPass = false;
                            }
                            UISpenBluetoothAccGyroTest.this.mFunc_gyro_self_y_measure.setText(accGyroSelftestData[14]);
                            UISpenBluetoothAccGyroTest uISpenBluetoothAccGyroTest32 = UISpenBluetoothAccGyroTest.this;
                            if (uISpenBluetoothAccGyroTest32.checkSpec((UISpenBluetoothAccGyroTest) uISpenBluetoothAccGyroTest32.mGyro_self_y_Min, UISpenBluetoothAccGyroTest.this.mGyro_self_y_Max, Integer.parseInt(accGyroSelftestData[14]))) {
                                UISpenBluetoothAccGyroTest.this.mFunc_gyro_self_y_result.setText("PASS");
                                UISpenBluetoothAccGyroTest.this.mFunc_gyro_self_y_result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                            } else {
                                UISpenBluetoothAccGyroTest.this.mFunc_gyro_self_y_result.setText("FAIL");
                                UISpenBluetoothAccGyroTest.this.mFunc_gyro_self_y_result.setTextColor(-65536);
                                UISpenBluetoothAccGyroTest.this.mIsAccGyroPass = false;
                            }
                            UISpenBluetoothAccGyroTest.this.mFunc_gyro_self_z_measure.setText(accGyroSelftestData[15]);
                            UISpenBluetoothAccGyroTest uISpenBluetoothAccGyroTest33 = UISpenBluetoothAccGyroTest.this;
                            if (uISpenBluetoothAccGyroTest33.checkSpec((UISpenBluetoothAccGyroTest) uISpenBluetoothAccGyroTest33.mGyro_self_z_Min, UISpenBluetoothAccGyroTest.this.mGyro_self_z_Max, Integer.parseInt(accGyroSelftestData[15]))) {
                                UISpenBluetoothAccGyroTest.this.mFunc_gyro_self_z_result.setText("PASS");
                                UISpenBluetoothAccGyroTest.this.mFunc_gyro_self_z_result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                            } else {
                                UISpenBluetoothAccGyroTest.this.mFunc_gyro_self_z_result.setText("FAIL");
                                UISpenBluetoothAccGyroTest.this.mFunc_gyro_self_z_result.setTextColor(-65536);
                                UISpenBluetoothAccGyroTest.this.mIsAccGyroPass = false;
                            }
                            UISpenBluetoothAccGyroTest.this.mFunc_gyro_self_bias_result.setText(accGyroSelftestData[16] + "," + accGyroSelftestData[17] + "," + accGyroSelftestData[18]);
                            UISpenBluetoothAccGyroTest.this.mFunc_gyro_self_diff_x_measure.setText(accGyroSelftestData[19]);
                            UISpenBluetoothAccGyroTest uISpenBluetoothAccGyroTest34 = UISpenBluetoothAccGyroTest.this;
                            if (uISpenBluetoothAccGyroTest34.checkSpec((UISpenBluetoothAccGyroTest) uISpenBluetoothAccGyroTest34.mGyro_self_diff_x_Min, UISpenBluetoothAccGyroTest.this.mGyro_self_diff_x_Max, Integer.parseInt(accGyroSelftestData[19]))) {
                                UISpenBluetoothAccGyroTest.this.mFunc_gyro_self_diff_x_result.setText("PASS");
                                UISpenBluetoothAccGyroTest.this.mFunc_gyro_self_diff_x_result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                            } else {
                                UISpenBluetoothAccGyroTest.this.mFunc_gyro_self_diff_x_result.setText("FAIL");
                                UISpenBluetoothAccGyroTest.this.mFunc_gyro_self_diff_x_result.setTextColor(-65536);
                                UISpenBluetoothAccGyroTest.this.mIsAccGyroPass = false;
                            }
                            UISpenBluetoothAccGyroTest.this.mFunc_gyro_self_diff_y_measure.setText(accGyroSelftestData[20]);
                            UISpenBluetoothAccGyroTest uISpenBluetoothAccGyroTest35 = UISpenBluetoothAccGyroTest.this;
                            if (uISpenBluetoothAccGyroTest35.checkSpec((UISpenBluetoothAccGyroTest) uISpenBluetoothAccGyroTest35.mGyro_self_diff_y_Min, UISpenBluetoothAccGyroTest.this.mGyro_self_diff_y_Max, Integer.parseInt(accGyroSelftestData[20]))) {
                                UISpenBluetoothAccGyroTest.this.mFunc_gyro_self_diff_y_result.setText("PASS");
                                UISpenBluetoothAccGyroTest.this.mFunc_gyro_self_diff_y_result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                            } else {
                                UISpenBluetoothAccGyroTest.this.mFunc_gyro_self_diff_y_result.setText("FAIL");
                                UISpenBluetoothAccGyroTest.this.mFunc_gyro_self_diff_y_result.setTextColor(-65536);
                                UISpenBluetoothAccGyroTest.this.mIsAccGyroPass = false;
                            }
                            UISpenBluetoothAccGyroTest.this.mFunc_gyro_self_diff_z_measure.setText(accGyroSelftestData[21]);
                            UISpenBluetoothAccGyroTest uISpenBluetoothAccGyroTest36 = UISpenBluetoothAccGyroTest.this;
                            if (uISpenBluetoothAccGyroTest36.checkSpec((UISpenBluetoothAccGyroTest) uISpenBluetoothAccGyroTest36.mGyro_self_diff_z_Min, UISpenBluetoothAccGyroTest.this.mGyro_self_diff_z_Max, Integer.parseInt(accGyroSelftestData[21]))) {
                                UISpenBluetoothAccGyroTest.this.mFunc_gyro_self_diff_z_result.setText("PASS");
                                UISpenBluetoothAccGyroTest.this.mFunc_gyro_self_diff_z_result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                                z3 = false;
                            } else {
                                UISpenBluetoothAccGyroTest.this.mFunc_gyro_self_diff_z_result.setText("FAIL");
                                UISpenBluetoothAccGyroTest.this.mFunc_gyro_self_diff_z_result.setTextColor(-65536);
                                z3 = false;
                                UISpenBluetoothAccGyroTest.this.mIsAccGyroPass = false;
                            }
                            UISpenBluetoothAccGyroTest.this.setGeoGyroSelfTestDataNotification(z3);
                            FtUtil.Sleep.sleep(1500);
                            UISpenBluetoothAccGyroTest.this.mState = UISpenBluetoothAccGyroTest.STATE_GEOGYRO_RAW_DATA_DELAY;
                            UISpenBluetoothAccGyroTest.this.setGeoGyroRawDataNotification(true);
                        }
                    } else if (msg.what == UISpenBluetoothAccGyroTest.MSG_GEOGYRORAW_READ_DELAY) {
                        if (UISpenBluetoothAccGyroTest.this.mState == UISpenBluetoothAccGyroTest.STATE_GEOGYRO_RAW_DATA_DELAY) {
                            if (!UISpenBluetoothAccGyroTest.this.mSpenBluetoothService.accGyroRawData(true)) {
                                UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessage(UISpenBluetoothAccGyroTest.MSG_TEST_FAIL);
                            }
                        } else if (UISpenBluetoothAccGyroTest.this.mState == UISpenBluetoothAccGyroTest.STATE_GEOGYRO_RAWDATA_FINISH) {
                            UISpenBluetoothAccGyroTest.this.mState = UISpenBluetoothAccGyroTest.STATE_GEOGYRO_GRAVITY_BLOCK_CHECK_DATA;
                            FtUtil.log_d(UISpenBluetoothAccGyroTest.CLASS_NAME, "handleMessage", "mFwVer:" + UISpenBluetoothAccGyroTest.this.mFwVer + " mGB_Check_FWver_spec_Min:" + UISpenBluetoothAccGyroTest.this.mGB_Check_FWver_spec_Min);
                            if (UISpenBluetoothAccGyroTest.this.mFwVer >= UISpenBluetoothAccGyroTest.this.mGB_Check_FWver_spec_Min) {
                                UISpenBluetoothAccGyroTest.this.setGeoGyroGravityBlockCheckDataNotification(true);
                            } else {
                                UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessage(UISpenBluetoothAccGyroTest.MSG_GEOGYRO_GRAVITY_BLOCK_CHECK_DATA_RESULT);
                            }
                        }
                    } else if (msg.what == UISpenBluetoothAccGyroTest.MSG_GEOGYRORAW_READ_READY) {
                        UISpenBluetoothAccGyroTest.this.mState = UISpenBluetoothAccGyroTest.STATE_GEOGYRO_RAW_DATA;
                    } else if (msg.what == UISpenBluetoothAccGyroTest.MSG_GEOGYRORAW_READ_RESULT) {
                        if (UISpenBluetoothAccGyroTest.this.mState == UISpenBluetoothAccGyroTest.STATE_GEOGYRO_RAW_DATA) {
                            UISpenBluetoothAccGyroTest.this.mState = UISpenBluetoothAccGyroTest.STATE_GEOGYRO_RAWDATA_FINISH;
                            String[] accGyroRawData = UISpenBluetoothAccGyroTest.this.mAccGyroRawData.split("_");
                            String mAccRawResult = accGyroRawData[0];
                            String mAccVectorSum = accGyroRawData[1];
                            FtUtil.log_d(UISpenBluetoothAccGyroTest.CLASS_NAME, "handleMessage", "mAccRawResult:" + mAccRawResult + " mAccVectorSum:" + mAccVectorSum);
                            UISpenBluetoothAccGyroTest.this.mFunc_acc_raw_gb_result.setText(mAccRawResult);
                            UISpenBluetoothAccGyroTest.this.mFunc_acc_vector_sum_gb_measure.setText(mAccVectorSum);
                            UISpenBluetoothAccGyroTest.access$4584(UISpenBluetoothAccGyroTest.this, "," + mAccRawResult + "," + mAccVectorSum);
                            UISpenBluetoothAccGyroTest uISpenBluetoothAccGyroTest37 = UISpenBluetoothAccGyroTest.this;
                            if (uISpenBluetoothAccGyroTest37.checkSpec((UISpenBluetoothAccGyroTest) uISpenBluetoothAccGyroTest37.mACC_vector_sum_Min, UISpenBluetoothAccGyroTest.this.mACC_vector_sum_Max, Double.parseDouble(mAccVectorSum))) {
                                UISpenBluetoothAccGyroTest.this.mFunc_acc_vector_sum_gb_result.setText("PASS");
                                UISpenBluetoothAccGyroTest.this.mFunc_acc_vector_sum_gb_result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                                z2 = false;
                            } else {
                                UISpenBluetoothAccGyroTest.this.mFunc_acc_vector_sum_gb_result.setText("FAIL");
                                UISpenBluetoothAccGyroTest.this.mFunc_acc_vector_sum_gb_result.setTextColor(-65536);
                                z2 = false;
                                UISpenBluetoothAccGyroTest.this.mIsAccGyroPass = false;
                            }
                            if (!UISpenBluetoothAccGyroTest.this.mSpenBluetoothService.accGyroRawData(z2)) {
                                UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessage(UISpenBluetoothAccGyroTest.MSG_TEST_FAIL);
                            }
                        }
                    } else if (msg.what == UISpenBluetoothAccGyroTest.MSG_MODE_WRITE_SUCCESS) {
                        if (UISpenBluetoothAccGyroTest.this.mState == UISpenBluetoothAccGyroTest.STATE_GEOGYRO_RAW_DATA_DELAY) {
                            UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessageDelayed(UISpenBluetoothAccGyroTest.MSG_GEOGYRORAW_READ_READY, 2000);
                        }
                        if (UISpenBluetoothAccGyroTest.this.mState == UISpenBluetoothAccGyroTest.STATE_GEOGYRO_RAWDATA_FINISH) {
                            UISpenBluetoothAccGyroTest.this.setGeoGyroRawDataNotification(false);
                            UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessageDelayed(UISpenBluetoothAccGyroTest.MSG_GEOGYRORAW_READ_DELAY, 1500);
                        }
                    } else if (msg.what == UISpenBluetoothAccGyroTest.MSG_GEOGYRO_GRAVITY_BLOCK_CHECK_DATA_RESULT) {
                        if (UISpenBluetoothAccGyroTest.this.mState == UISpenBluetoothAccGyroTest.STATE_GEOGYRO_GRAVITY_BLOCK_CHECK_DATA) {
                            if (UISpenBluetoothAccGyroTest.this.mFwVer >= UISpenBluetoothAccGyroTest.this.mGB_Check_FWver_spec_Min) {
                                UISpenBluetoothAccGyroTest.this.mFunc_acc_gravity_check_data_measure.setText(UISpenBluetoothAccGyroTest.this.mAccGyroGravityBlockCheckData ? EgisFingerprint.MAJOR_VERSION : str);
                                UISpenBluetoothAccGyroTest uISpenBluetoothAccGyroTest38 = UISpenBluetoothAccGyroTest.this;
                                StringBuilder sb4 = new StringBuilder();
                                sb4.append(",");
                                if (UISpenBluetoothAccGyroTest.this.mAccGyroGravityBlockCheckData) {
                                    str = EgisFingerprint.MAJOR_VERSION;
                                }
                                sb4.append(str);
                                UISpenBluetoothAccGyroTest.access$4584(uISpenBluetoothAccGyroTest38, sb4.toString());
                                if (UISpenBluetoothAccGyroTest.this.mAccGyroGravityBlockCheckData) {
                                    UISpenBluetoothAccGyroTest.this.mFunc_acc_gravity_check_data_result.setText("PASS");
                                    UISpenBluetoothAccGyroTest.this.mFunc_acc_gravity_check_data_result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                                    z = false;
                                } else {
                                    UISpenBluetoothAccGyroTest.this.mFunc_acc_gravity_check_data_result.setText("FAIL");
                                    UISpenBluetoothAccGyroTest.this.mFunc_acc_gravity_check_data_result.setTextColor(-65536);
                                    z = false;
                                    UISpenBluetoothAccGyroTest.this.mIsAccGyroPass = false;
                                }
                                UISpenBluetoothAccGyroTest.this.setGeoGyroGravityBlockCheckDataNotification(z);
                            } else {
                                UISpenBluetoothAccGyroTest.this.mFunc_acc_gravity_check_data_measure.setText("2");
                                UISpenBluetoothAccGyroTest.access$4584(UISpenBluetoothAccGyroTest.this, ",2");
                                UISpenBluetoothAccGyroTest.this.mFunc_acc_gravity_check_data_result.setText("SKIP");
                                UISpenBluetoothAccGyroTest.this.mFunc_acc_gravity_check_data_result.setTextColor(-16777216);
                            }
                            if (UISpenBluetoothAccGyroTest.this.mIsAccGyroPass) {
                                UISpenBluetoothAccGyroTest.this.mAccGyro_result_f.setText("PASS");
                                UISpenBluetoothAccGyroTest.this.mAccGyro_result_f.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                                if (Support.Feature.getInt(Support.Feature.SPEN_BLE_CHARGE_VER) == 2) {
                                    UISpenBluetoothAccGyroTest.this.setSpenChargeMode("2");
                                } else {
                                    UISpenBluetoothAccGyroTest.this.setSpenChargeMode(EgisFingerprint.MAJOR_VERSION);
                                }
                                UISpenBluetoothAccGyroTest.this.mState = UISpenBluetoothAccGyroTest.STATE_DATE;
                                UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessageDelayed(UISpenBluetoothAccGyroTest.MSG_DATE_READ, 1500);
                                return;
                            }
                            UISpenBluetoothAccGyroTest.this.mAccGyro_result_f.setText("FAIL");
                            UISpenBluetoothAccGyroTest.this.mAccGyro_result_f.setTextColor(-65536);
                            UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessage(UISpenBluetoothAccGyroTest.MSG_TEST_FAIL);
                        }
                    } else if (msg.what == UISpenBluetoothAccGyroTest.MSG_DATE_READ) {
                        if (UISpenBluetoothAccGyroTest.this.mState == UISpenBluetoothAccGyroTest.STATE_DATE) {
                            UISpenBluetoothAccGyroTest.this.readDate();
                        }
                    } else if (msg.what == UISpenBluetoothAccGyroTest.MSG_DATE_RESULT) {
                        if (UISpenBluetoothAccGyroTest.this.mState == UISpenBluetoothAccGyroTest.STATE_DATE) {
                            boolean result2 = false;
                            if (UISpenBluetoothAccGyroTest.this.mDate != null) {
                                UISpenBluetoothAccGyroTest uISpenBluetoothAccGyroTest39 = UISpenBluetoothAccGyroTest.this;
                                uISpenBluetoothAccGyroTest39.mDate = uISpenBluetoothAccGyroTest39.mDate.trim();
                                String[] data = UISpenBluetoothAccGyroTest.this.mDate.split("/");
                                if (data.length == 3 && data[0].trim().length() == 2 && data[1].trim().length() == 2 && data[2].trim().length() == 4) {
                                    result2 = true;
                                }
                            }
                            UISpenBluetoothAccGyroTest.this.mDate_result_f.setText(UISpenBluetoothAccGyroTest.this.mDate);
                            if (result2) {
                                UISpenBluetoothAccGyroTest.this.mDate_result_f.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                                UISpenBluetoothAccGyroTest.this.mState = UISpenBluetoothAccGyroTest.STATE_SUBCOLORCODE;
                                UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessageDelayed(UISpenBluetoothAccGyroTest.MSG_SUBCOLORCODE_WRITE, 1000);
                                return;
                            }
                            UISpenBluetoothAccGyroTest.this.mDate_result_f.setTextColor(-65536);
                            UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessage(UISpenBluetoothAccGyroTest.MSG_TEST_FAIL);
                        }
                    } else if (msg.what == UISpenBluetoothAccGyroTest.MSG_SUBCOLORCODE_WRITE) {
                        if (UISpenBluetoothAccGyroTest.this.mState == UISpenBluetoothAccGyroTest.STATE_SUBCOLORCODE) {
                            if (Support.Feature.getInt(Support.Feature.SPEN_BLE_CHARGE_VER) == 2) {
                                UISpenBluetoothAccGyroTest.this.setSpenChargeMode("2");
                            } else {
                                UISpenBluetoothAccGyroTest.this.setSpenChargeMode(EgisFingerprint.MAJOR_VERSION);
                            }
                            if (UISpenBluetoothAccGyroTest.this.mSettedColorCode != null) {
                                UISpenBluetoothAccGyroTest uISpenBluetoothAccGyroTest40 = UISpenBluetoothAccGyroTest.this;
                                uISpenBluetoothAccGyroTest40.writeSubColorCode("P", uISpenBluetoothAccGyroTest40.mSettedColorCode);
                                return;
                            }
                            UISpenBluetoothAccGyroTest.this.mColorCode_result_f.setText("FAIL");
                            UISpenBluetoothAccGyroTest.this.mColorCode_result_f.setTextColor(-65536);
                            UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessage(UISpenBluetoothAccGyroTest.MSG_TEST_FAIL);
                        }
                    } else if (msg.what == UISpenBluetoothAccGyroTest.MSG_SUBCOLORCODE_RESULT) {
                        if (UISpenBluetoothAccGyroTest.this.mState == UISpenBluetoothAccGyroTest.STATE_SUBEWRITE) {
                            UISpenBluetoothAccGyroTest.this.mState = UISpenBluetoothAccGyroTest.STATE_CHARGEOFF_0;
                            UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessageDelayed(UISpenBluetoothAccGyroTest.MSG_CHARGING_OFF, 4000);
                        } else if (UISpenBluetoothAccGyroTest.this.mState == UISpenBluetoothAccGyroTest.STATE_SUBCOLORCODE) {
                            if (UISpenBluetoothAccGyroTest.this.mSettedColorCode != null) {
                                UISpenBluetoothAccGyroTest.this.mColorCode_measure_f.setText(UISpenBluetoothAccGyroTest.this.mColorCodeResult);
                                UISpenBluetoothAccGyroTest.access$4584(UISpenBluetoothAccGyroTest.this, "," + UISpenBluetoothAccGyroTest.this.mColorCodeResult);
                                if (UISpenBluetoothAccGyroTest.this.mSettedColorCode.equalsIgnoreCase(UISpenBluetoothAccGyroTest.this.mColorCodeResult)) {
                                    UISpenBluetoothAccGyroTest.this.mColorCode_result_f.setText("PASS");
                                    UISpenBluetoothAccGyroTest.this.mColorCode_result_f.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                                } else {
                                    UISpenBluetoothAccGyroTest.this.mColorCode_result_f.setText("FAIL");
                                    UISpenBluetoothAccGyroTest.this.mColorCode_result_f.setTextColor(-65536);
                                    UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessage(UISpenBluetoothAccGyroTest.MSG_TEST_FAIL);
                                }
                            }
                            if ("P".equalsIgnoreCase(UISpenBluetoothAccGyroTest.this.mSubResult)) {
                                UISpenBluetoothAccGyroTest.this.mSub_result_f.setText("PASS");
                                UISpenBluetoothAccGyroTest.this.mSub_result_f.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                                UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessage(UISpenBluetoothAccGyroTest.MSG_TEST_PASS);
                                return;
                            }
                            UISpenBluetoothAccGyroTest.this.mSub_result_f.setText("FAIL");
                            UISpenBluetoothAccGyroTest.this.mSub_result_f.setTextColor(-65536);
                            UISpenBluetoothAccGyroTest.this.mHandler.sendEmptyMessage(UISpenBluetoothAccGyroTest.MSG_TEST_FAIL);
                        }
                    } else if (msg.what == UISpenBluetoothAccGyroTest.MSG_TEST_PASS) {
                        FtUtil.log_d(UISpenBluetoothAccGyroTest.CLASS_NAME, "handleMessage", FtUtil.setMspSeqMessage(5, "SPEN BLE TEST", "Pass"));
                        UISpenBluetoothAccGyroTest.this.allResultData = "OK," + UISpenBluetoothAccGyroTest.this.allResultData;
                        UISpenBluetoothAccGyroTest.this.mIsAllPass = true;
                        UISpenBluetoothAccGyroTest.this.updateResult(false, UISpenBluetoothAccGyroTest.mStateString[UISpenBluetoothAccGyroTest.this.mState]);
                        UISpenBluetoothAccGyroTest.this.mState = UISpenBluetoothAccGyroTest.STATE_FINISH;
                        UISpenBluetoothAccGyroTest.this.mResultView.setText("PASS");
                        UISpenBluetoothAccGyroTest.this.mResultView.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                        UISpenBluetoothAccGyroTest.this.setResult(80);
                        UISpenBluetoothAccGyroTest.this.endTest();
                        UISpenBluetoothAccGyroTest.this.mButtonRetry.setEnabled(true);
                    } else if (msg.what == UISpenBluetoothAccGyroTest.MSG_TEST_FAIL) {
                        FtUtil.log_d(UISpenBluetoothAccGyroTest.CLASS_NAME, "handleMessage", FtUtil.setMspSeqMessage(5, "SPEN BLE TEST", "Fail (prev state: " + UISpenBluetoothAccGyroTest.mStateString[UISpenBluetoothAccGyroTest.this.mState] + ")"));
                        UISpenBluetoothAccGyroTest.this.allResultData = "NG," + UISpenBluetoothAccGyroTest.this.allResultData;
                        UISpenBluetoothAccGyroTest.this.mIsAllPass = false;
                        UISpenBluetoothAccGyroTest.this.updateResult(false, UISpenBluetoothAccGyroTest.mStateString[UISpenBluetoothAccGyroTest.this.mState]);
                        UISpenBluetoothAccGyroTest.this.mState = UISpenBluetoothAccGyroTest.STATE_FINISH;
                        UISpenBluetoothAccGyroTest.this.mResultView.setText("FAIL");
                        UISpenBluetoothAccGyroTest.this.mResultView.setTextColor(-65536);
                        UISpenBluetoothAccGyroTest.this.setResult(70);
                        UISpenBluetoothAccGyroTest.this.endTest();
                        UISpenBluetoothAccGyroTest.this.mButtonRetry.setEnabled(true);
                    } else if (msg.what == UISpenBluetoothAccGyroTest.MSG_TEST_EXIT) {
                        FtUtil.log_d(UISpenBluetoothAccGyroTest.CLASS_NAME, "handleMessage", FtUtil.setMspSeqMessage(5, "SPEN BLE TEST", "End"));
                        UISpenBluetoothAccGyroTest.this.finish();
                    }
                }
            }
        }
    };
    private boolean mIsAccGyroPass = false;
    private boolean mIsAllPass = false;
    private boolean mIsRetestByCMD = false;
    private ModuleCommunication mModuleCommunication = null;
    private TextView mPairing_measure_p;
    private TextView mPairing_result_p;
    private int mPairing_spec_Min;
    private TextView mPairing_spec_p;
    private TextView mPenId_result_p;
    private SharedPreferences.Editor mPreferenceEditor;
    private SharedPreferences mPreferences;
    private int mRSSI = -1;
    private int mRSSI_spec_Max;
    private int mRSSI_spec_Min;
    private TextView mResultView;
    private boolean mServiceBound;
    private final ServiceConnection mServiceConnection = new ServiceConnection() {
        /* class com.sec.factory.app.ui.UISpenBluetoothAccGyroTest.AnonymousClass3 */

        public void onServiceConnected(ComponentName componentName, IBinder service) {
            FtUtil.log_d(UISpenBluetoothAccGyroTest.CLASS_NAME, "onServiceConnected", "onServiceConnected");
            UISpenBluetoothAccGyroTest.this.mServiceBound = true;
            UISpenBluetoothAccGyroTest.this.mSpenBluetoothService = ((SpenBluetoothService.LocalBinder) service).getService();
            int i = UISpenBluetoothAccGyroTest.this.mSpenBluetoothService.mConnectionState;
            SpenBluetoothService unused = UISpenBluetoothAccGyroTest.this.mSpenBluetoothService;
            if (i == 0 && !UISpenBluetoothAccGyroTest.this.mSpenBluetoothService.initialize()) {
                FtUtil.log_d(UISpenBluetoothAccGyroTest.CLASS_NAME, "onServiceConnected", "Unable to initialize Bluetooth");
            }
        }

        public void onServiceDisconnected(ComponentName componentName) {
            FtUtil.log_d(UISpenBluetoothAccGyroTest.CLASS_NAME, "onServiceDisConnected", "onServiceDisconnected");
            UISpenBluetoothAccGyroTest.this.mServiceBound = false;
        }
    };
    private int mSettedColorBody = -16777216;
    private String mSettedColorCode = null;
    private int mSettedColorTip = -16777216;
    private SpenBluetoothService mSpenBluetoothService = null;
    private final BroadcastReceiver mSpenDetectionReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.app.ui.UISpenBluetoothAccGyroTest.AnonymousClass2 */

        public void onReceive(Context context, Intent intent) {
            boolean spenInserted = intent.getBooleanExtra("penInsert", false);
            FtUtil.log_d(UISpenBluetoothAccGyroTest.CLASS_NAME, "SpenDetectionReceiver", "spenInserted: " + spenInserted);
            if (UISpenBluetoothAccGyroTest.this.mState == UISpenBluetoothAccGyroTest.STATE_FINISH && !spenInserted) {
                UISpenBluetoothAccGyroTest.this.mResultView.setText("READY");
                UISpenBluetoothAccGyroTest.this.mResultView.setTextColor(-16777216);
            }
        }
    };
    private int mState;
    private String mSubResult = "";
    private TextView mSub_result_f;

    static /* synthetic */ String access$4584(UISpenBluetoothAccGyroTest x0, Object x1) {
        String str = x0.allResultData + x1;
        x0.allResultData = str;
        return str;
    }

    static /* synthetic */ int access$5608(UISpenBluetoothAccGyroTest x0) {
        int i = x0.mBatt0_check_cnt;
        x0.mBatt0_check_cnt = i + 1;
        return i;
    }

    static {
        TEST_STATE = 0;
        int i = 0 + 1;
        TEST_STATE = i;
        int i2 = i + 1;
        TEST_STATE = i2;
        STATE_BTON = i;
        int i3 = i2 + 1;
        TEST_STATE = i3;
        STATE_DETECT = i2;
        int i4 = i3 + 1;
        TEST_STATE = i4;
        STATE_CHARGEON_0 = i3;
        int i5 = i4 + 1;
        TEST_STATE = i5;
        STATE_PAIRING = i4;
        int i6 = i5 + 1;
        TEST_STATE = i6;
        STATE_PENID = i5;
        int i7 = i6 + 1;
        TEST_STATE = i7;
        STATE_FW = i6;
        int i8 = i7 + 1;
        TEST_STATE = i8;
        STATE_SLAVELATENCY_1S = i7;
        int i9 = i8 + 1;
        TEST_STATE = i9;
        STATE_BATTERYCHECK_0 = i8;
        int i10 = i9 + 1;
        TEST_STATE = i10;
        STATE_SUBEWRITE = i9;
        int i11 = i10 + 1;
        TEST_STATE = i11;
        STATE_CHARGEOFF_0 = i10;
        int i12 = i11 + 1;
        TEST_STATE = i12;
        STATE_BATTERYCHECK_1 = i11;
        int i13 = i12 + 1;
        TEST_STATE = i13;
        STATE_FASTDISCHARGING = i12;
        int i14 = i13 + 1;
        TEST_STATE = i14;
        STATE_BATTERYCHECK_21 = i13;
        int i15 = i14 + 1;
        TEST_STATE = i15;
        STATE_BATTERYCHECK_23 = i14;
        int i16 = i15 + 1;
        TEST_STATE = i16;
        STATE_CHARGEON_1 = i15;
        int i17 = i16 + 1;
        TEST_STATE = i17;
        STATE_CHARGEOFF_1 = i16;
        int i18 = i17 + 1;
        TEST_STATE = i18;
        STATE_BATTERYCHECK_34 = i17;
        int i19 = i18 + 1;
        TEST_STATE = i19;
        STATE_KEYTEST = i18;
        int i20 = i19 + 1;
        TEST_STATE = i20;
        STATE_WACOMIC_ON = i19;
        int i21 = i20 + 1;
        TEST_STATE = i21;
        STATE_RSSI = i20;
        int i22 = i21 + 1;
        TEST_STATE = i22;
        STATE_DATE = i21;
        int i23 = i22 + 1;
        TEST_STATE = i23;
        STATE_SUBCOLORCODE = i22;
        int i24 = i23 + 1;
        TEST_STATE = i24;
        STATE_SUBCOLORCODE_RESULT = i23;
        int i25 = i24 + 1;
        TEST_STATE = i25;
        STATE_SLAVELATENCY_9S = i24;
        int i26 = i25 + 1;
        TEST_STATE = i26;
        STATE_GEOGYRO_SELFTEST_DATA = i25;
        int i27 = i26 + 1;
        TEST_STATE = i27;
        STATE_GEOGYRO_RAW_DATA_DELAY = i26;
        int i28 = i27 + 1;
        TEST_STATE = i28;
        STATE_GEOGYRO_RAW_DATA = i27;
        int i29 = i28 + 1;
        TEST_STATE = i29;
        STATE_GEOGYRO_RAWDATA_FINISH = i28;
        int i30 = i29 + 1;
        TEST_STATE = i30;
        STATE_GEOGYRO_GRAVITY_BLOCK_CHECK_DATA = i29;
        TEST_STATE = i30 + 1;
        STATE_FINISH = i30;
        TEST_MSG = 0;
        int i31 = 0 + 1;
        TEST_MSG = i31;
        int i32 = i31 + 1;
        TEST_MSG = i32;
        MSG_DETECT_START = i31;
        int i33 = i32 + 1;
        TEST_MSG = i33;
        MSG_PAIRING_START = i32;
        int i34 = i33 + 1;
        TEST_MSG = i34;
        MSG_PAIRING_PASS = i33;
        int i35 = i34 + 1;
        TEST_MSG = i35;
        MSG_PAIRING_RESTART = i34;
        int i36 = i35 + 1;
        TEST_MSG = i36;
        MSG_PEN_ID = i35;
        int i37 = i36 + 1;
        TEST_MSG = i37;
        MSG_FASTDISCHARGING_START = i36;
        int i38 = i37 + 1;
        TEST_MSG = i38;
        MSG_FASTDISCHARGING_END = i37;
        int i39 = i38 + 1;
        TEST_MSG = i39;
        MSG_CHANGESLAVELATENCY_1S = i38;
        int i40 = i39 + 1;
        TEST_MSG = i40;
        MSG_CHANGESLAVELATENCY_1S_RESULT = i39;
        int i41 = i40 + 1;
        TEST_MSG = i41;
        MSG_BATTERYLEVEL_READ = i40;
        int i42 = i41 + 1;
        TEST_MSG = i42;
        MSG_BATTERYLEVEL_RESULT = i41;
        int i43 = i42 + 1;
        TEST_MSG = i43;
        MSG_CHARGING_ON = i42;
        int i44 = i43 + 1;
        TEST_MSG = i44;
        MSG_CHARGING_OFF = i43;
        int i45 = i44 + 1;
        TEST_MSG = i45;
        MSG_SUBEWRITE_RESULT = i44;
        int i46 = i45 + 1;
        TEST_MSG = i46;
        MSG_KEYTEST_PASS = i45;
        int i47 = i46 + 1;
        TEST_MSG = i47;
        MSG_KEYTEST_FAIL = i46;
        int i48 = i47 + 1;
        TEST_MSG = i48;
        MSG_WACOMIC_ON = i47;
        int i49 = i48 + 1;
        TEST_MSG = i49;
        MSG_RSSI_READ = i48;
        int i50 = i49 + 1;
        TEST_MSG = i50;
        MSG_RSSI_RESULT = i49;
        int i51 = i50 + 1;
        TEST_MSG = i51;
        MSG_FWVER_READ = i50;
        int i52 = i51 + 1;
        TEST_MSG = i52;
        MSG_FWVER_RESULT = i51;
        int i53 = i52 + 1;
        TEST_MSG = i53;
        MSG_DATE_READ = i52;
        int i54 = i53 + 1;
        TEST_MSG = i54;
        MSG_DATE_RESULT = i53;
        int i55 = i54 + 1;
        TEST_MSG = i55;
        MSG_SUBCOLORCODE_WRITE = i54;
        int i56 = i55 + 1;
        TEST_MSG = i56;
        MSG_SUBCOLORCODE_RESULT = i55;
        int i57 = i56 + 1;
        TEST_MSG = i57;
        MSG_DELAY_BEFORE_FUNCTION_TEST = i56;
        int i58 = i57 + 1;
        TEST_MSG = i58;
        MSG_GEOGYROSELFTEST_READ_RESULT = i57;
        int i59 = i58 + 1;
        TEST_MSG = i59;
        MSG_GEOGYRORAW_READ_DELAY = i58;
        int i60 = i59 + 1;
        TEST_MSG = i60;
        MSG_GEOGYRORAW_READ_READY = i59;
        int i61 = i60 + 1;
        TEST_MSG = i61;
        MSG_GEOGYRORAW_READ_RESULT = i60;
        int i62 = i61 + 1;
        TEST_MSG = i62;
        MSG_GEOGYRO_GRAVITY_BLOCK_CHECK_DATA_RESULT = i61;
        int i63 = i62 + 1;
        TEST_MSG = i63;
        MSG_MODE_WRITE_SUCCESS = i62;
        int i64 = i63 + 1;
        TEST_MSG = i64;
        MSG_TEST_PASS = i63;
        int i65 = i64 + 1;
        TEST_MSG = i65;
        MSG_TEST_FAIL = i64;
        int i66 = i65 + 1;
        TEST_MSG = i66;
        MSG_TEST_EXIT = i65;
        TEST_MSG = i66 + 1;
        MSG_CHANGESLAVELATENCY_9S_RESULT = i66;
    }

    public UISpenBluetoothAccGyroTest() {
        super(CLASS_NAME);
    }

    private void init() {
        setContentView(R.layout.ui_spenbluetoothaccgyrotest);
        this.mBtOn_result_p = (TextView) findViewById(R.id.p_result_bton);
        this.mDetect_result_p = (TextView) findViewById(R.id.p_result_detect);
        this.mPairing_spec_p = (TextView) findViewById(R.id.p_spec_pairing);
        this.mPairing_measure_p = (TextView) findViewById(R.id.p_measure_pairing);
        this.mPairing_result_p = (TextView) findViewById(R.id.p_result_pairing);
        this.mPenId_result_p = (TextView) findViewById(R.id.p_result_penid);
        this.mFWver_spec_f = (TextView) findViewById(R.id.f_spec_fw);
        this.mFWver_measure_f = (TextView) findViewById(R.id.f_measure_fw);
        this.mFWver_result_f = (TextView) findViewById(R.id.f_result_fw);
        this.mBatt0_spec = (TextView) findViewById(R.id.p_spec_batt0);
        this.mBatt0_measure = (TextView) findViewById(R.id.p_measure_batt0);
        this.mBatt0_result = (TextView) findViewById(R.id.p_result_batt0);
        this.mChargeOff_result_0 = (TextView) findViewById(R.id.p_result_chargeoff);
        this.mBatt1_spec = (TextView) findViewById(R.id.d_spec_batt1);
        this.mBatt1_measure = (TextView) findViewById(R.id.d_measure_batt1);
        this.mBatt1_result = (TextView) findViewById(R.id.d_result_batt1);
        this.mDischarge_On_result = (TextView) findViewById(R.id.d_result_discharge_on);
        this.mDischarge_Off_result = (TextView) findViewById(R.id.d_result_discharge_off);
        this.mBatt21_spec = (TextView) findViewById(R.id.d_spec_batt21);
        this.mBatt21_measure = (TextView) findViewById(R.id.d_measure_batt21);
        this.mBatt21_result = (TextView) findViewById(R.id.d_result_batt21);
        this.mBatt23_spec = (TextView) findViewById(R.id.c_spec_batt23);
        this.mBatt23_measure = (TextView) findViewById(R.id.c_measure_batt23);
        this.mBatt23_result = (TextView) findViewById(R.id.c_result_batt23);
        this.mChargeOn_result_1 = (TextView) findViewById(R.id.c_result_chargeon);
        this.mChargeOff_result_1 = (TextView) findViewById(R.id.c_result_chargeoff);
        this.mBatt34_spec = (TextView) findViewById(R.id.c_spec_batt34);
        this.mBatt34_measure = (TextView) findViewById(R.id.c_measure_batt34);
        this.mBatt34_result = (TextView) findViewById(R.id.c_result_batt34);
        this.mResultView = (TextView) findViewById(R.id.geogyro_test_result);
        this.mButtonRetry = (Button) findViewById(R.id.geogyro_retry_button);
        this.mButtonExit = (Button) findViewById(R.id.geogyro_exit_button);
        this.mButtonDetails = (Button) findViewById(R.id.acc_gyro_details_btn);
        this.mBleLinearLayout = (LinearLayout) findViewById(R.id.ble_linear_layout);
        this.mAccGyroDetailsLinearLayout = (LinearLayout) findViewById(R.id.acc_gyro_details_linear_layout);
        this.mFunc_acc_raw_result = (TextView) findViewById(R.id.f_result_acc_raw);
        this.mFunc_acc_vector_sum_spec = (TextView) findViewById(R.id.f_spec_vector_sum);
        this.mFunc_acc_vector_sum_measure = (TextView) findViewById(R.id.f_measure_vector_sum);
        this.mFunc_acc_vector_sum_result = (TextView) findViewById(R.id.f_result_vector_sum);
        this.mFunc_acc_self_p_x_spec = (TextView) findViewById(R.id.f_spec_acc_self_p_x);
        this.mFunc_acc_self_p_x_measure = (TextView) findViewById(R.id.f_measure_acc_self_p_x);
        this.mFunc_acc_self_p_x_result = (TextView) findViewById(R.id.f_result_acc_self_p_x);
        this.mFunc_acc_self_p_y_spec = (TextView) findViewById(R.id.f_spec_acc_self_p_y);
        this.mFunc_acc_self_p_y_measure = (TextView) findViewById(R.id.f_measure_acc_self_p_y);
        this.mFunc_acc_self_p_y_result = (TextView) findViewById(R.id.f_result_acc_self_p_y);
        this.mFunc_acc_self_p_z_spec = (TextView) findViewById(R.id.f_spec_acc_self_p_z);
        this.mFunc_acc_self_p_z_measure = (TextView) findViewById(R.id.f_measure_acc_self_p_z);
        this.mFunc_acc_self_p_z_result = (TextView) findViewById(R.id.f_result_acc_self_p_z);
        this.mFunc_acc_self_m_x_spec = (TextView) findViewById(R.id.f_spec_acc_self_m_x);
        this.mFunc_acc_self_m_x_measure = (TextView) findViewById(R.id.f_measure_acc_self_m_x);
        this.mFunc_acc_self_m_x_result = (TextView) findViewById(R.id.f_result_acc_self_m_x);
        this.mFunc_acc_self_m_y_spec = (TextView) findViewById(R.id.f_spec_acc_self_m_y);
        this.mFunc_acc_self_m_y_measure = (TextView) findViewById(R.id.f_measure_acc_self_m_y);
        this.mFunc_acc_self_m_y_result = (TextView) findViewById(R.id.f_result_acc_self_m_y);
        this.mFunc_acc_self_m_z_spec = (TextView) findViewById(R.id.f_spec_acc_self_m_z);
        this.mFunc_acc_self_m_z_measure = (TextView) findViewById(R.id.f_measure_acc_self_m_z);
        this.mFunc_acc_self_m_z_result = (TextView) findViewById(R.id.f_result_acc_self_m_z);
        this.mFunc_gyro_zro_avg_x_spec = (TextView) findViewById(R.id.f_spec_gyro_zro_avg_x);
        this.mFunc_gyro_zro_avg_x_measure = (TextView) findViewById(R.id.f_measure_gyro_zro_avg_x);
        this.mFunc_gyro_zro_avg_x_result = (TextView) findViewById(R.id.f_result_gyro_zro_avg_x);
        this.mFunc_gyro_zro_avg_y_spec = (TextView) findViewById(R.id.f_spec_gyro_zro_avg_y);
        this.mFunc_gyro_zro_avg_y_measure = (TextView) findViewById(R.id.f_measure_gyro_zro_avg_y);
        this.mFunc_gyro_zro_avg_y_result = (TextView) findViewById(R.id.f_result_gyro_zro_avg_y);
        this.mFunc_gyro_zro_avg_z_spec = (TextView) findViewById(R.id.f_spec_gyro_zro_avg_z);
        this.mFunc_gyro_zro_avg_z_measure = (TextView) findViewById(R.id.f_measure_gyro_zro_avg_z);
        this.mFunc_gyro_zro_avg_z_result = (TextView) findViewById(R.id.f_result_gyro_zro_avg_z);
        this.mFunc_gyro_self_x_spec = (TextView) findViewById(R.id.f_spec_gyro_self_x);
        this.mFunc_gyro_self_x_measure = (TextView) findViewById(R.id.f_measure_gyro_self_x);
        this.mFunc_gyro_self_x_result = (TextView) findViewById(R.id.f_result_gyro_self_x);
        this.mFunc_gyro_self_y_spec = (TextView) findViewById(R.id.f_spec_gyro_self_y);
        this.mFunc_gyro_self_y_measure = (TextView) findViewById(R.id.f_measure_gyro_self_y);
        this.mFunc_gyro_self_y_result = (TextView) findViewById(R.id.f_result_gyro_self_y);
        this.mFunc_gyro_self_z_spec = (TextView) findViewById(R.id.f_spec_gyro_self_z);
        this.mFunc_gyro_self_z_measure = (TextView) findViewById(R.id.f_measure_gyro_self_z);
        this.mFunc_gyro_self_z_result = (TextView) findViewById(R.id.f_result_gyro_self_z);
        this.mFunc_gyro_self_bias_result = (TextView) findViewById(R.id.f_result_gyro_self_bias);
        this.mFunc_gyro_self_diff_x_spec = (TextView) findViewById(R.id.f_spec_gyro_self_diff_x);
        this.mFunc_gyro_self_diff_x_measure = (TextView) findViewById(R.id.f_measure_gyro_self_diff_x);
        this.mFunc_gyro_self_diff_x_result = (TextView) findViewById(R.id.f_result_gyro_self_diff_x);
        this.mFunc_gyro_self_diff_y_spec = (TextView) findViewById(R.id.f_spec_gyro_self_diff_y);
        this.mFunc_gyro_self_diff_y_measure = (TextView) findViewById(R.id.f_measure_gyro_self_diff_y);
        this.mFunc_gyro_self_diff_y_result = (TextView) findViewById(R.id.f_result_gyro_self_diff_y);
        this.mFunc_gyro_self_diff_z_spec = (TextView) findViewById(R.id.f_spec_gyro_self_diff_z);
        this.mFunc_gyro_self_diff_z_measure = (TextView) findViewById(R.id.f_measure_gyro_self_diff_z);
        this.mFunc_gyro_self_diff_z_result = (TextView) findViewById(R.id.f_result_gyro_self_diff_z);
        this.mFunc_acc_raw_gb_result = (TextView) findViewById(R.id.f_result_acc_raw_gb);
        this.mFunc_acc_vector_sum_gb_spec = (TextView) findViewById(R.id.f_spec_vector_sum_gb);
        this.mFunc_acc_vector_sum_gb_measure = (TextView) findViewById(R.id.f_measure_vector_sum_gb);
        this.mFunc_acc_vector_sum_gb_result = (TextView) findViewById(R.id.f_result_vector_sum_gb);
        this.mFunc_acc_gravity_check_data_spec = (TextView) findViewById(R.id.f_spec_gravity_block_check);
        this.mFunc_acc_gravity_check_data_measure = (TextView) findViewById(R.id.f_measure_gravity_block_check);
        this.mFunc_acc_gravity_check_data_result = (TextView) findViewById(R.id.f_result_gravity_block_check);
        this.mDate_result_f = (TextView) findViewById(R.id.f_result_date);
        this.mColorBodyCode_spec_f = (TextView) findViewById(R.id.f_spec_colorbodycode);
        this.mColorTipCode_spec_f = (TextView) findViewById(R.id.f_spec_colortipcode);
        this.mColorCode_measure_f = (TextView) findViewById(R.id.f_measure_colorcode);
        this.mColorCode_result_f = (TextView) findViewById(R.id.f_result_colorcode);
        this.mSub_result_f = (TextView) findViewById(R.id.f_result_subtest);
        this.mAccGyro_result_f = (TextView) findViewById(R.id.f_result_acc_gyro);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        init();
        this.mModuleCommunication = ModuleCommunication.instance(this);
        String stringExtra = getIntent().getStringExtra("colorCode");
        this.mSettedColorCode = stringExtra;
        this.mSettedColorBody = SpenBluetoothTestEntry.ColorSet.colorBodyFromCode(stringExtra);
        this.mSettedColorTip = SpenBluetoothTestEntry.ColorSet.colorTipFromCode(this.mSettedColorCode);
        FtUtil.log_d(CLASS_NAME, "onCreate", "mSettedColorCode : " + this.mSettedColorCode + " ,mSettedColorBody : " + this.mSettedColorBody + " ,mSettedColorTip : " + this.mSettedColorTip);
        this.mContext = getApplicationContext();
        setSpec();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        Settings.System.putInt(getContentResolver(), "pen_detect_mode_disabled", 1);
        Support.Kernel.write(Support.Kernel.EPEN_SAVINGMODE, EgisFingerprint.MAJOR_VERSION);
        registerReceiver(this.mBtStateReceiver, new IntentFilter(ModuleCommunication.ACTION_BT_SERVICE_RESPONSE));
        registerReceiver(this.mSpenDetectionReceiver, new IntentFilter("com.samsung.pen.INSERT"));
        registerReceiver(this.mGattUpdateReceiver, makeGattUpdateIntentFilter());
        initTest();
        if (this.mIsRetestByCMD) {
            startTest(true);
        } else {
            startTest(false);
        }
    }

    /* access modifiers changed from: protected */
    public void onNewIntent(Intent intent) {
        super.onNewIntent(intent);
        String stringExtra = intent.getStringExtra("colorCode");
        this.mSettedColorCode = stringExtra;
        this.mSettedColorBody = SpenBluetoothTestEntry.ColorSet.colorBodyFromCode(stringExtra);
        this.mSettedColorTip = SpenBluetoothTestEntry.ColorSet.colorTipFromCode(this.mSettedColorCode);
        FtUtil.log_d(CLASS_NAME, "onNewIntent", "mSettedColorCode : " + this.mSettedColorCode);
        this.mIsRetestByCMD = true;
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        endTest();
        unregisterReceiver(this.mBtStateReceiver);
        unregisterReceiver(this.mSpenDetectionReceiver);
        unregisterReceiver(this.mGattUpdateReceiver);
        Settings.System.putInt(getContentResolver(), "pen_detect_mode_disabled", 0);
        Support.Kernel.write(Support.Kernel.EPEN_SAVINGMODE, "0");
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        blueToothOff();
        setSpenChargeMode(EgisFingerprint.MAJOR_VERSION);
        super.onDestroy();
    }

    private void initTest() {
        initUi();
        initAccGyroDetailsUI();
        initTestValues();
    }

    private void initUi() {
        FtUtil.log_d(CLASS_NAME, "initUi", "");
        this.mButtonRetry.setOnClickListener(this);
        this.mButtonExit.setOnClickListener(this);
        this.mButtonRetry.setEnabled(false);
        this.mBtOn_result_p.setText("");
        this.mDetect_result_p.setText("");
        this.mPairing_spec_p.setText(String.format("%d db", Integer.valueOf(this.mPairing_spec_Min)));
        this.mPairing_measure_p.setText("");
        this.mPairing_result_p.setText("");
        this.mPenId_result_p.setText("");
        TextView textView = this.mFWver_spec_f;
        textView.setText("0x" + String.format("%X", Integer.valueOf(this.mFWver_spec_Min)));
        this.mFWver_measure_f.setText("");
        this.mFWver_result_f.setText("");
        TextView textView2 = this.mBatt0_spec;
        textView2.setText(String.valueOf(this.mBatt0_spec_Min) + "-" + String.valueOf(this.mBatt0_spec_Max));
        this.mBatt0_measure.setText("");
        this.mBatt0_result.setText("");
        this.mChargeOff_result_0.setText("");
        TextView textView3 = this.mBatt1_spec;
        textView3.setText(String.valueOf(this.mBatt1_spec_Min) + "-" + String.valueOf(this.mBatt1_spec_Max));
        this.mBatt1_measure.setText("");
        this.mBatt1_result.setText("");
        this.mDischarge_On_result.setText("");
        this.mDischarge_Off_result.setText("");
        this.mBatt21_spec.setText("");
        this.mBatt21_measure.setText("");
        this.mBatt21_result.setText("");
        TextView textView4 = this.mBatt23_spec;
        textView4.setText(String.valueOf(this.mBatt23_spec_Min) + "-" + String.valueOf(this.mBatt23_spec_Max));
        this.mBatt23_measure.setText("");
        this.mBatt23_result.setText("");
        this.mChargeOn_result_1.setText("");
        this.mChargeOff_result_1.setText("");
        if (!Support.Feature.getBoolean(Support.Feature.SUPPORT_SPEN_BLE_BATT34_DYNAMIC_SPEC, true)) {
            TextView textView5 = this.mBatt34_spec;
            textView5.setText(String.valueOf(this.mBatt34_spec_Min) + "-" + String.valueOf(this.mBatt34_spec_Max));
        }
        this.mBatt34_measure.setText("");
        this.mBatt34_result.setText("");
        this.mDate_result_f.setText("");
        this.mColorBodyCode_spec_f.setBackgroundColor(this.mSettedColorBody);
        this.mColorTipCode_spec_f.setBackgroundColor(this.mSettedColorTip);
        this.mColorCode_measure_f.setText("");
        this.mColorCode_result_f.setText("");
        this.mSub_result_f.setText("");
        this.mAccGyro_result_f.setText("");
        this.mResultView.setText("");
    }

    private void initAccGyroDetailsUI() {
        this.mButtonDetails.setVisibility(8);
        this.mFunc_acc_raw_result.setText("");
        TextView textView = this.mFunc_acc_vector_sum_spec;
        textView.setText(String.valueOf(this.mACC_vector_sum_Min) + "-" + String.valueOf(this.mACC_vector_sum_Max));
        this.mFunc_acc_vector_sum_measure.setText("");
        this.mFunc_acc_vector_sum_result.setText("");
        TextView textView2 = this.mFunc_acc_self_p_x_spec;
        textView2.setText(String.valueOf(this.mACC_self_p_x_Min) + "-" + String.valueOf(this.mACC_self_p_x_Max));
        this.mFunc_acc_self_p_x_measure.setText("");
        this.mFunc_acc_self_p_x_result.setText("");
        TextView textView3 = this.mFunc_acc_self_p_y_spec;
        textView3.setText(String.valueOf(this.mACC_self_p_y_Min) + "-" + String.valueOf(this.mACC_self_p_y_Max));
        this.mFunc_acc_self_p_y_measure.setText("");
        this.mFunc_acc_self_p_y_result.setText("");
        TextView textView4 = this.mFunc_acc_self_p_z_spec;
        textView4.setText(String.valueOf(this.mACC_self_p_z_Min) + "-" + String.valueOf(this.mACC_self_p_z_Max));
        this.mFunc_acc_self_p_z_measure.setText("");
        this.mFunc_acc_self_p_z_result.setText("");
        TextView textView5 = this.mFunc_acc_self_m_x_spec;
        textView5.setText(String.valueOf(this.mACC_self_m_x_Min) + "-" + String.valueOf(this.mACC_self_m_x_Max));
        this.mFunc_acc_self_m_x_measure.setText("");
        this.mFunc_acc_self_m_x_result.setText("");
        TextView textView6 = this.mFunc_acc_self_m_y_spec;
        textView6.setText(String.valueOf(this.mACC_self_m_y_Min) + "-" + String.valueOf(this.mACC_self_m_y_Max));
        this.mFunc_acc_self_m_y_measure.setText("");
        this.mFunc_acc_self_m_y_result.setText("");
        TextView textView7 = this.mFunc_acc_self_m_z_spec;
        textView7.setText(String.valueOf(this.mACC_self_m_z_Min) + "-" + String.valueOf(this.mACC_self_m_z_Max));
        this.mFunc_acc_self_m_z_measure.setText("");
        this.mFunc_acc_self_m_z_result.setText("");
        TextView textView8 = this.mFunc_gyro_zro_avg_x_spec;
        textView8.setText(String.valueOf(this.mGyro_zro_avg_x_Min) + "-" + String.valueOf(this.mGyro_zro_avg_x_Max));
        this.mFunc_gyro_zro_avg_x_measure.setText("");
        this.mFunc_gyro_zro_avg_x_result.setText("");
        TextView textView9 = this.mFunc_gyro_zro_avg_y_spec;
        textView9.setText(String.valueOf(this.mGyro_zro_avg_y_Min) + "-" + String.valueOf(this.mGyro_zro_avg_y_Max));
        this.mFunc_gyro_zro_avg_y_measure.setText("");
        this.mFunc_gyro_zro_avg_y_result.setText("");
        TextView textView10 = this.mFunc_gyro_zro_avg_z_spec;
        textView10.setText(String.valueOf(this.mGyro_self_x_Min) + "-" + String.valueOf(this.mGyro_zro_avg_z_Max));
        this.mFunc_gyro_zro_avg_z_measure.setText("");
        this.mFunc_gyro_zro_avg_z_result.setText("");
        TextView textView11 = this.mFunc_gyro_self_x_spec;
        textView11.setText(String.valueOf(this.mGyro_self_x_Min) + "-" + String.valueOf(this.mGyro_self_x_Max));
        this.mFunc_gyro_self_x_measure.setText("");
        this.mFunc_gyro_self_x_result.setText("");
        TextView textView12 = this.mFunc_gyro_self_y_spec;
        textView12.setText(String.valueOf(this.mGyro_self_y_Min) + "-" + String.valueOf(this.mGyro_self_y_Max));
        this.mFunc_gyro_self_y_measure.setText("");
        this.mFunc_gyro_self_y_result.setText("");
        TextView textView13 = this.mFunc_gyro_self_z_spec;
        textView13.setText(String.valueOf(this.mGyro_self_z_Min) + "-" + String.valueOf(this.mGyro_self_z_Max));
        this.mFunc_gyro_self_z_measure.setText("");
        this.mFunc_gyro_self_z_result.setText("");
        this.mFunc_gyro_self_bias_result.setText("");
        TextView textView14 = this.mFunc_gyro_self_diff_x_spec;
        textView14.setText(String.valueOf(this.mGyro_self_diff_x_Min) + "-" + String.valueOf(this.mGyro_self_diff_x_Max));
        this.mFunc_gyro_self_diff_x_measure.setText("");
        this.mFunc_gyro_self_diff_x_result.setText("");
        TextView textView15 = this.mFunc_gyro_self_diff_y_spec;
        textView15.setText(String.valueOf(this.mGyro_self_diff_y_Min) + "-" + String.valueOf(this.mGyro_self_diff_y_Max));
        this.mFunc_gyro_self_diff_y_measure.setText("");
        this.mFunc_gyro_self_diff_y_result.setText("");
        TextView textView16 = this.mFunc_gyro_self_diff_z_spec;
        textView16.setText(String.valueOf(this.mGyro_self_diff_z_Min) + "-" + String.valueOf(this.mGyro_self_diff_z_Max));
        this.mFunc_gyro_self_diff_z_measure.setText("");
        this.mFunc_gyro_self_diff_z_result.setText("");
        this.mFunc_acc_raw_gb_result.setText("");
        TextView textView17 = this.mFunc_acc_vector_sum_gb_spec;
        textView17.setText(String.valueOf(this.mACC_vector_sum_Min) + "-" + String.valueOf(this.mACC_vector_sum_Max));
        this.mFunc_acc_vector_sum_gb_measure.setText("");
        this.mFunc_acc_vector_sum_gb_result.setText("");
        this.mFunc_acc_gravity_check_data_spec.setText(EgisFingerprint.MAJOR_VERSION);
        this.mFunc_acc_gravity_check_data_measure.setText("");
        this.mFunc_acc_gravity_check_data_result.setText("");
    }

    private void setSpec() {
        FtUtil.log_d(CLASS_NAME, "setSpec", "setSpec");
        this.mPairing_spec_Min = Support.Spec.getInt(Support.Spec.SPEN_BLE_TEST_MINRSSI);
        this.mFWver_spec_Min = Support.Spec.getInt(Support.Spec.SPEN_BLE_FW_VER_SPEC_MIN);
        this.mBatt0_spec_Min = Support.Spec.getInt(Support.Spec.SPEN_BLE_BATT0_SPEC_MIN);
        this.mBatt0_spec_Max = Support.Spec.getInt(Support.Spec.SPEN_BLE_BATT0_SPEC_MAX);
        this.mBatt1_spec_Min = Support.Spec.getInt(Support.Spec.SPEN_BLE_BATT1_SPEC_MIN);
        this.mBatt1_spec_Max = Support.Spec.getInt(Support.Spec.SPEN_BLE_BATT1_SPEC_MAX);
        this.mBatt23_spec_Min = Support.Spec.getInt(Support.Spec.SPEN_BLE_BATT23_SPEC_MIN);
        this.mBatt23_spec_Max = Support.Spec.getInt(Support.Spec.SPEN_BLE_BATT23_SPEC_MAX);
        if (!Support.Feature.getBoolean(Support.Feature.SUPPORT_SPEN_BLE_BATT34_DYNAMIC_SPEC, true)) {
            this.mBatt34_spec_Min = Support.Spec.getInt(Support.Spec.SPEN_BLE_BATT34_SPEC_MIN);
            this.mBatt34_spec_Max = Support.Spec.getInt(Support.Spec.SPEN_BLE_BATT34_SPEC_MAX);
        }
        this.mACC_vector_sum_Min = Support.Spec.getDouble(Support.Spec.SPEN_ACC_VECTOR_SUM_SPEC_MIN);
        this.mACC_vector_sum_Max = Support.Spec.getDouble(Support.Spec.SPEN_ACC_VECTOR_SUM_SPEC_MAX);
        this.mACC_self_p_x_Min = Support.Spec.getInt(Support.Spec.SPEN_ACC_SELF_P_X_SPEC_MIN);
        this.mACC_self_p_x_Max = Support.Spec.getInt(Support.Spec.SPEN_ACC_SELF_P_X_SPEC_MAX);
        this.mACC_self_p_y_Min = Support.Spec.getInt(Support.Spec.SPEN_ACC_SELF_P_Y_SPEC_MIN);
        this.mACC_self_p_y_Max = Support.Spec.getInt(Support.Spec.SPEN_ACC_SELF_P_Y_SPEC_MAX);
        this.mACC_self_p_z_Min = Support.Spec.getInt(Support.Spec.SPEN_ACC_SELF_P_Z_SPEC_MIN);
        this.mACC_self_p_z_Max = Support.Spec.getInt(Support.Spec.SPEN_ACC_SELF_P_Z_SPEC_MAX);
        this.mACC_self_m_x_Min = Support.Spec.getInt(Support.Spec.SPEN_ACC_SELF_M_X_SPEC_MIN);
        this.mACC_self_m_x_Max = Support.Spec.getInt(Support.Spec.SPEN_ACC_SELF_M_X_SPEC_MAX);
        this.mACC_self_m_y_Min = Support.Spec.getInt(Support.Spec.SPEN_ACC_SELF_M_Y_SPEC_MIN);
        this.mACC_self_m_y_Max = Support.Spec.getInt(Support.Spec.SPEN_ACC_SELF_M_Y_SPEC_MAX);
        this.mACC_self_m_z_Min = Support.Spec.getInt(Support.Spec.SPEN_ACC_SELF_M_Z_SPEC_MIN);
        this.mACC_self_m_z_Max = Support.Spec.getInt(Support.Spec.SPEN_ACC_SELF_M_Z_SPEC_MAX);
        this.mGyro_zro_avg_x_Min = Support.Spec.getInt(Support.Spec.SPEN_GYRO_ZRO_AVG_X_SPEC_MIN);
        this.mGyro_zro_avg_x_Max = Support.Spec.getInt(Support.Spec.SPEN_GYRO_ZRO_AVG_X_SPEC_MAX);
        this.mGyro_zro_avg_y_Min = Support.Spec.getInt(Support.Spec.SPEN_GYRO_ZRO_AVG_Y_SPEC_MIN);
        this.mGyro_zro_avg_y_Max = Support.Spec.getInt(Support.Spec.SPEN_GYRO_ZRO_AVG_Y_SPEC_MAX);
        this.mGyro_zro_avg_z_Min = Support.Spec.getInt(Support.Spec.SPEN_GYRO_ZRO_AVG_Z_SPEC_MIN);
        this.mGyro_zro_avg_z_Max = Support.Spec.getInt(Support.Spec.SPEN_GYRO_ZRO_AVG_Z_SPEC_MAX);
        this.mGyro_self_x_Min = Support.Spec.getInt(Support.Spec.SPEN_GYRO_SELF_X_SPEC_MIN);
        this.mGyro_self_x_Max = Support.Spec.getInt(Support.Spec.SPEN_GYRO_SELF_X_SPEC_MAX);
        this.mGyro_self_y_Min = Support.Spec.getInt(Support.Spec.SPEN_GYRO_SELF_Y_SPEC_MIN);
        this.mGyro_self_y_Max = Support.Spec.getInt(Support.Spec.SPEN_GYRO_SELF_Y_SPEC_MAX);
        this.mGyro_self_z_Min = Support.Spec.getInt(Support.Spec.SPEN_GYRO_SELF_Z_SPEC_MIN);
        this.mGyro_self_z_Max = Support.Spec.getInt(Support.Spec.SPEN_GYRO_SELF_Z_SPEC_MAX);
        this.mGyro_self_diff_x_Min = Support.Spec.getInt(Support.Spec.SPEN_GYRO_SELF_DIFF_X_SPEC_MIN);
        this.mGyro_self_diff_x_Max = Support.Spec.getInt(Support.Spec.SPEN_GYRO_SELF_DIFF_X_SPEC_MAX);
        this.mGyro_self_diff_y_Min = Support.Spec.getInt(Support.Spec.SPEN_GYRO_SELF_DIFF_Y_SPEC_MIN);
        this.mGyro_self_diff_y_Max = Support.Spec.getInt(Support.Spec.SPEN_GYRO_SELF_DIFF_Y_SPEC_MAX);
        this.mGyro_self_diff_z_Min = Support.Spec.getInt(Support.Spec.SPEN_GYRO_SELF_DIFF_Z_SPEC_MIN);
        this.mGyro_self_diff_z_Max = Support.Spec.getInt(Support.Spec.SPEN_GYRO_SELF_DIFF_Z_SPEC_MAX);
        this.mGB_Check_FWver_spec_Min = Support.Spec.getInt(Support.Spec.SPEN_GRAVITY_BLOCK_CHECK_FW_VER_SPEC_MIN);
    }

    private void initTestValues() {
        this.mBatteryLevel = -1;
        this.mBatteryLevel0 = -1;
        this.mBatteryLevel1 = -1;
        this.mBatteryLevel2 = -1;
        this.mBatteryLevel3 = -1;
        this.mBatteryLevel4 = -1;
        this.mRSSI = -1;
        this.mFwVer = -1;
        this.mState = STATE_READY;
        this.mServiceBound = false;
        this.mIsAllPass = false;
        this.mIsAccGyroPass = true;
    }

    private void startTest(boolean isBTON) {
        FtUtil.log_d(CLASS_NAME, "startTest", "");
        FtUtil.log_d(CLASS_NAME, "handleMessage", FtUtil.setMspSeqMessage(5, "SPEN BLE TEST", "Start"));
        setSpenDisableMode("0");
        if (Support.Feature.getInt(Support.Feature.SPEN_BLE_CHARGE_VER) == 1) {
            setSpenChargeMode(EgisFingerprint.MAJOR_VERSION);
        }
        updateResult(true, mStateString[this.mState]);
        this.mResultView.setText("TEST");
        this.mResultView.setTextColor(-16777216);
        this.allResultData = "";
        this.mState = STATE_BTON;
        if (isBTON) {
            this.mHandler.sendEmptyMessage(MSG_BTON_PASS);
        } else {
            blueToothOn();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void endTest() {
        FtUtil.log_d(CLASS_NAME, "endTest", "allResultData : " + this.allResultData);
        this.mState = STATE_FINISH;
        this.mHandler.removeCallbacksAndMessages(null);
        if (this.mServiceBound) {
            unbindService(this.mServiceConnection);
            this.mServiceBound = false;
        }
        this.mSpenBluetoothService = null;
        setSpenDisableMode("0");
        setSpenChargeMode("0");
        this.mIsRetestByCMD = false;
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.geogyro_exit_button:
                FtUtil.log_i(CLASS_NAME, "onClick", "exit button click");
                this.mHandler.sendEmptyMessage(MSG_TEST_EXIT);
                return;
            case R.id.geogyro_retry_button:
                FtUtil.log_i(CLASS_NAME, "onClick", "retry button click");
                initTest();
                startTest(true);
                return;
            default:
                return;
        }
    }

    @Override // com.sec.factory.app.ui.UIBase
    public boolean onKeyDown(int keyCode, KeyEvent event) {
        switch (keyCode) {
            case 26:
                FtUtil.log_i(CLASS_NAME, "onKeyDown", "KEYCODE_POWER");
                int i = this.mState;
                if (i != STATE_READY) {
                    if (i == STATE_FINISH) {
                        initTest();
                        startTest(true);
                        break;
                    }
                } else {
                    startTest(false);
                    break;
                }
                break;
        }
        return true;
    }

    private IntentFilter makeGattUpdateIntentFilter() {
        IntentFilter intentFilter = new IntentFilter();
        intentFilter.addAction(SpenBluetoothService.ACTION_DATA_READY);
        intentFilter.addAction(SpenBluetoothService.ACTION_KEYEVENT_READY);
        intentFilter.addAction(SpenBluetoothService.ACTION_GATT_RECONNECT);
        intentFilter.addAction(SpenBluetoothService.ACTION_GATT_DISCONNECTED);
        intentFilter.addAction(SpenBluetoothService.ACTION_GATT_CONNECTED);
        intentFilter.addAction(SpenBluetoothService.ACTION_NOT_FOUND);
        intentFilter.addAction(SpenBluetoothService.ACTION_SCAN_START);
        intentFilter.addAction(SpenBluetoothService.ACTION_SCAN_SUCCESS);
        intentFilter.addAction(SpenBluetoothService.ACTION_PAIRING_REQUEST);
        intentFilter.addAction(SpenBluetoothService.ACTION_BATTERY);
        intentFilter.addAction(SpenBluetoothService.ACTION_RSSI);
        intentFilter.addAction(SpenBluetoothService.ACTION_FW_VER);
        intentFilter.addAction(SpenBluetoothService.ACTION_DATE);
        intentFilter.addAction(SpenBluetoothService.ACTION_BTSPEN_PRESS);
        intentFilter.addAction(SpenBluetoothService.ACTION_SUBCOLORCODE_RESULT);
        intentFilter.addAction(SpenBluetoothService.ACTION_SLAVELATENCY1S_CHANGE);
        intentFilter.addAction(SpenBluetoothService.ACTION_GEOGYRO_SELFTEST_DATA_RESULT);
        intentFilter.addAction(SpenBluetoothService.ACTION_GEOGYRO_RAW_DATA_RESULT);
        intentFilter.addAction(SpenBluetoothService.ACTION_GEOGYRO_RAW_DATA_NOTIFICATION_MODE_ON);
        intentFilter.addAction(SpenBluetoothService.ACTION_GEOGYRO_GRAVITY_BLOCK_CHECK_DATA_RESULT);
        intentFilter.addAction(SpenBluetoothService.ACTION_MODE_WRITE_SUCCESS);
        intentFilter.setPriority(999);
        return intentFilter;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean checkSpec(int specMin, int specMax, int measure) {
        boolean result = measure >= specMin && measure <= specMax;
        FtUtil.log_d(CLASS_NAME, "checkSpec", " Result:" + result + " Spec: " + specMin + " ~ " + specMax + " Measure: " + measure);
        return result;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean checkSpec(double specMin, double specMax, double measure) {
        boolean result = measure >= specMin && measure <= specMax;
        FtUtil.log_d(CLASS_NAME, "checkSpec", " Result:" + result + " Spec: " + specMin + " ~ " + specMax + " Measure: " + measure);
        return result;
    }

    private void writeSubResult(String result) {
        FtUtil.log_d(CLASS_NAME, "writeSubResult", "");
        SpenBluetoothService spenBluetoothService = this.mSpenBluetoothService;
        if (spenBluetoothService != null) {
            spenBluetoothService.subResultWrite(result);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean setSpenChargeMode(String mode) {
        FtUtil.log_d(CLASS_NAME, "setSpenChargeMode", "Set :" + mode);
        this.isChargingMode = true;
        try {
            if ("0".equals(mode)) {
                Support.Kernel.write(Support.Kernel.EPEN_BLE_CHARGING_MODE, "0");
                this.isChargingMode = false;
                sleep(600);
            } else if (EgisFingerprint.MAJOR_VERSION.equals(mode)) {
                Support.Kernel.write(Support.Kernel.EPEN_BLE_CHARGING_MODE, "0");
                if (Support.Feature.getInt(Support.Feature.SPEN_BLE_CHARGE_VER) == 2) {
                    sleep(300);
                    Support.Kernel.write(Support.Kernel.EPEN_BLE_CHARGING_MODE, EgisFingerprint.MAJOR_VERSION);
                    sleep(200);
                } else {
                    sleep(100);
                    Support.Kernel.write(Support.Kernel.EPEN_BLE_CHARGING_MODE, EgisFingerprint.MAJOR_VERSION);
                }
            } else if ("2".equals(mode)) {
                Support.Kernel.write(Support.Kernel.EPEN_BLE_CHARGING_MODE, "0");
                sleep(300);
                Support.Kernel.write(Support.Kernel.EPEN_BLE_CHARGING_MODE, EgisFingerprint.MAJOR_VERSION);
                sleep(200);
                Support.Kernel.write(Support.Kernel.EPEN_BLE_CHARGING_MODE, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION);
                sleep(600);
            } else if (egis.optical.client.api.EgisFingerprint.MAJOR_VERSION.equals(mode)) {
                Support.Kernel.write(Support.Kernel.EPEN_BLE_CHARGING_MODE, "0");
                sleep(300);
                Support.Kernel.write(Support.Kernel.EPEN_BLE_CHARGING_MODE, EgisFingerprint.MAJOR_VERSION);
                sleep(200);
                Support.Kernel.write(Support.Kernel.EPEN_BLE_CHARGING_MODE, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION);
                sleep(600);
                Support.Kernel.write(Support.Kernel.EPEN_BLE_CHARGING_MODE, "4");
                sleep(300);
            } else if ("4".equals(mode)) {
                Support.Kernel.write(Support.Kernel.EPEN_BLE_CHARGING_MODE, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION);
                sleep(600);
                Support.Kernel.write(Support.Kernel.EPEN_BLE_CHARGING_MODE, "2");
                sleep(1300);
                Support.Kernel.write(Support.Kernel.EPEN_BLE_CHARGING_MODE, "4");
                sleep(300);
            }
            return true;
        } catch (Exception e) {
            e.printStackTrace();
            return false;
        }
    }

    private boolean setSpenDisableMode(String mode) {
        FtUtil.log_d(CLASS_NAME, "setSpenDisableMode", "Set :" + mode);
        try {
            Support.Kernel.write(Support.Kernel.EPEN_DISABLE_MODE, "0");
            if (!EgisFingerprint.MAJOR_VERSION.equals(mode)) {
                return true;
            }
            sleep(100);
            Support.Kernel.write(Support.Kernel.EPEN_DISABLE_MODE, EgisFingerprint.MAJOR_VERSION);
            return true;
        } catch (Exception e) {
            e.printStackTrace();
            return false;
        }
    }

    private void blueToothOn() {
        FtUtil.log_d(CLASS_NAME, "blueToothOn", "");
        this.mModuleCommunication.btActivationWhereAtcmd();
    }

    private void blueToothOff() {
        FtUtil.log_d(CLASS_NAME, "blueToothOff", "");
        this.mModuleCommunication.btDeactivation();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean spenDetect() {
        if (EgisFingerprint.MAJOR_VERSION.equals(Support.Kernel.read(Support.Kernel.EPEN_INSERT))) {
            return true;
        }
        return false;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void paringStart() {
        FtUtil.log_d(CLASS_NAME, "paringStart", "paringStart");
        bindService(new Intent(this, SpenBluetoothService.class), this.mServiceConnection, 1);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean changeSlaveLatency(int mode) {
        FtUtil.log_d(CLASS_NAME, "changeSlaveLatency", "");
        SpenBluetoothService spenBluetoothService = this.mSpenBluetoothService;
        if (spenBluetoothService == null || !spenBluetoothService.changeSlaveLatency(mode)) {
            return false;
        }
        return true;
    }

    private void readRSSI() {
        FtUtil.log_d(CLASS_NAME, "readRSSI", "");
        SpenBluetoothService spenBluetoothService = this.mSpenBluetoothService;
        if (spenBluetoothService != null) {
            spenBluetoothService.readRssi();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void readFwVer() {
        FtUtil.log_d(CLASS_NAME, "readFwVer", "");
        SpenBluetoothService spenBluetoothService = this.mSpenBluetoothService;
        if (spenBluetoothService != null) {
            spenBluetoothService.fwVerRead();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void readDate() {
        FtUtil.log_d(CLASS_NAME, "readDate", "");
        SpenBluetoothService spenBluetoothService = this.mSpenBluetoothService;
        if (spenBluetoothService != null) {
            spenBluetoothService.dateRead();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void writeSubColorCode(String subResult, String colorCode) {
        FtUtil.log_d(CLASS_NAME, "writeSubColorCode", "subResult : " + subResult + " colorCode : " + colorCode);
        SpenBluetoothService spenBluetoothService = this.mSpenBluetoothService;
        if (spenBluetoothService != null) {
            spenBluetoothService.subColorCodeWrite(subResult, colorCode);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setKeyEventNotification() {
        FtUtil.log_d(CLASS_NAME, "setKeyEventNotification", "");
        SpenBluetoothService spenBluetoothService = this.mSpenBluetoothService;
        if (spenBluetoothService != null) {
            spenBluetoothService.setCharacteristicNotification(SpenBluetoothService.BUTTON_EVENT, true);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setGeoGyroSelfTestDataNotification(boolean enable) {
        FtUtil.log_d(CLASS_NAME, "setGeoGyroSelfTestDataNotification", "enable : " + enable);
        SpenBluetoothService spenBluetoothService = this.mSpenBluetoothService;
        if (spenBluetoothService != null) {
            spenBluetoothService.setCharacteristicNotification(SpenBluetoothService.GEOGYRO_SELFTEST_DATA, enable);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setGeoGyroRawDataNotification(boolean enable) {
        FtUtil.log_d(CLASS_NAME, "setGeoGyroRawDataNotification", "enable : " + enable);
        SpenBluetoothService spenBluetoothService = this.mSpenBluetoothService;
        if (spenBluetoothService != null) {
            spenBluetoothService.setCharacteristicNotification(SpenBluetoothService.GEOGYRO_RAW_DATA, enable);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setGeoGyroGravityBlockCheckDataNotification(boolean enable) {
        FtUtil.log_d(CLASS_NAME, "setGeoGyroGravityBlockCheckDataNotification", "enable : " + enable);
        SpenBluetoothService spenBluetoothService = this.mSpenBluetoothService;
        if (spenBluetoothService != null) {
            spenBluetoothService.setCharacteristicNotification(SpenBluetoothService.GEOGYRO_GRAVITY_BLOCK_CHECK_DATA, enable);
        }
    }

    private void setLED(int setR, int setG, int setB) {
        Support.Kernel.write(Support.Kernel.LED_BLINK, "0x" + (String.format("%02X", Integer.valueOf(setR)) + String.format("%02X", Integer.valueOf(setG)) + String.format("%02X", Integer.valueOf(setB)) + " 60000 0"));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void updateResult(boolean isTesting, String testState) {
        String result;
        if (!isTesting) {
            boolean z = this.mIsAllPass;
            result = z ? "PASS" : "FAIL";
            if (!z) {
                result = result + "_" + testState;
            }
        } else {
            result = "TEST_" + testState;
        }
        SharedPreferences sharedPreferences = this.mContext.getSharedPreferences("SPEN_BLE_TEST_RESULT", 0);
        this.mPreferences = sharedPreferences;
        SharedPreferences.Editor edit = sharedPreferences.edit();
        this.mPreferenceEditor = edit;
        edit.putString("TEST_RESULT", result);
        this.mPreferenceEditor.putString("TEST_RESULT_DATA", this.allResultData);
        this.mPreferenceEditor.commit();
    }

    public void onDetailsButtonClicked(View v) {
        FtUtil.log_d(CLASS_NAME, "onDetailsButtonClicked", "onDetailsButtonClicked");
        this.mBleLinearLayout.setVisibility(8);
        this.mAccGyroDetailsLinearLayout.setVisibility(0);
    }

    public void onAccGyroDetailsExitButtonClicked(View v) {
        FtUtil.log_d(CLASS_NAME, "onAccGyroDetailsExitButtonClicked", "onAccGyroDetailsExitButtonClicked");
        this.mBleLinearLayout.setVisibility(0);
        this.mAccGyroDetailsLinearLayout.setVisibility(8);
    }
}
