package com.sec.factory.app.ui;

import android.bluetooth.BluetoothDevice;
import android.content.BroadcastReceiver;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.content.ServiceConnection;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.os.Handler;
import android.os.IBinder;
import android.os.Looper;
import android.os.Message;
import android.provider.Settings;
import android.view.KeyEvent;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.aporiented.SpenBluetoothService;
import com.sec.factory.app.ui.SpenBluetoothTestEntry;
import com.sec.factory.modules.ModuleCommunication;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class UISpenBluetoothTest extends UIBase implements View.OnClickListener {
    public static final String CLASS_NAME = "UISpenBluetoothTest";
    private static final int MSG_BATTERYLEVEL_READ;
    private static final int MSG_BATTERYLEVEL_RESULT;
    private static final int MSG_BTON_PASS = 0;
    private static final int MSG_CHANGESLAVELATENCY_1S;
    private static final int MSG_CHANGESLAVELATENCY_1S_RESULT;
    private static final int MSG_CHANGESLAVELATENCY_9S_RESULT;
    private static final int MSG_CHARGING_OFF;
    private static final int MSG_CHARGING_ON;
    private static final int MSG_DATE_READ;
    private static final int MSG_DATE_RESULT;
    private static final int MSG_DETECT_START;
    private static final int MSG_FASTDISCHARGING_START;
    private static final int MSG_FWVER_READ;
    private static final int MSG_FWVER_RESULT;
    private static final int MSG_PAIRING_PASS;
    private static final int MSG_PAIRING_RESTART;
    private static final int MSG_PAIRING_START;
    private static final int MSG_PEN_ID;
    private static final int MSG_SUBCOLORCODE_RESULT;
    private static final int MSG_SUBCOLORCODE_WRITE;
    private static final int MSG_SUBEWRITE_RESULT;
    private static final int MSG_TEST_EXIT;
    private static final int MSG_TEST_FAIL;
    private static final int MSG_TEST_PASS;
    private static final int SLAVE_LATENCY_1S = 1;
    private static final int SLAVE_LATENCY_9S = 9;
    private static final int STATE_BATTERYCHECK_0;
    private static final int STATE_BATTERYCHECK_1;
    private static final int STATE_BATTERYCHECK_12;
    private static final int STATE_BATTERYCHECK_23;
    private static final int STATE_BATTERYCHECK_43;
    private static final int STATE_BTON;
    private static final int STATE_CHARGEOFF;
    private static final int STATE_CHARGEOFF1;
    private static final int STATE_CHARGEON;
    private static final int STATE_CHARGEON1;
    private static final int STATE_DATE;
    private static final int STATE_DETECT;
    private static final int STATE_FASTDISCHARGING;
    private static final int STATE_FINISH;
    private static final int STATE_FW;
    private static final int STATE_PAIRING;
    private static final int STATE_PENID;
    private static final int STATE_READY = 0;
    private static final int STATE_SLAVELATENCY_1S;
    private static final int STATE_SLAVELATENCY_9S;
    private static final int STATE_SUBCOLORCODE;
    private static final int STATE_SUBCOLORCODE_RESULT;
    private static final int STATE_SUBEWRITE;
    private static int TEST_MSG;
    private static int TEST_STATE;
    private static String[] mMsgString = {"BTON_PASS", "DETECT_START", "PAIRING_START", "PAIRING_PASS", "PAIRING_RESTART", "PEN_ID", "FASTDISCHARGING_START", "CHANGESLAVELATENCY_1S", "CHANGESLAVELATENCY_1S_RESULT", "BATTERYLEVEL_READ", "BATTERYLEVEL_RESULT", "CHARGING_ON", "CHARGING_OFF", "SUBEWRITE_RESULT", "FWVER_READ", "FWVER_RESULT", "DATE_READ", "DATE_RESULT", "SUBCOLORCODE_WRITE", "SUBCOLORCODE_RESULT", "TEST_PASS", "TEST_FAIL", "TEST_EXIT", "CHANGESLAVELATENCY_9S_RESULT"};
    private static String[] mStateString = {"READY", "BTON", "DETECT", "CHARGEON", "PAIRING", "PENID", "SLAVELATENCY_1S", "BATTERYCHECK_0", "SUBEWRITE", "CHARGEOFF", "BATTERYCHECK_1", "FASTDISCHARGING", "BATTERYCHECK_12", "BATTERYCHECK_23", "CHARGEON1", "CHARGEOFF1", "BATTERYCHECK_43", "FW", "DATE", "SUBCOLORCODE", "SUBCOLORCODE_RESULT", "SLAVELATENCY_9S", "FINISH"};
    private String allResultData = "";
    private TextView mBatt0_measure_p;
    private TextView mBatt0_result_p;
    private int mBatt0_spec_Max;
    private int mBatt0_spec_Min;
    private TextView mBatt0_spec_p;
    private TextView mBatt12_measure_d;
    private TextView mBatt12_result_d;
    private int mBatt12_spec_Max;
    private int mBatt12_spec_Min;
    private TextView mBatt12_spec_d;
    private TextView mBatt1_measure_d;
    private TextView mBatt1_result_d;
    private int mBatt1_spec_Max;
    private int mBatt1_spec_Min;
    private TextView mBatt1_spec_d;
    private TextView mBatt23_measure_c;
    private TextView mBatt23_result_c;
    private int mBatt23_spec_Max;
    private int mBatt23_spec_Min;
    private TextView mBatt23_spec_c;
    private TextView mBatt43_measure_c;
    private TextView mBatt43_result_c;
    private int mBatt43_spec_Max;
    private int mBatt43_spec_Min;
    private TextView mBatt43_spec_c;
    private int mBatteryLevel = -1;
    private int mBatteryLevel0 = -1;
    private int mBatteryLevel1 = -1;
    private int mBatteryLevel12 = -1;
    private int mBatteryLevel23 = -1;
    private int mBatteryLevel43 = -1;
    private String mBtAddress = "";
    private TextView mBtOn_result_p;
    private final BroadcastReceiver mBtStateReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.app.ui.UISpenBluetoothTest.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            String action = intent.getAction();
            FtUtil.log_d(UISpenBluetoothTest.CLASS_NAME, "mBtStateReceiver", "receiver:" + action);
            if (ModuleCommunication.ACTION_BT_SERVICE_RESPONSE.equals(intent.getAction())) {
                String result = intent.getStringExtra("result");
                FtUtil.log_i(UISpenBluetoothTest.CLASS_NAME, "mBtStateReceiver.onReceive", "EXTRA_KEY_BT_SERVICE_RESPONSE result=" + result);
                if ("ON".equalsIgnoreCase(result) && UISpenBluetoothTest.this.mState == UISpenBluetoothTest.STATE_BTON) {
                    UISpenBluetoothTest.this.mHandler.sendEmptyMessage(UISpenBluetoothTest.MSG_BTON_PASS);
                }
            }
        }
    };
    private Button mButtonExit;
    private Button mButtonRetry;
    private TextView mChargeOff_result_c;
    private TextView mChargeOff_result_p;
    private TextView mChargeOn_result_c;
    private TextView mChargeOn_result_p;
    private TextView mColorBodyCode_spec_p;
    private String mColorCodeResult = "";
    private TextView mColorCode_measure_p;
    private TextView mColorCode_result_p;
    private TextView mColorTipCode_spec_p;
    private Context mContext = null;
    private String mDate = "";
    private TextView mDate_result_c;
    private int mDelay_Battery_Check;
    private TextView mDetect_result_p;
    private TextView mDischarge_result_d;
    private TextView mFWver_measure_c;
    private TextView mFWver_result_c;
    private int mFWver_spec_Min;
    private TextView mFWver_spec_c;
    private int mFwVer = -1;
    private final BroadcastReceiver mGattUpdateReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.app.ui.UISpenBluetoothTest.AnonymousClass4 */

        public void onReceive(Context context, Intent intent) {
            String action = intent.getAction();
            FtUtil.log_d(UISpenBluetoothTest.CLASS_NAME, "mGattUpdateReceiver", "receiver:" + action);
            if (UISpenBluetoothTest.this.mState != UISpenBluetoothTest.STATE_FINISH && !SpenBluetoothService.ACTION_GATT_CONNECTED.equals(action)) {
                if (SpenBluetoothService.ACTION_DATA_READY.equals(action)) {
                    UISpenBluetoothTest.this.setKeyEventNotification();
                } else if (SpenBluetoothService.ACTION_KEYEVENT_READY.equals(action)) {
                    UISpenBluetoothTest.this.mHandler.sendEmptyMessage(UISpenBluetoothTest.MSG_PAIRING_PASS);
                } else if (SpenBluetoothService.ACTION_GATT_DISCONNECTED.equals(action)) {
                    UISpenBluetoothTest.this.mHandler.sendEmptyMessage(UISpenBluetoothTest.MSG_TEST_FAIL);
                } else if (SpenBluetoothService.ACTION_GATT_RECONNECT.equals(action)) {
                    if (UISpenBluetoothTest.this.mState == UISpenBluetoothTest.STATE_PAIRING) {
                        UISpenBluetoothTest.this.mHandler.sendEmptyMessage(UISpenBluetoothTest.MSG_PAIRING_RESTART);
                    } else {
                        UISpenBluetoothTest.this.mHandler.sendEmptyMessage(UISpenBluetoothTest.MSG_TEST_FAIL);
                    }
                } else if (SpenBluetoothService.ACTION_NOT_FOUND.equals(action)) {
                    UISpenBluetoothTest.this.mHandler.sendEmptyMessage(UISpenBluetoothTest.MSG_TEST_FAIL);
                } else if (!SpenBluetoothService.ACTION_SCAN_SUCCESS.equals(action)) {
                    if (SpenBluetoothService.ACTION_PAIRING_REQUEST.equals(action)) {
                        BluetoothDevice device = (BluetoothDevice) intent.getParcelableExtra("android.bluetooth.device.extra.DEVICE");
                        if (device.getAddress().equals(UISpenBluetoothTest.this.mSpenBluetoothService.getBtAddress()) && intent.getIntExtra("android.bluetooth.device.extra.PAIRING_VARIANT", Integer.MIN_VALUE) == 3) {
                            device.setPairingConfirmation(true);
                            abortBroadcast();
                        }
                    } else if (SpenBluetoothService.ACTION_BATTERY.equals(action)) {
                        int batteryLevel = intent.getIntExtra(SpenBluetoothService.EXTRA_DATA, 100);
                        FtUtil.log_d(UISpenBluetoothTest.CLASS_NAME, "mGattUpdateReceiver", "battery : " + batteryLevel);
                        UISpenBluetoothTest.this.mBatteryLevel = batteryLevel;
                        UISpenBluetoothTest.this.mHandler.sendEmptyMessage(UISpenBluetoothTest.MSG_BATTERYLEVEL_RESULT);
                    } else if (SpenBluetoothService.ACTION_FW_VER.equals(action)) {
                        int fwVer = intent.getIntExtra(SpenBluetoothService.EXTRA_DATA, 0);
                        FtUtil.log_d(UISpenBluetoothTest.CLASS_NAME, "mGattUpdateReceiver", "FW ver : " + fwVer);
                        UISpenBluetoothTest.this.mFwVer = fwVer;
                        UISpenBluetoothTest.this.mHandler.sendEmptyMessage(UISpenBluetoothTest.MSG_FWVER_RESULT);
                    } else if (SpenBluetoothService.ACTION_DATE.equals(action)) {
                        String date = intent.getStringExtra(SpenBluetoothService.EXTRA_DATA);
                        FtUtil.log_d(UISpenBluetoothTest.CLASS_NAME, "mGattUpdateReceiver", "Date : " + date);
                        if (date != null) {
                            UISpenBluetoothTest.this.mDate = date;
                        }
                        UISpenBluetoothTest.this.mHandler.sendEmptyMessage(UISpenBluetoothTest.MSG_DATE_RESULT);
                    } else if (SpenBluetoothService.ACTION_SUBCOLORCODE_RESULT.equals(action)) {
                        String flashResult = intent.getStringExtra(SpenBluetoothService.EXTRA_DATA);
                        FtUtil.log_d(UISpenBluetoothTest.CLASS_NAME, "mGattUpdateReceiver", "flash result : " + flashResult);
                        if (flashResult != null && flashResult.length() > 2) {
                            UISpenBluetoothTest.this.mSubResult = flashResult.substring(0, 1);
                            String reverseResult = new StringBuffer(flashResult).reverse().toString();
                            UISpenBluetoothTest.this.mColorCodeResult = reverseResult.substring(0, 2);
                        }
                        UISpenBluetoothTest.this.mHandler.sendEmptyMessage(UISpenBluetoothTest.MSG_SUBCOLORCODE_RESULT);
                    } else if (SpenBluetoothService.ACTION_SLAVELATENCY1S_CHANGE.equals(action)) {
                        UISpenBluetoothTest.this.mHandler.sendEmptyMessage(UISpenBluetoothTest.MSG_CHANGESLAVELATENCY_1S_RESULT);
                    } else if (SpenBluetoothService.ACTION_SLAVELATENCY9S_CHANGE.equals(action)) {
                        UISpenBluetoothTest.this.mHandler.sendEmptyMessage(UISpenBluetoothTest.MSG_CHANGESLAVELATENCY_9S_RESULT);
                    }
                }
            }
        }
    };
    private final Handler mHandler = new Handler(Looper.getMainLooper()) {
        /* class com.sec.factory.app.ui.UISpenBluetoothTest.AnonymousClass5 */

        public void handleMessage(Message msg) {
            try {
                FtUtil.log_d(UISpenBluetoothTest.CLASS_NAME, "mHandler.handleMessage", "State : " + UISpenBluetoothTest.mStateString[UISpenBluetoothTest.this.mState] + "  Msg : " + UISpenBluetoothTest.mMsgString[msg.what]);
                UISpenBluetoothTest.this.updateResult(true, UISpenBluetoothTest.mStateString[UISpenBluetoothTest.this.mState]);
            } catch (Exception e) {
                e.printStackTrace();
            }
            if (msg.what == UISpenBluetoothTest.MSG_BTON_PASS) {
                if (UISpenBluetoothTest.this.mState == UISpenBluetoothTest.STATE_BTON) {
                    UISpenBluetoothTest.this.mBtOn_result_p.setText("PASS");
                    UISpenBluetoothTest.this.mBtOn_result_p.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                    UISpenBluetoothTest.this.mHandler.sendEmptyMessage(UISpenBluetoothTest.MSG_DETECT_START);
                    UISpenBluetoothTest.this.mState = UISpenBluetoothTest.STATE_DETECT;
                }
            } else if (msg.what == UISpenBluetoothTest.MSG_DETECT_START) {
                if (UISpenBluetoothTest.this.mState != UISpenBluetoothTest.STATE_DETECT) {
                    return;
                }
                if (UISpenBluetoothTest.this.spenDetect()) {
                    UISpenBluetoothTest.this.mDetect_result_p.setText("PASS");
                    UISpenBluetoothTest.this.mDetect_result_p.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                    UISpenBluetoothTest.this.mHandler.sendEmptyMessage(UISpenBluetoothTest.MSG_CHARGING_ON);
                    UISpenBluetoothTest.this.mState = UISpenBluetoothTest.STATE_CHARGEON;
                    return;
                }
                UISpenBluetoothTest.this.mDetect_result_p.setText("FAIL");
                UISpenBluetoothTest.this.mDetect_result_p.setTextColor(-65536);
                UISpenBluetoothTest.this.mHandler.sendEmptyMessage(UISpenBluetoothTest.MSG_TEST_FAIL);
            } else if (msg.what == UISpenBluetoothTest.MSG_PAIRING_START) {
                UISpenBluetoothTest.this.paringStart();
                UISpenBluetoothTest.this.mPairing_result_p.setText("TEST");
                UISpenBluetoothTest.this.mPairing_result_p.setTextColor(-16777216);
                UISpenBluetoothTest.this.mState = UISpenBluetoothTest.STATE_PAIRING;
            } else if (msg.what == UISpenBluetoothTest.MSG_PAIRING_RESTART) {
                UISpenBluetoothTest.this.mPairing_measure_p.setText("");
                UISpenBluetoothTest.this.mPairing_result_p.setText("RETEST");
                UISpenBluetoothTest.this.mPairing_result_p.setTextColor(-16777216);
            } else if (msg.what == UISpenBluetoothTest.MSG_PAIRING_PASS) {
                if (UISpenBluetoothTest.this.mState == UISpenBluetoothTest.STATE_PAIRING) {
                    UISpenBluetoothTest uISpenBluetoothTest = UISpenBluetoothTest.this;
                    UISpenBluetoothTest.access$3884(uISpenBluetoothTest, String.valueOf(uISpenBluetoothTest.mSpenBluetoothService.mPairingRssi));
                    UISpenBluetoothTest.this.mPairing_measure_p.setText(String.valueOf(UISpenBluetoothTest.this.mSpenBluetoothService.mPairingRssi));
                    UISpenBluetoothTest.this.mPairing_result_p.setText("PASS");
                    UISpenBluetoothTest.this.mPairing_result_p.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                    UISpenBluetoothTest.this.mState = UISpenBluetoothTest.STATE_PENID;
                    UISpenBluetoothTest.this.mHandler.sendEmptyMessage(UISpenBluetoothTest.MSG_PEN_ID);
                }
            } else if (msg.what == UISpenBluetoothTest.MSG_PEN_ID) {
                if (UISpenBluetoothTest.this.mState != UISpenBluetoothTest.STATE_PENID) {
                    return;
                }
                if (UISpenBluetoothTest.this.readPenId()) {
                    UISpenBluetoothTest.access$3884(UISpenBluetoothTest.this, "," + UISpenBluetoothTest.this.mBtAddress);
                    UISpenBluetoothTest.this.mPenId_result_p.setText(UISpenBluetoothTest.this.mBtAddress);
                    UISpenBluetoothTest.this.mPenId_result_p.setTextColor(-16777216);
                    UISpenBluetoothTest.this.mState = UISpenBluetoothTest.STATE_SLAVELATENCY_1S;
                    UISpenBluetoothTest.this.mHandler.sendEmptyMessage(UISpenBluetoothTest.MSG_CHANGESLAVELATENCY_1S);
                    return;
                }
                UISpenBluetoothTest.this.mPenId_result_p.setText("FAIL");
                UISpenBluetoothTest.this.mPenId_result_p.setTextColor(-65536);
                UISpenBluetoothTest.this.mHandler.sendEmptyMessage(UISpenBluetoothTest.MSG_TEST_FAIL);
            } else if (msg.what == UISpenBluetoothTest.MSG_CHANGESLAVELATENCY_1S) {
                if (UISpenBluetoothTest.this.mState == UISpenBluetoothTest.STATE_SLAVELATENCY_1S) {
                    UISpenBluetoothTest.this.changeSlaveLatency(1);
                }
            } else if (msg.what == UISpenBluetoothTest.MSG_CHANGESLAVELATENCY_1S_RESULT) {
                UISpenBluetoothTest.this.mState = UISpenBluetoothTest.STATE_FW;
                UISpenBluetoothTest.this.mHandler.sendEmptyMessage(UISpenBluetoothTest.MSG_FWVER_READ);
            } else if (msg.what == UISpenBluetoothTest.MSG_FWVER_READ) {
                if (UISpenBluetoothTest.this.mState == UISpenBluetoothTest.STATE_FW) {
                    UISpenBluetoothTest.this.readFwVer();
                }
            } else if (msg.what == UISpenBluetoothTest.MSG_FWVER_RESULT) {
                if (UISpenBluetoothTest.this.mState == UISpenBluetoothTest.STATE_FW) {
                    String fwText = "0x" + String.format("%X", Integer.valueOf(UISpenBluetoothTest.this.mFwVer));
                    UISpenBluetoothTest.access$3884(UISpenBluetoothTest.this, "," + fwText);
                    UISpenBluetoothTest.this.mFWver_measure_c.setText(fwText);
                    UISpenBluetoothTest uISpenBluetoothTest2 = UISpenBluetoothTest.this;
                    if (uISpenBluetoothTest2.checkSpec(uISpenBluetoothTest2.mFWver_spec_Min, 9999, UISpenBluetoothTest.this.mFwVer)) {
                        UISpenBluetoothTest.this.mFWver_result_c.setText("PASS");
                        UISpenBluetoothTest.this.mFWver_result_c.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                        UISpenBluetoothTest.this.mState = UISpenBluetoothTest.STATE_DATE;
                        UISpenBluetoothTest.this.mHandler.sendEmptyMessage(UISpenBluetoothTest.MSG_DATE_READ);
                        return;
                    }
                    UISpenBluetoothTest.this.mFWver_result_c.setText("FAIL");
                    UISpenBluetoothTest.this.mFWver_result_c.setTextColor(-65536);
                    UISpenBluetoothTest.this.mHandler.sendEmptyMessage(UISpenBluetoothTest.MSG_TEST_FAIL);
                }
            } else if (msg.what == UISpenBluetoothTest.MSG_DATE_READ) {
                if (UISpenBluetoothTest.this.mState == UISpenBluetoothTest.STATE_DATE) {
                    UISpenBluetoothTest.this.readDate();
                }
            } else if (msg.what == UISpenBluetoothTest.MSG_DATE_RESULT) {
                if (UISpenBluetoothTest.this.mState == UISpenBluetoothTest.STATE_DATE) {
                    UISpenBluetoothTest.this.mDate_result_c.setText(UISpenBluetoothTest.this.mDate);
                    UISpenBluetoothTest.this.mState = UISpenBluetoothTest.STATE_BATTERYCHECK_0;
                    UISpenBluetoothTest.this.mHandler.sendEmptyMessage(UISpenBluetoothTest.MSG_BATTERYLEVEL_READ);
                }
            } else if (msg.what == UISpenBluetoothTest.MSG_FASTDISCHARGING_START) {
                if (UISpenBluetoothTest.this.mState != UISpenBluetoothTest.STATE_FASTDISCHARGING) {
                    return;
                }
                if (UISpenBluetoothTest.this.startFastDischarging()) {
                    UISpenBluetoothTest.this.mDischarge_result_d.setText("TEST");
                    UISpenBluetoothTest.this.mDischarge_result_d.setTextColor(-16777216);
                    UISpenBluetoothTest.this.mState = UISpenBluetoothTest.STATE_BATTERYCHECK_12;
                    UISpenBluetoothTest.this.mHandler.sendEmptyMessageDelayed(UISpenBluetoothTest.MSG_BATTERYLEVEL_READ, (long) UISpenBluetoothTest.this.mDelay_Battery_Check);
                    return;
                }
                UISpenBluetoothTest.this.mDischarge_result_d.setText("FAIL");
                UISpenBluetoothTest.this.mDischarge_result_d.setTextColor(-65536);
                UISpenBluetoothTest.this.mHandler.sendEmptyMessage(UISpenBluetoothTest.MSG_TEST_FAIL);
            } else if (msg.what == UISpenBluetoothTest.MSG_BATTERYLEVEL_READ) {
                if (UISpenBluetoothTest.this.mState == UISpenBluetoothTest.STATE_BATTERYCHECK_0 || UISpenBluetoothTest.this.mState == UISpenBluetoothTest.STATE_BATTERYCHECK_1) {
                    UISpenBluetoothTest.this.readBatteryLevelNew();
                } else {
                    UISpenBluetoothTest.this.readBatteryLevel();
                }
            } else if (msg.what == UISpenBluetoothTest.MSG_BATTERYLEVEL_RESULT) {
                if (UISpenBluetoothTest.this.mState == UISpenBluetoothTest.STATE_BATTERYCHECK_0) {
                    UISpenBluetoothTest uISpenBluetoothTest3 = UISpenBluetoothTest.this;
                    uISpenBluetoothTest3.mBatteryLevel0 = uISpenBluetoothTest3.mBatteryLevel;
                    if (UISpenBluetoothTest.this.mBatteryLevel0 < 90) {
                        UISpenBluetoothTest.this.mBatt0_result_p.setText("CHARGE");
                        UISpenBluetoothTest.this.mBatt0_result_p.setTextColor(-16777216);
                        UISpenBluetoothTest.this.mHandler.sendEmptyMessageDelayed(UISpenBluetoothTest.MSG_BATTERYLEVEL_READ, 5000);
                        return;
                    }
                    UISpenBluetoothTest.this.mBatt0_measure_p.setText(String.valueOf(UISpenBluetoothTest.this.mBatteryLevel0));
                    UISpenBluetoothTest.access$3884(UISpenBluetoothTest.this, "," + UISpenBluetoothTest.this.mBatteryLevel0);
                    UISpenBluetoothTest uISpenBluetoothTest4 = UISpenBluetoothTest.this;
                    if (uISpenBluetoothTest4.checkSpec(uISpenBluetoothTest4.mBatt0_spec_Min, UISpenBluetoothTest.this.mBatt0_spec_Max, UISpenBluetoothTest.this.mBatteryLevel0)) {
                        UISpenBluetoothTest.this.mBatt0_result_p.setText("PASS");
                        UISpenBluetoothTest.this.mBatt0_result_p.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                        UISpenBluetoothTest uISpenBluetoothTest5 = UISpenBluetoothTest.this;
                        uISpenBluetoothTest5.writeSubColorCode("E", uISpenBluetoothTest5.mSettedColorCode);
                        UISpenBluetoothTest.this.mState = UISpenBluetoothTest.STATE_SUBEWRITE;
                        return;
                    }
                    UISpenBluetoothTest.this.mBatt0_result_p.setText("FAIL");
                    UISpenBluetoothTest.this.mBatt0_result_p.setTextColor(-65536);
                    UISpenBluetoothTest.this.mHandler.sendEmptyMessage(UISpenBluetoothTest.MSG_TEST_FAIL);
                } else if (UISpenBluetoothTest.this.mState == UISpenBluetoothTest.STATE_BATTERYCHECK_1) {
                    UISpenBluetoothTest uISpenBluetoothTest6 = UISpenBluetoothTest.this;
                    uISpenBluetoothTest6.mBatteryLevel1 = uISpenBluetoothTest6.mBatteryLevel;
                    UISpenBluetoothTest.this.mBatt1_measure_d.setText(String.valueOf(UISpenBluetoothTest.this.mBatteryLevel1));
                    UISpenBluetoothTest.access$3884(UISpenBluetoothTest.this, "," + UISpenBluetoothTest.this.mBatteryLevel1);
                    UISpenBluetoothTest uISpenBluetoothTest7 = UISpenBluetoothTest.this;
                    if (uISpenBluetoothTest7.checkSpec(uISpenBluetoothTest7.mBatt1_spec_Min, UISpenBluetoothTest.this.mBatt1_spec_Max, UISpenBluetoothTest.this.mBatteryLevel1)) {
                        UISpenBluetoothTest.this.mBatt1_result_d.setText("PASS");
                        UISpenBluetoothTest.this.mBatt1_result_d.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                        UISpenBluetoothTest.this.mState = UISpenBluetoothTest.STATE_FASTDISCHARGING;
                        UISpenBluetoothTest.this.mHandler.sendEmptyMessage(UISpenBluetoothTest.MSG_FASTDISCHARGING_START);
                        return;
                    }
                    UISpenBluetoothTest.this.mBatt1_result_d.setText("FAIL");
                    UISpenBluetoothTest.this.mBatt1_result_d.setTextColor(-65536);
                    UISpenBluetoothTest.this.mHandler.sendEmptyMessage(UISpenBluetoothTest.MSG_TEST_FAIL);
                } else if (UISpenBluetoothTest.this.mState == UISpenBluetoothTest.STATE_BATTERYCHECK_12) {
                    UISpenBluetoothTest uISpenBluetoothTest8 = UISpenBluetoothTest.this;
                    uISpenBluetoothTest8.mBatteryLevel12 = uISpenBluetoothTest8.mBatteryLevel;
                    UISpenBluetoothTest.this.mDischarge_result_d.setText("PASS");
                    UISpenBluetoothTest.this.mDischarge_result_d.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                    UISpenBluetoothTest.this.mBatt12_measure_d.setText(String.valueOf(UISpenBluetoothTest.this.mBatteryLevel1 - UISpenBluetoothTest.this.mBatteryLevel12) + "(" + String.valueOf(UISpenBluetoothTest.this.mBatteryLevel12) + ")");
                    UISpenBluetoothTest uISpenBluetoothTest9 = UISpenBluetoothTest.this;
                    StringBuilder sb = new StringBuilder();
                    sb.append(",");
                    sb.append(String.valueOf(UISpenBluetoothTest.this.mBatteryLevel1 - UISpenBluetoothTest.this.mBatteryLevel12));
                    UISpenBluetoothTest.access$3884(uISpenBluetoothTest9, sb.toString());
                    UISpenBluetoothTest uISpenBluetoothTest10 = UISpenBluetoothTest.this;
                    if (uISpenBluetoothTest10.checkSpec(uISpenBluetoothTest10.mBatt12_spec_Min, UISpenBluetoothTest.this.mBatt12_spec_Max, UISpenBluetoothTest.this.mBatteryLevel1 - UISpenBluetoothTest.this.mBatteryLevel12)) {
                        UISpenBluetoothTest.this.mBatt12_result_d.setText("PASS");
                        UISpenBluetoothTest.this.mBatt12_result_d.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                        UISpenBluetoothTest.this.mBatt23_result_c.setText("WAIT");
                        UISpenBluetoothTest.this.mBatt23_result_c.setTextColor(-16777216);
                        UISpenBluetoothTest.this.mState = UISpenBluetoothTest.STATE_BATTERYCHECK_23;
                        UISpenBluetoothTest.this.mHandler.sendEmptyMessageDelayed(UISpenBluetoothTest.MSG_BATTERYLEVEL_READ, 5000);
                        return;
                    }
                    UISpenBluetoothTest.this.mBatt12_result_d.setText("FAIL");
                    UISpenBluetoothTest.this.mBatt12_result_d.setTextColor(-65536);
                    UISpenBluetoothTest.this.mHandler.sendEmptyMessage(UISpenBluetoothTest.MSG_TEST_FAIL);
                } else if (UISpenBluetoothTest.this.mState == UISpenBluetoothTest.STATE_BATTERYCHECK_23) {
                    UISpenBluetoothTest uISpenBluetoothTest11 = UISpenBluetoothTest.this;
                    uISpenBluetoothTest11.mBatteryLevel23 = uISpenBluetoothTest11.mBatteryLevel;
                    UISpenBluetoothTest.this.mBatt23_measure_c.setText(String.valueOf(UISpenBluetoothTest.this.mBatteryLevel12 - UISpenBluetoothTest.this.mBatteryLevel23) + "(" + String.valueOf(UISpenBluetoothTest.this.mBatteryLevel23) + ")");
                    UISpenBluetoothTest uISpenBluetoothTest12 = UISpenBluetoothTest.this;
                    StringBuilder sb2 = new StringBuilder();
                    sb2.append(",");
                    sb2.append(String.valueOf(UISpenBluetoothTest.this.mBatteryLevel12 - UISpenBluetoothTest.this.mBatteryLevel23));
                    UISpenBluetoothTest.access$3884(uISpenBluetoothTest12, sb2.toString());
                    UISpenBluetoothTest uISpenBluetoothTest13 = UISpenBluetoothTest.this;
                    if (uISpenBluetoothTest13.checkSpec(uISpenBluetoothTest13.mBatt23_spec_Min, UISpenBluetoothTest.this.mBatt23_spec_Max, UISpenBluetoothTest.this.mBatteryLevel12 - UISpenBluetoothTest.this.mBatteryLevel23)) {
                        UISpenBluetoothTest.this.mBatt23_result_c.setText("PASS");
                        UISpenBluetoothTest.this.mBatt23_result_c.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                        UISpenBluetoothTest.this.mState = UISpenBluetoothTest.STATE_CHARGEON1;
                        UISpenBluetoothTest.this.mHandler.sendEmptyMessage(UISpenBluetoothTest.MSG_CHARGING_ON);
                        return;
                    }
                    UISpenBluetoothTest.this.mBatt23_result_c.setText("FAIL");
                    UISpenBluetoothTest.this.mBatt23_result_c.setTextColor(-65536);
                    UISpenBluetoothTest.this.mHandler.sendEmptyMessage(UISpenBluetoothTest.MSG_TEST_FAIL);
                } else if (UISpenBluetoothTest.this.mState == UISpenBluetoothTest.STATE_BATTERYCHECK_43) {
                    UISpenBluetoothTest uISpenBluetoothTest14 = UISpenBluetoothTest.this;
                    uISpenBluetoothTest14.mBatteryLevel43 = uISpenBluetoothTest14.mBatteryLevel;
                    UISpenBluetoothTest.this.mBatt43_measure_c.setText(String.valueOf(UISpenBluetoothTest.this.mBatteryLevel43 - UISpenBluetoothTest.this.mBatteryLevel23) + "(" + String.valueOf(UISpenBluetoothTest.this.mBatteryLevel43) + ")");
                    UISpenBluetoothTest uISpenBluetoothTest15 = UISpenBluetoothTest.this;
                    StringBuilder sb3 = new StringBuilder();
                    sb3.append(",");
                    sb3.append(String.valueOf(UISpenBluetoothTest.this.mBatteryLevel43 - UISpenBluetoothTest.this.mBatteryLevel23));
                    UISpenBluetoothTest.access$3884(uISpenBluetoothTest15, sb3.toString());
                    UISpenBluetoothTest uISpenBluetoothTest16 = UISpenBluetoothTest.this;
                    if (uISpenBluetoothTest16.checkSpec(uISpenBluetoothTest16.mBatt43_spec_Min, UISpenBluetoothTest.this.mBatt43_spec_Max, UISpenBluetoothTest.this.mBatteryLevel43 - UISpenBluetoothTest.this.mBatteryLevel23)) {
                        UISpenBluetoothTest.this.mBatt43_result_c.setText("PASS");
                        UISpenBluetoothTest.this.mBatt43_result_c.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                        UISpenBluetoothTest.this.mState = UISpenBluetoothTest.STATE_SUBCOLORCODE;
                        UISpenBluetoothTest.this.mHandler.sendEmptyMessageDelayed(UISpenBluetoothTest.MSG_SUBCOLORCODE_WRITE, 1000);
                        return;
                    }
                    UISpenBluetoothTest.this.mBatt43_result_c.setText("FAIL");
                    UISpenBluetoothTest.this.mBatt43_result_c.setTextColor(-65536);
                    UISpenBluetoothTest.this.mHandler.sendEmptyMessage(UISpenBluetoothTest.MSG_TEST_FAIL);
                }
            } else if (msg.what != UISpenBluetoothTest.MSG_SUBEWRITE_RESULT) {
                if (msg.what == UISpenBluetoothTest.MSG_CHARGING_ON) {
                    if (!UISpenBluetoothTest.this.setSpenChargeMode(EgisFingerprint.MAJOR_VERSION)) {
                        if (UISpenBluetoothTest.this.mState == UISpenBluetoothTest.STATE_CHARGEON) {
                            UISpenBluetoothTest.this.mChargeOn_result_p.setText("FAIL");
                            UISpenBluetoothTest.this.mChargeOn_result_p.setTextColor(-65536);
                        } else if (UISpenBluetoothTest.this.mState == UISpenBluetoothTest.STATE_CHARGEON1) {
                            UISpenBluetoothTest.this.mChargeOn_result_c.setText("FAIL");
                            UISpenBluetoothTest.this.mChargeOn_result_c.setTextColor(-65536);
                        }
                        UISpenBluetoothTest.this.mHandler.sendEmptyMessage(UISpenBluetoothTest.MSG_TEST_FAIL);
                    } else if (UISpenBluetoothTest.this.mState == UISpenBluetoothTest.STATE_CHARGEON) {
                        UISpenBluetoothTest.this.mChargeOn_result_p.setText("PASS");
                        UISpenBluetoothTest.this.mChargeOn_result_p.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                        UISpenBluetoothTest.this.mState = UISpenBluetoothTest.STATE_PAIRING;
                        UISpenBluetoothTest.this.mHandler.sendEmptyMessage(UISpenBluetoothTest.MSG_PAIRING_START);
                    } else if (UISpenBluetoothTest.this.mState == UISpenBluetoothTest.STATE_CHARGEON1) {
                        UISpenBluetoothTest.this.mChargeOn_result_c.setText("PASS");
                        UISpenBluetoothTest.this.mChargeOn_result_c.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                        UISpenBluetoothTest.this.mState = UISpenBluetoothTest.STATE_CHARGEOFF1;
                        UISpenBluetoothTest.this.mHandler.sendEmptyMessageDelayed(UISpenBluetoothTest.MSG_CHARGING_OFF, 2000);
                    }
                } else if (msg.what == UISpenBluetoothTest.MSG_CHARGING_OFF) {
                    if (!UISpenBluetoothTest.this.setSpenChargeMode("0")) {
                        if (UISpenBluetoothTest.this.mState == UISpenBluetoothTest.STATE_CHARGEOFF) {
                            UISpenBluetoothTest.this.mChargeOff_result_p.setText("FAIL");
                            UISpenBluetoothTest.this.mChargeOff_result_p.setTextColor(-65536);
                        } else if (UISpenBluetoothTest.this.mState == UISpenBluetoothTest.STATE_CHARGEOFF1) {
                            UISpenBluetoothTest.this.mChargeOff_result_c.setText("FAIL");
                            UISpenBluetoothTest.this.mChargeOff_result_c.setTextColor(-65536);
                        }
                        UISpenBluetoothTest.this.mHandler.sendEmptyMessage(UISpenBluetoothTest.MSG_TEST_FAIL);
                    } else if (UISpenBluetoothTest.this.mState == UISpenBluetoothTest.STATE_CHARGEOFF) {
                        UISpenBluetoothTest.this.mChargeOff_result_p.setText("PASS");
                        UISpenBluetoothTest.this.mChargeOff_result_p.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                        UISpenBluetoothTest.this.mState = UISpenBluetoothTest.STATE_BATTERYCHECK_1;
                        UISpenBluetoothTest.this.mHandler.sendEmptyMessageDelayed(UISpenBluetoothTest.MSG_BATTERYLEVEL_READ, 3000);
                    } else if (UISpenBluetoothTest.this.mState == UISpenBluetoothTest.STATE_CHARGEOFF1) {
                        UISpenBluetoothTest.this.mChargeOff_result_c.setText("PASS");
                        UISpenBluetoothTest.this.mChargeOff_result_c.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                        UISpenBluetoothTest.this.mState = UISpenBluetoothTest.STATE_BATTERYCHECK_43;
                        UISpenBluetoothTest.this.mHandler.sendEmptyMessageDelayed(UISpenBluetoothTest.MSG_BATTERYLEVEL_READ, 1000);
                    }
                } else if (msg.what == UISpenBluetoothTest.MSG_SUBCOLORCODE_WRITE) {
                    if (UISpenBluetoothTest.this.mState == UISpenBluetoothTest.STATE_SUBCOLORCODE) {
                        UISpenBluetoothTest.this.setSpenChargeMode(EgisFingerprint.MAJOR_VERSION);
                        if (UISpenBluetoothTest.this.mSettedColorCode != null) {
                            UISpenBluetoothTest uISpenBluetoothTest17 = UISpenBluetoothTest.this;
                            uISpenBluetoothTest17.writeSubColorCode("P", uISpenBluetoothTest17.mSettedColorCode);
                            return;
                        }
                        UISpenBluetoothTest.this.mColorCode_result_p.setText("FAIL");
                        UISpenBluetoothTest.this.mColorCode_result_p.setTextColor(-65536);
                        UISpenBluetoothTest.this.mHandler.sendEmptyMessage(UISpenBluetoothTest.MSG_TEST_FAIL);
                    }
                } else if (msg.what == UISpenBluetoothTest.MSG_SUBCOLORCODE_RESULT) {
                    if (UISpenBluetoothTest.this.mState == UISpenBluetoothTest.STATE_SUBEWRITE) {
                        UISpenBluetoothTest.this.mState = UISpenBluetoothTest.STATE_CHARGEOFF;
                        UISpenBluetoothTest.this.mHandler.sendEmptyMessageDelayed(UISpenBluetoothTest.MSG_CHARGING_OFF, 4000);
                    } else if (UISpenBluetoothTest.this.mState == UISpenBluetoothTest.STATE_SUBCOLORCODE) {
                        if (UISpenBluetoothTest.this.mSettedColorCode != null) {
                            UISpenBluetoothTest.this.mColorCode_measure_p.setText(UISpenBluetoothTest.this.mColorCodeResult);
                            UISpenBluetoothTest.access$3884(UISpenBluetoothTest.this, "," + UISpenBluetoothTest.this.mColorCodeResult);
                            if (UISpenBluetoothTest.this.mSettedColorCode.equalsIgnoreCase(UISpenBluetoothTest.this.mColorCodeResult)) {
                                UISpenBluetoothTest.this.mColorCode_result_p.setText("PASS");
                                UISpenBluetoothTest.this.mColorCode_result_p.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                            } else {
                                UISpenBluetoothTest.this.mColorCode_result_p.setText("FAIL");
                                UISpenBluetoothTest.this.mColorCode_result_p.setTextColor(-65536);
                                UISpenBluetoothTest.this.mHandler.sendEmptyMessage(UISpenBluetoothTest.MSG_TEST_FAIL);
                            }
                        }
                        if ("P".equalsIgnoreCase(UISpenBluetoothTest.this.mSubResult)) {
                            UISpenBluetoothTest.this.mSub_result_c.setText("PASS");
                            UISpenBluetoothTest.this.mSub_result_c.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                            UISpenBluetoothTest.this.mHandler.sendEmptyMessage(UISpenBluetoothTest.MSG_TEST_PASS);
                            return;
                        }
                        UISpenBluetoothTest.this.mSub_result_c.setText("FAIL");
                        UISpenBluetoothTest.this.mSub_result_c.setTextColor(-65536);
                        UISpenBluetoothTest.this.mHandler.sendEmptyMessage(UISpenBluetoothTest.MSG_TEST_FAIL);
                    }
                } else if (msg.what == UISpenBluetoothTest.MSG_TEST_PASS) {
                    FtUtil.log_d(UISpenBluetoothTest.CLASS_NAME, "handleMessage", FtUtil.setMspSeqMessage(5, "SPEN BLE TEST", "Pass"));
                    UISpenBluetoothTest.this.allResultData = "OK," + UISpenBluetoothTest.this.allResultData;
                    UISpenBluetoothTest.this.mIsAllPass = true;
                    UISpenBluetoothTest.this.updateResult(false, UISpenBluetoothTest.mStateString[UISpenBluetoothTest.this.mState]);
                    UISpenBluetoothTest.this.mState = UISpenBluetoothTest.STATE_FINISH;
                    UISpenBluetoothTest.this.mResultView.setText("PASS");
                    UISpenBluetoothTest.this.mResultView.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                    UISpenBluetoothTest.this.setResult(80);
                    UISpenBluetoothTest.this.changeSlaveLatency(9);
                    UISpenBluetoothTest.this.endTest();
                    UISpenBluetoothTest.this.mButtonRetry.setEnabled(true);
                } else if (msg.what == UISpenBluetoothTest.MSG_TEST_FAIL) {
                    FtUtil.log_d(UISpenBluetoothTest.CLASS_NAME, "handleMessage", FtUtil.setMspSeqMessage(5, "SPEN BLE TEST", "Fail (prev state: " + UISpenBluetoothTest.mStateString[UISpenBluetoothTest.this.mState] + ")"));
                    UISpenBluetoothTest.this.allResultData = "NG," + UISpenBluetoothTest.this.allResultData;
                    UISpenBluetoothTest.this.mIsAllPass = false;
                    UISpenBluetoothTest.this.updateResult(false, UISpenBluetoothTest.mStateString[UISpenBluetoothTest.this.mState]);
                    UISpenBluetoothTest.this.mState = UISpenBluetoothTest.STATE_FINISH;
                    UISpenBluetoothTest.this.mResultView.setText("FAIL");
                    UISpenBluetoothTest.this.mResultView.setTextColor(-65536);
                    UISpenBluetoothTest.this.setResult(70);
                    UISpenBluetoothTest.this.changeSlaveLatency(9);
                    UISpenBluetoothTest.this.endTest();
                    UISpenBluetoothTest.this.mButtonRetry.setEnabled(true);
                } else if (msg.what == UISpenBluetoothTest.MSG_TEST_EXIT) {
                    if (UISpenBluetoothTest.this.mSpenBluetoothService != null && UISpenBluetoothTest.this.mSpenBluetoothService.pairingCheck()) {
                        UISpenBluetoothTest.this.changeSlaveLatency(9);
                    }
                    FtUtil.log_d(UISpenBluetoothTest.CLASS_NAME, "handleMessage", FtUtil.setMspSeqMessage(5, "SPEN BLE TEST", "End"));
                    UISpenBluetoothTest.this.finish();
                }
            }
        }
    };
    private boolean mIsAllPass = false;
    private boolean mIsRetestByCMD = false;
    private ModuleCommunication mModuleCommunication = null;
    private TextView mPairing_measure_p;
    private TextView mPairing_result_p;
    private int mPairing_spec_Min;
    private TextView mPairing_spec_p;
    private TextView mPenId_result_p;
    private SharedPreferences.Editor mPreferenceEditor;
    private SharedPreferences mPreferences;
    private TextView mResultView;
    private boolean mServiceBound;
    private final ServiceConnection mServiceConnection = new ServiceConnection() {
        /* class com.sec.factory.app.ui.UISpenBluetoothTest.AnonymousClass3 */

        public void onServiceConnected(ComponentName componentName, IBinder service) {
            FtUtil.log_d(UISpenBluetoothTest.CLASS_NAME, "onServiceConnected", "onServiceConnected");
            UISpenBluetoothTest.this.mServiceBound = true;
            UISpenBluetoothTest.this.mSpenBluetoothService = ((SpenBluetoothService.LocalBinder) service).getService();
            int i = UISpenBluetoothTest.this.mSpenBluetoothService.mConnectionState;
            SpenBluetoothService unused = UISpenBluetoothTest.this.mSpenBluetoothService;
            if (i == 0 && !UISpenBluetoothTest.this.mSpenBluetoothService.initialize()) {
                FtUtil.log_d(UISpenBluetoothTest.CLASS_NAME, "onServiceConnected", "Unable to initialize Bluetooth");
            }
        }

        public void onServiceDisconnected(ComponentName componentName) {
            FtUtil.log_d(UISpenBluetoothTest.CLASS_NAME, "onServiceDisConnected", "onServiceDisconnected");
            UISpenBluetoothTest.this.mServiceBound = false;
        }
    };
    private int mSettedColorBody = -16777216;
    private String mSettedColorCode = null;
    private int mSettedColorTip = -16777216;
    private SpenBluetoothService mSpenBluetoothService = null;
    private final BroadcastReceiver mSpenDetectionReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.app.ui.UISpenBluetoothTest.AnonymousClass2 */

        public void onReceive(Context context, Intent intent) {
            boolean spenInserted = intent.getBooleanExtra("penInsert", false);
            FtUtil.log_d(UISpenBluetoothTest.CLASS_NAME, "SpenDetectionReceiver", "spenInserted: " + spenInserted);
            if (UISpenBluetoothTest.this.mState == UISpenBluetoothTest.STATE_FINISH && !spenInserted) {
                UISpenBluetoothTest.this.mResultView.setText("READY");
                UISpenBluetoothTest.this.mResultView.setTextColor(-16777216);
            }
        }
    };
    private int mState;
    private String mSubResult = "";
    private TextView mSub_result_c;

    static /* synthetic */ String access$3884(UISpenBluetoothTest x0, Object x1) {
        String str = x0.allResultData + x1;
        x0.allResultData = str;
        return str;
    }

    static {
        TEST_STATE = 0;
        int i = 0 + 1;
        TEST_STATE = i;
        int i2 = i + 1;
        TEST_STATE = i2;
        STATE_BTON = i;
        int i3 = i2 + 1;
        TEST_STATE = i3;
        STATE_DETECT = i2;
        int i4 = i3 + 1;
        TEST_STATE = i4;
        STATE_CHARGEON = i3;
        int i5 = i4 + 1;
        TEST_STATE = i5;
        STATE_PAIRING = i4;
        int i6 = i5 + 1;
        TEST_STATE = i6;
        STATE_PENID = i5;
        int i7 = i6 + 1;
        TEST_STATE = i7;
        STATE_SLAVELATENCY_1S = i6;
        int i8 = i7 + 1;
        TEST_STATE = i8;
        STATE_BATTERYCHECK_0 = i7;
        int i9 = i8 + 1;
        TEST_STATE = i9;
        STATE_SUBEWRITE = i8;
        int i10 = i9 + 1;
        TEST_STATE = i10;
        STATE_CHARGEOFF = i9;
        int i11 = i10 + 1;
        TEST_STATE = i11;
        STATE_BATTERYCHECK_1 = i10;
        int i12 = i11 + 1;
        TEST_STATE = i12;
        STATE_FASTDISCHARGING = i11;
        int i13 = i12 + 1;
        TEST_STATE = i13;
        STATE_BATTERYCHECK_12 = i12;
        int i14 = i13 + 1;
        TEST_STATE = i14;
        STATE_BATTERYCHECK_23 = i13;
        int i15 = i14 + 1;
        TEST_STATE = i15;
        STATE_CHARGEON1 = i14;
        int i16 = i15 + 1;
        TEST_STATE = i16;
        STATE_CHARGEOFF1 = i15;
        int i17 = i16 + 1;
        TEST_STATE = i17;
        STATE_BATTERYCHECK_43 = i16;
        int i18 = i17 + 1;
        TEST_STATE = i18;
        STATE_FW = i17;
        int i19 = i18 + 1;
        TEST_STATE = i19;
        STATE_DATE = i18;
        int i20 = i19 + 1;
        TEST_STATE = i20;
        STATE_SUBCOLORCODE = i19;
        int i21 = i20 + 1;
        TEST_STATE = i21;
        STATE_SUBCOLORCODE_RESULT = i20;
        int i22 = i21 + 1;
        TEST_STATE = i22;
        STATE_SLAVELATENCY_9S = i21;
        TEST_STATE = i22 + 1;
        STATE_FINISH = i22;
        TEST_MSG = 0;
        int i23 = 0 + 1;
        TEST_MSG = i23;
        int i24 = i23 + 1;
        TEST_MSG = i24;
        MSG_DETECT_START = i23;
        int i25 = i24 + 1;
        TEST_MSG = i25;
        MSG_PAIRING_START = i24;
        int i26 = i25 + 1;
        TEST_MSG = i26;
        MSG_PAIRING_PASS = i25;
        int i27 = i26 + 1;
        TEST_MSG = i27;
        MSG_PAIRING_RESTART = i26;
        int i28 = i27 + 1;
        TEST_MSG = i28;
        MSG_PEN_ID = i27;
        int i29 = i28 + 1;
        TEST_MSG = i29;
        MSG_FASTDISCHARGING_START = i28;
        int i30 = i29 + 1;
        TEST_MSG = i30;
        MSG_CHANGESLAVELATENCY_1S = i29;
        int i31 = i30 + 1;
        TEST_MSG = i31;
        MSG_CHANGESLAVELATENCY_1S_RESULT = i30;
        int i32 = i31 + 1;
        TEST_MSG = i32;
        MSG_BATTERYLEVEL_READ = i31;
        int i33 = i32 + 1;
        TEST_MSG = i33;
        MSG_BATTERYLEVEL_RESULT = i32;
        int i34 = i33 + 1;
        TEST_MSG = i34;
        MSG_CHARGING_ON = i33;
        int i35 = i34 + 1;
        TEST_MSG = i35;
        MSG_CHARGING_OFF = i34;
        int i36 = i35 + 1;
        TEST_MSG = i36;
        MSG_SUBEWRITE_RESULT = i35;
        int i37 = i36 + 1;
        TEST_MSG = i37;
        MSG_FWVER_READ = i36;
        int i38 = i37 + 1;
        TEST_MSG = i38;
        MSG_FWVER_RESULT = i37;
        int i39 = i38 + 1;
        TEST_MSG = i39;
        MSG_DATE_READ = i38;
        int i40 = i39 + 1;
        TEST_MSG = i40;
        MSG_DATE_RESULT = i39;
        int i41 = i40 + 1;
        TEST_MSG = i41;
        MSG_SUBCOLORCODE_WRITE = i40;
        int i42 = i41 + 1;
        TEST_MSG = i42;
        MSG_SUBCOLORCODE_RESULT = i41;
        int i43 = i42 + 1;
        TEST_MSG = i43;
        MSG_TEST_PASS = i42;
        int i44 = i43 + 1;
        TEST_MSG = i44;
        MSG_TEST_FAIL = i43;
        int i45 = i44 + 1;
        TEST_MSG = i45;
        MSG_TEST_EXIT = i44;
        TEST_MSG = i45 + 1;
        MSG_CHANGESLAVELATENCY_9S_RESULT = i45;
    }

    public UISpenBluetoothTest() {
        super(CLASS_NAME);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_spenbluetoothtest);
        this.mModuleCommunication = ModuleCommunication.instance(this);
        String stringExtra = getIntent().getStringExtra("colorCode");
        this.mSettedColorCode = stringExtra;
        this.mSettedColorBody = SpenBluetoothTestEntry.ColorSet.colorBodyFromCode(stringExtra);
        this.mSettedColorTip = SpenBluetoothTestEntry.ColorSet.colorTipFromCode(this.mSettedColorCode);
        Context applicationContext = getApplicationContext();
        this.mContext = applicationContext;
        SharedPreferences sharedPreferences = applicationContext.getSharedPreferences("SPEN_BLE_TEST_RESULT", 0);
        this.mPreferences = sharedPreferences;
        this.mPreferenceEditor = sharedPreferences.edit();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        Settings.System.putInt(getContentResolver(), "pen_detect_mode_disabled", 1);
        Support.Kernel.write(Support.Kernel.EPEN_SAVINGMODE, EgisFingerprint.MAJOR_VERSION);
        registerReceiver(this.mBtStateReceiver, new IntentFilter(ModuleCommunication.ACTION_BT_SERVICE_RESPONSE));
        registerReceiver(this.mSpenDetectionReceiver, new IntentFilter("com.samsung.pen.INSERT"));
        registerReceiver(this.mGattUpdateReceiver, makeGattUpdateIntentFilter());
        initTest();
        if (this.mIsRetestByCMD) {
            startTest(true);
        } else {
            startTest(false);
        }
    }

    /* access modifiers changed from: protected */
    public void onNewIntent(Intent intent) {
        super.onNewIntent(intent);
        String stringExtra = intent.getStringExtra("colorCode");
        this.mSettedColorCode = stringExtra;
        this.mSettedColorBody = SpenBluetoothTestEntry.ColorSet.colorBodyFromCode(stringExtra);
        this.mSettedColorTip = SpenBluetoothTestEntry.ColorSet.colorTipFromCode(this.mSettedColorCode);
        FtUtil.log_d(CLASS_NAME, "onNewIntent", "mSettedColorCode : " + this.mSettedColorCode);
        this.mIsRetestByCMD = true;
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        endTest();
        unregisterReceiver(this.mBtStateReceiver);
        unregisterReceiver(this.mSpenDetectionReceiver);
        unregisterReceiver(this.mGattUpdateReceiver);
        Settings.System.putInt(getContentResolver(), "pen_detect_mode_disabled", 0);
        Support.Kernel.write(Support.Kernel.EPEN_SAVINGMODE, "0");
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        blueToothOff();
        setSpenChargeMode(EgisFingerprint.MAJOR_VERSION);
        super.onDestroy();
    }

    private void initTest() {
        initUi();
        initTestValues();
    }

    private void initUi() {
        FtUtil.log_d(CLASS_NAME, "initUi", "initUi");
        this.mBtOn_result_p = (TextView) findViewById(R.id.p_result_bton);
        this.mDetect_result_p = (TextView) findViewById(R.id.p_result_detect);
        this.mChargeOn_result_p = (TextView) findViewById(R.id.p_result_chargeon);
        this.mPairing_spec_p = (TextView) findViewById(R.id.p_spec_pairing);
        this.mPairing_measure_p = (TextView) findViewById(R.id.p_measure_pairing);
        this.mPairing_result_p = (TextView) findViewById(R.id.p_result_pairing);
        this.mPenId_result_p = (TextView) findViewById(R.id.p_result_penid);
        this.mBatt0_spec_p = (TextView) findViewById(R.id.p_spec_batt0);
        this.mBatt0_measure_p = (TextView) findViewById(R.id.p_measure_batt0);
        this.mBatt0_result_p = (TextView) findViewById(R.id.p_result_batt0);
        this.mChargeOff_result_p = (TextView) findViewById(R.id.p_result_chargeoff);
        this.mBatt1_spec_d = (TextView) findViewById(R.id.d_spec_batt1);
        this.mBatt1_measure_d = (TextView) findViewById(R.id.d_measure_batt1);
        this.mBatt1_result_d = (TextView) findViewById(R.id.d_result_batt1);
        this.mDischarge_result_d = (TextView) findViewById(R.id.d_result_discharge);
        this.mBatt12_spec_d = (TextView) findViewById(R.id.d_spec_batt12);
        this.mBatt12_measure_d = (TextView) findViewById(R.id.d_measure_batt12);
        this.mBatt12_result_d = (TextView) findViewById(R.id.d_result_batt12);
        this.mBatt23_spec_c = (TextView) findViewById(R.id.c_spec_batt23);
        this.mBatt23_measure_c = (TextView) findViewById(R.id.c_measure_batt23);
        this.mBatt23_result_c = (TextView) findViewById(R.id.c_result_batt23);
        this.mChargeOn_result_c = (TextView) findViewById(R.id.c_result_chargeon);
        this.mChargeOff_result_c = (TextView) findViewById(R.id.c_result_chargeoff);
        this.mBatt43_spec_c = (TextView) findViewById(R.id.c_spec_batt43);
        this.mBatt43_measure_c = (TextView) findViewById(R.id.c_measure_batt43);
        this.mBatt43_result_c = (TextView) findViewById(R.id.c_result_batt43);
        this.mFWver_spec_c = (TextView) findViewById(R.id.c_spec_fw);
        this.mFWver_measure_c = (TextView) findViewById(R.id.c_measure_fw);
        this.mFWver_result_c = (TextView) findViewById(R.id.c_result_fw);
        this.mDate_result_c = (TextView) findViewById(R.id.c_result_date);
        this.mColorBodyCode_spec_p = (TextView) findViewById(R.id.c_spec_colorbodycode);
        this.mColorTipCode_spec_p = (TextView) findViewById(R.id.c_spec_colortipcode);
        this.mColorCode_measure_p = (TextView) findViewById(R.id.c_measure_colorcode);
        this.mColorCode_result_p = (TextView) findViewById(R.id.c_result_colorcode);
        this.mSub_result_c = (TextView) findViewById(R.id.c_result_subtest);
        this.mResultView = (TextView) findViewById(R.id.test_result);
        this.mButtonRetry = (Button) findViewById(R.id.retry_button);
        this.mButtonExit = (Button) findViewById(R.id.exit_button);
        this.mButtonRetry.setOnClickListener(this);
        this.mButtonExit.setOnClickListener(this);
        this.mButtonRetry.setEnabled(false);
        initTexts();
    }

    private void initTexts() {
        FtUtil.log_d(CLASS_NAME, "initTexts", "");
        setSpec();
        this.mBtOn_result_p.setText("");
        this.mDetect_result_p.setText("");
        this.mChargeOn_result_p.setText("");
        this.mPairing_spec_p.setText(String.format("%d db", Integer.valueOf(this.mPairing_spec_Min)));
        this.mPairing_measure_p.setText("");
        this.mPairing_result_p.setText("");
        this.mPenId_result_p.setText("");
        TextView textView = this.mBatt0_spec_p;
        textView.setText(String.valueOf(this.mBatt0_spec_Min) + "-" + String.valueOf(this.mBatt0_spec_Max));
        this.mBatt0_measure_p.setText("");
        this.mBatt0_result_p.setText("");
        this.mChargeOff_result_p.setText("");
        TextView textView2 = this.mBatt1_spec_d;
        textView2.setText(String.valueOf(this.mBatt1_spec_Min) + "-" + String.valueOf(this.mBatt1_spec_Max));
        this.mBatt1_measure_d.setText("");
        this.mBatt1_result_d.setText("");
        this.mDischarge_result_d.setText("");
        TextView textView3 = this.mBatt12_spec_d;
        textView3.setText(String.valueOf(this.mBatt12_spec_Min) + "-" + String.valueOf(this.mBatt12_spec_Max));
        this.mBatt12_measure_d.setText("");
        this.mBatt12_result_d.setText("");
        TextView textView4 = this.mBatt23_spec_c;
        textView4.setText(String.valueOf(this.mBatt23_spec_Min) + "-" + String.valueOf(this.mBatt23_spec_Max));
        this.mBatt23_measure_c.setText("");
        this.mBatt23_result_c.setText("");
        this.mChargeOn_result_c.setText("");
        this.mChargeOff_result_c.setText("");
        TextView textView5 = this.mBatt43_spec_c;
        textView5.setText(String.valueOf(this.mBatt43_spec_Min) + "-" + String.valueOf(this.mBatt43_spec_Max));
        this.mBatt43_measure_c.setText("");
        this.mBatt43_result_c.setText("");
        TextView textView6 = this.mFWver_spec_c;
        textView6.setText("0x" + String.format("%X", Integer.valueOf(this.mFWver_spec_Min)));
        this.mFWver_measure_c.setText("");
        this.mFWver_result_c.setText("");
        this.mDate_result_c.setText("");
        this.mColorBodyCode_spec_p.setBackgroundColor(this.mSettedColorBody);
        this.mColorTipCode_spec_p.setBackgroundColor(this.mSettedColorTip);
        this.mColorCode_measure_p.setText("");
        this.mColorCode_result_p.setText("");
        this.mSub_result_c.setText("");
        this.mResultView.setText("");
    }

    private void setSpec() {
        FtUtil.log_d(CLASS_NAME, "setSpec", "setSpec");
        this.mPairing_spec_Min = Support.Spec.getInt(Support.Spec.SPEN_BLE_TEST_MINRSSI);
        this.mFWver_spec_Min = Support.Spec.getInt(Support.Spec.SPEN_BLE_FW_VER_SPEC_MIN);
        this.mBatt0_spec_Min = Support.Spec.getInt(Support.Spec.SPEN_BLE_BATT0_SPEC_MIN);
        this.mBatt0_spec_Max = Support.Spec.getInt(Support.Spec.SPEN_BLE_BATT0_SPEC_MAX);
        this.mBatt1_spec_Min = Support.Spec.getInt(Support.Spec.SPEN_BLE_BATT1_SPEC_MIN);
        this.mBatt1_spec_Max = Support.Spec.getInt(Support.Spec.SPEN_BLE_BATT1_SPEC_MAX);
        this.mBatt12_spec_Min = Support.Spec.getInt(Support.Spec.SPEN_BLE_BATT12_SPEC_MIN);
        this.mBatt12_spec_Max = Support.Spec.getInt(Support.Spec.SPEN_BLE_BATT12_SPEC_MAX);
        this.mBatt23_spec_Min = Support.Spec.getInt(Support.Spec.SPEN_BLE_BATT23_SPEC_MIN);
        this.mBatt23_spec_Max = Support.Spec.getInt(Support.Spec.SPEN_BLE_BATT23_SPEC_MAX);
        this.mBatt43_spec_Min = Support.Spec.getInt(Support.Spec.SPEN_BLE_BATT43_SPEC_MIN);
        this.mBatt43_spec_Max = Support.Spec.getInt(Support.Spec.SPEN_BLE_BATT43_SPEC_MAX);
        this.mDelay_Battery_Check = Support.Spec.getInt(Support.Spec.SPEN_BATTERY_CHECK_DELAY_AFTER_DISCHARGING);
    }

    private void initTestValues() {
        this.mBatteryLevel = -1;
        this.mBatteryLevel0 = -1;
        this.mBatteryLevel1 = -1;
        this.mBatteryLevel12 = -1;
        this.mBatteryLevel23 = -1;
        this.mBatteryLevel43 = -1;
        this.mFwVer = -1;
        this.mState = STATE_READY;
        this.mServiceBound = false;
        this.mIsAllPass = false;
    }

    private void startTest(boolean isBTON) {
        FtUtil.log_d(CLASS_NAME, "startTest", "");
        FtUtil.log_d(CLASS_NAME, "startTest", FtUtil.setMspSeqMessage(5, "SPEN BLE TEST", "Start"));
        setSpenDisableMode("0");
        setSpenChargeMode(EgisFingerprint.MAJOR_VERSION);
        updateResult(true, mStateString[this.mState]);
        this.mResultView.setText("TEST");
        this.mResultView.setTextColor(-16777216);
        this.allResultData = "";
        this.mState = STATE_BTON;
        if (isBTON) {
            this.mHandler.sendEmptyMessage(MSG_BTON_PASS);
        } else {
            blueToothOn();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void endTest() {
        FtUtil.log_d(CLASS_NAME, "endTest", "allResultData : " + this.allResultData);
        this.mState = STATE_FINISH;
        this.mHandler.removeCallbacksAndMessages(null);
        if (this.mServiceBound) {
            unbindService(this.mServiceConnection);
            this.mServiceBound = false;
        }
        this.mSpenBluetoothService = null;
        setSpenDisableMode("0");
        setSpenChargeMode("0");
        this.mIsRetestByCMD = false;
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.exit_button:
                FtUtil.log_i(CLASS_NAME, "onClick", "exit button click");
                this.mHandler.sendEmptyMessage(MSG_TEST_EXIT);
                return;
            case R.id.retry_button:
                FtUtil.log_i(CLASS_NAME, "onClick", "retry button click");
                initTest();
                startTest(true);
                return;
            default:
                return;
        }
    }

    @Override // com.sec.factory.app.ui.UIBase
    public boolean onKeyDown(int keyCode, KeyEvent event) {
        switch (keyCode) {
            case 26:
                FtUtil.log_i(CLASS_NAME, "onKeyDown", "KEYCODE_POWER");
                int i = this.mState;
                if (i != STATE_READY) {
                    if (i == STATE_FINISH) {
                        initTest();
                        startTest(true);
                        break;
                    }
                } else {
                    startTest(false);
                    break;
                }
                break;
        }
        return true;
    }

    private IntentFilter makeGattUpdateIntentFilter() {
        IntentFilter intentFilter = new IntentFilter();
        intentFilter.addAction(SpenBluetoothService.ACTION_DATA_READY);
        intentFilter.addAction(SpenBluetoothService.ACTION_KEYEVENT_READY);
        intentFilter.addAction(SpenBluetoothService.ACTION_GATT_RECONNECT);
        intentFilter.addAction(SpenBluetoothService.ACTION_GATT_DISCONNECTED);
        intentFilter.addAction(SpenBluetoothService.ACTION_GATT_CONNECTED);
        intentFilter.addAction(SpenBluetoothService.ACTION_NOT_FOUND);
        intentFilter.addAction(SpenBluetoothService.ACTION_SCAN_START);
        intentFilter.addAction(SpenBluetoothService.ACTION_SCAN_SUCCESS);
        intentFilter.addAction(SpenBluetoothService.ACTION_PAIRING_REQUEST);
        intentFilter.addAction(SpenBluetoothService.ACTION_BATTERY);
        intentFilter.addAction(SpenBluetoothService.ACTION_FW_VER);
        intentFilter.addAction(SpenBluetoothService.ACTION_DATE);
        intentFilter.addAction(SpenBluetoothService.ACTION_SUBCOLORCODE_RESULT);
        intentFilter.addAction(SpenBluetoothService.ACTION_SLAVELATENCY1S_CHANGE);
        intentFilter.addAction(SpenBluetoothService.ACTION_SLAVELATENCY9S_CHANGE);
        intentFilter.setPriority(999);
        return intentFilter;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean checkSpec(int specMin, int specMax, int measure) {
        FtUtil.log_d(CLASS_NAME, "checkSpec", "Spec : " + specMin + " ~ " + specMax + " Measure : " + measure);
        if (measure < specMin || measure > specMax) {
            FtUtil.log_d(CLASS_NAME, "checkSpec", "Fail");
            return false;
        }
        FtUtil.log_d(CLASS_NAME, "checkSpec", "Pass");
        return true;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean setSpenChargeMode(String mode) {
        FtUtil.log_d(CLASS_NAME, "setSpenChargeMode", "Set :" + mode);
        try {
            Support.Kernel.write(Support.Kernel.EPEN_BLE_CHARGING_MODE, "0");
            if (!EgisFingerprint.MAJOR_VERSION.equals(mode)) {
                return true;
            }
            sleep(100);
            Support.Kernel.write(Support.Kernel.EPEN_BLE_CHARGING_MODE, EgisFingerprint.MAJOR_VERSION);
            return true;
        } catch (Exception e) {
            e.printStackTrace();
            return false;
        }
    }

    private boolean setSpenDisableMode(String mode) {
        FtUtil.log_d(CLASS_NAME, "setSpenDisableMode", "Set :" + mode);
        try {
            Support.Kernel.write(Support.Kernel.EPEN_DISABLE_MODE, "0");
            if (!EgisFingerprint.MAJOR_VERSION.equals(mode)) {
                return true;
            }
            sleep(100);
            Support.Kernel.write(Support.Kernel.EPEN_DISABLE_MODE, EgisFingerprint.MAJOR_VERSION);
            return true;
        } catch (Exception e) {
            e.printStackTrace();
            return false;
        }
    }

    private void blueToothOn() {
        FtUtil.log_d(CLASS_NAME, "blueToothOn", "");
        this.mModuleCommunication.btActivationWhereAtcmd();
    }

    private void blueToothOff() {
        FtUtil.log_d(CLASS_NAME, "blueToothOff", "");
        this.mModuleCommunication.btDeactivation();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean spenDetect() {
        if (EgisFingerprint.MAJOR_VERSION.equals(Support.Kernel.read(Support.Kernel.EPEN_INSERT))) {
            return true;
        }
        return false;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void paringStart() {
        FtUtil.log_d(CLASS_NAME, "paringStart", "");
        bindService(new Intent(this, SpenBluetoothService.class), this.mServiceConnection, 1);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean readPenId() {
        FtUtil.log_d(CLASS_NAME, "readPenId", "");
        SpenBluetoothService spenBluetoothService = this.mSpenBluetoothService;
        if (spenBluetoothService == null) {
            return false;
        }
        String btAddress = spenBluetoothService.getBtAddress();
        this.mBtAddress = btAddress;
        if (btAddress != null) {
            return true;
        }
        return false;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean changeSlaveLatency(int mode) {
        FtUtil.log_d(CLASS_NAME, "changeSlaveLatency", "");
        SpenBluetoothService spenBluetoothService = this.mSpenBluetoothService;
        if (spenBluetoothService == null || !spenBluetoothService.changeSlaveLatency(mode)) {
            return false;
        }
        return true;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean startFastDischarging() {
        FtUtil.log_d(CLASS_NAME, "startFastDischarging", "");
        SpenBluetoothService spenBluetoothService = this.mSpenBluetoothService;
        if (spenBluetoothService == null || !spenBluetoothService.startFastDischarging()) {
            return false;
        }
        return true;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void readBatteryLevel() {
        FtUtil.log_d(CLASS_NAME, "readBatteryLevel", "");
        SpenBluetoothService spenBluetoothService = this.mSpenBluetoothService;
        if (spenBluetoothService != null) {
            spenBluetoothService.readBatteryLevelRaw();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void readBatteryLevelNew() {
        FtUtil.log_d(CLASS_NAME, "readBatteryLevelNew", "");
        SpenBluetoothService spenBluetoothService = this.mSpenBluetoothService;
        if (spenBluetoothService != null) {
            spenBluetoothService.readBatteryLevelRawNew();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void readFwVer() {
        FtUtil.log_d(CLASS_NAME, "readFwVer", "");
        SpenBluetoothService spenBluetoothService = this.mSpenBluetoothService;
        if (spenBluetoothService != null) {
            spenBluetoothService.fwVerRead();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void readDate() {
        FtUtil.log_d(CLASS_NAME, "readDate", "");
        SpenBluetoothService spenBluetoothService = this.mSpenBluetoothService;
        if (spenBluetoothService != null) {
            spenBluetoothService.dateRead();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void writeSubColorCode(String subResult, String colorCode) {
        FtUtil.log_d(CLASS_NAME, "writeSubColorCode", "subResult : " + subResult + " colorCode : " + colorCode);
        SpenBluetoothService spenBluetoothService = this.mSpenBluetoothService;
        if (spenBluetoothService != null) {
            spenBluetoothService.subColorCodeWrite(subResult, colorCode);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setKeyEventNotification() {
        FtUtil.log_d(CLASS_NAME, "setKeyEventNotification", "");
        SpenBluetoothService spenBluetoothService = this.mSpenBluetoothService;
        if (spenBluetoothService != null) {
            spenBluetoothService.setCharacteristicNotification(SpenBluetoothService.BUTTON_EVENT, true);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void updateResult(boolean isTesting, String testState) {
        String result;
        if (!isTesting) {
            boolean z = this.mIsAllPass;
            result = z ? "PASS" : "FAIL";
            if (!z) {
                result = result + "_" + testState;
            }
        } else {
            result = "TEST_" + testState;
        }
        this.mPreferenceEditor.putString("TEST_RESULT", result);
        this.mPreferenceEditor.putString("TEST_RESULT_DATA", this.allResultData);
        this.mPreferenceEditor.commit();
    }
}
