package com.sec.factory.app.ui;

import android.hardware.input.InputManager;
import android.os.Bundle;
import android.os.Handler;
import android.provider.Settings;
import android.view.InputDevice;
import android.view.KeyEvent;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.ModuleAudio;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;

public class UISpenKeyTest extends UIKeyBase {
    private boolean backPressPass = false;
    private boolean backReleasePass = false;
    private boolean isBackKeyPressed = false;
    private boolean isMenuKeyPressed = false;
    protected View.OnClickListener mExitButtonAction = new View.OnClickListener() {
        /* class com.sec.factory.app.ui.UISpenKeyTest.AnonymousClass1 */

        public void onClick(View view) {
            UISpenKeyTest.this.setResult(0);
            UISpenKeyTest.this.finish();
        }
    };
    private Handler mHandler = new Handler();
    private boolean mIsPassed = false;
    private int mMultiWindowEnabled = 0;
    private int mOldVolumeIndex;
    private TextView mPressBack;
    private TextView mPressMenu;
    private TextView mReleaseBack;
    private TextView mReleaseMenu;
    private boolean menuPressPass = false;
    private boolean menuReleasePass = false;

    public UISpenKeyTest() {
        super("UISpenKeyTest");
    }

    @Override // com.sec.factory.app.ui.UIKeyBase, com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        int i = Settings.System.getInt(getContentResolver(), "multi_window_enabled", 0);
        this.mMultiWindowEnabled = i;
        if (i == 1) {
            Settings.System.putInt(getContentResolver(), "multi_window_enabled", 0);
        }
        String str = this.CLASS_NAME;
        FtUtil.log_v(str, "onCreate", "TEST_ID = " + this.TEST_ID);
        try {
            if (Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML((byte) 64)).contains("VERTICAL")) {
                setContentView(R.layout.ui_spenkeytest_vertical);
            } else {
                setContentView(R.layout.ui_spenkeytest);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        initialize();
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        this.mOldVolumeIndex = ModuleAudio.instance(this).getStreamMusicVolumeIndex();
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "initialize", "mOldVolume = " + this.mOldVolumeIndex);
        ModuleAudio.instance(this).setStreamMusicVolumeMaxIndex();
        Settings.System.putInt(getContentResolver(), "pen_detect_mode_disabled", 0);
        Support.Kernel.write(Support.Kernel.EPEN_SAVINGMODE, "0");
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
        if (this.mMultiWindowEnabled == 1) {
            Settings.System.putInt(getContentResolver(), "multi_window_enabled", 1);
        }
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        ModuleAudio.instance(this).setStreamMusicVolumeIndex(this.mOldVolumeIndex);
        if (this.mMultiWindowEnabled == 1) {
            Settings.System.putInt(getContentResolver(), "multi_window_enabled", 1);
        }
    }

    @Override // com.sec.factory.app.ui.UIKeyBase, com.sec.factory.app.ui.UIBase
    public boolean onKeyUp(int keyCode, KeyEvent event) {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "onKeyUp", "passed=" + this.mIsPassed + ", keyCode=" + keyCode);
        if (keyCode == 82 || keyCode == 187) {
            String str2 = this.CLASS_NAME;
            FtUtil.log_d(str2, "onKeyUp", "setMenuRelease: isMenuKeyPressed : " + this.isMenuKeyPressed);
            if (isTouchPenKeyEvent(event) && !this.mIsPassed) {
                setMenuRelease();
                this.isMenuKeyPressed = false;
                FtUtil.log_d(this.CLASS_NAME, "onKeyUp", "setMenuRelease: isMenuKeyPressed = false");
            }
        } else if (keyCode == 4) {
            String str3 = this.CLASS_NAME;
            FtUtil.log_d(str3, "onKeyUp", "setBackRelease: isBackKeyPressed : " + this.isBackKeyPressed);
            if (!isTouchPenKeyEvent(event) || this.mIsPassed) {
                return true;
            }
            setBackRelease();
            this.isBackKeyPressed = false;
            FtUtil.log_d(this.CLASS_NAME, "onKeyUp", "setBackRelease: isBackKeyPressed = false");
            return true;
        }
        return super.onKeyUp(keyCode, event);
    }

    @Override // com.sec.factory.app.ui.UIKeyBase, com.sec.factory.app.ui.UIBase
    public boolean onKeyDown(int keyCode, KeyEvent event) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "onKeyDown", "keyCode=" + keyCode);
        if (keyCode == 25 || keyCode == 24) {
            finish();
            return super.onKeyDown(keyCode, event);
        } else if (keyCode == 3) {
            return true;
        } else {
            if (keyCode == 4) {
                String str2 = this.CLASS_NAME;
                FtUtil.log_d(str2, "onKeyDown", "setBackPress: isBackKeyPressed : " + this.isBackKeyPressed);
                if (isTouchPenKeyEvent(event) && !this.mIsPassed && !this.isBackKeyPressed) {
                    this.isBackKeyPressed = true;
                    setBackPress();
                    FtUtil.log_d(this.CLASS_NAME, "onKeyDown", "setBackPress: isBackKeyPressed = true");
                }
                return true;
            } else if (keyCode != 82 && keyCode != 187) {
                return super.onKeyDown(keyCode, event);
            } else {
                String str3 = this.CLASS_NAME;
                FtUtil.log_d(str3, "onKeyDown", "setMenuPress: isMenuKeyPressed : " + this.isMenuKeyPressed);
                if (isTouchPenKeyEvent(event) && !this.mIsPassed && !this.isMenuKeyPressed) {
                    this.isMenuKeyPressed = true;
                    setMenuPress();
                    FtUtil.log_d(this.CLASS_NAME, "onKeyDown", "setMenuPress: setMenuPress = true");
                }
                return true;
            }
        }
    }

    private void setMenuPress() {
        if (!this.menuPressPass) {
            ModuleAudio.instance(this).playMedia(R.raw.button, false);
            this.mPressMenu.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            this.menuPressPass = true;
        }
        checkingAllPassItems();
    }

    private void setBackPress() {
        if (!this.backPressPass) {
            ModuleAudio.instance(this).playMedia(R.raw.button, false);
            this.mPressBack.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            this.backPressPass = true;
        }
        checkingAllPassItems();
    }

    private void setMenuRelease() {
        if (!this.menuReleasePass) {
            ModuleAudio.instance(this).playMedia(R.raw.button, false);
            this.mReleaseMenu.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            this.menuReleasePass = true;
        }
        checkingAllPassItems();
    }

    private void setBackRelease() {
        if (!this.backReleasePass) {
            ModuleAudio.instance(this).playMedia(R.raw.button, false);
            this.mReleaseBack.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            this.backReleasePass = true;
        }
        checkingAllPassItems();
    }

    private void initialize() {
        ((Button) findViewById(R.id.exit)).setOnClickListener(this.mExitButtonAction);
        this.mPressMenu = (TextView) findViewById(R.id.spen_menu_press);
        this.mPressBack = (TextView) findViewById(R.id.spen_back_press);
        this.mReleaseMenu = (TextView) findViewById(R.id.spen_menu_release);
        this.mReleaseBack = (TextView) findViewById(R.id.spen_back_release);
    }

    public void checkingAllPassItems() {
        if (this.menuPressPass && this.backPressPass && this.menuReleasePass && this.backReleasePass) {
            FtUtil.log_i(this.CLASS_NAME, "checkingAllPassItems", "Pass the S-Pen KeyTest");
            setTestResult(64, (byte) 80);
            setResult(-1);
            this.mIsPassed = true;
            this.mHandler.postDelayed(new Runnable() {
                /* class com.sec.factory.app.ui.UISpenKeyTest.AnonymousClass2 */

                public void run() {
                    UISpenKeyTest.this.finish();
                }
            }, 1000);
        }
    }

    /* access modifiers changed from: package-private */
    public boolean isTouchPenKeyEvent(KeyEvent event) {
        int deviceId = event.getDeviceId();
        InputDevice inputDevice = InputManager.getInstance().getInputDevice(deviceId);
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "onKeyEvent", "isTouchPenKeyEvent2: deviceId = " + deviceId + ", inputDevice= " + inputDevice);
        if (inputDevice.getName().contains("sec_e-pen")) {
            return true;
        }
        return false;
    }
}
