package com.sec.factory.app.ui;

import android.app.AlertDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.SharedPreferences;
import android.content.res.Resources;
import android.graphics.AvoidXfermode;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Point;
import android.graphics.Rect;
import android.os.Bundle;
import android.os.Handler;
import android.provider.Settings;
import android.util.Log;
import android.util.TypedValue;
import android.view.Display;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.View;
import android.view.WindowManager;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.ModuleCommunicationService;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.modules.ModuleTouchScreen;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;
import java.lang.reflect.Array;
import java.text.DecimalFormat;
import java.util.Calendar;

public class UISpenMagneticTest extends UIBase {
    private static final String TAG = "UISpenMagneticTest";
    private final int DIRECTION_DOWN = 2;
    private final int DIRECTION_NONE = 0;
    private final int DIRECTION_UP = 1;
    private int[] HEIGHT_BASIS;
    private int[] HEIGHT_BASIS_CROSS;
    private int[] MARGIN_BOTTOM;
    private int[] MARGIN_LEFT;
    private int[] MARGIN_RIGHT;
    private int[] MARGIN_TOP;
    private String MEASURE = "px";
    private int SIZE_RECT = 4;
    private int SIZE_RECT_CROSS = 4;
    private int SPEN_DEADZONE = 2;
    private int[] WIDTH_BASIS;
    private int[] WIDTH_BASIS_CROSS;
    private final int defaultPxSizeforDavinci = 59;
    private boolean[][][] draw;
    private boolean[][] drawCross;
    SharedPreferences.Editor editor;
    private boolean isCheckCrossDouble = false;
    private boolean[][][] isDrawArea;
    private boolean isExistMargin = false;
    private boolean isStyleX = false;
    private boolean isTouchDown;
    private LinearPoint[][] leftLinearPoint;
    private int[] mBottommostOfMatrix;
    private boolean mCmdTestMode = false;
    private float mDistanceAbsSpec = 0.0f;
    private Handler mHandler = new Handler();
    private int[] mLeftmostOfMatrix;
    private ModuleDevice mModuleDevice;
    private MyView mMyView;
    private int mOldHoveringSetting = 0;
    private int[] mRightmostOfMatrix;
    private int mScreenHeight;
    private int[] mScreenHeightMarginApplied;
    private int mScreenWidth;
    private int[] mScreenWidthMarginApplied;
    private String mTestCase;
    private String mTestName = FactoryTestManager.getItemName_RequestCode(26);
    private int[] mTopmostOfMatrix;
    private int mUnnessaryNode = 0;
    SharedPreferences prefLastTouchPoint;
    int pxsize;
    int pxsize_cross;
    private boolean remoteCall = false;
    private LinearPoint[][] rightLinearPoint;
    private int testCounts = 0;
    private String typeDevice = ModuleTouchScreen.TSP_DEVICE_TYPE__PHONE;

    public class EmptyListener implements DialogInterface.OnClickListener {
        public EmptyListener() {
        }

        public void onClick(DialogInterface dialog, int which) {
            UISpenMagneticTest.this.finish();
        }
    }

    public class LinearPoint {
        float calDistance = 0.0f;
        int direction = 0;
        float distance = 0.0f;
        boolean visitFlag = false;
        float x = 0.0f;
        float y = 0.0f;

        public LinearPoint() {
        }

        public void setPosition(float x2, float y2) {
            this.x = x2;
            this.y = y2;
        }

        public void setFlag(boolean flag) {
            this.visitFlag = flag;
        }

        public boolean getFlag() {
            return this.visitFlag;
        }
    }

    public UISpenMagneticTest() {
        super(TAG);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        FtUtil.log_d(this.CLASS_NAME, "onCreate", "UISpenAccuracyTest is created");
        this.mModuleDevice = ModuleDevice.instance(this);
        this.mCmdTestMode = getIntent().getExtras().getBoolean("isCmd", false);
        this.isCheckCrossDouble = getIntent().getExtras().getBoolean("isCheckCrossDouble");
        this.TEST_ID = FactoryTestManager.TEST_S_PEN_MAGNETIC;
        this.mTestCase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML(this.TEST_ID));
        this.typeDevice = Support.Feature.getString(Support.Feature.DEVICE_TYPE);
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "onCreate", "mTestCase = " + this.mTestCase);
        SharedPreferences sharedPreferences = getSharedPreferences("LAST_SPEN_TOUCHED_POINT", 0);
        this.prefLastTouchPoint = sharedPreferences;
        this.editor = sharedPreferences.edit();
        if (this.typeDevice.equals(ModuleTouchScreen.TSP_DEVICE_TYPE__TABLET)) {
            this.SIZE_RECT = 5;
            this.SIZE_RECT_CROSS = 5;
        }
        getDisplaySize();
        setGridSizebyModel();
        initGridSettings();
        initLinearSetting();
        MyView myView = new MyView(this);
        this.mMyView = myView;
        setContentView(myView);
        getWindow().addFlags(128);
        fillUpMatrix();
    }

    /* JADX WARNING: Code restructure failed: missing block: B:45:0x0208, code lost:
        r8 = false;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:46:0x020e, code lost:
        r0 = e;
     */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Removed duplicated region for block: B:46:0x020e A[ExcHandler: Exception (e java.lang.Exception), Splitter:B:19:0x00ac] */
    private boolean getMargin() {
        boolean z;
        Exception e;
        boolean result = false;
        String testcase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML((byte) 26));
        String file_path = Support.Kernel.getFilePath(Support.Kernel.PATH_TSP_MAGNETIC_SPEC);
        try {
            FtUtil.log_d(this.CLASS_NAME, "getMargin", "file_path : " + file_path);
            FileReader fr = new FileReader(file_path);
            BufferedReader reader = new BufferedReader(fr);
            int parseInt = Integer.parseInt(reader.readLine());
            this.testCounts = parseInt;
            if (parseInt > 0) {
                this.MARGIN_LEFT = new int[parseInt];
                this.MARGIN_RIGHT = new int[parseInt];
                this.MARGIN_TOP = new int[parseInt];
                this.MARGIN_BOTTOM = new int[parseInt];
            } else {
                this.testCounts = 1;
                this.MARGIN_LEFT = new int[1];
                this.MARGIN_RIGHT = new int[1];
                this.MARGIN_TOP = new int[1];
                this.MARGIN_BOTTOM = new int[1];
            }
            int i = 0;
            while (true) {
                if (i >= this.testCounts) {
                    break;
                }
                try {
                    String line = reader.readLine();
                    String str = this.CLASS_NAME;
                    StringBuilder sb = new StringBuilder();
                    try {
                        sb.append("line -> ");
                        sb.append(line);
                        FtUtil.log_d(str, "getMargin", sb.toString());
                        if (line.contains("MARGIN")) {
                            String testcase2 = line.substring(testcase.indexOf("MARGIN(") + "MARGIN(".length());
                            try {
                                String[] marginStr = testcase2.substring(0, testcase2.indexOf(")")).trim().split(",");
                                this.MEASURE = marginStr[0];
                                String str2 = this.CLASS_NAME;
                                StringBuilder sb2 = new StringBuilder();
                                try {
                                    sb2.append("from magnetic file - MEASURE -> ");
                                    sb2.append(this.MEASURE);
                                    FtUtil.log_d(str2, "getMargin", sb2.toString());
                                    this.MARGIN_LEFT[i] = Integer.parseInt(marginStr[1]);
                                    this.MARGIN_RIGHT[i] = Integer.parseInt(marginStr[2]);
                                    this.MARGIN_TOP[i] = Integer.parseInt(marginStr[3]);
                                    this.MARGIN_BOTTOM[i] = Integer.parseInt(marginStr[4]);
                                    FtUtil.log_d(this.CLASS_NAME, "getMargin", "from magnetic file - margin(LEFT,RIGHT,TOP,BOTTOM) -> " + this.MARGIN_LEFT[i] + "," + this.MARGIN_RIGHT[i] + "," + this.MARGIN_TOP[i] + "," + this.MARGIN_BOTTOM[i]);
                                    if (this.MEASURE.contains("mm")) {
                                        int[] iArr = this.MARGIN_LEFT;
                                        iArr[i] = (int) TypedValue.applyDimension(5, (float) iArr[i], getResources().getDisplayMetrics());
                                        int[] iArr2 = this.MARGIN_RIGHT;
                                        iArr2[i] = (int) TypedValue.applyDimension(5, (float) iArr2[i], getResources().getDisplayMetrics());
                                        int[] iArr3 = this.MARGIN_TOP;
                                        iArr3[i] = (int) TypedValue.applyDimension(5, (float) iArr3[i], getResources().getDisplayMetrics());
                                        int[] iArr4 = this.MARGIN_BOTTOM;
                                        iArr4[i] = (int) TypedValue.applyDimension(5, (float) iArr4[i], getResources().getDisplayMetrics());
                                        FtUtil.log_d(this.CLASS_NAME, "getMargin", "from magnetic file - margin(LEFT,RIGHT,TOP,BOTTOM) after px -> " + this.MARGIN_LEFT[i] + "," + this.MARGIN_RIGHT[i] + "," + this.MARGIN_TOP[i] + "," + this.MARGIN_BOTTOM[i]);
                                    }
                                    if (this.MARGIN_LEFT[i] < 0 || this.MARGIN_RIGHT[i] < 0 || this.MARGIN_TOP[i] < 0 || this.MARGIN_BOTTOM[i] < 0) {
                                        result = false;
                                        testcase = testcase2;
                                    } else {
                                        testcase = testcase2;
                                    }
                                } catch (FileNotFoundException e2) {
                                    z = false;
                                    FtUtil.log_e(this.CLASS_NAME, "getMargin", "FileNotFoundException");
                                    return z;
                                } catch (Exception e3) {
                                    e = e3;
                                    e.printStackTrace();
                                    return false;
                                }
                            } catch (FileNotFoundException e4) {
                                z = false;
                                FtUtil.log_e(this.CLASS_NAME, "getMargin", "FileNotFoundException");
                                return z;
                            } catch (Exception e5) {
                            }
                        }
                        i++;
                        fr = fr;
                        result = true;
                    } catch (FileNotFoundException e6) {
                        z = false;
                        FtUtil.log_e(this.CLASS_NAME, "getMargin", "FileNotFoundException");
                        return z;
                    } catch (Exception e7) {
                        e = e7;
                        e.printStackTrace();
                        return false;
                    }
                } catch (FileNotFoundException e8) {
                    z = false;
                    FtUtil.log_e(this.CLASS_NAME, "getMargin", "FileNotFoundException");
                    return z;
                } catch (Exception e9) {
                    e = e9;
                    e.printStackTrace();
                    return false;
                }
            }
            if (result) {
                return result;
            }
            this.testCounts = 1;
            this.MARGIN_LEFT = new int[1];
            this.MARGIN_RIGHT = new int[1];
            this.MARGIN_TOP = new int[1];
            this.MARGIN_BOTTOM = new int[1];
            if (testcase.contains("MARGIN")) {
                String testcase3 = testcase.substring(testcase.indexOf("MARGIN(") + "MARGIN(".length());
                String[] marginStr2 = testcase3.substring(0, testcase3.indexOf(")")).trim().split(",");
                this.MEASURE = marginStr2[0];
                this.MARGIN_LEFT[0] = Integer.parseInt(marginStr2[1]);
                this.MARGIN_RIGHT[0] = Integer.parseInt(marginStr2[2]);
                this.MARGIN_TOP[0] = Integer.parseInt(marginStr2[3]);
                this.MARGIN_BOTTOM[0] = Integer.parseInt(marginStr2[4]);
                FtUtil.log_d(this.CLASS_NAME, "getMargin", "from model file - margin(LEFT,RIGHT,TOP,BOTTOM) -> " + this.MARGIN_LEFT[0] + "," + this.MARGIN_RIGHT[0] + "," + this.MARGIN_TOP[0] + "," + this.MARGIN_BOTTOM[0]);
                if (this.MEASURE.contains("mm")) {
                    int[] iArr5 = this.MARGIN_LEFT;
                    iArr5[0] = (int) TypedValue.applyDimension(5, (float) iArr5[0], getResources().getDisplayMetrics());
                    int[] iArr6 = this.MARGIN_RIGHT;
                    iArr6[0] = (int) TypedValue.applyDimension(5, (float) iArr6[0], getResources().getDisplayMetrics());
                    int[] iArr7 = this.MARGIN_TOP;
                    iArr7[0] = (int) TypedValue.applyDimension(5, (float) iArr7[0], getResources().getDisplayMetrics());
                    int[] iArr8 = this.MARGIN_BOTTOM;
                    iArr8[0] = (int) TypedValue.applyDimension(5, (float) iArr8[0], getResources().getDisplayMetrics());
                }
                return true;
            }
            this.MARGIN_LEFT[0] = (int) TypedValue.applyDimension(5, 2.0f, getResources().getDisplayMetrics());
            this.MARGIN_RIGHT[0] = (int) TypedValue.applyDimension(5, 2.0f, getResources().getDisplayMetrics());
            this.MARGIN_TOP[0] = (int) TypedValue.applyDimension(5, 2.0f, getResources().getDisplayMetrics());
            this.MARGIN_BOTTOM[0] = (int) TypedValue.applyDimension(5, 2.0f, getResources().getDisplayMetrics());
            return result;
        } catch (FileNotFoundException e10) {
            z = false;
            FtUtil.log_e(this.CLASS_NAME, "getMargin", "FileNotFoundException");
            return z;
        } catch (Exception e11) {
            e = e11;
            e.printStackTrace();
            return false;
        }
    }

    private void getDisplaySize() {
        Display defaultDisplay = ((WindowManager) getSystemService("window")).getDefaultDisplay();
        Point outpoint = new Point();
        defaultDisplay.getRealSize(outpoint);
        this.mScreenWidth = outpoint.x;
        this.mScreenHeight = outpoint.y;
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "getDisplaySize", "mScreenWidth:" + this.mScreenWidth + " ,mScreenHeight:" + this.mScreenHeight);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:16:0x0077, code lost:
        if (r7.pxsize_cross != 0) goto L_0x007b;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:17:0x0079, code lost:
        r7.pxsize_cross = 59;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:18:0x007b, code lost:
        getMargin();
        r2 = r7.testCounts;
        r7.mScreenWidthMarginApplied = new int[r2];
        r7.mScreenHeightMarginApplied = new int[r2];
        r7.WIDTH_BASIS = new int[r2];
        r7.HEIGHT_BASIS = new int[r2];
        r2 = 0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:20:0x0093, code lost:
        if (r2 >= r7.testCounts) goto L_0x011d;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:21:0x0095, code lost:
        r7.mScreenWidthMarginApplied[r2] = r7.mScreenWidth - (r7.MARGIN_LEFT[r2] + r7.MARGIN_RIGHT[r2]);
        r7.mScreenHeightMarginApplied[r2] = r7.mScreenHeight - (r7.MARGIN_TOP[r2] + r7.MARGIN_BOTTOM[r2]);
        r3 = r7.CLASS_NAME;
        com.sec.factory.support.FtUtil.log_d(r3, "setGridSizebyModel", "mScreenWidthMarginApplied:" + r7.mScreenWidthMarginApplied[r2] + " ,mScreenHeightMarginApplied:" + r7.mScreenHeightMarginApplied[r2]);
        r3 = r7.WIDTH_BASIS;
        r4 = r7.mScreenWidthMarginApplied[r2];
        r5 = r7.pxsize;
        r3[r2] = (r4 / r5) + 1;
        r7.HEIGHT_BASIS[r2] = (r7.mScreenHeightMarginApplied[r2] / r5) + 1;
        r3 = r7.CLASS_NAME;
        com.sec.factory.support.FtUtil.log_d(r3, "setGridSizebyModel", "WIDTH_BASIS:" + r7.WIDTH_BASIS[r2] + " ,HEIGHT_BASIS:" + r7.HEIGHT_BASIS[r2]);
        r2 = r2 + 1;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:22:0x011d, code lost:
        return;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:7:0x0065, code lost:
        if (r7.pxsize_cross == 0) goto L_0x0079;
     */
    private void setGridSizebyModel() {
        Resources r = getResources();
        try {
            this.pxsize = (int) TypedValue.applyDimension(5, (float) this.SIZE_RECT, r.getDisplayMetrics());
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "setGridSizebyModel", "pxsize : " + String.valueOf(this.pxsize));
            this.pxsize_cross = (int) TypedValue.applyDimension(5, (float) this.SIZE_RECT_CROSS, r.getDisplayMetrics());
            String str2 = this.CLASS_NAME;
            FtUtil.log_d(str2, "setGridSizebyModel", "pxsize_cross : " + String.valueOf(this.pxsize_cross));
            if (this.pxsize == 0) {
                this.pxsize = 59;
            }
        } catch (Exception e) {
            e.printStackTrace();
            if (this.pxsize == 0) {
                this.pxsize = 59;
            }
        } catch (Throwable th) {
            if (this.pxsize == 0) {
                this.pxsize = 59;
            }
            if (this.pxsize_cross == 0) {
                this.pxsize_cross = 59;
            }
            throw th;
        }
    }

    private void initGridSettings() {
        int i = this.testCounts;
        this.HEIGHT_BASIS_CROSS = new int[i];
        this.WIDTH_BASIS_CROSS = new int[i];
        this.draw = new boolean[i][][];
        this.isDrawArea = new boolean[i][][];
        this.drawCross = new boolean[i][];
        this.mTopmostOfMatrix = new int[i];
        this.mBottommostOfMatrix = new int[i];
        this.mLeftmostOfMatrix = new int[i];
        this.mRightmostOfMatrix = new int[i];
        for (int i2 = 0; i2 < this.testCounts; i2++) {
            int[] iArr = this.HEIGHT_BASIS_CROSS;
            int[] iArr2 = this.HEIGHT_BASIS;
            int i3 = iArr2[i2];
            int i4 = this.SIZE_RECT;
            int i5 = this.SIZE_RECT_CROSS;
            iArr[i2] = ((i3 * i4) / i5) * 2;
            int[] iArr3 = this.WIDTH_BASIS_CROSS;
            int[] iArr4 = this.WIDTH_BASIS;
            iArr3[i2] = (iArr4[i2] * i4) / i5;
            boolean[][][] zArr = this.draw;
            int i6 = iArr2[i2];
            int[] iArr5 = new int[2];
            iArr5[1] = iArr4[i2];
            iArr5[0] = i6;
            zArr[i2] = (boolean[][]) Array.newInstance(boolean.class, iArr5);
            boolean[][][] zArr2 = this.isDrawArea;
            int i7 = this.HEIGHT_BASIS[i2];
            int[] iArr6 = new int[2];
            iArr6[1] = this.WIDTH_BASIS[i2];
            iArr6[0] = i7;
            zArr2[i2] = (boolean[][]) Array.newInstance(boolean.class, iArr6);
            this.drawCross[i2] = new boolean[(this.HEIGHT_BASIS_CROSS[i2] * 2)];
            this.mTopmostOfMatrix[i2] = 0;
            this.mBottommostOfMatrix[i2] = this.HEIGHT_BASIS[i2] - 1;
            this.mLeftmostOfMatrix[i2] = 0;
            this.mRightmostOfMatrix[i2] = this.WIDTH_BASIS[i2] - 1;
        }
    }

    private void initLinearSetting() {
        int i = this.testCounts;
        this.leftLinearPoint = new LinearPoint[i][];
        this.rightLinearPoint = new LinearPoint[i][];
        for (int i2 = 0; i2 < this.testCounts; i2++) {
            LinearPoint[][] linearPointArr = this.leftLinearPoint;
            int[] iArr = this.HEIGHT_BASIS_CROSS;
            linearPointArr[i2] = new LinearPoint[iArr[i2]];
            this.rightLinearPoint[i2] = new LinearPoint[iArr[i2]];
            for (int index = 0; index < this.HEIGHT_BASIS_CROSS[i2]; index++) {
                this.leftLinearPoint[i2][index] = new LinearPoint();
            }
            for (int index2 = 0; index2 < this.HEIGHT_BASIS_CROSS[i2]; index2++) {
                this.rightLinearPoint[i2][index2] = new LinearPoint();
            }
        }
        this.mUnnessaryNode = Support.Spec.getInt(Support.Spec.SPEN_UNNECESSARY_NODE_COUNT);
        this.mDistanceAbsSpec = Support.Spec.getFloat(Support.Spec.SPEN_DISTANCE_ABS_SPEC);
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "initLinearSetting", "mUnnessaryNode:" + this.mUnnessaryNode + " ,mDistanceAbsSpec:" + this.mDistanceAbsSpec);
    }

    private void fillUpMatrix() {
        for (int i = 0; i < this.testCounts; i++) {
            for (int row = 0; row < this.HEIGHT_BASIS[i]; row++) {
                for (int column = 0; column < this.WIDTH_BASIS[i]; column++) {
                    if (isNeededCheck(i, row, column)) {
                        this.isDrawArea[i][row][column] = true;
                    } else {
                        this.isDrawArea[i][row][column] = false;
                    }
                }
            }
        }
    }

    private boolean isNeededCheck(int testCount, int row, int column) {
        return row == this.mTopmostOfMatrix[testCount] || row == this.mBottommostOfMatrix[testCount] || column == this.mLeftmostOfMatrix[testCount] || column == this.mRightmostOfMatrix[testCount];
    }

    /* access modifiers changed from: protected */
    public void onStop() {
        super.onStop();
        finish();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean isPass() {
        boolean isPass = true;
        for (int testCount = 0; testCount < this.testCounts; testCount++) {
            for (int i = 0; i < this.HEIGHT_BASIS[testCount]; i++) {
                for (int j = 0; j < this.WIDTH_BASIS[testCount]; j++) {
                    boolean z = true;
                    if (this.isDrawArea[testCount][i][j]) {
                        if (!isPass || !this.draw[testCount][i][j]) {
                            z = false;
                        }
                        isPass = z;
                    }
                }
            }
        }
        return isPass;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean isPassCross() {
        boolean isPassCross = true;
        for (int testCount = 0; testCount < this.testCounts; testCount++) {
            for (int i = 0; i < this.HEIGHT_BASIS_CROSS[testCount] * 2; i++) {
                isPassCross = isPassCross && this.drawCross[testCount][i];
            }
        }
        return isPassCross;
    }

    private void captureScreen() {
        Calendar cal = Calendar.getInstance();
        doShellCmd("screencap -p /data/log/LinearityImg/linearity(Magnetic)_" + (cal.get(1) + new DecimalFormat("00").format((long) (cal.get(2) + 1)) + new DecimalFormat("00").format((long) cal.get(5)) + new DecimalFormat("00").format((long) cal.get(11)) + new DecimalFormat("00").format((long) cal.get(12)) + new DecimalFormat("00").format((long) cal.get(13))) + ".png");
    }

    private void doShellCmd(String cmd) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "doShellCmd", "DoShellCmd : " + cmd);
        String[] shell_command = {"/system/bin/sh", "-c", cmd};
        try {
            FtUtil.log_i(this.CLASS_NAME, "doShellCmd", "exec command");
            Runtime.getRuntime().exec(shell_command);
            FtUtil.log_i(this.CLASS_NAME, "doShellCmd", "exec done");
        } catch (IOException e) {
            FtUtil.log_e(this.CLASS_NAME, "doShellCmd", "doShellCmd - IOException");
        } catch (SecurityException e2) {
            FtUtil.log_e(this.CLASS_NAME, "doShellCmd", "doShellCmd - SecurityException");
        }
        FtUtil.log_i(this.CLASS_NAME, "doShellCmd", "doShellCmd done");
    }

    private void showLinearityData(String string) {
        this.mCmdTestMode = true;
        AlertDialog.Builder builder = new AlertDialog.Builder(this);
        builder.setTitle("Linearity Result");
        builder.setMessage(string);
        builder.setPositiveButton("OK", new EmptyListener());
        builder.create().show();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void finishEpentest() {
        this.mHandler.postDelayed(new Runnable() {
            /* class com.sec.factory.app.ui.UISpenMagneticTest.AnonymousClass1 */

            public void run() {
                UISpenMagneticTest uISpenMagneticTest = UISpenMagneticTest.this;
                uISpenMagneticTest.setTestResult(uISpenMagneticTest.TEST_ID, (byte) 80);
                if (FactoryTestManager.getEnable(105) && FactoryTestManager.getItemResult(FactoryTestManager.getItemPosition_ID(119)) == 80) {
                    UISpenMagneticTest.this.setTestResultWithoutNV(105, (byte) 80);
                }
                if (!UISpenMagneticTest.this.mCmdTestMode) {
                    UISpenMagneticTest.this.finish();
                }
            }
        }, 200);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public boolean onKeyDown(int keyCode, KeyEvent event) {
        if (keyCode != 24) {
            return super.onKeyDown(keyCode, event);
        }
        if (this.isTouchDown) {
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "onKeyDown", "isTouchDown : " + this.isTouchDown);
            return super.onKeyDown(keyCode, event);
        }
        if (this.isStyleX) {
            if (!isPass() || !isPassCross()) {
                setResult(0);
            }
        } else if (!isPass()) {
            setResult(0);
        }
        FtUtil.log_d(this.CLASS_NAME, "onKeyDown", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(FactoryTestManager.TEST_S_PEN_DRAWING1_1), "Cancel - User stopped by pressing KEYCODE_VOLUME_UP"));
        finish();
        return super.onKeyDown(keyCode, event);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        captureScreen();
        this.editor.putString("SPEN_LAST_TOUCHED", ModuleCommunicationService.SMD_NOK);
        this.editor.commit();
        Settings.System.putInt(getContentResolver(), "pen_detect_mode_disabled", 1);
        Support.Kernel.write(Support.Kernel.EPEN_SAVINGMODE, EgisFingerprint.MAJOR_VERSION);
        if (Support.TestCase.getEnabled(Support.TestCase.TSP_DISABLE_WHEN_SPEN_DRAWING_TEST)) {
            Support.Kernel.write(Support.Kernel.TSP_ENABLE, EgisFingerprint.MAJOR_VERSION);
        }
        super.onPause();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        FtUtil.setRemoveSystemUI(getWindow(), true);
        Settings.System.putInt(getContentResolver(), "pen_detect_mode_disabled", 0);
        Support.Kernel.write(Support.Kernel.EPEN_SAVINGMODE, "0");
        this.mModuleDevice.setEPenDisableMode(false);
        if (Support.TestCase.getEnabled(Support.TestCase.TSP_DISABLE_WHEN_SPEN_DRAWING_TEST)) {
            Support.Kernel.write(Support.Kernel.TSP_ENABLE, "0");
        }
    }

    /* access modifiers changed from: protected */
    public void onActivityResult(int requestCode, int resultCode, Intent intent) {
        finish();
    }

    public class MyView extends View {
        private float[] col_height;
        private float[] col_height_cross;
        private float[] col_width;
        private float[] col_width_cross;
        private Paint mClickPaint;
        private Paint mEmptyPaint;
        private float[] mHeightCross;
        private Paint mLinePaint;
        private Bitmap mMatrixBitmap;
        private Canvas mMatrixCanvas;
        private Paint mNonClickPaint;
        private float mPreTouchedX = 0.0f;
        private float mPreTouchedY = 0.0f;
        private float mTouchedX = 0.0f;
        private float mTouchedY = 0.0f;
        private float[] mWidthCross;
        private float pxPer1mm = 0.0f;

        public MyView(Context context) {
            super(context);
            setKeepScreenOn(true);
            this.mMatrixBitmap = Bitmap.createBitmap(UISpenMagneticTest.this.mScreenWidthMarginApplied[0] + UISpenMagneticTest.this.MARGIN_LEFT[0] + UISpenMagneticTest.this.MARGIN_RIGHT[0], UISpenMagneticTest.this.mScreenHeightMarginApplied[0] + UISpenMagneticTest.this.MARGIN_TOP[0] + UISpenMagneticTest.this.MARGIN_BOTTOM[0], Bitmap.Config.RGB_565);
            Canvas canvas = new Canvas(this.mMatrixBitmap);
            this.mMatrixCanvas = canvas;
            canvas.drawColor(-1);
            this.col_height = new float[UISpenMagneticTest.this.testCounts];
            this.col_width = new float[UISpenMagneticTest.this.testCounts];
            this.col_height_cross = new float[UISpenMagneticTest.this.testCounts];
            this.col_width_cross = new float[UISpenMagneticTest.this.testCounts];
            this.mWidthCross = new float[UISpenMagneticTest.this.testCounts];
            this.mHeightCross = new float[UISpenMagneticTest.this.testCounts];
            for (int i = 0; i < UISpenMagneticTest.this.testCounts; i++) {
                this.col_height[i] = ((float) UISpenMagneticTest.this.mScreenHeightMarginApplied[i]) / ((float) UISpenMagneticTest.this.HEIGHT_BASIS[i]);
                this.col_width[i] = ((float) UISpenMagneticTest.this.mScreenWidthMarginApplied[i]) / ((float) UISpenMagneticTest.this.WIDTH_BASIS[i]);
                this.col_height_cross[i] = ((float) UISpenMagneticTest.this.mScreenHeightMarginApplied[i]) / ((float) UISpenMagneticTest.this.HEIGHT_BASIS_CROSS[i]);
                this.col_width_cross[i] = ((float) UISpenMagneticTest.this.mScreenWidthMarginApplied[i]) / ((float) UISpenMagneticTest.this.WIDTH_BASIS_CROSS[i]);
                this.mHeightCross[i] = this.col_height_cross[i];
                int[] iArr = UISpenMagneticTest.this.HEIGHT_BASIS_CROSS;
                iArr[i] = iArr[i] - 4;
                int[] iArr2 = UISpenMagneticTest.this.WIDTH_BASIS_CROSS;
                iArr2[i] = iArr2[i] - 4;
                String str = UISpenMagneticTest.this.CLASS_NAME;
                FtUtil.log_d(str, "MyView", "HEIGHT_BASIS_CROSS(-4):" + UISpenMagneticTest.this.HEIGHT_BASIS_CROSS[i] + " ,WIDTH_BASIS_CROSS(-4):" + UISpenMagneticTest.this.WIDTH_BASIS_CROSS[i]);
                this.mWidthCross[i] = ((((float) UISpenMagneticTest.this.mScreenWidthMarginApplied[i]) - this.col_width[i]) - ((float) UISpenMagneticTest.this.pxsize_cross)) / ((float) (UISpenMagneticTest.this.HEIGHT_BASIS_CROSS[i] - 1));
            }
            this.pxPer1mm = TypedValue.applyDimension(5, 1.0f, getResources().getDisplayMetrics());
            String str2 = UISpenMagneticTest.this.CLASS_NAME;
            FtUtil.log_d(str2, "MyView", "pxPer1mm : " + String.valueOf(this.pxPer1mm));
            setPaint();
            initRect();
            UISpenMagneticTest.this.isTouchDown = false;
        }

        private void setPaint() {
            Paint paint = new Paint();
            this.mLinePaint = paint;
            paint.setAntiAlias(true);
            this.mLinePaint.setDither(true);
            this.mLinePaint.setColor(-16777216);
            this.mLinePaint.setStyle(Paint.Style.STROKE);
            this.mLinePaint.setStrokeJoin(Paint.Join.ROUND);
            this.mLinePaint.setStrokeCap(Paint.Cap.SQUARE);
            this.mLinePaint.setStrokeWidth(2.0f);
            this.mLinePaint.setColor(-16777216);
            Paint paint2 = new Paint();
            this.mClickPaint = paint2;
            paint2.setAntiAlias(false);
            this.mClickPaint.setStyle(Paint.Style.FILL);
            this.mClickPaint.setColor(-16711936);
            this.mClickPaint.setXfermode(new AvoidXfermode(-1, 255, AvoidXfermode.Mode.TARGET));
            Paint paint3 = new Paint();
            this.mNonClickPaint = paint3;
            paint3.setAntiAlias(false);
            this.mNonClickPaint.setColor(-1);
            Paint paint4 = new Paint();
            this.mEmptyPaint = paint4;
            paint4.setAntiAlias(false);
            this.mEmptyPaint.setColor(-1);
        }

        /* access modifiers changed from: protected */
        public void onDraw(Canvas canvas) {
            canvas.drawBitmap(this.mMatrixBitmap, 0.0f, 0.0f, (Paint) null);
        }

        public boolean onTouchEvent(MotionEvent event) {
            if (event.getToolType(0) != 2) {
                return true;
            }
            drawByEvent(event);
            return true;
        }

        private void drawByEvent(MotionEvent event) {
            switch (event.getAction()) {
                case 0:
                    this.mTouchedX = event.getX();
                    float y = event.getY();
                    this.mTouchedY = y;
                    drawRect(this.mTouchedX, y, this.mClickPaint);
                    SharedPreferences.Editor editor = UISpenMagneticTest.this.editor;
                    editor.putString("SPEN_LAST_TOUCHED", String.valueOf((int) this.mTouchedX) + "," + String.valueOf((int) this.mTouchedY));
                    UISpenMagneticTest.this.editor.commit();
                    UISpenMagneticTest.this.isTouchDown = true;
                    return;
                case 1:
                    if (UISpenMagneticTest.this.isTouchDown) {
                        this.mPreTouchedX = this.mTouchedX;
                        this.mPreTouchedY = this.mTouchedY;
                        this.mTouchedX = event.getX();
                        float y2 = event.getY();
                        this.mTouchedY = y2;
                        float f = this.mPreTouchedX;
                        float f2 = this.mTouchedX;
                        if (f == f2 && this.mPreTouchedY == y2) {
                            drawPoint(f2, y2);
                        }
                        UISpenMagneticTest.this.isTouchDown = false;
                        UISpenMagneticTest.this.editor.putString("SPEN_LAST_TOUCHED", ModuleCommunicationService.SMD_NOK);
                        UISpenMagneticTest.this.editor.commit();
                        return;
                    }
                    return;
                case 2:
                    if (UISpenMagneticTest.this.isTouchDown) {
                        for (int i = 0; i < event.getHistorySize(); i++) {
                            this.mPreTouchedX = this.mTouchedX;
                            this.mPreTouchedY = this.mTouchedY;
                            this.mTouchedX = event.getHistoricalX(i);
                            float historicalY = event.getHistoricalY(i);
                            this.mTouchedY = historicalY;
                            drawRect(this.mTouchedX, historicalY, this.mClickPaint);
                            drawLine(this.mPreTouchedX, this.mPreTouchedY, this.mTouchedX, this.mTouchedY);
                        }
                        this.mPreTouchedX = this.mTouchedX;
                        this.mPreTouchedY = this.mTouchedY;
                        this.mTouchedX = event.getX();
                        float y3 = event.getY();
                        this.mTouchedY = y3;
                        drawRect(this.mTouchedX, y3, this.mClickPaint);
                        drawLine(this.mPreTouchedX, this.mPreTouchedY, this.mTouchedX, this.mTouchedY);
                        UISpenMagneticTest.this.isTouchDown = true;
                        return;
                    }
                    return;
                default:
                    return;
            }
        }

        private void drawLine(float preX, float preY, float x, float y) {
            int highX;
            int lowX;
            int highY;
            int lowY;
            this.mMatrixCanvas.drawLine(preX, preY, x, y, this.mLinePaint);
            if (preX >= x) {
                highX = (int) preX;
                lowX = (int) x;
            } else {
                highX = (int) x;
                lowX = (int) preX;
            }
            if (preY >= y) {
                highY = (int) preY;
                lowY = (int) y;
            } else {
                highY = (int) y;
                lowY = (int) preY;
            }
            invalidate(new Rect(lowX - 6, lowY - 6, highX + 6, highY + 6));
        }

        private void drawPoint(float x, float y) {
            this.mMatrixCanvas.drawPoint(x, y, this.mLinePaint);
            invalidate(new Rect(((int) x) - 6, ((int) y) - 6, ((int) x) + 6, ((int) y) + 6));
        }

        private void initRect() {
            Paint mRectPaint = new Paint();
            mRectPaint.setColor(-16777216);
            Paint mRectPaintCross = new Paint();
            mRectPaint.setColor(-16777216);
            mRectPaintCross.setColor(-16777216);
            mRectPaintCross.setStyle(Paint.Style.STROKE);
            for (int testCount = 0; testCount < UISpenMagneticTest.this.testCounts; testCount++) {
                for (int i = 0; i <= UISpenMagneticTest.this.HEIGHT_BASIS[testCount]; i++) {
                    int ColY = ((int) (this.col_height[testCount] * ((float) i))) + UISpenMagneticTest.this.MARGIN_TOP[testCount];
                    this.mMatrixCanvas.drawLine((float) UISpenMagneticTest.this.MARGIN_LEFT[testCount], (float) ColY, (float) (UISpenMagneticTest.this.mScreenWidthMarginApplied[testCount] + UISpenMagneticTest.this.MARGIN_LEFT[testCount]), (float) ColY, mRectPaint);
                }
                for (int j = 0; j <= UISpenMagneticTest.this.WIDTH_BASIS[testCount]; j++) {
                    int ColX = ((int) (this.col_width[testCount] * ((float) j))) + UISpenMagneticTest.this.MARGIN_LEFT[testCount];
                    this.mMatrixCanvas.drawLine((float) ColX, (float) UISpenMagneticTest.this.MARGIN_TOP[testCount], (float) ColX, (float) (UISpenMagneticTest.this.mScreenHeightMarginApplied[testCount] + UISpenMagneticTest.this.MARGIN_TOP[testCount]), mRectPaint);
                }
                for (int i2 = 0; i2 < UISpenMagneticTest.this.HEIGHT_BASIS[testCount]; i2++) {
                    for (int j2 = 0; j2 < UISpenMagneticTest.this.WIDTH_BASIS[testCount]; j2++) {
                        UISpenMagneticTest.this.draw[testCount][i2][j2] = false;
                    }
                }
                this.mMatrixCanvas.drawRect(this.col_width[testCount] + ((float) UISpenMagneticTest.this.MARGIN_LEFT[testCount]) + 1.0f, this.col_height[testCount] + ((float) UISpenMagneticTest.this.MARGIN_TOP[testCount]) + 1.0f, ((this.col_width[testCount] * ((float) (UISpenMagneticTest.this.WIDTH_BASIS[testCount] - 1))) + ((float) UISpenMagneticTest.this.MARGIN_LEFT[testCount])) - 1.0f, ((this.col_height[testCount] * ((float) (UISpenMagneticTest.this.HEIGHT_BASIS[testCount] - 1))) + ((float) UISpenMagneticTest.this.MARGIN_TOP[testCount])) - 1.0f, this.mEmptyPaint);
                if (UISpenMagneticTest.this.isStyleX) {
                    for (int i3 = 0; i3 < UISpenMagneticTest.this.HEIGHT_BASIS_CROSS[testCount]; i3++) {
                        int ColX2 = (int) ((this.mWidthCross[testCount] * ((float) i3)) + ((float) UISpenMagneticTest.this.MARGIN_LEFT[testCount]) + (this.col_width[testCount] / 2.0f) + ((float) (UISpenMagneticTest.this.pxsize_cross / 2)));
                        int ColY2 = (int) ((this.mHeightCross[testCount] * ((float) (i3 + 2))) + ((float) UISpenMagneticTest.this.MARGIN_TOP[testCount]));
                        this.mMatrixCanvas.drawRect((float) (ColX2 - (UISpenMagneticTest.this.pxsize_cross / 2)), (float) ColY2, (float) ((UISpenMagneticTest.this.pxsize_cross / 2) + ColX2), this.col_height_cross[testCount] + ((float) ColY2), mRectPaintCross);
                        UISpenMagneticTest.this.drawCross[testCount][i3] = false;
                    }
                    for (int i4 = 0; i4 < UISpenMagneticTest.this.HEIGHT_BASIS_CROSS[testCount]; i4++) {
                        int ColX3 = (int) ((this.mWidthCross[testCount] * ((float) i4)) + ((float) UISpenMagneticTest.this.MARGIN_LEFT[testCount]) + (this.col_width[testCount] / 2.0f) + ((float) (UISpenMagneticTest.this.pxsize_cross / 2)));
                        int ColY3 = (int) ((((float) UISpenMagneticTest.this.mScreenHeightMarginApplied[testCount]) - (this.mHeightCross[testCount] * ((float) (i4 + 3)))) + ((float) UISpenMagneticTest.this.MARGIN_TOP[testCount]));
                        this.mMatrixCanvas.drawRect((float) (ColX3 - (UISpenMagneticTest.this.pxsize_cross / 2)), (float) ColY3, (float) ((UISpenMagneticTest.this.pxsize_cross / 2) + ColX3), this.col_height_cross[testCount] + ((float) ColY3), mRectPaintCross);
                        UISpenMagneticTest.this.drawCross[testCount][UISpenMagneticTest.this.HEIGHT_BASIS_CROSS[testCount] + i4] = false;
                    }
                    if (UISpenMagneticTest.this.isStyleX) {
                        this.mMatrixCanvas.drawRect((float) UISpenMagneticTest.this.MARGIN_LEFT[testCount], (float) UISpenMagneticTest.this.MARGIN_TOP[testCount], ((float) UISpenMagneticTest.this.MARGIN_LEFT[testCount]) + this.col_width[testCount], ((float) UISpenMagneticTest.this.MARGIN_TOP[testCount]) + this.col_height[testCount], mRectPaintCross);
                        this.mMatrixCanvas.drawRect(((float) UISpenMagneticTest.this.MARGIN_LEFT[testCount]) + (this.col_width[testCount] * ((float) (UISpenMagneticTest.this.WIDTH_BASIS[testCount] - 1))), ((float) UISpenMagneticTest.this.MARGIN_TOP[testCount]) + (this.col_height[testCount] * ((float) (UISpenMagneticTest.this.HEIGHT_BASIS[testCount] - 1))), ((float) UISpenMagneticTest.this.MARGIN_LEFT[testCount]) + (this.col_width[testCount] * ((float) UISpenMagneticTest.this.WIDTH_BASIS[testCount])), ((float) UISpenMagneticTest.this.MARGIN_TOP[testCount]) + (this.col_height[testCount] * ((float) UISpenMagneticTest.this.HEIGHT_BASIS[testCount])), mRectPaintCross);
                        this.mMatrixCanvas.drawRect(((float) UISpenMagneticTest.this.MARGIN_LEFT[testCount]) + (this.col_width[testCount] * ((float) (UISpenMagneticTest.this.WIDTH_BASIS[testCount] - 1))), (float) UISpenMagneticTest.this.MARGIN_TOP[testCount], ((float) UISpenMagneticTest.this.MARGIN_LEFT[testCount]) + (this.col_width[testCount] * ((float) UISpenMagneticTest.this.WIDTH_BASIS[testCount])), ((float) UISpenMagneticTest.this.MARGIN_TOP[testCount]) + this.col_height[testCount], mRectPaintCross);
                        this.mMatrixCanvas.drawRect((float) UISpenMagneticTest.this.MARGIN_LEFT[testCount], ((float) UISpenMagneticTest.this.MARGIN_TOP[testCount]) + (this.col_height[testCount] * ((float) (UISpenMagneticTest.this.HEIGHT_BASIS[testCount] - 1))), ((float) UISpenMagneticTest.this.MARGIN_LEFT[testCount]) + this.col_width[testCount], ((float) UISpenMagneticTest.this.MARGIN_TOP[testCount]) + (this.col_height[testCount] * ((float) UISpenMagneticTest.this.HEIGHT_BASIS[testCount])), mRectPaintCross);
                    }
                }
            }
        }

        private void drawRect(float x, float y, Paint paint) {
            float[] col_height_cross2;
            float f;
            float ColY = y;
            float[] col_height2 = new float[UISpenMagneticTest.this.testCounts];
            float[] col_width2 = new float[UISpenMagneticTest.this.testCounts];
            float[] col_height_cross3 = new float[UISpenMagneticTest.this.testCounts];
            int testCount = 0;
            while (testCount < UISpenMagneticTest.this.testCounts) {
                col_height2[testCount] = ((float) UISpenMagneticTest.this.mScreenHeightMarginApplied[testCount]) / ((float) UISpenMagneticTest.this.HEIGHT_BASIS[testCount]);
                col_width2[testCount] = ((float) UISpenMagneticTest.this.mScreenWidthMarginApplied[testCount]) / ((float) UISpenMagneticTest.this.WIDTH_BASIS[testCount]);
                col_height_cross3[testCount] = ((float) UISpenMagneticTest.this.mScreenHeightMarginApplied[testCount]) / ((float) UISpenMagneticTest.this.HEIGHT_BASIS_CROSS[testCount]);
                int countX = (int) ((x - ((float) UISpenMagneticTest.this.MARGIN_LEFT[testCount])) / col_width2[testCount]);
                int countY = (int) ((ColY - ((float) UISpenMagneticTest.this.MARGIN_TOP[testCount])) / col_height2[testCount]);
                int countY_cross = (int) ((ColY - ((float) UISpenMagneticTest.this.MARGIN_TOP[testCount])) / col_height_cross3[testCount]);
                float ColX = (col_width2[testCount] * ((float) countX)) + ((float) UISpenMagneticTest.this.MARGIN_LEFT[testCount]);
                float ColY2 = (col_height2[testCount] * ((float) countY)) + ((float) UISpenMagneticTest.this.MARGIN_TOP[testCount]);
                if (countY > UISpenMagneticTest.this.HEIGHT_BASIS[testCount] - 1 || countX > UISpenMagneticTest.this.WIDTH_BASIS[testCount] - 1 || x < ((float) UISpenMagneticTest.this.MARGIN_LEFT[testCount])) {
                    col_height_cross2 = col_height_cross3;
                } else if (ColY < ((float) UISpenMagneticTest.this.MARGIN_TOP[testCount])) {
                    col_height_cross2 = col_height_cross3;
                } else {
                    if (!UISpenMagneticTest.this.draw[testCount][countY][countX]) {
                        UISpenMagneticTest.this.draw[testCount][countY][countX] = true;
                        if (UISpenMagneticTest.this.isDrawArea[testCount][countY][countX]) {
                            col_height_cross2 = col_height_cross3;
                            this.mMatrixCanvas.drawRect((float) (((int) ColX) + 1), (float) (((int) ColY2) + 1), (float) ((int) (col_width2[testCount] + ColX)), (float) ((int) (ColY2 + col_height2[testCount])), paint);
                            invalidate(new Rect((int) (ColX - 1.0f), (int) (ColY2 - 1.0f), (int) (col_width2[testCount] + ColX + 1.0f), (int) (ColY2 + col_height2[testCount] + 1.0f)));
                            FtUtil.log_d(UISpenMagneticTest.this.CLASS_NAME, "drawRect", "count Y : " + countY + " , count X : " + countX);
                        } else {
                            col_height_cross2 = col_height_cross3;
                        }
                    } else {
                        col_height_cross2 = col_height_cross3;
                    }
                    if (UISpenMagneticTest.this.isStyleX) {
                        f = y;
                        checkCrossRectRegion(testCount, x, f, countY_cross, paint);
                    } else {
                        f = y;
                    }
                    testCount++;
                    ColY = f;
                    col_height_cross3 = col_height_cross2;
                }
                Log.i(UISpenMagneticTest.TAG, "You are out of bounds!");
                FtUtil.log_d(UISpenMagneticTest.this.CLASS_NAME, "drawRect", "col_height : " + col_height2[testCount]);
                FtUtil.log_d(UISpenMagneticTest.this.CLASS_NAME, "drawRect", "col_width : " + col_width2[testCount]);
                FtUtil.log_d(UISpenMagneticTest.this.CLASS_NAME, "drawRect", "countY : " + countY + " HEIGHT_BASIS : " + UISpenMagneticTest.this.HEIGHT_BASIS[testCount]);
                FtUtil.log_d(UISpenMagneticTest.this.CLASS_NAME, "drawRect", "countX : " + countX + " WIDTH_BASIS : " + UISpenMagneticTest.this.WIDTH_BASIS[testCount]);
                FtUtil.log_d(UISpenMagneticTest.this.CLASS_NAME, "drawRect", "x : " + x + " MARGIN_LEFT : " + UISpenMagneticTest.this.MARGIN_LEFT[testCount]);
                String str = UISpenMagneticTest.this.CLASS_NAME;
                StringBuilder sb = new StringBuilder();
                sb.append("y : ");
                f = y;
                sb.append(f);
                sb.append(" MARGIN_TOP : ");
                sb.append(UISpenMagneticTest.this.MARGIN_TOP[testCount]);
                FtUtil.log_d(str, "drawRect", sb.toString());
                testCount++;
                ColY = f;
                col_height_cross3 = col_height_cross2;
            }
            checkPassNfinishSpenTest();
        }

        private void checkPassNfinishSpenTest() {
            if (UISpenMagneticTest.this.isStyleX) {
                if (UISpenMagneticTest.this.isPass() && UISpenMagneticTest.this.isPassCross()) {
                    UISpenMagneticTest.this.finishEpentest();
                }
            } else if (UISpenMagneticTest.this.isPass()) {
                UISpenMagneticTest.this.finishEpentest();
            }
        }

        private void checkCrossRectRegion(int testCount, float x, float y, int countY, Paint paint) {
            int startRectTopY;
            int startRectTopX;
            int startRectBottomXPair;
            int startRectBottomYPair;
            int startRectTopXPair;
            int startRectTopYPair;
            if (countY > 0 && countY < UISpenMagneticTest.this.HEIGHT_BASIS_CROSS[testCount] - 2) {
                int countCrossY = (int) ((y - (((float) UISpenMagneticTest.this.MARGIN_TOP[testCount]) + (this.col_height_cross[testCount] * 2.0f))) / this.mHeightCross[testCount]);
                int startRectTopX2 = (int) (((float) UISpenMagneticTest.this.MARGIN_LEFT[testCount]) + (this.col_width[testCount] / 2.0f) + (this.mWidthCross[testCount] * ((float) countCrossY)) + ((float) (UISpenMagneticTest.this.pxsize_cross / 2)));
                int startRectBottomX = (int) (((float) UISpenMagneticTest.this.MARGIN_LEFT[testCount]) + (this.col_width[testCount] / 2.0f) + (this.mWidthCross[testCount] * ((float) ((UISpenMagneticTest.this.HEIGHT_BASIS_CROSS[testCount] - 1) - countCrossY))) + ((float) (UISpenMagneticTest.this.pxsize_cross / 2)));
                int startRectTopY2 = (int) ((this.mHeightCross[testCount] * ((float) (countCrossY + 2))) + ((float) UISpenMagneticTest.this.MARGIN_TOP[testCount]));
                String str = (startRectTopX2 - (UISpenMagneticTest.this.pxsize_cross / 2)) + "~" + startRectTopX2 + (UISpenMagneticTest.this.pxsize_cross / 2);
                String str2 = (startRectBottomX - (UISpenMagneticTest.this.pxsize_cross / 2)) + "~" + startRectBottomX + (UISpenMagneticTest.this.pxsize_cross / 2);
                if (x <= ((float) (startRectTopX2 - (UISpenMagneticTest.this.pxsize_cross / 2))) || x >= ((float) ((UISpenMagneticTest.this.pxsize_cross / 2) + startRectTopX2))) {
                    startRectTopX = startRectTopX2;
                    startRectTopY = startRectTopY2;
                } else {
                    if (!UISpenMagneticTest.this.leftLinearPoint[testCount][countCrossY].getFlag() && (countCrossY <= UISpenMagneticTest.this.mUnnessaryNode || countCrossY >= (UISpenMagneticTest.this.HEIGHT_BASIS_CROSS[testCount] - 1) - UISpenMagneticTest.this.mUnnessaryNode || UISpenMagneticTest.this.leftLinearPoint[testCount][UISpenMagneticTest.this.mUnnessaryNode].getFlag() || UISpenMagneticTest.this.leftLinearPoint[testCount][(UISpenMagneticTest.this.HEIGHT_BASIS_CROSS[testCount] - 1) - UISpenMagneticTest.this.mUnnessaryNode].getFlag())) {
                        float f = this.pxPer1mm;
                        UISpenMagneticTest.this.leftLinearPoint[testCount][countCrossY].setPosition(x / f, y / f);
                        UISpenMagneticTest.this.leftLinearPoint[testCount][countCrossY].setFlag(true);
                    }
                    if (!UISpenMagneticTest.this.drawCross[testCount][countCrossY]) {
                        FtUtil.log_i(UISpenMagneticTest.this.CLASS_NAME, "checkCrossRectRegion", "left cross index : " + countCrossY + " have been drawed...");
                        this.mMatrixCanvas.drawRect((float) ((startRectTopX2 - (UISpenMagneticTest.this.pxsize_cross / 2)) + 1), (float) (startRectTopY2 + 1), (float) ((UISpenMagneticTest.this.pxsize_cross / 2) + startRectTopX2), (float) ((int) (((float) startRectTopY2) + this.col_height_cross[testCount])), paint);
                        invalidate(new Rect((startRectTopX2 - (UISpenMagneticTest.this.pxsize_cross / 2)) - 1, startRectTopY2 + -1, (UISpenMagneticTest.this.pxsize_cross / 2) + startRectTopX2 + 1, (int) (((float) startRectTopY2) + this.col_height_cross[testCount] + 1.0f)));
                        if (countCrossY >= 0) {
                            UISpenMagneticTest.this.drawCross[testCount][countCrossY] = true;
                        }
                        if (UISpenMagneticTest.this.isCheckCrossDouble) {
                            if (countCrossY % 2 == 0) {
                                startRectTopXPair = (int) (((float) UISpenMagneticTest.this.MARGIN_LEFT[testCount]) + (this.col_width[testCount] / 2.0f) + (this.mWidthCross[testCount] * ((float) (countCrossY + 1))) + ((float) (UISpenMagneticTest.this.pxsize_cross / 2)));
                            } else {
                                startRectTopXPair = (int) (((float) UISpenMagneticTest.this.MARGIN_LEFT[testCount]) + (this.col_width[testCount] / 2.0f) + (this.mWidthCross[testCount] * ((float) (countCrossY - 1))) + ((float) (UISpenMagneticTest.this.pxsize_cross / 2)));
                            }
                            if (countCrossY % 2 == 0) {
                                startRectTopYPair = (int) ((this.mHeightCross[testCount] * ((float) (countCrossY + 2 + 1))) + ((float) UISpenMagneticTest.this.MARGIN_TOP[testCount]));
                            } else {
                                startRectTopYPair = (int) ((this.mHeightCross[testCount] * ((float) ((countCrossY + 2) - 1))) + ((float) UISpenMagneticTest.this.MARGIN_TOP[testCount]));
                            }
                            startRectTopX = startRectTopX2;
                            startRectTopY = startRectTopY2;
                            this.mMatrixCanvas.drawRect((float) ((startRectTopXPair - (UISpenMagneticTest.this.pxsize_cross / 2)) + 1), (float) (startRectTopYPair + 1), (float) ((UISpenMagneticTest.this.pxsize_cross / 2) + startRectTopXPair), (float) ((int) (((float) startRectTopYPair) + this.col_height_cross[testCount])), paint);
                            invalidate(new Rect((startRectTopXPair - (UISpenMagneticTest.this.pxsize_cross / 2)) - 1, startRectTopYPair - 1, (UISpenMagneticTest.this.pxsize_cross / 2) + startRectTopXPair + 1, (int) (((float) startRectTopYPair) + this.col_height_cross[testCount])));
                            if (countCrossY % 2 == 0 && countCrossY >= 0) {
                                UISpenMagneticTest.this.drawCross[testCount][countCrossY + 1] = true;
                            } else if (countCrossY % 2 != 0 && countCrossY > 0) {
                                UISpenMagneticTest.this.drawCross[testCount][countCrossY - 1] = true;
                            }
                        } else {
                            startRectTopX = startRectTopX2;
                            startRectTopY = startRectTopY2;
                        }
                    } else {
                        startRectTopX = startRectTopX2;
                        startRectTopY = startRectTopY2;
                    }
                }
                if (x > ((float) (startRectBottomX - (UISpenMagneticTest.this.pxsize_cross / 2))) && x < ((float) ((UISpenMagneticTest.this.pxsize_cross / 2) + startRectBottomX))) {
                    if (!UISpenMagneticTest.this.rightLinearPoint[testCount][countCrossY].getFlag() && (countCrossY <= UISpenMagneticTest.this.mUnnessaryNode || countCrossY >= (UISpenMagneticTest.this.HEIGHT_BASIS_CROSS[testCount] - 1) - UISpenMagneticTest.this.mUnnessaryNode || UISpenMagneticTest.this.rightLinearPoint[testCount][UISpenMagneticTest.this.mUnnessaryNode].getFlag() || UISpenMagneticTest.this.rightLinearPoint[testCount][(UISpenMagneticTest.this.HEIGHT_BASIS_CROSS[testCount] - 1) - UISpenMagneticTest.this.mUnnessaryNode].getFlag())) {
                        float f2 = this.pxPer1mm;
                        UISpenMagneticTest.this.rightLinearPoint[testCount][countCrossY].setPosition(x / f2, y / f2);
                        UISpenMagneticTest.this.rightLinearPoint[testCount][countCrossY].setFlag(true);
                    }
                    if (!UISpenMagneticTest.this.drawCross[testCount][((UISpenMagneticTest.this.HEIGHT_BASIS_CROSS[testCount] * 2) - 1) - countCrossY]) {
                        FtUtil.log_i(UISpenMagneticTest.this.CLASS_NAME, "checkCrossRectRegion", "right cross index : " + countCrossY + " have been drawed...");
                        this.mMatrixCanvas.drawRect((float) ((startRectBottomX - (UISpenMagneticTest.this.pxsize_cross / 2)) + 1), (float) (startRectTopY2 + 1), (float) ((UISpenMagneticTest.this.pxsize_cross / 2) + startRectBottomX), (float) ((int) (((float) startRectTopY2) + this.col_height_cross[testCount])), paint);
                        invalidate(new Rect((startRectBottomX - (UISpenMagneticTest.this.pxsize_cross / 2)) - 1, startRectTopY2 + -1, (UISpenMagneticTest.this.pxsize_cross / 2) + startRectBottomX + 1, (int) (((float) startRectTopY2) + this.col_height_cross[testCount] + 1.0f)));
                        if (countCrossY >= 0) {
                            UISpenMagneticTest.this.drawCross[testCount][((UISpenMagneticTest.this.HEIGHT_BASIS_CROSS[testCount] * 2) - 1) - countCrossY] = true;
                        }
                        if (UISpenMagneticTest.this.isCheckCrossDouble) {
                            if (countCrossY % 2 == 0) {
                                startRectBottomXPair = (int) (((float) UISpenMagneticTest.this.MARGIN_LEFT[testCount]) + (this.col_width[testCount] / 2.0f) + (this.mWidthCross[testCount] * ((float) ((UISpenMagneticTest.this.HEIGHT_BASIS_CROSS[testCount] - 1) - (countCrossY + 1)))) + ((float) (UISpenMagneticTest.this.pxsize_cross / 2)));
                            } else {
                                startRectBottomXPair = (int) (((float) UISpenMagneticTest.this.MARGIN_LEFT[testCount]) + (this.col_width[testCount] / 2.0f) + (this.mWidthCross[testCount] * ((float) ((UISpenMagneticTest.this.HEIGHT_BASIS_CROSS[testCount] - 1) - (countCrossY - 1)))) + ((float) (UISpenMagneticTest.this.pxsize_cross / 2)));
                            }
                            if (countCrossY % 2 == 0) {
                                startRectBottomYPair = (int) ((this.mHeightCross[testCount] * ((float) (countCrossY + 2 + 1))) + ((float) UISpenMagneticTest.this.MARGIN_TOP[testCount]));
                            } else {
                                startRectBottomYPair = (int) ((this.mHeightCross[testCount] * ((float) ((countCrossY + 2) - 1))) + ((float) UISpenMagneticTest.this.MARGIN_TOP[testCount]));
                            }
                            this.mMatrixCanvas.drawRect((float) ((startRectBottomXPair - (UISpenMagneticTest.this.pxsize_cross / 2)) + 1), (float) (startRectBottomYPair + 1), (float) ((UISpenMagneticTest.this.pxsize_cross / 2) + startRectBottomXPair), (float) ((int) (((float) startRectBottomYPair) + this.col_height_cross[testCount])), paint);
                            invalidate(new Rect((startRectBottomXPair - (UISpenMagneticTest.this.pxsize_cross / 2)) - 1, startRectBottomYPair - 1, (UISpenMagneticTest.this.pxsize_cross / 2) + startRectBottomXPair + 1, (int) (((float) startRectBottomYPair) + this.col_height_cross[testCount] + 1.0f)));
                            if (countCrossY % 2 == 0 && countCrossY >= 0) {
                                UISpenMagneticTest.this.drawCross[testCount][(((UISpenMagneticTest.this.HEIGHT_BASIS_CROSS[testCount] * 2) - 1) - countCrossY) - 1] = true;
                            } else if (countCrossY % 2 != 0 && countCrossY > 0) {
                                UISpenMagneticTest.this.drawCross[testCount][(((UISpenMagneticTest.this.HEIGHT_BASIS_CROSS[testCount] * 2) - 1) - countCrossY) + 1] = true;
                            }
                        }
                    }
                }
            }
        }
    }
}
