package com.sec.factory.app.ui;

import android.content.Context;
import android.content.Intent;
import android.graphics.Paint;
import android.os.Bundle;
import android.os.Handler;
import android.support.v4.view.InputDeviceCompat;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import android.widget.LinearLayout;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.support.FtUtil;

public class UISpenTypeTest extends UIBase {
    private static final int ALL_PASS = 3;
    private static final int AMETA_ERASER_ON = 67108864;
    private static final int AMETA_PEN_BUTTON_ON = 167772160;
    private static final int AMETA_PEN_ON = 33554432;
    private static final int AMETA_SIDE_SWITCH_ON = 134217728;
    private static final String CLASS_NAME = "UISpenTypeTest";
    private static final String DISABLE_PEN_GESTURE_KEY = "disable_pen_gesture";
    private static final int ERASER_PASS = 2;
    private static final int PEN_BUTTON_PASS = 1;
    private static final int SPEN_BUTTON_TEST_AS_ERASER = 1;
    private static final int SPEN_BUTTON_TEST_AS_PEN = 0;
    protected int KEY_TIMEOUT = 2;
    protected int KEY_TIMER_EXPIRED = 1;
    protected int MILLIS_IN_SEC = 1000;
    private int mActiveType = 0;
    private TextView mCommentText;
    private long mCurrentTime = 0;
    private Handler mHandler = new Handler();
    private boolean mIsPressedBackkey = false;
    private boolean mIsTestDone = false;
    private LinearLayout mLinearLayout;
    private int mMASK_PEN_ERASER_BUTTON = 0;
    private int mOldHoveringSetting = 0;
    private TextView mResultText;
    private ButtonTestView mView;
    private ViewGroup mViewGroup;

    public UISpenTypeTest() {
        super(CLASS_NAME, 26);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        this.mViewGroup = (FrameLayout) getLayoutInflater().inflate(R.layout.ui_spentypetest, (ViewGroup) null);
        addButtonTestView();
        setContentView(this.mViewGroup);
        this.mLinearLayout = (LinearLayout) findViewById(R.id.spenbutton_linearlayout);
        this.mResultText = (TextView) findViewById(R.id.spen_buttontest_result);
        this.mCommentText = (TextView) findViewById(R.id.spen_comment_text);
        this.mActiveType = getIntent().getIntExtra("TYPE", -1);
        FtUtil.log_d(CLASS_NAME, "OnCteate()", "Intent TYPE : " + this.mActiveType);
        if (this.mActiveType == 1) {
            this.mCommentText.setText(R.string.spen_buttontest_eraser_text);
        }
    }

    private void addButtonTestView() {
        if (this.mViewGroup.getChildCount() > 1) {
            FtUtil.log_d(CLASS_NAME, "addButtonTestView", "already added ButtonTestView");
            ViewGroup viewGroup = this.mViewGroup;
            viewGroup.getChildAt(viewGroup.getChildCount() - 1).bringToFront();
            FtUtil.log_d(CLASS_NAME, "addButtonTestView", "getChildCount: " + this.mViewGroup.getChildCount());
            return;
        }
        FtUtil.log_d(CLASS_NAME, "addButtonTestView", "add ButtonTestView");
        View eventListenerView = new ButtonTestView(this);
        Paint paint = new Paint();
        paint.setColor(InputDeviceCompat.SOURCE_ANY);
        paint.setAlpha(0);
        eventListenerView.setBackgroundColor(paint.getColor());
        eventListenerView.setLayoutParams(new FrameLayout.LayoutParams(-1, -1));
        ViewGroup viewGroup2 = this.mViewGroup;
        viewGroup2.addView(eventListenerView, viewGroup2.getChildCount() - 1);
        ViewGroup viewGroup3 = this.mViewGroup;
        viewGroup3.getChildAt(viewGroup3.getChildCount() - 1).bringToFront();
        FtUtil.log_d(CLASS_NAME, "addButtonTestView", "getChildCount: " + this.mViewGroup.getChildCount());
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        ViewGroup viewGroup = this.mViewGroup;
        if (viewGroup != null) {
            viewGroup.removeAllViews();
        }
        super.onDestroy();
    }

    public boolean onTouchEvent(MotionEvent event) {
        FtUtil.log_d(CLASS_NAME, "onTouchEvent", "getMetaState()=[" + event.getMetaState() + "]");
        FtUtil.log_d(CLASS_NAME, "onTouchEvent", "getToolType(0)=[" + event.getToolType(0) + "]");
        addButtonTestView();
        return true;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void onFinish() {
        this.mIsTestDone = true;
        int i = this.mActiveType;
        if (i == 0) {
            Intent startIntent = new Intent(this, UISpenAccuracyTest.class);
            startIntent.addFlags(33554432);
            startIntent.putExtra("RemoteCall", true);
            startActivity(startIntent);
        } else if (i == 1) {
            setTestResult(28, (byte) 80);
        }
        this.mMASK_PEN_ERASER_BUTTON = 0;
        finish();
    }

    /* access modifiers changed from: package-private */
    public int maskForTestResult(int value) {
        int i = this.mMASK_PEN_ERASER_BUTTON | value;
        this.mMASK_PEN_ERASER_BUTTON = i;
        return i;
    }

    /* access modifiers changed from: package-private */
    public class ButtonTestView extends View {
        int mOldButtonState;

        public ButtonTestView(Context c) {
            super(c);
        }

        public boolean onTouchEvent(MotionEvent event) {
            return onTouchOrHoverEvent(event, true);
        }

        public boolean onHoverEvent(MotionEvent event) {
            return onTouchOrHoverEvent(event, false);
        }

        private boolean onTouchOrHoverEvent(MotionEvent event, boolean isTouch) {
            int buttonState = event.getButtonState();
            this.mOldButtonState = buttonState;
            int evtAction = event.getAction();
            if (event.getToolType(0) == 2 && this.mOldButtonState != 0 && UISpenTypeTest.this.mActiveType == 0 && buttonState == 2 && (evtAction == 10 || evtAction == 3)) {
                FtUtil.log_d(UISpenTypeTest.CLASS_NAME, "onTouchOrHoverEvent", "BUTTON_SECONDARY");
                FtUtil.log_d(UISpenTypeTest.CLASS_NAME, "onTouchOrHoverEvent", "event.getMetaState()=[PEN_ON & SIDE_BUTTON_ON]");
                FtUtil.log_d(UISpenTypeTest.CLASS_NAME, "onTouchOrHoverEvent", "PEN_BUTTON Result : PASS");
                UISpenTypeTest.this.mLinearLayout.setBackgroundColor(-16711936);
                UISpenTypeTest.this.mResultText.setText("PASS");
                UISpenTypeTest.this.mResultText.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                UISpenTypeTest.this.mHandler.postDelayed(new Runnable() {
                    /* class com.sec.factory.app.ui.UISpenTypeTest.ButtonTestView.AnonymousClass1 */

                    public void run() {
                        if (!UISpenTypeTest.this.mIsTestDone) {
                            UISpenTypeTest.this.onFinish();
                        }
                    }
                }, 500);
            } else if (event.getToolType(0) == 4 && UISpenTypeTest.this.mActiveType == 1 && isTouch) {
                FtUtil.log_d(UISpenTypeTest.CLASS_NAME, "onTouchOrHoverEvent", "event.getMetaState()=[AMETA_ERASER_ON]");
                FtUtil.log_d(UISpenTypeTest.CLASS_NAME, "onTouchOrHoverEvent", "PEN_BUTTON Result : PASS");
                UISpenTypeTest.this.mLinearLayout.setBackgroundColor(-16711936);
                UISpenTypeTest.this.mResultText.setText("PASS");
                UISpenTypeTest.this.mResultText.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                UISpenTypeTest.this.mHandler.postDelayed(new Runnable() {
                    /* class com.sec.factory.app.ui.UISpenTypeTest.ButtonTestView.AnonymousClass2 */

                    public void run() {
                        if (!UISpenTypeTest.this.mIsTestDone) {
                            UISpenTypeTest.this.onFinish();
                        }
                    }
                }, 500);
            }
            return true;
        }
    }
}
