package com.sec.factory.app.ui;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.modules.ModuleAudio;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.support.FtUtil;
import java.io.IOException;

public class UISpk_Rcv_Test extends Activity implements View.OnClickListener {
    private static final String CLASS_NAME = "UISpk_Rcv_Test";
    protected static ModuleAudio mModuleAudio = null;
    protected static ModuleDevice mModuleDevice = null;
    private static int volume_index = 100;
    private String filepath = "/";
    private Button mAllSpkPlayButton;
    private Button mExternel_On_Off_button;
    private int mMusicPathCheck = 0;
    private Button mRcvPlayButton;
    private Button mSpk2PlayButton;
    private Button mSpk3PlayButton;
    private Button mSpk4PlayButton;
    private Button mSpkPlayButton;
    private Button mStopButton;
    private Button mVolumDownButton;
    private TextView mVolumText;
    private Button mVolumUpButton;

    public UISpk_Rcv_Test() {
        ModuleAudio moduleAudio = mModuleAudio;
        mModuleAudio = moduleAudio == null ? ModuleAudio.instance(this) : moduleAudio;
        ModuleDevice moduleDevice = mModuleDevice;
        mModuleDevice = moduleDevice == null ? ModuleDevice.instance(this) : moduleDevice;
    }

    private void initialize() {
        this.mVolumText = (TextView) findViewById(R.id.volume_level);
        this.mSpkPlayButton = (Button) findViewById(R.id.Spk_Play_button);
        this.mSpk2PlayButton = (Button) findViewById(R.id.Spk2_Play_button);
        this.mSpk3PlayButton = (Button) findViewById(R.id.Spk3_Play_button);
        this.mSpk4PlayButton = (Button) findViewById(R.id.Spk4_Play_button);
        this.mRcvPlayButton = (Button) findViewById(R.id.Rcv_Play_button);
        this.mAllSpkPlayButton = (Button) findViewById(R.id.AllSpk_Play_button);
        this.mStopButton = (Button) findViewById(R.id.Stop_button);
        this.mVolumUpButton = (Button) findViewById(R.id.Volum_Up_button);
        this.mVolumDownButton = (Button) findViewById(R.id.Volum_Down_button);
        this.mExternel_On_Off_button = (Button) findViewById(R.id.Externel_On_Off_button);
        this.mSpkPlayButton.setOnClickListener(this);
        this.mSpk2PlayButton.setOnClickListener(this);
        this.mSpk3PlayButton.setOnClickListener(this);
        this.mSpk4PlayButton.setOnClickListener(this);
        this.mRcvPlayButton.setOnClickListener(this);
        this.mAllSpkPlayButton.setOnClickListener(this);
        this.mStopButton.setOnClickListener(this);
        this.mVolumUpButton.setOnClickListener(this);
        this.mVolumDownButton.setOnClickListener(this);
        this.mExternel_On_Off_button.setOnClickListener(this);
        TextView textView = this.mVolumText;
        textView.setText(" Volume : " + volume_index);
    }

    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_spk_rcv_test);
        initialize();
    }

    /* access modifiers changed from: protected */
    public void onResume() {
        super.onResume();
    }

    /* access modifiers changed from: protected */
    public void onPause() {
        super.onPause();
    }

    /* access modifiers changed from: protected */
    public void onDestroy() {
        mModuleAudio.stopMedia();
        mModuleAudio.setAudioPath(4);
        super.onDestroy();
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.AllSpk_Play_button:
                mModuleAudio.setAudioPath(0);
                mModuleAudio.setStreamMusicVolume(volume_index);
                if (this.mMusicPathCheck > 0) {
                    try {
                        mModuleAudio.playMedia(this.filepath, true);
                        return;
                    } catch (IOException e) {
                        FtUtil.log_d(CLASS_NAME, "onClick", "Error : " + e.getMessage());
                        return;
                    }
                } else {
                    mModuleAudio.playMedia(R.raw.spk_rcv_auto_test, true);
                    return;
                }
            case R.id.Externel_On_Off_button:
                if (mModuleDevice.isMountedStorage(0)) {
                    int i = this.mMusicPathCheck + 1;
                    this.mMusicPathCheck = i;
                    if (i > 5) {
                        this.mMusicPathCheck = 0;
                        this.mExternel_On_Off_button.setText(" Externel On ");
                        return;
                    }
                    this.filepath = mModuleDevice.getStoragePath(0) + "/audio/sample" + this.mMusicPathCheck + ".mp3";
                    Button button = this.mExternel_On_Off_button;
                    StringBuilder sb = new StringBuilder();
                    sb.append("Music ");
                    sb.append(this.mMusicPathCheck);
                    button.setText(sb.toString());
                    return;
                }
                return;
            case R.id.Rcv_Play_button:
                mModuleAudio.setAudioPath(1);
                mModuleAudio.setStreamMusicVolume(volume_index);
                if (this.mMusicPathCheck > 0) {
                    try {
                        mModuleAudio.playMedia(this.filepath, true);
                        return;
                    } catch (IOException e2) {
                        FtUtil.log_d(CLASS_NAME, "onClick", "Error : " + e2.getMessage());
                        return;
                    }
                } else {
                    mModuleAudio.playMedia(R.raw.spk_rcv_auto_test_48, true);
                    return;
                }
            case R.id.Spk2_Play_button:
                mModuleAudio.setAudioPath(9);
                mModuleAudio.setStreamMusicVolume(volume_index);
                if (this.mMusicPathCheck > 0) {
                    try {
                        mModuleAudio.playMedia(this.filepath, true);
                        return;
                    } catch (IOException e3) {
                        FtUtil.log_d(CLASS_NAME, "onClick", "Error : " + e3.getMessage());
                        return;
                    }
                } else {
                    mModuleAudio.playMedia(R.raw.spk_rcv_auto_test, true);
                    return;
                }
            case R.id.Spk3_Play_button:
                mModuleAudio.setAudioPath(10);
                mModuleAudio.setStreamMusicVolume(volume_index);
                if (this.mMusicPathCheck > 0) {
                    try {
                        mModuleAudio.playMedia(this.filepath, true);
                        return;
                    } catch (IOException e4) {
                        FtUtil.log_d(CLASS_NAME, "onClick", "Error : " + e4.getMessage());
                        return;
                    }
                } else {
                    mModuleAudio.playMedia(R.raw.spk_rcv_auto_test, true);
                    return;
                }
            case R.id.Spk4_Play_button:
                mModuleAudio.setAudioPath(11);
                mModuleAudio.setStreamMusicVolume(volume_index);
                if (this.mMusicPathCheck > 0) {
                    try {
                        mModuleAudio.playMedia(this.filepath, true);
                        return;
                    } catch (IOException e5) {
                        FtUtil.log_d(CLASS_NAME, "onClick", "Error : " + e5.getMessage());
                        return;
                    }
                } else {
                    mModuleAudio.playMedia(R.raw.spk_rcv_auto_test, true);
                    return;
                }
            case R.id.Spk_Play_button:
                mModuleAudio.setAudioPath(8);
                mModuleAudio.setStreamMusicVolume(volume_index);
                if (this.mMusicPathCheck > 0) {
                    try {
                        mModuleAudio.playMedia(this.filepath, true);
                        return;
                    } catch (IOException e6) {
                        FtUtil.log_d(CLASS_NAME, "onClick", "Error : " + e6.getMessage());
                        return;
                    }
                } else {
                    mModuleAudio.playMedia(R.raw.spk_rcv_auto_test, true);
                    return;
                }
            case R.id.Stop_button:
                mModuleAudio.stopMedia();
                mModuleAudio.setAudioPath(4);
                return;
            case R.id.Volum_Down_button:
                int i2 = volume_index;
                if (i2 > 0) {
                    volume_index = i2 - 1;
                }
                TextView textView = this.mVolumText;
                textView.setText(" Volume : " + volume_index);
                mModuleAudio.setStreamMusicVolume(volume_index);
                return;
            case R.id.Volum_Up_button:
                int i3 = volume_index;
                if (i3 < 100) {
                    volume_index = i3 + 1;
                }
                mModuleAudio.setStreamMusicVolume(volume_index);
                TextView textView2 = this.mVolumText;
                textView2.setText(" Volume : " + volume_index);
                return;
            default:
                return;
        }
    }
}
