package com.sec.factory.app.ui;

import android.media.AudioManager;
import android.os.Bundle;
import android.view.KeyEvent;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.modules.ModuleAudio;
import com.sec.factory.modules.ModuleCommunicationService;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import java.text.DecimalFormat;
import java.util.ArrayList;

public class UISpkcal extends UIBase implements View.OnClickListener {
    protected static final String AUDIO_PARAMETER_CALIBRATION = "ret=";
    protected static final String AUDIO_PARAMETER_IMPENDANCE = "impedance=";
    private static final String CLASS_NAME = "UISpkcal";
    protected static ModuleAudio mModuleAudio = null;
    ArrayAdapter<String> Adapter;
    ArrayList<String> arHistory = new ArrayList<>();
    TextView calCheckResult;
    private int calCount = 1;
    TextView calDataResult;
    TextView impRange;
    TextView impRange2;
    private boolean isCirrus = false;
    private boolean isDoingCal = false;
    private boolean isMaxim = false;
    private boolean isNxp = false;
    private boolean isRichtek = false;
    private AudioManager mAudioManager;
    Button mCalBtn;
    private String mCalibration;
    Button mEraseBtn;
    ListView mHistoryView;
    private String mImpResult;
    private String mImpResult2;
    public double mImpSpecMAX;
    public double mImpSpecMAX2;
    public double mImpSpecMIN;
    public double mImpSpecMIN2;
    private String mImpedance;
    private double mNImpedence;
    private String mTempResult;
    public double mTempSpecMAX;
    public double mTempSpecMIN;
    TextView tempRange;

    public UISpkcal() {
        super(CLASS_NAME);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        FtUtil.log_d(CLASS_NAME, "onCreate");
        this.mAudioManager = (AudioManager) getSystemService("audio");
        ModuleAudio moduleAudio = mModuleAudio;
        if (moduleAudio == null) {
            moduleAudio = ModuleAudio.instance(this);
        }
        mModuleAudio = moduleAudio;
        setContentView(R.layout.ui_spkcal);
        String ampType = Support.Feature.getString(Support.Feature.AUDIO_AMP_TYPE);
        if (Support.Kernel.isExistFile(Support.Kernel.AUDIO_AMP_VENDOR)) {
            ampType = Support.Kernel.read(Support.Kernel.AUDIO_AMP_VENDOR);
        }
        this.isMaxim = "MAXIM".equalsIgnoreCase(ampType);
        this.isCirrus = "CIRRUS".equalsIgnoreCase(ampType);
        this.isRichtek = "RICHTEK".equalsIgnoreCase(ampType);
        this.isNxp = "NXP".equalsIgnoreCase(ampType);
        setTestItemInfo();
        FtUtil.log_d(CLASS_NAME, "setAudioPath", "setAudioPath");
        FtUtil.log_d(CLASS_NAME, "onCreate", "isMaxim : " + this.isMaxim);
        initUI();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
    }

    private boolean setTestItemInfo() {
        String str;
        String str2;
        NumberFormatException ne;
        FtUtil.log_d(CLASS_NAME, "setTestItemInfo(), isMaxim : " + this.isMaxim);
        FtUtil.log_d(CLASS_NAME, "setTestItemInfo(), isCirrus : " + this.isCirrus);
        FtUtil.log_d(CLASS_NAME, "setTestItemInfo(), isRichtek : " + this.isRichtek);
        if (this.isMaxim) {
            String specImp = Support.Spec.getString(Support.Spec.SPK_CAL_MAXIM_IMPEDANCE_SPEC);
            String specTemp = Support.Spec.getString(Support.Spec.SPK_CAL_MAXIM_TEMPERATURE_SPEC);
            String[] minMaxImpSpec = specImp != null ? specImp.split(",") : null;
            String[] minMaxTempSpec = specTemp != null ? specTemp.split(",") : null;
            if (minMaxImpSpec == null || minMaxTempSpec == null) {
                FtUtil.log_e(CLASS_NAME, "setTestItemInfo", "No Spec data");
                return false;
            }
            try {
                this.mImpSpecMIN = Double.parseDouble(minMaxImpSpec[0]);
                this.mImpSpecMAX = Double.parseDouble(minMaxImpSpec[1]);
                this.mTempSpecMIN = Double.parseDouble(minMaxTempSpec[0]);
                this.mTempSpecMAX = Double.parseDouble(minMaxTempSpec[1]);
            } catch (NumberFormatException ne2) {
                this.mImpSpecMIN = -1.0d;
                this.mImpSpecMAX = -1.0d;
                this.mTempSpecMIN = -1.0d;
                this.mTempSpecMAX = -1.0d;
                FtUtil.log_e(ne2);
            }
            FtUtil.log_d(CLASS_NAME, "setTestItemInfo", "MAXIM, mImpSpecMIN : " + this.mImpSpecMIN + ", mImpSpecMAX : " + this.mImpSpecMAX);
            FtUtil.log_d(CLASS_NAME, "setTestItemInfo", "MAXIM, mTempSpecMIN : " + this.mTempSpecMIN + ", mTempSpecMAX : " + this.mTempSpecMAX);
            return true;
        } else if (this.isCirrus) {
            String specImp2 = Support.Spec.getString(Support.Spec.SPK_CAL_CIRRUS_REPT_SPEC);
            String[] minMaxImpSpec2 = specImp2 != null ? specImp2.split(",") : null;
            if (minMaxImpSpec2 == null) {
                FtUtil.log_e(CLASS_NAME, "setTestItemInfo", "No REPT Spec data");
                return false;
            }
            try {
                this.mImpSpecMIN = Double.parseDouble(minMaxImpSpec2[0]);
                this.mImpSpecMAX = Double.parseDouble(minMaxImpSpec2[1]);
            } catch (NumberFormatException ne3) {
                this.mImpSpecMIN = -1.0d;
                this.mImpSpecMAX = -1.0d;
                FtUtil.log_e(ne3);
            }
            FtUtil.log_d(CLASS_NAME, "setTestItemInfo", "CIRRUS, mImpSpecMIN : " + this.mImpSpecMIN + ", mImpSpecMAX : " + this.mImpSpecMAX);
            String specTemp2 = Support.Spec.getString(Support.Spec.SPK_CAL_CIRRUS_TEMPERATURE_SPEC);
            String[] minMaxTempSpec2 = specTemp2 != null ? specTemp2.split(",") : null;
            if (minMaxTempSpec2 == null) {
                FtUtil.log_e(CLASS_NAME, "setTestItemInfo", "No Temp Spec data");
                return false;
            }
            try {
                this.mTempSpecMIN = Double.parseDouble(minMaxTempSpec2[0]);
                this.mTempSpecMAX = Double.parseDouble(minMaxTempSpec2[1]);
            } catch (NumberFormatException ne4) {
                this.mTempSpecMIN = -1.0d;
                this.mTempSpecMAX = -1.0d;
                FtUtil.log_e(ne4);
            }
            FtUtil.log_d(CLASS_NAME, "setTestItemInfo", "CIRRUS, mTempSpecMIN : " + this.mTempSpecMIN + ", mTempSpecMAX : " + this.mTempSpecMAX);
            return true;
        } else if (this.isRichtek) {
            String specImp3 = Support.Spec.getString(Support.Spec.SPK_CAL_RICHTEK_IMPEDANCE_SPEC);
            String specTemp3 = Support.Spec.getString(Support.Spec.SPK_CAL_RICHTEK_TEMPERATURE_SPEC);
            String[] minMaxImpSpec3 = specImp3 != null ? specImp3.split(",") : null;
            String[] minMaxTempSpec3 = specTemp3 != null ? specTemp3.split(",") : null;
            if (minMaxImpSpec3 == null || minMaxTempSpec3 == null) {
                FtUtil.log_e(CLASS_NAME, "setTestItemInfo", "No Spec data");
                return false;
            }
            try {
                this.mImpSpecMIN = Double.parseDouble(minMaxImpSpec3[0]);
                this.mImpSpecMAX = Double.parseDouble(minMaxImpSpec3[1]);
                this.mTempSpecMIN = Double.parseDouble(minMaxTempSpec3[0]);
                this.mTempSpecMAX = Double.parseDouble(minMaxTempSpec3[1]);
            } catch (NumberFormatException ne5) {
                this.mImpSpecMIN = -1.0d;
                this.mImpSpecMAX = -1.0d;
                this.mTempSpecMIN = -1.0d;
                this.mTempSpecMAX = -1.0d;
                FtUtil.log_e(ne5);
            }
            FtUtil.log_d(CLASS_NAME, "setTestItemInfo", "RICHTEK, mImpSpecMIN : " + this.mImpSpecMIN + ", mImpSpecMAX : " + this.mImpSpecMAX);
            FtUtil.log_d(CLASS_NAME, "setTestItemInfo", "RICHTEK, mTempSpecMIN : " + this.mTempSpecMIN + ", mTempSpecMAX : " + this.mTempSpecMAX);
            return true;
        } else if (!Support.Feature.getBoolean(Support.Feature.SUPPORT_AUDIO_NEW_NXP)) {
            String specImp4 = Support.Spec.getString(Support.Spec.SPK_CAL_NXP_IMPEDANCE_SPEC);
            String[] minMaxImpSpec4 = specImp4 != null ? specImp4.split(",") : null;
            try {
                this.mImpSpecMIN = Double.parseDouble(minMaxImpSpec4[0]);
                this.mImpSpecMAX = Double.parseDouble(minMaxImpSpec4[1]);
            } catch (NumberFormatException ne6) {
                this.mImpSpecMIN = -1.0d;
                this.mImpSpecMAX = -1.0d;
                FtUtil.log_e(ne6);
            }
            FtUtil.log_d(CLASS_NAME, "setTestItemInfo", "NXP, mImpSpecMIN : " + this.mImpSpecMIN + ", mImpSpecMAX : " + this.mImpSpecMAX);
            return true;
        } else {
            String specImp5 = Support.Spec.getString(Support.Spec.SPK_CAL_NXP_IMPEDANCE_SPEC);
            String specTemp4 = Support.Spec.getString(Support.Spec.SPK_CAL_NXP_TEMPERATURE_SPEC);
            String[] minMaxImpSpec5 = specImp5 != null ? specImp5.split(",") : null;
            String[] minMaxTempSpec4 = specTemp4 != null ? specTemp4.split(",") : null;
            if (minMaxImpSpec5 == null) {
                str = "setTestItemInfo";
            } else if (minMaxTempSpec4 == null) {
                str = "setTestItemInfo";
            } else {
                try {
                    str2 = "setTestItemInfo";
                    try {
                        this.mImpSpecMIN = Double.parseDouble(minMaxImpSpec5[0]);
                        this.mImpSpecMAX = Double.parseDouble(minMaxImpSpec5[1]);
                        this.mTempSpecMIN = Double.parseDouble(minMaxTempSpec4[0]);
                        this.mTempSpecMAX = Double.parseDouble(minMaxTempSpec4[1]);
                    } catch (NumberFormatException e) {
                        ne = e;
                    }
                } catch (NumberFormatException e2) {
                    ne = e2;
                    str2 = "setTestItemInfo";
                    this.mImpSpecMIN = -1.0d;
                    this.mImpSpecMAX = -1.0d;
                    this.mTempSpecMIN = -1.0d;
                    this.mTempSpecMAX = -1.0d;
                    FtUtil.log_e(ne);
                    FtUtil.log_d(CLASS_NAME, str2, "NXP, mImpSpecMIN : " + this.mImpSpecMIN + ", mImpSpecMAX : " + this.mImpSpecMAX);
                    FtUtil.log_d(CLASS_NAME, str2, "NXP, mTempSpecMIN : " + this.mTempSpecMIN + ", mTempSpecMAX : " + this.mTempSpecMAX);
                    return true;
                }
                FtUtil.log_d(CLASS_NAME, str2, "NXP, mImpSpecMIN : " + this.mImpSpecMIN + ", mImpSpecMAX : " + this.mImpSpecMAX);
                FtUtil.log_d(CLASS_NAME, str2, "NXP, mTempSpecMIN : " + this.mTempSpecMIN + ", mTempSpecMAX : " + this.mTempSpecMAX);
                return true;
            }
            FtUtil.log_e(CLASS_NAME, str, "No Spec data");
            return false;
        }
    }

    private void initUI() {
        FtUtil.log_d(CLASS_NAME, "initUI");
        this.impRange = (TextView) findViewById(R.id.spk_cal_maxim_impedance_value);
        this.impRange2 = (TextView) findViewById(R.id.spk_cal_maxim_impedance_value2);
        this.tempRange = (TextView) findViewById(R.id.spk_cal_maxim_temp_value);
        this.mCalBtn = (Button) findViewById(R.id.btn_maxim_cal);
        this.mEraseBtn = (Button) findViewById(R.id.btn_maxim_erase);
        this.mHistoryView = (ListView) findViewById(R.id.spkcal_maxim_history);
        this.mCalBtn.setOnClickListener(this);
        this.mEraseBtn.setOnClickListener(this);
        this.calCheckResult = (TextView) findViewById(R.id.spkcal_cal_maxim_cal_check_value);
        this.calDataResult = (TextView) findViewById(R.id.spkcal_maxim_cal_data_value);
        DecimalFormat format = new DecimalFormat("#.###");
        if (this.isMaxim) {
            format = new DecimalFormat("#.#");
        }
        String mStrImpSpecMIN = String.valueOf(format.format(this.mImpSpecMIN));
        String mStrImpSpecMAX = String.valueOf(format.format(this.mImpSpecMAX));
        String mStrTempSpecMIN = String.valueOf(format.format(this.mTempSpecMIN));
        String mStrTempSpecMAX = String.valueOf(format.format(this.mTempSpecMAX));
        TextView textView = this.impRange;
        textView.setText(mStrImpSpecMIN + " ~ " + mStrImpSpecMAX);
        TextView textView2 = this.tempRange;
        textView2.setText(mStrTempSpecMIN + " ~ " + mStrTempSpecMAX);
        if (this.isMaxim) {
            getImpTemp(false);
            UpdateUIMaxim(true);
        } else if (this.isCirrus) {
            getImpTemp(false);
            ((TextView) findViewById(R.id.spkcal_maxim_title)).setText("SPK Cal.(CIRRUS)");
            ((TextView) findViewById(R.id.spkcalmaxim_impedance_title)).setText("RePT : ");
            UpdateUICirrus(true);
        } else if (this.isRichtek) {
            getImpTemp(false);
            ((TextView) findViewById(R.id.spkcal_maxim_title)).setText("SPK Cal.(RICHTEK)");
            this.tempRange.setText("N/A");
            TextView textView3 = (TextView) findViewById(R.id.spkcalmaxim_impedance_title);
            UpdateUIRichtek(true);
            this.mEraseBtn.setEnabled(false);
        } else if (!Support.Feature.getBoolean(Support.Feature.SUPPORT_AUDIO_NEW_NXP)) {
            ((TextView) findViewById(R.id.spkcal_maxim_title)).setText("SPK Cal.(NXP)");
            this.tempRange.setText("N/A");
            this.mEraseBtn.setEnabled(false);
        } else {
            getImpTemp(false);
            ((TextView) findViewById(R.id.spkcal_maxim_title)).setText("SPK Cal.(NXP)");
            TextView textView4 = (TextView) findViewById(R.id.spkcalmaxim_impedance_title);
            UpdateUINXPNew(true);
        }
        this.Adapter = new ArrayAdapter<>(this, (int) R.layout.maxim_history_item, this.arHistory);
        this.arHistory.add(0, String.format("%4s%20s%20s", "Num.", "Impedance", "Temp"));
        this.mHistoryView.setAdapter((ListAdapter) this.Adapter);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* JADX WARNING: Removed duplicated region for block: B:47:0x01f1  */
    /* JADX WARNING: Removed duplicated region for block: B:61:? A[RETURN, SYNTHETIC] */
    private void UpdateUIMaxim(boolean isFirst) {
        int mShift;
        String path;
        String path2;
        DecimalFormat format;
        FtUtil.log_d(CLASS_NAME, "UpdateUI isFirst : " + isFirst);
        String ChipsetMan = Support.Spec.getString(Support.Feature.CHIPSET_MANUFACTURE);
        String path3 = mModuleAudio.getSpkCalPath(0);
        if (!"ffffffff".equalsIgnoreCase(this.mImpResult)) {
            if (!"ffffffff".equalsIgnoreCase(this.mTempResult)) {
                try {
                    double dImpedance = (double) Integer.parseInt(this.mImpResult, 16);
                    double dTemperature = (double) Integer.parseInt(this.mTempResult, 16);
                    if ("S.LSI".equalsIgnoreCase(ChipsetMan)) {
                        mShift = 19;
                    } else if ("Qualcomm".equalsIgnoreCase(ChipsetMan)) {
                        mShift = 27;
                    } else {
                        FtUtil.log_e(CLASS_NAME, "SpkCalMaxim", "CHIPSET_MANUFACTURE is not Support");
                        return;
                    }
                    for (int i = 0; i < mShift; i++) {
                        dImpedance /= 2.0d;
                    }
                    double dImpedance2 = Double.valueOf(new DecimalFormat("#.##").format(dImpedance * 3.3299999237060547d)).doubleValue();
                    DecimalFormat format2 = new DecimalFormat("#.#");
                    double dTemperature2 = Double.valueOf(format2.format(dTemperature / 10.0d)).doubleValue();
                    if (dImpedance2 < 0.0d) {
                        path = path3;
                    } else if (dTemperature2 < 0.0d) {
                        path = path3;
                    } else {
                        double d = this.mImpSpecMIN;
                        if (dImpedance2 >= d) {
                            format = format2;
                            if (dImpedance2 > this.mImpSpecMAX || dTemperature2 < this.mTempSpecMIN || dTemperature2 > this.mTempSpecMAX) {
                                path2 = path3;
                            } else {
                                this.calCheckResult.setText("OK");
                                this.calCheckResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                                TextView textView = this.calDataResult;
                                textView.setText(dImpedance2 + " , " + dTemperature2);
                                AudioManager audioManager = this.mAudioManager;
                                audioManager.setParameters("spk_calibration=pass" + mModuleAudio.getTargetType(path3));
                                if (isFirst) {
                                    ArrayList<String> arrayList = this.arHistory;
                                    int i2 = this.calCount;
                                    this.calCount = i2 + 1;
                                    arrayList.add(1, String.format("%4d%24.2f%28.1f", Integer.valueOf(i2), Double.valueOf(dImpedance2), Double.valueOf(dTemperature2)));
                                    if (this.calCount >= 12) {
                                        this.arHistory.remove(11);
                                    }
                                    this.Adapter.notifyDataSetChanged();
                                    return;
                                }
                                return;
                            }
                        } else {
                            format = format2;
                            path2 = path3;
                        }
                        if (dImpedance2 >= d) {
                            if (dImpedance2 <= this.mImpSpecMAX) {
                                AudioManager audioManager2 = this.mAudioManager;
                                audioManager2.setParameters("spk_calibration=fail" + mModuleAudio.getTargetType(path2));
                                this.calCheckResult.setText("NG");
                                this.calCheckResult.setTextColor(-65536);
                                TextView textView2 = this.calDataResult;
                                textView2.setText(dImpedance2 + " , NONE");
                                if (isFirst) {
                                }
                            }
                        }
                        AudioManager audioManager3 = this.mAudioManager;
                        audioManager3.setParameters("spk_calibration=fail" + mModuleAudio.getTargetType(path2));
                        if (dTemperature2 < this.mTempSpecMIN || dTemperature2 > this.mTempSpecMAX) {
                            this.calCheckResult.setText("NG");
                            this.calCheckResult.setTextColor(-65536);
                            this.calDataResult.setText("NONE, NONE");
                        } else {
                            this.calCheckResult.setText("NG");
                            this.calCheckResult.setTextColor(-65536);
                            TextView textView3 = this.calDataResult;
                            textView3.setText("NONE , " + dTemperature2);
                        }
                        if (isFirst) {
                        }
                    }
                    AudioManager audioManager4 = this.mAudioManager;
                    audioManager4.setParameters("spk_calibration=fail" + mModuleAudio.getTargetType(path));
                    this.calCheckResult.setText("Error");
                    this.calCheckResult.setTextColor(-16777216);
                    if (isFirst) {
                    }
                } catch (Exception Ex) {
                    FtUtil.log_d(CLASS_NAME, Ex.getMessage());
                    this.calCheckResult.setText("Error");
                    this.calCheckResult.setTextColor(-16777216);
                    return;
                }
            }
        }
        this.calCheckResult.setText("NONE");
        this.calDataResult.setText("NONE , NONE");
        this.calCheckResult.setTextColor(-16777216);
    }

    /* JADX INFO: Multiple debug info for r5v1 double: [D('mShiftReRef' int), D('dRePT' double)] */
    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void UpdateUICirrus(boolean isFirst) {
        UISpkcal uISpkcal;
        boolean isTempPass;
        UISpkcal uISpkcal2;
        FtUtil.log_d(CLASS_NAME, "UpdateUI isFirst : " + isFirst);
        boolean isTempError = false;
        String result = "";
        String path = mModuleAudio.getSpkCalPath(0);
        boolean isRePTPass = false;
        boolean isRePTError = false;
        if ("ffffffff".equalsIgnoreCase(this.mImpResult)) {
            uISpkcal = this;
        } else if ("ffffffff".equalsIgnoreCase(this.mImpResult2)) {
            uISpkcal = this;
        } else if ("ffffffff".equalsIgnoreCase(this.mTempResult)) {
            uISpkcal = this;
        } else {
            try {
                double dReRef = (double) Integer.parseInt(this.mImpResult);
                for (int i = 0; i < 13; i++) {
                    dReRef /= 2.0d;
                }
                double dRePT = Double.valueOf(new DecimalFormat("#.##").format(dReRef * 5.85714d)).doubleValue();
                FtUtil.log_d(CLASS_NAME, "UpdateUI", "RePT : " + dRePT);
                if (dRePT < 0.0d) {
                    isRePTError = true;
                } else if (dRePT < this.mImpSpecMIN || dRePT > this.mImpSpecMAX) {
                    result = result + "NONE, ";
                    isRePTPass = false;
                } else {
                    result = result + dRePT + ", ";
                    isRePTPass = true;
                }
                String RePTString = String.format("%24.2f", Double.valueOf(dRePT));
                try {
                    double dTemperature = Double.valueOf(new DecimalFormat("#.#").format((double) Integer.parseInt(this.mTempResult))).doubleValue();
                    FtUtil.log_d(CLASS_NAME, "UpdateUI", "Temp : " + dTemperature);
                    if (dTemperature < 0.0d) {
                        isTempError = true;
                        uISpkcal2 = this;
                        isTempPass = false;
                    } else {
                        uISpkcal2 = this;
                        if (dTemperature < uISpkcal2.mTempSpecMIN || dTemperature > uISpkcal2.mTempSpecMAX) {
                            isTempPass = false;
                            result = result + "NONE";
                        } else {
                            isTempPass = true;
                            result = result + dTemperature;
                        }
                    }
                    if (isRePTError || isTempError) {
                        uISpkcal2.mAudioManager.setParameters("spk_calibration=fail" + mModuleAudio.getTargetType(path));
                        uISpkcal2.calCheckResult.setText("Error");
                        uISpkcal2.calCheckResult.setTextColor(-16777216);
                    } else {
                        if (!isRePTPass || !isTempPass) {
                            uISpkcal2.mAudioManager.setParameters("spk_calibration=fail" + mModuleAudio.getTargetType(path));
                            uISpkcal2.calCheckResult.setText("NG");
                            uISpkcal2.calCheckResult.setTextColor(-65536);
                        } else {
                            uISpkcal2.mAudioManager.setParameters("spk_calibration=pass" + mModuleAudio.getTargetType(path));
                            uISpkcal2.calCheckResult.setText("OK");
                            uISpkcal2.calCheckResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                        }
                        uISpkcal2.calDataResult.setText(result);
                    }
                    if (!isFirst) {
                        ArrayList<String> arrayList = uISpkcal2.arHistory;
                        int i2 = uISpkcal2.calCount;
                        uISpkcal2.calCount = i2 + 1;
                        arrayList.add(1, String.format("%4d%s%22.1f", Integer.valueOf(i2), RePTString, Double.valueOf(dTemperature)));
                        if (uISpkcal2.calCount >= 12) {
                            uISpkcal2.arHistory.remove(11);
                        }
                        uISpkcal2.Adapter.notifyDataSetChanged();
                        return;
                    }
                    return;
                } catch (Exception Ex) {
                    FtUtil.log_d(CLASS_NAME, Ex.getMessage());
                    this.calCheckResult.setText("Error");
                    this.calCheckResult.setTextColor(-16777216);
                    return;
                }
            } catch (Exception Ex2) {
                FtUtil.log_d(CLASS_NAME, Ex2.getMessage());
                this.calCheckResult.setText("Error");
                this.calCheckResult.setTextColor(-16777216);
                return;
            }
        }
        uISpkcal.calCheckResult.setText("NONE");
        uISpkcal.calDataResult.setText("NONE , NONE");
        uISpkcal.calCheckResult.setTextColor(-16777216);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void UpdateUIRichtek(boolean isFirst) {
        FtUtil.log_d(CLASS_NAME, "UpdateUI isFirst : " + isFirst);
        Support.Spec.getString(Support.Feature.CHIPSET_MANUFACTURE);
        try {
            double dImpedance = (double) Integer.parseInt(this.mImpResult, 16);
            for (int i = 0; i < 20; i++) {
                dImpedance /= 2.0d;
            }
            double dImpedance2 = Double.valueOf(new DecimalFormat("#.##").format(dImpedance)).doubleValue();
            new DecimalFormat("#.#");
            if (dImpedance2 < 0.0d) {
                this.calCheckResult.setText("Error");
                this.calCheckResult.setTextColor(-16777216);
            } else if (dImpedance2 < this.mImpSpecMIN || dImpedance2 > this.mImpSpecMAX) {
                this.calCheckResult.setText("NG");
                this.calCheckResult.setTextColor(-65536);
                this.calDataResult.setText("NONE");
            } else {
                this.calCheckResult.setText("OK");
                this.calCheckResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                this.calDataResult.setText(Double.toString(dImpedance2));
            }
            if (!isFirst) {
                ArrayList<String> arrayList = this.arHistory;
                int i2 = this.calCount;
                this.calCount = i2 + 1;
                arrayList.add(1, String.format("%4d%24.2f", Integer.valueOf(i2), Double.valueOf(dImpedance2)));
                if (this.calCount >= 12) {
                    this.arHistory.remove(11);
                }
                this.Adapter.notifyDataSetChanged();
            }
        } catch (Exception Ex) {
            FtUtil.log_d(CLASS_NAME, Ex.getMessage());
            this.calCheckResult.setText("Error");
            this.calCheckResult.setTextColor(-16777216);
        }
    }

    public void UpdateUINXP() {
        if (this.mNImpedence == 0.0d) {
            this.calCheckResult.setTextColor(-65536);
            this.calCheckResult.setText("NG");
        } else {
            this.calCheckResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            this.calCheckResult.setText("OK");
        }
        double d = this.mImpSpecMIN;
        double d2 = this.mNImpedence;
        if (d > d2 || d2 > this.mImpSpecMAX) {
            this.calCheckResult.setTextColor(-65536);
            this.calCheckResult.setText("FAIL");
        } else {
            this.calCheckResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            this.calCheckResult.setText("PASS");
        }
        String in_impendance = String.valueOf(new DecimalFormat("#.###").format(this.mNImpedence));
        this.calDataResult.setText(in_impendance);
        ArrayList<String> arrayList = this.arHistory;
        int i = this.calCount;
        this.calCount = i + 1;
        arrayList.add(1, String.format("%4d%24s%28s", Integer.valueOf(i), in_impendance, "N/A"));
        if (this.calCount >= 12) {
            this.arHistory.remove(11);
        }
        this.Adapter.notifyDataSetChanged();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* JADX WARNING: Removed duplicated region for block: B:37:0x0196  */
    /* JADX WARNING: Removed duplicated region for block: B:48:? A[RETURN, SYNTHETIC] */
    private void UpdateUINXPNew(boolean isFirst) {
        String path;
        String path2;
        FtUtil.log_d(CLASS_NAME, "UpdateUI isFirst : " + isFirst);
        Support.Spec.getString(Support.Feature.CHIPSET_MANUFACTURE);
        String path3 = mModuleAudio.getSpkCalPath(0);
        if (!"ffffffff".equalsIgnoreCase(this.mImpResult)) {
            if (!"ffffffff".equalsIgnoreCase(this.mTempResult)) {
                try {
                    double rdc = Double.parseDouble(this.mImpResult) / 1000.0d;
                    double temp = Double.parseDouble(this.mTempResult);
                    if (rdc < 0.0d) {
                        path = path3;
                    } else if (temp < 0.0d) {
                        path = path3;
                    } else {
                        double d = this.mImpSpecMIN;
                        if (rdc >= d) {
                            if (rdc > this.mImpSpecMAX || temp < this.mTempSpecMIN || temp > this.mTempSpecMAX) {
                                path3 = path3;
                            } else {
                                this.calCheckResult.setText("OK");
                                this.calCheckResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                                TextView textView = this.calDataResult;
                                textView.setText(rdc + " , " + temp);
                                AudioManager audioManager = this.mAudioManager;
                                audioManager.setParameters("spk_calibration=pass" + mModuleAudio.getTargetType(path3));
                                if (isFirst) {
                                    ArrayList<String> arrayList = this.arHistory;
                                    int i = this.calCount;
                                    this.calCount = i + 1;
                                    arrayList.add(1, String.format("%4d%24.2f%28.1f", Integer.valueOf(i), Double.valueOf(rdc), Double.valueOf(temp)));
                                    if (this.calCount >= 12) {
                                        this.arHistory.remove(11);
                                    }
                                    this.Adapter.notifyDataSetChanged();
                                    return;
                                }
                                return;
                            }
                        }
                        if (rdc >= d) {
                            path2 = path3;
                            if (rdc <= this.mImpSpecMAX) {
                                AudioManager audioManager2 = this.mAudioManager;
                                audioManager2.setParameters("spk_calibration=fail" + mModuleAudio.getTargetType(path2));
                                this.calCheckResult.setText("NG");
                                this.calCheckResult.setTextColor(-65536);
                                TextView textView2 = this.calDataResult;
                                textView2.setText(rdc + " , NONE");
                                if (isFirst) {
                                }
                            }
                        } else {
                            path2 = path3;
                        }
                        AudioManager audioManager3 = this.mAudioManager;
                        audioManager3.setParameters("spk_calibration=fail" + mModuleAudio.getTargetType(path2));
                        if (temp < this.mTempSpecMIN || temp > this.mTempSpecMAX) {
                            this.calCheckResult.setText("NG");
                            this.calCheckResult.setTextColor(-65536);
                            this.calDataResult.setText("NONE, NONE");
                        } else {
                            this.calCheckResult.setText("NG");
                            this.calCheckResult.setTextColor(-65536);
                            TextView textView3 = this.calDataResult;
                            textView3.setText("NONE , " + temp);
                        }
                        if (isFirst) {
                        }
                    }
                    AudioManager audioManager4 = this.mAudioManager;
                    audioManager4.setParameters("spk_calibration=fail" + mModuleAudio.getTargetType(path));
                    this.calCheckResult.setText("Error");
                    this.calCheckResult.setTextColor(-16777216);
                    if (isFirst) {
                    }
                } catch (Exception Ex) {
                    FtUtil.log_d(CLASS_NAME, Ex.getMessage());
                    this.calCheckResult.setText("Error");
                    this.calCheckResult.setTextColor(-16777216);
                    return;
                }
            }
        }
        this.calCheckResult.setText("NONE");
        this.calDataResult.setText("NONE , NONE");
        this.calCheckResult.setTextColor(-16777216);
    }

    public void getImpTemp(boolean isCal) {
        String Status;
        String Status2;
        String Status3;
        FtUtil.log_d(CLASS_NAME, "getImpTemp isCal : " + isCal);
        if (isCal) {
            this.isDoingCal = true;
            if (this.isMaxim || this.isCirrus || this.isNxp) {
                AudioManager audioManager = this.mAudioManager;
                audioManager.setParameters("spk_calibration=on" + mModuleAudio.getAmpType());
            } else if (this.isRichtek) {
                Support.Kernel.write(Support.Kernel.SPK_CAL_RICHTEK_CAL, "5526799");
            }
        }
        if (this.isMaxim) {
            do {
                FtUtil.Sleep.sleep(100);
                Status3 = this.mAudioManager.getParameters("spk_calibration=status").trim();
                FtUtil.log_d(CLASS_NAME, "SpkCalMaxim", "Status: " + Status3);
            } while ("Enabled".equalsIgnoreCase(Status3));
            String Result = this.mAudioManager.getParameters("spk_calibration=off").trim();
            this.mImpResult = getParameter(Result, mModuleAudio.getSpkCalPath(0));
            this.mTempResult = getParameter(Result, "temp=");
        } else if (this.isCirrus) {
            do {
                FtUtil.Sleep.sleep(100);
                Status2 = this.mAudioManager.getParameters("spk_calibration=status").trim();
                FtUtil.log_d(CLASS_NAME, "SpkCalCirrus", "Status: " + Status2);
            } while ("Enabled".equalsIgnoreCase(Status2));
            String Result2 = this.mAudioManager.getParameters("spk_calibration=off").trim();
            this.mImpResult = getParameter(Result2, mModuleAudio.getSpkCalPath(0));
            this.mTempResult = getParameter(Result2, "temp=");
        } else if (this.isRichtek) {
            this.mImpResult = Support.Kernel.read(Support.Kernel.SPK_CAL_RICHTEK_IMPEDANCE);
        } else if (this.isNxp) {
            do {
                FtUtil.Sleep.sleep(100);
                Status = this.mAudioManager.getParameters("spk_calibration=status").trim();
                FtUtil.log_d(CLASS_NAME, "SpkCalNXP", "Status: " + Status);
            } while ("Calibration is active".equalsIgnoreCase(Status));
            String Result3 = this.mAudioManager.getParameters("spk_calibration=off").trim();
            this.mImpResult = getParameter(Result3, mModuleAudio.getSpkCalPath(0));
            this.mTempResult = getParameter(Result3, "temp=");
        }
        this.isDoingCal = false;
    }

    private String getParameter(String keys, String target) {
        FtUtil.log_d(CLASS_NAME, "getParameter", "keys: " + keys);
        FtUtil.log_d(CLASS_NAME, "getParameter", "target: " + target);
        if (keys == null || keys.isEmpty() || target == null || target.isEmpty()) {
            return ModuleCommunicationService.SMD_NOK;
        }
        String param = ModuleCommunicationService.SMD_NOK;
        if (keys.contains(target)) {
            String[] values = keys.split(";");
            for (String value : values) {
                if (value.startsWith(target)) {
                    param = value.replaceAll(target, "");
                }
            }
        }
        FtUtil.log_d(CLASS_NAME, "getParameter", "target param: " + param);
        return param;
    }

    private double strToDouble(String value) {
        FtUtil.log_d(CLASS_NAME, "StrToDouble", "value: " + value);
        if (value == null) {
            return -1.0d;
        }
        try {
            return (double) Float.parseFloat(value);
        } catch (NumberFormatException ne) {
            FtUtil.log_e(ne);
            return -1.0d;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private double getImpedence() {
        String parameters = this.mAudioManager.getParameters("TFA_GET_IMPEDANCE");
        this.mImpedance = parameters;
        double impendance = strToDouble(getParameter(parameters, AUDIO_PARAMETER_IMPENDANCE));
        FtUtil.log_d(CLASS_NAME, "getImpedence", "impendance : " + impendance);
        this.mNImpedence = impendance;
        return impendance;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void getCalibration() {
        String parameters = this.mAudioManager.getParameters("TFA_DO_CALIBRATION");
        this.mCalibration = parameters;
        double calibration = strToDouble(getParameter(parameters, AUDIO_PARAMETER_CALIBRATION));
        FtUtil.log_d(CLASS_NAME, "getCalibration", "calibration : " + calibration);
    }

    private void testStart() {
        FtUtil.log_d(CLASS_NAME, "testStart", null);
        if (mModuleAudio == null) {
            FtUtil.log_e(CLASS_NAME, "testStart", "mModuleAudio == null");
            return;
        }
        this.mCalBtn.setEnabled(false);
        this.mEraseBtn.setEnabled(false);
        mModuleAudio.setAudioPath(0);
        new Thread(new Runnable() {
            /* class com.sec.factory.app.ui.UISpkcal.AnonymousClass1 */

            public void run() {
                UISpkcal.this.mHandler.post(new Runnable() {
                    /* class com.sec.factory.app.ui.UISpkcal.AnonymousClass1.AnonymousClass1 */

                    public void run() {
                        if (UISpkcal.this.isMaxim) {
                            UISpkcal.mModuleAudio.setStreamMusicVolumeZero();
                            UISpkcal.mModuleAudio.playMedia(R.raw.calibrationfile_samsung, true);
                            FtUtil.Sleep.sleep(100);
                            UISpkcal.this.getImpTemp(true);
                            UISpkcal.mModuleAudio.stopMedia();
                            UISpkcal.this.UpdateUIMaxim(false);
                        } else if (UISpkcal.this.isCirrus) {
                            UISpkcal.mModuleAudio.setStreamMusicVolumeZero();
                            UISpkcal.mModuleAudio.playMedia(R.raw.calibrationfile_samsung, true);
                            FtUtil.Sleep.sleep(100);
                            UISpkcal.this.getImpTemp(true);
                            UISpkcal.this.UpdateUICirrus(false);
                        } else if (UISpkcal.this.isRichtek) {
                            UISpkcal.mModuleAudio.setStreamMusicVolumeZero();
                            UISpkcal.mModuleAudio.playMedia(R.raw.calibrationfile_samsung, true);
                            FtUtil.Sleep.sleep(100);
                            UISpkcal.this.getImpTemp(true);
                            UISpkcal.this.UpdateUIRichtek(false);
                        } else if (!Support.Feature.getBoolean(Support.Feature.SUPPORT_AUDIO_NEW_NXP)) {
                            int retry = 2;
                            while (true) {
                                int retry2 = retry - 1;
                                if (retry <= 0) {
                                    break;
                                }
                                UISpkcal.mModuleAudio.setStreamMusicVolumeMax();
                                UISpkcal.mModuleAudio.playMedia(R.raw.calibrationfile_samsung, false);
                                FtUtil.Sleep.sleep(100);
                                UISpkcal.this.getCalibration();
                                double impedence = UISpkcal.this.getImpedence();
                                UISpkcal.mModuleAudio.stopMedia();
                                if (impedence != -1.0d && UISpkcal.this.mImpSpecMIN <= impedence && impedence <= UISpkcal.this.mImpSpecMAX) {
                                    break;
                                }
                                FtUtil.Sleep.sleep(3000);
                                FtUtil.log_d(UISpkcal.CLASS_NAME, "SPK CAL RETRY", "inpedence : " + impedence);
                                retry = retry2;
                            }
                            UISpkcal.this.mHandler.post(new Runnable() {
                                /* class com.sec.factory.app.ui.UISpkcal.AnonymousClass1.AnonymousClass1.AnonymousClass1 */

                                public void run() {
                                    UISpkcal.this.UpdateUINXP();
                                }
                            });
                        } else {
                            UISpkcal.mModuleAudio.setStreamMusicVolumeZero();
                            UISpkcal.mModuleAudio.playMedia(R.raw.calibrationfile_samsung, true);
                            FtUtil.Sleep.sleep(100);
                            UISpkcal.this.getImpTemp(true);
                            UISpkcal.mModuleAudio.stopMedia();
                            UISpkcal.this.UpdateUINXPNew(false);
                        }
                        UISpkcal.this.mCalBtn.setEnabled(true);
                    }
                });
            }
        }).start();
        FtUtil.log_d(CLASS_NAME, "testStart", "done");
    }

    public void Erase() {
        FtUtil.log_d(CLASS_NAME, "Erase");
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.btn_maxim_cal:
                testStart();
                return;
            case R.id.btn_maxim_erase:
            default:
                return;
        }
    }

    @Override // com.sec.factory.app.ui.UIBase
    public boolean onKeyDown(int keyCode, KeyEvent event) {
        switch (keyCode) {
            case 4:
                if (this.isDoingCal) {
                    return true;
                }
                super.onKeyDown(keyCode, event);
                return true;
            default:
                return true;
        }
    }
}
