package com.sec.factory.app.ui;

import android.content.Intent;
import android.os.Bundle;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import java.util.Arrays;

public class UISubDisplayTest extends UIBase {
    private final int FINISH_DIMMING_TEST = 1;
    private final int FINISH_GREEN_LCD_TEST = 3;
    private final int FINISH_HLPM_ONLY_TEST = 2;
    private final int START_DIMMING_TEST = 1;
    private final int START_GREEN_LCD_TEST = 3;
    private final int START_HLPM_ONLY_TEST = 2;
    private String mTestCase;
    int testItemCount;
    int[] testItemListID;
    String[] testItemListStr;
    int testState = 0;

    public UISubDisplayTest() {
        super("UISubDisplayTest", 193);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        getIntent();
        this.TEST_ID = getIntent().getIntExtra("testID", 193);
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "onCreate", "TEST_ID: " + this.TEST_ID);
        String testCase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML(193));
        this.mTestCase = testCase;
        if (testCase != null) {
            String replace = testCase.replace(" ", "");
            this.mTestCase = replace;
            String[] split = replace.split(",");
            this.testItemListStr = split;
            int length = split.length;
            this.testItemCount = length;
            this.testItemListID = new int[length];
            for (int i = 0; i < this.testItemCount; i++) {
                this.testItemListID[i] = mapping_CaseNItem(this.testItemListStr[i]);
            }
            Arrays.sort(this.testItemListID);
        } else {
            FtUtil.log_d(this.CLASS_NAME, "onCreate", "fail to parse test case");
        }
        FtUtil.setRemoveSystemUI(getWindow(), true);
        String str2 = this.CLASS_NAME;
        FtUtil.log_d(str2, "onCreate", "mTestCase : " + this.mTestCase);
        String str3 = this.CLASS_NAME;
        FtUtil.log_d(str3, "onCreate", "testItemCount : " + this.testItemCount);
        for (int i2 = 0; i2 < this.testItemCount; i2++) {
            String str4 = this.CLASS_NAME;
            FtUtil.log_d(str4, "onCreate", "testItemListStr :" + getTestItemName(this.testItemListID[i2]));
        }
        start();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
    }

    private void start() {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "start", "testState : " + this.testState);
        int i = this.testState;
        if (i == this.testItemCount) {
            setTestResult((byte) 80);
            setResult(-1);
            finish();
            return;
        }
        int testItem = this.testItemListID[i];
        String str2 = this.CLASS_NAME;
        String itemName_RequestCode = FactoryTestManager.getItemName_RequestCode(193);
        FtUtil.log_d(str2, "start", FtUtil.setMspSeqMessage(1, itemName_RequestCode, "start - " + getTestItemName(testItem)));
        switch (testItem) {
            case 1:
                startActivityForResult(new Intent(this, UIDimmingTest.class), 1);
                return;
            case 2:
                Intent intent = new Intent(this, UILcdHLPMAlphabet.class);
                intent.putExtra("hlpm_only", true);
                intent.putExtra("sub_display", true);
                startActivityForResult(intent, 2);
                return;
            case 3:
                startActivityForResult(new Intent(this, UILCDTest.class), 3);
                return;
            default:
                return;
        }
    }

    /* access modifiers changed from: protected */
    public void onActivityResult(int requestCode, int resultCode, Intent data) {
        super.onActivityResult(requestCode, resultCode, data);
        FtUtil.log_v("UISubDisplayTest", "onActivityResult", "requestCode : " + requestCode + ", resultCode : " + resultCode);
        switch (requestCode) {
            case 1:
            case 2:
            case 3:
            default:
                if (resultCode == -1) {
                    String str = this.CLASS_NAME;
                    String itemName_RequestCode = FactoryTestManager.getItemName_RequestCode(193);
                    FtUtil.log_d(str, "onActivityResult", FtUtil.setMspSeqMessage(1, itemName_RequestCode, "Pass - " + getTestItemName(requestCode)));
                    this.testState = this.testState + 1;
                    start();
                    return;
                }
                String str2 = this.CLASS_NAME;
                String itemName_RequestCode2 = FactoryTestManager.getItemName_RequestCode(193);
                FtUtil.log_d(str2, "onActivityResult", FtUtil.setMspSeqMessage(1, itemName_RequestCode2, "Fail - " + getTestItemName(requestCode)));
                finish();
                return;
        }
    }

    private int mapping_CaseNItem(String TestID) {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "mapping_CaseNItem", "simpleTestID : " + TestID);
        if ("DIMMING_TEST".equalsIgnoreCase(TestID)) {
            return 1;
        }
        if ("HLPM_ONLY".equalsIgnoreCase(TestID)) {
            return 2;
        }
        if ("GREEN_LCD".equalsIgnoreCase(TestID)) {
            return 3;
        }
        return -1;
    }

    private String getTestItemName(int requestCode) {
        switch (requestCode) {
            case 1:
                return "DIMMING_TEST";
            case 2:
                return "HLPM_ONLY";
            case 3:
                return "GREEN_LCD";
            default:
                return "Not in the list";
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
    }
}
