package com.sec.factory.app.ui;

import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.app.ui.UITSPDrawingSegmentation;
import com.sec.factory.modules.ModuleTouchScreen;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;

public class UITSP extends UIBase {
    private final int FINISH_TSP_HOVERING_DRAWING_TEST = 2;
    private final int FINISH_TSP_PATTERN_TEST = 1;
    private final int FINISH_TSP_PEN_DRAWING_TEST = 3;
    private final int FINISH_TSP_REFERENCE_MODE_TEST = 0;
    private final int REQUEST_TSP_HOVERING_DRAWING_TEST = 2;
    private final int REQUEST_TSP_PATTERN_TEST = 1;
    private final int REQUEST_TSP_PEN_DRAWING_TEST = 3;
    private final int REQUEST_TSP_REFERENCE_MODE_TEST = 0;
    private boolean TSP_REFERENCE_MODE_RESULT = true;
    private SharedPreferences.Editor editorGhostCheck;
    private boolean isDualTouch = false;
    private boolean isHovering = false;
    private boolean mCmdTestMode = false;
    private String mDeviceType;
    private String mLcdType;
    private ModuleTouchScreen mModuleTouchScreen;
    private String mTestCase;
    private int mTestID = 0;
    private SharedPreferences prefGhostCheck;

    public UITSP() {
        super("UITSP");
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        SharedPreferences sharedPreferences = getSharedPreferences("TSP_TSK_GHOST_RESULT", 0);
        this.prefGhostCheck = sharedPreferences;
        SharedPreferences.Editor edit = sharedPreferences.edit();
        this.editorGhostCheck = edit;
        edit.putString("RESULT", "NONE");
        this.editorGhostCheck.commit();
        Intent i = getIntent();
        this.mTestID = i.getIntExtra("requestCode", 0);
        this.mCmdTestMode = i.getExtras().getBoolean("isCmd", false);
        this.mModuleTouchScreen = ModuleTouchScreen.instance(this);
        int i2 = this.mTestID;
        if (i2 == 56) {
            this.mTestCase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML((byte) 56));
            this.isHovering = true;
            if (Support.Kernel.write(Support.Kernel.TSP_COMMAND_CMD, "hover_no_sleep_enable,1")) {
                String result = Support.Kernel.read(Support.Kernel.TSP_COMMAND_RESULT);
                String str = this.CLASS_NAME;
                FtUtil.log_d(str, "onCreate", "Result of HOVER_SLEEP OFF = " + result);
            }
        } else if (i2 == 10) {
            this.mTestCase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML((byte) 10));
            String str2 = this.CLASS_NAME;
            FtUtil.log_d(str2, "onCreate", "mTestCase = " + this.mTestCase);
            this.isHovering = false;
        } else if (i2 == 119) {
            this.mTestCase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML((byte) FactoryTestManager.TEST_TSP_DRAWING));
            String str3 = this.CLASS_NAME;
            FtUtil.log_d(str3, "onCreate", "mTestCase = " + this.mTestCase);
            this.isHovering = false;
        } else if (i2 == 205) {
            this.mTestCase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML(205));
            String str4 = this.CLASS_NAME;
            FtUtil.log_d(str4, "onCreate", "mTestCase = " + this.mTestCase);
            this.isHovering = false;
        } else if (i2 == 150) {
            this.mTestCase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML(150));
            String str5 = this.CLASS_NAME;
            FtUtil.log_d(str5, "onCreate", "mTestCase = " + this.mTestCase);
            this.isHovering = false;
        } else if (i2 == 44) {
            this.mTestCase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML((byte) 44));
            String str6 = this.CLASS_NAME;
            FtUtil.log_d(str6, "onCreate", "mTestCase = " + this.mTestCase);
            this.isHovering = false;
        } else if (i2 == 105) {
            this.isDualTouch = true;
            FtUtil.log_d(this.CLASS_NAME, "onCreate", "isDualTouch = true");
        } else if (i2 == 125) {
            this.isDualTouch = true;
            FtUtil.log_d(this.CLASS_NAME, "onCreate", "isDualTouch = true");
        }
        try {
            this.mLcdType = Support.Feature.getString(Support.Feature.PANEL_TYPE);
            this.mDeviceType = Support.Feature.getString(Support.Feature.DEVICE_TYPE);
        } catch (Exception e) {
            e.printStackTrace();
        }
        int i3 = this.mTestID;
        if (i3 == 119 || i3 == 150 || i3 == 205) {
            setTestId(i3);
            start(1);
        } else if (i3 == 125) {
            setTestId(105);
            start(3);
        } else {
            setTestId(i3);
            start(0);
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
    }

    /* access modifiers changed from: protected */
    public void onActivityResult(int requestCode, int resultCode, Intent data) {
        super.onActivityResult(requestCode, resultCode, data);
        switch (requestCode) {
            case 0:
                if (this.isHovering && this.mModuleTouchScreen.getTSPVendorName().contains(ModuleTouchScreen.TSP_VENDOR_NAME__STM)) {
                    Support.Kernel.write(Support.Kernel.TSP_COMMAND_CMD, "hover_enable,0");
                }
                if (resultCode == -1) {
                    this.TSP_REFERENCE_MODE_RESULT = true;
                    if (this.TEST_ID == 195 || this.TEST_ID == 197) {
                        if (resultCode == -1) {
                            setTestResult((byte) 80);
                            finish();
                            return;
                        }
                        setTestResultFailCase((byte) this.TEST_ID);
                        return;
                    } else if (this.isHovering) {
                        start(2);
                        return;
                    } else if (this.isDualTouch) {
                        start(3);
                        return;
                    } else {
                        start(1);
                        return;
                    }
                } else {
                    this.TSP_REFERENCE_MODE_RESULT = false;
                    if (44 != this.TEST_ID) {
                        setTestResultFailCase(10);
                    } else {
                        setTestResultFailCase((byte) this.TEST_ID);
                    }
                    FtUtil.log_d(this.CLASS_NAME, "onActivityResult", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(this.TEST_ID), "Fail - TSP_REFERENCE_MODE_TEST"));
                    finish();
                    return;
                }
            case 1:
                if (resultCode == -1) {
                    if (FactoryTestManager.getEnable(105) && FactoryTestManager.getItemResult(FactoryTestManager.getItemPosition_ID(26)) == 80) {
                        setTestResultWithoutNV(105, (byte) 80);
                    }
                    setTestResult((byte) 80);
                    FtUtil.log_d(this.CLASS_NAME, "onActivityResult", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(10), "Pass"));
                } else {
                    if (44 != this.TEST_ID) {
                        setTestResultFailCase(10);
                    } else {
                        setTestResultFailCase((byte) this.TEST_ID);
                    }
                    FtUtil.log_d(this.CLASS_NAME, "onActivityResult", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(10), "Fail - TSP_PATTERN_TEST"));
                }
                finish();
                return;
            case 2:
                if (this.isHovering && Support.Kernel.write(Support.Kernel.TSP_COMMAND_CMD, "hover_no_sleep_enable,0")) {
                    String result = Support.Kernel.read(Support.Kernel.TSP_COMMAND_RESULT);
                    String str = this.CLASS_NAME;
                    FtUtil.log_d(str, "onCreate", "Result of HOVER_SLEEP ON = " + result);
                }
                if (resultCode == -1) {
                    setTestResult((byte) 80);
                } else {
                    setTestResultFailCase((byte) this.TEST_ID);
                }
                finish();
                return;
            case 3:
                if (resultCode == -1) {
                    setTestResultWithoutNV(105, (byte) 80);
                    FtUtil.log_d(this.CLASS_NAME, "onActivityResult", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(105), "Pass"));
                } else {
                    setTestResultFailCase((byte) this.TEST_ID);
                    FtUtil.log_d(this.CLASS_NAME, "onActivityResult", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(105), "Fail - TSP_PEN_DRAWING_TEST"));
                }
                finish();
                return;
            default:
                return;
        }
    }

    private void start(int request) {
        switch (request) {
            case 0:
                if ((ModuleTouchScreen.TSP_PANEL_TYPE__OCTA.equals(this.mLcdType) || ModuleTouchScreen.TSP_DEVICE_TYPE__TABLET.equals(this.mDeviceType) || Support.Feature.getBoolean(Support.Feature.FORCE_ENABLE_TSP_SELFTEST)) && (!this.isHovering || !this.mModuleTouchScreen.getTSPVendorName().contains(ModuleTouchScreen.TSP_VENDOR_NAME__CYPRESS))) {
                    if (this.isHovering && this.mModuleTouchScreen.getTSPVendorName().contains(ModuleTouchScreen.TSP_VENDOR_NAME__STM)) {
                        Support.Kernel.write(Support.Kernel.TSP_COMMAND_CMD, "hover_enable,1");
                    }
                    Intent i = new Intent(this, UITSPSelfTestOneCmdFileSpec.class);
                    i.addFlags(1073807360);
                    i.putExtra("isHovering", this.isHovering);
                    i.putExtra("testID", this.mTestID);
                    startActivityForResult(i, 0);
                    return;
                }
                FtUtil.log_i(this.CLASS_NAME, "start", "mLcdType:TFT , mDeviceType:phone");
                if (this.isHovering) {
                    start(2);
                    return;
                } else {
                    start(1);
                    return;
                }
            case 1:
                String str = this.CLASS_NAME;
                FtUtil.log_d(str, "onActivityResult", "resultCode = " + this.TSP_REFERENCE_MODE_RESULT);
                Intent i2 = new Intent(this, UITspPatternStyleX.class);
                i2.putExtra("TEST_TSP_SELF", this.TSP_REFERENCE_MODE_RESULT);
                i2.putExtra("isHovering", this.isHovering);
                i2.putExtra("isCheckCrossDouble", true);
                i2.putExtra("isIncreaseWidth", true);
                i2.putExtra("testID", this.mTestID);
                if (this.mTestCase.contains(UITSPDrawingSegmentation.Options.TAG_PASS_HALF_CROSS)) {
                    i2.putExtra("halfCross", true);
                }
                i2.addFlags(1073741824);
                startActivityForResult(i2, 1);
                return;
            case 2:
                FtUtil.log_d(this.CLASS_NAME, "start", "resultCode = 2");
                Intent i3 = new Intent(this, UITSPHoveringDrawTest.class);
                i3.putExtra("testID", this.mTestID);
                if (this.mTestCase.contains("CROSS_DOUBLE")) {
                    i3.putExtra("CROSS_DOUBLE", true);
                }
                i3.addFlags(1073741824);
                startActivityForResult(i3, 2);
                return;
            case 3:
                FtUtil.log_d(this.CLASS_NAME, "start", "resultCode = 3");
                Intent i4 = new Intent(this, UITspPenPatternStyleX.class);
                i4.putExtra("testID", this.mTestID);
                i4.putExtra("isCmd", this.mCmdTestMode);
                i4.addFlags(1073741824);
                startActivityForResult(i4, 3);
                return;
            default:
                setTestResult((byte) 80);
                finish();
                return;
        }
    }
}
