package com.sec.factory.app.ui;

import android.os.Bundle;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.widget.Toast;
import com.sec.factory.R;
import com.sec.factory.support.FtUtil;

public class UITSPEntry extends UIBase {
    private static final String TAG = "UITSP_Entry";
    private boolean isTouched = false;

    public UITSPEntry() {
        super("UITSPEntry");
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_tsp_entry);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
    }

    @Override // com.sec.factory.app.ui.UIBase
    public boolean onKeyDown(int keyCode, KeyEvent event) {
        if (keyCode == 25) {
            setResult(0);
            finish();
            return true;
        } else if (keyCode == 24) {
            if (!this.isTouched) {
                setResult(-1);
                finish();
                return true;
            }
            Toast.makeText(getApplicationContext(), "Touched, Test Fail", 0).show();
            setResult(0);
            finish();
            return true;
        } else if (keyCode == 4) {
            return super.onKeyDown(keyCode, event);
        } else {
            return true;
        }
    }

    public boolean onTouchEvent(MotionEvent event) {
        super.onTouchEvent(event);
        FtUtil.log_d(this.CLASS_NAME, "onTouchEvent", null);
        switch (event.getAction()) {
            case 0:
                this.isTouched = true;
                break;
            case 1:
                this.isTouched = false;
                break;
            default:
                return true;
        }
        return true;
    }
}
