package com.sec.factory.app.ui;

import android.app.AlertDialog;
import android.content.DialogInterface;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.View;
import android.widget.ImageView;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.modules.ModuleForceTouch;
import com.sec.factory.modules.ModulePower;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.FileReader;

public class UITSPJitterDeltaTest extends UIBase {
    private static final int BRIGHTNESS_AVG = 140;
    private static final int BRIGHTNESS_MAX = 255;
    private static final int BRIGHTNESS_MIN = 30;
    private static final int MSG_BACKGROUND_CHANGE;
    private static final int MSG_DISPLAY_RESULT;
    private static final int MSG_RUN_TSP_CMD;
    private static final int MSG_START_TEST = 0;
    private static final int MSG_TEST_FAIL;
    private static final int MSG_TEST_PASS;
    private static final String RESULT_FAIL = "FAIL";
    private static final String RESULT_PASS = "PASS";
    private static int TEST_MSG;
    protected static ModulePower mModulePower = null;
    private final long TSP_STATUS_RUNNING_TIME_OUT = 9000;
    private final String TSP_STATUS__COMMON__FAIL = "FAIL";
    private final String TSP_STATUS__COMMON__NOT_APPLICABLE = "NOT_APPLICABLE";
    private final String TSP_STATUS__COMMON__OK = "OK";
    private final String TSP_STATUS__COMMON__RUNNING = ModuleForceTouch.RUNNING;
    private String filePath;
    private TextView mAvgData;
    private TextView mAvgSpec;
    private View mBackground;
    private Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UITSPJitterDeltaTest.AnonymousClass1 */

        public void handleMessage(Message msg) {
            if (msg.what == UITSPJitterDeltaTest.MSG_START_TEST) {
                FtUtil.log_d(UITSPJitterDeltaTest.this.CLASS_NAME, "mHandler", "MSG_START_TEST");
                UITSPJitterDeltaTest.this.readSpec();
                UITSPJitterDeltaTest.this.mTextViewTitle.setVisibility(8);
                UITSPJitterDeltaTest.mModulePower.setBrightness(140);
                UITSPJitterDeltaTest.this.mImage.setBackgroundResource(R.drawable.tsp_jitter_delta_test);
            } else if (msg.what == UITSPJitterDeltaTest.MSG_RUN_TSP_CMD) {
                FtUtil.log_d(UITSPJitterDeltaTest.this.CLASS_NAME, "mHandler", "MSG_RUN_TSP_CMD");
                if (UITSPJitterDeltaTest.this.TEST_ID == 363) {
                    UITSPJitterDeltaTest.this.StartJitterDeltaTest2();
                } else {
                    UITSPJitterDeltaTest.this.StartJitterDeltaTest();
                }
            } else if (msg.what == UITSPJitterDeltaTest.MSG_DISPLAY_RESULT) {
                FtUtil.log_d(UITSPJitterDeltaTest.this.CLASS_NAME, "mHandler", "MSG_DISPLAY_RESULT");
                UITSPJitterDeltaTest.this.displayResult();
            } else if (msg.what == UITSPJitterDeltaTest.MSG_TEST_PASS) {
                FtUtil.log_d(UITSPJitterDeltaTest.this.CLASS_NAME, "mHandler", "MSG_TEST_PASS");
                UITSPJitterDeltaTest.this.setTestResult((byte) 80);
                UITSPJitterDeltaTest.this.setResult(-1);
                UITSPJitterDeltaTest.this.finish();
            } else if (msg.what == UITSPJitterDeltaTest.MSG_TEST_FAIL) {
                FtUtil.log_d(UITSPJitterDeltaTest.this.CLASS_NAME, "mHandler", "MSG_TEST_FAIL");
                UITSPJitterDeltaTest uITSPJitterDeltaTest = UITSPJitterDeltaTest.this;
                uITSPJitterDeltaTest.setTestResultFailCase(uITSPJitterDeltaTest.TEST_ID);
            }
        }
    };
    private ImageView mImage;
    private boolean mIsPass = false;
    private boolean mIsValidData = true;
    private TextView mMaxData;
    private TextView mMaxSpec;
    private TextView mMinData;
    private TextView mMinSpec;
    private AlertDialog mSpecFileCheckDialog;
    private int[] mSpecMax = new int[3];
    private int[] mSpecMin = new int[3];
    private TextView mTextViewResult;
    private TextView mTextViewTitle;
    private int[] mTspDataMax = new int[3];
    private int[] mTspDataMin = new int[3];

    static {
        TEST_MSG = 0;
        int i = 0 + 1;
        TEST_MSG = i;
        int i2 = i + 1;
        TEST_MSG = i2;
        MSG_RUN_TSP_CMD = i;
        int i3 = i2 + 1;
        TEST_MSG = i3;
        MSG_BACKGROUND_CHANGE = i2;
        int i4 = i3 + 1;
        TEST_MSG = i4;
        MSG_DISPLAY_RESULT = i3;
        int i5 = i4 + 1;
        TEST_MSG = i5;
        MSG_TEST_PASS = i4;
        TEST_MSG = i5 + 1;
        MSG_TEST_FAIL = i5;
    }

    public UITSPJitterDeltaTest() {
        super("UITSPJitterDeltaTest");
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        this.TEST_ID = getIntent().getIntExtra("testid", -1);
        setAtCmd(getIntent().getBooleanExtra("mIsAtCmd", false));
        setContentView(R.layout.ui_tsp_jitter_delta_test);
        mModulePower = ModulePower.instance(this);
        hideNavigationBar(true);
        this.mMinSpec = (TextView) findViewById(R.id.min_spec);
        this.mMinData = (TextView) findViewById(R.id.min_data);
        this.mMaxSpec = (TextView) findViewById(R.id.max_spec);
        this.mMaxData = (TextView) findViewById(R.id.max_data);
        this.mAvgSpec = (TextView) findViewById(R.id.avg_spec);
        this.mAvgData = (TextView) findViewById(R.id.avg_data);
        this.mTextViewTitle = (TextView) findViewById(R.id.title);
        this.mTextViewResult = (TextView) findViewById(R.id.result);
        this.mImage = (ImageView) findViewById(R.id.jitter_delta_test_image);
        if (this.TEST_ID == 363) {
            this.mTextViewTitle.setText("TSP Jitter Delta Test 2");
            this.filePath = Support.Kernel.getFilePath(Support.Kernel.PATH_TSP_ALL_NODE_SPEC) + "TSP2_SPEC_15.txt";
        } else {
            this.mTextViewTitle.setText("TSP Jitter Delta Test");
            this.filePath = Support.Kernel.getFilePath(Support.Kernel.PATH_TSP_ALL_NODE_SPEC) + "TSP1_SPEC_15.txt";
        }
        this.mTextViewTitle.setVisibility(0);
        this.mTextViewResult.setVisibility(8);
        this.mMinSpec.setVisibility(8);
        this.mMinData.setVisibility(8);
        this.mMaxSpec.setVisibility(8);
        this.mMaxData.setVisibility(8);
        this.mAvgSpec.setVisibility(8);
        this.mAvgData.setVisibility(8);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        this.mHandler.sendEmptyMessageDelayed(MSG_START_TEST, 100);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void StartJitterDeltaTest() {
        FtUtil.log_d(this.CLASS_NAME, "StartJitterDeltaTest", "");
        if (!Support.Kernel.write(Support.Kernel.TSP_COMMAND_CMD, "factory_cmd_result_all_imagetest")) {
            this.mTextViewResult.setText("Reading TSP Data FAIL - WRITE");
        } else if (checkStatus(Support.Kernel.TSP_COMMAND_STATUS_ALL)) {
            String resData = Support.Kernel.read(Support.Kernel.TSP_COMMAND_RESULT_ALL);
            if (checkValidData(resData)) {
                readTspData(resData);
            } else {
                this.mTextViewResult.setText("Reading TSP Data FAIL - READ");
            }
        } else {
            Support.Kernel.read(Support.Kernel.TSP_COMMAND_RESULT_ALL);
            this.mTextViewResult.setText("Reading TSP Data FAIL - STATUS");
        }
        checkSpec();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void StartJitterDeltaTest2() {
        FtUtil.log_d(this.CLASS_NAME, "StartJitterDeltaTest2", "");
        if (!Support.Kernel.write(Support.Kernel.TSP2_COMMAND_CMD, "factory_cmd_result_all_imagetest")) {
            this.mTextViewResult.setText("Reading TSP Data FAIL - WRITE");
        } else if (checkStatus(Support.Kernel.TSP2_COMMAND_STATUS_ALL)) {
            String resData = Support.Kernel.read(Support.Kernel.TSP2_COMMAND_RESULT_ALL);
            if (checkValidData(resData)) {
                readTspData(resData);
            } else {
                this.mTextViewResult.setText("Reading TSP Data FAIL - READ");
            }
        } else {
            Support.Kernel.read(Support.Kernel.TSP2_COMMAND_RESULT_ALL);
            this.mTextViewResult.setText("Reading TSP Data FAIL - STATUS");
        }
        checkSpec();
    }

    public void readTspData(String data) {
        String str = ":";
        FtUtil.log_d(this.CLASS_NAME, "readTspData", "");
        if (data == null) {
            FtUtil.log_d(this.CLASS_NAME, "readTspData", "Fail - Data is null");
            return;
        }
        char c = 0;
        try {
            String[] items = data.split(" ");
            char c2 = 1;
            String[] tspItems = new String[(items.length - 1)];
            for (int i = 1; i < items.length; i++) {
                tspItems[i - 1] = items[i];
            }
            int i2 = 0;
            while (i2 < tspItems.length) {
                String tspData = tspItems[i2];
                String str2 = tspData.split(str)[c];
                String[] minMax = tspData.split(str)[c2].split(",");
                String min = minMax[c];
                String max = minMax[c2];
                this.mTspDataMin[i2] = Integer.parseInt(min);
                this.mTspDataMax[i2] = Integer.parseInt(max);
                String str3 = this.CLASS_NAME;
                FtUtil.log_d(str3, "setTspData", i2 + " min : " + min + ", max : " + max);
                i2++;
                str = str;
                c = 0;
                c2 = 1;
            }
        } catch (Exception e) {
            e.printStackTrace();
            FtUtil.log_d(this.CLASS_NAME, "readTspData", "No valid Data");
            this.mIsValidData = false;
        }
    }

    public boolean checkValidData(String data) {
        FtUtil.log_d(this.CLASS_NAME, "checkValidData", "");
        if (data == null) {
            FtUtil.log_d(this.CLASS_NAME, "checkValidData", "Fail - Data is null");
            return false;
        }
        String[] items = data.split(" ");
        int itemCount = Integer.parseInt(items[0]);
        if (itemCount == items.length - 1 || itemCount == 3) {
            return true;
        }
        FtUtil.log_e(this.CLASS_NAME, "checkValidData", "Fail - Data count mismatch");
        return false;
    }

    public boolean checkStatus(String statusPath) {
        String mStatus = Support.Kernel.read(statusPath);
        if (mStatus == null) {
            FtUtil.log_e(this.CLASS_NAME, "checkStatus", "mStatus == null");
        } else if (mStatus.equals("FAIL")) {
            FtUtil.log_e(this.CLASS_NAME, "checkStatus", "mStatus == fail");
        } else if (mStatus.equals("NOT_APPLICABLE")) {
            FtUtil.log_e(this.CLASS_NAME, "checkStatus", "mStatus == not applicable");
        } else if (mStatus.equals(ModuleForceTouch.RUNNING)) {
            String str = this.CLASS_NAME;
            FtUtil.log_w(str, "checkStatus", "mStatus == " + mStatus);
            long timeStart = System.currentTimeMillis();
            while (true) {
                mStatus = Support.Kernel.read(statusPath);
                if (mStatus != null && mStatus.equals("OK")) {
                    String str2 = this.CLASS_NAME;
                    FtUtil.log_i(str2, "checkStatus", "finish => " + System.currentTimeMillis());
                    break;
                } else if (9000 < System.currentTimeMillis() - timeStart) {
                    FtUtil.log_e(this.CLASS_NAME, "checkStatus", "finish => Time Out(9000)");
                    mStatus = "FAIL";
                    break;
                } else {
                    try {
                        Thread.sleep(100);
                    } catch (InterruptedException e) {
                    }
                }
            }
        }
        if (mStatus.equals("OK")) {
            FtUtil.log_i(this.CLASS_NAME, "checkStatus", "mStatus == ok");
            return true;
        }
        String str3 = this.CLASS_NAME;
        FtUtil.log_e(str3, "checkStatus", "mStatus == Unknown : " + mStatus);
        return false;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void displayResult() {
        SharedPreferences preferences;
        FtUtil.log_d(this.CLASS_NAME, "displayResult", "");
        hideNavigationBar(false);
        this.mImage.setVisibility(4);
        this.mTextViewTitle.setVisibility(0);
        this.mTextViewResult.setVisibility(0);
        this.mMinSpec.setVisibility(0);
        this.mMinData.setVisibility(0);
        this.mMaxSpec.setVisibility(0);
        this.mMaxData.setVisibility(0);
        this.mAvgSpec.setVisibility(0);
        this.mAvgData.setVisibility(0);
        mModulePower.setBrightness(255);
        try {
            if (this.mIsValidData) {
                TextView textView = this.mMinSpec;
                textView.setText("Min Data [ " + this.mSpecMin[0] + " ~ " + this.mSpecMax[0] + " ] ");
                TextView textView2 = this.mMinData;
                textView2.setText(" : " + this.mTspDataMin[0] + " ~ " + this.mTspDataMax[0]);
                TextView textView3 = this.mMaxSpec;
                textView3.setText("Max Data [ " + this.mSpecMin[1] + " ~ " + this.mSpecMax[1] + " ] ");
                TextView textView4 = this.mMaxData;
                textView4.setText(" : " + this.mTspDataMin[1] + " ~ " + this.mTspDataMax[1]);
                TextView textView5 = this.mAvgSpec;
                textView5.setText("AVG Data [ " + this.mSpecMin[2] + " ~ " + this.mSpecMax[2] + " ] ");
                TextView textView6 = this.mAvgData;
                textView6.setText(" : " + this.mTspDataMin[2] + " ~ " + this.mTspDataMax[2]);
            } else {
                TextView textView7 = this.mMinSpec;
                textView7.setText("Min Data [ " + this.mSpecMin[0] + " ~ " + this.mSpecMax[0] + " ] ");
                this.mMinData.setText(" : NG");
                TextView textView8 = this.mMaxSpec;
                textView8.setText("Max Data [ " + this.mSpecMin[1] + " ~ " + this.mSpecMax[1] + " ] ");
                this.mMaxData.setText(" : NG");
                TextView textView9 = this.mAvgSpec;
                textView9.setText("AVG Data [ " + this.mSpecMin[2] + " ~ " + this.mSpecMax[2] + " ] ");
                this.mAvgData.setText(" : NG");
            }
            if (this.mIsPass) {
                this.mTextViewResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                this.mTextViewResult.setText("PASS");
            } else {
                this.mTextViewResult.setTextColor(-65536);
                this.mTextViewResult.setText("FAIL");
            }
            if (this.TEST_ID == 363) {
                preferences = getSharedPreferences("TSP_JITTER_DELTA_TEST_2_RESULT", 0);
            } else {
                preferences = getSharedPreferences("TSP_JITTER_DELTA_TEST_RESULT", 0);
            }
            SharedPreferences.Editor editor = preferences.edit();
            editor.putString("STATUS", this.mIsPass ? "OK" : "NG");
            editor.putString("DATA", this.mTspDataMin[0] + "," + this.mTspDataMax[0] + "," + this.mTspDataMin[1] + "," + this.mTspDataMax[1] + "," + this.mTspDataMin[2] + "," + this.mTspDataMax[2]);
            editor.commit();
        } catch (ArrayIndexOutOfBoundsException e) {
            e.printStackTrace();
        }
        if (this.mIsPass) {
            this.mHandler.sendEmptyMessageDelayed(MSG_TEST_PASS, 100);
        } else {
            this.mHandler.sendEmptyMessageDelayed(MSG_TEST_FAIL, 100);
        }
    }

    private void hideNavigationBar(boolean hide) {
        FtUtil.log_d(this.CLASS_NAME, "hideNavigationBar", "");
        int systemUiVisibility = getWindow().getDecorView().getSystemUiVisibility();
        boolean isHideNavigationBar = ((systemUiVisibility | 2) | 2048) == systemUiVisibility;
        if ((hide && !isHideNavigationBar) || (!hide && isHideNavigationBar)) {
            getWindow().getDecorView().setSystemUiVisibility((systemUiVisibility ^ 2) ^ 2048);
        }
    }

    private void checkSpec() {
        FtUtil.log_d(this.CLASS_NAME, "checkSpec");
        if (!this.mIsValidData) {
            FtUtil.log_d(this.CLASS_NAME, "checkSpec", "Skip check Spec");
            this.mIsPass = false;
            this.mHandler.sendEmptyMessageDelayed(MSG_DISPLAY_RESULT, 100);
            return;
        }
        int[] iArr = this.mSpecMin;
        int i = iArr[0];
        int[] iArr2 = this.mTspDataMin;
        if (i <= iArr2[0]) {
            int[] iArr3 = this.mSpecMax;
            int i2 = iArr3[0];
            int[] iArr4 = this.mTspDataMax;
            if (i2 >= iArr4[0]) {
                if (iArr[1] > iArr2[1] || iArr3[1] < iArr4[1]) {
                    this.mIsPass = false;
                    String str = this.CLASS_NAME;
                    FtUtil.log_e(str, "checkSpec", " Spec Out, Tsp Data MAX ( " + this.mTspDataMin[1] + " ~ " + this.mTspDataMax[1] + " )  Spec ( " + this.mSpecMin[1] + " ~ " + this.mSpecMax[1] + " ) ");
                    this.mHandler.sendEmptyMessageDelayed(MSG_DISPLAY_RESULT, 100);
                }
                if (iArr[2] > iArr2[2] || iArr3[2] < iArr4[2]) {
                    this.mIsPass = false;
                    String str2 = this.CLASS_NAME;
                    FtUtil.log_e(str2, "checkSpec", " Spec Out, Tsp Data AVG ( " + this.mTspDataMin[2] + " ~ " + this.mTspDataMax[2] + " )  Spec ( " + this.mSpecMin[2] + " ~ " + this.mSpecMax[2] + " ) ");
                } else {
                    this.mIsPass = true;
                    String str3 = this.CLASS_NAME;
                    FtUtil.log_d(str3, "checkSpec", " Spec In, Tsp AVG ( " + this.mTspDataMin[2] + " ~ " + this.mTspDataMax[2] + " )  Spec ( " + this.mSpecMin[2] + " ~ " + this.mSpecMax[2] + " ) ");
                    String str4 = this.CLASS_NAME;
                    FtUtil.log_d(str4, "checkSpec", " Spec In, Tsp Max ( " + this.mTspDataMin[1] + " ~ " + this.mTspDataMax[1] + " )  Spec ( " + this.mSpecMin[1] + " ~ " + this.mSpecMax[1] + " ) ");
                    String str5 = this.CLASS_NAME;
                    FtUtil.log_d(str5, "checkSpec", " Spec In, Tsp Min ( " + this.mTspDataMin[0] + " ~ " + this.mTspDataMax[0] + " )  Spec ( " + this.mSpecMin[0] + " ~ " + this.mSpecMax[0] + " ) ");
                }
                this.mHandler.sendEmptyMessageDelayed(MSG_DISPLAY_RESULT, 100);
            }
        }
        this.mIsPass = false;
        String str6 = this.CLASS_NAME;
        FtUtil.log_e(str6, "checkSpec", " Spec Out, Tsp Data MIN ( " + this.mTspDataMin[0] + " ~ " + this.mTspDataMax[0] + " )  Spec ( " + this.mSpecMin[0] + " ~ " + this.mSpecMax[0] + " ) ");
        this.mHandler.sendEmptyMessageDelayed(MSG_DISPLAY_RESULT, 100);
    }

    public void checkFileDialog() {
        AlertDialog.Builder builder = new AlertDialog.Builder(this, 16973935);
        builder.setTitle("Spec File Error");
        builder.setMessage("Please Check Spec File");
        builder.setCancelable(false);
        builder.setNegativeButton("Exit", new DialogInterface.OnClickListener() {
            /* class com.sec.factory.app.ui.UITSPJitterDeltaTest.AnonymousClass2 */

            public void onClick(DialogInterface dialog, int id) {
                UITSPJitterDeltaTest.this.finish();
                dialog.cancel();
            }
        });
        AlertDialog create = builder.create();
        this.mSpecFileCheckDialog = create;
        create.getWindow().setGravity(17);
        this.mSpecFileCheckDialog.show();
    }

    public boolean checkSpecFile() {
        if (Support.Kernel.isExistFilePath(this.filePath)) {
            FtUtil.log_d(this.CLASS_NAME, "checkSpecFile", "true");
            return true;
        }
        FtUtil.log_d(this.CLASS_NAME, "checkSpecFile", "false");
        checkFileDialog();
        return false;
    }

    public void setSpec(int idx, String min, String max) {
        this.mSpecMin[idx] = Integer.parseInt(min);
        this.mSpecMax[idx] = Integer.parseInt(max);
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "setSpec", idx + " min : " + min + ", max : " + max);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void readSpec() {
        String strReadLine;
        FtUtil.log_d(this.CLASS_NAME, "readSpecData", "");
        if (checkSpecFile()) {
            String str = this.CLASS_NAME;
            FtUtil.log_i(str, "getSpecData", "filePath : " + this.filePath);
            try {
                try {
                    BufferedReader reader = new BufferedReader(new FileReader(this.filePath));
                    do {
                        strReadLine = reader.readLine();
                        if (strReadLine == null) {
                            break;
                        }
                        String str2 = this.CLASS_NAME;
                        FtUtil.log_i(str2, "readSpec", "readSpecFile : " + strReadLine);
                    } while (!strReadLine.contains("TSP_JITTER_DELTA_TEST"));
                    if (strReadLine == null) {
                        checkFileDialog();
                        return;
                    }
                    for (int i = 0; i < 3; i++) {
                        String strLine = reader.readLine().trim();
                        String str3 = this.CLASS_NAME;
                        FtUtil.log_i(str3, "getSpecData", "JitterDeltaSpec[" + (i + 1) + "] : " + strLine);
                        String[] strSpecMinMaxData = strLine.split(":")[1].split(",");
                        setSpec(i, strSpecMinMaxData[0], strSpecMinMaxData[1]);
                        strSpecMinMaxData[0] = "";
                        strSpecMinMaxData[1] = "";
                    }
                    this.mHandler.sendEmptyMessageDelayed(MSG_RUN_TSP_CMD, 100);
                } catch (Exception e) {
                    e.printStackTrace();
                }
            } catch (FileNotFoundException e2) {
                FtUtil.log_e(this.CLASS_NAME, "getSpecData", "FileNotFoundException");
            }
        }
    }
}
