package com.sec.factory.app.ui;

import android.app.AlertDialog;
import android.content.DialogInterface;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.modules.ModulePower;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.FileReader;

public class UITSPJitterTest extends UIBase {
    private static final int BRIGHTNESS_AVG = 140;
    private static final int BRIGHTNESS_MAX = 255;
    private static final int BRIGHTNESS_MIN = 30;
    private static final int MSG_BACKGROUND_CHANGE;
    private static final int MSG_DISPLAY_RESULT;
    private static final int MSG_RUN_TSP_CMD;
    private static final int MSG_START_TEST = 0;
    private static final int MSG_TEST_PASS;
    private static final String RESULT_FAIL = "FAIL";
    private static final String RESULT_PASS = "PASS";
    private static int TEST_MSG;
    protected static ModulePower mModulePower = null;
    private String filePath;
    private Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UITSPJitterTest.AnonymousClass1 */

        public void handleMessage(Message msg) {
            if (msg.what == UITSPJitterTest.MSG_START_TEST) {
                FtUtil.log_d(UITSPJitterTest.this.CLASS_NAME, "mHandler", "MSG_START_TEST");
                UITSPJitterTest.this.readSpecData();
                UITSPJitterTest.this.mHandler.sendEmptyMessageDelayed(UITSPJitterTest.MSG_RUN_TSP_CMD, 300);
            } else if (msg.what == UITSPJitterTest.MSG_RUN_TSP_CMD) {
                FtUtil.log_d(UITSPJitterTest.this.CLASS_NAME, "mHandler", "MSG_RUN_TSP_CMD");
                if (UITSPJitterTest.this.TEST_ID == 350) {
                    UITSPJitterTest.this.StartJitter2Test();
                } else {
                    UITSPJitterTest.this.StartJitterTest();
                }
                UITSPJitterTest.this.mHandler.sendEmptyMessageDelayed(UITSPJitterTest.MSG_DISPLAY_RESULT, 1000);
            } else if (msg.what == UITSPJitterTest.MSG_DISPLAY_RESULT) {
                FtUtil.log_d(UITSPJitterTest.this.CLASS_NAME, "mHandler", "MSG_DISPLAY_RESULT");
                UITSPJitterTest.this.displayResult();
                if (UITSPJitterTest.this.mIsPass) {
                    UITSPJitterTest.this.mHandler.sendEmptyMessageDelayed(UITSPJitterTest.MSG_TEST_PASS, 300);
                }
            } else if (msg.what == UITSPJitterTest.MSG_TEST_PASS) {
                FtUtil.log_d(UITSPJitterTest.this.CLASS_NAME, "mHandler", "MSG_TEST_PASS");
                UITSPJitterTest.this.setTestResult((byte) 80);
                UITSPJitterTest.this.setResult(-1);
                UITSPJitterTest.this.finish();
            }
        }
    };
    private boolean mIsPass = false;
    private String mMaxSpec;
    private String mMaxValue;
    private AlertDialog mSpecFileCheckDialog;
    private int mTSPMaxSpec;
    private TextView mTestData;
    private TextView mTextViewResult;
    private TextView mTextViewTitle;

    static {
        TEST_MSG = 0;
        int i = 0 + 1;
        TEST_MSG = i;
        int i2 = i + 1;
        TEST_MSG = i2;
        MSG_RUN_TSP_CMD = i;
        int i3 = i2 + 1;
        TEST_MSG = i3;
        MSG_BACKGROUND_CHANGE = i2;
        int i4 = i3 + 1;
        TEST_MSG = i4;
        MSG_DISPLAY_RESULT = i3;
        TEST_MSG = i4 + 1;
        MSG_TEST_PASS = i4;
    }

    public UITSPJitterTest() {
        super("UITSPJitterTest");
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        this.TEST_ID = getIntent().getIntExtra("testid", -1);
        setContentView(R.layout.ui_tsp_jitter_test);
        mModulePower = ModulePower.instance(this);
        hideNavigationBar(true);
        this.mTestData = (TextView) findViewById(R.id.testdata);
        this.mTextViewTitle = (TextView) findViewById(R.id.title);
        this.mTextViewResult = (TextView) findViewById(R.id.result);
        if (this.TEST_ID == 350) {
            this.mTextViewTitle.setText("TSP Jitter Test 2");
            this.filePath = Support.Kernel.getFilePath(Support.Kernel.PATH_TSP_ALL_NODE_SPEC) + "TSP2_SPEC_15.txt";
        } else {
            this.mTextViewTitle.setText("TSP Jitter Test");
            this.filePath = Support.Kernel.getFilePath(Support.Kernel.PATH_TSP_ALL_NODE_SPEC) + "TSP1_SPEC_15.txt";
        }
        this.mTextViewTitle.setVisibility(0);
        this.mTextViewResult.setVisibility(8);
        this.mTestData.setVisibility(8);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        this.mHandler.sendEmptyMessageDelayed(MSG_START_TEST, 100);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void StartJitterTest() {
        FtUtil.log_d(this.CLASS_NAME, "StartJitterTest", "");
        this.mTextViewTitle.setVisibility(8);
        this.mTextViewResult.setVisibility(8);
        this.mTestData.setVisibility(8);
        mModulePower.setBrightness(140);
        if (Support.Kernel.write(Support.Kernel.TSP_COMMAND_CMD, "run_jitter_test")) {
            try {
                Thread.sleep(500);
            } catch (InterruptedException ie) {
                FtUtil.log_e(ie);
            }
            if ("OK".equalsIgnoreCase(Support.Kernel.read(Support.Kernel.TSP_COMMAND_STATUS))) {
                this.mMaxValue = Support.Kernel.read(Support.Kernel.TSP_COMMAND_RESULT);
                String str = this.CLASS_NAME;
                FtUtil.log_d(str, "MSG_RUN_TSP_JITTER_CMD", "run_jitter_test = " + this.mMaxValue);
            }
        }
        String str2 = this.mMaxValue;
        if (str2 != null) {
            this.mMaxValue = str2.split(":")[1];
            checkSpec();
            return;
        }
        this.mIsPass = false;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void StartJitter2Test() {
        FtUtil.log_d(this.CLASS_NAME, "StartJitter2Test", "");
        this.mTextViewTitle.setVisibility(8);
        this.mTextViewResult.setVisibility(8);
        this.mTestData.setVisibility(8);
        mModulePower.setBrightness(140);
        if (Support.Kernel.write(Support.Kernel.TSP2_COMMAND_CMD, "run_jitter_test")) {
            try {
                Thread.sleep(500);
            } catch (InterruptedException ie) {
                FtUtil.log_e(ie);
            }
            if ("OK".equalsIgnoreCase(Support.Kernel.read(Support.Kernel.TSP2_COMMAND_STATUS))) {
                this.mMaxValue = Support.Kernel.read(Support.Kernel.TSP2_COMMAND_RESULT);
                String str = this.CLASS_NAME;
                FtUtil.log_d(str, "MSG_RUN_TSP_JITTER_CMD", "run_jitter_test = " + this.mMaxValue);
            }
        }
        String str2 = this.mMaxValue;
        if (str2 != null) {
            this.mMaxValue = str2.split(":")[1];
            checkSpec();
            return;
        }
        this.mIsPass = false;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void displayResult() {
        SharedPreferences preferences;
        FtUtil.log_d(this.CLASS_NAME, "displayResult", "");
        hideNavigationBar(false);
        this.mTextViewTitle.setVisibility(0);
        this.mTextViewResult.setVisibility(0);
        this.mTestData.setVisibility(0);
        mModulePower.setBrightness(255);
        try {
            TextView textView = this.mTestData;
            textView.setText("Test Data : " + this.mMaxValue + ", Spec : " + this.mTSPMaxSpec);
            if (this.mIsPass) {
                this.mTextViewResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                this.mTextViewResult.setText("PASS");
            } else {
                this.mTextViewResult.setTextColor(-65536);
                this.mTextViewResult.setText("FAIL");
            }
            if (this.TEST_ID == 350) {
                preferences = getSharedPreferences("TSP_JITTER_TEST_2_RESULT", 0);
            } else {
                preferences = getSharedPreferences("TSP_JITTER_TEST_RESULT", 0);
            }
            SharedPreferences.Editor editor = preferences.edit();
            editor.putString("STATUS", this.mIsPass ? "OK" : "NG");
            editor.putString("DATA", this.mMaxValue);
            editor.commit();
        } catch (ArrayIndexOutOfBoundsException e) {
            e.printStackTrace();
        }
    }

    private void hideNavigationBar(boolean hide) {
        FtUtil.log_d(this.CLASS_NAME, "hideNavigationBar", "");
        int systemUiVisibility = getWindow().getDecorView().getSystemUiVisibility();
        boolean isHideNavigationBar = ((systemUiVisibility | 2) | 2048) == systemUiVisibility;
        if ((hide && !isHideNavigationBar) || (!hide && isHideNavigationBar)) {
            getWindow().getDecorView().setSystemUiVisibility((systemUiVisibility ^ 2) ^ 2048);
        }
    }

    private void checkSpec() {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "checkSpec", "MaxValue : " + this.mMaxValue);
        int MaxValue = Integer.parseInt(this.mMaxValue);
        if (this.mTSPMaxSpec < MaxValue) {
            String str2 = this.CLASS_NAME;
            FtUtil.log_e(str2, "checkSpec", " Spec Out, Data Max : " + MaxValue + " Spec( " + this.mTSPMaxSpec + " ) ");
            this.mIsPass = false;
        } else {
            this.mIsPass = true;
        }
        if (this.mIsPass) {
            String str3 = this.CLASS_NAME;
            FtUtil.log_e(str3, "checkSpec", " Data Max : " + MaxValue + " Spec( " + this.mTSPMaxSpec + " ) ");
        }
    }

    public boolean checkSpecFile() {
        if (Support.Kernel.isExistFilePath(this.filePath)) {
            FtUtil.log_d(this.CLASS_NAME, "checkSpecFile", "true");
            return true;
        }
        FtUtil.log_d(this.CLASS_NAME, "checkSpecFile", "false");
        AlertDialog.Builder builder = new AlertDialog.Builder(this, 16973935);
        builder.setTitle("Spec File Error");
        builder.setMessage("Please Check Spec File");
        builder.setCancelable(false);
        builder.setNegativeButton("Exit", new DialogInterface.OnClickListener() {
            /* class com.sec.factory.app.ui.UITSPJitterTest.AnonymousClass2 */

            public void onClick(DialogInterface dialog, int id) {
                UITSPJitterTest.this.finish();
                dialog.cancel();
            }
        });
        AlertDialog create = builder.create();
        this.mSpecFileCheckDialog = create;
        create.getWindow().setGravity(17);
        this.mSpecFileCheckDialog.show();
        return false;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void readSpecData() {
        String strReadLine;
        FtUtil.log_d(this.CLASS_NAME, "readSpecData", "");
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "getSpecData", "filePath : " + this.filePath);
        try {
            try {
                BufferedReader reader = new BufferedReader(new FileReader(this.filePath));
                if (checkSpecFile()) {
                    do {
                        strReadLine = reader.readLine();
                        if (strReadLine == null) {
                            break;
                        }
                    } while (!strReadLine.contains("TSP_JITTER_TEST"));
                    if (strReadLine == null) {
                        String str2 = this.CLASS_NAME;
                        FtUtil.log_i(str2, "strReadLine", "strReadLine : " + strReadLine);
                        return;
                    }
                }
                String JitterSpec = reader.readLine().trim();
                String str3 = this.CLASS_NAME;
                FtUtil.log_i(str3, "getSpecData", "JitterSpec : " + JitterSpec);
                this.mMaxSpec = JitterSpec.split(":")[1];
                String str4 = this.CLASS_NAME;
                FtUtil.log_i(str4, "getSpecData", "mMaxSpec : " + this.mMaxSpec);
                this.mTSPMaxSpec = Integer.parseInt(this.mMaxSpec.trim());
                String str5 = this.CLASS_NAME;
                FtUtil.log_i(str5, "getSpecData", "mTSPMaxSpec : " + this.mTSPMaxSpec);
            } catch (Exception e) {
                e.printStackTrace();
            }
        } catch (FileNotFoundException e2) {
            FtUtil.log_e(this.CLASS_NAME, "getSpecData", "FileNotFoundException");
        }
    }
}
