package com.sec.factory.app.ui;

import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.widget.LinearLayout;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.ModuleCommunicationService;
import com.sec.factory.modules.ModuleForceTouch;
import com.sec.factory.modules.ModulePower;
import com.sec.factory.modules.ModuleTouchScreen;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class UITSPOpenShortTest extends UIBase {
    private static final int MSG_DISPLAY_RESULT = 3;
    private static final int MSG_LCD_ON = 2;
    private static final int MSG_RUN_TSP_CMD = 1;
    private static final int MSG_START_TEST = 0;
    private static final int MSG_TEST_PASS = 4;
    private static final String RESULT_EVLSS_CAP_FAIL = "EVLSS_CAP_FAIL";
    private static final String RESULT_MICRO_OPEN_FAIL = "MICRO_OPEN_FAIL";
    private static final String RESULT_MICRO_SHORT_FAIL = "MICRO_SHORT_FAIL";
    private static final String RESULT_OPEN_FAIL = "OPEN_FAIL";
    private static final String RESULT_PASS = "PASS";
    private static final String RESULT_SHORT_FAIL = "SHORT_FAIL";
    private static final String RESULT_UNDEFINED_FAIL = "UNDEFINED_FAIL";
    private static final int mDisplayFailListCount = 5;
    private static ModulePower mModulePower = null;
    private static final String mStringChannelOpen = "Channel Open Test";
    private static final String mStringChannelOpenShort = "Channel Open/Short Test";
    private static final String mStringChannelShort = "Channel Short Test";
    private static final String mStringELVSSCapCheck = "ELVSS Cap Check";
    private static final String mStringPatternOpen = "Pattern Open Test";
    private static final String mStringPatternShort = "Pattern Short Test";
    private final String ACTION_TSP_OPEN_SHORT_RESULT = "com.android.samsungtest.ACTION_TSP_OPEN_SHORT_RESULT";
    private final long TSP_STATUS_RUNNING_TIME_OUT = 1000;
    private final String TSP_STATUS__COMMON__CONTINUE = "CONT";
    private final String TSP_STATUS__COMMON__FAIL = "FAIL";
    private final String TSP_STATUS__COMMON__NOT_APPLICABLE = "NOT_APPLICABLE";
    private final String TSP_STATUS__COMMON__OK = "OK";
    private final String TSP_STATUS__COMMON__RUNNING = ModuleForceTouch.RUNNING;
    private Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UITSPOpenShortTest.AnonymousClass1 */

        public void handleMessage(Message msg) {
            String str;
            char c;
            switch (msg.what) {
                case 0:
                    FtUtil.log_d(UITSPOpenShortTest.this.CLASS_NAME, "mHandler", "MSG_START_TEST");
                    UITSPOpenShortTest.mModulePower.setLCDState(false);
                    UITSPOpenShortTest.this.mHandler.sendEmptyMessageDelayed(1, 1000);
                    return;
                case 1:
                    Support.Kernel.writeToPath(UITSPOpenShortTest.this.tspEnablePath, EgisFingerprint.MAJOR_VERSION);
                    FtUtil.log_d(UITSPOpenShortTest.this.CLASS_NAME, "mHandler", "mTSPCmdResult[0] : start");
                    if (Support.Feature.getBoolean(Support.Feature.SUPPORT_TSP_OPENSHORT_COMMON_CONCEPT)) {
                        UITSPOpenShortTest.this.mIsChannelSaparated = true;
                        UITSPOpenShortTest.this.mTSPCmdResult[0] = UITSPOpenShortTest.this.mModuleTouchScreen.getTSPResultData(ModuleTouchScreen.TSP_ID__TRX_OPEN_SHORT, "1,1");
                        String str2 = UITSPOpenShortTest.this.CLASS_NAME;
                        FtUtil.log_d(str2, "mHandler", "mTSPCmdResult[0] : " + UITSPOpenShortTest.this.mTSPCmdResult[0]);
                        UITSPOpenShortTest.this.mTSPCmdResult[1] = UITSPOpenShortTest.this.mModuleTouchScreen.getTSPResultData(ModuleTouchScreen.TSP_ID__TRX_OPEN_SHORT, "1,2");
                        String str3 = UITSPOpenShortTest.this.CLASS_NAME;
                        FtUtil.log_d(str3, "mHandler", "mTSPCmdResult[1] : " + UITSPOpenShortTest.this.mTSPCmdResult[1]);
                        if (!Support.Feature.getBoolean(Support.Feature.SUPPORT_TSP_MICRO_SHORT_SKIP)) {
                            UITSPOpenShortTest.this.mTSPCmdResult[2] = UITSPOpenShortTest.this.mModuleTouchScreen.getTSPResultData(ModuleTouchScreen.TSP_ID__TRX_OPEN_SHORT, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION);
                            String str4 = UITSPOpenShortTest.this.CLASS_NAME;
                            FtUtil.log_d(str4, "mHandler", "mTSPCmdResult[2] : " + UITSPOpenShortTest.this.mTSPCmdResult[2]);
                        } else {
                            UITSPOpenShortTest.this.mTSPCmdResult[2] = "OK,NA";
                            String str5 = UITSPOpenShortTest.this.CLASS_NAME;
                            FtUtil.log_d(str5, "mHandler", "Not Support SUPPORT_TSP_MICRO_SHORT_TEST : " + UITSPOpenShortTest.this.mTSPCmdResult[2]);
                        }
                        UITSPOpenShortTest.this.mTSPCmdResult[3] = UITSPOpenShortTest.this.mModuleTouchScreen.getTSPResultData(ModuleTouchScreen.TSP_ID__ELVSS_TEST, null);
                        String str6 = UITSPOpenShortTest.this.CLASS_NAME;
                        FtUtil.log_d(str6, "mHandler", "mTSPCmdResult[3] : " + UITSPOpenShortTest.this.mTSPCmdResult[3]);
                        for (int k = 0; k < 4; k++) {
                            UITSPOpenShortTest.this.mTSPResultData[k] = UITSPOpenShortTest.this.mTSPCmdResult[k].split(",");
                            String str7 = UITSPOpenShortTest.this.CLASS_NAME;
                            FtUtil.log_d(str7, "mHandler", "mTSPResultData.length : " + k + " : " + UITSPOpenShortTest.this.mTSPResultData[k].length);
                        }
                        for (int i = 0; i < 4; i++) {
                            UITSPOpenShortTest.this.mTSPStatus[i] = UITSPOpenShortTest.this.mTSPResultData[i][1];
                            if (UITSPOpenShortTest.this.mTSPStatus[i].equals("OK")) {
                                UITSPOpenShortTest.this.mTSPStatus[i] = "PASS";
                                UITSPOpenShortTest.this.mIsPass[i] = true;
                            } else if (UITSPOpenShortTest.this.mTSPStatus[i].equals("NA")) {
                                UITSPOpenShortTest.this.mIsPass[i] = true;
                            }
                            int j = 0;
                            while (j < UITSPOpenShortTest.this.mTSPResultData[i].length - 1 && j < 5) {
                                UITSPOpenShortTest.this.strResult.append(UITSPOpenShortTest.this.mTSPResultData[i][j + 1]);
                                if (j < 4) {
                                    UITSPOpenShortTest.this.strResult.append(",");
                                }
                                j++;
                            }
                            UITSPOpenShortTest.this.mTSPResult[i] = UITSPOpenShortTest.this.strResult.toString();
                            UITSPOpenShortTest.this.strResult.setLength(0);
                            String str8 = UITSPOpenShortTest.this.CLASS_NAME;
                            String itemName_RequestCode = FactoryTestManager.getItemName_RequestCode(170);
                            FtUtil.log_d(str8, "mHandler", FtUtil.setMspSeqMessage(1, itemName_RequestCode, "mIsPass[" + i + "]:" + UITSPOpenShortTest.this.mIsPass[i] + " ,mTSPStatus[" + i + "]:" + UITSPOpenShortTest.this.mTSPStatus[i] + " ,mTSPResult[" + i + "]:" + UITSPOpenShortTest.this.mTSPResult[i]));
                        }
                    } else {
                        Object obj = "OK";
                        if (ModuleTouchScreen.TSP_VENDOR_NAME__SEC.equalsIgnoreCase(UITSPOpenShortTest.this.mModuleTouchScreen.getTSPVendorName()) || ModuleTouchScreen.TSP_VENDOR_NAME__STM.equalsIgnoreCase(UITSPOpenShortTest.this.mModuleTouchScreen.getTSPVendorName())) {
                            UITSPOpenShortTest.this.mTSPCmdResult[0] = UITSPOpenShortTest.this.mModuleTouchScreen.getTSPResultData(ModuleTouchScreen.TSP_ID__TRX_OPEN_SHORT, EgisFingerprint.MAJOR_VERSION);
                            String str9 = UITSPOpenShortTest.this.CLASS_NAME;
                            FtUtil.log_d(str9, "mHandler", "mTSPCmdResult[0] : " + UITSPOpenShortTest.this.mTSPCmdResult[0]);
                            UITSPOpenShortTest.this.mTSPResultData[0] = UITSPOpenShortTest.this.mTSPCmdResult[0].split(",");
                            UITSPOpenShortTest.this.mTSPStatus[0] = UITSPOpenShortTest.this.mTSPResultData[0][1];
                            if (UITSPOpenShortTest.this.mTSPStatus[0].equals("CONT")) {
                                FtUtil.log_d(UITSPOpenShortTest.this.CLASS_NAME, "mHandler", "mTSPCmdResult[0] : separated");
                                UITSPOpenShortTest.this.mIsChannelSaparated = true;
                            }
                            if (UITSPOpenShortTest.this.mIsChannelSaparated) {
                                UITSPOpenShortTest.this.mTSPCmdResult[0] = UITSPOpenShortTest.this.mModuleTouchScreen.getTSPResultData(ModuleTouchScreen.TSP_ID__TRX_OPEN_SHORT, "1,1");
                                String str10 = UITSPOpenShortTest.this.CLASS_NAME;
                                FtUtil.log_d(str10, "mHandler", "mTSPCmdResult[0] : " + UITSPOpenShortTest.this.mTSPCmdResult[0]);
                                UITSPOpenShortTest.this.mTSPCmdResult[1] = UITSPOpenShortTest.this.mModuleTouchScreen.getTSPResultData(ModuleTouchScreen.TSP_ID__TRX_OPEN_SHORT, "1,2");
                                String str11 = UITSPOpenShortTest.this.CLASS_NAME;
                                FtUtil.log_d(str11, "mHandler", "mTSPCmdResult[1] : " + UITSPOpenShortTest.this.mTSPCmdResult[1]);
                                UITSPOpenShortTest.this.mTSPCmdResult[2] = UITSPOpenShortTest.this.mModuleTouchScreen.getTSPResultData(ModuleTouchScreen.TSP_ID__TRX_OPEN_SHORT, "2");
                                String str12 = UITSPOpenShortTest.this.CLASS_NAME;
                                FtUtil.log_d(str12, "mHandler", "mTSPCmdResult[2] : " + UITSPOpenShortTest.this.mTSPCmdResult[2]);
                                UITSPOpenShortTest.this.mTSPCmdResult[3] = UITSPOpenShortTest.this.mModuleTouchScreen.getTSPResultData(ModuleTouchScreen.TSP_ID__TRX_OPEN_SHORT, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION);
                                String str13 = UITSPOpenShortTest.this.CLASS_NAME;
                                FtUtil.log_d(str13, "mHandler", "mTSPCmdResult[3] : " + UITSPOpenShortTest.this.mTSPCmdResult[3]);
                                for (int k2 = 0; k2 < 4; k2++) {
                                    UITSPOpenShortTest.this.mTSPResultData[k2] = UITSPOpenShortTest.this.mTSPCmdResult[k2].split(",");
                                    String str14 = UITSPOpenShortTest.this.CLASS_NAME;
                                    FtUtil.log_d(str14, "mHandler", "mTSPResultData.length : " + k2 + " : " + UITSPOpenShortTest.this.mTSPResultData[k2].length);
                                }
                                int i2 = 0;
                                while (i2 < 4) {
                                    UITSPOpenShortTest.this.mTSPStatus[i2] = UITSPOpenShortTest.this.mTSPResultData[i2][0];
                                    if (UITSPOpenShortTest.this.mTSPStatus[i2].equals(obj)) {
                                        UITSPOpenShortTest.this.mTSPStatus[i2] = "PASS";
                                        UITSPOpenShortTest.this.mIsPass[i2] = true;
                                    }
                                    int j2 = 0;
                                    while (j2 < UITSPOpenShortTest.this.mTSPResultData[i2].length - 1 && j2 < 5) {
                                        UITSPOpenShortTest.this.strResult.append(UITSPOpenShortTest.this.mTSPResultData[i2][j2 + 1]);
                                        if (j2 < 4) {
                                            UITSPOpenShortTest.this.strResult.append(",");
                                        }
                                        j2++;
                                    }
                                    UITSPOpenShortTest.this.mTSPResult[i2] = UITSPOpenShortTest.this.strResult.toString();
                                    UITSPOpenShortTest.this.strResult.setLength(0);
                                    String str15 = UITSPOpenShortTest.this.CLASS_NAME;
                                    String itemName_RequestCode2 = FactoryTestManager.getItemName_RequestCode(170);
                                    FtUtil.log_d(str15, "mHandler", FtUtil.setMspSeqMessage(1, itemName_RequestCode2, "mIsPass[" + i2 + "]:" + UITSPOpenShortTest.this.mIsPass[i2] + " ,mTSPStatus[" + i2 + "]:" + UITSPOpenShortTest.this.mTSPStatus[i2] + " ,mTSPResult[" + i2 + "]:" + UITSPOpenShortTest.this.mTSPResult[i2]));
                                    i2++;
                                    obj = obj;
                                }
                            } else {
                                UITSPOpenShortTest.this.mTSPCmdResult[1] = UITSPOpenShortTest.this.mModuleTouchScreen.getTSPResultData(ModuleTouchScreen.TSP_ID__TRX_OPEN_SHORT, "2");
                                String str16 = UITSPOpenShortTest.this.CLASS_NAME;
                                FtUtil.log_d(str16, "mHandler", "mTSPCmdResult[1] : " + UITSPOpenShortTest.this.mTSPCmdResult[1]);
                                UITSPOpenShortTest.this.mTSPCmdResult[2] = UITSPOpenShortTest.this.mModuleTouchScreen.getTSPResultData(ModuleTouchScreen.TSP_ID__TRX_OPEN_SHORT, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION);
                                String str17 = UITSPOpenShortTest.this.CLASS_NAME;
                                FtUtil.log_d(str17, "mHandler", "mTSPCmdResult[2] : " + UITSPOpenShortTest.this.mTSPCmdResult[2]);
                                for (int k3 = 0; k3 < 3; k3++) {
                                    UITSPOpenShortTest.this.mTSPResultData[k3] = UITSPOpenShortTest.this.mTSPCmdResult[k3].split(",");
                                    String str18 = UITSPOpenShortTest.this.CLASS_NAME;
                                    FtUtil.log_d(str18, "mHandler", "mTSPResultData.length : " + k3 + " : " + UITSPOpenShortTest.this.mTSPResultData[k3].length);
                                }
                                for (int i3 = 0; i3 < 3; i3++) {
                                    UITSPOpenShortTest.this.mTSPStatus[i3] = UITSPOpenShortTest.this.mTSPResultData[i3][0];
                                    if (UITSPOpenShortTest.this.mTSPStatus[i3].equals(obj)) {
                                        UITSPOpenShortTest.this.mTSPStatus[i3] = "PASS";
                                        UITSPOpenShortTest.this.mIsPass[i3] = true;
                                    }
                                    int j3 = 0;
                                    while (true) {
                                        if (j3 < UITSPOpenShortTest.this.mTSPResultData[i3].length - 1) {
                                            if (j3 < 5) {
                                                UITSPOpenShortTest.this.strResult.append(UITSPOpenShortTest.this.mTSPResultData[i3][j3 + 1]);
                                                if (j3 < 4) {
                                                    UITSPOpenShortTest.this.strResult.append(",");
                                                }
                                                j3++;
                                            }
                                        }
                                    }
                                    UITSPOpenShortTest.this.mTSPResult[i3] = UITSPOpenShortTest.this.strResult.toString();
                                    UITSPOpenShortTest.this.strResult.setLength(0);
                                    String str19 = UITSPOpenShortTest.this.CLASS_NAME;
                                    String itemName_RequestCode3 = FactoryTestManager.getItemName_RequestCode(170);
                                    FtUtil.log_d(str19, "mHandler", FtUtil.setMspSeqMessage(1, itemName_RequestCode3, "mIsPass[" + i3 + "]:" + UITSPOpenShortTest.this.mIsPass[i3] + " ,mTSPStatus[" + i3 + "]:" + UITSPOpenShortTest.this.mTSPStatus[i3] + " ,mTSPResult[" + i3 + "]:" + UITSPOpenShortTest.this.mTSPResult[i3]));
                                }
                            }
                        } else if (ModuleTouchScreen.TSP_VENDOR_NAME__IMAGIS.equalsIgnoreCase(UITSPOpenShortTest.this.mModuleTouchScreen.getTSPVendorName())) {
                            UITSPOpenShortTest.this.mIsChannelSaparated = true;
                            UITSPOpenShortTest.this.mTSPCmdResult[0] = UITSPOpenShortTest.this.mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__TRX_OPEN_SHORT);
                            String str20 = UITSPOpenShortTest.this.CLASS_NAME;
                            FtUtil.log_d(str20, "mHandler", "mTSPCmdResult : " + UITSPOpenShortTest.this.mTSPCmdResult[0]);
                            UITSPOpenShortTest.this.mTSPResultData[0] = UITSPOpenShortTest.this.mTSPCmdResult[0].split(";");
                            if (UITSPOpenShortTest.this.mTSPResultData[0].length == 4) {
                                int i4 = 0;
                                for (int i5 = 4; i4 < i5; i5 = 4) {
                                    UITSPOpenShortTest.this.mIsPass[i4] = "PASS".equals(UITSPOpenShortTest.this.mTSPResultData[0][i4]);
                                    String[] strArr = UITSPOpenShortTest.this.mTSPStatus;
                                    if (UITSPOpenShortTest.this.mIsPass[i4]) {
                                        str = "PASS";
                                    } else {
                                        str = "FAIL";
                                    }
                                    strArr[i4] = str;
                                    if (i4 == 3) {
                                        UITSPOpenShortTest.this.mIsPass[i4] = true;
                                        c = 0;
                                        UITSPOpenShortTest.this.mTSPStatus[i4] = UITSPOpenShortTest.this.mTSPResultData[0][i4];
                                    } else {
                                        c = 0;
                                    }
                                    UITSPOpenShortTest.this.mTSPResult[i4] = UITSPOpenShortTest.this.mTSPResultData[c][i4];
                                    String str21 = UITSPOpenShortTest.this.CLASS_NAME;
                                    String itemName_RequestCode4 = FactoryTestManager.getItemName_RequestCode(170);
                                    FtUtil.log_d(str21, "mHandler", FtUtil.setMspSeqMessage(1, itemName_RequestCode4, "mIsPass[" + i4 + "]:" + UITSPOpenShortTest.this.mIsPass[i4] + " ,mTSPStatus[" + i4 + "]:" + UITSPOpenShortTest.this.mTSPStatus[i4] + " ,mTSPResult[" + i4 + "]:" + UITSPOpenShortTest.this.mTSPResult[i4]));
                                    i4++;
                                }
                            } else {
                                for (int i6 = 0; i6 < 4; i6++) {
                                    UITSPOpenShortTest.this.mTSPStatus[i6] = "FAIL";
                                    UITSPOpenShortTest.this.mIsPass[i6] = false;
                                    UITSPOpenShortTest.this.mTSPResult[i6] = UITSPOpenShortTest.this.mTSPStatus[i6];
                                }
                            }
                        }
                    }
                    if (!UITSPOpenShortTest.mModulePower.isScreenOn()) {
                        Support.Kernel.writeToPath(UITSPOpenShortTest.this.tspEnablePath, "0");
                    } else {
                        FtUtil.log_d(UITSPOpenShortTest.this.CLASS_NAME, "mHandler", "Warning! Screen state is already on");
                    }
                    UITSPOpenShortTest.this.mHandler.sendEmptyMessageDelayed(2, 100);
                    return;
                case 2:
                    UITSPOpenShortTest.mModulePower.setLCDState(true);
                    UITSPOpenShortTest.this.mHandler.sendEmptyMessageDelayed(3, 300);
                    return;
                case 3:
                    UITSPOpenShortTest.this.displayResult();
                    if (UITSPOpenShortTest.this.mIsTotalPass) {
                        UITSPOpenShortTest.this.mHandler.sendEmptyMessageDelayed(4, 2000);
                        return;
                    }
                    return;
                case 4:
                    UITSPOpenShortTest.this.setTestResult((byte) 80);
                    UITSPOpenShortTest.this.setResult(-1);
                    UITSPOpenShortTest.this.finish();
                    return;
                default:
                    return;
            }
        }
    };
    boolean mIsAtCmd = false;
    private boolean mIsChannelSaparated = false;
    private boolean[] mIsPass = new boolean[4];
    private boolean mIsRun = false;
    private boolean mIsTotalPass = false;
    private LinearLayout mLinearLayoutItemDepot;
    private ModuleTouchScreen mModuleTouchScreen = null;
    private String[] mTSPCmdResult = new String[4];
    private String[] mTSPResult = new String[4];
    private String[][] mTSPResultData = new String[4][];
    private String[] mTSPStatus = new String[4];
    private TextView mTextViewResult;
    StringBuilder strResult = new StringBuilder();
    private int tspDevCount;
    private String tspEnablePath;

    public UITSPOpenShortTest() {
        super("UITSPOpenShortTest");
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        this.TEST_ID = getIntent().getIntExtra("testid", -1);
        this.mIsAtCmd = getIntent().getBooleanExtra("mIsAtCmd", false);
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "onCreate", "TEST_ID: " + this.TEST_ID + ", mIsAtCmd: " + this.mIsAtCmd);
        setContentView(R.layout.ui_tsp_open_short_test);
        if (mModulePower == null) {
            mModulePower = ModulePower.instance(this);
        }
        if (this.mModuleTouchScreen == null) {
            this.mModuleTouchScreen = ModuleTouchScreen.instance(this);
        }
        this.mLinearLayoutItemDepot = (LinearLayout) findViewById(R.id.item_depot);
        this.mTextViewResult = (TextView) findViewById(R.id.result);
        this.tspEnablePath = Support.Kernel.getFilePath(Support.Kernel.TSP_ENABLE);
        int tspDevCount2 = this.mModuleTouchScreen.getTspDevCount();
        this.tspDevCount = tspDevCount2;
        if (tspDevCount2 > 1) {
            if (this.TEST_ID == 170) {
                this.tspEnablePath = this.tspEnablePath.replace("/tsp/", "/tsp1/");
            } else if (this.TEST_ID == 181) {
                this.tspEnablePath = this.tspEnablePath.replace("/tsp/", "/tsp2/");
            } else if (this.TEST_ID == 333) {
                this.tspEnablePath = this.tspEnablePath.replace("/tsp/", "/tsp2/");
                this.mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__SELECT_TSP, EgisFingerprint.MAJOR_VERSION);
            }
        }
        setTspHistory();
        Support.Kernel.write(Support.Kernel.EPEN_DISABLE_MODE, EgisFingerprint.MAJOR_VERSION);
    }

    public void setTspHistory() {
        if (Support.Kernel.write(Support.Kernel.TSP_COMMAND_CMD, "set_factory_level,2")) {
            if (checkStatus(Support.Kernel.TSP_COMMAND_STATUS)) {
                FtUtil.log_e(this.CLASS_NAME, "setTspHistory", "Write Done");
            } else {
                FtUtil.log_e(this.CLASS_NAME, "setTspHistory", "Write Fail");
            }
            Support.Kernel.read(Support.Kernel.TSP_COMMAND_RESULT);
            return;
        }
        FtUtil.log_e(this.CLASS_NAME, "setTspHistory", "Fail - Command Write");
    }

    public boolean checkStatus(String statusPath) {
        String mStatus = Support.Kernel.read(statusPath);
        if (mStatus == null) {
            FtUtil.log_e(this.CLASS_NAME, "checkStatus", "mStatus == null");
        } else if (mStatus.equals("FAIL")) {
            FtUtil.log_e(this.CLASS_NAME, "checkStatus", "mStatus == fail");
        } else if (mStatus.equals("NOT_APPLICABLE")) {
            FtUtil.log_e(this.CLASS_NAME, "checkStatus", "mStatus == not applicable");
        } else if (mStatus.equals(ModuleForceTouch.RUNNING)) {
            String str = this.CLASS_NAME;
            FtUtil.log_w(str, "checkStatus", "mStatus == " + mStatus);
            long timeStart = System.currentTimeMillis();
            while (true) {
                mStatus = Support.Kernel.read(statusPath);
                if (mStatus != null && mStatus.equals("OK")) {
                    String str2 = this.CLASS_NAME;
                    FtUtil.log_i(str2, "checkStatus", "finish => " + System.currentTimeMillis());
                    break;
                } else if (1000 < System.currentTimeMillis() - timeStart) {
                    FtUtil.log_e(this.CLASS_NAME, "checkStatus", "finish => Time Out(1000)");
                    mStatus = "FAIL";
                    break;
                } else {
                    try {
                        Thread.sleep(100);
                    } catch (InterruptedException e) {
                    }
                }
            }
        }
        if (mStatus.equals("OK")) {
            FtUtil.log_i(this.CLASS_NAME, "checkStatus", "mStatus == ok");
            return true;
        }
        String str3 = this.CLASS_NAME;
        FtUtil.log_e(str3, "checkStatus", "mStatus == Unknown : " + mStatus);
        return false;
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        if (!this.mIsRun) {
            this.mHandler.sendEmptyMessageDelayed(0, 300);
            this.mIsRun = true;
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        Support.Kernel.write(Support.Kernel.EPEN_DISABLE_MODE, "0");
        if (this.TEST_ID == 333) {
            this.mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__SELECT_TSP, ModuleCommunicationService.SMD_NOK);
        }
        super.onDestroy();
    }

    private void addItemView(String index, String title, String status, String result) {
        TextView itemTitle = new TextView(this);
        itemTitle.setLayoutParams(new LinearLayout.LayoutParams(-2, -2));
        itemTitle.setPadding(20, 20, 10, 10);
        itemTitle.setTextSize(16.0f);
        itemTitle.setTypeface(null, 1);
        itemTitle.setText(index + ". " + title);
        this.mLinearLayoutItemDepot.addView(itemTitle);
        TextView itemResult = new TextView(this);
        itemResult.setLayoutParams(new LinearLayout.LayoutParams(-2, -2));
        itemResult.setPadding(25, 5, 10, 10);
        itemResult.setTextSize(14.0f);
        if (this.mIsPass[Integer.parseInt(index) - 1]) {
            itemResult.setText("Result : " + status);
        } else {
            itemResult.setText("Result : " + status + " (" + result + ")");
        }
        this.mLinearLayoutItemDepot.addView(itemResult);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void displayResult() {
        if (this.mIsChannelSaparated) {
            addItemView(EgisFingerprint.MAJOR_VERSION, mStringChannelOpen, this.mTSPStatus[0], this.mTSPResult[0]);
            addItemView("2", mStringChannelShort, this.mTSPStatus[1], this.mTSPResult[1]);
            addItemView(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, mStringPatternShort, this.mTSPStatus[2], this.mTSPResult[2]);
            addItemView("4", mStringELVSSCapCheck, this.mTSPStatus[3], this.mTSPResult[3]);
            if (Support.Feature.getBoolean(Support.Feature.SUPPORT_TSP_OPENSHORT_COMMON_CONCEPT)) {
                boolean[] zArr = this.mIsPass;
                if (zArr[0] && zArr[1] && zArr[2] && zArr[3]) {
                    this.mTextViewResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                    this.mTextViewResult.setText("PASS");
                    this.mIsTotalPass = true;
                } else if (!zArr[0] && zArr[1]) {
                    this.mTextViewResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                    this.mTextViewResult.setText(RESULT_OPEN_FAIL);
                } else if (!zArr[1]) {
                    this.mTextViewResult.setTextColor(-65536);
                    this.mTextViewResult.setText(RESULT_SHORT_FAIL);
                } else if (zArr[0] && zArr[1] && !zArr[2]) {
                    this.mTextViewResult.setTextColor(-65536);
                    this.mTextViewResult.setText(RESULT_MICRO_SHORT_FAIL);
                } else if (!zArr[0] || !zArr[1] || !zArr[2] || zArr[3]) {
                    this.mTextViewResult.setTextColor(-65536);
                    this.mTextViewResult.setText(RESULT_UNDEFINED_FAIL);
                } else {
                    this.mTextViewResult.setTextColor(-65536);
                    this.mTextViewResult.setText(RESULT_EVLSS_CAP_FAIL);
                }
            } else {
                boolean[] zArr2 = this.mIsPass;
                if (zArr2[0] && zArr2[1] && zArr2[2] && zArr2[3]) {
                    this.mTextViewResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                    this.mTextViewResult.setText("PASS");
                    this.mIsTotalPass = true;
                } else if (!zArr2[0] && zArr2[1] && !zArr2[2] && !zArr2[3]) {
                    this.mTextViewResult.setTextColor(-65536);
                    this.mTextViewResult.setText(RESULT_OPEN_FAIL);
                } else if (!zArr2[1]) {
                    this.mTextViewResult.setTextColor(-65536);
                    this.mTextViewResult.setText(RESULT_SHORT_FAIL);
                } else if (zArr2[0] && zArr2[1] && !zArr2[2] && zArr2[3]) {
                    this.mTextViewResult.setTextColor(-65536);
                    this.mTextViewResult.setText(RESULT_MICRO_OPEN_FAIL);
                } else if (zArr2[0] && zArr2[1] && zArr2[2] && !zArr2[3]) {
                    this.mTextViewResult.setTextColor(-65536);
                    this.mTextViewResult.setText(RESULT_MICRO_SHORT_FAIL);
                } else if (this.mTSPResultData[0].length < 4) {
                    this.mTextViewResult.setTextColor(-65536);
                    this.mTextViewResult.setText(this.mTSPCmdResult[0]);
                } else {
                    if (ModuleTouchScreen.TSP_VENDOR_NAME__IMAGIS.equalsIgnoreCase(this.mModuleTouchScreen.getTSPVendorName())) {
                        boolean[] zArr3 = this.mIsPass;
                        if (!zArr3[0] && zArr3[1] && !zArr3[2] && zArr3[3]) {
                            this.mTextViewResult.setTextColor(-65536);
                            this.mTextViewResult.setText(RESULT_OPEN_FAIL);
                        }
                    }
                    this.mTextViewResult.setTextColor(-65536);
                    this.mTextViewResult.setText(RESULT_UNDEFINED_FAIL);
                }
            }
            SharedPreferences preferences = null;
            if (this.TEST_ID == 170) {
                preferences = getSharedPreferences("TSP_OPEN_SHORT_TEST_RESULT", 0);
            } else if (this.TEST_ID == 181 || this.TEST_ID == 333) {
                preferences = getSharedPreferences("TSP_OPEN_SHORT_TEST_RESULT2", 0);
            }
            SharedPreferences.Editor editor = preferences.edit();
            editor.putString("STATUS", this.mIsTotalPass ? "OK" : "NG");
            editor.putString("DATA", this.mTSPStatus[0] + "," + this.mTSPStatus[1] + "," + this.mTSPStatus[2] + "," + this.mTSPStatus[3]);
            editor.putString("VERSION", "2");
            editor.commit();
            if (this.mIsAtCmd) {
                FtUtil.log_d(this.CLASS_NAME, "displayResult", "send result to 307");
                Intent resultIntent = new Intent();
                resultIntent.setAction("com.android.samsungtest.ACTION_TSP_OPEN_SHORT_RESULT");
                resultIntent.putExtra("STATUS", this.mIsTotalPass ? "OK" : "NG");
                resultIntent.putExtra("DATA", this.mTSPStatus[0] + "," + this.mTSPStatus[1] + "," + this.mTSPStatus[2] + "," + this.mTSPStatus[3]);
                resultIntent.putExtra("VERSION", "2");
                sendBroadcast(resultIntent);
                return;
            }
            return;
        }
        addItemView(EgisFingerprint.MAJOR_VERSION, mStringChannelOpenShort, this.mTSPStatus[0], this.mTSPResult[0]);
        addItemView("2", mStringPatternOpen, this.mTSPStatus[1], this.mTSPResult[1]);
        addItemView(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, mStringPatternShort, this.mTSPStatus[2], this.mTSPResult[2]);
        boolean[] zArr4 = this.mIsPass;
        if (!zArr4[0] || !zArr4[1] || !zArr4[2]) {
            this.mTextViewResult.setTextColor(-65536);
            this.mTextViewResult.setText("FAIL");
        } else {
            this.mTextViewResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            this.mTextViewResult.setText("PASS");
            this.mIsTotalPass = true;
        }
        SharedPreferences preferences2 = null;
        if (this.TEST_ID == 170) {
            preferences2 = getSharedPreferences("TSP_OPEN_SHORT_TEST_RESULT", 0);
        } else if (this.TEST_ID == 181 || this.TEST_ID == 333) {
            preferences2 = getSharedPreferences("TSP_OPEN_SHORT_TEST_RESULT2", 0);
        }
        SharedPreferences.Editor editor2 = preferences2.edit();
        editor2.putString("STATUS", this.mIsTotalPass ? "OK" : "NG");
        editor2.putString("DATA", this.mTSPStatus[0] + "," + this.mTSPStatus[1] + "," + this.mTSPStatus[2]);
        editor2.putString("VERSION", EgisFingerprint.MAJOR_VERSION);
        editor2.commit();
        if (this.mIsAtCmd) {
            FtUtil.log_d(this.CLASS_NAME, "displayResult", "send result to 307");
            Intent resultIntent2 = new Intent();
            resultIntent2.setAction("com.android.samsungtest.ACTION_TSP_OPEN_SHORT_RESULT");
            resultIntent2.putExtra("STATUS", this.mIsTotalPass ? "OK" : "NG");
            resultIntent2.putExtra("DATA", this.mTSPStatus[0] + "," + this.mTSPStatus[1] + "," + this.mTSPStatus[2]);
            resultIntent2.putExtra("VERSION", EgisFingerprint.MAJOR_VERSION);
            sendBroadcast(resultIntent2);
        }
    }
}
