package com.sec.factory.app.ui;

import android.content.SharedPreferences;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.widget.LinearLayout;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.modules.ModulePower;
import com.sec.factory.modules.ModuleTouchScreen;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class UITSPShortTest extends UIBase {
    private static final int MSG_DISPLAY_RESULT = 2;
    private static final int MSG_RUN_TSP_CMD = 1;
    private static final int MSG_START_TEST = 0;
    private static final int MSG_TEST_PASS = 3;
    private static ModulePower mModulePower = null;
    private static final String mStringGapOnlyCornerX = "CM_Offset Gap Only Corner(X)";
    private static final String mStringGapOnlyCornerY = "CM_Offset Gap Only Corner(Y)";
    private static final String mStringGapSplitCornerX = "CM_Offset Gap Split Corner(X)";
    private static final String mStringGapSplitCornerY = "CM_Offset Gap Split Corner(Y)";
    private Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UITSPShortTest.AnonymousClass1 */

        public void handleMessage(Message msg) {
            switch (msg.what) {
                case 0:
                    FtUtil.log_d(UITSPShortTest.this.CLASS_NAME, "mHandler", "MSG_START_TEST");
                    UITSPShortTest.mModulePower.setLCDState(false);
                    UITSPShortTest.this.mHandler.sendEmptyMessageDelayed(1, 1000);
                    return;
                case 1:
                    Support.Kernel.writeToPath("/sys/class/sec/tsp/input/enabled", EgisFingerprint.MAJOR_VERSION);
                    UITSPShortTest.this.mModuleTouchScreen.getTSPResult(ModuleTouchScreen.TSP_ID__CM_OFFSET_DATA_GAP_LOW_FREQ, UITSPShortTest.this.mTSPNotiHandler);
                    return;
                case 2:
                    UITSPShortTest.mModulePower.setLCDState(true);
                    if (UITSPShortTest.this.mIsPass && UITSPShortTest.this.TEST_ID == 168) {
                        UITSPShortTest.this.mHandler.sendEmptyMessageDelayed(3, 1000);
                        return;
                    }
                    return;
                case 3:
                    UITSPShortTest.this.setTestResult((byte) 80);
                    UITSPShortTest.this.setResult(-1);
                    UITSPShortTest.this.finish();
                    return;
                default:
                    return;
            }
        }
    };
    private boolean mIsPass = false;
    private boolean mIsRun = false;
    private LinearLayout mLinearLayoutItemDepot;
    private ModuleTouchScreen mModuleTouchScreen = null;
    private Handler mTSPNotiHandler = new Handler() {
        /* class com.sec.factory.app.ui.UITSPShortTest.AnonymousClass2 */

        public void handleMessage(Message msg) {
            String str = UITSPShortTest.this.CLASS_NAME;
            FtUtil.log_d(str, "mTSPNotiHandler.handleMessage", "msg.what : " + ModuleTouchScreen.convertorTSPWhat(msg.what));
            String str2 = UITSPShortTest.this.CLASS_NAME;
            FtUtil.log_d(str2, "mTSPNotiHandler.handleMessage", "msg.arg1 : " + ModuleTouchScreen.convertorTSPID(msg.arg1));
            String str3 = UITSPShortTest.this.CLASS_NAME;
            FtUtil.log_d(str3, "mTSPNotiHandler.handleMessage", "msg.arg2 : " + ModuleTouchScreen.convertorTSPID(msg.arg2));
            String str4 = UITSPShortTest.this.CLASS_NAME;
            StringBuilder sb = new StringBuilder();
            sb.append("msg.obj : ");
            sb.append(msg.obj != null ? msg.obj.toString() : "null");
            FtUtil.log_d(str4, "mTSPNotiHandler.handleMessage", sb.toString());
            UITSPShortTest.this.displayResult(msg.what, msg.obj.toString());
        }
    };
    private TextView mTextViewResult;

    public UITSPShortTest() {
        super("UITSPShortTest");
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        this.TEST_ID = getIntent().getIntExtra("testid", -1);
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "onCreate", "TEST_ID: " + this.TEST_ID);
        setContentView(R.layout.ui_tsp_short_test);
        if (mModulePower == null) {
            mModulePower = ModulePower.instance(this);
        }
        if (this.mModuleTouchScreen == null) {
            this.mModuleTouchScreen = ModuleTouchScreen.instance(this);
        }
        this.mLinearLayoutItemDepot = (LinearLayout) findViewById(R.id.item_depot);
        this.mTextViewResult = (TextView) findViewById(R.id.result);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        if (!this.mIsRun) {
            this.mHandler.sendEmptyMessageDelayed(0, 300);
            this.mIsRun = true;
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
    }

    private void addItemView(String title, String gapData, String gapSpec) {
        TextView itemTitle = new TextView(this);
        itemTitle.setLayoutParams(new LinearLayout.LayoutParams(-2, -2));
        itemTitle.setPadding(20, 20, 10, 10);
        itemTitle.setTextSize(16.0f);
        itemTitle.setTypeface(null, 1);
        itemTitle.setText(title);
        this.mLinearLayoutItemDepot.addView(itemTitle);
        TextView itemResult = new TextView(this);
        itemResult.setLayoutParams(new LinearLayout.LayoutParams(-2, -2));
        itemResult.setPadding(25, 5, 10, 10);
        itemResult.setTextSize(14.0f);
        itemResult.setText("Gap : " + gapData + "  (Spec : " + gapSpec + ")");
        this.mLinearLayoutItemDepot.addView(itemResult);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void displayResult(int msgWhat, String rawData) {
        boolean isPass = true;
        if (msgWhat != ModuleTouchScreen.TSP_WHAT_STATUS_OK) {
            isPass = false;
        } else if (Support.TestCase.getEnabled(Support.TestCase.IS_TSP_SEC_SPLIT_CORNER)) {
            String[] arrData = rawData.split(",");
            int CmOffsetGapSplitCornerDataX = Integer.parseInt(arrData[0]);
            int CmOffsetGapSplitCornerDataY = Integer.parseInt(arrData[1]);
            Integer.parseInt(arrData[2]);
            Integer.parseInt(arrData[3]);
            int CmOffsetGapSplitCornerSpecXY = Support.Spec.getInt(Support.Spec.TSP_SELFTEST_CM_OFFSET_GAP_SPLIT_CORNER_XY_SEC_LOW_FREQ);
            Support.Spec.getInt(Support.Spec.TSP_SELFTEST_CM_OFFSET_GAP_ONLY_CORNER_XY_SEC_LOW_FREQ);
            String str = arrData[0];
            addItemView(mStringGapSplitCornerX, str, CmOffsetGapSplitCornerSpecXY + "");
            String str2 = arrData[1];
            addItemView(mStringGapSplitCornerY, str2, CmOffsetGapSplitCornerSpecXY + "");
            if (CmOffsetGapSplitCornerDataX > CmOffsetGapSplitCornerSpecXY || CmOffsetGapSplitCornerDataY > CmOffsetGapSplitCornerSpecXY) {
                isPass = false;
                String str3 = this.CLASS_NAME;
                FtUtil.log_e(str3, "displayResult", "FAIL => spec out! CmOffsetGapSplitCornerDataX: " + CmOffsetGapSplitCornerDataX + ", CmOffsetGapSplitCornerDataY: " + CmOffsetGapSplitCornerDataY);
            }
            SharedPreferences.Editor editor = getSharedPreferences("TSP_SHORT_TEST_RESULT", 0).edit();
            editor.putString("STATUS", isPass ? "OK" : "NG");
            editor.putString("DATA", arrData[0] + "," + arrData[1]);
            editor.commit();
        }
        if (isPass) {
            this.mTextViewResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            this.mTextViewResult.setText("PASS");
            this.mIsPass = true;
        } else {
            this.mTextViewResult.setTextColor(-65536);
            this.mTextViewResult.setText("FAIL");
        }
        this.mHandler.sendEmptyMessageDelayed(2, 1000);
    }
}
