package com.sec.factory.app.ui;

import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.modules.ModuleTouchScreen;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import java.util.Calendar;

public class UITouchTestGhost extends UIBase {
    private final String CLASS_NAME = "UITouchTestGhost";
    protected int KEY_TIMEOUT;
    protected int KEY_TIMER_EXPIRED;
    protected int MILLIS_IN_SEC;
    private boolean isTouchkeyGhost = false;
    private long mCurrentTime = 0;
    private Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UITouchTestGhost.AnonymousClass1 */

        public void handleMessage(Message msg) {
            UITouchTestGhost.this.setResult(0);
            UITouchTestGhost.this.finish();
        }
    };
    private boolean mIsPressedBackkey = false;
    private long mStartTime = 0;
    protected Handler mTimerHandler = new Handler() {
        /* class com.sec.factory.app.ui.UITouchTestGhost.AnonymousClass2 */

        public void handleMessage(Message msg) {
            if (msg.what == UITouchTestGhost.this.KEY_TIMER_EXPIRED) {
                UITouchTestGhost.this.mIsPressedBackkey = false;
                FtUtil.log_i("UITouchTestGhost", "mTimerHandler.handleMessage", null);
            }
        }
    };
    TextView txt_result;

    public UITouchTestGhost() {
        super("UITouchTestGhost");
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        FtUtil.log_d("UITouchTestGhost", "onCreate", null);
        try {
            this.isTouchkeyGhost = getIntent().getExtras().getBoolean("isTouchkeyGhost");
        } catch (Exception e) {
            FtUtil.log_i("UITouchTestGhost", "onCreate", "Ghost TSP");
        }
        requestWindowFeature(1);
        setContentView(R.layout.ui_touch_test_ghost);
        TextView textView = (TextView) findViewById(R.id.result);
        this.txt_result = textView;
        if (this.isTouchkeyGhost) {
            textView.setText("Touch Key Ghost");
        }
        this.mStartTime = System.currentTimeMillis();
        this.MILLIS_IN_SEC = 1000;
        this.KEY_TIMEOUT = 2;
        FtUtil.setRemoveSystemUI(getWindow(), true);
        FtUtil.setSystemKeyBlock(getComponentName(), 3);
        FtUtil.setSystemKeyBlock(getComponentName(), 26);
        FtUtil.setSystemKeyBlock(getComponentName(), 187);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
    }

    @Override // com.sec.factory.app.ui.UIBase
    public boolean onKeyDown(int keyCode, KeyEvent event) {
        if (keyCode == 4) {
            FtUtil.log_i("UITouchTestGhost", "onKeyDown", "This is back key");
            if (!this.mIsPressedBackkey) {
                this.mCurrentTime = Calendar.getInstance().getTimeInMillis();
                this.mIsPressedBackkey = true;
                startTimer();
            } else {
                this.mIsPressedBackkey = false;
                Calendar rightNow = Calendar.getInstance();
                FtUtil.log_i("UITouchTestGhost", "onKeyDown", "KEYCODE_BACK => rightNow.getTimeInMillis() = " + rightNow.getTimeInMillis() + "mCurrentTime = " + this.mCurrentTime);
                if (rightNow.getTimeInMillis() <= this.mCurrentTime + ((long) (this.KEY_TIMEOUT * this.MILLIS_IN_SEC))) {
                    FtUtil.log_i("UITouchTestGhost", "onKeyDown", "Back Key finish");
                    Handler handler = this.mHandler;
                    handler.sendMessageDelayed(handler.obtainMessage(), 500);
                }
            }
        } else if (keyCode == 24) {
            Handler handler2 = this.mHandler;
            handler2.sendMessageDelayed(handler2.obtainMessage(), 500);
        } else if (keyCode == 25 && ModuleTouchScreen.TSP_DEVICE_TYPE__TABLET.equalsIgnoreCase(Support.Feature.getString(Support.Feature.DEVICE_TYPE))) {
            FtUtil.log_i("UITouchTestGhost", "onKeyDown", "This is volume down_key");
            Handler handler3 = this.mHandler;
            handler3.sendMessageDelayed(handler3.obtainMessage(), 500);
        }
        return true;
    }

    @Override // com.sec.factory.app.ui.UIBase
    public boolean onKeyUp(int keyCode, KeyEvent event) {
        if (keyCode != 26 || !Support.Feature.getBoolean(Support.Feature.SUPPORT_ONLY_POWER_KEY)) {
            return super.onKeyUp(keyCode, event);
        }
        FtUtil.log_i("UITouchTestGhost", "onKeyDown", "This is POWER KEY");
        Handler handler = this.mHandler;
        handler.sendMessageDelayed(handler.obtainMessage(), 500);
        return true;
    }

    public boolean onTouchEvent(MotionEvent event) {
        if (System.currentTimeMillis() - this.mStartTime >= 500) {
            return super.onTouchEvent(event);
        }
        FtUtil.log_i("UITouchTestGhost", "onTouchEvent", "block TouchEvent for 500ms");
        return true;
    }

    /* access modifiers changed from: protected */
    public void startTimer() {
        this.mTimerHandler.sendEmptyMessageDelayed(this.KEY_TIMER_EXPIRED, (long) (this.KEY_TIMEOUT * this.MILLIS_IN_SEC));
    }
}
