package com.sec.factory.app.ui;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.widget.LinearLayout;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.ModuleForceTouch;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;

public class UITspColorDiffTest extends UIBase {
    private static final int MSG_DISPLAY_RESULT;
    private static final int MSG_RUN_TSP_CMD;
    private static final int MSG_START_TEST = 0;
    private static final int MSG_TEST_FAIL;
    private static final int MSG_TEST_PASS;
    private static int TEST_MSG = 0;
    private static final String TSP_COLOR_DIFF_TEST_FINISH = "com.sec.factory.app.factorytest.finishTSPColorDiffTest";
    private final long TSP_STATUS_RUNNING_TIME_OUT = 5000;
    private final String TSP_STATUS__COMMON__FAIL = "FAIL";
    private final String TSP_STATUS__COMMON__NOT_APPLICABLE = "NOT_APPLICABLE";
    private final String TSP_STATUS__COMMON__OK = "OK";
    private final String TSP_STATUS__COMMON__RUNNING = ModuleForceTouch.RUNNING;
    private String command = "run_color_diff_test";
    private LinearLayout mBgLayout;
    private BroadcastReceiver mBroadcastReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.app.ui.UITspColorDiffTest.AnonymousClass2 */

        public void onReceive(Context context, Intent intent) {
            String action = intent.getAction();
            String str = UITspColorDiffTest.this.CLASS_NAME;
            FtUtil.log_d(str, "mBroadcastReceiver.onReceive", "action=" + action);
            if (UITspColorDiffTest.TSP_COLOR_DIFF_TEST_FINISH.equals(action)) {
                UITspColorDiffTest.this.finish();
            }
        }
    };
    private final Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UITspColorDiffTest.AnonymousClass1 */

        public void handleMessage(Message msg) {
            if (msg.what == UITspColorDiffTest.MSG_START_TEST) {
                FtUtil.log_d(UITspColorDiffTest.this.CLASS_NAME, "mHandler", "MSG_START_TEST");
                UITspColorDiffTest.this.displayBlack();
            } else if (msg.what == UITspColorDiffTest.MSG_RUN_TSP_CMD) {
                FtUtil.log_d(UITspColorDiffTest.this.CLASS_NAME, "mHandler", "MSG_RUN_TSP_CMD");
                UITspColorDiffTest.this.startColorDiffTest();
            } else if (msg.what == UITspColorDiffTest.MSG_DISPLAY_RESULT) {
                FtUtil.log_d(UITspColorDiffTest.this.CLASS_NAME, "mHandler", "MSG_DISPLAY_RESULT");
                UITspColorDiffTest.this.displayResult();
            } else if (msg.what == UITspColorDiffTest.MSG_TEST_PASS) {
                FtUtil.log_d(UITspColorDiffTest.this.CLASS_NAME, "mHandler", "MSG_TEST_PASS");
                UITspColorDiffTest.this.setTestResult((byte) 80);
                UITspColorDiffTest.this.setResult(-1);
                UITspColorDiffTest.this.finish();
            } else if (msg.what == UITspColorDiffTest.MSG_TEST_FAIL) {
                FtUtil.log_d(UITspColorDiffTest.this.CLASS_NAME, "mHandler", "MSG_TEST_FAIL");
                UITspColorDiffTest uITspColorDiffTest = UITspColorDiffTest.this;
                uITspColorDiffTest.setTestResultFailCase(uITspColorDiffTest.TEST_ID);
            }
        }
    };
    private TextView mTxtData;
    private TextView mTxtResult;
    private TextView mTxtTitle;
    private TextView mTxtWarning;
    private String[] result;

    public UITspColorDiffTest() {
        super("UITspColorDiffTest", FactoryTestManager.TEST_TSP_COLOR_DIFF_TEST);
    }

    static {
        TEST_MSG = 0;
        int i = 0 + 1;
        TEST_MSG = i;
        int i2 = i + 1;
        TEST_MSG = i2;
        MSG_RUN_TSP_CMD = i;
        int i3 = i2 + 1;
        TEST_MSG = i3;
        MSG_DISPLAY_RESULT = i2;
        int i4 = i3 + 1;
        TEST_MSG = i4;
        MSG_TEST_PASS = i3;
        TEST_MSG = i4 + 1;
        MSG_TEST_FAIL = i4;
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        FtUtil.log_d(this.CLASS_NAME, "onCreate", "onCreate");
        this.TEST_ID = getIntent().getIntExtra("mTestId", FactoryTestManager.TEST_TSP_COLOR_DIFF_TEST);
        setAtCmd(getIntent().getBooleanExtra("mIsAtCmd", false));
        IntentFilter mIntentFilter = new IntentFilter();
        mIntentFilter.addAction(TSP_COLOR_DIFF_TEST_FINISH);
        registerReceiver(this.mBroadcastReceiver, mIntentFilter);
        hideNavigationBar(true);
        setContentView(R.layout.ui_tsp_color_diff_test);
        initializeUI();
    }

    private void initializeUI() {
        this.mTxtTitle = (TextView) findViewById(R.id.tsp_color_diff_test_title);
        this.mTxtWarning = (TextView) findViewById(R.id.warning_text);
        this.mTxtResult = (TextView) findViewById(R.id.result);
        this.mTxtData = (TextView) findViewById(R.id.data_text);
        this.mBgLayout = (LinearLayout) findViewById(R.id.background);
        this.mTxtTitle.setText("TSP Color Diff Test");
        this.mTxtWarning.setText("Don't Touch Screen!");
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        this.mHandler.sendEmptyMessageDelayed(MSG_START_TEST, 1000);
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        unregisterReceiver(this.mBroadcastReceiver);
        this.mHandler.removeCallbacksAndMessages(null);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void displayResult() {
        this.mBgLayout.setBackgroundColor(-1);
        this.mTxtTitle.setVisibility(0);
        this.mTxtResult.setVisibility(0);
        this.mTxtData.setVisibility(0);
        String[] strArr = this.result;
        if (strArr.length != 3 || !strArr[0].equals("OK")) {
            String str = this.CLASS_NAME;
            FtUtil.log_e(str, "checkStatus", "result : " + this.result[0]);
            this.mTxtResult.setTextColor(-65536);
            this.mTxtResult.setText("FAIL");
            hideNavigationBar(false);
            this.mHandler.sendEmptyMessageDelayed(MSG_TEST_FAIL, 1000);
            return;
        }
        FtUtil.log_i(this.CLASS_NAME, "checkStatus", "result == ok");
        this.mTxtResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
        this.mTxtResult.setText("PASS");
        TextView textView = this.mTxtData;
        textView.setText("Test Data : " + this.result[1] + "\nTest Data : " + this.result[2]);
        this.mHandler.sendEmptyMessageDelayed(MSG_TEST_PASS, 1000);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void displayBlack() {
        this.mBgLayout.setBackgroundColor(-16777216);
        this.mTxtTitle.setVisibility(4);
        this.mTxtWarning.setVisibility(4);
        this.mHandler.sendEmptyMessage(MSG_RUN_TSP_CMD);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void startColorDiffTest() {
        FtUtil.log_d(this.CLASS_NAME, "startColorDiffTest", "");
        if (!Support.Kernel.write(Support.Kernel.TSP_COMMAND_CMD, this.command)) {
            this.mTxtResult.setVisibility(0);
            this.mTxtResult.setText("Reading TSP Data FAIL - WRITE");
            this.mHandler.sendEmptyMessageDelayed(MSG_TEST_FAIL, 1000);
        } else if (!checkStatus(Support.Kernel.TSP_COMMAND_STATUS)) {
            Support.Kernel.read(Support.Kernel.TSP_COMMAND_RESULT);
            this.mTxtResult.setVisibility(0);
            this.mTxtResult.setText("Reading TSP Data FAIL - STATUS");
            this.mHandler.sendEmptyMessageDelayed(MSG_TEST_FAIL, 1000);
        } else if (checkValidData(Support.Kernel.read(Support.Kernel.TSP_COMMAND_RESULT))) {
            String str = this.CLASS_NAME;
            FtUtil.log_e(str, "startColorDiffTest", "result : " + this.result[0]);
            this.mHandler.sendEmptyMessage(MSG_DISPLAY_RESULT);
        } else {
            this.mTxtResult.setVisibility(0);
            this.mTxtResult.setText("Reading TSP Data FAIL - READ");
            this.mHandler.sendEmptyMessageDelayed(MSG_TEST_FAIL, 1000);
        }
    }

    public boolean checkStatus(String statusPath) {
        String mStatus = Support.Kernel.read(statusPath);
        if (mStatus == null) {
            FtUtil.log_e(this.CLASS_NAME, "checkStatus", "mStatus == null");
        } else if (mStatus.equals("FAIL")) {
            FtUtil.log_e(this.CLASS_NAME, "checkStatus", "mStatus == fail");
        } else if (mStatus.equals("NOT_APPLICABLE")) {
            FtUtil.log_e(this.CLASS_NAME, "checkStatus", "mStatus == not applicable");
        } else if (mStatus.equals(ModuleForceTouch.RUNNING)) {
            String str = this.CLASS_NAME;
            FtUtil.log_w(str, "checkStatus", "mStatus == " + mStatus);
            long timeStart = System.currentTimeMillis();
            while (true) {
                mStatus = Support.Kernel.read(statusPath);
                if (mStatus != null && mStatus.equals("OK")) {
                    String str2 = this.CLASS_NAME;
                    FtUtil.log_i(str2, "checkStatus", "finish => " + System.currentTimeMillis());
                    break;
                } else if (5000 < System.currentTimeMillis() - timeStart) {
                    FtUtil.log_e(this.CLASS_NAME, "checkStatus", "finish => Time Out(5000)");
                    mStatus = "FAIL";
                    break;
                } else {
                    try {
                        Thread.sleep(100);
                    } catch (InterruptedException e) {
                    }
                }
            }
        }
        if (mStatus.equals("OK")) {
            FtUtil.log_i(this.CLASS_NAME, "checkStatus", "mStatus == ok");
            return true;
        }
        String str3 = this.CLASS_NAME;
        FtUtil.log_e(str3, "checkStatus", "mStatus == Unknown : " + mStatus);
        return false;
    }

    public boolean checkValidData(String data) {
        FtUtil.log_d(this.CLASS_NAME, "checkValidData", "");
        if (data == null) {
            FtUtil.log_d(this.CLASS_NAME, "checkValidData", "Fail - Data is null");
            return false;
        }
        String[] items = data.split(":");
        if (items.length != 2) {
            FtUtil.log_e(this.CLASS_NAME, "checkValidData", "Fail - Data count null");
            return false;
        }
        String[] split = items[1].split(",");
        this.result = split;
        if (split.length == 3) {
            return true;
        }
        FtUtil.log_e(this.CLASS_NAME, "checkValidData", "Fail - Data count null");
        return false;
    }

    private void hideNavigationBar(boolean hide) {
        FtUtil.log_d(this.CLASS_NAME, "hideNavigationBar", "");
        int systemUiVisibility = getWindow().getDecorView().getSystemUiVisibility();
        boolean isHideNavigationBar = ((systemUiVisibility | 2) | 2048) == systemUiVisibility;
        if ((hide && !isHideNavigationBar) || (!hide && isHideNavigationBar)) {
            getWindow().getDecorView().setSystemUiVisibility((systemUiVisibility ^ 2) ^ 2048);
        }
    }
}
