package com.sec.factory.app.ui;

import android.app.AlertDialog;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.IntentFilter;
import android.content.SharedPreferences;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.DashPathEffect;
import android.graphics.Paint;
import android.graphics.PathEffect;
import android.graphics.Point;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffXfermode;
import android.graphics.Rect;
import android.os.Bundle;
import android.util.DisplayMetrics;
import android.util.TypedValue;
import android.view.Display;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.View;
import android.view.WindowManager;
import com.samsung.android.sdk.dualscreen.SDualScreenActivity;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.ModuleCommunicationService;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.modules.ModuleTouchScreen;
import com.sec.factory.modules.TouchScreenPanel;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.File;
import java.io.IOException;
import java.lang.reflect.Array;
import java.text.DecimalFormat;
import java.util.Calendar;

public class UITspPatternStyleX extends UIBase {
    private static final String FACTORY_TSPTEST_END = "android.intent.action.FACTORY_TSPTEST_END";
    private static final String TAG = "TouchTest";
    public static boolean mIsFinishingChildActivity = false;
    public static boolean mIsFinishingParentActivity = false;
    public static boolean mTestEnd = false;
    private int DEADZONE_HEIGHT = 0;
    private int DEADZONE_WIDTH = 0;
    private int HEIGHT_BASIS = 19;
    private int HEIGHT_BASIS_CROSS = 19;
    protected int KEY_TIMEOUT;
    protected int KEY_TIMER_EXPIRED;
    private int MARGIN_BOTTOM = 0;
    private int MARGIN_LEFT = 0;
    private int MARGIN_RIGHT = 0;
    private int MARGIN_TOP = 0;
    private String MEASURE = "px";
    protected int MILLIS_IN_SEC;
    private final int REQUEST_GHOST_TEST = 0;
    private int WIDTH_BASIS = 11;
    private int WIDTH_BASIS_CROSS = 11;
    private boolean checking_ghostTSK = false;
    private boolean[][] click;
    private boolean dialog_showing = false;
    private boolean[][] draw;
    private boolean[] drawCross;
    SharedPreferences.Editor editor;
    private SharedPreferences.Editor editorGhostCheck;
    private boolean isCheckCrossDouble = false;
    private boolean[][] isDrawArea;
    private boolean isExistMargin = false;
    private boolean isFirstTouch = true;
    private boolean isHovering = false;
    private boolean isIncreaseWidth = false;
    private boolean isNotGhostCheck = false;
    private boolean isTestFinished = false;
    private boolean isTouchAction_pass_hovering = true;
    private boolean isTouchDown;
    private boolean isWetMode = false;
    private int mBottommostOfMatrix;
    private int mCenterOfHorizontalOfMatrix;
    private int mCenterOfVerticalOfMatrix;
    private long mCurrentTime = 0;
    private boolean mHalfCross = false;
    private boolean mIsPressedBackkey = false;
    private int mLeftmostOfMatrix;
    private ModuleDevice mModuleDevice;
    private int mRightmostOfMatrix;
    private int mTestID = 0;
    private int mTopmostOfMatrix;
    private boolean needFailPopupDispaly = false;
    private SharedPreferences prefGhostCheck;
    SharedPreferences prefLastTouchPoint;
    private boolean remoteCall = false;
    private boolean shouldShowPopup_hoverFail = true;
    private boolean successTest = true;
    private boolean supportTSK_Back = false;
    private boolean supportTSK_Recent = false;
    private BroadcastReceiver testEndReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.app.ui.UITspPatternStyleX.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            if (intent.getAction().equals(UITspPatternStyleX.FACTORY_TSPTEST_END)) {
                UITspPatternStyleX.this.finish();
            }
        }
    };

    public UITspPatternStyleX() {
        super("UITspPatternStyleX");
    }

    private boolean getNodeNum() {
        String testcase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML(this.TEST_ID));
        if (!testcase.contains("NODE")) {
            return false;
        }
        String testcase2 = testcase.substring(testcase.indexOf("NODE(") + "NODE(".length());
        String[] nodeStr = testcase2.substring(0, testcase2.indexOf(")")).trim().split(",");
        this.WIDTH_BASIS = Integer.parseInt(nodeStr[0]);
        this.HEIGHT_BASIS = Integer.parseInt(nodeStr[1]);
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "getNodeNum", "node(X,Y) -> " + this.WIDTH_BASIS + "," + this.HEIGHT_BASIS);
        return true;
    }

    private boolean getMargin() {
        String testcase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML(this.TEST_ID));
        if (!testcase.contains("MARGIN")) {
            return false;
        }
        String testcase2 = testcase.substring(testcase.indexOf("MARGIN(") + "MARGIN(".length());
        String[] marginStr = testcase2.substring(0, testcase2.indexOf(")")).trim().split(",");
        this.MEASURE = marginStr[0];
        this.MARGIN_LEFT = Integer.parseInt(marginStr[1]);
        this.MARGIN_RIGHT = Integer.parseInt(marginStr[2]);
        this.MARGIN_TOP = Integer.parseInt(marginStr[3]);
        this.MARGIN_BOTTOM = Integer.parseInt(marginStr[4]);
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "getMargin", "margin(LEFT,RIGHT,TOP,BOTTOM) -> " + this.MARGIN_LEFT + "," + this.MARGIN_RIGHT + "," + this.MARGIN_TOP + "," + this.MARGIN_BOTTOM);
        if ("mm".equalsIgnoreCase(this.MEASURE)) {
            this.MARGIN_LEFT = (int) TypedValue.applyDimension(5, (float) this.MARGIN_LEFT, getResources().getDisplayMetrics());
            this.MARGIN_RIGHT = (int) TypedValue.applyDimension(5, (float) this.MARGIN_RIGHT, getResources().getDisplayMetrics());
            this.MARGIN_TOP = (int) TypedValue.applyDimension(5, (float) this.MARGIN_TOP, getResources().getDisplayMetrics());
            this.MARGIN_BOTTOM = (int) TypedValue.applyDimension(5, (float) this.MARGIN_BOTTOM, getResources().getDisplayMetrics());
        }
        return true;
    }

    private void setTSP() {
        this.isExistMargin = getMargin();
        if (!getNodeNum()) {
            this.WIDTH_BASIS = Support.Spec.getInt(Support.Spec.TSP_NODE_COUNT_WIDTH);
            this.HEIGHT_BASIS = Support.Spec.getInt(Support.Spec.TSP_NODE_COUNT_HEIGHT);
        }
        if (this.WIDTH_BASIS < 0) {
            FtUtil.log_d(this.CLASS_NAME, "setTSP", "Read> ModuleTouchScreen");
            ModuleTouchScreen.instance(this).getTSPResult(ModuleTouchScreen.TSP_ID__POWER_ON);
            this.WIDTH_BASIS = Integer.valueOf(ModuleTouchScreen.instance(this).getTSPChannelCountX()).intValue();
        }
        if (this.HEIGHT_BASIS < 0) {
            FtUtil.log_d(this.CLASS_NAME, "setTSP", "Read> ModuleTouchScreen");
            ModuleTouchScreen.instance(this).getTSPResult(ModuleTouchScreen.TSP_ID__POWER_ON);
            this.HEIGHT_BASIS = Integer.valueOf(ModuleTouchScreen.instance(this).getTSPChannelCountY()).intValue();
        }
        if (!this.isHovering) {
            this.DEADZONE_WIDTH = Support.Spec.getInt(Support.Spec.TSP_DEADZONE_WIDTH);
            this.DEADZONE_HEIGHT = Support.Spec.getInt(Support.Spec.TSP_DEADZONE_HEIGHT);
        }
        if (this.isHovering) {
            this.HEIGHT_BASIS_CROSS = (int) ((((float) this.HEIGHT_BASIS) * 2.0f) / 2.5f);
        } else {
            this.HEIGHT_BASIS_CROSS = (this.HEIGHT_BASIS - 2) * 2;
        }
        this.WIDTH_BASIS_CROSS = this.HEIGHT_BASIS_CROSS;
        int i = this.HEIGHT_BASIS;
        int[] iArr = new int[2];
        iArr[1] = this.WIDTH_BASIS;
        iArr[0] = i;
        this.click = (boolean[][]) Array.newInstance(boolean.class, iArr);
        int i2 = this.HEIGHT_BASIS;
        int[] iArr2 = new int[2];
        iArr2[1] = this.WIDTH_BASIS;
        iArr2[0] = i2;
        this.draw = (boolean[][]) Array.newInstance(boolean.class, iArr2);
        int i3 = this.HEIGHT_BASIS;
        int[] iArr3 = new int[2];
        iArr3[1] = this.WIDTH_BASIS;
        iArr3[0] = i3;
        this.isDrawArea = (boolean[][]) Array.newInstance(boolean.class, iArr3);
        if (this.isHovering) {
            this.drawCross = new boolean[this.HEIGHT_BASIS_CROSS];
        } else {
            this.drawCross = new boolean[(this.HEIGHT_BASIS_CROSS * 2)];
        }
        this.mTopmostOfMatrix = 0;
        int i4 = this.HEIGHT_BASIS;
        this.mBottommostOfMatrix = i4 - 1;
        this.mCenterOfVerticalOfMatrix = i4 / 2;
        this.mLeftmostOfMatrix = 0;
        int i5 = this.WIDTH_BASIS;
        this.mRightmostOfMatrix = i5 - 1;
        this.mCenterOfHorizontalOfMatrix = i5 / 2;
        this.KEY_TIMER_EXPIRED = 1;
        this.MILLIS_IN_SEC = 1000;
        this.KEY_TIMEOUT = 2;
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        SharedPreferences sharedPreferences = getSharedPreferences("TSP_TSK_GHOST_RESULT", 0);
        this.prefGhostCheck = sharedPreferences;
        this.editorGhostCheck = sharedPreferences.edit();
        this.mModuleDevice = ModuleDevice.instance(this);
        FtUtil.setRemoveSystemUI(getWindow(), true);
        this.isHovering = getIntent().getExtras().getBoolean("isHovering");
        this.isCheckCrossDouble = getIntent().getExtras().getBoolean("isCheckCrossDouble");
        this.isIncreaseWidth = getIntent().getExtras().getBoolean("isIncreaseWidth");
        this.mTestID = getIntent().getExtras().getInt("testID");
        this.supportTSK_Recent = Support.Kernel.isExistFileID(Support.Kernel.TOUCH_KEY_SENSITIVITY_RECENT);
        this.supportTSK_Back = Support.Kernel.isExistFileID(Support.Kernel.TOUCH_KEY_SENSITIVITY_BACK);
        if (Support.Feature.getBoolean(Support.Feature.SUPPORT_CHECKING_GHOST_TSK)) {
            this.checking_ghostTSK = true;
        }
        setTestId(this.mTestID);
        this.mHalfCross = getIntent().getExtras().getBoolean("halfCross", false);
        try {
            String str = this.CLASS_NAME;
            FtUtil.log_i(str, "onCreate", "TEST_TSP_SELF = " + getIntent().getBooleanExtra("TEST_TSP_SELF", false));
            if (!getIntent().getBooleanExtra("TEST_TSP_SELF", true)) {
                this.successTest = false;
                this.needFailPopupDispaly = true;
            }
        } catch (Exception e) {
            FtUtil.log_i(this.CLASS_NAME, "onCreate", "Exception");
        }
        SharedPreferences sharedPreferences2 = getSharedPreferences("LAST_TOUCHED_POINT", 0);
        this.prefLastTouchPoint = sharedPreferences2;
        this.editor = sharedPreferences2.edit();
        setTSP();
        decideRemote();
        FtUtil.log_i(this.CLASS_NAME, "onCreate", "TouchTest is created");
        setContentView(new MyView(this));
        fillUpMatrix();
        if (mIsDualScreenFeatureEnabled) {
            if (getIntent().getBooleanExtra(UIBase.SECOND_ACTIVITY, false)) {
                mIsFinishingChildActivity = false;
            } else {
                mIsFinishingParentActivity = false;
            }
            mTestEnd = false;
            registerReceiver(this.testEndReceiver, new IntentFilter(FACTORY_TSPTEST_END));
        }
        if (mIsDualScreenFeatureEnabled && !getIntent().getBooleanExtra(UIBase.SECOND_ACTIVITY, false)) {
            FtUtil.log_d(this.CLASS_NAME, "onCreate", "start Second Activity");
            Intent intent = new Intent("android.intent.action.MAIN");
            intent.setClass(getBaseContext(), getClass());
            intent.putExtra(UIBase.SECOND_ACTIVITY, true);
            intent.putExtra("isHovering", this.isHovering);
            intent.putExtra("isCheckCrossDouble", this.isCheckCrossDouble);
            intent.putExtra("isIncreaseWidth", this.isIncreaseWidth);
            intent.putExtra("testID", this.mTestID);
            intent.putExtra("halfCross", this.mHalfCross);
            intent.addFlags(1073741824);
            SDualScreenActivity.makeIntent(this, intent, SDualScreenActivity.DualScreen.SUB, SDualScreenActivity.FLAG_COUPLED_TASK_EXPAND_MODE);
            startActivityForResult(intent, 1);
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        FtUtil.log_d(this.CLASS_NAME, "onResume", null);
        if (this.isHovering) {
            FtUtil.log_d(this.CLASS_NAME, "onResume", "EnableHovering");
            this.mModuleDevice.hoveringOnOFF(EgisFingerprint.MAJOR_VERSION);
        } else if (Support.Feature.getBoolean(Support.Feature.SUPPORT_GLOVE_MODE) && Support.Kernel.write(Support.Kernel.TSP_COMMAND_CMD, "glove_mode,1")) {
            String result = Support.Kernel.read(Support.Kernel.TSP_COMMAND_RESULT);
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "onResume", "Result of glove_mode = " + result);
        }
        if (!this.successTest && this.needFailPopupDispaly) {
            startActivityForResult(new Intent(this, UITspFail.class), 10);
            this.needFailPopupDispaly = false;
        }
        this.mModuleDevice.setEPenDisableMode(true);
        if (Support.Feature.getBoolean(Support.Feature.SUPPORT_DISABLE_TSP_DEADZONE)) {
            this.mModuleDevice.startTSPTest("dead_zone_enable,0");
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        saveDrawingImage();
        super.onPause();
        FtUtil.log_d(this.CLASS_NAME, "onPause", null);
        if (this.isHovering) {
            FtUtil.log_d(this.CLASS_NAME, "onPause", "DisableHovering");
            this.mModuleDevice.hoveringOnOFF("0");
        } else if (Support.Feature.getBoolean(Support.Feature.SUPPORT_GLOVE_MODE) && Support.Kernel.write(Support.Kernel.TSP_COMMAND_CMD, "glove_mode,0")) {
            String result = Support.Kernel.read(Support.Kernel.TSP_COMMAND_RESULT);
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "onPause", "Result of glove_mode = " + result);
        }
        this.editor.putString("LAST_TOUCHED", ModuleCommunicationService.SMD_NOK);
        this.editor.commit();
        if (mIsDualScreenFeatureEnabled) {
            if (!mTestEnd) {
                mTestEnd = true;
                sendBroadcast(new Intent(FACTORY_TSPTEST_END));
            } else {
                unregisterReceiver(this.testEndReceiver);
            }
        }
        this.mModuleDevice.setEPenDisableMode(false);
        if (Support.Feature.getBoolean(Support.Feature.SUPPORT_DISABLE_TSP_DEADZONE)) {
            this.mModuleDevice.startTSPTest("dead_zone_enable,1");
        }
    }

    private void saveDrawingImage() {
        FtUtil.log_i(this.CLASS_NAME, "saveDrawingImage", "start");
        File linearityImgDir = new File("data/log/TspDrawingImg");
        Calendar cal = Calendar.getInstance();
        String screenCapture_time = cal.get(1) + new DecimalFormat("00").format((long) (cal.get(2) + 1)) + new DecimalFormat("00").format((long) cal.get(5)) + new DecimalFormat("00").format((long) cal.get(11)) + new DecimalFormat("00").format((long) cal.get(12)) + new DecimalFormat("00").format((long) cal.get(13));
        if (!linearityImgDir.exists()) {
            linearityImgDir.mkdir();
        }
        doShellCmd("screencap -p /data/log/TspDrawingImg/TSP_Drawing_" + screenCapture_time + ".png");
    }

    private void doShellCmd(String cmd) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "doShellCmd", "DoShellCmd : " + cmd);
        String[] shell_command = {"/system/bin/sh", "-c", cmd};
        try {
            FtUtil.log_i(this.CLASS_NAME, "doShellCmd", "exec command");
            Runtime.getRuntime().exec(shell_command);
            FtUtil.log_i(this.CLASS_NAME, "doShellCmd", "exec done");
        } catch (IOException e) {
            FtUtil.log_e(this.CLASS_NAME, "doShellCmd", "doShellCmd - IOException");
        } catch (SecurityException e2) {
            FtUtil.log_e(this.CLASS_NAME, "doShellCmd", "doShellCmd - SecurityException");
        }
        FtUtil.log_i(this.CLASS_NAME, "doShellCmd", "doShellCmd done");
    }

    @Override // com.sec.factory.app.ui.UIBase
    public boolean onKeyDown(int keyCode, KeyEvent event) {
        if (keyCode == 24) {
            FtUtil.log_i(this.CLASS_NAME, "onKeyDown", "This is Vol up_key");
            if (!isPass() && !this.isTouchDown) {
                setResult(0);
                finish();
            }
        } else if (this.checking_ghostTSK && (((keyCode == 4 && this.supportTSK_Back) || (keyCode == 187 && this.supportTSK_Recent)) && !this.dialog_showing)) {
            this.dialog_showing = true;
            this.isNotGhostCheck = true;
            this.editorGhostCheck.putString("RESULT", "NG,TOUCH KEY GHOST");
            this.editorGhostCheck.commit();
            Intent i = new Intent(this, UITouchTestGhost.class);
            i.putExtra("isTouchkeyGhost", true);
            startActivityForResult(i, 0);
        }
        return super.onKeyDown(keyCode, event);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public boolean onKeyUp(int keyCode, KeyEvent event) {
        if (keyCode != 26 || !Support.Feature.getBoolean(Support.Feature.SUPPORT_ONLY_POWER_KEY)) {
            return super.onKeyUp(keyCode, event);
        }
        FtUtil.log_i(this.CLASS_NAME, "onKeyDown", "This is POWER KEY");
        if (isPass() || this.isTouchDown) {
            return true;
        }
        setResult(0);
        finish();
        return true;
    }

    /* access modifiers changed from: protected */
    public void onActivityResult(int requestCode, int resultCode, Intent data) {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "onActivityResult", "resultCode = " + requestCode);
        if (requestCode == 10 || requestCode == 56) {
            String str2 = this.CLASS_NAME;
            FtUtil.log_d(str2, "onActivityResult", "resultCode = " + resultCode);
            if (resultCode == 0) {
                setResult(0);
                finish();
            }
        } else if (requestCode == 0) {
            String str3 = this.CLASS_NAME;
            FtUtil.log_d(str3, "onActivityResult", "resultCode = " + resultCode);
            if (resultCode == 0) {
                setResult(0);
                finish();
            }
        }
        FactoryTestManager.notifyDataSetChanged();
    }

    private void decideRemote() {
        this.remoteCall = getIntent().getBooleanExtra("RemoteCall", false);
    }

    private void fillUpMatrix() {
        for (int row = 0; row < this.HEIGHT_BASIS; row++) {
            for (int column = 0; column < this.WIDTH_BASIS; column++) {
                if (!this.isHovering || !isNeededCheck_Hovering(row, column)) {
                    if (this.isHovering || !isNeededCheck(row, column)) {
                        this.isDrawArea[row][column] = false;
                    } else {
                        this.isDrawArea[row][column] = true;
                    }
                }
            }
        }
    }

    private boolean isNeededCheck(int row, int column) {
        return row == this.mTopmostOfMatrix || row == this.mBottommostOfMatrix || column == this.mLeftmostOfMatrix || column == this.mRightmostOfMatrix;
    }

    private boolean isNeededCheck_Hovering(int row, int column) {
        if (row != this.mTopmostOfMatrix || column == this.mLeftmostOfMatrix || column == this.mRightmostOfMatrix) {
            return !(row != this.mBottommostOfMatrix || column == this.mLeftmostOfMatrix || column == this.mRightmostOfMatrix) || column == this.mLeftmostOfMatrix + 1 || column == this.mRightmostOfMatrix - 1;
        }
        return true;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean isPass() {
        boolean isPass = true;
        for (int i = 0; i < this.HEIGHT_BASIS; i++) {
            for (int j = 0; j < this.WIDTH_BASIS; j++) {
                if (this.isDrawArea[i][j]) {
                    isPass = isPass && this.draw[i][j];
                }
            }
        }
        if (this.isHovering) {
            return true;
        }
        return isPass;
    }

    public class MyView extends View {
        private float col_height = 0.0f;
        private float col_width = 0.0f;
        private int increase_px = 0;
        private int m2ndScreenWidth = 0;
        private Paint mClickPaint;
        private Paint mClickPaint_Fail;
        private Paint mEmptyPaint;
        private float mHeightCross = 0.0f;
        private float mHeightCrossEdge = 0.0f;
        private Paint mLinePaint;
        private Paint mLinePaint_Fail;
        private Bitmap mMatrixBitmap;
        private Canvas mMatrixCanvas;
        private Paint mNonClickPaint;
        private float mPreTouchedX = 0.0f;
        private float mPreTouchedY = 0.0f;
        private int mScreenHeight;
        private int mScreenWidth;
        private float mTouchedX = 0.0f;
        private float mTouchedY = 0.0f;
        private float mWidthBetween = 0.0f;
        private float mWidthCross = 0.0f;

        /* access modifiers changed from: protected */
        public void getIncreaseValue() {
            String testcase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML(UITspPatternStyleX.this.TEST_ID));
            if (testcase.contains("INCREASE_PX")) {
                this.increase_px = Integer.parseInt(testcase.substring(testcase.indexOf("INCREASE_PX(") + "INCREASE_PX(".length(), testcase.indexOf(")")).trim());
                String str = UITspPatternStyleX.this.CLASS_NAME;
                FtUtil.log_d(str, "getIncreaseValue", "INCREASE_PX : " + this.increase_px);
            }
        }

        public MyView(Context context) {
            super(context);
            setKeepScreenOn(true);
            Display mDisplay = ((WindowManager) context.getSystemService("window")).getDefaultDisplay();
            Point outpoint = new Point();
            mDisplay.getRealSize(outpoint);
            if (UITspPatternStyleX.this.isExistMargin) {
                this.mScreenWidth = outpoint.x - (UITspPatternStyleX.this.MARGIN_LEFT + UITspPatternStyleX.this.MARGIN_RIGHT);
                this.mScreenHeight = outpoint.y - (UITspPatternStyleX.this.MARGIN_TOP + UITspPatternStyleX.this.MARGIN_BOTTOM);
            } else {
                this.mScreenWidth = outpoint.x - (UITspPatternStyleX.this.DEADZONE_WIDTH * 2);
                this.mScreenHeight = outpoint.y - (UITspPatternStyleX.this.DEADZONE_HEIGHT * 2);
            }
            FtUtil.log_i(UITspPatternStyleX.this.CLASS_NAME, "MyView", "Screen size: " + this.mScreenWidth + " x " + this.mScreenHeight);
            DisplayMetrics metrics = new DisplayMetrics();
            UITspPatternStyleX.this.getWindowManager().getDefaultDisplay().getMetrics(metrics);
            float xdpi = metrics.xdpi;
            FtUtil.log_d(UITspPatternStyleX.this.CLASS_NAME, "MyView", "xdpi : " + xdpi);
            FtUtil.log_i(UITspPatternStyleX.this.CLASS_NAME, "MyView", "Screen Width mm : " + ((((double) this.mScreenWidth) * 25.4d) / ((double) xdpi)));
            float pix_5mm = (float) (((double) (5.0f * xdpi)) / 25.4d);
            FtUtil.log_d(UITspPatternStyleX.this.CLASS_NAME, "MyView", "5mm - px : " + pix_5mm);
            if (UITspPatternStyleX.this.isExistMargin) {
                this.mMatrixBitmap = Bitmap.createBitmap(this.mScreenWidth + UITspPatternStyleX.this.MARGIN_LEFT + UITspPatternStyleX.this.MARGIN_RIGHT, this.mScreenHeight + UITspPatternStyleX.this.MARGIN_TOP + UITspPatternStyleX.this.MARGIN_BOTTOM, Bitmap.Config.RGB_565);
            } else {
                this.mMatrixBitmap = Bitmap.createBitmap(this.mScreenWidth + (UITspPatternStyleX.this.DEADZONE_WIDTH * 2), this.mScreenHeight + (UITspPatternStyleX.this.DEADZONE_HEIGHT * 2), Bitmap.Config.RGB_565);
            }
            Canvas canvas = new Canvas(this.mMatrixBitmap);
            this.mMatrixCanvas = canvas;
            canvas.drawColor(-1);
            this.mScreenWidth -= this.m2ndScreenWidth;
            this.col_height = ((float) this.mScreenHeight) / ((float) UITspPatternStyleX.this.HEIGHT_BASIS);
            this.col_width = ((float) this.mScreenWidth) / ((float) UITspPatternStyleX.this.WIDTH_BASIS);
            getIncreaseValue();
            float f = this.col_width;
            f = f <= pix_5mm ? pix_5mm : f;
            this.mWidthBetween = f;
            this.mWidthBetween = f + ((float) this.increase_px);
            FtUtil.log_d(UITspPatternStyleX.this.CLASS_NAME, "MyView", "col_width : " + this.col_width + " , mWidthBetween : " + this.mWidthBetween);
            String str = UITspPatternStyleX.this.CLASS_NAME;
            StringBuilder sb = new StringBuilder();
            sb.append("col_width >  pix_5mm: ");
            sb.append(this.col_width > pix_5mm);
            FtUtil.log_d(str, "MyView", sb.toString());
            if (this.col_width > pix_5mm) {
                FtUtil.log_d(UITspPatternStyleX.this.CLASS_NAME, "MyView", "set isIncreaseWidth to false");
                UITspPatternStyleX.this.isIncreaseWidth = false;
            }
            if (UITspPatternStyleX.this.isHovering) {
                this.mWidthCross = (((float) this.mScreenWidth) - (this.col_width * 4.5f)) / ((float) (UITspPatternStyleX.this.HEIGHT_BASIS_CROSS - 1));
            } else {
                this.mWidthCross = (((float) this.mScreenWidth) - (this.col_width * 1.0f)) / ((float) ((UITspPatternStyleX.this.HEIGHT_BASIS_CROSS - 1) + 4));
            }
            if (UITspPatternStyleX.this.isHovering) {
                float f2 = (this.col_height / 2.0f) * 2.5f;
                this.mHeightCross = f2;
                this.mHeightCrossEdge = (((float) this.mScreenHeight) - (f2 * ((float) (UITspPatternStyleX.this.HEIGHT_BASIS_CROSS - 2)))) / 2.0f;
            } else {
                this.mHeightCross = this.col_height / 2.0f;
            }
            setPaint();
            initRect();
            UITspPatternStyleX.this.isTouchDown = false;
        }

        private void setPaint() {
            Paint paint = new Paint();
            this.mLinePaint = paint;
            paint.setAntiAlias(true);
            this.mLinePaint.setDither(true);
            this.mLinePaint.setColor(-16777216);
            this.mLinePaint.setStyle(Paint.Style.STROKE);
            this.mLinePaint.setStrokeJoin(Paint.Join.ROUND);
            this.mLinePaint.setStrokeCap(Paint.Cap.SQUARE);
            this.mLinePaint.setStrokeWidth(5.0f);
            PathEffect e = new DashPathEffect(new float[]{5.0f, 5.0f}, 1.0f);
            this.mLinePaint.setPathEffect(e);
            this.mLinePaint.setColor(-16777216);
            Paint paint2 = new Paint();
            this.mLinePaint_Fail = paint2;
            paint2.setAntiAlias(true);
            this.mLinePaint_Fail.setDither(true);
            this.mLinePaint_Fail.setColor(-16777216);
            this.mLinePaint_Fail.setStyle(Paint.Style.STROKE);
            this.mLinePaint_Fail.setStrokeJoin(Paint.Join.ROUND);
            this.mLinePaint_Fail.setStrokeCap(Paint.Cap.SQUARE);
            this.mLinePaint_Fail.setStrokeWidth(5.0f);
            this.mLinePaint_Fail.setPathEffect(e);
            this.mLinePaint_Fail.setColor(-65536);
            Paint paint3 = new Paint();
            this.mClickPaint = paint3;
            paint3.setAntiAlias(false);
            this.mClickPaint.setStyle(Paint.Style.FILL);
            this.mClickPaint.setColor(-16711936);
            this.mClickPaint.setXfermode(new PorterDuffXfermode(PorterDuff.Mode.MULTIPLY));
            Paint paint4 = new Paint();
            this.mClickPaint_Fail = paint4;
            paint4.setAntiAlias(false);
            this.mClickPaint_Fail.setStyle(Paint.Style.FILL);
            this.mClickPaint_Fail.setColor(-65536);
            Paint paint5 = new Paint();
            this.mNonClickPaint = paint5;
            paint5.setAntiAlias(false);
            this.mNonClickPaint.setColor(-1);
            Paint paint6 = new Paint();
            this.mEmptyPaint = paint6;
            paint6.setAntiAlias(false);
            this.mEmptyPaint.setColor(-1);
        }

        /* access modifiers changed from: protected */
        public void onDraw(Canvas canvas) {
            canvas.drawBitmap(this.mMatrixBitmap, 0.0f, 0.0f, (Paint) null);
        }

        public boolean onHoverEvent(MotionEvent event) {
            int action = event.getAction();
            if (UITspPatternStyleX.this.isHovering) {
                switch (action) {
                    case 7:
                        draw_move(event, true);
                        break;
                    case 9:
                        draw_down(event, true);
                        break;
                    case 10:
                        draw_up(event, true);
                        break;
                }
            }
            return true;
        }

        public boolean onTouchEvent(MotionEvent event) {
            int action = event.getAction();
            int pointerCount = event.getPointerCount();
            if (event.getToolType(0) == 2) {
                return true;
            }
            if (UITspPatternStyleX.this.isNotGhostCheck) {
                return false;
            }
            if (!UITspPatternStyleX.this.dialog_showing && pointerCount > 1) {
                UITspPatternStyleX.this.dialog_showing = true;
                UITspPatternStyleX.this.isNotGhostCheck = true;
                UITspPatternStyleX.this.isTouchDown = false;
                UITspPatternStyleX.this.editorGhostCheck.putString("RESULT", "NG,TSP GHOST");
                UITspPatternStyleX.this.editorGhostCheck.commit();
                startActivityForResult(new Intent(UITspPatternStyleX.this, UITouchTestGhost.class), 0);
            }
            switch (action) {
                case 0:
                    if (!UITspPatternStyleX.this.isHovering) {
                        draw_down(event, true);
                        break;
                    } else {
                        draw_down(event, false);
                        UITspPatternStyleX.this.isTouchAction_pass_hovering = false;
                        break;
                    }
                case 1:
                    if (!UITspPatternStyleX.this.isHovering) {
                        draw_up(event, true);
                        break;
                    } else {
                        draw_up(event, false);
                        UITspPatternStyleX.this.isTouchAction_pass_hovering = false;
                        break;
                    }
                case 2:
                    if (!UITspPatternStyleX.this.isHovering) {
                        draw_move(event, true);
                        break;
                    } else {
                        draw_move(event, false);
                        UITspPatternStyleX.this.isTouchAction_pass_hovering = false;
                        break;
                    }
            }
            if (UITspPatternStyleX.this.isHovering && UITspPatternStyleX.this.shouldShowPopup_hoverFail) {
                Intent i = new Intent(UITspPatternStyleX.this, UITspFail.class);
                i.putExtra("isHovering", UITspPatternStyleX.this.isHovering);
                startActivityForResult(i, 56);
                UITspPatternStyleX.this.shouldShowPopup_hoverFail = false;
            }
            return true;
        }

        private void draw_down(MotionEvent event, boolean hover_pass) {
            this.mTouchedX = event.getX();
            this.mTouchedY = event.getY();
            SharedPreferences.Editor editor = UITspPatternStyleX.this.editor;
            editor.putString("LAST_TOUCHED", String.valueOf((int) this.mTouchedX) + "," + String.valueOf((int) this.mTouchedY));
            UITspPatternStyleX.this.editor.commit();
            drawRect(this.mTouchedX, this.mTouchedY, this.mClickPaint);
            UITspPatternStyleX.this.isTouchDown = true;
        }

        private void draw_move(MotionEvent event, boolean hover_pass) {
            if (UITspPatternStyleX.this.isTouchDown) {
                for (int i = 0; i < event.getHistorySize(); i++) {
                    this.mPreTouchedX = this.mTouchedX;
                    this.mPreTouchedY = this.mTouchedY;
                    this.mTouchedX = event.getHistoricalX(i);
                    float historicalY = event.getHistoricalY(i);
                    this.mTouchedY = historicalY;
                    drawRect(this.mTouchedX, historicalY, this.mClickPaint);
                    if (hover_pass) {
                        drawLine(this.mPreTouchedX, this.mPreTouchedY, this.mTouchedX, this.mTouchedY, this.mLinePaint);
                    } else {
                        drawLine(this.mPreTouchedX, this.mPreTouchedY, this.mTouchedX, this.mTouchedY, this.mLinePaint_Fail);
                    }
                }
                this.mPreTouchedX = this.mTouchedX;
                this.mPreTouchedY = this.mTouchedY;
                this.mTouchedX = event.getX();
                float y = event.getY();
                this.mTouchedY = y;
                drawRect(this.mTouchedX, y, this.mClickPaint);
                if (hover_pass) {
                    drawLine(this.mPreTouchedX, this.mPreTouchedY, this.mTouchedX, this.mTouchedY, this.mLinePaint);
                } else {
                    drawLine(this.mPreTouchedX, this.mPreTouchedY, this.mTouchedX, this.mTouchedY, this.mLinePaint_Fail);
                }
                UITspPatternStyleX.this.isTouchDown = true;
            }
        }

        private void draw_up(MotionEvent event, boolean hover_pass) {
            if (UITspPatternStyleX.this.isTouchDown) {
                this.mPreTouchedX = this.mTouchedX;
                this.mPreTouchedY = this.mTouchedY;
                this.mTouchedX = event.getX();
                float y = event.getY();
                this.mTouchedY = y;
                float f = this.mPreTouchedX;
                float f2 = this.mTouchedX;
                if (f == f2 && this.mPreTouchedY == y) {
                    if (hover_pass) {
                        drawPoint(f2, y, this.mLinePaint);
                    } else {
                        drawPoint(f2, y, this.mLinePaint_Fail);
                    }
                }
                UITspPatternStyleX.this.editor.putString("LAST_TOUCHED", ModuleCommunicationService.SMD_NOK);
                UITspPatternStyleX.this.editor.commit();
                UITspPatternStyleX.this.isTouchDown = false;
            }
        }

        private void drawLine(float preX, float preY, float x, float y, Paint paint) {
            int highX;
            int lowX;
            int highY;
            int lowY;
            this.mMatrixCanvas.drawLine(preX, preY, x, y, this.mLinePaint);
            if (preX >= x) {
                highX = (int) preX;
                lowX = (int) x;
            } else {
                highX = (int) x;
                lowX = (int) preX;
            }
            if (preY >= y) {
                highY = (int) preY;
                lowY = (int) y;
            } else {
                highY = (int) y;
                lowY = (int) preY;
            }
            invalidate(new Rect(lowX - 6, lowY - 6, highX + 6, highY + 6));
        }

        private void drawPoint(float x, float y, Paint paint) {
            this.mMatrixCanvas.drawPoint(x, y, this.mLinePaint);
            invalidate(new Rect(((int) x) - 6, ((int) y) - 6, ((int) x) + 6, ((int) y) + 6));
        }

        private void initRect() {
            int ColY;
            int ColX;
            int i;
            float f;
            int ColX2;
            Paint mRectPaint = new Paint();
            Paint mRectPaintCross = new Paint();
            mRectPaint.setColor(-16777216);
            mRectPaintCross.setColor(-16777216);
            mRectPaintCross.setStyle(Paint.Style.STROKE);
            if (UITspPatternStyleX.this.isHovering) {
                mRectPaintCross.setStrokeWidth(3.0f);
            }
            for (int i2 = 0; i2 <= UITspPatternStyleX.this.HEIGHT_BASIS; i2++) {
                if (UITspPatternStyleX.this.isExistMargin) {
                    int ColY2 = ((int) (this.col_height * ((float) i2))) + UITspPatternStyleX.this.MARGIN_TOP;
                    this.mMatrixCanvas.drawLine((float) UITspPatternStyleX.this.MARGIN_LEFT, (float) ColY2, (float) (this.mScreenWidth + UITspPatternStyleX.this.MARGIN_LEFT), (float) ColY2, mRectPaint);
                } else {
                    int ColY3 = ((int) (this.col_height * ((float) i2))) + UITspPatternStyleX.this.DEADZONE_HEIGHT;
                    this.mMatrixCanvas.drawLine((float) UITspPatternStyleX.this.DEADZONE_WIDTH, (float) ColY3, (float) (this.mScreenWidth + UITspPatternStyleX.this.DEADZONE_WIDTH), (float) ColY3, mRectPaint);
                }
            }
            for (int j = 0; j <= UITspPatternStyleX.this.WIDTH_BASIS; j++) {
                if (UITspPatternStyleX.this.isExistMargin) {
                    int ColX3 = ((int) (this.col_width * ((float) j))) + UITspPatternStyleX.this.MARGIN_LEFT;
                    this.mMatrixCanvas.drawLine((float) ColX3, (float) UITspPatternStyleX.this.MARGIN_TOP, (float) ColX3, (float) (this.mScreenHeight + UITspPatternStyleX.this.MARGIN_TOP), mRectPaint);
                } else {
                    int ColX4 = ((int) (this.col_width * ((float) j))) + UITspPatternStyleX.this.DEADZONE_WIDTH;
                    this.mMatrixCanvas.drawLine((float) ColX4, (float) UITspPatternStyleX.this.DEADZONE_HEIGHT, (float) ColX4, (float) (this.mScreenHeight + UITspPatternStyleX.this.DEADZONE_HEIGHT), mRectPaint);
                }
            }
            for (int i3 = 0; i3 < UITspPatternStyleX.this.HEIGHT_BASIS; i3++) {
                for (int j2 = 0; j2 < UITspPatternStyleX.this.WIDTH_BASIS; j2++) {
                    UITspPatternStyleX.this.draw[i3][j2] = false;
                    UITspPatternStyleX.this.click[i3][j2] = false;
                }
            }
            if (UITspPatternStyleX.this.isHovering) {
                this.mMatrixCanvas.drawRect(0.0f, 0.0f, (float) this.mScreenWidth, (float) this.mScreenHeight, this.mEmptyPaint);
            } else if (UITspPatternStyleX.this.isExistMargin) {
                this.mMatrixCanvas.drawRect(this.col_width + ((float) UITspPatternStyleX.this.MARGIN_LEFT) + 1.0f, this.col_height + ((float) UITspPatternStyleX.this.MARGIN_TOP) + 1.0f, ((this.col_width * ((float) (UITspPatternStyleX.this.WIDTH_BASIS - 1))) + ((float) UITspPatternStyleX.this.MARGIN_LEFT)) - 1.0f, ((this.col_height * ((float) (UITspPatternStyleX.this.HEIGHT_BASIS - 1))) + ((float) UITspPatternStyleX.this.MARGIN_TOP)) - 1.0f, this.mEmptyPaint);
            } else {
                this.mMatrixCanvas.drawRect(this.col_width + ((float) UITspPatternStyleX.this.DEADZONE_WIDTH) + 1.0f, this.col_height + ((float) UITspPatternStyleX.this.DEADZONE_HEIGHT) + 1.0f, ((this.col_width * ((float) (UITspPatternStyleX.this.WIDTH_BASIS - 1))) + ((float) UITspPatternStyleX.this.DEADZONE_WIDTH)) - 1.0f, ((this.col_height * ((float) (UITspPatternStyleX.this.HEIGHT_BASIS - 1))) + ((float) UITspPatternStyleX.this.DEADZONE_HEIGHT)) - 1.0f, this.mEmptyPaint);
            }
            if (UITspPatternStyleX.this.isHovering) {
                int i4 = 1;
                while (i4 < UITspPatternStyleX.this.HEIGHT_BASIS_CROSS - 1) {
                    int ColX5 = ((int) (this.mWidthCross * ((float) i4))) + ((int) this.col_width);
                    if (i4 == 0 || i4 == UITspPatternStyleX.this.HEIGHT_BASIS_CROSS - 1) {
                        int ColY4 = (int) (i4 == 0 ? 0.0f : (this.mHeightCross * ((float) (i4 - 1))) + this.mHeightCrossEdge);
                        this.mMatrixCanvas.drawRect((float) ColX5, (float) ColY4, ((float) ColX5) + (this.col_width * 2.5f), this.mHeightCrossEdge + ((float) ColY4), mRectPaintCross);
                    } else {
                        float f2 = this.mHeightCross;
                        int ColY5 = (int) ((((float) (i4 - 1)) * f2) + this.mHeightCrossEdge);
                        this.mMatrixCanvas.drawRect((float) ColX5, (float) ColY5, ((float) ColX5) + (this.col_width * 2.5f), ((float) ColY5) + f2, mRectPaintCross);
                    }
                    UITspPatternStyleX.this.drawCross[i4] = false;
                    i4++;
                }
            } else {
                for (int i5 = 0; i5 < UITspPatternStyleX.this.HEIGHT_BASIS_CROSS; i5++) {
                    if (UITspPatternStyleX.this.isExistMargin) {
                        if (UITspPatternStyleX.this.isIncreaseWidth) {
                            ColX2 = (int) (((this.mWidthCross * ((float) (i5 + 2))) - (this.col_width / 8.0f)) + ((float) UITspPatternStyleX.this.MARGIN_LEFT));
                            f = this.col_height + (this.mHeightCross * ((float) i5));
                            i = UITspPatternStyleX.this.MARGIN_TOP;
                        } else {
                            ColX2 = (int) ((this.mWidthCross * ((float) (i5 + 2))) + ((float) UITspPatternStyleX.this.MARGIN_LEFT));
                            f = this.col_height + (this.mHeightCross * ((float) i5));
                            i = UITspPatternStyleX.this.MARGIN_TOP;
                        }
                    } else if (UITspPatternStyleX.this.isIncreaseWidth) {
                        ColX2 = (int) (((this.mWidthCross * ((float) (i5 + 2))) - (this.col_width / 8.0f)) + ((float) UITspPatternStyleX.this.DEADZONE_WIDTH));
                        f = this.col_height + (this.mHeightCross * ((float) i5));
                        i = UITspPatternStyleX.this.DEADZONE_HEIGHT;
                    } else {
                        ColX2 = (int) ((this.mWidthCross * ((float) (i5 + 2))) + ((float) UITspPatternStyleX.this.DEADZONE_WIDTH));
                        f = this.col_height + (this.mHeightCross * ((float) i5));
                        i = UITspPatternStyleX.this.DEADZONE_HEIGHT;
                    }
                    int ColY6 = (int) (f + ((float) i));
                    int ColX6 = ColX2 - (this.increase_px / 2);
                    this.mMatrixCanvas.drawRect((float) ColX6, (float) ColY6, ((float) ColX6) + this.mWidthBetween, ((float) ColY6) + (this.col_height / 2.0f), mRectPaintCross);
                    UITspPatternStyleX.this.drawCross[i5] = false;
                }
            }
            for (int i6 = 0; i6 < UITspPatternStyleX.this.HEIGHT_BASIS_CROSS; i6++) {
                if (!UITspPatternStyleX.this.isHovering) {
                    if (UITspPatternStyleX.this.isExistMargin) {
                        if (UITspPatternStyleX.this.isIncreaseWidth) {
                            ColX = (int) (((this.mWidthCross * ((float) (i6 + 2))) - (this.col_width / 8.0f)) + ((float) UITspPatternStyleX.this.MARGIN_LEFT));
                            ColY = (int) ((((float) this.mScreenHeight) - (this.col_height + (this.mHeightCross * ((float) (i6 + 1))))) + ((float) UITspPatternStyleX.this.MARGIN_TOP));
                        } else {
                            ColX = (int) ((this.mWidthCross * ((float) (i6 + 2))) + ((float) UITspPatternStyleX.this.MARGIN_LEFT));
                            ColY = (int) ((((float) this.mScreenHeight) - (this.col_height + (this.mHeightCross * ((float) (i6 + 1))))) + ((float) UITspPatternStyleX.this.MARGIN_TOP));
                        }
                    } else if (UITspPatternStyleX.this.isIncreaseWidth) {
                        ColX = (int) (((this.mWidthCross * ((float) (i6 + 2))) - (this.col_width / 8.0f)) + ((float) UITspPatternStyleX.this.DEADZONE_WIDTH));
                        ColY = (int) ((((float) this.mScreenHeight) - (this.col_height + (this.mHeightCross * ((float) (i6 + 1))))) + ((float) UITspPatternStyleX.this.DEADZONE_HEIGHT));
                    } else {
                        ColX = (int) ((this.mWidthCross * ((float) (i6 + 2))) + ((float) UITspPatternStyleX.this.DEADZONE_WIDTH));
                        ColY = (int) ((((float) this.mScreenHeight) - (this.col_height + (this.mHeightCross * ((float) (i6 + 1))))) + ((float) UITspPatternStyleX.this.DEADZONE_HEIGHT));
                    }
                    int ColX7 = ColX - (this.increase_px / 2);
                    this.mMatrixCanvas.drawRect((float) ColX7, (float) ColY, ((float) ColX7) + this.mWidthBetween, ((float) ColY) + (this.col_height / 2.0f), mRectPaintCross);
                    UITspPatternStyleX.this.drawCross[UITspPatternStyleX.this.HEIGHT_BASIS_CROSS + i6] = false;
                }
            }
        }

        private void drawRect(float x, float y, Paint paint) {
            float ColX;
            float ColY;
            int countY;
            int countX;
            float col_height2 = ((float) this.mScreenHeight) / ((float) UITspPatternStyleX.this.HEIGHT_BASIS);
            float col_width2 = ((float) this.mScreenWidth) / ((float) UITspPatternStyleX.this.WIDTH_BASIS);
            if (UITspPatternStyleX.this.isExistMargin) {
                countX = (int) ((x - ((float) UITspPatternStyleX.this.MARGIN_LEFT)) / col_width2);
                countY = (int) ((y - ((float) UITspPatternStyleX.this.MARGIN_TOP)) / col_height2);
                ColX = (((float) countX) * col_width2) + ((float) UITspPatternStyleX.this.MARGIN_LEFT);
                ColY = (((float) countY) * col_height2) + ((float) UITspPatternStyleX.this.MARGIN_TOP);
            } else {
                countX = (int) ((x - ((float) UITspPatternStyleX.this.DEADZONE_WIDTH)) / col_width2);
                countY = (int) ((y - ((float) UITspPatternStyleX.this.DEADZONE_HEIGHT)) / col_height2);
                ColX = (((float) countX) * col_width2) + ((float) UITspPatternStyleX.this.DEADZONE_WIDTH);
                ColY = (((float) countY) * col_height2) + ((float) UITspPatternStyleX.this.DEADZONE_HEIGHT);
            }
            if (countY > UITspPatternStyleX.this.HEIGHT_BASIS - 1 || countX > UITspPatternStyleX.this.WIDTH_BASIS - 1 || x < ((float) UITspPatternStyleX.this.DEADZONE_WIDTH) || y < ((float) UITspPatternStyleX.this.DEADZONE_HEIGHT) || x < ((float) UITspPatternStyleX.this.MARGIN_LEFT) || y < ((float) UITspPatternStyleX.this.MARGIN_TOP)) {
                FtUtil.log_e(UITspPatternStyleX.this.CLASS_NAME, "drawRect", "You are out of bounds!");
                return;
            }
            if (!UITspPatternStyleX.this.draw[countY][countX]) {
                UITspPatternStyleX.this.draw[countY][countX] = true;
                if (UITspPatternStyleX.this.draw[countY][countX] && UITspPatternStyleX.this.isDrawArea[countY][countX]) {
                    this.mMatrixCanvas.drawRect((float) (((int) ColX) + 1), (float) (((int) ColY) + 1), (float) ((int) (ColX + col_width2)), (float) ((int) (ColY + col_height2)), paint);
                    invalidate(new Rect((int) (ColX - 1.0f), (int) (ColY - 1.0f), (int) (ColX + col_width2 + 1.0f), (int) (ColY + col_height2 + 1.0f)));
                }
            }
            if (UITspPatternStyleX.this.isFirstTouch && (Support.Feature.getBoolean(Support.Feature.SUPPORT_IMAGIS_WET_MODE) || Support.Feature.getBoolean(Support.Feature.SUPPORT_ZINITIX_WET_MODE))) {
                if (EgisFingerprint.MAJOR_VERSION.equals(new TouchScreenPanel(Support.Feature.getString(Support.Feature.PANEL_TYPE), Support.Feature.getString(Support.Feature.DEVICE_TYPE)).getTSPResult(ModuleTouchScreen.TSP_ID__WET_MODE_CHECK, null))) {
                    FtUtil.log_d(UITspPatternStyleX.this.CLASS_NAME, "onCreate", "Wet mode is true");
                    UITspPatternStyleX.this.isWetMode = true;
                }
                UITspPatternStyleX.this.isFirstTouch = false;
            }
            if (UITspPatternStyleX.this.isPass() && UITspPatternStyleX.this.isTouchAction_pass_hovering && !UITspPatternStyleX.this.isTestFinished) {
                if (UIBase.mIsDualScreenFeatureEnabled) {
                    if (UITspPatternStyleX.this.getIntent().getBooleanExtra(UIBase.SECOND_ACTIVITY, false)) {
                        UITspPatternStyleX.mIsFinishingChildActivity = true;
                    } else {
                        UITspPatternStyleX.mIsFinishingParentActivity = true;
                    }
                    if (!UITspPatternStyleX.mIsFinishingChildActivity || !UITspPatternStyleX.mIsFinishingParentActivity) {
                        String str = UITspPatternStyleX.this.CLASS_NAME;
                        FtUtil.log_d(str, "drawRect", "Not yet finished!, mIsFinishingChildActivity=" + UITspPatternStyleX.mIsFinishingChildActivity + ", mIsFinishingParentActivity=" + UITspPatternStyleX.mIsFinishingParentActivity);
                        return;
                    }
                }
                UITspPatternStyleX.this.isTestFinished = true;
                UITspPatternStyleX.this.isNotGhostCheck = true;
                if (UITspPatternStyleX.this.isWetMode) {
                    UITspPatternStyleX.this.setResult(0);
                    wetCheckPopup();
                } else if (UITspPatternStyleX.this.successTest) {
                    UITspPatternStyleX.this.successTest = false;
                    if (UITspPatternStyleX.this.remoteCall) {
                        UITspPatternStyleX.this.setResult(-1);
                    }
                    UITspPatternStyleX.this.setResult(-1);
                    UITspPatternStyleX.this.finish();
                } else {
                    UITspPatternStyleX.this.setResult(0);
                    UITspPatternStyleX.this.finish();
                }
            }
        }

        private void checkCrossRectRegion(float x, float y, int countX, int countY, Paint paint) {
            int startRectBottomX;
            int startRectTopX;
            int countCrossY;
            int startRectTopY;
            int startRectBottomYPair;
            int startRectBottomXPair;
            int i;
            int i2;
            int i3;
            int i4;
            int i5;
            int i6;
            int startRectTopYPair;
            int startRectTopXPair;
            int i7;
            int i8;
            float f;
            int i9;
            float f2;
            int i10;
            int i11;
            float f3;
            int i12;
            float f4;
            int startRectTopY2;
            int countCrossY2;
            String str = UITspPatternStyleX.this.CLASS_NAME;
            FtUtil.log_i(str, "checkCrossRectRegion", "countX : " + countX + ", countY : " + countY);
            if (UITspPatternStyleX.this.isHovering) {
                if (countY >= 2 && countY <= UITspPatternStyleX.this.HEIGHT_BASIS - 3) {
                    if (y < 0.0f || y >= this.mHeightCrossEdge) {
                        int i13 = this.mScreenHeight;
                        float f5 = this.mHeightCrossEdge;
                        if (y < ((float) i13) - f5 || y > ((float) i13)) {
                            float f6 = this.mHeightCross;
                            int countCrossY3 = ((int) ((y - f5) / f6)) + 1;
                            startRectTopY2 = (int) ((f6 * ((float) (countCrossY3 - 1))) + f5);
                            countCrossY2 = countCrossY3;
                        } else {
                            int countCrossY4 = UITspPatternStyleX.this.HEIGHT_BASIS_CROSS - 1;
                            startRectTopY2 = (int) ((this.mHeightCross * ((float) (countCrossY4 - 1))) + this.mHeightCrossEdge);
                            countCrossY2 = countCrossY4;
                        }
                    } else {
                        countCrossY2 = 0;
                        startRectTopY2 = 0;
                    }
                    float f7 = this.mWidthCross;
                    float f8 = this.col_width;
                    int startRectTopX2 = ((int) (((float) countCrossY2) * f7)) + ((int) f8);
                    int startRectBottomX2 = (((int) ((((float) this.mScreenWidth) - (2.0f * f8)) - (f7 * ((float) countCrossY2)))) - ((int) ((((float) countCrossY2) * f8) / ((float) UITspPatternStyleX.this.HEIGHT_BASIS_CROSS)))) + 5;
                    if (x > ((float) startRectTopX2) && x < ((float) startRectTopX2) + (this.col_width * 2.5f)) {
                        if (countCrossY2 == 0 || countCrossY2 == UITspPatternStyleX.this.HEIGHT_BASIS_CROSS - 1) {
                            this.mMatrixCanvas.drawRect((float) startRectTopX2, (float) startRectTopY2, ((float) startRectTopX2) + (this.col_width * 2.5f), ((float) startRectTopY2) + this.mHeightCrossEdge, paint);
                            invalidate(new Rect(startRectTopX2 - 1, startRectTopY2 - 1, (int) (((float) startRectTopX2) + (this.col_width * 2.5f) + 1.0f), (int) (((float) startRectTopY2) + this.mHeightCrossEdge + 1.0f)));
                        } else {
                            this.mMatrixCanvas.drawRect((float) startRectTopX2, (float) startRectTopY2, ((float) startRectTopX2) + (this.col_width * 2.5f), ((float) startRectTopY2) + this.mHeightCross, paint);
                            invalidate(new Rect(startRectTopX2 - 1, startRectTopY2 - 1, (int) (((float) startRectTopX2) + (this.col_width * 2.5f) + 1.0f), (int) (((float) startRectTopY2) + this.mHeightCross + 1.0f)));
                        }
                        if (countCrossY2 >= 0) {
                            UITspPatternStyleX.this.drawCross[countCrossY2] = true;
                        }
                    }
                }
            } else if (countY > 0 && countY < UITspPatternStyleX.this.HEIGHT_BASIS - 1) {
                if (UITspPatternStyleX.this.isExistMargin) {
                    countCrossY = (int) (((y - this.col_height) - ((float) UITspPatternStyleX.this.MARGIN_TOP)) / this.mHeightCross);
                    if (UITspPatternStyleX.this.isIncreaseWidth) {
                        startRectTopX = (int) (((this.mWidthCross * ((float) (countCrossY + 2))) - (this.col_width / 8.0f)) + ((float) UITspPatternStyleX.this.MARGIN_LEFT));
                        float f9 = this.col_width;
                        startRectBottomX = (int) ((((((float) this.mScreenWidth) - (f9 * 1.0f)) - (this.mWidthCross * ((float) (countCrossY + 2)))) - (f9 / 8.0f)) + ((float) UITspPatternStyleX.this.MARGIN_LEFT));
                    } else {
                        startRectTopX = (int) ((this.mWidthCross * ((float) (countCrossY + 2))) + ((float) UITspPatternStyleX.this.MARGIN_LEFT));
                        startRectBottomX = (int) (((((float) this.mScreenWidth) - (this.col_width * 1.0f)) - (this.mWidthCross * ((float) (countCrossY + 2)))) + ((float) UITspPatternStyleX.this.MARGIN_LEFT));
                    }
                } else {
                    countCrossY = (int) (((y - this.col_height) - ((float) UITspPatternStyleX.this.DEADZONE_HEIGHT)) / this.mHeightCross);
                    if (UITspPatternStyleX.this.isIncreaseWidth) {
                        startRectTopX = (int) (((this.mWidthCross * ((float) (countCrossY + 2))) - (this.col_width / 8.0f)) + ((float) UITspPatternStyleX.this.DEADZONE_WIDTH));
                        float f10 = this.col_width;
                        startRectBottomX = (int) ((((((float) this.mScreenWidth) - (f10 * 1.0f)) - (this.mWidthCross * ((float) (countCrossY + 2)))) - (f10 / 8.0f)) + ((float) UITspPatternStyleX.this.DEADZONE_WIDTH));
                    } else {
                        startRectTopX = (int) ((this.mWidthCross * ((float) (countCrossY + 2))) + ((float) UITspPatternStyleX.this.DEADZONE_WIDTH));
                        startRectBottomX = (int) (((((float) this.mScreenWidth) - (this.col_width * 1.0f)) - (this.mWidthCross * ((float) (countCrossY + 2)))) + ((float) UITspPatternStyleX.this.DEADZONE_WIDTH));
                    }
                }
                String str2 = UITspPatternStyleX.this.CLASS_NAME;
                FtUtil.log_i(str2, "checkCrossRectRegion", "countCrossY : " + countCrossY);
                int i14 = this.increase_px;
                int startRectTopX3 = startRectTopX - (i14 / 2);
                int startRectBottomX3 = startRectBottomX - (i14 / 2);
                if (UITspPatternStyleX.this.isExistMargin) {
                    startRectTopY = (int) (this.col_height + (this.mHeightCross * ((float) countCrossY)) + ((float) UITspPatternStyleX.this.MARGIN_TOP));
                } else {
                    startRectTopY = (int) (this.col_height + (this.mHeightCross * ((float) countCrossY)) + ((float) UITspPatternStyleX.this.DEADZONE_HEIGHT));
                }
                if (x > ((float) startRectTopX3) && x < ((float) startRectTopX3) + this.mWidthBetween && !UITspPatternStyleX.this.drawCross[countCrossY]) {
                    this.mMatrixCanvas.drawRect((float) (startRectTopX3 + 1), (float) (startRectTopY + 1), (float) ((int) (((float) startRectTopX3) + this.mWidthBetween)), (float) ((int) (((float) startRectTopY) + (this.col_height / 2.0f))), paint);
                    invalidate(new Rect(startRectTopX3 - 1, startRectTopY - 1, (int) (((float) startRectTopX3) + this.mWidthBetween + 1.0f), (int) (((float) startRectTopY) + this.col_height + 1.0f)));
                    if (countCrossY >= 0) {
                        UITspPatternStyleX.this.drawCross[countCrossY] = true;
                    }
                    if (UITspPatternStyleX.this.isCheckCrossDouble) {
                        if (UITspPatternStyleX.this.isExistMargin) {
                            if (countCrossY == 0) {
                                if (UITspPatternStyleX.this.isIncreaseWidth) {
                                    startRectTopXPair = (int) (((this.mWidthCross * ((float) ((countCrossY + 2) + 1))) - (this.col_width / 8.0f)) + ((float) UITspPatternStyleX.this.MARGIN_LEFT));
                                } else {
                                    startRectTopXPair = (int) ((this.mWidthCross * ((float) (countCrossY + 2 + 1))) + ((float) UITspPatternStyleX.this.MARGIN_LEFT));
                                }
                                startRectTopYPair = (int) (this.col_height + (this.mHeightCross * ((float) (countCrossY + 1))) + ((float) UITspPatternStyleX.this.MARGIN_TOP));
                            } else {
                                if (UITspPatternStyleX.this.isIncreaseWidth) {
                                    if (countCrossY % 2 == 0) {
                                        f4 = this.mWidthCross;
                                        i12 = countCrossY + 2 + 1;
                                    } else {
                                        f4 = this.mWidthCross;
                                        i12 = (countCrossY + 2) - 1;
                                    }
                                    startRectTopXPair = (int) (((f4 * ((float) i12)) - (this.col_width / 8.0f)) + ((float) UITspPatternStyleX.this.MARGIN_LEFT));
                                } else {
                                    if (countCrossY % 2 == 0) {
                                        f3 = this.mWidthCross;
                                        i11 = countCrossY + 2 + 1;
                                    } else {
                                        f3 = this.mWidthCross;
                                        i11 = (countCrossY + 2) - 1;
                                    }
                                    startRectTopXPair = (int) ((f3 * ((float) i11)) + ((float) UITspPatternStyleX.this.MARGIN_LEFT));
                                }
                                if (countCrossY % 2 == 0) {
                                    i10 = (int) (this.col_height + (this.mHeightCross * ((float) (countCrossY + 1))) + ((float) UITspPatternStyleX.this.MARGIN_TOP));
                                } else {
                                    i10 = (int) (this.col_height + (this.mHeightCross * ((float) (countCrossY - 1))) + ((float) UITspPatternStyleX.this.MARGIN_TOP));
                                }
                                startRectTopYPair = i10;
                            }
                        } else if (countCrossY == 0) {
                            if (UITspPatternStyleX.this.isIncreaseWidth) {
                                startRectTopXPair = (int) (((this.mWidthCross * ((float) ((countCrossY + 2) + 1))) - (this.col_width / 8.0f)) + ((float) UITspPatternStyleX.this.DEADZONE_WIDTH));
                            } else {
                                startRectTopXPair = (int) ((this.mWidthCross * ((float) (countCrossY + 2 + 1))) + ((float) UITspPatternStyleX.this.DEADZONE_WIDTH));
                            }
                            startRectTopYPair = (int) (this.col_height + (this.mHeightCross * ((float) (countCrossY + 1))) + ((float) UITspPatternStyleX.this.DEADZONE_HEIGHT));
                        } else {
                            if (UITspPatternStyleX.this.isIncreaseWidth) {
                                if (countCrossY % 2 == 0) {
                                    f2 = this.mWidthCross;
                                    i9 = countCrossY + 2 + 1;
                                } else {
                                    f2 = this.mWidthCross;
                                    i9 = (countCrossY + 2) - 1;
                                }
                                startRectTopXPair = (int) (((f2 * ((float) i9)) - (this.col_width / 8.0f)) + ((float) UITspPatternStyleX.this.DEADZONE_WIDTH));
                            } else {
                                if (countCrossY % 2 == 0) {
                                    f = this.mWidthCross;
                                    i8 = countCrossY + 2 + 1;
                                } else {
                                    f = this.mWidthCross;
                                    i8 = (countCrossY + 2) - 1;
                                }
                                startRectTopXPair = (int) ((f * ((float) i8)) + ((float) UITspPatternStyleX.this.DEADZONE_WIDTH));
                            }
                            if (countCrossY % 2 == 0) {
                                i7 = (int) (this.col_height + (this.mHeightCross * ((float) (countCrossY + 1))) + ((float) UITspPatternStyleX.this.DEADZONE_HEIGHT));
                            } else {
                                i7 = (int) (this.col_height + (this.mHeightCross * ((float) (countCrossY - 1))) + ((float) UITspPatternStyleX.this.DEADZONE_HEIGHT));
                            }
                            startRectTopYPair = i7;
                        }
                        int startRectTopXPair2 = startRectTopXPair - (this.increase_px / 2);
                        this.mMatrixCanvas.drawRect((float) (startRectTopXPair2 + 1), (float) (startRectTopYPair + 1), (float) ((int) (((float) startRectTopXPair2) + this.mWidthBetween)), (float) ((int) (((float) startRectTopYPair) + (this.col_height / 2.0f))), paint);
                        invalidate(new Rect(startRectTopXPair2 - 1, startRectTopYPair - 1, (int) (((float) startRectTopXPair2) + this.mWidthBetween + 1.0f), (int) (((float) startRectTopYPair) + this.col_height + 1.0f)));
                        if (countCrossY % 2 == 0 && countCrossY >= 0) {
                            UITspPatternStyleX.this.drawCross[countCrossY + 1] = true;
                        } else if (countCrossY % 2 != 0 && countCrossY > 0) {
                            UITspPatternStyleX.this.drawCross[countCrossY - 1] = true;
                        }
                    }
                }
                if (x > ((float) startRectBottomX3) && x < ((float) startRectBottomX3) + this.mWidthBetween && !UITspPatternStyleX.this.drawCross[((UITspPatternStyleX.this.HEIGHT_BASIS_CROSS * 2) - 1) - countCrossY]) {
                    this.mMatrixCanvas.drawRect((float) (startRectBottomX3 + 1), (float) (startRectTopY + 1), (float) ((int) (((float) startRectBottomX3) + this.mWidthBetween)), (float) ((int) (((float) startRectTopY) + (this.col_height / 2.0f))), paint);
                    invalidate(new Rect(startRectBottomX3 - 1, startRectTopY - 1, (int) (((float) startRectBottomX3) + this.mWidthBetween + 1.0f), (int) (((float) startRectTopY) + this.col_height + 1.0f)));
                    if (countCrossY >= 0) {
                        UITspPatternStyleX.this.drawCross[((UITspPatternStyleX.this.HEIGHT_BASIS_CROSS * 2) - 1) - countCrossY] = true;
                    }
                    if (UITspPatternStyleX.this.isCheckCrossDouble) {
                        if (UITspPatternStyleX.this.isExistMargin) {
                            if (countCrossY == 0) {
                                if (UITspPatternStyleX.this.isIncreaseWidth) {
                                    startRectBottomXPair = (int) ((((((float) this.mScreenWidth) - (this.col_width * 1.0f)) + ((float) UITspPatternStyleX.this.MARGIN_LEFT)) - (this.mWidthCross * ((float) ((countCrossY + 2) + 1)))) - (this.col_width / 8.0f));
                                } else {
                                    startRectBottomXPair = (int) (((((float) this.mScreenWidth) - (this.col_width * 1.0f)) + ((float) UITspPatternStyleX.this.MARGIN_LEFT)) - (this.mWidthCross * ((float) ((countCrossY + 2) + 1))));
                                }
                                startRectBottomYPair = (int) (this.col_height + (this.mHeightCross * ((float) (countCrossY + 1))) + ((float) UITspPatternStyleX.this.MARGIN_TOP));
                            } else {
                                if (UITspPatternStyleX.this.isIncreaseWidth) {
                                    if (countCrossY % 2 == 0) {
                                        i6 = (int) ((((((float) this.mScreenWidth) - (this.col_width * 1.0f)) + ((float) UITspPatternStyleX.this.MARGIN_LEFT)) - (this.mWidthCross * ((float) ((countCrossY + 2) + 1)))) - (this.col_width / 8.0f));
                                    } else {
                                        i6 = (int) ((((((float) this.mScreenWidth) - (this.col_width * 1.0f)) + ((float) UITspPatternStyleX.this.MARGIN_LEFT)) - (this.mWidthCross * ((float) ((countCrossY + 2) - 1)))) - (this.col_width / 8.0f));
                                    }
                                    startRectBottomXPair = i6;
                                } else {
                                    if (countCrossY % 2 == 0) {
                                        i5 = (int) (((((float) this.mScreenWidth) - (this.col_width * 1.0f)) + ((float) UITspPatternStyleX.this.MARGIN_LEFT)) - (this.mWidthCross * ((float) ((countCrossY + 2) + 1))));
                                    } else {
                                        i5 = (int) (((((float) this.mScreenWidth) - (this.col_width * 1.0f)) + ((float) UITspPatternStyleX.this.MARGIN_LEFT)) - (this.mWidthCross * ((float) ((countCrossY + 2) - 1))));
                                    }
                                    startRectBottomXPair = i5;
                                }
                                if (countCrossY % 2 == 0) {
                                    i4 = (int) (this.col_height + (this.mHeightCross * ((float) (countCrossY + 1))) + ((float) UITspPatternStyleX.this.MARGIN_TOP));
                                } else {
                                    i4 = (int) (this.col_height + (this.mHeightCross * ((float) (countCrossY - 1))) + ((float) UITspPatternStyleX.this.MARGIN_TOP));
                                }
                                startRectBottomYPair = i4;
                            }
                        } else if (countCrossY == 0) {
                            if (UITspPatternStyleX.this.isIncreaseWidth) {
                                startRectBottomXPair = (int) ((((((float) this.mScreenWidth) - (this.col_width * 1.0f)) + ((float) UITspPatternStyleX.this.DEADZONE_WIDTH)) - (this.mWidthCross * ((float) ((countCrossY + 2) + 1)))) - (this.col_width / 8.0f));
                            } else {
                                startRectBottomXPair = (int) (((((float) this.mScreenWidth) - (this.col_width * 1.0f)) + ((float) UITspPatternStyleX.this.DEADZONE_WIDTH)) - (this.mWidthCross * ((float) ((countCrossY + 2) + 1))));
                            }
                            startRectBottomYPair = (int) (this.col_height + (this.mHeightCross * ((float) (countCrossY + 1))) + ((float) UITspPatternStyleX.this.DEADZONE_HEIGHT));
                        } else {
                            if (UITspPatternStyleX.this.isIncreaseWidth) {
                                if (countCrossY % 2 == 0) {
                                    i3 = (int) ((((((float) this.mScreenWidth) - (this.col_width * 1.0f)) + ((float) UITspPatternStyleX.this.DEADZONE_WIDTH)) - (this.mWidthCross * ((float) ((countCrossY + 2) + 1)))) - (this.col_width / 8.0f));
                                } else {
                                    i3 = (int) ((((((float) this.mScreenWidth) - (this.col_width * 1.0f)) + ((float) UITspPatternStyleX.this.DEADZONE_WIDTH)) - (this.mWidthCross * ((float) ((countCrossY + 2) - 1)))) - (this.col_width / 8.0f));
                                }
                                startRectBottomXPair = i3;
                            } else {
                                if (countCrossY % 2 == 0) {
                                    i2 = (int) (((((float) this.mScreenWidth) - (this.col_width * 1.0f)) + ((float) UITspPatternStyleX.this.DEADZONE_WIDTH)) - (this.mWidthCross * ((float) ((countCrossY + 2) + 1))));
                                } else {
                                    i2 = (int) (((((float) this.mScreenWidth) - (this.col_width * 1.0f)) + ((float) UITspPatternStyleX.this.DEADZONE_WIDTH)) - (this.mWidthCross * ((float) ((countCrossY + 2) - 1))));
                                }
                                startRectBottomXPair = i2;
                            }
                            if (countCrossY % 2 == 0) {
                                i = (int) (this.col_height + (this.mHeightCross * ((float) (countCrossY + 1))) + ((float) UITspPatternStyleX.this.DEADZONE_HEIGHT));
                            } else {
                                i = (int) (this.col_height + (this.mHeightCross * ((float) (countCrossY - 1))) + ((float) UITspPatternStyleX.this.DEADZONE_HEIGHT));
                            }
                            startRectBottomYPair = i;
                        }
                        int startRectBottomXPair2 = startRectBottomXPair - (this.increase_px / 2);
                        this.mMatrixCanvas.drawRect((float) (startRectBottomXPair2 + 1), (float) (startRectBottomYPair + 1), (float) ((int) (((float) startRectBottomXPair2) + this.mWidthBetween)), (float) ((int) (((float) startRectBottomYPair) + (this.col_height / 2.0f))), paint);
                        invalidate(new Rect(startRectBottomXPair2 - 1, startRectBottomYPair - 1, (int) (((float) startRectBottomXPair2) + this.mWidthBetween + 1.0f), (int) (((float) startRectBottomYPair) + this.col_height + 1.0f)));
                        if (countCrossY % 2 == 0 && countCrossY >= 0) {
                            UITspPatternStyleX.this.drawCross[(((UITspPatternStyleX.this.HEIGHT_BASIS_CROSS * 2) - 1) - countCrossY) - 1] = true;
                        } else if (countCrossY % 2 != 0 && countCrossY > 0) {
                            UITspPatternStyleX.this.drawCross[(((UITspPatternStyleX.this.HEIGHT_BASIS_CROSS * 2) - 1) - countCrossY) + 1] = true;
                        }
                    }
                }
            }
        }

        private void checkGhostTouch() {
            AlertDialog.Builder builder = new AlertDialog.Builder(UITspPatternStyleX.this);
            builder.setTitle("Ghost Touch");
            builder.setMessage("Ghost Touch Testing\n(Don't touch TSP!)");
            DialogInterface.OnDismissListener pl = new EmptyListener();
            builder.setPositiveButton("OK", (DialogInterface.OnClickListener) null);
            AlertDialog ad = builder.create();
            ad.setOnDismissListener(pl);
            ad.show();
        }

        private void wetCheckPopup() {
            AlertDialog.Builder builder = new AlertDialog.Builder(UITspPatternStyleX.this);
            builder.setTitle("Wet Check Mode");
            builder.setMessage("Wet Check Fail!");
            DialogInterface.OnDismissListener pl = new EmptyListener();
            builder.setPositiveButton("OK", (DialogInterface.OnClickListener) null);
            AlertDialog ad = builder.create();
            ad.setOnDismissListener(pl);
            ad.show();
        }

        public class EmptyListener implements DialogInterface.OnDismissListener {
            public EmptyListener() {
            }

            public void onDismiss(DialogInterface dialog) {
                FtUtil.log_d(UITspPatternStyleX.this.CLASS_NAME, "onDismiss", "bye bye~~ !");
                UITspPatternStyleX.this.dialog_showing = false;
                UITspPatternStyleX.this.finish();
            }
        }
    }
}
