package com.sec.factory.app.ui;

import android.app.AlertDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.SharedPreferences;
import android.content.res.Resources;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Point;
import android.graphics.Rect;
import android.os.Bundle;
import android.os.SystemProperties;
import android.provider.Settings;
import android.support.v4.view.InputDeviceCompat;
import android.util.Log;
import android.util.TypedValue;
import android.view.Display;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.View;
import android.view.WindowManager;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.ModuleCommunicationService;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import java.io.File;
import java.io.IOException;
import java.lang.reflect.Array;
import java.text.DecimalFormat;
import java.util.Calendar;

public class UITspPenPatternStyleX extends UIBase {
    private static final int ALL_CHECK = 3;
    private static final int FINGER_LINE = 1;
    private static final int REQUEST_GHOST_TEST = 1001;
    private static final int STYLUS_LINE = 2;
    private static final String TAG = "UITspPenPatternStyleX";
    private int DEADZONE_HEIGHT = 0;
    private int DEADZONE_WIDTH = 0;
    private final int DIRECTION_DOWN = 2;
    private final int DIRECTION_NONE = 0;
    private final int DIRECTION_UP = 1;
    private int HEIGHT_BASIS = 19;
    private int HEIGHT_BASIS_CROSS = 19;
    protected int KEY_TIMEOUT;
    protected int KEY_TIMER_EXPIRED;
    protected int MILLIS_IN_SEC;
    private float SIZE_RECT = 4.5f;
    private float SIZE_RECT_CROSS = 4.5f;
    private int SPEN_DEADZONE = 1;
    private int WIDTH_BASIS = 11;
    private int WIDTH_BASIS_CROSS = 11;
    private boolean[][] click;
    private boolean dialog_showing = false;
    private boolean[] drawCross_all;
    private boolean[] drawCross_pen;
    private boolean[] drawCross_touch;
    SharedPreferences.Editor editor;
    private boolean[][] isDrawArea;
    private boolean[][] isDrawArea_all;
    private boolean[][] isDrawArea_pen;
    private LinearPoint[] leftLinearPoint;
    private int mBottommostOfMatrix;
    private int mCenterOfHorizontalOfMatrix;
    private int mCenterOfVerticalOfMatrix;
    private boolean mCmdTestMode = false;
    private long mCurrTime;
    private float mDistanceAbsSpec = 0.0f;
    private boolean mIsPassCmdTest = false;
    private int mLeftmostOfMatrix;
    private MyView mMyView;
    private long mPrevTime;
    private int mRightmostOfMatrix;
    private int mTestID = 0;
    private String mTestName = FactoryTestManager.getItemName_RequestCode(125);
    private int mTopmostOfMatrix;
    private int mUnnessaryNode = 0;
    private boolean needFailPopupDispaly = false;
    private boolean[][] pen;
    SharedPreferences prefLastTouchPoint;
    private int pxsize = 0;
    private int pxsize_cross = 0;
    private boolean remoteCall = false;
    private LinearPoint[] rightLinearPoint;
    private boolean successPen = true;
    private boolean successTest = true;
    private boolean successTouch = true;
    private boolean[][] touch;

    public class EmptyListener implements DialogInterface.OnClickListener {
        public EmptyListener() {
        }

        public void onClick(DialogInterface dialog, int which) {
            UITspPenPatternStyleX.this.finish();
        }
    }

    public class LinearPoint {
        float calDistance = 0.0f;
        int direction = 0;
        float distance = 0.0f;
        boolean visitFlag = false;
        float x = 0.0f;
        float y = 0.0f;

        public LinearPoint() {
        }

        public void setPosition(float x2, float y2) {
            this.x = x2;
            this.y = y2;
        }

        public void setFlag(boolean flag) {
            this.visitFlag = flag;
        }

        public boolean getFlag() {
            return this.visitFlag;
        }
    }

    public UITspPenPatternStyleX() {
        super(TAG);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        FtUtil.setRemoveSystemUI(getWindow(), true);
        this.mTestID = getIntent().getExtras().getInt("testID");
        this.mCmdTestMode = getIntent().getExtras().getBoolean("isCmd");
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "onCreate", "isCmd : " + this.mCmdTestMode);
        int i = this.mTestID;
        if (i == 125) {
            setTestId(105);
        } else {
            setTestId(i);
        }
        try {
            Log.i(TAG, "TEST_TSP_SELF = " + getIntent().getBooleanExtra("TEST_TSP_SELF", false));
            if (!getIntent().getBooleanExtra("TEST_TSP_SELF", true)) {
                this.successTest = false;
                this.needFailPopupDispaly = true;
            }
        } catch (Exception e) {
            Log.i(TAG, "Exception");
        }
        initGridSettings();
        initLinearSetting();
        SharedPreferences sharedPreferences = getSharedPreferences("LAST_TOUCHED_POINT", 0);
        this.prefLastTouchPoint = sharedPreferences;
        this.editor = sharedPreferences.edit();
        this.KEY_TIMER_EXPIRED = 1;
        this.MILLIS_IN_SEC = 1000;
        this.KEY_TIMEOUT = 2;
        Log.i(TAG, "TouchTest is created");
        MyView myView = new MyView(this);
        this.mMyView = myView;
        setContentView(myView);
        fillUpMatrix();
    }

    private void initGridSettings() {
        Resources r = getResources();
        this.pxsize = (int) TypedValue.applyDimension(5, this.SIZE_RECT, r.getDisplayMetrics());
        this.pxsize_cross = (int) TypedValue.applyDimension(5, this.SIZE_RECT_CROSS, r.getDisplayMetrics());
        this.DEADZONE_WIDTH = (int) TypedValue.applyDimension(5, (float) this.SPEN_DEADZONE, r.getDisplayMetrics());
        this.DEADZONE_HEIGHT = (int) TypedValue.applyDimension(5, (float) this.SPEN_DEADZONE, r.getDisplayMetrics());
        Display mDisplay = ((WindowManager) getSystemService("window")).getDefaultDisplay();
        Point outpoint = new Point();
        mDisplay.getRealSize(outpoint);
        this.WIDTH_BASIS = outpoint.x / this.pxsize;
        this.HEIGHT_BASIS = outpoint.y / this.pxsize;
        int nScreenHeight = outpoint.y - (this.DEADZONE_HEIGHT * 2);
        int i = outpoint.x - (this.DEADZONE_WIDTH * 2);
        int i2 = this.HEIGHT_BASIS;
        int i3 = ((int) ((((float) nScreenHeight) - ((((float) nScreenHeight) / ((float) i2)) * 2.0f)) / (((float) this.pxsize_cross) / 2.0f))) + 1;
        this.HEIGHT_BASIS_CROSS = i3;
        this.WIDTH_BASIS_CROSS = i3;
        int[] iArr = new int[2];
        iArr[1] = this.WIDTH_BASIS;
        iArr[0] = i2;
        this.click = (boolean[][]) Array.newInstance(boolean.class, iArr);
        int i4 = this.HEIGHT_BASIS;
        int[] iArr2 = new int[2];
        iArr2[1] = this.WIDTH_BASIS;
        iArr2[0] = i4;
        this.touch = (boolean[][]) Array.newInstance(boolean.class, iArr2);
        int i5 = this.HEIGHT_BASIS;
        int[] iArr3 = new int[2];
        iArr3[1] = this.WIDTH_BASIS;
        iArr3[0] = i5;
        this.pen = (boolean[][]) Array.newInstance(boolean.class, iArr3);
        int i6 = this.HEIGHT_BASIS;
        int[] iArr4 = new int[2];
        iArr4[1] = this.WIDTH_BASIS;
        iArr4[0] = i6;
        this.isDrawArea = (boolean[][]) Array.newInstance(boolean.class, iArr4);
        int i7 = this.HEIGHT_BASIS;
        int[] iArr5 = new int[2];
        iArr5[1] = this.WIDTH_BASIS;
        iArr5[0] = i7;
        this.isDrawArea_pen = (boolean[][]) Array.newInstance(boolean.class, iArr5);
        int i8 = this.HEIGHT_BASIS;
        int[] iArr6 = new int[2];
        iArr6[1] = this.WIDTH_BASIS;
        iArr6[0] = i8;
        this.isDrawArea_all = (boolean[][]) Array.newInstance(boolean.class, iArr6);
        int i9 = this.HEIGHT_BASIS_CROSS;
        this.drawCross_touch = new boolean[(i9 * 2)];
        this.drawCross_pen = new boolean[(i9 * 2)];
        this.drawCross_all = new boolean[(i9 * 2)];
        this.mTopmostOfMatrix = 0;
        int i10 = this.HEIGHT_BASIS;
        this.mBottommostOfMatrix = i10 - 1;
        this.mCenterOfVerticalOfMatrix = i10 / 2;
        this.mLeftmostOfMatrix = 0;
        int i11 = this.WIDTH_BASIS;
        this.mRightmostOfMatrix = i11 - 1;
        this.mCenterOfHorizontalOfMatrix = i11 / 2;
    }

    private void initLinearSetting() {
        int i = this.HEIGHT_BASIS_CROSS;
        this.leftLinearPoint = new LinearPoint[i];
        this.rightLinearPoint = new LinearPoint[i];
        for (int index = 0; index < this.HEIGHT_BASIS_CROSS; index++) {
            this.leftLinearPoint[index] = new LinearPoint();
        }
        for (int index2 = 0; index2 < this.HEIGHT_BASIS_CROSS; index2++) {
            this.rightLinearPoint[index2] = new LinearPoint();
        }
        this.mUnnessaryNode = Support.Spec.getInt(Support.Spec.SPEN_UNNECESSARY_NODE_COUNT);
        this.mDistanceAbsSpec = Support.Spec.getFloat(Support.Spec.SPEN_DISTANCE_ABS_SPEC);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        Settings.System.putInt(getContentResolver(), "pen_detect_mode_disabled", 0);
        Support.Kernel.write(Support.Kernel.EPEN_SAVINGMODE, "0");
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        this.editor.putString("LAST_TOUCHED", ModuleCommunicationService.SMD_NOK);
        this.editor.commit();
        super.onPause();
    }

    /* access modifiers changed from: protected */
    public void onActivityResult(int requestCode, int resultCode, Intent data) {
        Log.i(TAG, "resultCode = " + requestCode);
        if (requestCode == 1001 && resultCode == 0) {
            setResult(0);
            finish();
        }
    }

    @Override // com.sec.factory.app.ui.UIBase
    public boolean onKeyDown(int keyCode, KeyEvent event) {
        if (keyCode == 24) {
            FtUtil.log_i(this.CLASS_NAME, "onKeyDown", "This is Vol up_key");
            if (!isPass(3) || !isPassCross(3)) {
                setResult(0);
                finish();
            }
        }
        return super.onKeyDown(keyCode, event);
    }

    private void decideRemote() {
        this.remoteCall = getIntent().getBooleanExtra("RemoteCall", false);
    }

    private void fillUpMatrix() {
        for (int row = 0; row < this.HEIGHT_BASIS; row++) {
            for (int column = 0; column < this.WIDTH_BASIS; column++) {
                if (isNeededCheck(row, column)) {
                    this.isDrawArea[row][column] = true;
                    this.isDrawArea_pen[row][column] = true;
                } else {
                    this.isDrawArea[row][column] = false;
                    this.isDrawArea_pen[row][column] = false;
                }
            }
        }
        for (int row2 = 0; row2 < this.HEIGHT_BASIS; row2++) {
            for (int column2 = 0; column2 < this.WIDTH_BASIS; column2++) {
                this.isDrawArea_all[row2][column2] = false;
            }
        }
    }

    private boolean isNeededCheck(int row, int column) {
        return row == this.mTopmostOfMatrix || row == this.mBottommostOfMatrix || column == this.mLeftmostOfMatrix || column == this.mRightmostOfMatrix;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean isPass(int mType) {
        boolean isPass = true;
        switch (mType) {
            case 1:
                for (int i = 0; i < this.HEIGHT_BASIS; i++) {
                    for (int j = 0; j < this.WIDTH_BASIS; j++) {
                        if (this.isDrawArea[i][j]) {
                            isPass = isPass && this.touch[i][j];
                        }
                    }
                }
                break;
            case 2:
                for (int i2 = 0; i2 < this.HEIGHT_BASIS; i2++) {
                    for (int j2 = 0; j2 < this.WIDTH_BASIS; j2++) {
                        if (this.isDrawArea_pen[i2][j2]) {
                            isPass = isPass && this.pen[i2][j2];
                        }
                    }
                }
                break;
            case 3:
                for (int i3 = 0; i3 < this.HEIGHT_BASIS; i3++) {
                    for (int j3 = 0; j3 < this.WIDTH_BASIS; j3++) {
                        if (this.isDrawArea[i3][j3]) {
                            isPass = isPass && this.touch[i3][j3];
                        }
                    }
                }
                for (int i4 = 0; i4 < this.HEIGHT_BASIS; i4++) {
                    for (int j4 = 0; j4 < this.WIDTH_BASIS; j4++) {
                        if (this.isDrawArea_pen[i4][j4]) {
                            isPass = isPass && this.pen[i4][j4];
                        }
                    }
                }
                break;
        }
        return isPass;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean isPassCross(int mType) {
        boolean isPassCross = true;
        switch (mType) {
            case 1:
                for (int i = 0; i < this.HEIGHT_BASIS_CROSS * 2; i++) {
                    isPassCross = isPassCross && this.drawCross_touch[i];
                }
                break;
            case 2:
                for (int i2 = 0; i2 < this.HEIGHT_BASIS_CROSS * 2; i2++) {
                    isPassCross = isPassCross && this.drawCross_pen[i2];
                }
                break;
            case 3:
                for (int i3 = 0; i3 < this.HEIGHT_BASIS_CROSS * 2; i3++) {
                    isPassCross = isPassCross && this.drawCross_touch[i3] && this.drawCross_pen[i3];
                }
                break;
        }
        return isPassCross;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean checkLinearity() {
        int i;
        String str;
        int i2;
        boolean result;
        String str2;
        LinearPoint startP;
        LinearPoint endP;
        int i3;
        float largeMax;
        int i4;
        LinearPoint startP2 = new LinearPoint();
        LinearPoint endP2 = new LinearPoint();
        float leftCrossUpMax = 0.0f;
        float leftCrossDownMax = 0.0f;
        float rightCrossUpMax = 0.0f;
        float rightCrossDownMax = 0.0f;
        float largeMax2 = 0.0f;
        startP2.setPosition(this.leftLinearPoint[this.mUnnessaryNode + 0].x, this.leftLinearPoint[this.mUnnessaryNode + 0].y);
        endP2.setPosition(this.leftLinearPoint[(this.HEIGHT_BASIS_CROSS - this.mUnnessaryNode) - 1].x, this.leftLinearPoint[(this.HEIGHT_BASIS_CROSS - this.mUnnessaryNode) - 1].y);
        float segmentMag = ((float) Math.pow((double) (endP2.x - startP2.x), 2.0d)) + ((float) Math.pow((double) (endP2.y - startP2.y), 2.0d));
        FtUtil.log_i(this.CLASS_NAME, "checkLinearity", String.format("[%d] start.x : %f, start.y : %f / [%d] end.x : %f, end.y : %f", Integer.valueOf(this.mUnnessaryNode + 0), Float.valueOf(startP2.x), Float.valueOf(startP2.y), Integer.valueOf((this.HEIGHT_BASIS_CROSS - 1) - this.mUnnessaryNode), Float.valueOf(endP2.x), Float.valueOf(endP2.y)));
        int i5 = 1;
        int index = this.mUnnessaryNode + 1;
        while (true) {
            int i6 = this.HEIGHT_BASIS_CROSS - i5;
            i = this.mUnnessaryNode;
            str = "index : %d, x : %f / y : %f";
            if (index >= i6 - i) {
                break;
            }
            FtUtil.log_i(this.CLASS_NAME, "checkLinearity", String.format(str, Integer.valueOf(index), Float.valueOf(this.leftLinearPoint[index].x), Float.valueOf(this.leftLinearPoint[index].y)));
            if (segmentMag != 0.0f) {
                float u = (((this.leftLinearPoint[index].x - startP2.x) * (endP2.x - startP2.x)) + ((this.leftLinearPoint[index].y - startP2.y) * (endP2.y - startP2.y))) / segmentMag;
                float xp = startP2.x + ((endP2.x - startP2.x) * u);
                largeMax = largeMax2;
                float yp = startP2.y + ((endP2.y - startP2.y) * u);
                LinearPoint[] linearPointArr = this.leftLinearPoint;
                linearPointArr[index].distance = (float) Math.sqrt((double) (((xp - linearPointArr[index].x) * (xp - this.leftLinearPoint[index].x)) + ((yp - this.leftLinearPoint[index].y) * (yp - this.leftLinearPoint[index].y))));
                if (this.leftLinearPoint[index].y >= yp) {
                    this.leftLinearPoint[index].direction = 2;
                    i4 = 1;
                } else {
                    i4 = 1;
                    this.leftLinearPoint[index].direction = 1;
                }
            } else {
                largeMax = largeMax2;
                i4 = 1;
            }
            if (this.leftLinearPoint[index].direction == i4) {
                leftCrossUpMax = Math.max(this.leftLinearPoint[index].distance, leftCrossUpMax);
            } else if (this.leftLinearPoint[index].direction == 2) {
                leftCrossDownMax = Math.max(this.leftLinearPoint[index].distance, leftCrossDownMax);
            }
            index++;
            rightCrossUpMax = rightCrossUpMax;
            rightCrossDownMax = rightCrossDownMax;
            largeMax2 = largeMax;
            i5 = 1;
        }
        startP2.setPosition(this.rightLinearPoint[i + 0].x, this.rightLinearPoint[this.mUnnessaryNode + 0].y);
        endP2.setPosition(this.rightLinearPoint[(this.HEIGHT_BASIS_CROSS - 1) - this.mUnnessaryNode].x, this.rightLinearPoint[(this.HEIGHT_BASIS_CROSS - 1) - this.mUnnessaryNode].y);
        float segmentMag2 = ((float) Math.pow((double) (endP2.x - startP2.x), 2.0d)) + ((float) Math.pow((double) (endP2.y - startP2.y), 2.0d));
        FtUtil.log_i(this.CLASS_NAME, "checkLinearity", String.format("[%d] start.x : %f, start.y : %f / [%d] end.x : %f, end.y : %f", Integer.valueOf(this.mUnnessaryNode + 0), Float.valueOf(startP2.x), Float.valueOf(startP2.y), Integer.valueOf((this.HEIGHT_BASIS_CROSS - 1) - this.mUnnessaryNode), Float.valueOf(endP2.x), Float.valueOf(endP2.y)));
        int index2 = this.mUnnessaryNode + 1;
        float rightCrossUpMax2 = rightCrossUpMax;
        float rightCrossDownMax2 = rightCrossDownMax;
        for (int i7 = 1; index2 < (this.HEIGHT_BASIS_CROSS - i7) - this.mUnnessaryNode; i7 = 1) {
            FtUtil.log_i(this.CLASS_NAME, "checkLinearity", String.format(str, Integer.valueOf(index2), Float.valueOf(this.rightLinearPoint[index2].x), Float.valueOf(this.rightLinearPoint[index2].y)));
            if (segmentMag2 != 0.0f) {
                float u2 = (((this.rightLinearPoint[index2].x - startP2.x) * (endP2.x - startP2.x)) + ((this.rightLinearPoint[index2].y - startP2.y) * (endP2.y - startP2.y))) / segmentMag2;
                float xp2 = startP2.x + ((endP2.x - startP2.x) * u2);
                endP = endP2;
                float yp2 = startP2.y + ((endP2.y - startP2.y) * u2);
                LinearPoint[] linearPointArr2 = this.rightLinearPoint;
                startP = startP2;
                str2 = str;
                linearPointArr2[index2].distance = (float) Math.sqrt((double) (((xp2 - linearPointArr2[index2].x) * (xp2 - this.rightLinearPoint[index2].x)) + ((yp2 - this.rightLinearPoint[index2].y) * (yp2 - this.rightLinearPoint[index2].y))));
                if (this.rightLinearPoint[index2].y >= yp2) {
                    this.rightLinearPoint[index2].direction = 2;
                    i3 = 1;
                } else {
                    i3 = 1;
                    this.rightLinearPoint[index2].direction = 1;
                }
            } else {
                startP = startP2;
                endP = endP2;
                str2 = str;
                i3 = 1;
            }
            if (this.rightLinearPoint[index2].direction == i3) {
                rightCrossUpMax2 = Math.max(this.rightLinearPoint[index2].distance, rightCrossUpMax2);
            } else if (this.rightLinearPoint[index2].direction == 2) {
                rightCrossDownMax2 = Math.max(this.rightLinearPoint[index2].distance, rightCrossDownMax2);
            }
            index2++;
            endP2 = endP;
            startP2 = startP;
            str = str2;
        }
        float largeMax3 = calibrateDistance(leftCrossUpMax, leftCrossDownMax, rightCrossUpMax2, rightCrossDownMax2);
        int i8 = 1;
        int index3 = this.mUnnessaryNode + 1;
        int specOutCount = 0;
        while (true) {
            int i9 = this.HEIGHT_BASIS_CROSS - i8;
            i2 = this.mUnnessaryNode;
            if (index3 >= i9 - i2) {
                break;
            }
            if (this.leftLinearPoint[index3].distance >= this.mDistanceAbsSpec) {
                specOutCount++;
                FtUtil.log_d(this.CLASS_NAME, "checkLinearity", FtUtil.setMspSeqMessage(1, this.mTestName, "Fail : Spec Out -> " + this.leftLinearPoint[index3].distance));
            }
            index3++;
            i8 = 1;
        }
        int index4 = i2 + 1;
        for (int index5 = 1; index4 < (this.HEIGHT_BASIS_CROSS - index5) - this.mUnnessaryNode; index5 = 1) {
            if (this.rightLinearPoint[index4].distance >= this.mDistanceAbsSpec) {
                specOutCount++;
                FtUtil.log_d(this.CLASS_NAME, "checkLinearity", FtUtil.setMspSeqMessage(1, this.mTestName, "Fail : Spec Out -> " + this.rightLinearPoint[index4].distance));
            }
            index4++;
        }
        if ("tester".equals(SystemProperties.get("sys.factory.gadgetmode", "none"))) {
            result = false;
            showLinearityData(String.format("[Linearity Info]\r\nMax calDistance : %f\r\nSpecOut Count : %d", Float.valueOf(largeMax3), Integer.valueOf(specOutCount)));
        } else {
            result = true;
        }
        saveLinearityData(largeMax3, specOutCount);
        return result;
    }

    private float calibrateDistance(float lCrossUpMax, float lCrossDownMax, float rCrossUpMax, float rCrossDownMax) {
        int i;
        float distanceMax = 0.0f;
        FtUtil.log_i(this.CLASS_NAME, "calibrateDistance", String.format("leftCrossUpMax : %f, downMax : %f / rightCrossUpMax : %f, downMax : %f", Float.valueOf(lCrossUpMax), Float.valueOf(lCrossDownMax), Float.valueOf(rCrossUpMax), Float.valueOf(rCrossDownMax)));
        int index = this.mUnnessaryNode + 1;
        while (true) {
            i = this.mUnnessaryNode;
            if (index >= (this.HEIGHT_BASIS_CROSS - 1) - i) {
                break;
            }
            if (this.leftLinearPoint[index].direction == 1) {
                LinearPoint[] linearPointArr = this.leftLinearPoint;
                linearPointArr[index].calDistance = linearPointArr[index].distance + lCrossDownMax;
            } else if (this.leftLinearPoint[index].direction == 2) {
                LinearPoint[] linearPointArr2 = this.leftLinearPoint;
                linearPointArr2[index].calDistance = linearPointArr2[index].distance + lCrossUpMax;
            }
            distanceMax = Math.max(distanceMax, this.leftLinearPoint[index].calDistance);
            FtUtil.log_i(this.CLASS_NAME, "calibrateDistance", String.format("[%d] leftCross distance : %f, leftCross calDistance : %f", Integer.valueOf(index), Float.valueOf(this.leftLinearPoint[index].distance), Float.valueOf(this.leftLinearPoint[index].calDistance)));
            index++;
        }
        for (int index2 = i + 1; index2 < (this.HEIGHT_BASIS_CROSS - 1) - this.mUnnessaryNode; index2++) {
            if (this.rightLinearPoint[index2].direction == 1) {
                LinearPoint[] linearPointArr3 = this.rightLinearPoint;
                linearPointArr3[index2].calDistance = linearPointArr3[index2].distance + rCrossDownMax;
            } else if (this.rightLinearPoint[index2].direction == 2) {
                LinearPoint[] linearPointArr4 = this.rightLinearPoint;
                linearPointArr4[index2].calDistance = linearPointArr4[index2].distance + rCrossUpMax;
            }
            distanceMax = Math.max(distanceMax, this.rightLinearPoint[index2].calDistance);
            FtUtil.log_i(this.CLASS_NAME, "calibrateDistance", String.format("[%d] rightCross distance : %f, rightCross calDistance : %f", Integer.valueOf(index2), Float.valueOf(this.rightLinearPoint[index2].distance), Float.valueOf(this.rightLinearPoint[index2].calDistance)));
        }
        return distanceMax;
    }

    private void saveLinearityData(float largeMax, int count) {
        File linearityDataFile = new File("data/log/LinearityData.log");
        File linearityImgDir = new File("data/log/LinearityImg");
        Calendar cal = Calendar.getInstance();
        String screenCapture_time = cal.get(1) + new DecimalFormat("00").format((long) (cal.get(2) + 1)) + new DecimalFormat("00").format((long) cal.get(5)) + new DecimalFormat("00").format((long) cal.get(11)) + new DecimalFormat("00").format((long) cal.get(12)) + new DecimalFormat("00").format((long) cal.get(13));
        Support.Kernel.writeToPathNsync(linearityDataFile.getPath(), String.format("%.2f,%d", Float.valueOf(largeMax), Integer.valueOf(count)));
        if (!linearityImgDir.exists()) {
            linearityImgDir.mkdir();
        }
        doShellCmd("screencap -p /data/log/LinearityImg/linearity_" + screenCapture_time + ".png");
    }

    private void doShellCmd(String cmd) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "doShellCmd", "DoShellCmd : " + cmd);
        String[] shell_command = {"/system/bin/sh", "-c", cmd};
        try {
            FtUtil.log_i(this.CLASS_NAME, "doShellCmd", "exec command");
            Runtime.getRuntime().exec(shell_command);
            FtUtil.log_i(this.CLASS_NAME, "doShellCmd", "exec done");
        } catch (IOException e) {
            FtUtil.log_e(this.CLASS_NAME, "doShellCmd", "doShellCmd - IOException");
        } catch (SecurityException e2) {
            FtUtil.log_e(this.CLASS_NAME, "doShellCmd", "doShellCmd - SecurityException");
        }
        FtUtil.log_i(this.CLASS_NAME, "doShellCmd", "doShellCmd done");
    }

    private void showLinearityData(String string) {
        this.mCmdTestMode = true;
        AlertDialog.Builder builder = new AlertDialog.Builder(this);
        builder.setTitle("Linearity Result");
        builder.setMessage(string);
        builder.setPositiveButton("OK", new EmptyListener());
        builder.create().show();
    }

    public class MyView extends View {
        private static final int DARK_PURPLE = -8388480;
        private static final int LEFT_CROSS_AREA = 0;
        private static final int RIGHT_CROSS_AREA = 1;
        private float col_height = 0.0f;
        private float col_height_cross = 0.0f;
        private float col_width = 0.0f;
        private float col_width_cross = 0.0f;
        private boolean isSpenDown;
        private boolean isTouchDown;
        private Paint mClickPaint;
        private float mCrossOffset;
        private Paint mEmptyPaint;
        private float mHeightCross = 0.0f;
        private Bitmap mLineBitmap;
        private Canvas mLineCanvas;
        private Paint mLinePaint;
        private Bitmap mMatrixBitmap;
        private Canvas mMatrixCanvas;
        private Paint mNonClickPaint;
        private Paint mPenPaint;
        private float mPreSPENX = this.mSPENX;
        private float mPreSPENY = this.mSPENY;
        private float mPreTSPX = this.mTSPX;
        private float mPreTSPY = this.mTSPY;
        private float mPreTouchedX = 0.0f;
        private float mPreTouchedY = 0.0f;
        private float mSPENX;
        private float mSPENY;
        private int mScreenHeight;
        private int mScreenWidth;
        private float mTSPX;
        private float mTSPY;
        private Paint mTouchPaint;
        private float mTouchedX = 0.0f;
        private float mTouchedY = 0.0f;
        private float mWidthCross = 0.0f;
        private float pxToMmValue = 0.0f;

        public MyView(Context context) {
            super(context);
            setKeepScreenOn(true);
            Display mDisplay = ((WindowManager) context.getSystemService("window")).getDefaultDisplay();
            Point outpoint = new Point();
            mDisplay.getRealSize(outpoint);
            this.mScreenWidth = outpoint.x - (UITspPenPatternStyleX.this.DEADZONE_WIDTH * 2);
            this.mScreenHeight = outpoint.y - (UITspPenPatternStyleX.this.DEADZONE_HEIGHT * 2);
            Log.i(UITspPenPatternStyleX.TAG, "Screen size: " + this.mScreenWidth + " x " + this.mScreenHeight);
            this.mMatrixBitmap = Bitmap.createBitmap(outpoint.x, outpoint.y, Bitmap.Config.ARGB_8888);
            Canvas canvas = new Canvas(this.mMatrixBitmap);
            this.mMatrixCanvas = canvas;
            canvas.drawColor(-1);
            this.mLineBitmap = Bitmap.createBitmap(outpoint.x, outpoint.y, Bitmap.Config.ARGB_8888);
            this.mLineCanvas = new Canvas(this.mLineBitmap);
            this.col_height = ((float) this.mScreenHeight) / ((float) UITspPenPatternStyleX.this.HEIGHT_BASIS);
            this.col_width = ((float) this.mScreenWidth) / ((float) UITspPenPatternStyleX.this.WIDTH_BASIS);
            float f = (((float) this.mScreenHeight) - (this.col_height * 2.0f)) / ((float) UITspPenPatternStyleX.this.HEIGHT_BASIS_CROSS);
            this.col_height_cross = f;
            this.col_width_cross = f * 2.0f;
            this.pxToMmValue = TypedValue.applyDimension(5, 1.0f, getResources().getDisplayMetrics());
            float f2 = this.col_height;
            float f3 = this.col_height_cross;
            float f4 = ((((float) this.mScreenWidth) + this.col_width) - (this.col_width_cross * 2.0f)) / (((float) UITspPenPatternStyleX.this.WIDTH_BASIS_CROSS) + (f2 / f3));
            this.mWidthCross = f4;
            this.mHeightCross = f3;
            this.mCrossOffset = (((f4 * (f2 + f3)) / (f3 * 2.0f)) + (this.col_width / 2.0f)) - (this.col_width_cross / 2.0f);
            String str = UITspPenPatternStyleX.this.CLASS_NAME;
            FtUtil.log_d(str, "MyView", "HEIGHT_BASIS = " + UITspPenPatternStyleX.this.HEIGHT_BASIS + " WIDTH_BASIS = " + UITspPenPatternStyleX.this.WIDTH_BASIS + " HEIGHT_BASIS_CROSS = " + UITspPenPatternStyleX.this.HEIGHT_BASIS_CROSS);
            setPaint();
            initRect();
            drawTeachingPoint();
            this.isTouchDown = false;
            this.isSpenDown = false;
        }

        private void setPaint() {
            Paint paint = new Paint();
            this.mLinePaint = paint;
            paint.setAntiAlias(true);
            this.mLinePaint.setDither(true);
            this.mLinePaint.setColor(-16777216);
            this.mLinePaint.setStyle(Paint.Style.STROKE);
            this.mLinePaint.setStrokeJoin(Paint.Join.ROUND);
            this.mLinePaint.setStrokeCap(Paint.Cap.SQUARE);
            this.mLinePaint.setStrokeWidth(2.0f);
            this.mLinePaint.setColor(-16777216);
            Paint paint2 = new Paint();
            this.mClickPaint = paint2;
            paint2.setAntiAlias(false);
            this.mClickPaint.setStyle(Paint.Style.FILL);
            this.mClickPaint.setColor(-16711936);
            Paint paint3 = new Paint();
            this.mTouchPaint = paint3;
            paint3.setAntiAlias(true);
            this.mTouchPaint.setColor(InputDeviceCompat.SOURCE_ANY);
            Paint paint4 = new Paint();
            this.mPenPaint = paint4;
            paint4.setAntiAlias(true);
            this.mPenPaint.setColor(DARK_PURPLE);
            Paint paint5 = new Paint();
            this.mNonClickPaint = paint5;
            paint5.setAntiAlias(false);
            this.mNonClickPaint.setColor(-1);
            Paint paint6 = new Paint();
            this.mEmptyPaint = paint6;
            paint6.setAntiAlias(false);
            this.mEmptyPaint.setColor(-1);
        }

        /* access modifiers changed from: protected */
        public void onDraw(Canvas canvas) {
            canvas.drawBitmap(this.mMatrixBitmap, 0.0f, 0.0f, (Paint) null);
            canvas.drawBitmap(this.mLineBitmap, 0.0f, 0.0f, (Paint) null);
        }

        public boolean onTouchEvent(MotionEvent event) {
            int action = event.getAction();
            int pointerCount = event.getPointerCount();
            if (!UITspPenPatternStyleX.this.dialog_showing && pointerCount > 1) {
                UITspPenPatternStyleX.this.dialog_showing = true;
                startActivityForResult(new Intent(UITspPenPatternStyleX.this, UITouchTestGhost.class), 1001);
            }
            switch (action) {
                case 0:
                    if (event.getToolType(0) == 1) {
                        this.mTSPX = event.getX();
                        float y = event.getY();
                        this.mTSPY = y;
                        drawRect(this.mTSPX, y, this.mTouchPaint, event.getToolType(0));
                        if (UITspPenPatternStyleX.this.mIsPassCmdTest) {
                            FtUtil.log_d(UITspPenPatternStyleX.this.CLASS_NAME, "onTouchEvent", "Already test end[TSP - ACTION_DOWN] (" + this.mTSPX + "," + this.mTSPY + ")");
                        }
                        UITspPenPatternStyleX.this.editor.putString("LAST_TOUCHED", String.valueOf((int) this.mTSPX) + "," + String.valueOf((int) this.mTSPY));
                        UITspPenPatternStyleX.this.editor.commit();
                    } else if (event.getToolType(0) == 2) {
                        this.mSPENX = event.getX();
                        float y2 = event.getY();
                        this.mSPENY = y2;
                        drawRect(this.mSPENX, y2, this.mPenPaint, event.getToolType(0));
                        if (UITspPenPatternStyleX.this.mIsPassCmdTest) {
                            FtUtil.log_d(UITspPenPatternStyleX.this.CLASS_NAME, "onTouchEvent", "Already test end[SPEN - ACTION_DOWN] (" + this.mSPENX + "," + this.mSPENY + ")");
                        }
                        UITspPenPatternStyleX.this.editor.putString("LAST_TOUCHED", String.valueOf((int) this.mSPENX) + "," + String.valueOf((int) this.mSPENY));
                        UITspPenPatternStyleX.this.editor.commit();
                    }
                    drawTeachingPoint();
                    this.isTouchDown = true;
                    break;
                case 1:
                    if (this.isTouchDown) {
                        this.mPreTouchedX = this.mTouchedX;
                        this.mPreTouchedY = this.mTouchedY;
                        this.mTouchedX = event.getX();
                        float y3 = event.getY();
                        this.mTouchedY = y3;
                        float f = this.mPreTouchedX;
                        float f2 = this.mTouchedX;
                        if (f == f2 && this.mPreTouchedY == y3) {
                            drawPoint(f2, y3);
                        }
                        drawTeachingPoint();
                        if (UITspPenPatternStyleX.this.mIsPassCmdTest) {
                            FtUtil.log_d(UITspPenPatternStyleX.this.CLASS_NAME, "onTouchEvent", "Already test end[ACTION_UP] (" + this.mTouchedX + "," + this.mTouchedY + ")");
                        }
                        UITspPenPatternStyleX.this.editor.putString("LAST_TOUCHED", ModuleCommunicationService.SMD_NOK);
                        UITspPenPatternStyleX.this.editor.commit();
                        this.isTouchDown = false;
                        break;
                    }
                    break;
                case 2:
                    if (this.isTouchDown) {
                        if (event.getToolType(0) == 1) {
                            for (int i = 0; i < event.getHistorySize(); i++) {
                                this.mPreTSPX = this.mTSPX;
                                this.mPreTSPY = this.mTSPY;
                                this.mTSPX = event.getHistoricalX(i);
                                float historicalY = event.getHistoricalY(i);
                                this.mTSPY = historicalY;
                                drawRect(this.mTSPX, historicalY, this.mTouchPaint, event.getToolType(0));
                                drawLine(this.mPreTSPX, this.mPreTSPY, this.mTSPX, this.mTSPY, 1);
                            }
                            this.mPreTSPX = this.mTSPX;
                            this.mPreTSPY = this.mTSPY;
                            this.mTSPX = event.getX();
                            float y4 = event.getY();
                            this.mTSPY = y4;
                            drawRect(this.mTSPX, y4, this.mTouchPaint, event.getToolType(0));
                            drawLine(this.mPreTSPX, this.mPreTSPY, this.mTSPX, this.mTSPY, 1);
                        } else if (event.getToolType(0) == 2) {
                            for (int i2 = 0; i2 < event.getHistorySize(); i2++) {
                                this.mPreSPENX = this.mSPENX;
                                this.mPreSPENY = this.mSPENY;
                                this.mSPENX = event.getHistoricalX(i2);
                                float historicalY2 = event.getHistoricalY(i2);
                                this.mSPENY = historicalY2;
                                drawRect(this.mSPENX, historicalY2, this.mPenPaint, event.getToolType(0));
                                drawLine(this.mPreSPENX, this.mPreSPENY, this.mSPENX, this.mSPENY, 2);
                            }
                            this.mPreSPENX = this.mSPENX;
                            this.mPreSPENY = this.mSPENY;
                            this.mSPENX = event.getX();
                            float y5 = event.getY();
                            this.mSPENY = y5;
                            drawRect(this.mSPENX, y5, this.mPenPaint, event.getToolType(0));
                            drawLine(this.mPreSPENX, this.mPreSPENY, this.mSPENX, this.mSPENY, 2);
                        }
                        drawTeachingPoint();
                        this.isTouchDown = true;
                        break;
                    }
                    break;
            }
            return true;
        }

        private void drawTeachingPoint() {
            float pxsize = TypedValue.applyDimension(5, 1.0f, getResources().getDisplayMetrics());
            Paint mCirclePaint = new Paint();
            mCirclePaint.setStrokeWidth(pxsize / 4.0f);
            mCirclePaint.setColor(-65536);
            mCirclePaint.setStyle(Paint.Style.STROKE);
            this.mMatrixCanvas.drawCircle((float) ((this.mScreenWidth + (UITspPenPatternStyleX.this.DEADZONE_WIDTH * 2)) / 2), (float) ((this.mScreenHeight + (UITspPenPatternStyleX.this.DEADZONE_HEIGHT * 2)) / 2), pxsize, mCirclePaint);
        }

        private void drawLine(float preX, float preY, float x, float y) {
            int highX;
            int lowX;
            int highY;
            int lowY;
            this.mLineCanvas.drawLine(preX, preY, x, y, this.mLinePaint);
            if (preX >= x) {
                highX = (int) preX;
                lowX = (int) x;
            } else {
                highX = (int) x;
                lowX = (int) preX;
            }
            if (preY >= y) {
                highY = (int) preY;
                lowY = (int) y;
            } else {
                highY = (int) y;
                lowY = (int) preY;
            }
            invalidate(new Rect(lowX - 6, lowY - 6, highX + 6, highY + 6));
        }

        private void drawLine(float preX, float preY, float x, float y, int tool_type) {
            int highX;
            int lowX;
            int highY;
            int lowY;
            if (tool_type == 1) {
                this.mLinePaint.setStrokeWidth(2.0f);
            } else if (tool_type == 2) {
                this.mLinePaint.setStrokeWidth(4.0f);
            }
            this.mLineCanvas.drawLine(preX, preY, x, y, this.mLinePaint);
            if (preX >= x) {
                highX = (int) preX;
                lowX = (int) x;
            } else {
                highX = (int) x;
                lowX = (int) preX;
            }
            if (preY >= y) {
                highY = (int) preY;
                lowY = (int) y;
            } else {
                highY = (int) y;
                lowY = (int) preY;
            }
            invalidate(new Rect(lowX - 6, lowY - 6, highX + 6, highY + 6));
        }

        private void drawPoint(float x, float y) {
            this.mLineCanvas.drawPoint(x, y, this.mLinePaint);
            invalidate(new Rect(((int) x) - 6, ((int) y) - 6, ((int) x) + 6, ((int) y) + 6));
        }

        private void initRect() {
            Paint mRectPaint = new Paint();
            Paint mRectPaintCross = new Paint();
            mRectPaint.setColor(-16777216);
            mRectPaintCross.setColor(-16777216);
            mRectPaintCross.setStyle(Paint.Style.STROKE);
            for (int i = 0; i <= UITspPenPatternStyleX.this.HEIGHT_BASIS; i++) {
                int ColY = ((int) (this.col_height * ((float) i))) + UITspPenPatternStyleX.this.DEADZONE_HEIGHT;
                this.mMatrixCanvas.drawLine((float) UITspPenPatternStyleX.this.DEADZONE_WIDTH, (float) ColY, (float) (this.mScreenWidth + UITspPenPatternStyleX.this.DEADZONE_WIDTH), (float) ColY, mRectPaint);
            }
            for (int j = 0; j <= UITspPenPatternStyleX.this.WIDTH_BASIS; j++) {
                int ColX = ((int) (this.col_width * ((float) j))) + UITspPenPatternStyleX.this.DEADZONE_WIDTH;
                this.mMatrixCanvas.drawLine((float) ColX, (float) UITspPenPatternStyleX.this.DEADZONE_HEIGHT, (float) ColX, (float) (this.mScreenHeight + UITspPenPatternStyleX.this.DEADZONE_HEIGHT), mRectPaint);
            }
            for (int i2 = 0; i2 < UITspPenPatternStyleX.this.HEIGHT_BASIS; i2++) {
                for (int j2 = 0; j2 < UITspPenPatternStyleX.this.WIDTH_BASIS; j2++) {
                    UITspPenPatternStyleX.this.touch[i2][j2] = false;
                    UITspPenPatternStyleX.this.pen[i2][j2] = false;
                }
            }
            this.mMatrixCanvas.drawRect(this.col_width + ((float) UITspPenPatternStyleX.this.DEADZONE_WIDTH) + 1.0f, this.col_height + ((float) UITspPenPatternStyleX.this.DEADZONE_HEIGHT) + 1.0f, ((this.col_width * ((float) (UITspPenPatternStyleX.this.WIDTH_BASIS - 1))) + ((float) UITspPenPatternStyleX.this.DEADZONE_WIDTH)) - 1.0f, ((this.col_height * ((float) (UITspPenPatternStyleX.this.HEIGHT_BASIS - 1))) + ((float) UITspPenPatternStyleX.this.DEADZONE_HEIGHT)) - 1.0f, this.mEmptyPaint);
            float f = this.mWidthCross;
            float f2 = this.col_height;
            float f3 = this.col_height_cross;
            float offset = (((f * (f2 + f3)) / (f3 * 2.0f)) + (this.col_width / 2.0f)) - (this.col_width_cross / 2.0f);
            for (int i3 = 0; i3 < UITspPenPatternStyleX.this.HEIGHT_BASIS_CROSS; i3++) {
                int ColX2 = ((int) ((this.mWidthCross * ((float) i3)) + offset)) + UITspPenPatternStyleX.this.DEADZONE_WIDTH;
                int ColY2 = ((int) ((this.mHeightCross * ((float) i3)) + this.col_height)) + UITspPenPatternStyleX.this.DEADZONE_HEIGHT;
                this.mMatrixCanvas.drawRect((float) ColX2, (float) ColY2, ((float) ColX2) + this.col_width_cross, ((float) ColY2) + this.mHeightCross, mRectPaintCross);
                UITspPenPatternStyleX.this.drawCross_touch[i3] = false;
                UITspPenPatternStyleX.this.drawCross_pen[i3] = false;
            }
            for (int i4 = 0; i4 < UITspPenPatternStyleX.this.HEIGHT_BASIS_CROSS; i4++) {
                int ColX3 = ((int) (((((float) this.mScreenWidth) - this.col_width_cross) - offset) - (this.mWidthCross * ((float) i4)))) + UITspPenPatternStyleX.this.DEADZONE_WIDTH;
                int ColY3 = ((int) ((this.mHeightCross * ((float) i4)) + this.col_height)) + UITspPenPatternStyleX.this.DEADZONE_HEIGHT;
                this.mMatrixCanvas.drawRect((float) ColX3, (float) ColY3, ((float) ColX3) + this.col_width_cross, ((float) ColY3) + this.mHeightCross, mRectPaintCross);
                UITspPenPatternStyleX.this.drawCross_touch[UITspPenPatternStyleX.this.HEIGHT_BASIS_CROSS + i4] = false;
                UITspPenPatternStyleX.this.drawCross_pen[UITspPenPatternStyleX.this.HEIGHT_BASIS_CROSS + i4] = false;
            }
        }

        private void drawRect(float x, float y, Paint paint, int type) {
            checkNormalRectRegion(x, y, paint, type);
            checkCrossRectRegion(x, y, paint, type);
            if (UITspPenPatternStyleX.this.isPass(type) && UITspPenPatternStyleX.this.isPassCross(type)) {
                if (type == 1 && UITspPenPatternStyleX.this.successTouch) {
                    UITspPenPatternStyleX.this.setTestResult(119, (byte) 80);
                    UITspPenPatternStyleX.this.successTouch = false;
                } else if (type == 2 && UITspPenPatternStyleX.this.successPen) {
                    UITspPenPatternStyleX.this.setTestResult(26, (byte) 80);
                    UITspPenPatternStyleX.this.successPen = false;
                }
            }
            if (UITspPenPatternStyleX.this.isPass(3) && UITspPenPatternStyleX.this.isPassCross(3) && UITspPenPatternStyleX.this.successTest) {
                UITspPenPatternStyleX.this.checkLinearity();
                UITspPenPatternStyleX.this.successTest = false;
                UITspPenPatternStyleX.this.setResult(-1);
                if (!UITspPenPatternStyleX.this.mCmdTestMode) {
                    UITspPenPatternStyleX.this.finish();
                } else {
                    UITspPenPatternStyleX.this.mIsPassCmdTest = true;
                }
            }
        }

        private void checkNormalRectRegion(float x, float y, Paint paint, int type) {
            int countX = (int) ((x - ((float) UITspPenPatternStyleX.this.DEADZONE_WIDTH)) / this.col_width);
            int countY = (int) ((y - ((float) UITspPenPatternStyleX.this.DEADZONE_HEIGHT)) / this.col_height);
            float f = (this.col_width * ((float) countX)) + ((float) UITspPenPatternStyleX.this.DEADZONE_WIDTH);
            float f2 = (this.col_height * ((float) countY)) + ((float) UITspPenPatternStyleX.this.DEADZONE_HEIGHT);
            if (countY > UITspPenPatternStyleX.this.HEIGHT_BASIS - 1 || countX > UITspPenPatternStyleX.this.WIDTH_BASIS - 1 || x < ((float) UITspPenPatternStyleX.this.DEADZONE_WIDTH) || y < ((float) UITspPenPatternStyleX.this.DEADZONE_HEIGHT)) {
                FtUtil.log_d(UITspPenPatternStyleX.this.CLASS_NAME, "drawRect", "You are out of bounds!");
            } else if (!UITspPenPatternStyleX.this.isDrawArea[countY][countX] && !UITspPenPatternStyleX.this.isDrawArea_pen[countY][countX]) {
            } else {
                if (type == 1) {
                    if (!UITspPenPatternStyleX.this.touch[countY][countX]) {
                        UITspPenPatternStyleX.this.touch[countY][countX] = true;
                        if (!UITspPenPatternStyleX.this.pen[countY][countX]) {
                            setNormalRectColor(countX, countY, this.mTouchPaint);
                        } else if (!UITspPenPatternStyleX.this.isDrawArea_all[countY][countX]) {
                            UITspPenPatternStyleX.this.isDrawArea_all[countY][countX] = true;
                            setNormalRectColor(countX, countY, this.mClickPaint);
                        }
                    }
                } else if (type == 2 && !UITspPenPatternStyleX.this.pen[countY][countX]) {
                    UITspPenPatternStyleX.this.pen[countY][countX] = true;
                    if (!UITspPenPatternStyleX.this.touch[countY][countX]) {
                        setNormalRectColor(countX, countY, this.mPenPaint);
                    } else if (!UITspPenPatternStyleX.this.isDrawArea_all[countY][countX]) {
                        UITspPenPatternStyleX.this.isDrawArea_all[countY][countX] = true;
                        setNormalRectColor(countX, countY, this.mClickPaint);
                    }
                }
            }
        }

        private void checkCrossRectRegion(float x, float y, Paint paint, int type) {
            int countCrossY = (int) (((y - ((float) UITspPenPatternStyleX.this.DEADZONE_HEIGHT)) - this.col_height) / this.mHeightCross);
            if (countCrossY >= 0 && countCrossY * 2 <= (UITspPenPatternStyleX.this.HEIGHT_BASIS_CROSS * 2) - 1) {
                int startLeftCrossX = ((int) ((this.mWidthCross * ((float) countCrossY)) + this.mCrossOffset)) + UITspPenPatternStyleX.this.DEADZONE_WIDTH;
                int i = ((int) ((this.mHeightCross * ((float) countCrossY)) + this.col_height)) + UITspPenPatternStyleX.this.DEADZONE_HEIGHT;
                int startRightCrossX = ((int) (((((float) this.mScreenWidth) - this.col_width_cross) - this.mCrossOffset) - (this.mWidthCross * ((float) countCrossY)))) + UITspPenPatternStyleX.this.DEADZONE_WIDTH;
                boolean isValidLeftCrossArea = x > ((float) startLeftCrossX) && x < ((float) startLeftCrossX) + this.col_width_cross && countCrossY >= 0;
                boolean isValidRightCrossArea = x > ((float) startRightCrossX) && x < ((float) startRightCrossX) + this.col_width_cross && countCrossY >= 0;
                if (isValidLeftCrossArea || isValidRightCrossArea) {
                    if (isValidLeftCrossArea) {
                        if (type == 2 && !UITspPenPatternStyleX.this.leftLinearPoint[countCrossY].getFlag() && (countCrossY <= UITspPenPatternStyleX.this.mUnnessaryNode || countCrossY >= (UITspPenPatternStyleX.this.HEIGHT_BASIS_CROSS - 1) - UITspPenPatternStyleX.this.mUnnessaryNode || UITspPenPatternStyleX.this.leftLinearPoint[UITspPenPatternStyleX.this.mUnnessaryNode].getFlag() || UITspPenPatternStyleX.this.leftLinearPoint[(UITspPenPatternStyleX.this.HEIGHT_BASIS_CROSS - 1) - UITspPenPatternStyleX.this.mUnnessaryNode].getFlag())) {
                            float f = this.pxToMmValue;
                            UITspPenPatternStyleX.this.leftLinearPoint[countCrossY].setPosition(x / f, y / f);
                            UITspPenPatternStyleX.this.leftLinearPoint[countCrossY].setFlag(true);
                        }
                        setCrossRectColor(0, type, countCrossY);
                    }
                    if (isValidRightCrossArea) {
                        if (type == 2 && !UITspPenPatternStyleX.this.rightLinearPoint[countCrossY].getFlag() && (countCrossY <= UITspPenPatternStyleX.this.mUnnessaryNode || countCrossY >= (UITspPenPatternStyleX.this.HEIGHT_BASIS_CROSS - 1) - UITspPenPatternStyleX.this.mUnnessaryNode || UITspPenPatternStyleX.this.rightLinearPoint[UITspPenPatternStyleX.this.mUnnessaryNode].getFlag() || UITspPenPatternStyleX.this.rightLinearPoint[(UITspPenPatternStyleX.this.HEIGHT_BASIS_CROSS - 1) - UITspPenPatternStyleX.this.mUnnessaryNode].getFlag())) {
                            float f2 = this.pxToMmValue;
                            UITspPenPatternStyleX.this.rightLinearPoint[countCrossY].setPosition(x / f2, y / f2);
                            UITspPenPatternStyleX.this.rightLinearPoint[countCrossY].setFlag(true);
                        }
                        setCrossRectColor(1, type, countCrossY);
                    }
                }
            }
        }

        private void setNormalRectColor(int countX, int countY, Paint paint) {
            float ColX = (this.col_width * ((float) countX)) + ((float) UITspPenPatternStyleX.this.DEADZONE_WIDTH);
            float ColY = (this.col_height * ((float) countY)) + ((float) UITspPenPatternStyleX.this.DEADZONE_HEIGHT);
            String colorString = getColorString(paint.getColor());
            this.mMatrixCanvas.drawRect((float) (((int) ColX) + 1), (float) (((int) ColY) + 1), (float) (((int) (this.col_width * ((float) (countX + 1)))) + UITspPenPatternStyleX.this.DEADZONE_WIDTH), (float) (((int) (this.col_height * ((float) (countY + 1)))) + UITspPenPatternStyleX.this.DEADZONE_HEIGHT), paint);
            invalidate(new Rect((int) (ColX - 1.0f), (int) (ColY - 1.0f), (int) (this.col_width + ColX + 1.0f), (int) (this.col_height + ColY + 1.0f)));
            String str = UITspPenPatternStyleX.this.CLASS_NAME;
            StringBuilder sb = new StringBuilder();
            sb.append("Draw Normal Rect > X : (");
            sb.append(countX);
            sb.append(" / ");
            sb.append(UITspPenPatternStyleX.this.WIDTH_BASIS - 1);
            sb.append(") , Y : (");
            sb.append(countY);
            sb.append(" / ");
            sb.append(UITspPenPatternStyleX.this.HEIGHT_BASIS - 1);
            sb.append(") Color : ");
            sb.append(colorString);
            FtUtil.log_d(str, "setNormalRectColor", sb.toString());
        }

        private void setCrossRectColor(int crossState, int type, int countCrossY) {
            int crossIndex = crossState == 1 ? UITspPenPatternStyleX.this.HEIGHT_BASIS_CROSS + countCrossY : countCrossY;
            if (type == 1) {
                if (!UITspPenPatternStyleX.this.drawCross_touch[crossIndex]) {
                    UITspPenPatternStyleX.this.drawCross_touch[crossIndex] = true;
                    if (!UITspPenPatternStyleX.this.drawCross_pen[crossIndex]) {
                        setCrossRectColorbyDirection(crossState, countCrossY, this.mTouchPaint);
                    } else if (!UITspPenPatternStyleX.this.drawCross_all[crossIndex]) {
                        UITspPenPatternStyleX.this.drawCross_all[crossIndex] = true;
                        setCrossRectColorbyDirection(crossState, countCrossY, this.mClickPaint);
                    }
                }
            } else if (type == 2 && !UITspPenPatternStyleX.this.drawCross_pen[crossIndex]) {
                UITspPenPatternStyleX.this.drawCross_pen[crossIndex] = true;
                if (!UITspPenPatternStyleX.this.drawCross_touch[crossIndex]) {
                    setCrossRectColorbyDirection(crossState, countCrossY, this.mPenPaint);
                } else if (!UITspPenPatternStyleX.this.drawCross_all[crossIndex]) {
                    UITspPenPatternStyleX.this.drawCross_all[crossIndex] = true;
                    setCrossRectColorbyDirection(crossState, countCrossY, this.mClickPaint);
                }
            }
        }

        private void setCrossRectColorbyDirection(int crossState, int countCrossY, Paint paint) {
            if (crossState == 0) {
                setLeftCrossRectColor(countCrossY, paint);
            } else if (crossState == 1) {
                setRightCrossRectColor(countCrossY, paint);
            }
        }

        private void setLeftCrossRectColor(int countCrossY, Paint paint) {
            int startLeftCrossX = ((int) ((this.mWidthCross * ((float) countCrossY)) + this.mCrossOffset)) + UITspPenPatternStyleX.this.DEADZONE_WIDTH;
            int startLeftCrossY = ((int) ((this.mHeightCross * ((float) countCrossY)) + this.col_height)) + UITspPenPatternStyleX.this.DEADZONE_HEIGHT;
            String colorString = getColorString(paint.getColor());
            paint.setColor(paint.getColor());
            this.mMatrixCanvas.drawRect((float) (startLeftCrossX + 1), (float) (startLeftCrossY + 1), (float) ((int) (((float) startLeftCrossX) + this.col_width_cross)), (float) ((int) (((float) startLeftCrossY) + this.col_height_cross)), paint);
            invalidate(new Rect(startLeftCrossX - 1, startLeftCrossY - 1, (int) (((float) startLeftCrossX) + this.col_width_cross + 1.0f), (int) (((float) startLeftCrossY) + this.col_height_cross + 1.0f)));
            String str = UITspPenPatternStyleX.this.CLASS_NAME;
            StringBuilder sb = new StringBuilder();
            sb.append("Draw Left Cross Rect > Num : (");
            sb.append(countCrossY);
            sb.append(" / ");
            sb.append((UITspPenPatternStyleX.this.HEIGHT_BASIS_CROSS * 2) - 1);
            sb.append(") Color : ");
            sb.append(colorString);
            FtUtil.log_d(str, "setLeftCrossRectColor", sb.toString());
        }

        private void setRightCrossRectColor(int countCrossY, Paint paint) {
            int startRightCrossX = ((int) (((((float) this.mScreenWidth) - this.col_width_cross) - this.mCrossOffset) - (this.mWidthCross * ((float) countCrossY)))) + UITspPenPatternStyleX.this.DEADZONE_WIDTH;
            int startRightCrossY = ((int) ((this.mHeightCross * ((float) countCrossY)) + this.col_height)) + UITspPenPatternStyleX.this.DEADZONE_HEIGHT;
            String colorString = getColorString(paint.getColor());
            paint.setColor(paint.getColor());
            this.mMatrixCanvas.drawRect((float) (startRightCrossX + 1), (float) (startRightCrossY + 1), (float) ((int) (((float) startRightCrossX) + this.col_width_cross)), (float) ((int) (((float) startRightCrossY) + this.col_height_cross)), paint);
            invalidate(new Rect(startRightCrossX - 1, startRightCrossY - 1, (int) (((float) startRightCrossX) + this.col_width_cross + 1.0f), (int) (((float) startRightCrossY) + this.col_height_cross + 1.0f)));
            String str = UITspPenPatternStyleX.this.CLASS_NAME;
            StringBuilder sb = new StringBuilder();
            sb.append("Draw Right Cross Rect > Num : (");
            sb.append(UITspPenPatternStyleX.this.HEIGHT_BASIS_CROSS + countCrossY);
            sb.append(" / ");
            sb.append((UITspPenPatternStyleX.this.HEIGHT_BASIS_CROSS * 2) - 1);
            sb.append(") Color : ");
            sb.append(colorString);
            FtUtil.log_d(str, "setRightCrossRectColor", sb.toString());
        }

        private String getColorString(int rectcolor) {
            if (rectcolor == -256) {
                return "YELLOW";
            }
            if (rectcolor == DARK_PURPLE) {
                return "PURPLE";
            }
            if (rectcolor == -16711936) {
                return "GREEN";
            }
            return "";
        }

        private void checkGhostTouch() {
            AlertDialog.Builder builder = new AlertDialog.Builder(UITspPenPatternStyleX.this);
            builder.setTitle("Ghost Touch");
            builder.setMessage("Ghost Touch Testing\n(Don't touch TSP!)");
            builder.setPositiveButton("OK", new EmptyListener());
            builder.create().show();
        }

        public class EmptyListener implements DialogInterface.OnClickListener {
            public EmptyListener() {
            }

            public void onClick(DialogInterface dialog, int which) {
                UITspPenPatternStyleX.this.dialog_showing = false;
                UITspPenPatternStyleX.this.finish();
            }
        }
    }
}
