package com.sec.factory.app.ui;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.nfc.NfcAdapter;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.widget.LinearLayout;
import android.widget.TableLayout;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.modules.ModulePower;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.File;

public class UIUSB extends UIBase {
    private final int DELAY = 200;
    private int DUMMY = 0;
    private int MSG_START_CURRENT_LOG;
    private int MSG_STOP_CURRENT_LOG;
    private final int TESTSTATE_AFC_CONNECT;
    private final int TESTSTATE_AFC_DISCONNECT;
    private final int TESTSTATE_TA_CONNECT;
    private final int TESTSTATE_TA_DISCONNECT;
    private final int TESTSTATE_USB_CONNECT;
    private final int TESTSTATE_USB_DISCONNECT;
    private final int WHAT_CHECK_AFC_NODE = 1;
    private final int WHAT_CHECK_LCD_ON = 0;
    private boolean isPlugged = false;
    private BroadcastReceiver mBroadcastReceiver;
    private int mCount = 0;
    private Handler mHandler;
    private boolean mIsMainPMICPass;
    private boolean mIsTestPass;
    private LinearLayout mLinearBackground;
    private ModuleDevice mModuleDevice;
    private ModulePower mModulePower;
    private Handler mTACurrentHandler;
    private TableLayout mTableAFC;
    private TableLayout mTableDET;
    private TableLayout mTableTA;
    private TableLayout mTableUSB;
    private String mTestCase;
    private int mTestState;
    private TextView mTextAFCStep1Result;
    private TextView mTextAFCStep2;
    private TextView mTextAFCStep2Result;
    private TextView mTextDETResult;
    private TextView mTextTAStep1Result;
    private TextView mTextTAStep2;
    private TextView mTextTAStep2Result;
    private TextView mTextUSBStep1Result;
    private TextView mTextUSBStep2;
    private TextView mTextUSBStep2Result;

    static /* synthetic */ int access$008(UIUSB x0) {
        int i = x0.mTestState;
        x0.mTestState = i + 1;
        return i;
    }

    static /* synthetic */ int access$408(UIUSB x0) {
        int i = x0.mCount;
        x0.mCount = i + 1;
        return i;
    }

    public UIUSB() {
        super("UIUSB", 18);
        int i = 0 + 1;
        this.DUMMY = i;
        this.TESTSTATE_TA_CONNECT = 0;
        int i2 = i + 1;
        this.DUMMY = i2;
        this.TESTSTATE_TA_DISCONNECT = i;
        int i3 = i2 + 1;
        this.DUMMY = i3;
        this.TESTSTATE_AFC_CONNECT = i2;
        int i4 = i3 + 1;
        this.DUMMY = i4;
        this.TESTSTATE_AFC_DISCONNECT = i3;
        int i5 = i4 + 1;
        this.DUMMY = i5;
        this.TESTSTATE_USB_CONNECT = i4;
        this.DUMMY = i5 + 1;
        this.TESTSTATE_USB_DISCONNECT = i5;
        this.mTestState = 0;
        this.mIsTestPass = false;
        this.mIsMainPMICPass = true;
        this.mBroadcastReceiver = new BroadcastReceiver() {
            /* class com.sec.factory.app.ui.UIUSB.AnonymousClass1 */

            public void onReceive(Context context, Intent intent) {
                String action = intent.getAction();
                String str = UIUSB.this.CLASS_NAME;
                FtUtil.log_d(str, "mBroadcastReceiver.onReceive", "action=" + action);
                String str2 = UIUSB.this.CLASS_NAME;
                FtUtil.log_d(str2, "mBroadcastReceiver.onReceive", "mTestState=" + UIUSB.this.mTestState);
                if ("android.intent.action.BATTERY_CHANGED".equals(action)) {
                    int plugged = intent.getIntExtra("plugged", 0);
                    String str3 = UIUSB.this.CLASS_NAME;
                    FtUtil.log_d(str3, "Battery State: " + plugged);
                    if (UIUSB.this.mTestState >= 0 && UIUSB.this.mTestState <= 1) {
                        UIUSB.this.TACheck(plugged);
                    } else if (UIUSB.this.mTestState >= 2 && UIUSB.this.mTestState <= 3) {
                        UIUSB.this.AFCCheck(plugged);
                    }
                } else if ("android.hardware.usb.action.USB_STATE".equals(action)) {
                    boolean connected = intent.getExtras().getBoolean("connected");
                    String str4 = UIUSB.this.CLASS_NAME;
                    FtUtil.log_d(str4, "USB State: " + connected);
                    if (UIUSB.this.mTestState >= 4 && UIUSB.this.mTestState <= 5) {
                        UIUSB.this.USBCheck(connected);
                    }
                }
            }
        };
        this.mHandler = new Handler() {
            /* class com.sec.factory.app.ui.UIUSB.AnonymousClass2 */

            public void handleMessage(Message msg) {
                if (msg.what == 0) {
                    if (UIUSB.access$408(UIUSB.this) == 5) {
                        FtUtil.log_d(UIUSB.this.CLASS_NAME, "handleMessage : LCD is not on state during 1 second.");
                        if (UIUSB.this.mTestState == UIUSB.this.TESTSTATE_TA_CONNECT) {
                            FtUtil.log_d(UIUSB.this.CLASS_NAME, "TA Connected : PASS");
                            UIUSB.this.mTextTAStep1Result.setVisibility(0);
                            UIUSB.this.mTextTAStep1Result.setText("Connected");
                            UIUSB.this.mTextTAStep1Result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                            UIUSB.this.mTextTAStep2.setVisibility(0);
                        } else if (UIUSB.this.mTestState == UIUSB.this.TESTSTATE_AFC_CONNECT) {
                            FtUtil.log_d(UIUSB.this.CLASS_NAME, "AFC Connected : PASS");
                            UIUSB.this.mTextAFCStep1Result.setVisibility(0);
                            UIUSB.this.mTextAFCStep1Result.setText("Connected");
                            UIUSB.this.mTextAFCStep1Result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                            UIUSB.this.mTextAFCStep2.setVisibility(0);
                        }
                        UIUSB.access$008(UIUSB.this);
                        UIUSB.this.mCount = 0;
                    } else if (UIUSB.this.mModulePower.isScreenOn()) {
                        if (Support.Kernel.isExistFile(Support.Kernel.MAIN_PMIC_DET)) {
                            UIUSB.this.checkMainPMIC();
                        }
                        UIUSB.this.turnLcdOffForCurrentCheck();
                        if (UIUSB.this.mTestState == UIUSB.this.TESTSTATE_TA_CONNECT) {
                            FtUtil.log_d(UIUSB.this.CLASS_NAME, "TA Connected : PASS");
                            UIUSB.this.mTextTAStep1Result.setVisibility(0);
                            UIUSB.this.mTextTAStep1Result.setText("Connected");
                            UIUSB.this.mTextTAStep1Result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                            UIUSB.this.mTextTAStep2.setVisibility(0);
                        } else if (UIUSB.this.mTestState == UIUSB.this.TESTSTATE_AFC_CONNECT) {
                            FtUtil.log_d(UIUSB.this.CLASS_NAME, "AFC Connected : PASS");
                            UIUSB.this.mTextAFCStep1Result.setVisibility(0);
                            UIUSB.this.mTextAFCStep1Result.setText("Connected");
                            UIUSB.this.mTextAFCStep1Result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                            UIUSB.this.mTextAFCStep2.setVisibility(0);
                        }
                        if (UIUSB.this.mIsMainPMICPass) {
                            UIUSB.access$008(UIUSB.this);
                            UIUSB.this.mCount = 0;
                        }
                    } else {
                        UIUSB.this.mHandler.sendEmptyMessageDelayed(0, 200);
                    }
                } else if (msg.what == 1) {
                    UIUSB.access$408(UIUSB.this);
                    if (EgisFingerprint.MAJOR_VERSION.equals(Support.Kernel.read(Support.Kernel.HV_CHARGE_STATUS))) {
                        String str = UIUSB.this.CLASS_NAME;
                        FtUtil.log_i(str, "readChargeData", "Success| Charge Status:" + Support.Kernel.read(Support.Kernel.HV_CHARGE_STATUS));
                        UIUSB.this.mTextAFCStep1Result.setVisibility(0);
                        UIUSB.this.mTextAFCStep1Result.setText("Connected");
                        UIUSB.this.mTextAFCStep1Result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                        UIUSB.this.mCount = 0;
                        UIUSB.this.mHandler.sendEmptyMessage(0);
                    } else if (UIUSB.this.mCount > 15) {
                        String str2 = UIUSB.this.CLASS_NAME;
                        FtUtil.log_i(str2, "readChargeData", "FAIL| Charge Status:" + Support.Kernel.read(Support.Kernel.HV_CHARGE_STATUS));
                        UIUSB.this.mTextAFCStep1Result.setVisibility(0);
                        UIUSB.this.mTextAFCStep1Result.setText("FAIL");
                        UIUSB.this.mTextAFCStep1Result.setTextColor(-65536);
                        UIUSB.this.mCount = 0;
                    } else {
                        UIUSB.this.mHandler.sendEmptyMessageDelayed(1, 200);
                    }
                }
            }
        };
        this.MSG_START_CURRENT_LOG = 0;
        this.MSG_STOP_CURRENT_LOG = 1;
        this.mTACurrentHandler = new Handler() {
            /* class com.sec.factory.app.ui.UIUSB.AnonymousClass3 */

            public void handleMessage(Message msg) {
                if (msg.what == UIUSB.this.MSG_START_CURRENT_LOG) {
                    String str = UIUSB.this.CLASS_NAME;
                    FtUtil.log_d(str, "TACheck", "Current : " + Support.Kernel.read(Support.Kernel.HV_CHARGE_CURRENT));
                    UIUSB.this.mTACurrentHandler.sendEmptyMessageDelayed(UIUSB.this.MSG_START_CURRENT_LOG, 100);
                    return;
                }
                FtUtil.log_d(UIUSB.this.CLASS_NAME, "TACheck", "read current stop");
                UIUSB.this.mTACurrentHandler.removeMessages(UIUSB.this.MSG_START_CURRENT_LOG);
            }
        };
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_usb);
        this.mModuleDevice = ModuleDevice.instance(this);
        this.mModulePower = ModulePower.instance(this);
        IntentFilter mIntentFilter = new IntentFilter();
        mIntentFilter.addAction("android.intent.action.BATTERY_CHANGED");
        mIntentFilter.addAction("android.hardware.usb.action.USB_STATE");
        registerReceiver(this.mBroadcastReceiver, mIntentFilter);
        this.mTestCase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML((byte) 18));
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "onCreate", "mTestCase = " + this.mTestCase);
        initialize();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        if (NfcAdapter.getDefaultAdapter(getApplicationContext()) != null) {
            Intent intent = new Intent("com.samsung.android.nfc.test.action.REQUEST");
            intent.putExtra("com.samsung.android.nfc.test.extra.ID", 2);
            sendBroadcast(intent);
            FtUtil.log_d(this.CLASS_NAME, "NFC RF discovery enable When Charge test");
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
        NfcAdapter nfc = NfcAdapter.getDefaultAdapter(getApplicationContext());
        if (nfc != null && nfc.isEnabled()) {
            Intent intent = new Intent("com.samsung.android.nfc.test.action.REQUEST");
            intent.putExtra("com.samsung.android.nfc.test.extra.ID", 3);
            sendBroadcast(intent);
            FtUtil.log_d(this.CLASS_NAME, "when screen off / on. NFC RF discovery was enabled. so must be disabled before exit here");
        }
        unregisterReceiver(this.mBroadcastReceiver);
        this.mModulePower.doPartialWakeLock(false);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void checkMainPMIC() {
        FtUtil.log_i(this.CLASS_NAME, "checkMainPMIC", "checkMainPMIC");
        File mainPMIC5VCheck = new File("data/log/MainPMIC5VCheck.log");
        if (this.mTestState != this.TESTSTATE_TA_CONNECT) {
            return;
        }
        if (EgisFingerprint.MAJOR_VERSION.equals(Support.Kernel.read(Support.Kernel.MAIN_PMIC_DET))) {
            this.mTextDETResult.setVisibility(0);
            this.mTextDETResult.setText("Detected");
            this.mTextDETResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            Support.Kernel.writeToPathNsync(mainPMIC5VCheck.getPath(), Support.Kernel.read(Support.Kernel.MAIN_PMIC_DET));
            return;
        }
        this.mIsMainPMICPass = false;
        this.mTextDETResult.setVisibility(0);
        this.mTextDETResult.setText("Fail");
        this.mTextDETResult.setTextColor(-65536);
        Support.Kernel.writeToPathNsync(mainPMIC5VCheck.getPath(), Support.Kernel.read(Support.Kernel.MAIN_PMIC_DET));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void turnLcdOffForCurrentCheck() {
        FtUtil.log_i(this.CLASS_NAME, "turnLcdOffForCurrentCheck", "Turn LCD Off");
        this.mModulePower.doPartialWakeLock(true);
        this.mModulePower.doWakeLock(false);
        if (Support.Feature.getBoolean(Support.Feature.NEED_LPA_MODE_SET, true)) {
            this.mModuleDevice.setLPAmode(ModuleDevice.LPA_MODE_DISABLE);
        }
        this.mModulePower.gotosleep();
    }

    private void initialize() {
        FtUtil.log_d(this.CLASS_NAME, "initialize", null);
        this.mLinearBackground = (LinearLayout) findViewById(R.id.background);
        this.mTestState = 0;
        this.mTableTA = (TableLayout) findViewById(R.id.table_ta);
        this.mTextTAStep1Result = (TextView) findViewById(R.id.ta_step1_result);
        this.mTextTAStep2 = (TextView) findViewById(R.id.ta_step2);
        this.mTextTAStep2Result = (TextView) findViewById(R.id.ta_step2_result);
        this.mTableTA.setVisibility(0);
        this.mTableAFC = (TableLayout) findViewById(R.id.table_afc);
        this.mTextAFCStep1Result = (TextView) findViewById(R.id.afc_step1_result);
        this.mTextAFCStep2 = (TextView) findViewById(R.id.afc_step2);
        this.mTextAFCStep2Result = (TextView) findViewById(R.id.afc_step2_result);
        this.mTableDET = (TableLayout) findViewById(R.id.table_det);
        this.mTextDETResult = (TextView) findViewById(R.id.def_result);
        this.mTableUSB = (TableLayout) findViewById(R.id.table_usb);
        this.mTextUSBStep1Result = (TextView) findViewById(R.id.usb_step1_result);
        this.mTextUSBStep2 = (TextView) findViewById(R.id.usb_step2);
        this.mTextUSBStep2Result = (TextView) findViewById(R.id.usb_step2_result);
        if (Support.Kernel.isExistFile(Support.Kernel.MAIN_PMIC_DET)) {
            this.mTableDET.setVisibility(0);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void TACheck(int plugged) {
        int i = this.mTestState;
        if (i == this.TESTSTATE_TA_CONNECT && plugged == 1 && !this.isPlugged) {
            this.isPlugged = true;
            FtUtil.log_d(this.CLASS_NAME, "ACTION_BATTERY_CHANGED : Plugged");
            this.mTACurrentHandler.sendEmptyMessageDelayed(this.MSG_START_CURRENT_LOG, 100);
            this.mHandler.sendEmptyMessageDelayed(0, 100);
        } else if (i == this.TESTSTATE_TA_DISCONNECT && plugged == 0) {
            this.isPlugged = false;
            FtUtil.log_d(this.CLASS_NAME, "ACTION_BATTERY_CHANGED : Unplugged");
            this.mTACurrentHandler.sendEmptyMessage(this.MSG_STOP_CURRENT_LOG);
            this.mTextTAStep2Result.setVisibility(0);
            this.mTextTAStep2Result.setText("Disconnected");
            this.mTextTAStep2Result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            if ("AFC".equalsIgnoreCase(this.mTestCase)) {
                this.mTableAFC.setVisibility(0);
                this.mTestState = this.TESTSTATE_AFC_CONNECT;
                return;
            }
            this.mTableUSB.setVisibility(0);
            this.mTestState = this.TESTSTATE_USB_CONNECT;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void AFCCheck(int plugged) {
        int i = this.mTestState;
        if (i == this.TESTSTATE_AFC_CONNECT && plugged == 1 && !this.isPlugged) {
            this.isPlugged = true;
            FtUtil.log_d(this.CLASS_NAME, "ACTION_BATTERY_CHANGED : Plugged");
            this.mHandler.sendEmptyMessageDelayed(1, 3000);
        } else if (i == this.TESTSTATE_AFC_DISCONNECT && plugged == 0) {
            this.isPlugged = false;
            FtUtil.log_d(this.CLASS_NAME, "ACTION_BATTERY_CHANGED : Unplugged");
            this.mTextAFCStep2Result.setVisibility(0);
            this.mTextAFCStep2Result.setText("Disconnected");
            this.mTextAFCStep2Result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            this.mTestState++;
            this.mTableUSB.setVisibility(0);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void USBCheck(boolean connected) {
        int i = this.mTestState;
        if (i == this.TESTSTATE_USB_CONNECT && connected) {
            this.mTextUSBStep1Result.setVisibility(0);
            this.mTextUSBStep1Result.setText("Connected");
            this.mTextUSBStep1Result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            this.mTextUSBStep2.setVisibility(0);
            this.mTestState++;
        } else if (i == this.TESTSTATE_USB_DISCONNECT && !connected) {
            this.mTextUSBStep2Result.setVisibility(0);
            this.mTextUSBStep2Result.setText("Disconnected");
            this.mTextUSBStep2Result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            this.mTestState = 0;
            this.mIsTestPass = true;
            setTestResult();
        }
    }

    private void setTestResult() {
        FtUtil.log_i(this.CLASS_NAME, "setTestResult", null);
        if (this.mIsTestPass) {
            FtUtil.log_d(this.CLASS_NAME, "setTestResult", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(18), "Pass"));
            setTestResult((byte) 80);
        } else {
            FtUtil.log_d(this.CLASS_NAME, "setTestResult", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(18), "Fail"));
            setTestResultFailCase(18);
        }
        finish();
    }
}
