package com.sec.factory.app.ui;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Bundle;
import android.os.storage.StorageManager;
import android.os.storage.VolumeInfo;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;

public class UIUSBOTG extends UIBase {
    private static final String ACTION_USB_STATE = "android.hardware.usb.action.USB_STATE";
    private final String CLASS_NAME = "UIUSBOTG";
    private final String LOG_TAG = "UTOPIA_USBOTG";
    private final int TEST_STATE_CHECK_USB2_OTG;
    private final int TEST_STATE_CHECK_USB3_BOT;
    private final int TEST_STATE_CHECK_USB3_OTG;
    private final int TEST_STATE_CHECK_USB3_TOP;
    private final int TEST_STATE_END;
    private int dummy;
    private final boolean mIsTestOTG;
    private final boolean mIsTestUSB2;
    private OtgStorageHandle mOTGStorageReceiver;
    private int mState;
    private StorageManager mStorageManager;
    private String mStrTestName;
    private final String mTestCase;
    private BroadcastReceiver mUSBStorageReceiver;
    private TextView tvOTG2Result;
    private TextView tvOTG3Result;
    private TextView tvUSB3TopPhoneResult;

    public UIUSBOTG() {
        super("UIUSBOTG", 77);
        boolean z = false;
        this.dummy = 0;
        boolean z2 = true;
        int i = 0 + 1;
        this.dummy = i;
        this.TEST_STATE_CHECK_USB3_TOP = 0;
        int i2 = i + 1;
        this.dummy = i2;
        this.TEST_STATE_CHECK_USB3_BOT = i;
        int i3 = i2 + 1;
        this.dummy = i3;
        this.TEST_STATE_CHECK_USB3_OTG = i2;
        int i4 = i3 + 1;
        this.dummy = i4;
        this.TEST_STATE_CHECK_USB2_OTG = i3;
        this.dummy = i4 + 1;
        this.TEST_STATE_END = i4;
        this.mStrTestName = "USB 3";
        this.mState = 0;
        this.mUSBStorageReceiver = null;
        this.mStorageManager = null;
        this.mIsTestOTG = !"true".equalsIgnoreCase(Support.FactoryTestMenu.getEnable(FactoryTestManager.convertorID_XML((byte) 24))) ? false : z2;
        String testCase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML(77));
        this.mTestCase = testCase;
        this.mIsTestUSB2 = testCase != null ? testCase.contains("USB2") : z;
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_usbotg);
        if (this.mIsTestUSB2) {
            FtUtil.log_d("UTOPIA_USBOTG", "START", "OTG 2.0 Wait");
        } else {
            FtUtil.log_d("UTOPIA_USBOTG", "START", "USB 3.1 Top Wait");
        }
        init();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        int i = this.mState;
        if (i == this.TEST_STATE_CHECK_USB3_TOP || i == this.TEST_STATE_CHECK_USB3_BOT) {
            registerUSBReceiver();
        } else if (i == this.TEST_STATE_CHECK_USB3_OTG || i == this.TEST_STATE_CHECK_USB2_OTG) {
            registerOTGReceiver();
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        unregisterUSBReceiver();
        unregisterOTGReceiver();
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
        unregisterUSBReceiver();
        unregisterOTGReceiver();
        FtUtil.log_d("UTOPIA_USBOTG", "END", "");
    }

    public void init() {
        setAtCmd(getIntent().getBooleanExtra("mIsAtCmd", false));
        this.mStorageManager = (StorageManager) getSystemService("storage");
        this.mState = this.TEST_STATE_CHECK_USB3_TOP;
        this.tvUSB3TopPhoneResult = (TextView) findViewById(R.id.usbotg_usb3_top_phone_result_tv);
        this.tvOTG3Result = (TextView) findViewById(R.id.usbotg_otg3_result_tv);
        TextView textView = (TextView) findViewById(R.id.usbotg_otg2_result_tv);
        this.tvOTG2Result = textView;
        if (this.mIsTestUSB2) {
            this.tvUSB3TopPhoneResult.setText("N/A");
            this.tvUSB3TopPhoneResult.setTextColor(-16777216);
            this.tvOTG3Result.setText("N/A");
            this.tvOTG3Result.setTextColor(-16777216);
            this.mState = this.TEST_STATE_CHECK_USB2_OTG;
        } else {
            textView.setText("N/A");
            this.tvOTG2Result.setTextColor(-16777216);
            FtUtil.log_d("UTOPIA_USBOTG", "init", "OTG 2.0 TEST SKIP");
        }
        FtUtil.log_d("UIUSBOTG", "mIsTestOTG: " + this.mIsTestOTG);
        if (!this.mIsTestOTG) {
            this.tvOTG3Result.setText("N/A");
            this.tvOTG3Result.setTextColor(-16777216);
            this.tvOTG2Result.setText("N/A");
            this.tvOTG2Result.setTextColor(-16777216);
            FtUtil.log_d("UTOPIA_USBOTG", "init", "OTG TEST SKIP");
        }
        FtUtil.log_d("UIUSBOTG", "init", "");
    }

    public void registerUSBReceiver() {
        if (this.mUSBStorageReceiver == null) {
            IntentFilter filter = new IntentFilter();
            filter.addAction(ACTION_USB_STATE);
            UsbReceiver usbReceiver = new UsbReceiver(filter);
            this.mUSBStorageReceiver = usbReceiver;
            registerReceiver(usbReceiver, filter);
            FtUtil.log_d("UIUSBOTG", "registerUSBReceiver", "");
        }
    }

    public void unregisterUSBReceiver() {
        BroadcastReceiver broadcastReceiver = this.mUSBStorageReceiver;
        if (broadcastReceiver != null) {
            unregisterReceiver(broadcastReceiver);
            this.mUSBStorageReceiver = null;
            FtUtil.log_i("UIUSBOTG", "unregisterUSBReceiver", null);
        }
    }

    /* access modifiers changed from: private */
    public class UsbReceiver extends BroadcastReceiver {
        public UsbReceiver(IntentFilter filter) {
            FtUtil.log_i("UIUSBOTG", "UsbReceiver", null);
        }

        public void onReceive(Context context, Intent intent) {
            String action = intent.getAction();
            FtUtil.log_d("UIUSBOTG", "mBroadcastReceiver.onReceive", "action=" + action);
            if (UIUSBOTG.ACTION_USB_STATE.equals(action)) {
                boolean connected = intent.getExtras().getBoolean("connected");
                boolean configured = intent.getExtras().getBoolean("configured");
                FtUtil.log_d("UIUSBOTG", "USB State: " + connected + " Configured : " + configured);
                String mStrUSBType = ModuleDevice.instance(context).getUSBType();
                if (connected && configured) {
                    if (!"0310".equals(mStrUSBType) && !"0320".equals(mStrUSBType)) {
                        FtUtil.log_d("UIUSBOTG", "onReceive", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(77), "FAIL - USB 3.1"));
                        FtUtil.log_d("UIUSBOTG", "FAIL Reason : connected and configure, but USB Type is " + mStrUSBType);
                        FtUtil.log_d("UIUSBOTG", "FAIL Reason : USB type isn't " + UIUSBOTG.this.mStrTestName);
                        FtUtil.log_d("UTOPIA_USBOTG", "", "USB3.1 FAIL / mStrUSBType=" + mStrUSBType);
                        UIUSBOTG.this.setTestResultFailCase(70);
                    } else if (UIUSBOTG.this.mState == UIUSBOTG.this.TEST_STATE_CHECK_USB3_TOP) {
                        FtUtil.log_d("UIUSBOTG", "onReceive", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(77), "PASS - USB 3.1 Top"));
                        FtUtil.log_d("UTOPIA_USBOTG", "", "mStrUSBType=" + mStrUSBType + " / USB3.1_Top PASS / USB3.1_Bot Wait");
                        UIUSBOTG.this.tvUSB3TopPhoneResult.setText("P");
                        UIUSBOTG.this.tvUSB3TopPhoneResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                        FtUtil.log_d("UIUSBOTG", "onReceive", "disabled usb3bot. go to next step");
                        UIUSBOTG.this.setTestResultUSB();
                        if (!UIUSBOTG.this.mIsTestOTG) {
                            UIUSBOTG.this.finish();
                        }
                        UIUSBOTG uiusbotg = UIUSBOTG.this;
                        uiusbotg.mState = uiusbotg.TEST_STATE_CHECK_USB3_OTG;
                        UIUSBOTG.this.registerOTGReceiver();
                    }
                }
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void registerOTGReceiver() {
        IntentFilter filter = new IntentFilter();
        OtgStorageHandle otgStorageHandle = new OtgStorageHandle(filter);
        this.mOTGStorageReceiver = otgStorageHandle;
        registerReceiver(otgStorageHandle, filter);
    }

    private void unregisterOTGReceiver() {
        OtgStorageHandle otgStorageHandle = this.mOTGStorageReceiver;
        if (otgStorageHandle != null) {
            unregisterReceiver(otgStorageHandle);
            this.mOTGStorageReceiver = null;
            FtUtil.log_i("UIUSBOTG", "unregisterOTGReceiver", "Unregistered OTG Storage Receiver...");
        }
    }

    /* access modifiers changed from: private */
    public class OtgStorageHandle extends BroadcastReceiver {
        private final int TEST_STATE_CHECK_USB_HOST;
        private final int TEST_STATE_CHECK_USB_HOST_END;
        private final int TEST_STATE_WAIT_USB_HOST;
        private int hostDummy = 0;
        private int mHostCheckState;

        public OtgStorageHandle(IntentFilter filter) {
            int i = 0 + 1;
            this.hostDummy = i;
            this.TEST_STATE_WAIT_USB_HOST = 0;
            int i2 = i + 1;
            this.hostDummy = i2;
            this.TEST_STATE_CHECK_USB_HOST = i;
            this.hostDummy = i2 + 1;
            this.TEST_STATE_CHECK_USB_HOST_END = i2;
            FtUtil.log_i("UIUSBOTG", "OtgStorageHandle", null);
            filter.addAction(ModuleDevice.ACTION_USB_STORAGE_MOUNTED);
            filter.addAction(ModuleDevice.ACTION_USB_STORAGE_UNMOUNTED);
            this.mHostCheckState = 0;
        }

        public void onReceive(Context context, Intent intent) {
            String action = intent.getAction();
            FtUtil.log_i("UIUSBOTG", "OtgStorageHandle.onReceive", "action : " + action);
            if (action.equals(ModuleDevice.ACTION_USB_STORAGE_MOUNTED)) {
                final VolumeInfo vol = UIUSBOTG.this.mStorageManager.findVolumeById(intent.getStringExtra("android.os.storage.extra.VOLUME_ID"));
                FtUtil.log_i("UIUSBOTG", "OtgStorageHandle.onReceive", "VolumeInfo vol : " + vol);
                if (this.mHostCheckState == this.TEST_STATE_WAIT_USB_HOST) {
                    FtUtil.log_i("UIUSBOTG", "OtgStorageHandle.onReceive", "SEQUENCE : TEST_STATE_WAIT_USB_HOST");
                    new Thread(new Runnable() {
                        /* class com.sec.factory.app.ui.UIUSBOTG.OtgStorageHandle.AnonymousClass1 */

                        public void run() {
                            FtUtil.log_i("UIUSBOTG", "OtgStorageHandle.onReceive", "isMountedStorage : Passed");
                            if (UIUSBOTG.this.mState == UIUSBOTG.this.TEST_STATE_CHECK_USB3_OTG) {
                                if ("SUPER".equals(Support.Kernel.read(Support.Kernel.USB3_OTG_TYPE_CHECK))) {
                                    OtgStorageHandle otgStorageHandle = OtgStorageHandle.this;
                                    otgStorageHandle.mHostCheckState = otgStorageHandle.TEST_STATE_CHECK_USB_HOST;
                                } else {
                                    FtUtil.log_i("UIUSBOTG", "OtgStorageHandle.onReceive", "OTG 3.1 FAIL : NOT SUPER");
                                }
                                UIUSBOTG.this.mStorageManager.unmount(vol.getId());
                                FtUtil.log_i("UIUSBOTG", "OtgStorageHandle.onReceive", "UnMountedStorage : Passed");
                            } else if (UIUSBOTG.this.mState == UIUSBOTG.this.TEST_STATE_CHECK_USB2_OTG) {
                                if (!"SUPER".equals(Support.Kernel.read(Support.Kernel.USB3_OTG_TYPE_CHECK))) {
                                    OtgStorageHandle otgStorageHandle2 = OtgStorageHandle.this;
                                    otgStorageHandle2.mHostCheckState = otgStorageHandle2.TEST_STATE_CHECK_USB_HOST;
                                }
                                UIUSBOTG.this.mStorageManager.unmount(vol.getId());
                                FtUtil.log_i("UIUSBOTG", "OtgStorageHandle.onReceive", "UnMountedStorage : Passed");
                            }
                        }
                    }).start();
                }
            } else if (action.equals(ModuleDevice.ACTION_USB_STORAGE_UNMOUNTED) && this.mHostCheckState == this.TEST_STATE_CHECK_USB_HOST) {
                if (UIUSBOTG.this.mState == UIUSBOTG.this.TEST_STATE_CHECK_USB3_OTG) {
                    FtUtil.log_d("UIUSBOTG", "OtgStorageHandle.onReceive", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(77), "PASS - OTG 3.1"));
                    FtUtil.log_d("UTOPIA_USBOTG", "", "OTG3.1 PASS / OTG2.0 SKIP");
                    UIUSBOTG.this.tvOTG3Result.setText("P");
                    UIUSBOTG.this.tvOTG3Result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                    UIUSBOTG uiusbotg = UIUSBOTG.this;
                    uiusbotg.mState = uiusbotg.TEST_STATE_END;
                    this.mHostCheckState = this.TEST_STATE_WAIT_USB_HOST;
                    UIUSBOTG.this.setTestResultOTG();
                    UIUSBOTG.this.passUSBOTGTest();
                } else if (UIUSBOTG.this.mState == UIUSBOTG.this.TEST_STATE_CHECK_USB2_OTG) {
                    FtUtil.log_d("UIUSBOTG", "OtgStorageHandle.onReceive", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(77), "PASS - OTG 2.0"));
                    FtUtil.log_d("UTOPIA_USBOTG", "", "OTG2.0 PASS");
                    UIUSBOTG.this.tvOTG2Result.setText("P");
                    UIUSBOTG.this.tvOTG2Result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                    UIUSBOTG uiusbotg2 = UIUSBOTG.this;
                    uiusbotg2.mState = uiusbotg2.TEST_STATE_END;
                    this.mHostCheckState = this.TEST_STATE_WAIT_USB_HOST;
                    UIUSBOTG.this.setTestResultOTG();
                    UIUSBOTG.this.passUSBOTGTest();
                }
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setTestResultOTG() {
        FtUtil.log_e("UIUSBOTG", "setTestResultOTG", "pass");
        unregisterOTGReceiver();
        writeNV(24, true);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setTestResultUSB() {
        FtUtil.log_e("UIUSBOTG", "setTestResultUSB", "pass");
        writeNV(70, true);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void passUSBOTGTest() {
        FtUtil.log_i("UIUSBOTG", "passUSBOTGTest", "");
        setTestResultWithoutNV(77, (byte) 80);
        finish();
    }

    private void writeNV(int id, boolean isPass) {
        if (isPass) {
            FtUtil.log_i("UIUSBOTG", "writeNV", "id : " + id + " PASS");
            setTestResult(id, (byte) 80);
            return;
        }
        FtUtil.log_e("UIUSBOTG", "writeNV", "FAIL");
    }
}
