package com.sec.factory.app.ui;

import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.View;
import android.widget.Button;
import com.sec.factory.R;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class UIVGLTest extends UIBase implements View.OnClickListener {
    private final long SHOW_BTN_DELAY = 10000;
    private final int SHOW_PASS_FAIL_BTN = 1;
    private Button btnFail;
    private Button btnPass;
    private View mBackground;
    public Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UIVGLTest.AnonymousClass1 */

        public void handleMessage(Message msg) {
            switch (msg.what) {
                case 1:
                    UIVGLTest.this.btnVisible(true);
                    return;
                default:
                    return;
            }
        }
    };

    public UIVGLTest() {
        super("UIVGLTest");
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_vgl_test);
        this.TEST_ID = getIntent().getIntExtra("requestCode", 173);
        FtUtil.setRemoveSystemUI(getWindow(), true);
        initUI();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        startTest();
        this.mHandler.sendEmptyMessageDelayed(1, 10000);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        stopTest();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
    }

    public void startTest() {
        Support.Kernel.write(Support.Kernel.VGL_TEST_MODE, EgisFingerprint.MAJOR_VERSION);
    }

    public void stopTest() {
        Support.Kernel.write(Support.Kernel.VGL_TEST_MODE, "0");
    }

    private void initUI() {
        FtUtil.log_d(this.CLASS_NAME, "initUI", "");
        this.mBackground = findViewById(R.id.background);
        this.btnPass = (Button) findViewById(R.id.pass_btn);
        this.btnFail = (Button) findViewById(R.id.fail_btn);
        this.btnPass.setOnClickListener(this);
        this.btnFail.setOnClickListener(this);
        this.mBackground.setBackgroundResource(R.drawable.vgl_image);
        btnVisible(false);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void btnVisible(boolean flag) {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "btnVisible", "Visible : " + flag);
        if (flag) {
            this.btnPass.setVisibility(0);
            this.btnFail.setVisibility(0);
            return;
        }
        this.btnPass.setVisibility(4);
        this.btnFail.setVisibility(4);
    }

    public void onClick(View view) {
        switch (view.getId()) {
            case R.id.fail_btn:
                FtUtil.log_i(this.CLASS_NAME, "onClick", "Fail");
                setTestResult((byte) 70);
                setResult(0);
                finish();
                return;
            case R.id.pass_btn:
                FtUtil.log_i(this.CLASS_NAME, "onClick", "Pass");
                btnVisible(false);
                setTestResult((byte) 80);
                setResult(-1);
                finish();
                return;
            default:
                FtUtil.log_i(this.CLASS_NAME, "onClick", "Default");
                return;
        }
    }
}
