package com.sec.factory.app.ui;

import android.app.AlertDialog;
import android.app.Dialog;
import android.app.DialogFragment;
import android.content.DialogInterface;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.util.TypedValue;
import android.view.KeyEvent;
import android.view.View;
import android.widget.FrameLayout;
import android.widget.Toast;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.modules.ModulePower;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class UIVibrate extends UIBase {
    private static final int BRIGHTNESS_DIM = 150;
    private static final int BRIGHTNESS_MAX = 255;
    private static View background2ndLayout;
    private static boolean mFlag_VolDownKey_Pressed = false;
    private static boolean mFlag_VolUpKey_Pressed = false;
    private static boolean mFlag_VolUpKey_Twice = false;
    private static boolean mIsDialogShown = false;
    private static View rgb_view;
    private static View rgb_view2;
    private final int MSG_CHECK_PRESSED;
    private final int MSG_KEY_UNLOCK;
    private final int MSG_UPDATE_UI;
    private final int MSG_VOL_DOWN;
    private final int STATE_BLUE;
    private final int STATE_FINISH;
    private final int STATE_GREEN;
    private final int STATE_RED;
    private final int STATE_START = 0;
    private final int STATE_WHITE_BLACK;
    private final long VOL_UP_KEY_EVENT_TIMELAG;
    private AlertDialog.Builder builder;
    private String[] firstkeyStatus;
    private boolean isLedDelaying;
    private boolean isLedSupport;
    private boolean isMotorSupport;
    private String[] keyStatus;
    private int left_motor;
    private boolean mFlag_Key_Lock;
    Handler mHandler;
    private boolean mIsED21ConceptFTA;
    private boolean mIsKeyShortPop;
    private boolean mIsLongPress;
    private ModuleDevice mModuleDevice;
    private long mPrevOnKeyUpEventTime;
    private String mTestCase;
    private int mTestCountA;
    private int right_motor;
    private boolean shouldChangeLED;
    private int test_state;

    public UIVibrate() {
        super("UIVibrate");
        boolean z = true;
        this.STATE_RED = 1;
        this.STATE_GREEN = 2;
        this.STATE_BLUE = 3;
        this.STATE_WHITE_BLACK = 4;
        this.STATE_FINISH = 5;
        this.shouldChangeLED = true;
        this.isLedDelaying = false;
        this.mFlag_Key_Lock = true;
        this.MSG_UPDATE_UI = 5;
        this.MSG_VOL_DOWN = 7;
        this.MSG_CHECK_PRESSED = 8;
        this.MSG_KEY_UNLOCK = 9;
        this.VOL_UP_KEY_EVENT_TIMELAG = 50;
        this.mPrevOnKeyUpEventTime = -1;
        this.test_state = 0;
        this.mIsLongPress = false;
        this.mIsKeyShortPop = false;
        this.mIsED21ConceptFTA = false;
        this.left_motor = 0;
        this.right_motor = 1;
        String testCase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML((byte) 0));
        this.mTestCase = testCase;
        this.isMotorSupport = (testCase == null || !testCase.contains("MOTOR")) ? false : z;
        this.mTestCountA = 0;
        this.mHandler = new Handler() {
            /* class com.sec.factory.app.ui.UIVibrate.AnonymousClass1 */

            public void handleMessage(Message msg) {
                switch (msg.what) {
                    case 3:
                    case 4:
                        String str = UIVibrate.this.CLASS_NAME;
                        FtUtil.log_i(str, "mHandler", "shouldChangeLED=" + UIVibrate.this.shouldChangeLED + ", msg.what=" + msg.what);
                        if (UIVibrate.this.shouldChangeLED) {
                            UIVibrate.this.mModuleDevice.setLEDlamp(msg.what);
                            return;
                        }
                        return;
                    case 5:
                        if (!UIVibrate.mFlag_VolUpKey_Twice && !UIVibrate.mIsDialogShown) {
                            UIVibrate uIVibrate = UIVibrate.this;
                            uIVibrate.changeTestLevel(uIVibrate.test_state);
                            return;
                        }
                        return;
                    case 6:
                    default:
                        return;
                    case 7:
                        boolean unused = UIVibrate.mFlag_VolDownKey_Pressed = false;
                        return;
                    case 8:
                        FtUtil.log_i(UIVibrate.this.CLASS_NAME, "mHandler", "received MSG_CHECK_PRESSED");
                        UIVibrate.this.checkKeyStatus();
                        return;
                    case 9:
                        FtUtil.log_i(UIVibrate.this.CLASS_NAME, "mHandler", "received MSG_KEY_UNLOCK");
                        UIVibrate.this.mFlag_Key_Lock = false;
                        return;
                }
            }
        };
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        FtUtil.log_i(this.CLASS_NAME, "onCreate", "onCreate");
        super.onCreate(savedInstanceState);
        mIsDialogShown = false;
        String temp = Support.Kernel.read(Support.Kernel.CHECK_KEY_PRESSED);
        if (temp != null) {
            FtUtil.log_i(this.CLASS_NAME, "KEY STATUS, Vol_Up , Vol_Down , Power key , 1:press, 0:release ", temp);
            String[] split = temp.split(" ");
            this.firstkeyStatus = split;
            if (EgisFingerprint.MAJOR_VERSION.equals(split[0]) || EgisFingerprint.MAJOR_VERSION.equals(this.firstkeyStatus[1]) || EgisFingerprint.MAJOR_VERSION.equals(this.firstkeyStatus[2])) {
                FtUtil.log_i(this.CLASS_NAME, "onCreate", Support.Kernel.KEY_PRESSED);
                this.mHandler.sendEmptyMessageDelayed(8, 10);
            }
        }
        setContentView(R.layout.ui_vibrate);
        rgb_view = findViewById(R.id.ui_vibrate_rgb_view);
        rgb_view2 = findViewById(R.id.ui_vibrate_rgb_view2);
        ModuleDevice instance = ModuleDevice.instance(this);
        this.mModuleDevice = instance;
        instance.setLEDlamp(5);
        this.mIsED21ConceptFTA = false;
        if (Support.Version.getString(Support.Version.FACTORY_TEST_APP).matches("ED[0-9]*") && 21 <= Integer.parseInt(Support.Version.getString(Support.Version.FACTORY_TEST_APP).substring(2))) {
            this.mIsED21ConceptFTA = true;
        }
        FtUtil.setRemoveSystemUI(getWindow(), true);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void checkKeyStatus() {
        this.mTestCountA++;
        String temp = Support.Kernel.read(Support.Kernel.CHECK_KEY_PRESSED);
        if (temp != null) {
            FtUtil.log_i(this.CLASS_NAME, "checkKeyStatus", temp);
            String[] split = temp.split(" ");
            this.keyStatus = split;
            int i = this.mTestCountA;
            if (i < 5) {
                if (EgisFingerprint.MAJOR_VERSION.equals(split[0]) || EgisFingerprint.MAJOR_VERSION.equals(this.keyStatus[1]) || EgisFingerprint.MAJOR_VERSION.equals(this.keyStatus[2])) {
                    FtUtil.log_i(this.CLASS_NAME, "checkKeyStatus", Support.Kernel.KEY_PRESSED);
                    this.mHandler.sendEmptyMessageDelayed(8, 10);
                    return;
                }
                FtUtil.log_i(this.CLASS_NAME, "checkKeyStatus", "NORMAL KEY STATUS");
                this.mTestCountA = 10;
            } else if (i == 5) {
                FtUtil.log_i(this.CLASS_NAME, "checkStatusVolUpKey", "KEY_PRESSED_VOLUP For long Time");
                if (EgisFingerprint.MAJOR_VERSION.equals(this.firstkeyStatus[0]) && EgisFingerprint.MAJOR_VERSION.equals(this.keyStatus[0])) {
                    showShortKeyFail("Volume Up KeyShort Fail");
                } else if (EgisFingerprint.MAJOR_VERSION.equals(this.firstkeyStatus[1]) && EgisFingerprint.MAJOR_VERSION.equals(this.keyStatus[1])) {
                    showShortKeyFail("Volume Down KeyShort Fail");
                } else if (EgisFingerprint.MAJOR_VERSION.equals(this.firstkeyStatus[2]) && EgisFingerprint.MAJOR_VERSION.equals(this.keyStatus[2])) {
                    showShortKeyFail("Hold(Power) KeyShort Fail");
                }
            }
        }
    }

    public void showShortKeyFail(String message) {
        FtUtil.log_i(this.CLASS_NAME, "showShortKeyFail Pop up", message);
        this.mIsKeyShortPop = true;
        AlertDialog.Builder builder2 = this.builder;
        if (builder2 != null) {
            builder2.setMessage(message);
            this.builder.setPositiveButton("Check", new DialogInterface.OnClickListener() {
                /* class com.sec.factory.app.ui.UIVibrate.AnonymousClass2 */

                public void onClick(DialogInterface dialog, int which) {
                }
            });
            this.builder.setOnKeyListener(new DialogInterface.OnKeyListener() {
                /* class com.sec.factory.app.ui.UIVibrate.AnonymousClass3 */

                public boolean onKey(DialogInterface dInterface, int keyCode, KeyEvent event) {
                    return true;
                }
            });
        }
        this.builder.setCancelable(true);
        this.builder.show();
    }

    /* access modifiers changed from: protected */
    public void onStart() {
        FtUtil.log_i(this.CLASS_NAME, "onStart", "onStart");
        super.onStart();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        FtUtil.log_i(this.CLASS_NAME, "onResume", "onResume");
        super.onResume();
        boolean z = false;
        mIsDialogShown = false;
        mFlag_VolUpKey_Twice = false;
        if (this.isMotorSupport && !this.mModuleDevice.isVibrating()) {
            this.mModuleDevice.startVibrate(ModuleDevice.TIMELESS_VIBRATOR);
        }
        ModulePower.instance(this).setBrightness(150);
        String str = this.mTestCase;
        if (str != null && str.contains("LED")) {
            z = true;
        }
        this.isLedSupport = z;
        changeTestLevel(this.test_state);
        this.builder = new AlertDialog.Builder(this);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        FtUtil.log_i(this.CLASS_NAME, "onPause", "onPause");
        super.onPause();
        this.mTestCountA = 0;
        this.builder = null;
        this.mIsKeyShortPop = false;
        if (this.isMotorSupport) {
            this.mModuleDevice.stopVibrate();
        }
        if (this.test_state != 5 && this.isLedSupport) {
            this.mHandler.removeMessages(2);
            this.mHandler.removeMessages(4);
            this.mModuleDevice.setLEDlamp(0);
        }
        this.mHandler.removeMessages(9);
        mIsDialogShown = false;
        ModulePower.instance(this).setTouchLed(false);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public boolean onKeyDown(int keyCode, KeyEvent event) {
        if (!this.mIsLongPress) {
            this.mIsLongPress = event.isLongPress();
        }
        if ((keyCode == 24 || keyCode == 25 || keyCode == 26) && this.mIsLongPress && !mIsDialogShown) {
            showKeyFailDialog();
        }
        switch (keyCode) {
            case 24:
                mFlag_VolUpKey_Pressed = true;
                if (mFlag_VolDownKey_Pressed && !mIsDialogShown) {
                    FtUtil.log_e(this.CLASS_NAME, "onKeyDown", "VolDownKey && VolUpKey Pressed ");
                    showKeyFailDialog();
                    break;
                }
            case 25:
                mFlag_VolDownKey_Pressed = true;
                this.mHandler.sendEmptyMessageDelayed(7, 50);
                if (mFlag_VolUpKey_Pressed && !mIsDialogShown) {
                    showKeyFailDialog();
                    break;
                }
        }
        return super.onKeyDown(keyCode, event);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public boolean onKeyUp(int keyCode, KeyEvent event) {
        this.mIsLongPress = false;
        if (this.mIsKeyShortPop) {
            this.mIsKeyShortPop = false;
            return true;
        }
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "onKeyUp", "" + event);
        switch (keyCode) {
            case 24:
                String str2 = this.CLASS_NAME;
                FtUtil.log_d(str2, "onKeyUp", "Prev : " + this.mPrevOnKeyUpEventTime + ", Curr : " + event.getEventTime() + " => Time Lag : " + (event.getEventTime() - this.mPrevOnKeyUpEventTime) + " [" + 50L + "]");
                if (this.mPrevOnKeyUpEventTime == -1) {
                    this.mPrevOnKeyUpEventTime = event.getEventTime();
                } else if (event.getEventTime() - this.mPrevOnKeyUpEventTime < 50) {
                    mFlag_VolUpKey_Twice = true;
                    FtUtil.log_e(this.CLASS_NAME, "onKeyUp", "Volume key event occured twice");
                    if (!mIsDialogShown) {
                        showKeyFailDialog();
                    } else {
                        FtUtil.log_e(this.CLASS_NAME, "onKeyUp", "Another dialog is showing");
                        mFlag_VolUpKey_Twice = false;
                    }
                    return true;
                } else {
                    this.mPrevOnKeyUpEventTime = event.getEventTime();
                }
                mFlag_VolUpKey_Pressed = false;
                if (this.mIsED21ConceptFTA) {
                    if (mIsDialogShown) {
                        this.isLedDelaying = false;
                    } else if (!this.isLedDelaying && !this.mFlag_Key_Lock) {
                        this.isLedDelaying = true;
                        FtUtil.log_d(this.CLASS_NAME, "KEYCODE_VOLUME_UP", "Entered!");
                        this.mHandler.sendEmptyMessageDelayed(5, 500);
                    }
                } else if (!mIsDialogShown) {
                    changeTestLevel(this.test_state);
                }
                return true;
            case 25:
                if (!mIsDialogShown) {
                    Toast.makeText(this, "Pressed Wrong Key(Volume DOWN)\nPress Volume UP Key", 0).show();
                    break;
                }
                break;
            case 26:
                if (!mIsDialogShown) {
                    Toast.makeText(this, "Pressed Wrong Key(Hold)\nPress Volume UP Key", 0).show();
                    break;
                }
                break;
        }
        return super.onKeyUp(keyCode, event);
    }

    public void showKeyFailDialog() {
        FtUtil.log_d(this.CLASS_NAME, "showKeyFailDialog", "showKeyFailDialog");
        mIsDialogShown = true;
        keyAlertDialogFragment.newInstance(10000).show(getFragmentManager(), "dialog");
    }

    public static class keyAlertDialogFragment extends DialogFragment {
        private static keyAlertDialogFragment mAlertDialogFragment = null;

        public static keyAlertDialogFragment newInstance(int title) {
            keyAlertDialogFragment keyalertdialogfragment = new keyAlertDialogFragment();
            mAlertDialogFragment = keyalertdialogfragment;
            return keyalertdialogfragment;
        }

        public Dialog onCreateDialog(Bundle savedInstanceState) {
            return new AlertDialog.Builder(getActivity()).setMessage("Side Key Test Fail\nRe-press to key").setPositiveButton("Check", new DialogInterface.OnClickListener() {
                /* class com.sec.factory.app.ui.UIVibrate.keyAlertDialogFragment.AnonymousClass2 */

                public void onClick(DialogInterface dialog, int whichButton) {
                    boolean unused = UIVibrate.mIsDialogShown = false;
                    boolean unused2 = UIVibrate.mFlag_VolUpKey_Twice = false;
                    boolean unused3 = UIVibrate.mFlag_VolUpKey_Pressed = false;
                    boolean unused4 = UIVibrate.mFlag_VolDownKey_Pressed = false;
                    if (keyAlertDialogFragment.mAlertDialogFragment != null && keyAlertDialogFragment.mAlertDialogFragment.getDialog().isShowing()) {
                        keyAlertDialogFragment.this.dismiss();
                    }
                }
            }).setOnKeyListener(new DialogInterface.OnKeyListener() {
                /* class com.sec.factory.app.ui.UIVibrate.keyAlertDialogFragment.AnonymousClass1 */

                public boolean onKey(DialogInterface dInterface, int keyCode, KeyEvent event) {
                    if (keyCode != 4) {
                        return true;
                    }
                    boolean unused = UIVibrate.mIsDialogShown = false;
                    boolean unused2 = UIVibrate.mFlag_VolUpKey_Twice = false;
                    boolean unused3 = UIVibrate.mFlag_VolUpKey_Pressed = false;
                    boolean unused4 = UIVibrate.mFlag_VolDownKey_Pressed = false;
                    if (keyAlertDialogFragment.mAlertDialogFragment == null || !keyAlertDialogFragment.mAlertDialogFragment.getDialog().isShowing()) {
                        return true;
                    }
                    keyAlertDialogFragment.this.dismiss();
                    return true;
                }
            }).create();
        }

        public void onDismiss(DialogInterface arg0) {
            boolean unused = UIVibrate.mIsDialogShown = false;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void changeTestLevel(int state) {
        switch (state) {
            case 0:
                if (this.isLedSupport) {
                    this.mModuleDevice.setLEDlamp(3);
                }
                ModulePower.instance(this).setTouchLed(true);
                this.test_state = 2;
                rgb_view.setBackgroundColor(-16711936);
                ModulePower.instance(this).setBrightness(150);
                if (this.isMotorSupport) {
                    updateSimpleTestStates("GREEN SCREEN/MOTOR");
                } else {
                    updateSimpleTestStates("GREEN SCREEN");
                }
                FtUtil.log_i(this.CLASS_NAME, "changeTestLevel", "START -> GREEN");
                this.mHandler.sendEmptyMessageDelayed(9, 3000);
                break;
            case 1:
                if (this.isLedSupport) {
                    this.mModuleDevice.setLEDlamp(4);
                }
                ModulePower.instance(this).setTouchLed(true);
                this.test_state = 3;
                rgb_view.setBackgroundColor(UiHallICTest.FONT_COLOR_PASS);
                if (this.isMotorSupport) {
                    updateSimpleTestStates("BLUE SCREEN/MOTOR");
                } else {
                    updateSimpleTestStates("BLUE SCREEN");
                }
                FtUtil.log_i(this.CLASS_NAME, "changeTestLevel", "RED -> BLUE");
                break;
            case 2:
                if (this.isLedSupport) {
                    this.mModuleDevice.setLEDlamp(2);
                }
                this.test_state = 1;
                rgb_view.setBackgroundColor(-65536);
                ModulePower.instance(this).setTouchLed(false);
                if (this.isMotorSupport) {
                    updateSimpleTestStates("RED SCREEN/MOTOR");
                } else {
                    updateSimpleTestStates("RED SCREEN");
                }
                FtUtil.log_i(this.CLASS_NAME, "changeTestLevel", "GREEN -> RED");
                break;
            case 3:
                if (this.isLedSupport) {
                    if (this.shouldChangeLED) {
                        this.mModuleDevice.setLEDlamp(2);
                    }
                    this.mHandler.sendEmptyMessageDelayed(3, 500);
                    this.mHandler.sendEmptyMessageDelayed(4, 1000);
                }
                ModulePower.instance(this).setTouchLed(false);
                this.test_state = 4;
                rgb_view.setBackgroundColor(-1);
                changeBlackSize();
                rgb_view2.setVisibility(0);
                ModulePower.instance(this).setBrightness(255);
                if (this.isMotorSupport) {
                    updateSimpleTestStates("WHITE BLACK SCREEN/MOTOR");
                } else {
                    updateSimpleTestStates("WHITE BLACK SCREEN");
                }
                FtUtil.log_i(this.CLASS_NAME, "changeTestLevel", "BLUE -> WHITE_BLACK");
                break;
            case 4:
                this.test_state = 5;
                if (this.isLedSupport) {
                    this.shouldChangeLED = false;
                    this.mModuleDevice.setLEDlamp(0);
                }
                FtUtil.log_i(this.CLASS_NAME, "changeTestLevel", "WHITE_BLACK -> FINISH");
                setResult(-1);
                finish();
                break;
            default:
                String str = this.CLASS_NAME;
                FtUtil.log_i(str, "changeTestLevel", "default, test_state: " + this.test_state);
                break;
        }
        this.isLedDelaying = false;
    }

    private void changeBlackSize() {
        int PaddingSize = (int) TypedValue.applyDimension(5, 5.0f, getResources().getDisplayMetrics());
        FrameLayout.LayoutParams params = (FrameLayout.LayoutParams) rgb_view2.getLayoutParams();
        params.width = rgb_view.getWidth() - (PaddingSize * 2);
        params.height = rgb_view.getHeight() - (PaddingSize * 2);
        rgb_view2.setLayoutParams(params);
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "changeBlackSize", "PaddingSize : " + PaddingSize + ", width : " + params.width + ", height : " + params.height);
    }
}
