package com.sec.factory.app.ui;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.nfc.NfcAdapter;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.widget.LinearLayout;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.modules.ModulePower;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.File;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Iterator;

public class UIWirelessAFCharge extends UIBase {
    private static final int MSG_SELFTEST_START = 2;
    private static final int MSG_TEST_END = 4;
    private static final int MSG_TEST_START = 1;
    private static final int MSG_WPC_TEST_START = 3;
    private static final int WHAT_CHECK_LCD_ON = 5;
    private final int AVER_AFC_CNT;
    private final String CLASS_NAME = "UIWirelessAFCharge";
    private int DUMMY = 0;
    private final int TESTSTATE_AFC_CHECK_STATUS;
    private final int TESTSTATE_AFC_CONNECT;
    private final int TESTSTATE_AFC_SELFTEST;
    private String afcVoltageSpec;
    private boolean initTest;
    private boolean isPass;
    private boolean isSupportCheckVoltageSpec;
    private boolean isUseWirelessChargeMode;
    private LinearLayout mAFCCurrentTable;
    private TextView mAFCSelfCheck;
    private TextView mAFCSelfSpec;
    private TextView mAFChargeCheck;
    private TextView mAFChargeMode;
    private TextView mAFChargeRawavg;
    private TextView mAFChargeRawdata1;
    private TextView mAFChargeRawdata2;
    private TextView mAFChargeRawdata3;
    private TextView mAFChargeRawdata4;
    private TextView mAFChargeRawdata5;
    private TextView mAFChargeSubTitle;
    private TextView mAFChargeVoltage;
    private TextView mAFCharging;
    private TextView mAFChargingMode;
    private TextView mAFChargingSelftest;
    private ArrayList<Integer> mAfcList;
    private ArrayList<Double> mAfcVoltageList;
    private int mAverAfc;
    private double mAverAfcVoltage;
    private int mBattTemp;
    private TextView mBattTempCheck;
    private BroadcastReceiver mBroadcastReceiver;
    private int mCount;
    private int mCurrentCount;
    private Handler mHandler;
    private String mModeName;
    private ModuleDevice mModuleDevice;
    private ModulePower mModulePower;
    private int mSpecMax;
    private int mSpecMin;
    private int mTempSpecMax;
    private int mTempSpecMin;
    private String mTestCase;
    private int mTestCount;
    private String mTestName;
    private int mTestState;
    private TextView mWPC_Result;
    private TextView mWPC_Title;

    static /* synthetic */ int access$408(UIWirelessAFCharge x0) {
        int i = x0.mCount;
        x0.mCount = i + 1;
        return i;
    }

    public UIWirelessAFCharge() {
        super("UIWirelessAFCharge", 123);
        int i = 0 + 1;
        this.DUMMY = i;
        this.TESTSTATE_AFC_CONNECT = 0;
        int i2 = i + 1;
        this.DUMMY = i2;
        this.TESTSTATE_AFC_CHECK_STATUS = i;
        this.DUMMY = i2 + 1;
        this.TESTSTATE_AFC_SELFTEST = i2;
        this.mTestCount = 0;
        this.mTestState = 0;
        this.mCurrentCount = 0;
        this.initTest = true;
        this.isPass = false;
        this.AVER_AFC_CNT = 5;
        this.mCount = 0;
        this.mAverAfc = 0;
        this.mAverAfcVoltage = 0.0d;
        this.mBattTemp = 0;
        this.mAfcList = new ArrayList<>();
        this.mAfcVoltageList = new ArrayList<>();
        this.isUseWirelessChargeMode = Support.Feature.getBoolean(Support.Feature.USE_WIRELESS_CHARGE_MODE);
        this.isSupportCheckVoltageSpec = Support.Feature.getBoolean(Support.Feature.SUPPORT_VOLTAGE_CHECK_IN_CHARGING_TEST);
        this.afcVoltageSpec = Support.Spec.getString(Support.Spec.WIRELESSS_AFC_VOLTAGE);
        this.mTestName = FactoryTestManager.getItemName_RequestCode(123);
        this.mBroadcastReceiver = new BroadcastReceiver() {
            /* class com.sec.factory.app.ui.UIWirelessAFCharge.AnonymousClass1 */

            public void onReceive(Context context, Intent intent) {
                String action = intent.getAction();
                FtUtil.log_d("UIWirelessAFCharge", "mBroadcastReceiver.onReceive", "action=" + action);
                if ("android.intent.action.BATTERY_CHANGED".equals(action)) {
                    int plugged = intent.getIntExtra("plugged", 0);
                    intent.getIntExtra("online", 0);
                    if (UIWirelessAFCharge.this.mTestState == UIWirelessAFCharge.this.TESTSTATE_AFC_CONNECT && plugged == 4) {
                        String wirelessBattStatus = Support.Kernel.read(Support.Kernel.WIRELESS_BATTERY);
                        if (EgisFingerprint.MAJOR_VERSION.equals(wirelessBattStatus)) {
                            FtUtil.log_d("UIWirelessAFCharge", "Battery State: " + plugged + " / WIRELESS BATTERY Charge Status: " + wirelessBattStatus);
                            UIWirelessAFCharge uIWirelessAFCharge = UIWirelessAFCharge.this;
                            uIWirelessAFCharge.mTestState = uIWirelessAFCharge.TESTSTATE_AFC_CHECK_STATUS;
                            FtUtil.Sleep.sleep(1000);
                            UIWirelessAFCharge.this.mHandler.sendEmptyMessage(1);
                        }
                    }
                }
            }
        };
        this.mHandler = new Handler() {
            /* class com.sec.factory.app.ui.UIWirelessAFCharge.AnonymousClass2 */

            public void handleMessage(Message msg) {
                if (msg.what == 5) {
                    if (UIWirelessAFCharge.access$408(UIWirelessAFCharge.this) == 5) {
                        FtUtil.log_d("UIWirelessAFCharge", "handleMessage : LCD is not on state during 1 second.");
                        UIWirelessAFCharge.this.mCount = 0;
                        UIWirelessAFCharge.this.mHandler.sendEmptyMessageDelayed(2, 400);
                    } else if (UIWirelessAFCharge.this.mModulePower.isScreenOn()) {
                        UIWirelessAFCharge.this.turnLcdOffForCurrentCheck();
                        UIWirelessAFCharge.this.mHandler.sendEmptyMessageDelayed(2, 1500);
                        UIWirelessAFCharge.this.mCount = 0;
                    } else {
                        UIWirelessAFCharge.this.mHandler.sendEmptyMessageDelayed(5, 200);
                    }
                } else if (msg.what == 1) {
                    UIWirelessAFCharge.this.readChargeData();
                } else if (msg.what == 2) {
                    UIWirelessAFCharge.this.readcurrent();
                } else if (msg.what == 3) {
                    UIWirelessAFCharge.this.WPCTestStart();
                } else if (msg.what == 4) {
                    UIWirelessAFCharge.this.endMeasure();
                }
            }
        };
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_wireless_af_charge);
        String testCase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML(this.TEST_ID));
        this.mTestCase = testCase;
        if (testCase == null || !testCase.contains("UFC")) {
            this.mModeName = "AFC";
        } else {
            this.mModeName = "UFC";
        }
        this.mSpecMax = Support.Spec.getInt(Support.Spec.WIRELESS_AFC_CURRENT_SPEC_MAX);
        this.mSpecMin = Support.Spec.getInt(Support.Spec.WIRELESS_AFC_CURRENT_SPEC_MIN);
        this.mTempSpecMax = Support.Spec.getInt(Support.Spec.WIRELESS_AFC_CURRENT_TEMP_SPEC_MAX);
        this.mTempSpecMin = Support.Spec.getInt(Support.Spec.WIRELESS_AFC_CURRENT_TEMP_SPEC_MIN);
        this.mModuleDevice = ModuleDevice.instance(this);
        this.mModulePower = ModulePower.instance(this);
        this.mTestState = this.TESTSTATE_AFC_CONNECT;
        IntentFilter mIntentFilter = new IntentFilter();
        mIntentFilter.addAction("android.intent.action.BATTERY_CHANGED");
        registerReceiver(this.mBroadcastReceiver, mIntentFilter);
        TextView textView = (TextView) findViewById(R.id.wireless_af_charge_subtitle);
        this.mAFChargeSubTitle = textView;
        if (this.isUseWirelessChargeMode) {
            textView.setText("(" + this.afcVoltageSpec + " " + this.mModeName + " Master)");
        } else {
            textView.setText("(" + this.afcVoltageSpec + " " + this.mModeName + ")");
        }
        TextView textView2 = (TextView) findViewById(R.id.wireless_afchargingmode);
        this.mAFChargingMode = textView2;
        textView2.setVisibility(8);
        TextView textView3 = (TextView) findViewById(R.id.wireless_afchargemode);
        this.mAFChargeMode = textView3;
        textView3.setVisibility(8);
        TextView textView4 = (TextView) findViewById(R.id.wireless_afcharging);
        this.mAFCharging = textView4;
        textView4.setVisibility(8);
        TextView textView5 = (TextView) findViewById(R.id.wireless_afchargevoltage);
        this.mAFChargeVoltage = textView5;
        textView5.setVisibility(8);
        TextView textView6 = (TextView) findViewById(R.id.wireless_af_charge_conn_status);
        this.mAFChargeCheck = textView6;
        textView6.setVisibility(8);
        TextView textView7 = (TextView) findViewById(R.id.wireless_af_charge_batt_temp);
        this.mBattTempCheck = textView7;
        textView7.setVisibility(8);
        TextView textView8 = (TextView) findViewById(R.id.wireless_af_charge_conn_status_selftest);
        this.mAFChargingSelftest = textView8;
        textView8.setVisibility(8);
        this.mAFCSelfCheck = (TextView) findViewById(R.id.wireless_af_charge_result);
        this.mAFCSelfSpec = (TextView) findViewById(R.id.wireless_af_charge_spec);
        TextView textView9 = (TextView) findViewById(R.id.wireless_af_charge_WPC_title);
        this.mWPC_Title = textView9;
        textView9.setVisibility(8);
        TextView textView10 = (TextView) findViewById(R.id.wireless_af_charge_WPC_result);
        this.mWPC_Result = textView10;
        textView10.setVisibility(8);
        LinearLayout linearLayout = (LinearLayout) findViewById(R.id.table);
        this.mAFCCurrentTable = linearLayout;
        linearLayout.setVisibility(8);
        this.mAFChargeRawdata1 = (TextView) findViewById(R.id.rawdata1);
        this.mAFChargeRawdata2 = (TextView) findViewById(R.id.rawdata2);
        this.mAFChargeRawdata3 = (TextView) findViewById(R.id.rawdata3);
        this.mAFChargeRawdata4 = (TextView) findViewById(R.id.rawdata4);
        this.mAFChargeRawdata5 = (TextView) findViewById(R.id.rawdata5);
        this.mAFChargeRawavg = (TextView) findViewById(R.id.rawdataavg);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        this.mHandler.removeMessages(1);
        this.mHandler.removeMessages(4);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
        this.mHandler.removeMessages(1);
        this.mHandler.removeMessages(4);
        this.mTestCount = 0;
        this.mCurrentCount = 0;
        unregisterReceiver(this.mBroadcastReceiver);
        NfcAdapter nfc = NfcAdapter.getDefaultAdapter(getApplicationContext());
        if (nfc != null && nfc.isEnabled()) {
            Intent intent = new Intent("com.samsung.android.nfc.test.action.REQUEST");
            intent.putExtra("com.samsung.android.nfc.test.extra.ID", 3);
            sendBroadcast(intent);
            FtUtil.log_d("UIWirelessAFCharge", "when screen off / on. NFC RF discovery was enabled. so must be disabled before exit here");
        }
        this.mModulePower.doPartialWakeLock(false);
        this.mModulePower.doWakeLock(false);
        this.mAfcList.clear();
        this.mAfcVoltageList.clear();
    }

    private boolean checkBattTemp() {
        boolean battTempResult = false;
        String res = Support.Kernel.read(Support.Kernel.BATTERY_WPC_TEMP);
        if (res == null || res.isEmpty()) {
            FtUtil.log_i("UIWirelessAFCharge", "checkBattTemp", "Batt Temp : No Data");
            this.mBattTempCheck.setText("TEMP : No Data");
            this.mBattTempCheck.setTextColor(-65536);
        } else {
            int intValue = Integer.valueOf(res).intValue() / 10;
            this.mBattTemp = intValue;
            String res2 = String.valueOf(intValue);
            FtUtil.log_i("UIWirelessAFCharge", "checkBattTemp", "Batt Temp : " + res2);
            TextView textView = this.mBattTempCheck;
            textView.setText("TEMP : " + res2 + " (spec : " + this.mTempSpecMin + " ~ " + this.mTempSpecMax + ")");
            int i = this.mBattTemp;
            if (i < this.mTempSpecMin || i > this.mTempSpecMax) {
                this.mBattTempCheck.setTextColor(-65536);
            } else {
                battTempResult = true;
            }
        }
        this.mBattTempCheck.setVisibility(0);
        return battTempResult;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void readChargeData() {
        boolean isInSpecVoltage;
        String strVolt = "";
        if (this.isUseWirelessChargeMode) {
            this.mAFCharging.setVisibility(0);
            this.mAFChargingMode.setVisibility(0);
            TextView textView = this.mAFChargeMode;
            textView.setText(this.mModeName + " " + Support.Kernel.read(Support.Kernel.SEC_MULTI_CHARGER_MODE));
            this.mAFChargeMode.setVisibility(0);
            int mCharginVolt = Integer.parseInt(Support.Kernel.read(Support.Kernel.WIRELESS_VOUT));
            if (mCharginVolt >= 11500 && mCharginVolt <= 12500) {
                strVolt = "12V";
                this.mAFChargeVoltage.setText(strVolt);
            } else if (mCharginVolt >= 8500 && mCharginVolt <= 10500) {
                strVolt = "9V";
                this.mAFChargeVoltage.setText(strVolt);
            } else if (mCharginVolt < 4500 || mCharginVolt > 5500) {
                TextView textView2 = this.mAFChargeVoltage;
                textView2.setText(Support.Kernel.read(Support.Kernel.WIRELESS_VOUT) + "mV");
            } else {
                strVolt = "5V";
                this.mAFChargeVoltage.setText(strVolt);
            }
            this.mAFChargeVoltage.setVisibility(0);
        }
        if (this.isSupportCheckVoltageSpec) {
            isInSpecVoltage = this.afcVoltageSpec.equalsIgnoreCase(strVolt);
        } else {
            isInSpecVoltage = true;
        }
        int i = this.mTestCount + 1;
        this.mTestCount = i;
        if (i <= 11) {
            String chargeStatus = Support.Kernel.read(Support.Kernel.HV_WC_CHARGER_STATUS);
            if (EgisFingerprint.MAJOR_VERSION.equals(chargeStatus) && (!this.isUseWirelessChargeMode || isInSpecVoltage)) {
                FtUtil.log_i("UIWirelessAFCharge", "readChargeData", "Success| Charge Status:" + chargeStatus);
                this.mAFChargeCheck.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                this.mAFChargeCheck.setText("Connection : PASS");
                this.mAFChargeCheck.setVisibility(0);
                if (!checkBattTemp()) {
                    FtUtil.log_d("UIWirelessAFCharge", "readChargeData", FtUtil.setMspSeqMessage(1, this.mTestName, "Fail / Reason : Batt Temp"));
                    return;
                }
                this.mTestState = this.TESTSTATE_AFC_SELFTEST;
                this.mAFCSelfSpec.setText("SPEC : " + this.mSpecMin + "mA ~ " + this.mSpecMax + "mA");
                this.mHandler.sendEmptyMessageDelayed(5, 3500);
            } else if (this.initTest) {
                this.mHandler.sendEmptyMessageDelayed(1, 1000);
                FtUtil.log_i("UIWirelessAFCharge", "readChargeData", "Charge Status:" + Support.Kernel.read(Support.Kernel.HV_WC_CHARGER_STATUS) + " / delay 1 sec - TestCount : " + this.mTestCount);
                this.initTest = false;
            } else {
                this.mHandler.sendEmptyMessageDelayed(1, 200);
                FtUtil.log_i("UIWirelessAFCharge", "readChargeData", "Charge Status:" + Support.Kernel.read(Support.Kernel.HV_WC_CHARGER_STATUS) + " / delay 0.2 sec - TestCount : " + this.mTestCount);
            }
        } else {
            FtUtil.log_d("UIWirelessAFCharge", "readChargeData", FtUtil.setMspSeqMessage(1, this.mTestName, "Fail / Reason : try count is over 11"));
            this.mAFChargeCheck.setTextColor(-65536);
            this.mAFChargeCheck.setText("Connection : FAIL");
            this.mAFChargeCheck.setVisibility(0);
        }
    }

    private void currentCheck() {
        this.mModulePower.doWakeLock(true);
        int mCharginVolt = Integer.parseInt(Support.Kernel.read(Support.Kernel.WIRELESS_VOUT));
        if (mCharginVolt >= 11500 && mCharginVolt <= 12500) {
            this.mAFChargeVoltage.setText("12V");
        } else if (mCharginVolt >= 8500 && mCharginVolt <= 10500) {
            this.mAFChargeVoltage.setText("9V");
        } else if (mCharginVolt < 4500 || mCharginVolt > 5500) {
            TextView textView = this.mAFChargeVoltage;
            textView.setText(Support.Kernel.read(Support.Kernel.WIRELESS_VOUT) + "mV");
        } else {
            this.mAFChargeVoltage.setText("5V");
        }
        this.mAFCCurrentTable.setVisibility(0);
        String tempVoltage = String.format("%.2f", Double.valueOf(this.mAverAfcVoltage));
        File dataAvgFile = new File("data/log/WirelessFastChargeData.log");
        String path = dataAvgFile.getPath();
        Support.Kernel.writeToPathNsync(path, Integer.toString(this.mAverAfc) + "," + tempVoltage + "," + Integer.toString(this.mBattTemp));
        StringBuilder sb = new StringBuilder();
        sb.append("WirelessFastChargeData.log : ");
        sb.append(Support.Kernel.readFromPath(dataAvgFile.getPath(), true));
        FtUtil.log_i("UIWirelessAFCharge", "readFromPath", sb.toString());
        int i = this.mAverAfc;
        if (i < this.mSpecMin || i > this.mSpecMax) {
            FtUtil.log_d("UIWirelessAFCharge", "currentCheck", FtUtil.setMspSeqMessage(1, this.mTestName, String.format("Fail / Reason : current is spec out [ Measure : %d (Spec : %d ~ %d) ]", Integer.valueOf(i), Integer.valueOf(this.mSpecMin), Integer.valueOf(this.mSpecMax))));
            this.mAFCSelfCheck.setTextColor(-65536);
            this.mAFCSelfCheck.setText("FAIL");
            return;
        }
        FtUtil.log_i("UIWirelessAFCharge", "currentCheck", "current SelfTest: PASS ");
        this.mAFCSelfCheck.setTextColor(UiHallICTest.FONT_COLOR_PASS);
        this.mAFCSelfCheck.setText("PASS");
        this.mWPC_Title.setVisibility(0);
        String str = this.mTestCase;
        if (str == null || !"WPC".contains(str)) {
            this.isPass = true;
            this.mWPC_Result.setVisibility(0);
            this.mHandler.sendEmptyMessageDelayed(4, 1000);
            return;
        }
        this.mHandler.sendEmptyMessageDelayed(3, 1000);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void readcurrent() {
        int i = this.mCurrentCount + 1;
        this.mCurrentCount = i;
        if (i > 5) {
            this.mCurrentCount = 0;
            averageAfc();
        } else if ("0".equals(Support.Kernel.read(Support.Kernel.WIRELESS_BATTERY))) {
            FtUtil.log_d("UIWirelessAFCharge", "readcurrent", FtUtil.setMspSeqMessage(1, this.mTestName, "Fail / Reason : TA disconnected during charging"));
            this.mAFCSelfCheck.setTextColor(-65536);
            this.mAFCSelfCheck.setText("FAIL : TA disconnected during charging");
            this.mModulePower.doWakeLock(true);
        } else {
            this.mAfcList.add(Integer.valueOf(Integer.parseInt(Support.Kernel.read(Support.Kernel.HV_CHARGE_CURRENT)) / 1000));
            this.mAfcVoltageList.add(Double.valueOf(Double.parseDouble(Support.Kernel.read(Support.Kernel.BATTERY_VOLT)) / 1000000.0d));
            StringBuilder sb = new StringBuilder();
            sb.append("Charge Current:");
            ArrayList<Integer> arrayList = this.mAfcList;
            sb.append(arrayList.get(arrayList.size() - 1));
            sb.append(" / mCurrentCount : ");
            sb.append(this.mCurrentCount);
            FtUtil.log_i("UIWirelessAFCharge", "readcurrent", sb.toString());
            StringBuilder sb2 = new StringBuilder();
            sb2.append("Charge Voltage:");
            ArrayList<Double> arrayList2 = this.mAfcVoltageList;
            sb2.append(arrayList2.get(arrayList2.size() - 1));
            sb2.append(" / mCurrentCount : ");
            sb2.append(this.mCurrentCount);
            FtUtil.log_i("UIWirelessAFCharge", "readcurrent", sb2.toString());
            this.mHandler.sendEmptyMessageDelayed(2, 400);
        }
    }

    private void averageAfc() {
        FtUtil.log_d("UIWirelessAFCharge", "averageAdc", "");
        TextView textView = this.mAFChargeRawdata1;
        textView.setText("" + this.mAfcList.get(0));
        TextView textView2 = this.mAFChargeRawdata2;
        textView2.setText("" + this.mAfcList.get(1));
        TextView textView3 = this.mAFChargeRawdata3;
        textView3.setText("" + this.mAfcList.get(2));
        TextView textView4 = this.mAFChargeRawdata4;
        textView4.setText("" + this.mAfcList.get(3));
        TextView textView5 = this.mAFChargeRawdata5;
        textView5.setText("" + this.mAfcList.get(4));
        Collections.sort(this.mAfcList);
        Collections.sort(this.mAfcVoltageList);
        ArrayList<Integer> arrayList = this.mAfcList;
        arrayList.remove(arrayList.size() - 1);
        ArrayList<Double> arrayList2 = this.mAfcVoltageList;
        arrayList2.remove(arrayList2.size() - 1);
        this.mAfcList.remove(0);
        this.mAfcVoltageList.remove(0);
        Integer sum = 0;
        Double sumVoltage = Double.valueOf(0.0d);
        Iterator<Integer> it = this.mAfcList.iterator();
        while (it.hasNext()) {
            sum = Integer.valueOf(sum.intValue() + it.next().intValue());
        }
        Iterator<Double> it2 = this.mAfcVoltageList.iterator();
        while (it2.hasNext()) {
            sumVoltage = Double.valueOf(sumVoltage.doubleValue() + it2.next().doubleValue());
        }
        this.mAverAfc = (int) (((float) sum.intValue()) / 3.0f);
        this.mAverAfcVoltage = sumVoltage.doubleValue() / 3.0d;
        this.mAfcList.clear();
        this.mAfcVoltageList.clear();
        TextView textView6 = this.mAFChargeRawavg;
        textView6.setText("" + this.mAverAfc);
        FtUtil.log_i("UIWirelessAFCharge", "average", "Averege Current: " + this.mAverAfc + " / Average Voltage: " + this.mAverAfcVoltage);
        currentCheck();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void endMeasure() {
        this.mTestCount = 0;
        this.mCurrentCount = 0;
        this.initTest = true;
        setTestResult();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void turnLcdOffForCurrentCheck() {
        FtUtil.log_i("UIWirelessAFCharge", "turnLcdOffForCurrentCheck", "Turn LCD Off");
        this.mModulePower.doPartialWakeLock(true);
        this.mModulePower.doWakeLock(false);
        if (Support.Feature.getBoolean(Support.Feature.NEED_LPA_MODE_SET, true)) {
            this.mModuleDevice.setLPAmode(ModuleDevice.LPA_MODE_DISABLE);
        }
        this.mModulePower.gotosleep();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void WPCTestStart() {
        this.mWPC_Result.setText("");
        this.mWPC_Result.setVisibility(0);
        if (!Support.Kernel.write(Support.Kernel.BATTERY_WPC_CHARGE, EgisFingerprint.MAJOR_VERSION)) {
            FtUtil.log_i("UIWirelessAFCharge", "WPCTest", "WPCTest : FAIL ");
            this.mWPC_Result.setTextColor(-65536);
            this.mWPC_Result.setText("FAIL");
            return;
        }
        try {
            FtUtil.log_d("UIWirelessAFCharge", "delay", " : 100ms");
            Thread.sleep(100);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
        String result = Support.Kernel.read(Support.Kernel.BATTERY_WPC_CHARGE, true);
        if (result == null || result.isEmpty()) {
            FtUtil.log_i("UIWirelessAFCharge", "WPCTest", "WPCTest : FAIL ");
            this.mWPC_Result.setTextColor(-65536);
            this.mWPC_Result.setText("FAIL");
        } else if (result.charAt(0) == '1') {
            FtUtil.log_i("UIWirelessAFCharge", "WPCTest", "WPCTest : PASS ");
            this.isPass = true;
            this.mWPC_Result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            this.mWPC_Result.setText("PASS");
            this.mHandler.sendEmptyMessageDelayed(4, 1000);
        } else {
            FtUtil.log_i("UIWirelessAFCharge", "WPCTest", "WPCTest : FAIL ");
            this.mWPC_Result.setTextColor(-65536);
            this.mWPC_Result.setText("FAIL");
        }
    }

    private void setTestResult() {
        FtUtil.log_e("UIWirelessAFCharge", "setTestResult", " isPass : " + this.isPass);
        if (this.isPass) {
            setTestResult((byte) 80);
            if (FactoryTestManager.getEnable(124)) {
                startActivity(new Intent(this, UIWirelessChargeBuiltIn.class));
            }
        } else {
            setTestResultFailCase(123);
        }
        finish();
    }
}
