package com.sec.factory.app.ui;

import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.modules.ModuleForceTouch;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class UIWirelessAFChargeFwCheck extends UIBase {
    private final String CLASS_NAME = "UIWirelessAFChargeFwCheck";
    private int EXPIRED_COUNTER = 15;
    private final int IDT_OTP = 8;
    private int MSG_NG_CS = 1;
    private int MSG_PASS = 0;
    private int MSG_TEST_CHECK_FW = 5;
    private int MSG_TEST_EXIT = 4;
    private int MSG_TEST_FW_UPDATE_FAIL = 2;
    private int MSG_TEST_FW_UPDATE_MONITORING = 3;
    private int MSG_TEST_IC_POWER_OFF = 7;
    private int MSG_TEST_IC_POWER_ON = 6;
    private String fwCheckResult;
    private String fwName;
    private String idt_firmware_version_bin = null;
    private String idt_firmware_version_ic = null;
    private TextView mAFChargeFwCheck;
    private TextView mAFChargeFwCheckResult;
    private Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UIWirelessAFChargeFwCheck.AnonymousClass2 */

        public void handleMessage(Message msg) {
            FtUtil.log_d("UIWirelessAFChargeFwCheck", "mHandler", "msg : " + msg.what);
            if (msg.what == UIWirelessAFChargeFwCheck.this.MSG_PASS) {
                UIWirelessAFChargeFwCheck.this.idt_firmware_version_ic = Support.Kernel.read(Support.Kernel.IDT_OTP_FIRMWARE_VERSION);
                TextView textView = UIWirelessAFChargeFwCheck.this.mAFChargeFwCheck;
                textView.setText("Firmware : " + UIWirelessAFChargeFwCheck.this.idt_firmware_version_ic);
                UIWirelessAFChargeFwCheck.this.mAFChargeFwCheckResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                UIWirelessAFChargeFwCheck.this.mAFChargeFwCheckResult.setText("PASS");
                UIWirelessAFChargeFwCheck.this.mAFChargeFwCheckResult.setVisibility(0);
                UIWirelessAFChargeFwCheck.this.mHandler.sendEmptyMessageDelayed(UIWirelessAFChargeFwCheck.this.MSG_TEST_EXIT, 500);
            } else if (msg.what == UIWirelessAFChargeFwCheck.this.MSG_NG_CS) {
                UIWirelessAFChargeFwCheck.this.mAFChargeFwCheck.setText("Firmware : NG Checksum");
                UIWirelessAFChargeFwCheck.this.mAFChargeFwCheckResult.setTextColor(-65536);
                UIWirelessAFChargeFwCheck.this.mAFChargeFwCheckResult.setText("FAIL");
                UIWirelessAFChargeFwCheck.this.mAFChargeFwCheckResult.setVisibility(0);
            } else if (msg.what == UIWirelessAFChargeFwCheck.this.MSG_TEST_FW_UPDATE_FAIL) {
                TextView textView2 = UIWirelessAFChargeFwCheck.this.mAFChargeFwCheck;
                textView2.setText("Firmware(Update Fail) : " + UIWirelessAFChargeFwCheck.this.idt_firmware_version_ic);
                UIWirelessAFChargeFwCheck.this.mAFChargeFwCheckResult.setTextColor(-65536);
                UIWirelessAFChargeFwCheck.this.mAFChargeFwCheckResult.setText("FAIL");
                UIWirelessAFChargeFwCheck.this.mAFChargeFwCheckResult.setVisibility(0);
            } else if (msg.what == UIWirelessAFChargeFwCheck.this.MSG_TEST_FW_UPDATE_MONITORING) {
                UIWirelessAFChargeFwCheck.this.mAFChargeFwCheck.setText("Firmware : Update");
                UIWirelessAFChargeFwCheck.this.afcFWUpdateStatusCheck();
            } else if (msg.what == UIWirelessAFChargeFwCheck.this.MSG_TEST_CHECK_FW) {
                UIWirelessAFChargeFwCheck.this.checkWiressAFCFw();
            } else if (msg.what == UIWirelessAFChargeFwCheck.this.MSG_TEST_IC_POWER_ON) {
                UIWirelessAFChargeFwCheck uIWirelessAFChargeFwCheck = UIWirelessAFChargeFwCheck.this;
                uIWirelessAFChargeFwCheck.wirelessChargerIcPowerControl(uIWirelessAFChargeFwCheck.powerOn);
            } else if (msg.what == UIWirelessAFChargeFwCheck.this.MSG_TEST_IC_POWER_OFF) {
                UIWirelessAFChargeFwCheck uIWirelessAFChargeFwCheck2 = UIWirelessAFChargeFwCheck.this;
                uIWirelessAFChargeFwCheck2.wirelessChargerIcPowerControl(uIWirelessAFChargeFwCheck2.powerOff);
            } else if (msg.what == UIWirelessAFChargeFwCheck.this.MSG_TEST_EXIT) {
                Intent i = new Intent(UIWirelessAFChargeFwCheck.this.getApplicationContext(), UIWirelessAFCharge.class);
                i.setFlags(335544320);
                UIWirelessAFChargeFwCheck.this.getApplicationContext().startActivity(i);
            }
        }
    };
    private String mTestCase;
    private String powerOff = "0";
    private String powerOn = EgisFingerprint.MAJOR_VERSION;
    private String status = ModuleForceTouch.RUNNING;

    public UIWirelessAFChargeFwCheck() {
        super("UIWirelessAFChargeFwCheck");
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_wireless_af_charge_fw_check);
        this.mAFChargeFwCheck = (TextView) findViewById(R.id.wireless_af_charge_fw_status);
        TextView textView = (TextView) findViewById(R.id.wireless_af_charge_fw_result);
        this.mAFChargeFwCheckResult = textView;
        textView.setVisibility(8);
        wirelessChargerIcPowerControl(this.powerOn);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        this.mAFChargeFwCheck.setText("Firmware : ");
        this.mHandler.sendEmptyMessageDelayed(this.MSG_TEST_CHECK_FW, 200);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void checkWiressAFCFw() {
        this.idt_firmware_version_ic = Support.Kernel.read(Support.Kernel.IDT_OTP_FIRMWARE_VERSION);
        this.idt_firmware_version_bin = Support.Kernel.read(Support.Kernel.IDT_PACKAGING_FIRMWARE_VERSION);
        FtUtil.log_d("UIWirelessAFChargeFwCheck", "checkWiressAFCFw", "idt_firmware_version_ic : " + this.idt_firmware_version_ic);
        FtUtil.log_d("UIWirelessAFChargeFwCheck", "checkWiressAFCFw", "idt_firmware_version_bin : " + this.idt_firmware_version_bin);
        String str = this.idt_firmware_version_ic;
        if (str == null) {
            this.mHandler.sendEmptyMessage(this.MSG_TEST_FW_UPDATE_FAIL);
        } else if (!str.equalsIgnoreCase(this.idt_firmware_version_bin)) {
            startNewThread(8);
            this.mHandler.sendEmptyMessage(this.MSG_TEST_FW_UPDATE_MONITORING);
        } else if ("NG_CS".equalsIgnoreCase(this.idt_firmware_version_ic)) {
            this.mHandler.sendEmptyMessage(this.MSG_NG_CS);
        } else if (this.idt_firmware_version_ic.equalsIgnoreCase(this.idt_firmware_version_bin)) {
            this.mHandler.sendEmptyMessage(this.MSG_PASS);
        }
    }

    private void startNewThread(int mode) {
        Thread thread = null;
        if (mode == 8) {
            thread = new Thread(new Runnable() {
                /* class com.sec.factory.app.ui.UIWirelessAFChargeFwCheck.AnonymousClass1 */

                public void run() {
                    UIWirelessAFChargeFwCheck.this.updateFirmware_IDT(8);
                }
            });
        }
        if (thread != null) {
            thread.start();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void wirelessChargerIcPowerControl(String mode) {
        if (Support.Kernel.isExistFile(Support.Kernel.IDT_OTP_ON_OFF)) {
            Support.Kernel.write(Support.Kernel.IDT_OTP_ON_OFF, mode);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void afcFWUpdateStatusCheck() {
        String readIDTStatus = readIDTStatus();
        this.status = readIDTStatus;
        if (ModuleForceTouch.RUNNING.equalsIgnoreCase(readIDTStatus)) {
            int i = this.EXPIRED_COUNTER;
            this.EXPIRED_COUNTER = i - 1;
            if (i < 0) {
                FtUtil.log_d("UIWirelessAFChargeFwCheck", "Failed IDT F/W update (Timeout 15s)");
                this.mHandler.sendEmptyMessage(this.MSG_TEST_FW_UPDATE_FAIL);
                return;
            }
            this.mHandler.sendEmptyMessageDelayed(this.MSG_TEST_FW_UPDATE_MONITORING, 1000);
        } else if ("PASS".equalsIgnoreCase(this.status)) {
            FtUtil.log_i("UIWirelessAFChargeFwCheck", "IDT F/W update (result == " + this.status + ")");
            wirelessChargerIcPowerControl(this.powerOff);
            this.mHandler.sendEmptyMessageDelayed(this.MSG_TEST_IC_POWER_ON, 200);
            this.mHandler.sendEmptyMessageDelayed(this.MSG_PASS, 400);
        } else if ("FAIL".equalsIgnoreCase(this.status) || "nostring".equalsIgnoreCase(this.status)) {
            FtUtil.log_e("UIWirelessAFChargeFwCheck", "Failed IDT F/W update (Status == FAIL)");
            this.idt_firmware_version_ic = Support.Kernel.read(Support.Kernel.IDT_OTP_FIRMWARE_VERSION);
            this.mHandler.sendEmptyMessage(this.MSG_TEST_FW_UPDATE_FAIL);
        } else {
            int i2 = this.EXPIRED_COUNTER;
            this.EXPIRED_COUNTER = i2 - 1;
            if (i2 < 0) {
                FtUtil.log_d("UIWirelessAFChargeFwCheck", "Failed IDT F/W update - monitor sysfs value not correct(Timeout 15s)");
                this.mHandler.sendEmptyMessage(this.MSG_TEST_FW_UPDATE_FAIL);
                return;
            }
            FtUtil.log_d("UIWirelessAFChargeFwCheck", "Waiting status value");
            this.mHandler.sendEmptyMessageDelayed(this.MSG_TEST_FW_UPDATE_MONITORING, 1000);
        }
    }

    /* access modifiers changed from: package-private */
    public void updateFirmware_IDT(int mode) {
        FtUtil.log_d("UIWirelessAFChargeFwCheck", "updateFirmware_IDT", "***updateFirmware (" + mode + ")");
        if (mode == 8) {
            Support.Kernel.write(Support.Kernel.IDT_OTP_FIRMWARE_UPDATE, EgisFingerprint.MAJOR_VERSION);
        }
    }

    public String readIDTStatus() {
        String s;
        try {
            s = Support.Kernel.read(Support.Kernel.IDT_OTP_FIRMWARE_UPDATE_STATUS);
        } catch (Exception e) {
            e.printStackTrace();
            s = "FAIL";
        }
        if (s == null || "".equals(s)) {
            return "nostring";
        }
        if ("2".equalsIgnoreCase(s.trim())) {
            return ModuleForceTouch.RUNNING;
        }
        if (EgisFingerprint.MAJOR_VERSION.equalsIgnoreCase(s.trim())) {
            return "PASS";
        }
        if ("0".equalsIgnoreCase(s.trim())) {
            return "FAIL";
        }
        return s;
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        wirelessChargerIcPowerControl(this.powerOff);
        finish();
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
    }
}
