package com.sec.factory.app.ui;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Bundle;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.modules.ModulePower;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class UIWirelessCharge extends UIBase {
    private boolean isPlugged = false;
    private BroadcastReceiver mBroadcastReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.app.ui.UIWirelessCharge.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            String action = intent.getAction();
            String str = UIWirelessCharge.this.CLASS_NAME;
            FtUtil.log_d(str, "mBroadcastReceiver.onReceive", "action=" + action);
            if ("android.intent.action.BATTERY_CHANGED".equals(action)) {
                int plugged = intent.getIntExtra("online", 0);
                int battHealth = intent.getIntExtra("health", 0);
                String str2 = UIWirelessCharge.this.CLASS_NAME;
                FtUtil.log_d(str2, "Battery online: " + plugged);
                String str3 = UIWirelessCharge.this.CLASS_NAME;
                FtUtil.log_d(str3, "Battery health: " + battHealth);
                UIWirelessCharge.this.TACheck(plugged, battHealth);
            }
        }
    };
    private TextView mDockCharger;
    private ModuleDevice mModuleDevice;
    private ModulePower mModulePower;
    private TextView mSpeakResultText;
    private String mTestCase;
    private int prev_nvupdate = 0;

    public UIWirelessCharge() {
        super("UIWirelessCharge", 32);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        FtUtil.log_i(this.CLASS_NAME, "onCreate");
        this.ONPASS_FINISH_DELAY = 500;
        setContentView(R.layout.ui_wireless_charge);
        String testCase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML((byte) 32));
        this.mTestCase = testCase;
        if ("DOCK_CHARGE".equalsIgnoreCase(testCase)) {
            TextView textView = (TextView) findViewById(R.id.Wireless_Battery_Test);
            this.mDockCharger = textView;
            textView.setText("Dock Charge Test");
        }
        getWindow().addFlags(4718592);
        this.mSpeakResultText = (TextView) findViewById(R.id.wireless_battery_status);
        this.mModulePower = ModulePower.instance(this);
        this.mModuleDevice = ModuleDevice.instance(this);
        IntentFilter mIntentFilter = new IntentFilter();
        mIntentFilter.addAction("android.intent.action.BATTERY_CHANGED");
        registerReceiver(this.mBroadcastReceiver, mIntentFilter);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        FtUtil.log_i(this.CLASS_NAME, "onResume");
        super.onResume();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        FtUtil.log_i(this.CLASS_NAME, "onPause");
        super.onPause();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        FtUtil.log_i(this.CLASS_NAME, "onDestroy");
        unregisterReceiver(this.mBroadcastReceiver);
        this.mModulePower.doWakeLock(false);
        this.mModulePower.doPartialWakeLock(false);
        super.onDestroy();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean TACheck(int plugged, int battHealth) {
        if (battHealth == 6) {
            FtUtil.log_e(this.CLASS_NAME, "Battery health : " + battHealth + ", So test is failure.");
            return false;
        }
        if (plugged == 10 && !this.isPlugged && connectWirelessCharger()) {
            this.isPlugged = true;
            FtUtil.log_d(this.CLASS_NAME, "TACheck : Plugged");
            if (this.mModulePower.isScreenOn()) {
                this.mModulePower.doPartialWakeLock(true);
                this.mModulePower.doWakeLock(false);
                this.mModulePower.gotosleep();
            }
        } else if (plugged == 1 && this.isPlugged && !connectWirelessCharger()) {
            this.isPlugged = false;
            FtUtil.log_d(this.CLASS_NAME, "TACheck : Unplugged");
            this.mSpeakResultText.setText(R.string.PASS);
            this.mSpeakResultText.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            if (!this.mModulePower.isScreenOn()) {
                this.mModulePower.doWakeLock(true);
                this.mModulePower.doPartialWakeLock(false);
            }
            if (this.prev_nvupdate < 1) {
                setTestResult((byte) 80);
                this.prev_nvupdate++;
                finishOnPassWithTimer();
            }
        }
        return false;
    }

    private boolean connectWirelessCharger() {
        String mstatus = Support.Kernel.read(Support.Kernel.WIRELESS_BATTERY);
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "connectWirelessCharger", Support.Kernel.getFilePath(Support.Kernel.WIRELESS_BATTERY) + ": " + mstatus);
        if (mstatus == null || !mstatus.contains(EgisFingerprint.MAJOR_VERSION)) {
            return false;
        }
        return true;
    }
}
