package com.sec.factory.app.ui;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.nfc.NfcAdapter;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.widget.LinearLayout;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.modules.ModulePower;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import java.io.File;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Iterator;

public class UIWirelessChargeBuiltIn extends UIBase {
    private static final String AFC_OFF = "1";
    private static final String DUAL_CHARGE_MODE_OFF = "0";
    private static final String DUAL_CHARGE_MODE_ON = "3";
    private static final int MSG_SELFTEST_START = 2;
    private static final int MSG_TEST_END = 4;
    private static final int MSG_TEST_START = 1;
    private static final int MSG_WPC_TEST_START = 3;
    private static final int WHAT_CHECK_LCD_ON = 5;
    private final int AVER_AFC_CNT;
    private final String CLASS_NAME = "UIWirelessChargeBuiltIn";
    private int DUMMY = 0;
    private final int TESTSTATE_AFC_CHECK_STATUS;
    private final int TESTSTATE_AFC_CONNECT;
    private final int TESTSTATE_AFC_SELFTEST;
    private String afcVoltageSpec;
    private boolean initTest;
    private boolean isPass;
    private boolean isSupportCheckVoltageSpec;
    private boolean isUseWirelessChargeMode;
    private LinearLayout mAFCCurrentTable;
    private TextView mAFCSelfCheck;
    private TextView mAFCSelfSpec;
    private TextView mAFChargeCheck;
    private TextView mAFChargeMode;
    private TextView mAFChargeRawavg;
    private TextView mAFChargeRawdata1;
    private TextView mAFChargeRawdata2;
    private TextView mAFChargeRawdata3;
    private TextView mAFChargeRawdata4;
    private TextView mAFChargeRawdata5;
    private TextView mAFChargeSubTitle;
    private TextView mAFChargeVoltage;
    private TextView mAFCharging;
    private TextView mAFChargingMode;
    private TextView mAFChargingSelftest;
    private ArrayList<Integer> mAfcList;
    private int mAverAfc;
    private TextView mBattTempCheck;
    private BroadcastReceiver mBroadcastReceiver;
    private int mCount;
    private int mCurrentCount;
    private Handler mHandler;
    private ModuleDevice mModuleDevice;
    private ModulePower mModulePower;
    private int mSpecMax;
    private int mSpecMin;
    private int mTempSpecMax;
    private int mTempSpecMin;
    private String mTestCase;
    private int mTestState;
    private TextView mWPC_Result;

    static /* synthetic */ int access$408(UIWirelessChargeBuiltIn x0) {
        int i = x0.mCount;
        x0.mCount = i + 1;
        return i;
    }

    public UIWirelessChargeBuiltIn() {
        super("UIWirelessChargeBuiltIn", 117);
        int i = 0 + 1;
        this.DUMMY = i;
        this.TESTSTATE_AFC_CONNECT = 0;
        int i2 = i + 1;
        this.DUMMY = i2;
        this.TESTSTATE_AFC_CHECK_STATUS = i;
        this.DUMMY = i2 + 1;
        this.TESTSTATE_AFC_SELFTEST = i2;
        this.mTestState = 0;
        this.mCurrentCount = 0;
        this.initTest = true;
        this.isPass = false;
        this.AVER_AFC_CNT = 5;
        this.mCount = 0;
        this.mAverAfc = 0;
        this.mAfcList = new ArrayList<>();
        this.isUseWirelessChargeMode = Support.Feature.getBoolean(Support.Feature.USE_WIRELESS_CHARGE_MODE);
        this.isSupportCheckVoltageSpec = Support.Feature.getBoolean(Support.Feature.SUPPORT_VOLTAGE_CHECK_IN_CHARGING_TEST);
        this.afcVoltageSpec = Support.Spec.getString(Support.Spec.WIRELESS_NORMAL_CHARGE_VOLTAGE);
        this.mBroadcastReceiver = new BroadcastReceiver() {
            /* class com.sec.factory.app.ui.UIWirelessChargeBuiltIn.AnonymousClass1 */

            public void onReceive(Context context, Intent intent) {
                String action = intent.getAction();
                FtUtil.log_d("UIWirelessChargeBuiltIn", "mBroadcastReceiver.onReceive", "action=" + action);
                if ("android.intent.action.BATTERY_CHANGED".equals(action)) {
                    int plugged = intent.getIntExtra("plugged", 0);
                    intent.getIntExtra("online", 0);
                    if (UIWirelessChargeBuiltIn.this.mTestState == UIWirelessChargeBuiltIn.this.TESTSTATE_AFC_CONNECT && plugged == 4 && "1".equals(Support.Kernel.read(Support.Kernel.WIRELESS_BATTERY))) {
                        FtUtil.log_d("UIWirelessChargeBuiltIn", "Battery State: " + plugged + " / WIRELESS BATTERY Charge Status: " + Support.Kernel.read(Support.Kernel.WIRELESS_BATTERY));
                        UIWirelessChargeBuiltIn uIWirelessChargeBuiltIn = UIWirelessChargeBuiltIn.this;
                        uIWirelessChargeBuiltIn.mTestState = uIWirelessChargeBuiltIn.TESTSTATE_AFC_CHECK_STATUS;
                        UIWirelessChargeBuiltIn.this.mHandler.sendEmptyMessageDelayed(1, 500);
                    }
                }
            }
        };
        this.mHandler = new Handler() {
            /* class com.sec.factory.app.ui.UIWirelessChargeBuiltIn.AnonymousClass2 */

            public void handleMessage(Message msg) {
                if (msg.what == 5) {
                    if (UIWirelessChargeBuiltIn.access$408(UIWirelessChargeBuiltIn.this) == 5) {
                        FtUtil.log_d("UIWirelessChargeBuiltIn", "handleMessage : LCD is not on state during 1 second.");
                        UIWirelessChargeBuiltIn.this.mCount = 0;
                        UIWirelessChargeBuiltIn.this.mHandler.sendEmptyMessageDelayed(2, 400);
                    } else if (UIWirelessChargeBuiltIn.this.mModulePower.isScreenOn()) {
                        UIWirelessChargeBuiltIn.this.turnLcdOffForCurrentCheck();
                        UIWirelessChargeBuiltIn.this.mHandler.sendEmptyMessageDelayed(2, 1500);
                        UIWirelessChargeBuiltIn.this.mCount = 0;
                    } else {
                        UIWirelessChargeBuiltIn.this.mHandler.sendEmptyMessageDelayed(5, 200);
                    }
                } else if (msg.what == 1) {
                    UIWirelessChargeBuiltIn.this.readChargeData();
                } else if (msg.what == 2) {
                    UIWirelessChargeBuiltIn.this.readcurrent();
                } else if (msg.what == 3) {
                    UIWirelessChargeBuiltIn.this.WPCTestStart();
                } else if (msg.what == 4) {
                    UIWirelessChargeBuiltIn.this.endMeasure();
                }
            }
        };
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_wireless_charge_builtin);
        this.mTestCase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML(this.TEST_ID));
        this.mSpecMax = Support.Spec.getInt(Support.Spec.WIRELESS_CURRENT_SPEC_MAX);
        this.mSpecMin = Support.Spec.getInt(Support.Spec.WIRELESS_CURRENT_SPEC_MIN);
        this.mTempSpecMax = Support.Spec.getInt(Support.Spec.WIRELESS_AFC_CURRENT_TEMP_SPEC_MAX);
        this.mTempSpecMin = Support.Spec.getInt(Support.Spec.WIRELESS_AFC_CURRENT_TEMP_SPEC_MIN);
        this.mModuleDevice = ModuleDevice.instance(this);
        this.mModulePower = ModulePower.instance(this);
        this.mTestState = this.TESTSTATE_AFC_CONNECT;
        IntentFilter mIntentFilter = new IntentFilter();
        mIntentFilter.addAction("android.intent.action.BATTERY_CHANGED");
        registerReceiver(this.mBroadcastReceiver, mIntentFilter);
        TextView textView = (TextView) findViewById(R.id.wireless_battery_builtin_subtitle);
        this.mAFChargeSubTitle = textView;
        if (this.isUseWirelessChargeMode) {
            textView.setText("(" + this.afcVoltageSpec + " Normal Master)");
        } else {
            textView.setText("(" + this.afcVoltageSpec + " Normal)");
        }
        TextView textView2 = (TextView) findViewById(R.id.wireless_battery_chargingmode);
        this.mAFChargingMode = textView2;
        textView2.setVisibility(8);
        TextView textView3 = (TextView) findViewById(R.id.wireless_battery_chargemode);
        this.mAFChargeMode = textView3;
        textView3.setVisibility(8);
        TextView textView4 = (TextView) findViewById(R.id.wireless_battery_charging);
        this.mAFCharging = textView4;
        textView4.setVisibility(8);
        TextView textView5 = (TextView) findViewById(R.id.wireless_battery_chargevoltage);
        this.mAFChargeVoltage = textView5;
        textView5.setVisibility(8);
        TextView textView6 = (TextView) findViewById(R.id.wireless_battery_builtin_conn_status);
        this.mAFChargeCheck = textView6;
        textView6.setVisibility(8);
        TextView textView7 = (TextView) findViewById(R.id.wireless_af_charge_batt_temp);
        this.mBattTempCheck = textView7;
        textView7.setVisibility(8);
        TextView textView8 = (TextView) findViewById(R.id.wireless_battery_builtin_conn_status_selftest);
        this.mAFChargingSelftest = textView8;
        textView8.setVisibility(8);
        this.mAFCSelfCheck = (TextView) findViewById(R.id.wireless_battery_builtin_result);
        this.mAFCSelfSpec = (TextView) findViewById(R.id.wireless_battery_builtin_spec);
        this.mWPC_Result = (TextView) findViewById(R.id.wireless_battery_builtin_WPC_result);
        LinearLayout linearLayout = (LinearLayout) findViewById(R.id.table);
        this.mAFCCurrentTable = linearLayout;
        linearLayout.setVisibility(8);
        this.mAFChargeRawdata1 = (TextView) findViewById(R.id.rawdata1);
        this.mAFChargeRawdata2 = (TextView) findViewById(R.id.rawdata2);
        this.mAFChargeRawdata3 = (TextView) findViewById(R.id.rawdata3);
        this.mAFChargeRawdata4 = (TextView) findViewById(R.id.rawdata4);
        this.mAFChargeRawdata5 = (TextView) findViewById(R.id.rawdata5);
        this.mAFChargeRawavg = (TextView) findViewById(R.id.rawdataavg);
        Support.Kernel.write(Support.Kernel.BATT_HV_WIRELESS_STATUS, "1");
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        this.mHandler.removeMessages(1);
        this.mHandler.removeMessages(4);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
        this.mHandler.removeMessages(1);
        this.mHandler.removeMessages(4);
        this.mCurrentCount = 0;
        unregisterReceiver(this.mBroadcastReceiver);
        NfcAdapter nfc = NfcAdapter.getDefaultAdapter(getApplicationContext());
        if (nfc != null && nfc.isEnabled()) {
            Intent intent = new Intent("com.samsung.android.nfc.test.action.REQUEST");
            intent.putExtra("com.samsung.android.nfc.test.extra.ID", 3);
            sendBroadcast(intent);
            FtUtil.log_d("UIWirelessChargeBuiltIn", "when screen off / on. NFC RF discovery was enabled. so must be disabled before exit here");
        }
        this.mModulePower.doPartialWakeLock(false);
        this.mModulePower.doWakeLock(false);
        this.mAfcList.clear();
    }

    private boolean checkBattTemp() {
        boolean battTempResult = false;
        String res = Support.Kernel.read(Support.Kernel.BATTERY_WPC_TEMP);
        if (res == null || res.isEmpty()) {
            FtUtil.log_i("UIWirelessChargeBuiltIn", "checkBattTemp", "Batt Temp : No Data");
            this.mBattTempCheck.setText("TEMP : No Data");
            this.mBattTempCheck.setTextColor(-65536);
        } else {
            int battTemp = Integer.valueOf(res).intValue() / 10;
            String res2 = String.valueOf(battTemp);
            FtUtil.log_i("UIWirelessChargeBuiltIn", "checkBattTemp", "Batt Temp : " + res2);
            TextView textView = this.mBattTempCheck;
            textView.setText("TEMP : " + res2 + " (spec : " + this.mTempSpecMin + " ~ " + this.mTempSpecMax + ")");
            if (battTemp < this.mTempSpecMin || battTemp > this.mTempSpecMax) {
                this.mBattTempCheck.setTextColor(-65536);
            } else {
                battTempResult = true;
            }
        }
        this.mBattTempCheck.setVisibility(0);
        return battTempResult;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void readChargeData() {
        boolean isInSpecVoltage;
        String strVolt = "";
        if (this.isUseWirelessChargeMode) {
            this.mAFCharging.setVisibility(0);
            this.mAFChargingMode.setVisibility(0);
            TextView textView = this.mAFChargeMode;
            textView.setText("Normal " + Support.Kernel.read(Support.Kernel.SEC_MULTI_CHARGER_MODE));
            this.mAFChargeMode.setVisibility(0);
            int mCharginVolt = Integer.parseInt(Support.Kernel.read(Support.Kernel.WIRELESS_VOUT));
            if (mCharginVolt >= 8500 && mCharginVolt <= 9500) {
                strVolt = "9V";
                this.mAFChargeVoltage.setText(strVolt);
            } else if (mCharginVolt < 4500 || mCharginVolt > 5500) {
                TextView textView2 = this.mAFChargeVoltage;
                textView2.setText(Support.Kernel.read(Support.Kernel.WIRELESS_VOUT) + "mV");
            } else {
                strVolt = "5V";
                this.mAFChargeVoltage.setText(strVolt);
            }
            this.mAFChargeVoltage.setVisibility(0);
        }
        if (this.isSupportCheckVoltageSpec) {
            isInSpecVoltage = this.afcVoltageSpec.equalsIgnoreCase(strVolt);
        } else {
            isInSpecVoltage = true;
        }
        if (!this.isUseWirelessChargeMode || isInSpecVoltage) {
            FtUtil.log_i("UIWirelessChargeBuiltIn", "readChargeData", "Connection : PASS");
            this.mAFChargeCheck.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            this.mAFChargeCheck.setText("Connection : PASS");
            this.mAFChargeCheck.setVisibility(0);
            if (!checkBattTemp()) {
                FtUtil.log_d("UIWirelessChargeBuiltIn", "readChargeData", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(117), "Fail / Reason : Batt Temp"));
                return;
            }
            this.mTestState = this.TESTSTATE_AFC_SELFTEST;
            this.mAFCSelfSpec.setText("SPEC : " + this.mSpecMin + "mA ~ " + this.mSpecMax + "mA");
            this.mHandler.sendEmptyMessageDelayed(5, 6000);
            return;
        }
        FtUtil.log_d("UIWirelessChargeBuiltIn", "readChargeData", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(117), "Fail - Connection fail"));
        this.mAFChargeCheck.setTextColor(-65536);
        this.mAFChargeCheck.setText("Connection : FAIL");
        this.mAFChargeCheck.setVisibility(0);
    }

    private void currentCheck() {
        this.mModulePower.doWakeLock(true);
        this.mAFCCurrentTable.setVisibility(0);
        File dataAvgFile = new File("data/log/WirelessChargeBuiltInData.log");
        Support.Kernel.writeToPathNsync(dataAvgFile.getPath(), Integer.toString(this.mAverAfc));
        FtUtil.log_i("UIWirelessChargeBuiltIn", "readFromPath", "WirelessChargeBuiltInData.log : " + Support.Kernel.readFromPath(dataAvgFile.getPath(), true));
        int i = this.mAverAfc;
        if (i < this.mSpecMin || i > this.mSpecMax) {
            String itemName_RequestCode = FactoryTestManager.getItemName_RequestCode(117);
            FtUtil.log_d("UIWirelessChargeBuiltIn", "currentCheck", FtUtil.setMspSeqMessage(1, itemName_RequestCode, "Fail - Current specout M:" + this.mAverAfc + " S:" + this.mSpecMin + "~" + this.mSpecMax));
            this.mAFCSelfCheck.setTextColor(-65536);
            this.mAFCSelfCheck.setText("FAIL");
            return;
        }
        FtUtil.log_i("UIWirelessChargeBuiltIn", "currentCheck", "current SelfTest: PASS ");
        this.mAFCSelfCheck.setTextColor(UiHallICTest.FONT_COLOR_PASS);
        this.mAFCSelfCheck.setText("PASS");
        String str = this.mTestCase;
        if (str == null || !"WPC".equalsIgnoreCase(str)) {
            this.isPass = true;
            this.mWPC_Result.setVisibility(0);
            this.mHandler.sendEmptyMessageDelayed(4, 1000);
            return;
        }
        this.mHandler.sendEmptyMessageDelayed(3, 1000);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void readcurrent() {
        int i = this.mCurrentCount + 1;
        this.mCurrentCount = i;
        if (i > 5) {
            this.mCurrentCount = 0;
            averageAfc();
        } else if ("1".equals(Support.Kernel.read(Support.Kernel.WIRELESS_BATTERY))) {
            this.mAfcList.add(Integer.valueOf(Integer.parseInt(Support.Kernel.read(Support.Kernel.HV_CHARGE_CURRENT)) / 1000));
            StringBuilder sb = new StringBuilder();
            sb.append("Charge Current:");
            ArrayList<Integer> arrayList = this.mAfcList;
            sb.append(arrayList.get(arrayList.size() - 1));
            sb.append(" / mCurrentCount : ");
            sb.append(this.mCurrentCount);
            FtUtil.log_i("UIWirelessChargeBuiltIn", "readcurrent", sb.toString());
            this.mHandler.sendEmptyMessageDelayed(2, 400);
        } else {
            FtUtil.log_d("UIWirelessChargeBuiltIn", "readcurrent", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(117), "Fail - TA disconnected during charging "));
            this.mAFCSelfCheck.setTextColor(-65536);
            this.mAFCSelfCheck.setText("FAIL : TA disconnected during charging");
            this.mModulePower.doWakeLock(true);
        }
    }

    private void averageAfc() {
        FtUtil.log_d("UIWirelessChargeBuiltIn", "averageAdc", "");
        TextView textView = this.mAFChargeRawdata1;
        textView.setText("" + this.mAfcList.get(0));
        TextView textView2 = this.mAFChargeRawdata2;
        textView2.setText("" + this.mAfcList.get(1));
        TextView textView3 = this.mAFChargeRawdata3;
        textView3.setText("" + this.mAfcList.get(2));
        TextView textView4 = this.mAFChargeRawdata4;
        textView4.setText("" + this.mAfcList.get(3));
        TextView textView5 = this.mAFChargeRawdata5;
        textView5.setText("" + this.mAfcList.get(4));
        Collections.sort(this.mAfcList);
        ArrayList<Integer> arrayList = this.mAfcList;
        arrayList.remove(arrayList.size() - 1);
        this.mAfcList.remove(0);
        Integer sum = 0;
        Iterator<Integer> it = this.mAfcList.iterator();
        while (it.hasNext()) {
            sum = Integer.valueOf(sum.intValue() + it.next().intValue());
        }
        this.mAverAfc = (int) (((float) sum.intValue()) / 3.0f);
        this.mAfcList.clear();
        TextView textView6 = this.mAFChargeRawavg;
        textView6.setText("" + this.mAverAfc);
        FtUtil.log_i("UIWirelessChargeBuiltIn", "average", "Averege Current: " + this.mAverAfc);
        currentCheck();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void endMeasure() {
        this.mCurrentCount = 0;
        this.initTest = true;
        setTestResult();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void turnLcdOffForCurrentCheck() {
        FtUtil.log_i("UIWirelessChargeBuiltIn", "turnLcdOffForCurrentCheck", "Turn LCD Off");
        this.mModulePower.doPartialWakeLock(true);
        this.mModulePower.doWakeLock(false);
        if (Support.Feature.getBoolean(Support.Feature.NEED_LPA_MODE_SET, true)) {
            this.mModuleDevice.setLPAmode(ModuleDevice.LPA_MODE_DISABLE);
        }
        this.mModulePower.gotosleep();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void WPCTestStart() {
        this.mWPC_Result.setText("");
        this.mWPC_Result.setVisibility(0);
        if (!Support.Kernel.write(Support.Kernel.BATTERY_WPC_CHARGE, "1")) {
            FtUtil.log_d("UIWirelessChargeBuiltIn", "WPCTest", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(117), "Fail - sysfs write fail"));
            this.mWPC_Result.setTextColor(-65536);
            this.mWPC_Result.setText("FAIL");
            return;
        }
        try {
            FtUtil.log_d("UIWirelessChargeBuiltIn", "delay", " : 100ms");
            Thread.sleep(1000);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
        String result = Support.Kernel.read(Support.Kernel.BATTERY_WPC_CHARGE, true);
        if (result == null || result.isEmpty()) {
            FtUtil.log_d("UIWirelessChargeBuiltIn", "WPCTest", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(117), "Fail - result is null/empty"));
            this.mWPC_Result.setTextColor(-65536);
            this.mWPC_Result.setText("FAIL");
        } else if (result.charAt(0) == '1') {
            FtUtil.log_i("UIWirelessChargeBuiltIn", "WPCTest", "WPCTest : PASS ");
            this.isPass = true;
            this.mWPC_Result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            this.mWPC_Result.setText("PASS");
            this.mHandler.sendEmptyMessageDelayed(4, 1000);
        } else {
            FtUtil.log_d("UIWirelessChargeBuiltIn", "WPCTest", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(117), "Fail - result is not '1'"));
            this.mWPC_Result.setTextColor(-65536);
            this.mWPC_Result.setText("FAIL");
        }
    }

    private void setTestResult() {
        FtUtil.log_e("UIWirelessChargeBuiltIn", "setTestResult", " isPass : " + this.isPass);
        if (this.isPass) {
            setTestResult((byte) 80);
            if (FactoryTestManager.getEnable(124) && FactoryTestManager.getItemResult(FactoryTestManager.getItemPosition_ID(123)) == 80) {
                setTestResultWithoutNV(124, (byte) 80);
            }
        } else {
            setTestResultFailCase(124);
        }
        finish();
    }
}
