package com.sec.factory.app.ui;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.util.Log;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.modules.ModulePower;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class UIWirelessChargeNFCRead extends UIBase {
    private static final String ACTION_NFC_TEST_REQUEST = "com.samsung.android.nfc.test.action.REQUEST";
    private static final String ACTION_NFC_TEST_RESPONSE = "com.samsung.android.nfc.test.action.RESPONSE";
    private static final int DISABLE_DISCOVERY = 3;
    public static final String DISABLE_SEC_NFC_DISCOVERY = "com.sec.android.app.nfctest.NFC_DISCOVERY_DISABLE";
    private static final int ENABLE_DISCOVERY = 2;
    public static final String ENABLE_SEC_NFC_DISCOVERY = "com.sec.android.app.nfctest.NFC_DISCOVERY_ENABLE";
    public static final String END_SEC_NFC_TEST_CMD = "com.sec.android.app.nfctest.NFC_TEST_END";
    private static final String EXTRA_ID = "com.samsung.android.nfc.test.extra.ID";
    private static final int START_NFC_TEST = 0;
    public static final String START_SEC_NFC_TEST_CMD = "com.sec.android.app.nfctest.NFC_TEST_START";
    private static final int STOP_NFC_TEST = 1;
    private final byte MSG_DISABLE_DISCOVERY = 3;
    private final byte MSG_ENABLE_DISCOVERY = 2;
    private final byte MSG_FINISH_TEST = 4;
    private final byte MSG_READ_STATUS_TIMEOUT = 1;
    private final int NFC_DISABLE_DELAY = 200;
    private final int NFC_ENABLE_DELAY_OFFSET = 700;
    private final int NFC_FINISH_STATUS_TIMEOUT_DELAY = 550;
    private final int NFC_READ_STATUS_TIMEOUT_DELAY = 10000;
    private boolean NRStatus = false;
    private String TAG = "UIWirelessChargeNFCRead";
    private boolean WCStatus = false;
    private boolean isPlugged = false;
    private Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UIWirelessChargeNFCRead.AnonymousClass1 */

        public void handleMessage(Message msg) {
            Intent intent = new Intent("com.samsung.android.nfc.test.action.REQUEST");
            switch (msg.what) {
                case 1:
                    FtUtil.log_i(UIWirelessChargeNFCRead.this.CLASS_NAME, "mHandler.handleMessage(msg)", "msg : MSG_READ_STATUS_TIMEOUT");
                    UIWirelessChargeNFCRead.this.mNFCResultText.setText("FAIL");
                    UIWirelessChargeNFCRead.this.mNFCResultText.setTextColor(-65536);
                    return;
                case 2:
                    Log.i(UIWirelessChargeNFCRead.this.TAG, "send Intent ENABLE_SEC_NFC_DISCOVERY");
                    intent.putExtra("com.samsung.android.nfc.test.extra.ID", 2);
                    UIWirelessChargeNFCRead.this.sendBroadcast(intent);
                    return;
                case 3:
                    Log.i(UIWirelessChargeNFCRead.this.TAG, "send Intent DISABLE_SEC_NFC_DISCOVERY");
                    intent.putExtra("com.samsung.android.nfc.test.extra.ID", 3);
                    UIWirelessChargeNFCRead.this.sendBroadcast(intent);
                    return;
                case 4:
                    FtUtil.log_i(UIWirelessChargeNFCRead.this.CLASS_NAME, "mHandler.handleMessage(msg)", "msg : MSG_FINISH_TEST");
                    UIWirelessChargeNFCRead.this.finishNFCRead();
                    return;
                default:
                    return;
            }
        }
    };
    private ModulePower mModulePower;
    private TextView mNFCResultText;
    private final BroadcastReceiver mReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.app.ui.UIWirelessChargeNFCRead.AnonymousClass2 */

        public void onReceive(Context context, Intent intent) {
            String action = intent.getAction();
            String str = UIWirelessChargeNFCRead.this.CLASS_NAME;
            FtUtil.log_d(str, "mReceiver.onReceive", "action=" + action);
            if ("android.intent.action.BATTERY_CHANGED".equals(action)) {
                int plugged = intent.getIntExtra("plugged", 0);
                int battHealth = intent.getIntExtra("health", 0);
                String str2 = UIWirelessChargeNFCRead.this.CLASS_NAME;
                FtUtil.log_d(str2, "Battery plugged: " + plugged);
                String str3 = UIWirelessChargeNFCRead.this.CLASS_NAME;
                FtUtil.log_d(str3, "Battery health: " + battHealth);
                UIWirelessChargeNFCRead.this.TACheck(plugged, battHealth);
            } else if ("android.nfc.action.TAG_DISCOVERED".equals(action)) {
                UIWirelessChargeNFCRead.this.NRStatus = true;
                try {
                    String str4 = UIWirelessChargeNFCRead.this.CLASS_NAME;
                    FtUtil.log_i(str4, "mhandler", "  WCStatus : " + UIWirelessChargeNFCRead.this.WCStatus + "  NRStatus : " + UIWirelessChargeNFCRead.this.NRStatus);
                    if (UIWirelessChargeNFCRead.this.NRStatus) {
                        UIWirelessChargeNFCRead.this.mNFCResultText.setText("PASS");
                        UIWirelessChargeNFCRead.this.mNFCResultText.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                    }
                    if (UIWirelessChargeNFCRead.this.WCStatus && UIWirelessChargeNFCRead.this.NRStatus) {
                        UIWirelessChargeNFCRead.this.setTestResult((byte) 80);
                        UIWirelessChargeNFCRead.this.mHandler.sendEmptyMessageDelayed(4, 550);
                    }
                } catch (Exception e) {
                    e.printStackTrace();
                }
            }
        }
    };
    private TextView mSpeakResultText;
    private String mstatus;
    private int prev_nvupdate = 0;

    public UIWirelessChargeNFCRead() {
        super("UIWirelessChargeNFCRead", 39);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        FtUtil.log_i(this.CLASS_NAME, "onCreate");
        setContentView(R.layout.ui_wireless_charge_nfc_read);
        this.mSpeakResultText = (TextView) findViewById(R.id.WBNR_wireless_battery_status);
        this.mNFCResultText = (TextView) findViewById(R.id.WBNR_reader_mode_result);
        this.mModulePower = ModulePower.instance(this);
        IntentFilter filter = new IntentFilter();
        filter.addAction("android.intent.action.BATTERY_CHANGED");
        filter.addAction("android.nfc.action.TAG_DISCOVERED");
        registerReceiver(this.mReceiver, filter);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        Intent intent = new Intent("com.samsung.android.nfc.test.action.REQUEST");
        intent.putExtra("com.samsung.android.nfc.test.extra.ID", 0);
        sendBroadcast(intent);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        Intent intent = new Intent("com.samsung.android.nfc.test.action.REQUEST");
        intent.putExtra("com.samsung.android.nfc.test.extra.ID", 1);
        sendBroadcast(intent);
        Intent intent2 = new Intent("com.samsung.android.nfc.test.action.REQUEST");
        intent2.putExtra("com.samsung.android.nfc.test.extra.ID", 3);
        sendBroadcast(intent2);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
        terminateNFC();
        unregisterReceiver(this.mReceiver);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean TACheck(int plugged, int battHealth) {
        if (battHealth == 6) {
            String str = this.CLASS_NAME;
            FtUtil.log_e(str, "Battery health : " + battHealth + ", So test is failure.");
            return false;
        }
        if (plugged == 1 && !this.isPlugged && connectWirelessCharger()) {
            this.isPlugged = true;
            FtUtil.log_d(this.CLASS_NAME, "TACheck : Plugged");
            if (this.mModulePower.isScreenOn()) {
                this.mModulePower.doPartialWakeLock(true);
                this.mModulePower.doWakeLock(false);
                this.mModulePower.gotosleep();
            }
        } else if (plugged == 0 && this.isPlugged && !connectWirelessCharger()) {
            FtUtil.log_d(this.CLASS_NAME, "TACheck : Unplugged");
            this.mSpeakResultText.setText(R.string.PASS);
            this.mSpeakResultText.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            if (!this.mModulePower.isScreenOn()) {
                this.mModulePower.doWakeLock(true);
                this.mModulePower.doPartialWakeLock(false);
            }
            int i = this.prev_nvupdate;
            if (i < 1) {
                this.prev_nvupdate = i + 1;
                this.WCStatus = true;
                finishWirelessCharge();
            }
        }
        return false;
    }

    private boolean connectWirelessCharger() {
        String mstatus2 = Support.Kernel.read(Support.Kernel.WIRELESS_BATTERY);
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "connectWirelessCharger", Support.Kernel.getFilePath(Support.Kernel.WIRELESS_BATTERY) + ": " + mstatus2);
        if (mstatus2 == null || !mstatus2.contains(EgisFingerprint.MAJOR_VERSION)) {
            return false;
        }
        return true;
    }

    public void finishWirelessCharge() {
        startNFCRead();
    }

    public void terminateNFC() {
        Handler handler = this.mHandler;
        if (handler != null) {
            if (handler.hasMessages(3)) {
                this.mHandler.removeMessages(3);
            }
            if (this.mHandler.hasMessages(1)) {
                this.mHandler.removeMessages(1);
            }
            if (this.mHandler.hasMessages(2)) {
                this.mHandler.removeMessages(2);
            }
            if (this.mHandler.hasMessages(4)) {
                this.mHandler.removeMessages(4);
            }
        }
    }

    public void finishNFCRead() {
        finish();
    }

    private void startDiscovery() {
        this.mHandler.sendEmptyMessageDelayed(3, 200);
        this.mHandler.sendEmptyMessageDelayed(2, 900);
    }

    private void startNFCRead() {
        startDiscovery();
        this.mHandler.sendEmptyMessageDelayed(1, 10000);
        this.mHandler.sendEmptyMessageDelayed(4, 10550);
    }
}
