package com.sec.factory.app.ui;

import android.app.ProgressDialog;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.nfc.NfcAdapter;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.modules.ModulePower;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Iterator;
import java.util.Locale;

public class UIWirelessChargingTx extends UIBase implements View.OnClickListener {
    private static final String ACTION_RECEIVE_WIRELESS_CHARGING_TX_CURRENT = "com.sec.samsung.ACTION_RECEIVE_WIRELESS_CHARGING_TX_CURRENT";
    private static final int MSG_CHECK_FULL_DATA = 6;
    private static final int MSG_CHECK_TX_CONNECTION = 2;
    private static final int MSG_NO_JIG_DATA_TIMEOUT = 8;
    private static final int MSG_READ_TX_VOLTAGE_CURRENT = 4;
    private static final int MSG_TEST_END = 7;
    private static final int MSG_TURN_LCD_OFF = 3;
    private static final int MSG_WAIT_JIG_DATA = 5;
    private static final int MSG_WC_TX_ENABLE = 1;
    private static final String TX_50V_15A = "0";
    private static final String TX_75V_10A = "5";
    private static final String TX_DISABLE = "0";
    private static final String TX_ENABLE = "1";
    private final String CLASS_NAME = "UIWirelessChargingTx";
    private final int COUNT_FOR_AVERAGE;
    private int DUMMY = 0;
    private final String LOG_TAG = "UTOPIA_WirelessChargingTx";
    private final int TESTSTATE_WC_TX_CHECK_FULL_DATA;
    private final int TESTSTATE_WC_TX_CHECK_IN_DATA;
    private final int TESTSTATE_WC_TX_TEST_END;
    private final int TESTSTATE_WC_TX_TEST_START;
    private final int TESTSTATE_WC_TX_WAIT_JIG_DATA;
    private boolean isBCRcvRegistered;
    private boolean isDataPass;
    private boolean isEfficiencyPass;
    private boolean isPass;
    private boolean isStart;
    private BroadcastReceiver mBroadcastReceiver;
    private Button mButton_Exit;
    private TextView mConnectionResult;
    private int mCurrentAverage;
    private TextView mDataPassFail;
    private float mEfficiencyMin;
    private TextView mEfficiencyPassFail;
    private TextView mEfficiencyResult;
    private TextView mEfficiencySpec;
    private TextView mFinalResult;
    private Handler mHandler;
    private int mIin3Max;
    private int mIin3Min;
    private TextView mIin3Result;
    private TextView mIin3Spec;
    private int mIoutMax;
    private int mIoutMin;
    private TextView mIoutResult;
    private TextView mIoutSpec;
    private String mItemName;
    private int mLcdOffCount;
    private ModuleDevice mModuleDevice;
    private ModulePower mModulePower;
    private int mReadVoltageCurrentCount;
    private int mTestState;
    private int mTxConnectionCount;
    private ArrayList<Integer> mTxCurrentList;
    private ArrayList<Integer> mTxVoltageList;
    private float mVin3Max;
    private float mVin3Min;
    private TextView mVin3Result;
    private TextView mVin3Spec;
    private int mVoltageAverage;
    private float mVoutMax;
    private float mVoutMin;
    private TextView mVoutResult;
    private TextView mVoutSpec;
    private ProgressDialog progressDialog = null;

    static /* synthetic */ int access$608(UIWirelessChargingTx x0) {
        int i = x0.mLcdOffCount;
        x0.mLcdOffCount = i + 1;
        return i;
    }

    public UIWirelessChargingTx() {
        super("UIWirelessChargingTx", 187);
        int i = 0 + 1;
        this.DUMMY = i;
        this.TESTSTATE_WC_TX_TEST_START = 0;
        int i2 = i + 1;
        this.DUMMY = i2;
        this.TESTSTATE_WC_TX_WAIT_JIG_DATA = i;
        int i3 = i2 + 1;
        this.DUMMY = i3;
        this.TESTSTATE_WC_TX_CHECK_FULL_DATA = i2;
        int i4 = i3 + 1;
        this.DUMMY = i4;
        this.TESTSTATE_WC_TX_CHECK_IN_DATA = i3;
        this.DUMMY = i4 + 1;
        this.TESTSTATE_WC_TX_TEST_END = i4;
        this.COUNT_FOR_AVERAGE = 3;
        this.mTestState = 0;
        this.mLcdOffCount = 0;
        this.mTxConnectionCount = 0;
        this.mReadVoltageCurrentCount = 0;
        this.isStart = false;
        this.isDataPass = false;
        this.isEfficiencyPass = false;
        this.isPass = false;
        this.isBCRcvRegistered = false;
        this.mTxVoltageList = new ArrayList<>();
        this.mTxCurrentList = new ArrayList<>();
        this.mBroadcastReceiver = new BroadcastReceiver() {
            /* class com.sec.factory.app.ui.UIWirelessChargingTx.AnonymousClass1 */

            public void onReceive(Context context, Intent intent) {
                String action = intent.getAction();
                FtUtil.log_d("UIWirelessChargingTx", "mBroadcastReceiver.onReceive", "action=" + action);
                if (UIWirelessChargingTx.ACTION_RECEIVE_WIRELESS_CHARGING_TX_CURRENT.equals(action) && UIWirelessChargingTx.this.mTestState == UIWirelessChargingTx.this.TESTSTATE_WC_TX_WAIT_JIG_DATA) {
                    UIWirelessChargingTx uIWirelessChargingTx = UIWirelessChargingTx.this;
                    uIWirelessChargingTx.mTestState = uIWirelessChargingTx.TESTSTATE_WC_TX_CHECK_FULL_DATA;
                    UIWirelessChargingTx.this.mHandler.removeMessages(8);
                    UIWirelessChargingTx.this.mHandler.sendEmptyMessageDelayed(6, 1000);
                }
            }
        };
        this.mHandler = new Handler() {
            /* class com.sec.factory.app.ui.UIWirelessChargingTx.AnonymousClass2 */

            public void handleMessage(Message msg) {
                if (msg.what == 1) {
                    FtUtil.log_d("UIWirelessChargingTx", "handleMessage", "MSG_WC_TX_ENABLE");
                    UIWirelessChargingTx.this.enableWirelessChargingTx();
                } else if (msg.what == 2) {
                    FtUtil.log_d("UIWirelessChargingTx", "handleMessage", "MSG_CHECK_TX_CONNECTION");
                    UIWirelessChargingTx.this.checkWirelessChargingTxConnection();
                } else if (msg.what == 3) {
                    FtUtil.log_d("UIWirelessChargingTx", "handleMessage", "MSG_TURN_LCD_OFF");
                    if (UIWirelessChargingTx.access$608(UIWirelessChargingTx.this) == 5) {
                        FtUtil.log_d("UIWirelessChargingTx", "handleMessage : LCD is not on state during 1 second.");
                        UIWirelessChargingTx.this.mLcdOffCount = 0;
                        UIWirelessChargingTx.this.mHandler.sendEmptyMessageDelayed(4, 6000);
                    } else if (UIWirelessChargingTx.this.mModulePower.isScreenOn()) {
                        UIWirelessChargingTx.this.turnLcdOffForCurrentCheck();
                        UIWirelessChargingTx.this.mLcdOffCount = 0;
                        UIWirelessChargingTx.this.mHandler.sendEmptyMessageDelayed(4, 6000);
                    } else {
                        UIWirelessChargingTx.this.mHandler.sendEmptyMessageDelayed(3, 200);
                    }
                } else if (msg.what == 4) {
                    FtUtil.log_d("UIWirelessChargingTx", "handleMessage", "MSG_READ_TX_VOLTAGE_CURRENT");
                    UIWirelessChargingTx.this.readTxVoltageCurrent();
                } else if (msg.what == 5) {
                    FtUtil.log_d("UIWirelessChargingTx", "handleMessage", "MSG_WAIT_JIG_DATA");
                    FtUtil.log_d("UTOPIA_WirelessChargingTx", "testStatus", "Wait for Jig Data");
                    UIWirelessChargingTx.this.mModulePower.doWakeLock(true);
                    FtUtil.Sleep.sleep(500);
                    UIWirelessChargingTx uIWirelessChargingTx = UIWirelessChargingTx.this;
                    uIWirelessChargingTx.mTestState = uIWirelessChargingTx.TESTSTATE_WC_TX_WAIT_JIG_DATA;
                    UIWirelessChargingTx uIWirelessChargingTx2 = UIWirelessChargingTx.this;
                    uIWirelessChargingTx2.progressDialog = ProgressDialog.show(uIWirelessChargingTx2, "", "Wait for Jig Data", true);
                    UIWirelessChargingTx.this.writeReadData();
                    UIWirelessChargingTx.this.mHandler.sendEmptyMessageDelayed(8, 20000);
                } else if (msg.what == 6) {
                    FtUtil.log_d("UIWirelessChargingTx", "handleMessage", "MSG_CHECK_FULL_DATA");
                    UIWirelessChargingTx.this.checkFullData();
                    UIWirelessChargingTx.this.progressDialog.dismiss();
                } else if (msg.what == 7) {
                    FtUtil.log_d("UIWirelessChargingTx", "handleMessage", "MSG_TEST_END");
                    UIWirelessChargingTx uIWirelessChargingTx3 = UIWirelessChargingTx.this;
                    uIWirelessChargingTx3.mTestState = uIWirelessChargingTx3.TESTSTATE_WC_TX_TEST_END;
                    UIWirelessChargingTx.this.setTestResult();
                } else if (msg.what == 8) {
                    FtUtil.log_d("UIWirelessChargingTx", "handleMessage", "MSG_NO_JIG_DATA_TIMEOUT");
                    UIWirelessChargingTx uIWirelessChargingTx4 = UIWirelessChargingTx.this;
                    uIWirelessChargingTx4.mTestState = uIWirelessChargingTx4.TESTSTATE_WC_TX_CHECK_IN_DATA;
                    UIWirelessChargingTx.this.checkInData();
                    UIWirelessChargingTx.this.progressDialog.dismiss();
                }
            }
        };
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_wireless_charging_tx);
        FtUtil.log_d("UTOPIA_WirelessChargingTx", "testStart", "");
        FtUtil.setRemoveSystemUI(getWindow(), true);
        this.mModuleDevice = ModuleDevice.instance(this);
        this.mModulePower = ModulePower.instance(this);
        this.mTestState = this.TESTSTATE_WC_TX_TEST_START;
        TextView textView = (TextView) findViewById(R.id.tv_wc_tx_connection_result);
        this.mConnectionResult = textView;
        textView.setVisibility(8);
        TextView textView2 = (TextView) findViewById(R.id.tv_wc_tx_vin3_result);
        this.mVin3Result = textView2;
        textView2.setVisibility(8);
        TextView textView3 = (TextView) findViewById(R.id.tv_wc_tx_vin3_spec);
        this.mVin3Spec = textView3;
        textView3.setVisibility(8);
        TextView textView4 = (TextView) findViewById(R.id.tv_wc_tx_iin3_result);
        this.mIin3Result = textView4;
        textView4.setVisibility(8);
        TextView textView5 = (TextView) findViewById(R.id.tv_wc_tx_iin3_spec);
        this.mIin3Spec = textView5;
        textView5.setVisibility(8);
        TextView textView6 = (TextView) findViewById(R.id.tv_wc_tx_vout_result);
        this.mVoutResult = textView6;
        textView6.setVisibility(8);
        TextView textView7 = (TextView) findViewById(R.id.tv_wc_tx_vout_spec);
        this.mVoutSpec = textView7;
        textView7.setVisibility(8);
        TextView textView8 = (TextView) findViewById(R.id.tv_wc_tx_iout_result);
        this.mIoutResult = textView8;
        textView8.setVisibility(8);
        TextView textView9 = (TextView) findViewById(R.id.tv_wc_tx_iout_spec);
        this.mIoutSpec = textView9;
        textView9.setVisibility(8);
        TextView textView10 = (TextView) findViewById(R.id.tv_wc_tx_data_passfail);
        this.mDataPassFail = textView10;
        textView10.setVisibility(8);
        TextView textView11 = (TextView) findViewById(R.id.tv_wc_tx_efficiency_result);
        this.mEfficiencyResult = textView11;
        textView11.setVisibility(8);
        TextView textView12 = (TextView) findViewById(R.id.tv_wc_tx_efficiency_spec);
        this.mEfficiencySpec = textView12;
        textView12.setVisibility(8);
        TextView textView13 = (TextView) findViewById(R.id.tv_wc_tx_efficiency_passfail);
        this.mEfficiencyPassFail = textView13;
        textView13.setVisibility(8);
        TextView textView14 = (TextView) findViewById(R.id.tv_wc_tx_final_result);
        this.mFinalResult = textView14;
        textView14.setVisibility(8);
        this.mItemName = FactoryTestManager.getItemName_RequestCode(187);
        readSpecFromXml();
        IntentFilter mIntentFilter = new IntentFilter();
        mIntentFilter.addAction(ACTION_RECEIVE_WIRELESS_CHARGING_TX_CURRENT);
        registerReceiver(this.mBroadcastReceiver, mIntentFilter);
        this.isBCRcvRegistered = true;
        Button button = (Button) findViewById(R.id.button_wc_tx_exit);
        this.mButton_Exit = button;
        button.setOnClickListener(this);
        this.mButton_Exit.setEnabled(false);
        setAtCmd(getIntent().getBooleanExtra("mIsAtCmd", false));
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        if (!this.isStart) {
            if (Support.Kernel.isExistFile(Support.Kernel.WIRELESS_CHARGING_TX_OUT_DATA)) {
                Support.Kernel.deleteFile(Support.Kernel.WIRELESS_CHARGING_TX_OUT_DATA);
            }
            if (Support.Kernel.isExistFile(Support.Kernel.WIRELESS_CHARGING_TX_IN_DATA)) {
                Support.Kernel.deleteFile(Support.Kernel.WIRELESS_CHARGING_TX_IN_DATA);
            }
            if (Support.Kernel.isExistFile(Support.Kernel.WIRELESS_CHARGING_TX_RESULT)) {
                Support.Kernel.deleteFile(Support.Kernel.WIRELESS_CHARGING_TX_RESULT);
            }
            this.mHandler.sendEmptyMessageDelayed(1, 1000);
            FtUtil.log_i("UIWirelessChargingTx", "onResume", "Wireless Charging Tx Enable");
            this.isStart = true;
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
        this.mHandler.removeMessages(1);
        this.mHandler.removeMessages(2);
        this.mHandler.removeMessages(3);
        this.mHandler.removeMessages(4);
        this.mHandler.removeMessages(5);
        this.mHandler.removeMessages(6);
        this.mHandler.removeMessages(7);
        this.mHandler.removeMessages(8);
        this.mLcdOffCount = 0;
        this.mTxConnectionCount = 0;
        this.mReadVoltageCurrentCount = 0;
        disableWirelessChargingTx();
        if (this.isBCRcvRegistered) {
            unregisterReceiver(this.mBroadcastReceiver);
        }
        NfcAdapter nfc = NfcAdapter.getDefaultAdapter(getApplicationContext());
        if (nfc != null && nfc.isEnabled()) {
            Intent intent = new Intent("com.samsung.android.nfc.test.action.REQUEST");
            intent.putExtra("com.samsung.android.nfc.test.extra.ID", 3);
            sendBroadcast(intent);
            FtUtil.log_d("UIWirelessChargingTx", "when screen off / on. NFC RF discovery was enabled. so must be disabled before exit here");
        }
        this.mModulePower.doPartialWakeLock(false);
        this.mModulePower.doWakeLock(false);
        FtUtil.log_d("UTOPIA_WirelessChargingTx", "testEnd", "");
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.button_wc_tx_exit:
                FtUtil.log_i("UIWirelessChargingTx", "onClick", "button_wc_tx_exit Click");
                finish();
                return;
            default:
                return;
        }
    }

    private void readSpecFromXml() {
        this.mVin3Min = Support.Spec.getFloat(Support.Spec.WIRELESS_CHARGING_TX_VIN3_MIN);
        this.mVin3Max = Support.Spec.getFloat(Support.Spec.WIRELESS_CHARGING_TX_VIN3_MAX);
        this.mIin3Min = Support.Spec.getInt(Support.Spec.WIRELESS_CHARGING_TX_IIN3_MIN);
        this.mIin3Max = Support.Spec.getInt(Support.Spec.WIRELESS_CHARGING_TX_IIN3_MAX);
        this.mVoutMin = Support.Spec.getFloat(Support.Spec.WIRELESS_CHARGING_TX_VOUT_MIN);
        this.mVoutMax = Support.Spec.getFloat(Support.Spec.WIRELESS_CHARGING_TX_VOUT_MAX);
        this.mIoutMin = Support.Spec.getInt(Support.Spec.WIRELESS_CHARGING_TX_IOUT_MIN);
        this.mIoutMax = Support.Spec.getInt(Support.Spec.WIRELESS_CHARGING_TX_IOUT_MAX);
        this.mEfficiencyMin = Support.Spec.getFloat(Support.Spec.WIRELESS_CHARGING_TX_EFFICIENCY_MIN);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void turnLcdOffForCurrentCheck() {
        FtUtil.log_i("UIWirelessChargingTx", "turnLcdOffForCurrentCheck", "Turn LCD Off");
        this.mModulePower.doPartialWakeLock(true);
        this.mModulePower.doWakeLock(false);
        if (Support.Feature.getBoolean(Support.Feature.NEED_LPA_MODE_SET, true)) {
            this.mModuleDevice.setLPAmode(ModuleDevice.LPA_MODE_DISABLE);
        }
        this.mModulePower.gotosleep();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void enableWirelessChargingTx() {
        FtUtil.log_i("UIWirelessChargingTx", "enableWirelessChargingTx", "Enable Wireless Charging Tx");
        Support.Kernel.write(Support.Kernel.WIRELESS_CHARGING_TX_ENABLE, "1");
        FtUtil.log_d("UTOPIA_WirelessChargingTx", "testStatus", Support.Kernel.getFilePath(Support.Kernel.WIRELESS_CHARGING_TX_ENABLE) + " write " + "1");
        this.mHandler.sendEmptyMessageDelayed(2, 1000);
    }

    private void disableWirelessChargingTx() {
        FtUtil.log_i("UIWirelessChargingTx", "disableWirelessChargingTx", "Disable Wireless Charging Tx");
        Support.Kernel.write(Support.Kernel.WIRELESS_CHARGING_TX_ENABLE, "0");
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void checkWirelessChargingTxConnection() {
        FtUtil.log_i("UIWirelessChargingTx", "checkWirelessChargingTxConnection", "Check Wireless Charging Tx Connection");
        int i = this.mTxConnectionCount + 1;
        this.mTxConnectionCount = i;
        if (i > 10) {
            FtUtil.log_i("UIWirelessChargingTx", "checkWirelessChargingTxConnection", "Fail| Tx Connection Status : " + Support.Kernel.read(Support.Kernel.WIRELESS_CHARGING_TX_CONNECTION));
            FtUtil.log_d("UIWirelessChargingTx", "checkWirelessChargingTxConnection", FtUtil.setMspSeqMessage(1, this.mItemName, "Fail - Wireless Charging Tx Connection Fail"));
            FtUtil.log_d("UTOPIA_WirelessChargingTx", "testResult", "Fail / Reason : Wireless Charging Tx Connection Fail");
            setTestResultFailCase(187);
            this.mConnectionResult.setText("FAIL");
            this.mConnectionResult.setTextColor(-65536);
            this.mConnectionResult.setVisibility(0);
            this.mHandler.sendEmptyMessageDelayed(7, 1000);
        } else if ("1".equals(Support.Kernel.read(Support.Kernel.WIRELESS_CHARGING_TX_CONNECTION))) {
            this.mConnectionResult.setText("PASS");
            this.mConnectionResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            this.mConnectionResult.setVisibility(0);
            this.mHandler.sendEmptyMessageDelayed(3, 1000);
            FtUtil.log_i("UIWirelessChargingTx", "checkWirelessChargingTxConnection", "Success| Tx Connection Status : " + Support.Kernel.read(Support.Kernel.WIRELESS_CHARGING_TX_CONNECTION));
            FtUtil.log_d("UTOPIA_WirelessChargingTx", "testStatus", Support.Kernel.getFilePath(Support.Kernel.WIRELESS_CHARGING_TX_CONNECTION) + " : 1 ( Count : " + this.mTxConnectionCount + " )");
        } else {
            this.mHandler.sendEmptyMessageDelayed(2, 1000);
            FtUtil.log_i("UIWirelessChargingTx", "checkWirelessChargingTxConnection", "Tx Connection Status : " + Support.Kernel.read(Support.Kernel.WIRELESS_CHARGING_TX_CONNECTION) + " / delay 1 sec - TestCount : " + this.mTxConnectionCount);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void readTxVoltageCurrent() {
        FtUtil.log_i("UIWirelessChargingTx", "readTxVoltageCurrent", "Read Wireless Charging Tx Current");
        int i = this.mReadVoltageCurrentCount + 1;
        this.mReadVoltageCurrentCount = i;
        if (i > 5) {
            this.mReadVoltageCurrentCount = 0;
            checkReadData();
        } else if ("1".equals(Support.Kernel.read(Support.Kernel.WIRELESS_CHARGING_TX_CONNECTION))) {
            this.mTxVoltageList.add(Integer.valueOf(Integer.parseInt(Support.Kernel.read(Support.Kernel.WIRELESS_CHARGING_TX_VOLTAGE))));
            this.mTxCurrentList.add(Integer.valueOf(Integer.parseInt(Support.Kernel.read(Support.Kernel.WIRELESS_CHARGING_TX_CURRENT))));
            StringBuilder sb = new StringBuilder();
            sb.append("Tx Voltage : ");
            ArrayList<Integer> arrayList = this.mTxVoltageList;
            sb.append(arrayList.get(arrayList.size() - 1));
            sb.append(" / Tx Current : ");
            ArrayList<Integer> arrayList2 = this.mTxCurrentList;
            sb.append(arrayList2.get(arrayList2.size() - 1));
            sb.append(" / mReadVoltageCurrentCount : ");
            sb.append(this.mReadVoltageCurrentCount);
            FtUtil.log_i("UIWirelessChargingTx", "readTxVoltageCurrent", sb.toString());
            StringBuilder sb2 = new StringBuilder();
            sb2.append("Tx Voltage : ");
            ArrayList<Integer> arrayList3 = this.mTxVoltageList;
            sb2.append(arrayList3.get(arrayList3.size() - 1));
            sb2.append(" / Tx Current : ");
            ArrayList<Integer> arrayList4 = this.mTxCurrentList;
            sb2.append(arrayList4.get(arrayList4.size() - 1));
            sb2.append(" ( Count : ");
            sb2.append(this.mReadVoltageCurrentCount);
            sb2.append(" )");
            FtUtil.log_d("UTOPIA_WirelessChargingTx", "testStatus", sb2.toString());
            this.mHandler.sendEmptyMessageDelayed(4, 400);
        } else {
            FtUtil.log_d("UIWirelessChargingTx", "readTxVoltageCurrent", FtUtil.setMspSeqMessage(1, this.mItemName, "Fail - Wireless Charging Tx Disconnected During Measure"));
            FtUtil.log_d("UTOPIA_WirelessChargingTx", "testStatus", Support.Kernel.getFilePath(Support.Kernel.WIRELESS_CHARGING_TX_CONNECTION) + " : 0");
            FtUtil.log_d("UTOPIA_WirelessChargingTx", "testResult", "Fail / Reason : Wireless Charging Tx Disconnected During Measure");
            this.mModulePower.doWakeLock(true);
            setTestResultFailCase(187);
            this.mFinalResult.setText("FAIL - DISCONNECTED\nDURING MEASURE");
            this.mFinalResult.setTextColor(-65536);
            this.mFinalResult.setVisibility(0);
            this.mHandler.sendEmptyMessageDelayed(7, 1000);
        }
    }

    private void checkReadData() {
        FtUtil.log_i("UIWirelessChargingTx", "checkReadData", "Check Read Data");
        Collections.sort(this.mTxVoltageList);
        ArrayList<Integer> arrayList = this.mTxVoltageList;
        arrayList.remove(arrayList.size() - 1);
        this.mTxVoltageList.remove(0);
        Collections.sort(this.mTxCurrentList);
        ArrayList<Integer> arrayList2 = this.mTxCurrentList;
        arrayList2.remove(arrayList2.size() - 1);
        this.mTxCurrentList.remove(0);
        Integer voltage_sum = 0;
        Iterator<Integer> it = this.mTxVoltageList.iterator();
        while (it.hasNext()) {
            voltage_sum = Integer.valueOf(voltage_sum.intValue() + it.next().intValue());
        }
        this.mVoltageAverage = (int) (((float) voltage_sum.intValue()) / 3.0f);
        FtUtil.log_i("UIWirelessChargingTx", "checkReadData", "Averege Voltage: " + this.mVoltageAverage);
        Integer current_sum = 0;
        Iterator<Integer> it2 = this.mTxCurrentList.iterator();
        while (it2.hasNext()) {
            current_sum = Integer.valueOf(current_sum.intValue() + it2.next().intValue());
        }
        this.mCurrentAverage = (int) (((float) current_sum.intValue()) / 3.0f);
        FtUtil.log_i("UIWirelessChargingTx", "checkReadData", "Averege Current: " + this.mCurrentAverage);
        FtUtil.log_d("UTOPIA_WirelessChargingTx", "testStatus", "Averege Voltage : " + this.mVoltageAverage + " / Average Current : " + this.mCurrentAverage);
        this.mHandler.sendEmptyMessageDelayed(5, 1000);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void writeReadData() {
        FtUtil.log_i("UIWirelessChargingTx", "writeReadData", "Write Read Data");
        Support.Kernel.writeNsync(Support.Kernel.WIRELESS_CHARGING_TX_IN_DATA, String.format(Locale.US, "%.2f,%d,%d,%d,%d,%d,%d,%d", Float.valueOf(((float) this.mVoltageAverage) / 1000.0f), Integer.valueOf(this.mCurrentAverage), this.mTxVoltageList.get(0), this.mTxVoltageList.get(1), this.mTxVoltageList.get(2), this.mTxCurrentList.get(0), this.mTxCurrentList.get(1), this.mTxCurrentList.get(2)));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void checkFullData() {
        FtUtil.log_i("UIWirelessChargingTx", "checkFullData", "Check Full Data");
        if (Support.Kernel.isExistFile(Support.Kernel.WIRELESS_CHARGING_TX_OUT_DATA) && Support.Kernel.isExistFile(Support.Kernel.WIRELESS_CHARGING_TX_IN_DATA)) {
            String[] strOutData = Support.Kernel.read(Support.Kernel.WIRELESS_CHARGING_TX_OUT_DATA).split(",");
            String[] strInData = Support.Kernel.read(Support.Kernel.WIRELESS_CHARGING_TX_IN_DATA).split(",");
            float voltageInData = Float.parseFloat(strInData[0]);
            this.mVin3Result.setText(strInData[0]);
            TextView textView = this.mVin3Spec;
            textView.setText(" V (" + this.mVin3Min + " ~ " + this.mVin3Max + " V)");
            if (voltageInData < this.mVin3Min || voltageInData > this.mVin3Max) {
                this.mVin3Result.setTextColor(-65536);
            } else {
                this.mVin3Result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            }
            this.mVin3Result.setVisibility(0);
            this.mVin3Spec.setVisibility(0);
            int currentInData = Integer.parseInt(strInData[1]);
            this.mIin3Result.setText(strInData[1]);
            TextView textView2 = this.mIin3Spec;
            textView2.setText(" mA (" + this.mIin3Min + " ~ " + this.mIin3Max + " mA)");
            if (currentInData < this.mIin3Min || currentInData > this.mIin3Max) {
                this.mIin3Result.setTextColor(-65536);
            } else {
                this.mIin3Result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            }
            this.mIin3Result.setVisibility(0);
            this.mIin3Spec.setVisibility(0);
            float voltageOutData = Float.parseFloat(strOutData[0]);
            this.mVoutResult.setText(strOutData[0]);
            TextView textView3 = this.mVoutSpec;
            textView3.setText(" V (" + this.mVoutMin + " ~ " + this.mVoutMax + " V)");
            if (voltageOutData < this.mVoutMin || voltageOutData > this.mVoutMax) {
                this.mVoutResult.setTextColor(-65536);
            } else {
                this.mVoutResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            }
            this.mVoutResult.setVisibility(0);
            this.mVoutSpec.setVisibility(0);
            int currentOutData = Integer.parseInt(strOutData[1]);
            this.mIoutResult.setText(strOutData[1]);
            TextView textView4 = this.mIoutSpec;
            textView4.setText(" mA (" + this.mIoutMin + " ~ " + this.mIoutMax + " mA)");
            if (currentOutData < this.mIoutMin || currentOutData > this.mIoutMax) {
                this.mIoutResult.setTextColor(-65536);
            } else {
                this.mIoutResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            }
            this.mIoutResult.setVisibility(0);
            this.mIoutSpec.setVisibility(0);
            float efficiencyData = ((((float) currentOutData) * voltageOutData) * 100.0f) / (((float) currentInData) * voltageInData);
            this.mEfficiencyResult.setText(String.format(Locale.US, "%.1f", Float.valueOf(efficiencyData)));
            this.mEfficiencySpec.setText(String.format(Locale.US, " %% (Spec : %.1f %%)", Float.valueOf(this.mEfficiencyMin)));
            if (efficiencyData >= this.mEfficiencyMin) {
                this.mEfficiencyResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            } else {
                this.mEfficiencyResult.setTextColor(-65536);
            }
            this.mEfficiencyResult.setVisibility(0);
            this.mEfficiencySpec.setVisibility(0);
            if (voltageInData < this.mVin3Min || voltageInData > this.mVin3Max || currentInData < this.mIin3Min || currentInData > this.mIin3Max || voltageOutData < this.mVoutMin || voltageOutData > this.mVoutMax || currentOutData < this.mIoutMin || currentOutData > this.mIoutMax) {
                FtUtil.log_d("UIWirelessChargingTx", "checkFullData", FtUtil.setMspSeqMessage(1, this.mItemName, "Fail - Wireless Charging Tx Data Spec Out Fail"));
                FtUtil.log_d("UTOPIA_WirelessChargingTx", "testResult", String.format(Locale.US, "Fail / Reason : Wireless Charging Tx Data Spec Out [ Tx Voltage : %.2f ( Spec : %.2f ~ %.2f ) ]", Float.valueOf(voltageInData), Float.valueOf(this.mVin3Min), Float.valueOf(this.mVin3Max)));
                FtUtil.log_d("UTOPIA_WirelessChargingTx", "testResult", String.format(Locale.US, "Fail / Reason : Wireless Charging Tx Data Spec Out [ Tx Current : %d ( Spec : %d ~ %d ) ]", Integer.valueOf(currentInData), Integer.valueOf(this.mIin3Min), Integer.valueOf(this.mIin3Max)));
                FtUtil.log_d("UTOPIA_WirelessChargingTx", "testResult", String.format(Locale.US, "Fail / Reason : Wireless Charging Tx Data Spec Out [ Rx Voltage : %.2f ( Spec : %.2f ~ %.2f ) ]", Float.valueOf(voltageOutData), Float.valueOf(this.mVoutMin), Float.valueOf(this.mVoutMax)));
                FtUtil.log_d("UTOPIA_WirelessChargingTx", "testResult", String.format(Locale.US, "Fail / Reason : Wireless Charging Tx Data Spec Out [ Rx Current : %d ( Spec : %d ~ %d ) ]", Integer.valueOf(currentOutData), Integer.valueOf(this.mIoutMin), Integer.valueOf(this.mIoutMax)));
                this.mDataPassFail.setText("FAIL");
                this.mDataPassFail.setTextColor(-65536);
                this.mDataPassFail.setVisibility(0);
                setTestResultFailCase(187);
            } else {
                this.mDataPassFail.setText("PASS");
                this.mDataPassFail.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                this.mDataPassFail.setVisibility(0);
                this.isDataPass = true;
            }
            if (efficiencyData >= this.mEfficiencyMin) {
                this.mEfficiencyPassFail.setText("PASS");
                this.mEfficiencyPassFail.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                this.mEfficiencyPassFail.setVisibility(0);
                this.isEfficiencyPass = true;
            } else {
                FtUtil.log_d("UIWirelessChargingTx", "checkFullData", FtUtil.setMspSeqMessage(1, this.mItemName, "Fail - Wireless Charging Tx Efficiency Spec Out Fail"));
                FtUtil.log_d("UTOPIA_WirelessChargingTx", "testResult", String.format(Locale.US, "Fail / Reason : Wireless Charging Tx Efficiency Spec Out [ Efficiency : %.1f ( Spec : %.1f ~ ) ]", Float.valueOf(efficiencyData), Float.valueOf(this.mEfficiencyMin)));
                this.mEfficiencyPassFail.setText("FAIL");
                this.mEfficiencyPassFail.setTextColor(-65536);
                this.mEfficiencyPassFail.setVisibility(0);
                setTestResultFailCase(187);
            }
            if (!this.isDataPass || !this.isEfficiencyPass) {
                Support.Kernel.writeNsync(Support.Kernel.WIRELESS_CHARGING_TX_RESULT, String.format(Locale.US, "NG,%.1f", Float.valueOf(efficiencyData)));
                setTestResultFailCase(187);
                this.mHandler.sendEmptyMessageDelayed(7, 1000);
                return;
            }
            FtUtil.log_d("UTOPIA_WirelessChargingTx", "testResult", String.format(Locale.US, "Pass [ Tx Voltage : %.2f ( Spec : %.2f ~ %.2f ) ]", Float.valueOf(voltageInData), Float.valueOf(this.mVin3Min), Float.valueOf(this.mVin3Max)));
            FtUtil.log_d("UTOPIA_WirelessChargingTx", "testResult", String.format(Locale.US, "Pass [ Tx Current : %d ( Spec : %d ~ %d ) ]", Integer.valueOf(currentInData), Integer.valueOf(this.mIin3Min), Integer.valueOf(this.mIin3Max)));
            FtUtil.log_d("UTOPIA_WirelessChargingTx", "testResult", String.format(Locale.US, "Pass [ Rx Voltage : %.2f ( Spec : %.2f ~ %.2f ) ]", Float.valueOf(voltageOutData), Float.valueOf(this.mVoutMin), Float.valueOf(this.mVoutMax)));
            FtUtil.log_d("UTOPIA_WirelessChargingTx", "testResult", String.format(Locale.US, "Pass [ Rx Current : %d ( Spec : %d ~ %d ) ]", Integer.valueOf(currentOutData), Integer.valueOf(this.mIoutMin), Integer.valueOf(this.mIoutMax)));
            FtUtil.log_d("UTOPIA_WirelessChargingTx", "testResult", String.format(Locale.US, "Pass [ Efficiency : %.1f ( Spec : %.1f ~ ) ]", Float.valueOf(efficiencyData), Float.valueOf(this.mEfficiencyMin)));
            Support.Kernel.writeNsync(Support.Kernel.WIRELESS_CHARGING_TX_RESULT, String.format(Locale.US, "OK,%.1f", Float.valueOf(efficiencyData)));
            this.isPass = true;
            this.mHandler.sendEmptyMessageDelayed(7, 1000);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void checkInData() {
        FtUtil.log_i("UIWirelessChargingTx", "checkInData", "Check In Data");
        if (Support.Kernel.isExistFile(Support.Kernel.WIRELESS_CHARGING_TX_IN_DATA)) {
            String[] strInData = Support.Kernel.read(Support.Kernel.WIRELESS_CHARGING_TX_IN_DATA).split(",");
            float voltageInData = Float.parseFloat(strInData[0]);
            this.mVin3Result.setText(strInData[0]);
            TextView textView = this.mVin3Spec;
            textView.setText(" V (" + this.mVin3Min + " ~ " + this.mVin3Max + " V)");
            if (voltageInData < this.mVin3Min || voltageInData > this.mVin3Max) {
                this.mVin3Result.setTextColor(-65536);
            } else {
                this.mVin3Result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            }
            this.mVin3Result.setVisibility(0);
            this.mVin3Spec.setVisibility(0);
            int currentInData = Integer.parseInt(strInData[1]);
            this.mIin3Result.setText(strInData[1]);
            TextView textView2 = this.mIin3Spec;
            textView2.setText(" mA (" + this.mIin3Min + " ~ " + this.mIin3Max + " mA)");
            if (currentInData < this.mIin3Min || currentInData > this.mIin3Max) {
                this.mIin3Result.setTextColor(-65536);
            } else {
                this.mIin3Result.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            }
            this.mIin3Result.setVisibility(0);
            this.mIin3Spec.setVisibility(0);
            this.mVoutResult.setText("-");
            TextView textView3 = this.mVoutSpec;
            textView3.setText(" V (" + this.mVoutMin + " ~ " + this.mVoutMax + " V)");
            this.mVoutResult.setVisibility(0);
            this.mVoutSpec.setVisibility(0);
            this.mIoutResult.setText("-");
            TextView textView4 = this.mIoutSpec;
            textView4.setText(" mA (" + this.mIoutMin + " ~ " + this.mIoutMax + " mA)");
            this.mIoutResult.setVisibility(0);
            this.mIoutSpec.setVisibility(0);
            this.mEfficiencyResult.setText("-");
            this.mEfficiencySpec.setText(String.format(Locale.US, " %% (Spec : %.1f %%)", Float.valueOf(this.mEfficiencyMin)));
            this.mEfficiencyResult.setVisibility(0);
            this.mEfficiencySpec.setVisibility(0);
            FtUtil.log_d("UIWirelessChargingTx", "checkInData", FtUtil.setMspSeqMessage(1, this.mItemName, "Fail - Wireless Charging Tx No Jig Data Fail"));
            FtUtil.log_d("UTOPIA_WirelessChargingTx", "testResult", "Fail / Reason : Wireless Charging Tx No Jig Data Fail");
            this.mFinalResult.setText("FAIL - NO JIG DATA");
            this.mFinalResult.setTextColor(-65536);
            this.mFinalResult.setVisibility(0);
            setTestResultFailCase(187);
            this.mHandler.sendEmptyMessageDelayed(7, 1000);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setTestResult() {
        FtUtil.log_e("UIWirelessChargingTx", "setTestResult", " isPass : " + this.isPass);
        if (this.isPass) {
            setTestResult((byte) 80);
            finish();
            return;
        }
        setTestResultFailCase(187);
        this.mButton_Exit.setEnabled(true);
    }
}
