package com.sec.factory.app.ui;

import android.app.AlertDialog;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.IntentFilter;
import android.nfc.NfcAdapter;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.widget.LinearLayout;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.modules.ModulePower;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.File;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Iterator;

public class UIWirelessFastCharge2 extends UIBase {
    private static final int MSG_LCD_ON_CHECK = 5;
    private static final int MSG_SELFTEST_START = 2;
    private static final int MSG_TEST_END = 4;
    private static final int MSG_TEST_START = 1;
    private static final int MSG_WPC_TEST_START = 3;
    private static final String WIRELESS_FAST_CHARGE_2_TEST_FINISH = "com.sec.factory.app.factorytest.finishWirelessFastCharge2";
    private final String CLASS_NAME = "UIWirelessFastCharge2";
    private int DUMMY = 0;
    private final String LOG_TAG = "UTOPIA_WirelessFastCharge2";
    private final int TESTSTATE_CONNECTION_CHECK;
    private final int TESTSTATE_SELFTEST_CHECK;
    private final int TESTSTATE_STATUS_CHECK;
    private final int WFC_READ_COUNT;
    private boolean isPass;
    private boolean isPopupOpen;
    private String mAvgData;
    private int mBattTemp;
    private TextView mBattTempCheck;
    private BroadcastReceiver mBroadcastReceiver;
    private AlertDialog mChargeDialog;
    private TextView mChginResult;
    private int mConnectionCheckCount;
    private TextView mConnectionResult;
    private int mCurrentReadCount;
    private Handler mHandler;
    private int mLcdOnCheckCount;
    private ModuleDevice mModuleDevice;
    private ModulePower mModulePower;
    private TextView mRawdata1;
    private TextView mRawdata2;
    private TextView mRawdata3;
    private TextView mRawdata4;
    private TextView mRawdata5;
    private TextView mRawdataavg;
    private TextView mSelftestResult;
    private TextView mSelftestSpec;
    private int mSpecMax;
    private int mSpecMin;
    private TextView mSubTitle;
    private LinearLayout mTable;
    private int mTempSpecMax;
    private int mTempSpecMin;
    private String mTestCase;
    private String mTestName;
    private int mTestState;
    private TextView mTitle;
    private int mWfcCurrentAvg;
    private ArrayList<Integer> mWfcCurrentList;
    private double mWfcVoltageAvg;
    private ArrayList<Double> mWfcVoltageList;
    private TextView mWpcResult;
    private TextView mWpcTitle;

    static /* synthetic */ int access$608(UIWirelessFastCharge2 x0) {
        int i = x0.mLcdOnCheckCount;
        x0.mLcdOnCheckCount = i + 1;
        return i;
    }

    public UIWirelessFastCharge2() {
        super("UIWirelessFastCharge2", FactoryTestManager.TEST_WIRELESS_FAST_CHARGE_2);
        int i = 0 + 1;
        this.DUMMY = i;
        this.TESTSTATE_CONNECTION_CHECK = 0;
        int i2 = i + 1;
        this.DUMMY = i2;
        this.TESTSTATE_STATUS_CHECK = i;
        this.DUMMY = i2 + 1;
        this.TESTSTATE_SELFTEST_CHECK = i2;
        this.mTestState = 0;
        this.mConnectionCheckCount = 0;
        this.mCurrentReadCount = 0;
        this.mLcdOnCheckCount = 0;
        this.WFC_READ_COUNT = 5;
        this.isPass = false;
        this.isPopupOpen = false;
        this.mWfcCurrentAvg = 0;
        this.mBattTemp = 0;
        this.mWfcVoltageAvg = 0.0d;
        this.mWfcCurrentList = new ArrayList<>();
        this.mWfcVoltageList = new ArrayList<>();
        this.mAvgData = "";
        this.mChargeDialog = null;
        this.mTestName = FactoryTestManager.getItemName_RequestCode(FactoryTestManager.TEST_WIRELESS_FAST_CHARGE_2);
        this.mBroadcastReceiver = new BroadcastReceiver() {
            /* class com.sec.factory.app.ui.UIWirelessFastCharge2.AnonymousClass1 */

            public void onReceive(Context context, Intent intent) {
                String action = intent.getAction();
                FtUtil.log_d("UIWirelessFastCharge2", "mBroadcastReceiver.onReceive", "action=" + action);
                if ("android.intent.action.BATTERY_CHANGED".equals(action)) {
                    int plugged = intent.getIntExtra("plugged", 0);
                    int level = intent.getIntExtra("level", 0);
                    FtUtil.log_d("UTOPIA_WirelessFastCharge2", "testStatus", "Intent ACTION_BATTERY_CHANGED is received with plugged " + plugged);
                    if (UIWirelessFastCharge2.this.mTestState == UIWirelessFastCharge2.this.TESTSTATE_CONNECTION_CHECK && plugged == 4) {
                        String wirelessBattStatus = Support.Kernel.read(Support.Kernel.WIRELESS_BATTERY);
                        if (EgisFingerprint.MAJOR_VERSION.equals(wirelessBattStatus)) {
                            FtUtil.log_d("UIWirelessFastCharge2", "Battery State: " + plugged + " / WIRELESS BATTERY Charge Status: " + wirelessBattStatus);
                            StringBuilder sb = new StringBuilder();
                            sb.append(Support.Kernel.getFilePath(Support.Kernel.WIRELESS_BATTERY));
                            sb.append(" : ");
                            sb.append(wirelessBattStatus);
                            FtUtil.log_d("UTOPIA_WirelessFastCharge2", "testStatus", sb.toString());
                            if (level > 78 && !UIWirelessFastCharge2.this.isPopupOpen) {
                                FtUtil.log_d("UIWirelessFastCharge2", "mBroadcastReceiver.onReceive", "Open warning popup");
                                FtUtil.log_d("UTOPIA_WirelessFastCharge2", "testStatus", "Warning popup is opened because battery level is over 78");
                                UIWirelessFastCharge2.this.isPopupOpen = true;
                                AlertDialog.Builder builder = new AlertDialog.Builder(UIWirelessFastCharge2.this);
                                builder.setMessage("Please discharge the battery below 78%");
                                builder.setCancelable(false);
                                builder.setNegativeButton("Exit", new DialogInterface.OnClickListener() {
                                    /* class com.sec.factory.app.ui.UIWirelessFastCharge2.AnonymousClass1.AnonymousClass1 */

                                    public void onClick(DialogInterface dialog, int id) {
                                        UIWirelessFastCharge2.this.finish();
                                        dialog.cancel();
                                    }
                                });
                                UIWirelessFastCharge2.this.mChargeDialog = builder.create();
                                UIWirelessFastCharge2.this.mChargeDialog.getWindow().setGravity(17);
                                UIWirelessFastCharge2.this.mChargeDialog.show();
                            } else if (!UIWirelessFastCharge2.this.isPopupOpen) {
                                UIWirelessFastCharge2 uIWirelessFastCharge2 = UIWirelessFastCharge2.this;
                                uIWirelessFastCharge2.mTestState = uIWirelessFastCharge2.TESTSTATE_STATUS_CHECK;
                                FtUtil.Sleep.sleep(5000);
                                UIWirelessFastCharge2.this.mHandler.sendEmptyMessage(1);
                            }
                        }
                    }
                } else if (UIWirelessFastCharge2.WIRELESS_FAST_CHARGE_2_TEST_FINISH.equals(action)) {
                    UIWirelessFastCharge2.this.finish();
                }
            }
        };
        this.mHandler = new Handler() {
            /* class com.sec.factory.app.ui.UIWirelessFastCharge2.AnonymousClass2 */

            public void handleMessage(Message msg) {
                if (msg.what == 5) {
                    if (UIWirelessFastCharge2.access$608(UIWirelessFastCharge2.this) == 5) {
                        FtUtil.log_d("UIWirelessFastCharge2", "handleMessage : LCD is not on state during 1 second.");
                        UIWirelessFastCharge2.this.mLcdOnCheckCount = 0;
                        UIWirelessFastCharge2.this.mHandler.sendEmptyMessageDelayed(2, 400);
                    } else if (UIWirelessFastCharge2.this.mModulePower.isScreenOn()) {
                        UIWirelessFastCharge2.this.turnLcdOffForCurrentCheck();
                        UIWirelessFastCharge2.this.mHandler.sendEmptyMessageDelayed(2, 3500);
                        UIWirelessFastCharge2.this.mLcdOnCheckCount = 0;
                    } else {
                        UIWirelessFastCharge2.this.mHandler.sendEmptyMessageDelayed(5, 200);
                    }
                } else if (msg.what == 1) {
                    UIWirelessFastCharge2.this.readChargeData();
                } else if (msg.what == 2) {
                    UIWirelessFastCharge2.this.readCurrent();
                } else if (msg.what == 3) {
                    UIWirelessFastCharge2.this.startWPCTest();
                } else if (msg.what == 4) {
                    UIWirelessFastCharge2.this.endMeasure();
                }
            }
        };
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_wireless_fast_charge_2);
        FtUtil.log_d("UTOPIA_WirelessFastCharge2", "testStart", "");
        this.mTestCase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML(this.TEST_ID));
        this.mSpecMin = Support.Spec.getInt(Support.Spec.WIRELESS_FAST_CHARGE_2_SPEC_MIN);
        this.mSpecMax = Support.Spec.getInt(Support.Spec.WIRELESS_FAST_CHARGE_2_SPEC_MAX);
        this.mTempSpecMax = Support.Spec.getInt(Support.Spec.WIRELESS_AFC_CURRENT_TEMP_SPEC_MAX);
        this.mTempSpecMin = Support.Spec.getInt(Support.Spec.WIRELESS_AFC_CURRENT_TEMP_SPEC_MIN);
        this.mModuleDevice = ModuleDevice.instance(this);
        this.mModulePower = ModulePower.instance(this);
        this.mTestState = this.TESTSTATE_CONNECTION_CHECK;
        IntentFilter mIntentFilter = new IntentFilter();
        mIntentFilter.addAction("android.intent.action.BATTERY_CHANGED");
        mIntentFilter.addAction(WIRELESS_FAST_CHARGE_2_TEST_FINISH);
        registerReceiver(this.mBroadcastReceiver, mIntentFilter);
        this.mTitle = (TextView) findViewById(R.id.wireless_fast_charge_2_title);
        this.mSubTitle = (TextView) findViewById(R.id.wireless_fast_charge_2_subtitle);
        String str = this.mTestCase;
        if (str != null && str.contains("15W")) {
            this.mTitle.setText("Wireless Fast Charge 2.1 Test");
            this.mSubTitle.setText("(15W)");
        }
        TextView textView = (TextView) findViewById(R.id.wireless_fast_charge_2_chgin_result);
        this.mChginResult = textView;
        textView.setVisibility(8);
        TextView textView2 = (TextView) findViewById(R.id.wireless_fast_charge_2_connection_result);
        this.mConnectionResult = textView2;
        textView2.setVisibility(8);
        TextView textView3 = (TextView) findViewById(R.id.wireless_fast_charge_2_batt_temp);
        this.mBattTempCheck = textView3;
        textView3.setVisibility(8);
        this.mSelftestSpec = (TextView) findViewById(R.id.wireless_fast_charge_2_selftest_spec);
        this.mSelftestResult = (TextView) findViewById(R.id.wireless_fast_charge_2_selftest_result);
        LinearLayout linearLayout = (LinearLayout) findViewById(R.id.table);
        this.mTable = linearLayout;
        linearLayout.setVisibility(8);
        this.mRawdata1 = (TextView) findViewById(R.id.rawdata1);
        this.mRawdata2 = (TextView) findViewById(R.id.rawdata2);
        this.mRawdata3 = (TextView) findViewById(R.id.rawdata3);
        this.mRawdata4 = (TextView) findViewById(R.id.rawdata4);
        this.mRawdata5 = (TextView) findViewById(R.id.rawdata5);
        this.mRawdataavg = (TextView) findViewById(R.id.rawdataavg);
        TextView textView4 = (TextView) findViewById(R.id.wireless_fast_charge_2_wcp_title);
        this.mWpcTitle = textView4;
        textView4.setVisibility(8);
        TextView textView5 = (TextView) findViewById(R.id.wireless_fast_charge_2_wcp_result);
        this.mWpcResult = textView5;
        textView5.setVisibility(8);
        setAtCmd(getIntent().getBooleanExtra("mIsAtCmd", false));
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        this.mHandler.removeMessages(1);
        this.mHandler.removeMessages(4);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
        this.mHandler.removeMessages(1);
        this.mHandler.removeMessages(4);
        this.mConnectionCheckCount = 0;
        this.mCurrentReadCount = 0;
        unregisterReceiver(this.mBroadcastReceiver);
        NfcAdapter nfc = NfcAdapter.getDefaultAdapter(getApplicationContext());
        if (nfc != null && nfc.isEnabled()) {
            Intent intent = new Intent("com.samsung.android.nfc.test.action.REQUEST");
            intent.putExtra("com.samsung.android.nfc.test.extra.ID", 3);
            sendBroadcast(intent);
            FtUtil.log_d("UIWirelessFastCharge2", "when screen off / on. NFC RF discovery was enabled. so must be disabled before exit here");
        }
        this.mModulePower.doPartialWakeLock(false);
        this.mModulePower.doWakeLock(false);
        this.mWfcCurrentList.clear();
        this.mWfcVoltageList.clear();
        FtUtil.log_d("UTOPIA_WirelessFastCharge2", "testEnd", "");
    }

    private boolean checkBattTemp() {
        boolean battTempResult = false;
        String res = Support.Kernel.read(Support.Kernel.BATTERY_WPC_TEMP);
        if (res == null || res.isEmpty()) {
            FtUtil.log_i("UIWirelessFastCharge2", "checkBattTemp", "Batt Temp : No Data");
            this.mBattTempCheck.setText("TEMP : No Data");
            this.mBattTempCheck.setTextColor(-65536);
        } else {
            int intValue = Integer.valueOf(res).intValue() / 10;
            this.mBattTemp = intValue;
            String res2 = String.valueOf(intValue);
            FtUtil.log_i("UIWirelessFastCharge2", "checkBattTemp", "Batt Temp : " + res2);
            TextView textView = this.mBattTempCheck;
            textView.setText("TEMP : " + res2 + " (spec : " + this.mTempSpecMin + " ~ " + this.mTempSpecMax + ")");
            int i = this.mBattTemp;
            if (i < this.mTempSpecMin || i > this.mTempSpecMax) {
                this.mBattTempCheck.setTextColor(-65536);
            } else {
                battTempResult = true;
            }
        }
        this.mBattTempCheck.setVisibility(0);
        return battTempResult;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void readChargeData() {
        this.mChginResult.setText(String.format("%.3fV", Float.valueOf(((float) Integer.parseInt(Support.Kernel.read(Support.Kernel.WIRELESS_VOUT))) / 1000.0f)));
        this.mChginResult.setVisibility(0);
        int i = this.mConnectionCheckCount + 1;
        this.mConnectionCheckCount = i;
        if (i <= 10) {
            String chargeStatus = Support.Kernel.read(Support.Kernel.HV_WC_CHARGER_STATUS);
            if (EgisFingerprint.MAJOR_VERSION.equals(chargeStatus)) {
                FtUtil.log_i("UIWirelessFastCharge2", "readChargeData", "Success| Charge Status:" + chargeStatus);
                FtUtil.log_d("UTOPIA_WirelessFastCharge2", "testStatus", Support.Kernel.getFilePath(Support.Kernel.HV_WC_CHARGER_STATUS) + " : " + chargeStatus + " ( Count : " + this.mConnectionCheckCount + " )");
                this.mConnectionResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                this.mConnectionResult.setText("PASS");
                this.mConnectionResult.setVisibility(0);
                if (!checkBattTemp()) {
                    FtUtil.log_d("UIWirelessFastCharge2", "readChargeData", FtUtil.setMspSeqMessage(1, this.mTestName, "Fail / Reason : Batt Temp"));
                    return;
                }
                this.mTestState = this.TESTSTATE_SELFTEST_CHECK;
                this.mSelftestSpec.setText("SPEC : " + this.mSpecMin + "mA ~ " + this.mSpecMax + "mA");
                this.mHandler.sendEmptyMessage(5);
                return;
            }
            this.mHandler.sendEmptyMessageDelayed(1, 200);
            FtUtil.log_i("UIWirelessFastCharge2", "readChargeData", "Charge Status:" + Support.Kernel.read(Support.Kernel.HV_WC_CHARGER_STATUS) + " / delay 0.2 sec - TestCount : " + this.mConnectionCheckCount);
            return;
        }
        FtUtil.log_d("UIWirelessFastCharge2", "readChargeData", FtUtil.setMspSeqMessage(1, this.mTestName, "Fail / Reason : Connection Check Timeout"));
        FtUtil.log_d("UTOPIA_WirelessFastCharge2", "testResult", "Fail / Reason : Connection Check Timeout");
        this.mConnectionResult.setTextColor(-65536);
        this.mConnectionResult.setText("FAIL");
        this.mConnectionResult.setVisibility(0);
        setTestResultFailCase(FactoryTestManager.TEST_WIRELESS_FAST_CHARGE_2);
    }

    private void checkCurrent() {
        this.mModulePower.doWakeLock(true);
        this.mChginResult.setText(String.format("%.3fV", Float.valueOf(((float) Integer.parseInt(Support.Kernel.read(Support.Kernel.WIRELESS_VOUT))) / 1000.0f)));
        this.mTable.setVisibility(0);
        this.mAvgData = Integer.toString(this.mWfcCurrentAvg) + "," + String.format("%.2f", Double.valueOf(this.mWfcVoltageAvg)) + "," + Integer.toString(this.mBattTemp);
        File fileAvgData = new File("/data/log/WirelessFastChargeData.log");
        Support.Kernel.writeToPathNsync(fileAvgData.getPath(), this.mAvgData);
        StringBuilder sb = new StringBuilder();
        sb.append("WirelessFastChargeData.log : ");
        sb.append(Support.Kernel.readFromPath(fileAvgData.getPath(), true));
        FtUtil.log_i("UIWirelessFastCharge2", "readFromPath", sb.toString());
        int i = this.mWfcCurrentAvg;
        if (i < this.mSpecMin || i > this.mSpecMax) {
            FtUtil.log_d("UIWirelessFastCharge2", "checkCurrent", FtUtil.setMspSeqMessage(1, this.mTestName, String.format("Fail / Reason : Current Spec Out [ Measure : %d (Spec : %d ~ %d) ]", Integer.valueOf(i), Integer.valueOf(this.mSpecMin), Integer.valueOf(this.mSpecMax))));
            FtUtil.log_d("UTOPIA_WirelessFastCharge2", "testResult", String.format("Fail / Reason : Current Spec Out [ Measure : %d ( Spec : %d ~ %d ) ]", Integer.valueOf(this.mWfcCurrentAvg), Integer.valueOf(this.mSpecMin), Integer.valueOf(this.mSpecMax)));
            this.mSelftestResult.setTextColor(-65536);
            this.mSelftestResult.setText("FAIL");
            setTestResultFailCase(FactoryTestManager.TEST_WIRELESS_FAST_CHARGE_2);
            return;
        }
        FtUtil.log_i("UIWirelessFastCharge2", "checkCurrent", "current SelfTest: PASS ");
        FtUtil.log_d("UTOPIA_WirelessFastCharge2", "testResult", String.format("Pass [ Measure : %d ( Spec : %d ~ %d ) ]", Integer.valueOf(this.mWfcCurrentAvg), Integer.valueOf(this.mSpecMin), Integer.valueOf(this.mSpecMax)));
        this.mSelftestResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
        this.mSelftestResult.setText("PASS");
        String str = this.mTestCase;
        if (str == null || !str.contains("WPC")) {
            this.isPass = true;
            this.mWpcTitle.setVisibility(0);
            this.mWpcResult.setVisibility(0);
            this.mHandler.sendEmptyMessageDelayed(4, 1000);
            return;
        }
        this.mWpcTitle.setVisibility(0);
        this.mHandler.sendEmptyMessageDelayed(3, 1000);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void readCurrent() {
        int i = this.mCurrentReadCount + 1;
        this.mCurrentReadCount = i;
        if (i > 5) {
            this.mCurrentReadCount = 0;
            calculateAvg();
        } else if ("0".equals(Support.Kernel.read(Support.Kernel.WIRELESS_BATTERY))) {
            FtUtil.log_d("UIWirelessFastCharge2", "readCurrent", FtUtil.setMspSeqMessage(1, this.mTestName, "Fail / Reason : Wireless Charge Disconnect"));
            FtUtil.log_d("UTOPIA_WirelessFastCharge2", "testStatus", Support.Kernel.getFilePath(Support.Kernel.WIRELESS_BATTERY) + " : 0");
            FtUtil.log_d("UTOPIA_WirelessFastCharge2", "testResult", "Fail / Reason : Wireless Charge Disconnect");
            this.mSelftestResult.setTextColor(-65536);
            this.mSelftestResult.setText("FAIL : Wireless Charge Disconnect");
            this.mModulePower.doWakeLock(true);
            setTestResultFailCase(FactoryTestManager.TEST_WIRELESS_FAST_CHARGE_2);
        } else {
            this.mWfcCurrentList.add(Integer.valueOf(Integer.parseInt(Support.Kernel.read(Support.Kernel.HV_CHARGE_CURRENT)) / 1000));
            this.mWfcVoltageList.add(Double.valueOf(Double.parseDouble(Support.Kernel.read(Support.Kernel.BATTERY_VOLT)) / 1000000.0d));
            StringBuilder sb = new StringBuilder();
            sb.append("Charge Current:");
            ArrayList<Integer> arrayList = this.mWfcCurrentList;
            sb.append(arrayList.get(arrayList.size() - 1));
            sb.append(" / mCurrentReadCount : ");
            sb.append(this.mCurrentReadCount);
            FtUtil.log_i("UIWirelessFastCharge2", "readCurrent", sb.toString());
            StringBuilder sb2 = new StringBuilder();
            sb2.append("Charge Voltage:");
            ArrayList<Double> arrayList2 = this.mWfcVoltageList;
            sb2.append(arrayList2.get(arrayList2.size() - 1));
            sb2.append(" / mCurrentReadCount : ");
            sb2.append(this.mCurrentReadCount);
            FtUtil.log_i("UIWirelessFastCharge2", "readCurrent", sb2.toString());
            StringBuilder sb3 = new StringBuilder();
            sb3.append("Charge Current : ");
            ArrayList<Integer> arrayList3 = this.mWfcCurrentList;
            sb3.append(arrayList3.get(arrayList3.size() - 1));
            sb3.append(" / Charge Voltage : ");
            ArrayList<Double> arrayList4 = this.mWfcVoltageList;
            sb3.append(arrayList4.get(arrayList4.size() - 1));
            sb3.append(" ( Count : ");
            sb3.append(this.mCurrentReadCount);
            sb3.append(" )");
            FtUtil.log_d("UTOPIA_WirelessFastCharge2", "testStatus", sb3.toString());
            this.mHandler.sendEmptyMessageDelayed(2, 400);
        }
    }

    private void calculateAvg() {
        FtUtil.log_d("UIWirelessFastCharge2", "calculateAvg", "");
        TextView textView = this.mRawdata1;
        textView.setText("" + this.mWfcCurrentList.get(0));
        TextView textView2 = this.mRawdata2;
        textView2.setText("" + this.mWfcCurrentList.get(1));
        TextView textView3 = this.mRawdata3;
        textView3.setText("" + this.mWfcCurrentList.get(2));
        TextView textView4 = this.mRawdata4;
        textView4.setText("" + this.mWfcCurrentList.get(3));
        TextView textView5 = this.mRawdata5;
        textView5.setText("" + this.mWfcCurrentList.get(4));
        Collections.sort(this.mWfcCurrentList);
        Collections.sort(this.mWfcVoltageList);
        ArrayList<Integer> arrayList = this.mWfcCurrentList;
        arrayList.remove(arrayList.size() - 1);
        ArrayList<Double> arrayList2 = this.mWfcVoltageList;
        arrayList2.remove(arrayList2.size() - 1);
        this.mWfcCurrentList.remove(0);
        this.mWfcVoltageList.remove(0);
        Integer sumCurrent = 0;
        Double sumVoltage = Double.valueOf(0.0d);
        Iterator<Integer> it = this.mWfcCurrentList.iterator();
        while (it.hasNext()) {
            sumCurrent = Integer.valueOf(sumCurrent.intValue() + it.next().intValue());
        }
        Iterator<Double> it2 = this.mWfcVoltageList.iterator();
        while (it2.hasNext()) {
            sumVoltage = Double.valueOf(sumVoltage.doubleValue() + it2.next().doubleValue());
        }
        this.mWfcCurrentAvg = (int) (((float) sumCurrent.intValue()) / 3.0f);
        this.mWfcVoltageAvg = sumVoltage.doubleValue() / 3.0d;
        this.mWfcCurrentList.clear();
        this.mWfcVoltageList.clear();
        TextView textView6 = this.mRawdataavg;
        textView6.setText("" + this.mWfcCurrentAvg);
        FtUtil.log_i("UIWirelessFastCharge2", "calculateAvg", "Averege Current: " + this.mWfcCurrentAvg + " / Average Voltage: " + this.mWfcVoltageAvg);
        FtUtil.log_d("UTOPIA_WirelessFastCharge2", "testStatus", "Averege Current : " + this.mWfcCurrentAvg + " / Average Voltage : " + this.mWfcVoltageAvg);
        checkCurrent();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void endMeasure() {
        this.mConnectionCheckCount = 0;
        this.mCurrentReadCount = 0;
        setTestResult();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void turnLcdOffForCurrentCheck() {
        FtUtil.log_i("UIWirelessFastCharge2", "turnLcdOffForCurrentCheck", "Turn LCD Off");
        this.mModulePower.doPartialWakeLock(true);
        this.mModulePower.doWakeLock(false);
        if (Support.Feature.getBoolean(Support.Feature.NEED_LPA_MODE_SET, true)) {
            this.mModuleDevice.setLPAmode(ModuleDevice.LPA_MODE_DISABLE);
        }
        this.mModulePower.gotosleep();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void startWPCTest() {
        this.mWpcResult.setText("");
        this.mWpcResult.setVisibility(0);
        if (!Support.Kernel.write(Support.Kernel.BATTERY_WPC_CHARGE, EgisFingerprint.MAJOR_VERSION)) {
            FtUtil.log_i("UIWirelessFastCharge2", "startWPCTest", "WPCTest : FAIL ");
            FtUtil.log_d("UTOPIA_WirelessFastCharge2", "testResult", "Fail / Reason : Battery WPC Charge Write Fail");
            this.mWpcResult.setTextColor(-65536);
            this.mWpcResult.setText("FAIL");
            setTestResultFailCase(FactoryTestManager.TEST_WIRELESS_FAST_CHARGE_2);
            return;
        }
        try {
            FtUtil.log_d("UIWirelessFastCharge2", "startWPCTest", "Delay : 100ms");
            Thread.sleep(100);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
        String result = Support.Kernel.read(Support.Kernel.BATTERY_WPC_CHARGE, true);
        FtUtil.log_d("UTOPIA_WirelessFastCharge2", "testStatus", Support.Kernel.getFilePath(Support.Kernel.BATTERY_WPC_CHARGE) + " : " + result);
        if (result == null || result.isEmpty()) {
            FtUtil.log_i("UIWirelessFastCharge2", "startWPCTest", "WPCTest : FAIL ");
            FtUtil.log_d("UTOPIA_WirelessFastCharge2", "testResult", "Fail / Reason : Battery WPC Charge Read Result Abnormal");
            this.mWpcResult.setTextColor(-65536);
            this.mWpcResult.setText("FAIL");
            setTestResultFailCase(FactoryTestManager.TEST_WIRELESS_FAST_CHARGE_2);
        } else if (result.charAt(0) == '1') {
            FtUtil.log_i("UIWirelessFastCharge2", "startWPCTest", "WPCTest : PASS ");
            FtUtil.log_d("UTOPIA_WirelessFastCharge2", "testResult", "WPC Test Pass");
            this.isPass = true;
            this.mWpcResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            this.mWpcResult.setText("PASS");
            this.mHandler.sendEmptyMessageDelayed(4, 1000);
        } else {
            FtUtil.log_i("UIWirelessFastCharge2", "startWPCTest", "WPCTest : FAIL ");
            FtUtil.log_d("UTOPIA_WirelessFastCharge2", "testResult", "Fail / Reason : Battery WPC Charge Read Result Fail");
            this.mWpcResult.setTextColor(-65536);
            this.mWpcResult.setText("FAIL");
            setTestResultFailCase(FactoryTestManager.TEST_WIRELESS_FAST_CHARGE_2);
        }
    }

    private void setTestResult() {
        FtUtil.log_e("UIWirelessFastCharge2", "setTestResult", " isPass : " + this.isPass);
        if (this.isPass) {
            setTestResult((byte) 80);
        } else {
            setTestResultFailCase(FactoryTestManager.TEST_WIRELESS_FAST_CHARGE_2);
        }
        if ("tester".equals(Support.Properties.get(Support.Properties.FTL_GADGET_MODE))) {
            FtUtil.log_i("UIWirelessFastCharge2", "setTestResult", "Skip Finish Activity");
        } else {
            finish();
        }
    }
}
