package com.sec.factory.app.ui;

import android.app.AlertDialog;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.IntentFilter;
import android.nfc.NfcAdapter;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.widget.LinearLayout;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.modules.ModulePower;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.File;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Iterator;

public class UIWirelessFastCharge3 extends UIBase {
    private static final int MSG_LCD_ON_CHECK = 5;
    private static final int MSG_SELFTEST_START = 2;
    private static final int MSG_SLAVE_TEST_START = 6;
    private static final int MSG_TEST_END = 4;
    private static final int MSG_TEST_START = 1;
    private static final int MSG_WPC_TEST_START = 3;
    private final String CLASS_NAME = "UIWirelessFastCharge3";
    private int DUMMY = 0;
    private final int TESTSTATE_CONNECTION_CHECK;
    private final int TESTSTATE_SELFTEST_CHECK;
    private final int TESTSTATE_STATUS_CHECK;
    private final int WFC_READ_COUNT;
    private boolean isPass;
    private boolean isPopupOpen;
    private boolean isSlaveMode;
    private String mAvgData;
    private BroadcastReceiver mBroadcastReceiver;
    private AlertDialog mChargeDialog;
    private TextView mChargeTestSlave;
    private TextView mChginResultCurrent;
    private TextView mChginResultDual;
    private TextView mChginResultSlave;
    private TextView mChginTitleSlave;
    private int mConnectionCheckCount;
    private TextView mConnectionResultCurrent;
    private TextView mConnectionResultDual;
    private TextView mConnectionResultSlave;
    private TextView mConnectionTitleSlave;
    private int mCurrentReadCount;
    private Handler mHandler;
    private ModuleDevice mModuleDevice;
    private ModulePower mModulePower;
    private String mMultiChargerMode;
    private TextView mRawdata1Current;
    private TextView mRawdata1Dual;
    private TextView mRawdata1Slave;
    private TextView mRawdata2Current;
    private TextView mRawdata2Dual;
    private TextView mRawdata2Slave;
    private TextView mRawdata3Current;
    private TextView mRawdata3Dual;
    private TextView mRawdata3Slave;
    private TextView mRawdata4Current;
    private TextView mRawdata4Dual;
    private TextView mRawdata4Slave;
    private TextView mRawdata5Current;
    private TextView mRawdata5Dual;
    private TextView mRawdata5Slave;
    private TextView mRawdataavgCurrent;
    private TextView mRawdataavgDual;
    private TextView mRawdataavgSlave;
    private TextView mSelftestResultCurrent;
    private TextView mSelftestResultDual;
    private TextView mSelftestResultSlave;
    private TextView mSelftestSpecCurrent;
    private TextView mSelftestSpecDual;
    private TextView mSelftestSpecSlave;
    private int mSpecMaxCurrent;
    private int mSpecMaxDual;
    private int mSpecMaxSlave;
    private int mSpecMinCurrent;
    private int mSpecMinDual;
    private int mSpecMinSlave;
    private LinearLayout mTableCurrent;
    private LinearLayout mTableDual;
    private LinearLayout mTableSlave;
    private String mTestCase;
    private String mTestName;
    private int mTestState;
    private int mWfcCurrentAvg;
    private ArrayList<Integer> mWfcCurrentList;
    private double mWfcVoltageAvg;
    private ArrayList<Double> mWfcVoltageList;
    private TextView mWpcResult;
    private TextView mWpcTitle;

    public UIWirelessFastCharge3() {
        super("UIWirelessFastCharge3", 216);
        int i = 0 + 1;
        this.DUMMY = i;
        this.TESTSTATE_CONNECTION_CHECK = 0;
        int i2 = i + 1;
        this.DUMMY = i2;
        this.TESTSTATE_STATUS_CHECK = i;
        this.DUMMY = i2 + 1;
        this.TESTSTATE_SELFTEST_CHECK = i2;
        this.mTestState = 0;
        this.mConnectionCheckCount = 0;
        this.mCurrentReadCount = 0;
        this.WFC_READ_COUNT = 5;
        this.isPass = true;
        this.isSlaveMode = false;
        this.isPopupOpen = false;
        this.mWfcCurrentAvg = 0;
        this.mWfcVoltageAvg = 0.0d;
        this.mWfcCurrentList = new ArrayList<>();
        this.mWfcVoltageList = new ArrayList<>();
        this.mMultiChargerMode = "dual";
        this.mAvgData = "";
        this.mChargeDialog = null;
        this.mTestName = FactoryTestManager.getItemName_RequestCode(216);
        this.mBroadcastReceiver = new BroadcastReceiver() {
            /* class com.sec.factory.app.ui.UIWirelessFastCharge3.AnonymousClass1 */

            public void onReceive(Context context, Intent intent) {
                String action = intent.getAction();
                FtUtil.log_d("UIWirelessFastCharge3", "mBroadcastReceiver.onReceive", "action=" + action);
                if ("android.intent.action.BATTERY_CHANGED".equals(action)) {
                    int plugged = intent.getIntExtra("plugged", 0);
                    int level = intent.getIntExtra("level", 0);
                    if (UIWirelessFastCharge3.this.mTestState == UIWirelessFastCharge3.this.TESTSTATE_CONNECTION_CHECK && plugged == 4) {
                        String wirelessBattStatus = Support.Kernel.read(Support.Kernel.WIRELESS_BATTERY);
                        if (EgisFingerprint.MAJOR_VERSION.equals(wirelessBattStatus)) {
                            FtUtil.log_d("UIWirelessFastCharge3", "Battery State: " + plugged + " / WIRELESS BATTERY Charge Status: " + wirelessBattStatus);
                            if (level > 78 && !UIWirelessFastCharge3.this.isPopupOpen) {
                                FtUtil.log_d("UIWirelessFastCharge3", "mBroadcastReceiver.onReceive", "Open warning popup");
                                UIWirelessFastCharge3.this.isPopupOpen = true;
                                AlertDialog.Builder builder = new AlertDialog.Builder(UIWirelessFastCharge3.this);
                                builder.setMessage("Please discharge the battery below 78%");
                                builder.setCancelable(false);
                                builder.setNegativeButton("Exit", new DialogInterface.OnClickListener() {
                                    /* class com.sec.factory.app.ui.UIWirelessFastCharge3.AnonymousClass1.AnonymousClass1 */

                                    public void onClick(DialogInterface dialog, int id) {
                                        UIWirelessFastCharge3.this.finish();
                                        dialog.cancel();
                                    }
                                });
                                UIWirelessFastCharge3.this.mChargeDialog = builder.create();
                                UIWirelessFastCharge3.this.mChargeDialog.getWindow().setGravity(17);
                                UIWirelessFastCharge3.this.mChargeDialog.show();
                            } else if (!UIWirelessFastCharge3.this.isPopupOpen) {
                                UIWirelessFastCharge3 uIWirelessFastCharge3 = UIWirelessFastCharge3.this;
                                uIWirelessFastCharge3.mTestState = uIWirelessFastCharge3.TESTSTATE_STATUS_CHECK;
                                FtUtil.Sleep.sleep(7000);
                                UIWirelessFastCharge3.this.mHandler.sendEmptyMessage(1);
                            }
                        }
                    }
                }
            }
        };
        this.mHandler = new Handler() {
            /* class com.sec.factory.app.ui.UIWirelessFastCharge3.AnonymousClass2 */

            public void handleMessage(Message msg) {
                if (msg.what == 5) {
                    if (UIWirelessFastCharge3.this.mModulePower.isScreenOn()) {
                        UIWirelessFastCharge3.this.turnLcdOffForCurrentCheck();
                        UIWirelessFastCharge3 uIWirelessFastCharge3 = UIWirelessFastCharge3.this;
                        if (uIWirelessFastCharge3.checkMultiChargerMode(uIWirelessFastCharge3.mMultiChargerMode)) {
                            UIWirelessFastCharge3.this.mHandler.sendEmptyMessageDelayed(2, 1500);
                            return;
                        }
                        return;
                    }
                    UIWirelessFastCharge3 uIWirelessFastCharge32 = UIWirelessFastCharge3.this;
                    if (uIWirelessFastCharge32.checkMultiChargerMode(uIWirelessFastCharge32.mMultiChargerMode)) {
                        UIWirelessFastCharge3.this.mHandler.sendEmptyMessage(2);
                    }
                } else if (msg.what == 1) {
                    UIWirelessFastCharge3.this.readChargeData();
                } else if (msg.what == 2) {
                    UIWirelessFastCharge3.this.readCurrent();
                } else if (msg.what == 6) {
                    UIWirelessFastCharge3.this.startSlaveTest();
                } else if (msg.what == 3) {
                    UIWirelessFastCharge3.this.startWPCTest();
                } else if (msg.what == 4) {
                    UIWirelessFastCharge3.this.endMeasure();
                }
            }
        };
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_wireless_fast_charge_3);
        this.mTestCase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML(this.TEST_ID));
        this.mSpecMinDual = Support.Spec.getInt(Support.Spec.WIRELESS_FAST_CHARGE_3_SPEC_MIN_DUAL);
        this.mSpecMaxDual = Support.Spec.getInt(Support.Spec.WIRELESS_FAST_CHARGE_3_SPEC_MAX_DUAL);
        this.mSpecMinSlave = Support.Spec.getInt(Support.Spec.WIRELESS_FAST_CHARGE_3_SPEC_MIN_SLAVE);
        this.mSpecMaxSlave = Support.Spec.getInt(Support.Spec.WIRELESS_FAST_CHARGE_3_SPEC_MAX_SLAVE);
        this.mModuleDevice = ModuleDevice.instance(this);
        this.mModulePower = ModulePower.instance(this);
        this.mTestState = this.TESTSTATE_CONNECTION_CHECK;
        IntentFilter mIntentFilter = new IntentFilter();
        mIntentFilter.addAction("android.intent.action.BATTERY_CHANGED");
        registerReceiver(this.mBroadcastReceiver, mIntentFilter);
        TextView textView = (TextView) findViewById(R.id.wireless_fast_charge_3_chgin_result_dual);
        this.mChginResultDual = textView;
        textView.setVisibility(8);
        TextView textView2 = (TextView) findViewById(R.id.wireless_fast_charge_3_connection_result_dual);
        this.mConnectionResultDual = textView2;
        textView2.setVisibility(8);
        this.mSelftestSpecDual = (TextView) findViewById(R.id.wireless_fast_charge_3_selftest_spec_dual);
        this.mSelftestResultDual = (TextView) findViewById(R.id.wireless_fast_charge_3_selftest_result_dual);
        LinearLayout linearLayout = (LinearLayout) findViewById(R.id.table_dual);
        this.mTableDual = linearLayout;
        linearLayout.setVisibility(8);
        this.mRawdata1Dual = (TextView) findViewById(R.id.rawdata1_dual);
        this.mRawdata2Dual = (TextView) findViewById(R.id.rawdata2_dual);
        this.mRawdata3Dual = (TextView) findViewById(R.id.rawdata3_dual);
        this.mRawdata4Dual = (TextView) findViewById(R.id.rawdata4_dual);
        this.mRawdata5Dual = (TextView) findViewById(R.id.rawdata5_dual);
        this.mRawdataavgDual = (TextView) findViewById(R.id.rawdataavg_dual);
        TextView textView3 = (TextView) findViewById(R.id.wireless_fast_charge_3_charge_test_slave);
        this.mChargeTestSlave = textView3;
        textView3.setVisibility(8);
        TextView textView4 = (TextView) findViewById(R.id.wireless_fast_charge_3_chgin_title_slave);
        this.mChginTitleSlave = textView4;
        textView4.setVisibility(8);
        TextView textView5 = (TextView) findViewById(R.id.wireless_fast_charge_3_chgin_result_slave);
        this.mChginResultSlave = textView5;
        textView5.setVisibility(8);
        TextView textView6 = (TextView) findViewById(R.id.wireless_fast_charge_3_connection_title_slave);
        this.mConnectionTitleSlave = textView6;
        textView6.setVisibility(8);
        TextView textView7 = (TextView) findViewById(R.id.wireless_fast_charge_3_connection_result_slave);
        this.mConnectionResultSlave = textView7;
        textView7.setVisibility(8);
        this.mSelftestSpecSlave = (TextView) findViewById(R.id.wireless_fast_charge_3_selftest_spec_slave);
        this.mSelftestResultSlave = (TextView) findViewById(R.id.wireless_fast_charge_3_selftest_result_slave);
        LinearLayout linearLayout2 = (LinearLayout) findViewById(R.id.table_slave);
        this.mTableSlave = linearLayout2;
        linearLayout2.setVisibility(8);
        this.mRawdata1Slave = (TextView) findViewById(R.id.rawdata1_slave);
        this.mRawdata2Slave = (TextView) findViewById(R.id.rawdata2_slave);
        this.mRawdata3Slave = (TextView) findViewById(R.id.rawdata3_slave);
        this.mRawdata4Slave = (TextView) findViewById(R.id.rawdata4_slave);
        this.mRawdata5Slave = (TextView) findViewById(R.id.rawdata5_slave);
        this.mRawdataavgSlave = (TextView) findViewById(R.id.rawdataavg_slave);
        TextView textView8 = (TextView) findViewById(R.id.wireless_fast_charge_3_wcp_title);
        this.mWpcTitle = textView8;
        textView8.setVisibility(8);
        TextView textView9 = (TextView) findViewById(R.id.wireless_fast_charge_3_wcp_result);
        this.mWpcResult = textView9;
        textView9.setVisibility(8);
        changeUIElement();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        this.mHandler.removeMessages(1);
        this.mHandler.removeMessages(4);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
        this.mHandler.removeMessages(1);
        this.mHandler.removeMessages(4);
        this.mConnectionCheckCount = 0;
        this.mCurrentReadCount = 0;
        unregisterReceiver(this.mBroadcastReceiver);
        NfcAdapter nfc = NfcAdapter.getDefaultAdapter(getApplicationContext());
        if (nfc != null && nfc.isEnabled()) {
            Intent intent = new Intent("com.samsung.android.nfc.test.action.REQUEST");
            intent.putExtra("com.samsung.android.nfc.test.extra.ID", 3);
            sendBroadcast(intent);
            FtUtil.log_d("UIWirelessFastCharge3", "when screen off / on. NFC RF discovery was enabled. so must be disabled before exit here");
        }
        this.mModulePower.doPartialWakeLock(false);
        this.mModulePower.doWakeLock(false);
        this.mWfcCurrentList.clear();
        this.mWfcVoltageList.clear();
    }

    private void changeUIElement() {
        if (this.isSlaveMode) {
            this.mChginResultCurrent = this.mChginResultSlave;
            this.mConnectionResultCurrent = this.mConnectionResultSlave;
            this.mSelftestSpecCurrent = this.mSelftestSpecSlave;
            this.mSelftestResultCurrent = this.mSelftestResultSlave;
            this.mTableCurrent = this.mTableSlave;
            this.mRawdata1Current = this.mRawdata1Slave;
            this.mRawdata2Current = this.mRawdata2Slave;
            this.mRawdata3Current = this.mRawdata3Slave;
            this.mRawdata4Current = this.mRawdata4Slave;
            this.mRawdata5Current = this.mRawdata5Slave;
            this.mRawdataavgCurrent = this.mRawdataavgSlave;
            this.mSpecMinCurrent = this.mSpecMinSlave;
            this.mSpecMaxCurrent = this.mSpecMaxSlave;
            this.mChargeTestSlave.setVisibility(0);
            this.mChginTitleSlave.setVisibility(0);
            this.mConnectionTitleSlave.setVisibility(0);
            this.mMultiChargerMode = "slave";
            return;
        }
        this.mChginResultCurrent = this.mChginResultDual;
        this.mConnectionResultCurrent = this.mConnectionResultDual;
        this.mSelftestSpecCurrent = this.mSelftestSpecDual;
        this.mSelftestResultCurrent = this.mSelftestResultDual;
        this.mTableCurrent = this.mTableDual;
        this.mRawdata1Current = this.mRawdata1Dual;
        this.mRawdata2Current = this.mRawdata2Dual;
        this.mRawdata3Current = this.mRawdata3Dual;
        this.mRawdata4Current = this.mRawdata4Dual;
        this.mRawdata5Current = this.mRawdata5Dual;
        this.mRawdataavgCurrent = this.mRawdataavgDual;
        this.mSpecMinCurrent = this.mSpecMinDual;
        this.mSpecMaxCurrent = this.mSpecMaxDual;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void readChargeData() {
        this.mChginResultCurrent.setText(String.format("%.3fV", Float.valueOf(((float) Integer.parseInt(Support.Kernel.read(Support.Kernel.WIRELESS_VOUT))) / 1000.0f)));
        this.mChginResultCurrent.setVisibility(0);
        int i = this.mConnectionCheckCount + 1;
        this.mConnectionCheckCount = i;
        if (i <= 10) {
            String chargeStatus = Support.Kernel.read(Support.Kernel.HV_WC_CHARGER_STATUS);
            if (EgisFingerprint.MAJOR_VERSION.equals(chargeStatus)) {
                FtUtil.log_i("UIWirelessFastCharge3", "readChargeData", "Success| Charge Status:" + chargeStatus);
                this.mConnectionResultCurrent.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                this.mConnectionResultCurrent.setText("PASS");
                this.mConnectionResultCurrent.setVisibility(0);
                this.mTestState = this.TESTSTATE_SELFTEST_CHECK;
                this.mSelftestSpecCurrent.setText("SPEC : " + this.mSpecMinCurrent + "mA ~ " + this.mSpecMaxCurrent + "mA");
                if (!this.isSlaveMode) {
                    this.mHandler.sendEmptyMessageDelayed(5, 3500);
                } else {
                    this.mHandler.sendEmptyMessage(5);
                }
            } else {
                this.mHandler.sendEmptyMessageDelayed(1, 200);
                FtUtil.log_i("UIWirelessFastCharge3", "readChargeData", "Charge Status:" + Support.Kernel.read(Support.Kernel.HV_WC_CHARGER_STATUS) + " / delay 0.2 sec - TestCount : " + this.mConnectionCheckCount);
            }
        } else {
            FtUtil.log_d("UIWirelessFastCharge3", "readChargeData", FtUtil.setMspSeqMessage(1, this.mTestName, "Fail / Reason : Connection Check Timeout"));
            this.mConnectionResultCurrent.setTextColor(-65536);
            this.mConnectionResultCurrent.setText("FAIL");
            this.mConnectionResultCurrent.setVisibility(0);
            if (this.isSlaveMode) {
                Support.Kernel.write(Support.Kernel.WIRELESS_FAST_CHARGE_MULTI_CHARGER_MODE, "2");
            }
        }
    }

    private void checkCurrent() {
        if (this.isSlaveMode) {
            this.mModulePower.doWakeLock(true);
        }
        this.mChginResultCurrent.setText(String.format("%.3fV", Float.valueOf(((float) Integer.parseInt(Support.Kernel.read(Support.Kernel.WIRELESS_VOUT))) / 1000.0f)));
        this.mTableCurrent.setVisibility(0);
        if (!this.isSlaveMode) {
            this.mAvgData = Integer.toString(this.mWfcCurrentAvg) + "," + String.format("%.2f", Double.valueOf(this.mWfcVoltageAvg));
        } else {
            this.mAvgData += "," + Integer.toString(this.mWfcCurrentAvg) + "," + String.format("%.2f", Double.valueOf(this.mWfcVoltageAvg));
            File fileAvgData = new File("/data/log/WirelessFastCharge3Data.log");
            Support.Kernel.writeToPathNsync(fileAvgData.getPath(), this.mAvgData);
            FtUtil.log_i("UIWirelessFastCharge3", "readFromPath", "WirelessFastCharge3Data.log : " + Support.Kernel.readFromPath(fileAvgData.getPath(), true));
        }
        int i = this.mWfcCurrentAvg;
        if (i < this.mSpecMinCurrent || i > this.mSpecMaxCurrent) {
            FtUtil.log_d("UIWirelessFastCharge3", "checkCurrent", FtUtil.setMspSeqMessage(1, this.mTestName, String.format("Fail / Reason : Current Spec Out [ Measure : %d (Spec : %d ~ %d) ]", Integer.valueOf(i), Integer.valueOf(this.mSpecMinCurrent), Integer.valueOf(this.mSpecMaxCurrent))));
            this.mSelftestResultCurrent.setTextColor(-65536);
            this.mSelftestResultCurrent.setText("FAIL");
            if (!this.isSlaveMode) {
                this.isPass = false;
                this.mHandler.sendEmptyMessageDelayed(6, 1000);
            }
            if (this.isSlaveMode) {
                Support.Kernel.write(Support.Kernel.WIRELESS_FAST_CHARGE_MULTI_CHARGER_MODE, "2");
                return;
            }
            return;
        }
        FtUtil.log_i("UIWirelessFastCharge3", "checkCurrent", "current SelfTest: PASS ");
        this.mSelftestResultCurrent.setTextColor(UiHallICTest.FONT_COLOR_PASS);
        this.mSelftestResultCurrent.setText("PASS");
        if (!this.isSlaveMode) {
            this.mHandler.sendEmptyMessageDelayed(6, 1000);
        } else if (this.isPass) {
            String str = this.mTestCase;
            if (str == null || !str.contains("WPC")) {
                this.mWpcTitle.setVisibility(0);
                this.mWpcResult.setVisibility(0);
                this.mHandler.sendEmptyMessageDelayed(4, 1000);
                return;
            }
            this.mWpcTitle.setVisibility(0);
            this.mHandler.sendEmptyMessageDelayed(3, 1000);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void readCurrent() {
        int i = this.mCurrentReadCount + 1;
        this.mCurrentReadCount = i;
        if (i > 5) {
            this.mCurrentReadCount = 0;
            calculateAvg();
        } else if ("0".equals(Support.Kernel.read(Support.Kernel.WIRELESS_BATTERY))) {
            FtUtil.log_d("UIWirelessFastCharge3", "readCurrent", FtUtil.setMspSeqMessage(1, this.mTestName, "Fail / Reason : Wireless Charge Disconnect"));
            this.mSelftestResultCurrent.setTextColor(-65536);
            this.mSelftestResultCurrent.setText("FAIL : Wireless Charge Disconnect");
            this.mModulePower.doWakeLock(true);
            if (this.isSlaveMode) {
                Support.Kernel.write(Support.Kernel.WIRELESS_FAST_CHARGE_MULTI_CHARGER_MODE, "2");
            }
        } else {
            this.mWfcCurrentList.add(Integer.valueOf(Integer.parseInt(Support.Kernel.read(Support.Kernel.HV_CHARGE_CURRENT)) / 1000));
            this.mWfcVoltageList.add(Double.valueOf(Double.parseDouble(Support.Kernel.read(Support.Kernel.BATTERY_VOLT)) / 1000000.0d));
            StringBuilder sb = new StringBuilder();
            sb.append("Charge Current:");
            ArrayList<Integer> arrayList = this.mWfcCurrentList;
            sb.append(arrayList.get(arrayList.size() - 1));
            sb.append(" / mCurrentReadCount : ");
            sb.append(this.mCurrentReadCount);
            FtUtil.log_i("UIWirelessFastCharge3", "readCurrent", sb.toString());
            StringBuilder sb2 = new StringBuilder();
            sb2.append("Charge Voltage:");
            ArrayList<Double> arrayList2 = this.mWfcVoltageList;
            sb2.append(arrayList2.get(arrayList2.size() - 1));
            sb2.append(" / mCurrentReadCount : ");
            sb2.append(this.mCurrentReadCount);
            FtUtil.log_i("UIWirelessFastCharge3", "readCurrent", sb2.toString());
            this.mHandler.sendEmptyMessageDelayed(2, 400);
        }
    }

    private void calculateAvg() {
        FtUtil.log_d("UIWirelessFastCharge3", "calculateAvg", "");
        TextView textView = this.mRawdata1Current;
        textView.setText("" + this.mWfcCurrentList.get(0));
        TextView textView2 = this.mRawdata2Current;
        textView2.setText("" + this.mWfcCurrentList.get(1));
        TextView textView3 = this.mRawdata3Current;
        textView3.setText("" + this.mWfcCurrentList.get(2));
        TextView textView4 = this.mRawdata4Current;
        textView4.setText("" + this.mWfcCurrentList.get(3));
        TextView textView5 = this.mRawdata5Current;
        textView5.setText("" + this.mWfcCurrentList.get(4));
        Collections.sort(this.mWfcCurrentList);
        Collections.sort(this.mWfcVoltageList);
        ArrayList<Integer> arrayList = this.mWfcCurrentList;
        arrayList.remove(arrayList.size() - 1);
        ArrayList<Double> arrayList2 = this.mWfcVoltageList;
        arrayList2.remove(arrayList2.size() - 1);
        this.mWfcCurrentList.remove(0);
        this.mWfcVoltageList.remove(0);
        Integer sumCurrent = 0;
        Double sumVoltage = Double.valueOf(0.0d);
        Iterator<Integer> it = this.mWfcCurrentList.iterator();
        while (it.hasNext()) {
            sumCurrent = Integer.valueOf(sumCurrent.intValue() + it.next().intValue());
        }
        Iterator<Double> it2 = this.mWfcVoltageList.iterator();
        while (it2.hasNext()) {
            sumVoltage = Double.valueOf(sumVoltage.doubleValue() + it2.next().doubleValue());
        }
        this.mWfcCurrentAvg = (int) (((float) sumCurrent.intValue()) / 3.0f);
        this.mWfcVoltageAvg = sumVoltage.doubleValue() / 3.0d;
        this.mWfcCurrentList.clear();
        this.mWfcVoltageList.clear();
        TextView textView6 = this.mRawdataavgCurrent;
        textView6.setText("" + this.mWfcCurrentAvg);
        FtUtil.log_i("UIWirelessFastCharge3", "calculateAvg", "Averege Current: " + this.mWfcCurrentAvg + " / Average Voltage: " + this.mWfcVoltageAvg);
        checkCurrent();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void endMeasure() {
        Support.Kernel.write(Support.Kernel.WIRELESS_FAST_CHARGE_MULTI_CHARGER_MODE, "2");
        this.mConnectionCheckCount = 0;
        this.mCurrentReadCount = 0;
        setTestResult();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void startSlaveTest() {
        this.mConnectionCheckCount = 0;
        this.mCurrentReadCount = 0;
        this.isSlaveMode = true;
        changeUIElement();
        if (Support.Kernel.write(Support.Kernel.WIRELESS_FAST_CHARGE_MULTI_CHARGER_MODE, EgisFingerprint.MAJOR_VERSION)) {
            this.mHandler.sendEmptyMessageDelayed(1, 1000);
            return;
        }
        FtUtil.log_d("UIWirelessFastCharge3", "startSlaveTest", FtUtil.setMspSeqMessage(1, this.mTestName, "Fail / Reason : Multi Charger Mode Change Fail"));
        this.mSelftestResultCurrent.setTextColor(-65536);
        this.mSelftestResultCurrent.setText("FAIL : Multi Charger Mode Change Fail");
        this.mModulePower.doWakeLock(true);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean checkMultiChargerMode(String mode) {
        if ("0".equals(Support.Kernel.read(Support.Kernel.WIRELESS_BATTERY))) {
            FtUtil.log_d("UIWirelessFastCharge3", "checkMultiChargerMode", FtUtil.setMspSeqMessage(1, this.mTestName, "Fail / Reason : Wireless Charge Disconnect"));
            this.mSelftestResultCurrent.setTextColor(-65536);
            this.mSelftestResultCurrent.setText("FAIL : Wireless Charge Disconnect");
            this.mModulePower.doWakeLock(true);
        } else {
            String result = Support.Kernel.read(Support.Kernel.WIRELESS_FAST_CHARGE_MULTI_CHARGER_MODE);
            if (mode.equals(result)) {
                return true;
            }
            String str = this.mTestName;
            FtUtil.log_d("UIWirelessFastCharge3", "checkMultiChargerMode", FtUtil.setMspSeqMessage(1, str, "Fail / Reason : Multi Charger Mode Check Fail(Current : " + result + " / Ref : " + mode + ")"));
            this.mSelftestResultCurrent.setTextColor(-65536);
            this.mSelftestResultCurrent.setText("FAIL : Multi Charger Mode Check Fail");
            this.mModulePower.doWakeLock(true);
        }
        if (!this.isSlaveMode) {
            return false;
        }
        Support.Kernel.write(Support.Kernel.WIRELESS_FAST_CHARGE_MULTI_CHARGER_MODE, "2");
        return false;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void turnLcdOffForCurrentCheck() {
        FtUtil.log_i("UIWirelessFastCharge3", "turnLcdOffForCurrentCheck", "Turn LCD Off");
        this.mModulePower.doPartialWakeLock(true);
        this.mModulePower.doWakeLock(false);
        if (Support.Feature.getBoolean(Support.Feature.NEED_LPA_MODE_SET, true)) {
            this.mModuleDevice.setLPAmode(ModuleDevice.LPA_MODE_DISABLE);
        }
        this.mModulePower.gotosleep();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void startWPCTest() {
        this.mWpcResult.setText("");
        this.mWpcResult.setVisibility(0);
        if (!Support.Kernel.write(Support.Kernel.BATTERY_WPC_CHARGE, EgisFingerprint.MAJOR_VERSION)) {
            FtUtil.log_i("UIWirelessFastCharge3", "startWPCTest", "WPCTest : FAIL ");
            this.mWpcResult.setTextColor(-65536);
            this.mWpcResult.setText("FAIL");
            Support.Kernel.write(Support.Kernel.WIRELESS_FAST_CHARGE_MULTI_CHARGER_MODE, "2");
            return;
        }
        try {
            FtUtil.log_d("UIWirelessFastCharge3", "startWPCTest", "Delay : 100ms");
            Thread.sleep(100);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
        String result = Support.Kernel.read(Support.Kernel.BATTERY_WPC_CHARGE, true);
        if (result == null || result.isEmpty()) {
            FtUtil.log_i("UIWirelessFastCharge3", "startWPCTest", "WPCTest : FAIL ");
            this.mWpcResult.setTextColor(-65536);
            this.mWpcResult.setText("FAIL");
            Support.Kernel.write(Support.Kernel.WIRELESS_FAST_CHARGE_MULTI_CHARGER_MODE, "2");
        } else if (result.charAt(0) == '1') {
            FtUtil.log_i("UIWirelessFastCharge3", "startWPCTest", "WPCTest : PASS ");
            this.mWpcResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            this.mWpcResult.setText("PASS");
            this.mHandler.sendEmptyMessageDelayed(4, 1000);
        } else {
            FtUtil.log_i("UIWirelessFastCharge3", "startWPCTest", "WPCTest : FAIL ");
            this.mWpcResult.setTextColor(-65536);
            this.mWpcResult.setText("FAIL");
            Support.Kernel.write(Support.Kernel.WIRELESS_FAST_CHARGE_MULTI_CHARGER_MODE, "2");
        }
    }

    private void setTestResult() {
        FtUtil.log_e("UIWirelessFastCharge3", "setTestResult", " isPass : " + this.isPass);
        if (this.isPass) {
            setTestResult((byte) 80);
        } else {
            setTestResultFailCase(216);
        }
        if ("tester".equals(Support.Properties.get(Support.Properties.FTL_GADGET_MODE))) {
            FtUtil.log_i("UIWirelessFastCharge3", "setTestResult", "Skip Finish Activity");
        } else {
            finish();
        }
    }
}
