package com.sec.factory.app.ui;

import android.content.Context;
import android.content.SharedPreferences;
import android.content.res.Configuration;
import android.graphics.PointF;
import android.hardware.Sensor;
import android.hardware.SensorEvent;
import android.hardware.SensorEventListener;
import android.hardware.SensorManager;
import android.os.Bundle;
import android.os.CountDownTimer;
import android.os.Handler;
import android.os.Message;
import android.util.TypedValue;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.View;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.TableLayout;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestDialog;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.ModuleCommunicationService;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;
import java.util.Timer;
import java.util.TimerTask;

public class UiHallICTest extends UIBase implements View.OnClickListener {
    protected static final String CLASS_NAME = "HallICTest";
    protected static final int FINISH = 0;
    public static final int FONT_COLOR_FAILED = -65536;
    public static final int FONT_COLOR_PASS = -16776961;
    public static final int HALL_LESS_STATE_ATTACH = 5000;
    public static final int HALL_LESS_STATE_DETACH = 5001;
    public static final int HALL_LESS_STATE_ERROR = 5002;
    public static final int HALL_LESS_TEST_CASE_ATTACHED = 6001;
    public static final int HALL_LESS_TEST_CASE_DETACHED = 6002;
    public static final int HALL_LESS_TEST_CASE_INIT = 6000;
    protected static final int KEY_TIMER_EXPIRED = 1;
    protected static final int KEY_TIMER_EXPIRED_HALLLESS = 2;
    protected static final int MILLIS_IN_SEC = Integer.valueOf(Support.TestCase.getString(Support.TestCase.HALLIC_TEST_MILLIS_SEC)).intValue();
    protected static final int MILLIS_IN_SEC_HALL_LESS = Integer.valueOf(Support.TestCase.getString(Support.TestCase.HALLLESS_TEST_MILLIS_SEC)).intValue();
    public static final int TESTCASE_CLOSE_CHECK = 3;
    public static final int TESTCASE_DONE = 17;
    public static final int TESTCASE_HALL_LESS_INIT = 8;
    public static final int TESTCASE_HALL_LESS_RELEASE_CHECK = 10;
    public static final int TESTCASE_HALL_LESS_WORKING_CHECK = 9;
    public static final int TESTCASE_ONCREATE_RELEASE_CHECK = 0;
    public static final int TESTCASE_OPEN_CHECK = 4;
    public static final int TESTCASE_RELEASE_CHECK = 2;
    public static final int TESTCASE_RELEASE_CHECK2 = 7;
    public static final int TESTCASE_RELEASE_CHECK3 = 13;
    public static final int TESTCASE_RELEASE_CHECK4 = 16;
    public static final int TESTCASE_START_RELEASE_CHECK2 = 5;
    public static final int TESTCASE_START_RELEASE_CHECK3 = 11;
    public static final int TESTCASE_START_RELEASE_CHECK4 = 14;
    public static final int TESTCASE_WORKING_CHECK = 1;
    public static final int TESTCASE_WORKING_CHECK2 = 6;
    public static final int TESTCASE_WORKING_CHECK3 = 12;
    public static final int TESTCASE_WORKING_CHECK4 = 15;
    private final int KEYCODE_FOLDER_CLOSE = 235;
    private final int KEYCODE_FOLDER_OPEN = 234;
    private CountDownTimer _timer;
    private String[] arrState = new String[20];
    private Button button_exit;
    private SharedPreferences.Editor editor;
    private boolean is2HallICWorking = false;
    private boolean isEnabledHall_IC = false;
    private boolean isEnabledHall_IC_2nd = false;
    private boolean isEnabledHall_IC_3rd = false;
    private boolean isEnabledHall_IC_4th = false;
    private boolean isHallLess = false;
    private boolean isHideHallLess = false;
    private boolean isPopup = false;
    private TextView mAbcdDataTextView1;
    private TextView mAbcdDataTextView2;
    private TextView mAbcdDataTextView3;
    private TextView mAbcdDataTextView4;
    private Button mBtnExit;
    private long mCurrentTime = 0;
    private LinearLayout mHallICExitButton;
    private HallICPoint mHallICPoint;
    private HallICPoint mHallICPoint2;
    private HallICPoint mHallICPoint3;
    private HallICPoint mHallICPoint4;
    private TextView mHallIcTestIndex1;
    private TextView mHallIcTestIndex2;
    private TextView mHallIcTestIndex3;
    private TextView mHallIcTestIndex4;
    private TableLayout mHallIcTestTable;
    private TextView mHallIcTestView;
    private TextView mHallIcTestView2;
    private TextView mHallIcTestView3;
    private TextView mHallIcTestView4;
    protected Handler mHallLessTimerHandler = new Handler() {
        /* class com.sec.factory.app.ui.UiHallICTest.AnonymousClass2 */

        public void handleMessage(Message msg) {
            switch (msg.what) {
                case 2:
                    UiHallICTest.this.mIsPressedBackkey = false;
                    if (!UiHallICTest.this.isFinishing()) {
                        if (UiHallICTest.this.isEnabledHall_IC_2nd && UiHallICTest.this.isHallLess) {
                            UiHallICTest.this.CheckingFolderState_HallLess();
                        }
                        if (!UiHallICTest.this.isPopup) {
                            UiHallICTest.this.mHallLessTimerHandler.sendEmptyMessageDelayed(2, (long) UiHallICTest.MILLIS_IN_SEC_HALL_LESS);
                            return;
                        }
                        return;
                    }
                    return;
                default:
                    return;
            }
        }
    };
    Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.UiHallICTest.AnonymousClass3 */

        public void handleMessage(Message msg) {
            switch (msg.what) {
                case 0:
                    FtUtil.log_i(UiHallICTest.CLASS_NAME, "handleMessage", "FINISH");
                    UiHallICTest.this.isPopup = false;
                    UiHallICTest.this.HallICTestInit();
                    UiHallICTest.this.startTimer();
                    return;
                default:
                    return;
            }
        }
    };
    private boolean mIsHallICTestAllPass = false;
    private boolean mIsPressedBackkey = false;
    private boolean mIsReleasePass = false;
    private boolean mIsReleasePass2 = false;
    private boolean mIsReleasePass3 = false;
    private boolean mIsReleasePass4 = false;
    private boolean mIsWorkingPass = false;
    private boolean mIsWorkingPass2 = false;
    private boolean mIsWorkingPass3 = false;
    private boolean mIsWorkingPass4 = false;
    private MagSensorEventListener mMagSensorEventListener;
    private Sensor mMagneticSensor;
    private ModuleDevice mModuleDevice;
    private TextView mReleaseTextView;
    private TextView mReleaseTextView2;
    private TextView mReleaseTextView3;
    private TextView mReleaseTextView4;
    private Timer mSYSFS_FolderChcekingTimer;
    private SensorManager mSensorManager;
    protected Handler mTimerHandler = new Handler() {
        /* class com.sec.factory.app.ui.UiHallICTest.AnonymousClass1 */

        public void handleMessage(Message msg) {
            switch (msg.what) {
                case 1:
                    UiHallICTest.this.mIsPressedBackkey = false;
                    FtUtil.log_i(UiHallICTest.CLASS_NAME, "handleMessage", "KEY_TIMER_EXPIRED");
                    if (!UiHallICTest.this.isFinishing()) {
                        if (UiHallICTest.this.isEnabledHall_IC) {
                            UiHallICTest.this.CheckingFolderState();
                        }
                        if (UiHallICTest.this.isEnabledHall_IC_2nd && !UiHallICTest.this.isHallLess) {
                            UiHallICTest.this.CheckingFolderState2();
                        }
                        if (UiHallICTest.this.isEnabledHall_IC_3rd) {
                            UiHallICTest.this.CheckingFolderState3();
                        }
                        if (UiHallICTest.this.isEnabledHall_IC_4th) {
                            UiHallICTest.this.CheckingFolderState4();
                        }
                        int currentWorkingHall = 0;
                        if (UiHallICTest.this.nCheckingCurrentFolderState == ModuleDevice.HallIC.FOLDER_STATE_CLOSE) {
                            currentWorkingHall = 0 + 1;
                        }
                        if (UiHallICTest.this.nCheckingCurrentFolderState2 == ModuleDevice.HallIC.FOLDER_STATE_CLOSE || (UiHallICTest.this.isHallLess && UiHallICTest.this.nCheckingHallLessState == 5000)) {
                            currentWorkingHall++;
                        }
                        if (UiHallICTest.this.nCheckingCurrentFolderState3 == ModuleDevice.HallIC.FOLDER_STATE_CLOSE) {
                            currentWorkingHall++;
                        }
                        if (UiHallICTest.this.nCheckingCurrentFolderState4 == ModuleDevice.HallIC.FOLDER_STATE_CLOSE) {
                            currentWorkingHall++;
                        }
                        if (currentWorkingHall >= 2) {
                            UiHallICTest.this.is2HallICWorking = true;
                            UiHallICTest.this.DisplayResult(0);
                        }
                        if (!UiHallICTest.this.is2HallICWorking && !UiHallICTest.this.isPopup) {
                            UiHallICTest.this.mTimerHandler.sendEmptyMessageDelayed(1, (long) UiHallICTest.MILLIS_IN_SEC);
                            FtUtil.log_i(UiHallICTest.CLASS_NAME, "handleMessage", "next timer");
                            return;
                        }
                        return;
                    }
                    return;
                default:
                    return;
            }
        }
    };
    private float mTouchedX = 0.0f;
    private float mTouchedY = 0.0f;
    private TextView mWorkingTextView;
    private TextView mWorkingTextView2;
    private TextView mWorkingTextView3;
    private TextView mWorkingTextView4;
    private TimerTask mmyTask;
    private ModuleDevice.HallIC nCheckingCurrentFolderState;
    private ModuleDevice.HallIC nCheckingCurrentFolderState2;
    private ModuleDevice.HallIC nCheckingCurrentFolderState3;
    private ModuleDevice.HallIC nCheckingCurrentFolderState4;
    private int nCheckingHallLessState;
    private int nHallICTestState = 0;
    private int nHallICTestState2 = 3;
    private int nHallICTestState3 = 3;
    private int nHallICTestState4 = 3;
    private float overLength;
    private SharedPreferences prefLastTouchPoint;
    private float resolution_height;
    private float resolution_width;

    public UiHallICTest() {
        super("UiHallICTest", 19);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        FtUtil.log_i(CLASS_NAME, "onCreate", null);
        super.onCreate(savedInstanceState);
        FtUtil.setRemoveSystemUI(getWindow(), true);
        setContentView(R.layout.ui_hallictest);
        if (Support.Feature.getBoolean(Support.Feature.SUPPORT_DUAL_LCD_FOLDER)) {
            fixUsingScreen(true);
        }
        if (Support.Kernel.read(Support.Kernel.NFC_COVER_STATUS) != null) {
            this.isHallLess = true;
        } else {
            this.isHallLess = false;
        }
        String mTestCase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML((byte) 19));
        FtUtil.log_i(CLASS_NAME, "onCreate", "mTestCase : " + mTestCase);
        if (this.isHallLess) {
            if (!mTestCase.contains("HIDEHALLLESS")) {
                SensorManager sensorManager = (SensorManager) getSystemService("sensor");
                this.mSensorManager = sensorManager;
                this.mMagneticSensor = sensorManager.getDefaultSensor(14);
                MagSensorEventListener magSensorEventListener = new MagSensorEventListener();
                this.mMagSensorEventListener = magSensorEventListener;
                this.mSensorManager.registerListener(magSensorEventListener, this.mMagneticSensor, 0);
                Support.Kernel.write(Support.Kernel.FLIP_COVER_DETECTOR_STATUS, EgisFingerprint.MAJOR_VERSION);
                this.isHideHallLess = false;
            } else {
                FtUtil.log_i(CLASS_NAME, "onCreate", "Hide hallless feature enable");
                this.isHideHallLess = true;
            }
        }
        this.TEST_ID = getIntent().getIntExtra("testid", 19);
        this.isEnabledHall_IC = Support.TestCase.getEnabled(Support.TestCase.HALL_IC_TEST);
        if (!this.isHideHallLess) {
            this.isEnabledHall_IC_2nd = Support.TestCase.getEnabled(Support.TestCase.HALL_IC_TEST_2ND);
        } else {
            this.isEnabledHall_IC_2nd = false;
        }
        this.isEnabledHall_IC_3rd = Support.TestCase.getEnabled(Support.TestCase.HALL_IC_TEST_3RD);
        this.isEnabledHall_IC_4th = Support.TestCase.getEnabled(Support.TestCase.HALL_IC_TEST_4TH);
        HallICTestInit();
        CheckingFolderState();
        SharedPreferences sharedPreferences = getSharedPreferences("LAST_TOUCHED_POINT", 0);
        this.prefLastTouchPoint = sharedPreferences;
        this.editor = sharedPreferences.edit();
        if (Support.Feature.getBoolean(Support.Feature.SUPPORT_BOOK_COVER) || Support.Feature.getBoolean(Support.Feature.SUPPORT_DUAL_LCD_FOLDER)) {
            startTimer();
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        if (this.mModuleDevice.isVibrating()) {
            this.mModuleDevice.stopVibrate();
        }
        this.editor.putString("LAST_TOUCHED", ModuleCommunicationService.SMD_NOK);
        this.editor.commit();
        if (Support.Feature.getBoolean(Support.Feature.SUPPORT_DUAL_LCD_FOLDER)) {
            fixUsingScreen(false);
        }
        super.onPause();
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        if (Support.Feature.getBoolean(Support.Feature.SUPPORT_BOOK_COVER) || Support.Feature.getBoolean(Support.Feature.SUPPORT_DUAL_LCD_FOLDER)) {
            stopTimer();
        }
        if (this.isHallLess && !this.isHideHallLess) {
            this.mSensorManager.unregisterListener(this.mMagSensorEventListener);
            Support.Kernel.write(Support.Kernel.FLIP_COVER_DETECTOR_STATUS, "0");
        }
        super.onDestroy();
    }

    private void fixUsingScreen(boolean value) {
        try {
            int currentDisplayDeviceType = getResources().getConfiguration().semDisplayDeviceType;
            Class<?> multiDisplayClass = Class.forName("com.samsung.android.multidisplay.MultiDisplayManager");
            Object multiDisplayClassInstance = multiDisplayClass.newInstance();
            multiDisplayClass.getMethod("setForcedDefaultDisplayDevice", Context.class, Integer.TYPE, Boolean.TYPE).invoke(multiDisplayClassInstance, this, Integer.valueOf(currentDisplayDeviceType), Boolean.valueOf(value));
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public boolean onTouchEvent(MotionEvent event) {
        switch (event.getAction()) {
            case 0:
                this.mTouchedX = event.getX();
                this.mTouchedY = event.getY();
                SharedPreferences.Editor editor2 = this.editor;
                editor2.putString("LAST_TOUCHED", String.valueOf((int) this.mTouchedX) + "," + String.valueOf((int) this.mTouchedY));
                this.editor.commit();
                return true;
            case 1:
                this.editor.putString("LAST_TOUCHED", ModuleCommunicationService.SMD_NOK);
                this.editor.commit();
                return true;
            case 2:
            default:
                return true;
        }
    }

    @Override // com.sec.factory.app.ui.UIBase
    public boolean onKeyDown(int keyCode, KeyEvent event) {
        FtUtil.log_i(CLASS_NAME, "onKeyDown", "keycode: " + String.valueOf(keyCode));
        if (keyCode == 3) {
            return true;
        }
        if (Support.Feature.getBoolean(Support.Feature.SUPPORT_DUAL_LCD_FOLDER) && (keyCode == 0 || keyCode == 234 || keyCode == 235)) {
            FtUtil.log_d(CLASS_NAME, Support.Feature.SUPPORT_DUAL_LCD_FOLDER, "Temporary checking flip status");
            CheckingFolderState();
        }
        return super.onKeyDown(keyCode, event);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public boolean onKeyUp(int keyCode, KeyEvent event) {
        FtUtil.log_i(CLASS_NAME, "onKeyUp", "keycode: " + String.valueOf(keyCode));
        if (keyCode == 3) {
            return true;
        }
        return super.onKeyUp(keyCode, event);
    }

    /* access modifiers changed from: protected */
    public void startTimer() {
        FtUtil.log_i(CLASS_NAME, "startTimer", null);
        this.mTimerHandler.sendEmptyMessageDelayed(1, (long) MILLIS_IN_SEC);
        if (this.isHallLess) {
            this.mHallLessTimerHandler.sendEmptyMessageDelayed(2, (long) MILLIS_IN_SEC_HALL_LESS);
        }
    }

    /* access modifiers changed from: protected */
    public void stopTimer() {
        FtUtil.log_i(CLASS_NAME, "stopTimer", null);
        this.mTimerHandler.removeMessages(1);
        if (this.isHallLess) {
            this.mHallLessTimerHandler.removeMessages(2);
        }
    }

    public void onExit() {
        FtUtil.log_i(CLASS_NAME, "onExit", "mIsHallICTestAllPass: " + this.mIsHallICTestAllPass);
        if (!this.mIsHallICTestAllPass) {
            setResult(0);
        }
        new Handler().postDelayed(new Runnable() {
            /* class com.sec.factory.app.ui.UiHallICTest.AnonymousClass4 */

            public void run() {
                UiHallICTest.this.mModuleDevice.stopVibrate();
                UiHallICTest.this.finish();
            }
        }, 1000);
    }

    public void CheckingFolderState() {
        this.nCheckingCurrentFolderState = ModuleDevice.HallIC.getHallICState();
        FtUtil.log_i(CLASS_NAME, "CheckingFolderState", "nHallICTestState: " + this.nHallICTestState);
        switch (this.nHallICTestState) {
            case 0:
                if (this.nCheckingCurrentFolderState != ModuleDevice.HallIC.FOLDER_STATE_OPEN) {
                    this.nHallICTestState = 1;
                    if (this.isEnabledHall_IC) {
                        this.mHallICPoint.setColor(-16777216);
                        return;
                    }
                    return;
                }
                return;
            case 1:
                if (this.nCheckingCurrentFolderState == ModuleDevice.HallIC.FOLDER_STATE_OPEN) {
                    this.mIsWorkingPass = true;
                    DisplayResult(1);
                    this.nHallICTestState = 2;
                    if (this.isEnabledHall_IC) {
                        this.mHallICPoint.setColor(-65536);
                        return;
                    }
                    return;
                }
                return;
            case 2:
                if (this.nCheckingCurrentFolderState == ModuleDevice.HallIC.FOLDER_STATE_CLOSE) {
                    this.mIsReleasePass = true;
                    DisplayResult(2);
                    if (this.isEnabledHall_IC) {
                        this.mHallICPoint.setColor(-16777216);
                    }
                    if (this.isEnabledHall_IC_2nd) {
                        this.nHallICTestState = 5;
                        return;
                    }
                    return;
                }
                return;
            case 3:
                if (this.nCheckingCurrentFolderState == ModuleDevice.HallIC.FOLDER_STATE_CLOSE) {
                    this.mIsWorkingPass = true;
                    DisplayResult(1);
                    this.nHallICTestState = 4;
                    if (this.isEnabledHall_IC) {
                        this.mHallICPoint.setColor(-65536);
                        return;
                    }
                    return;
                }
                return;
            case 4:
                if (this.nCheckingCurrentFolderState == ModuleDevice.HallIC.FOLDER_STATE_OPEN) {
                    this.mIsReleasePass = true;
                    DisplayResult(2);
                    this.nHallICTestState = 17;
                    if (this.isEnabledHall_IC) {
                        this.mHallICPoint.setColor(-16777216);
                        return;
                    }
                    return;
                }
                return;
            default:
                return;
        }
    }

    public void CheckingFolderState2() {
        this.nCheckingCurrentFolderState2 = ModuleDevice.HallIC.getHallICState2();
        FtUtil.log_i(CLASS_NAME, "CheckingFolderState2", "nHallICTestState2: " + this.nHallICTestState2);
        switch (this.nHallICTestState2) {
            case 3:
                if (this.nCheckingCurrentFolderState2 == ModuleDevice.HallIC.FOLDER_STATE_CLOSE) {
                    this.mIsWorkingPass2 = true;
                    DisplayResult(6);
                    this.nHallICTestState2 = 4;
                    this.mHallICPoint2.setColor(-65536);
                    return;
                }
                return;
            case 4:
                if (this.nCheckingCurrentFolderState2 == ModuleDevice.HallIC.FOLDER_STATE_OPEN) {
                    this.mIsReleasePass2 = true;
                    DisplayResult(7);
                    this.nHallICTestState2 = 17;
                    this.mHallICPoint2.setColor(-16777216);
                    return;
                }
                return;
            default:
                return;
        }
    }

    public void CheckingFolderState_HallLess() {
        int hallLessState = getHallLessState();
        this.nCheckingHallLessState = hallLessState;
        switch (this.nHallICTestState2) {
            case 6000:
                if (hallLessState == 5001) {
                    DisplayResult(8);
                    this.nHallICTestState2 = 6001;
                    this.mHallICPoint2.setColor(-16777216);
                    return;
                }
                return;
            case 6001:
                if ("PASS".equals(this.arrState[15])) {
                    this.mIsWorkingPass2 = true;
                    DisplayResult(9);
                    this.nHallICTestState2 = 6002;
                    this.mHallICPoint2.setColor(-65536);
                    return;
                }
                return;
            case 6002:
                if ("PASS".equals(this.arrState[16]) && "PASS".equals(this.arrState[17])) {
                    this.mIsReleasePass2 = true;
                    DisplayResult(10);
                    this.nHallICTestState2 = 17;
                    this.mHallICPoint2.setColor(-16777216);
                    return;
                }
                return;
            default:
                return;
        }
    }

    private int getHallLessState() {
        try {
            String state_hallless = Support.Kernel.read(Support.Kernel.FLIP_COVER_DETECTOR_STATUS);
            FtUtil.log_i(CLASS_NAME, "getHallLessState", "state - hall Less ( " + state_hallless + " )");
            for (int i = 0; i < 18; i++) {
                this.arrState[i] = state_hallless.split(",")[i];
            }
            if ("ATTACH".equals(this.arrState[0])) {
                return 5000;
            }
            if ("DETACH".equals(this.arrState[0])) {
                return 5001;
            }
            return 5002;
        } catch (Exception e) {
            FtUtil.log_i(CLASS_NAME, "getHallLessState", "Exception");
            return 5002;
        }
    }

    public void CheckingFolderState3() {
        this.nCheckingCurrentFolderState3 = ModuleDevice.HallIC.getHallICState3();
        FtUtil.log_i(CLASS_NAME, "CheckingFolderState3", "nHallICTestState3: " + this.nHallICTestState3);
        switch (this.nHallICTestState3) {
            case 3:
                if (this.nCheckingCurrentFolderState3 == ModuleDevice.HallIC.FOLDER_STATE_CLOSE) {
                    this.mIsWorkingPass3 = true;
                    DisplayResult(12);
                    this.nHallICTestState3 = 4;
                    this.mHallICPoint3.setColor(-65536);
                    return;
                }
                return;
            case 4:
                if (this.nCheckingCurrentFolderState3 == ModuleDevice.HallIC.FOLDER_STATE_OPEN) {
                    this.mIsReleasePass3 = true;
                    DisplayResult(13);
                    this.nHallICTestState3 = 17;
                    this.mHallICPoint3.setColor(-16777216);
                    return;
                }
                return;
            default:
                return;
        }
    }

    public void CheckingFolderState4() {
        this.nCheckingCurrentFolderState4 = ModuleDevice.HallIC.getHallICState4();
        FtUtil.log_i(CLASS_NAME, "CheckingFolderState4", "nHallICTestState4: " + this.nHallICTestState4);
        switch (this.nHallICTestState4) {
            case 3:
                if (this.nCheckingCurrentFolderState4 == ModuleDevice.HallIC.FOLDER_STATE_CLOSE) {
                    this.mIsWorkingPass4 = true;
                    DisplayResult(15);
                    this.nHallICTestState4 = 4;
                    this.mHallICPoint4.setColor(-65536);
                    return;
                }
                return;
            case 4:
                if (this.nCheckingCurrentFolderState4 == ModuleDevice.HallIC.FOLDER_STATE_OPEN) {
                    this.mIsReleasePass4 = true;
                    DisplayResult(16);
                    this.nHallICTestState4 = 17;
                    this.mHallICPoint4.setColor(-16777216);
                    return;
                }
                return;
            default:
                return;
        }
    }

    private void DisplayPopup(String s) {
        this.isPopup = true;
        FactoryTestDialog diag = new FactoryTestDialog(this, "", s, this.mHandler, 1);
        diag.setClassName(CLASS_NAME);
        diag.show();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void HallICTestInit() {
        int i;
        int i2;
        int i3;
        int i4;
        this.mHallIcTestTable = (TableLayout) findViewById(R.id.hallic_test_table);
        this.mHallIcTestView = (TextView) findViewById(R.id.hallic_test);
        this.mWorkingTextView = (TextView) findViewById(R.id.working_text);
        this.mReleaseTextView = (TextView) findViewById(R.id.release_text);
        this.mHallIcTestView2 = (TextView) findViewById(R.id.hallic_test2);
        this.mWorkingTextView2 = (TextView) findViewById(R.id.working_text2);
        this.mReleaseTextView2 = (TextView) findViewById(R.id.release_text2);
        this.mHallIcTestView3 = (TextView) findViewById(R.id.hallic_test3);
        this.mWorkingTextView3 = (TextView) findViewById(R.id.working_text3);
        this.mReleaseTextView3 = (TextView) findViewById(R.id.release_text3);
        this.mHallIcTestView4 = (TextView) findViewById(R.id.hallic_test4);
        this.mWorkingTextView4 = (TextView) findViewById(R.id.working_text4);
        this.mReleaseTextView4 = (TextView) findViewById(R.id.release_text4);
        this.mHallIcTestIndex1 = (TextView) findViewById(R.id.hallic_1st);
        this.mHallIcTestIndex2 = (TextView) findViewById(R.id.hallic_2nd);
        this.mHallIcTestIndex3 = (TextView) findViewById(R.id.hallic_3rd);
        this.mHallIcTestIndex4 = (TextView) findViewById(R.id.hallic_4th);
        this.mHallICPoint = (HallICPoint) findViewById(R.id.hallicpoint);
        this.mHallICPoint2 = (HallICPoint) findViewById(R.id.hallicpoint2);
        this.mHallICPoint3 = (HallICPoint) findViewById(R.id.hallicpoint3);
        this.mHallICPoint4 = (HallICPoint) findViewById(R.id.hallicpoint4);
        Button button = (Button) findViewById(R.id.button_exit);
        this.button_exit = button;
        button.setOnClickListener(this);
        Button button2 = (Button) findViewById(R.id.exit);
        this.mBtnExit = button2;
        button2.setOnClickListener(this);
        this.mHallICExitButton = (LinearLayout) findViewById(R.id.button_layout);
        String buttonGravity = Support.TestCase.getString(Support.TestCase.HALLIC_TEST_EXIT_BUTTON_GRAVITY);
        if ("CENTER".equals(buttonGravity)) {
            this.mHallICExitButton.setGravity(17);
        } else if ("LEFT".equals(buttonGravity)) {
            this.mHallICExitButton.setGravity(3);
        } else if ("RIGHT".equals(buttonGravity)) {
            this.mHallICExitButton.setGravity(5);
        }
        this.button_exit.setVisibility(8);
        int viewStartY = Integer.valueOf(Support.TestCase.getString(Support.TestCase.HALL_IC_TEST)).intValue();
        if (viewStartY != 0) {
            this.mHallIcTestTable.setGravity(51);
            this.mHallIcTestView.setPadding(0, viewStartY, 0, 0);
        }
        if (this.isEnabledHall_IC) {
            this.resolution_width = (float) getResources().getDisplayMetrics().widthPixels;
            this.resolution_height = (float) getResources().getDisplayMetrics().heightPixels;
            PointF point = Support.TestCase.getViewPointF(Support.TestCase.HALL_IC_TEST);
            float pxX = point.x;
            float pxY = point.y;
            float radius = Float.parseFloat(Support.TestCase.getAttribute(Support.TestCase.HALL_IC_TEST, "radius", "5"));
            String unit = Support.TestCase.getAttribute(Support.TestCase.HALL_IC_TEST, "unit", "mm");
            FtUtil.log_d(CLASS_NAME, "HallICTestInit", "unit: " + unit);
            if ("mm".equalsIgnoreCase(unit)) {
                i4 = 5;
                pxX = TypedValue.applyDimension(5, point.x, getResources().getDisplayMetrics());
                pxY = TypedValue.applyDimension(5, point.y, getResources().getDisplayMetrics());
            } else {
                i4 = 5;
            }
            float radius2 = TypedValue.applyDimension(i4, radius, getResources().getDisplayMetrics());
            if (pxY < -1.0f * radius2) {
                this.mHallICPoint.setVisibility(0);
            } else if (pxY - radius2 > this.resolution_height) {
                this.mHallICPoint.setVisibility(0);
            } else {
                this.mHallICPoint.setVisibility(0);
            }
            this.mHallICPoint.setRadius(radius2);
            this.mHallICPoint.setPoint(pxX, pxY);
            this.mHallICPoint.setNumber(EgisFingerprint.MAJOR_VERSION);
            FtUtil.log_i(CLASS_NAME, "HallICTestInit", "radius = " + radius2);
            FtUtil.log_i(CLASS_NAME, "HallICTestInit", "pxX = " + pxX);
            FtUtil.log_i(CLASS_NAME, "HallICTestInit", "pxY = " + pxY);
        } else {
            this.mHallIcTestIndex1.setVisibility(8);
            this.mHallIcTestView.setVisibility(8);
            this.mWorkingTextView.setVisibility(8);
            this.mReleaseTextView.setVisibility(8);
            ((TextView) findViewById(R.id.working_title)).setVisibility(8);
            ((TextView) findViewById(R.id.release_title)).setVisibility(8);
            this.mIsReleasePass = true;
            this.mIsWorkingPass = true;
        }
        if (this.isEnabledHall_IC_2nd) {
            this.mHallICPoint2.setVisibility(0);
            if (this.isHallLess) {
                for (int i5 = 0; i5 < 18; i5++) {
                    this.arrState[i5] = "";
                }
                this.nHallICTestState2 = 6000;
                this.mAbcdDataTextView1 = (TextView) findViewById(R.id.mabcd_data1);
                this.mAbcdDataTextView2 = (TextView) findViewById(R.id.mabcd_data2);
                this.mAbcdDataTextView3 = (TextView) findViewById(R.id.mabcd_data3);
                this.mAbcdDataTextView4 = (TextView) findViewById(R.id.mabcd_data4);
            }
            PointF point2 = Support.TestCase.getViewPointF(Support.TestCase.HALL_IC_TEST_2ND);
            float pxX2 = point2.x;
            float pxY2 = point2.y;
            float radius3 = Float.parseFloat(Support.TestCase.getAttribute(Support.TestCase.HALL_IC_TEST_2ND, "radius", "5"));
            String unit2 = Support.TestCase.getAttribute(Support.TestCase.HALL_IC_TEST_2ND, "unit", "mm");
            FtUtil.log_d(CLASS_NAME, "HallICTestInit", "unit2: " + unit2);
            if ("mm".equalsIgnoreCase(unit2)) {
                i3 = 5;
                pxX2 = TypedValue.applyDimension(5, point2.x, getResources().getDisplayMetrics());
                pxY2 = TypedValue.applyDimension(5, point2.y, getResources().getDisplayMetrics());
            } else {
                i3 = 5;
            }
            float radius4 = TypedValue.applyDimension(i3, radius3, getResources().getDisplayMetrics());
            this.mHallICPoint2.setRadius(radius4);
            this.mHallICPoint2.setPoint(pxX2, pxY2);
            this.mHallICPoint2.setNumber("2");
            FtUtil.log_i(CLASS_NAME, "HallICTestInit", "radius2 = " + radius4);
            FtUtil.log_i(CLASS_NAME, "HallICTestInit", "pxX2 = " + pxX2);
            FtUtil.log_i(CLASS_NAME, "HallICTestInit", "pxY2 = " + pxY2);
        } else {
            this.mHallIcTestIndex2.setVisibility(8);
            this.mHallIcTestView2.setVisibility(8);
            this.mWorkingTextView2.setVisibility(8);
            this.mReleaseTextView2.setVisibility(8);
            ((TextView) findViewById(R.id.working_title2)).setVisibility(8);
            ((TextView) findViewById(R.id.release_title2)).setVisibility(8);
            this.mIsReleasePass2 = true;
            this.mIsWorkingPass2 = true;
        }
        if (this.isEnabledHall_IC_3rd) {
            this.mHallICPoint3.setVisibility(0);
            PointF point3 = Support.TestCase.getViewPointF(Support.TestCase.HALL_IC_TEST_3RD);
            float pxX3 = point3.x;
            float pxY3 = point3.y;
            float radius5 = Float.parseFloat(Support.TestCase.getAttribute(Support.TestCase.HALL_IC_TEST_3RD, "radius", "5"));
            String unit3 = Support.TestCase.getAttribute(Support.TestCase.HALL_IC_TEST_3RD, "unit", "mm");
            FtUtil.log_d(CLASS_NAME, "HallICTestInit", "unit3: " + unit3);
            if ("mm".equalsIgnoreCase(unit3)) {
                i2 = 5;
                pxX3 = TypedValue.applyDimension(5, point3.x, getResources().getDisplayMetrics());
                pxY3 = TypedValue.applyDimension(5, point3.y, getResources().getDisplayMetrics());
            } else {
                i2 = 5;
            }
            float radius6 = TypedValue.applyDimension(i2, radius5, getResources().getDisplayMetrics());
            this.mHallICPoint3.setRadius(radius6);
            this.mHallICPoint3.setPoint(pxX3, pxY3);
            this.mHallICPoint3.setNumber(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION);
            FtUtil.log_i(CLASS_NAME, "HallICTestInit", "radius3 = " + radius6);
            FtUtil.log_i(CLASS_NAME, "HallICTestInit", "pxX3 = " + pxX3);
            FtUtil.log_i(CLASS_NAME, "HallICTestInit", "pxY3 = " + pxY3);
        } else {
            this.mHallIcTestIndex3.setVisibility(8);
            this.mHallIcTestView3.setVisibility(8);
            this.mWorkingTextView3.setVisibility(8);
            this.mReleaseTextView3.setVisibility(8);
            ((TextView) findViewById(R.id.working_title3)).setVisibility(8);
            ((TextView) findViewById(R.id.release_title3)).setVisibility(8);
            this.mIsReleasePass3 = true;
            this.mIsWorkingPass3 = true;
        }
        if (this.isEnabledHall_IC_4th) {
            this.mHallICPoint4.setVisibility(0);
            PointF point4 = Support.TestCase.getViewPointF(Support.TestCase.HALL_IC_TEST_4TH);
            float pxX4 = point4.x;
            float pxY4 = point4.y;
            float radius7 = Float.parseFloat(Support.TestCase.getAttribute(Support.TestCase.HALL_IC_TEST_4TH, "radius", "5"));
            String unit4 = Support.TestCase.getAttribute(Support.TestCase.HALL_IC_TEST_4TH, "unit", "mm");
            FtUtil.log_d(CLASS_NAME, "HallICTestInit", "unit4: " + unit4);
            if ("mm".equalsIgnoreCase(unit4)) {
                i = 5;
                pxX4 = TypedValue.applyDimension(5, point4.x, getResources().getDisplayMetrics());
                pxY4 = TypedValue.applyDimension(5, point4.y, getResources().getDisplayMetrics());
            } else {
                i = 5;
            }
            float radius8 = TypedValue.applyDimension(i, radius7, getResources().getDisplayMetrics());
            this.mHallICPoint4.setRadius(radius8);
            this.mHallICPoint4.setPoint(pxX4, pxY4);
            this.mHallICPoint4.setNumber("4");
            FtUtil.log_i(CLASS_NAME, "HallICTestInit", "radius4 = " + radius8);
            FtUtil.log_i(CLASS_NAME, "HallICTestInit", "pxX4 = " + pxX4);
            FtUtil.log_i(CLASS_NAME, "HallICTestInit", "pxY4 = " + pxY4);
        } else {
            this.mHallIcTestIndex4.setVisibility(8);
            this.mHallIcTestView4.setVisibility(8);
            this.mWorkingTextView4.setVisibility(8);
            this.mReleaseTextView4.setVisibility(8);
            ((TextView) findViewById(R.id.working_title4)).setVisibility(8);
            ((TextView) findViewById(R.id.release_title4)).setVisibility(8);
            this.mIsReleasePass4 = true;
            this.mIsWorkingPass4 = true;
        }
        this.mModuleDevice = ModuleDevice.instance(this);
        this.nHallICTestState = 0;
        if (Support.Feature.getBoolean(Support.Feature.SUPPORT_DUAL_LCD_FOLDER) || Support.Feature.getBoolean(Support.Feature.SUPPORT_BOOK_COVER)) {
            this.nHallICTestState = 3;
        }
        this._timer = new CountDownTimer(1000, 1000) {
            /* class com.sec.factory.app.ui.UiHallICTest.AnonymousClass5 */

            public void onTick(long millisUntilFinished) {
            }

            public void onFinish() {
                FtUtil.log_i(UiHallICTest.CLASS_NAME, "onFinish", "onFinish Countdown Timer End");
                UiHallICTest.this.mIsPressedBackkey = false;
                UiHallICTest.this.mModuleDevice.stopVibrate();
                UiHallICTest.this.finish();
            }
        };
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void DisplayResult(int nCurrentTest) {
        FtUtil.log_i(CLASS_NAME, "DisplayResult", " mIsWorkingPass = " + this.mIsWorkingPass + ", mIsReleasePass : " + this.mIsReleasePass + " mIsWorkingPass2 = " + this.mIsWorkingPass2 + ", mIsReleasePass2 : " + this.mIsReleasePass2 + " mIsWorkingPass3 = " + this.mIsWorkingPass3 + ", mIsReleasePass3 : " + this.mIsReleasePass3 + " mIsWorkingPass4 = " + this.mIsWorkingPass4 + ", mIsReleasePass4 : " + this.mIsReleasePass4);
        StringBuilder sb = new StringBuilder();
        sb.append("nCurrentTest = ");
        sb.append(nCurrentTest);
        FtUtil.log_i(CLASS_NAME, "DisplayResult", sb.toString());
        if (this.is2HallICWorking) {
            FtUtil.log_i(CLASS_NAME, "DisplayResult", "is2HallICWorking");
            this.is2HallICWorking = false;
            stopTimer();
            DisplayPopup("More than 2 Hall IC are working");
            this.nHallICTestState = 0;
            this.nHallICTestState2 = 3;
            this.mIsWorkingPass = false;
            this.mIsReleasePass = false;
            this.mIsWorkingPass2 = false;
            this.mIsReleasePass2 = false;
            this.mIsWorkingPass3 = false;
            this.mIsReleasePass3 = false;
            this.mIsWorkingPass4 = false;
            this.mIsReleasePass4 = false;
            this.mWorkingTextView.setText("");
            this.mReleaseTextView.setText("");
            this.mWorkingTextView2.setText("");
            this.mReleaseTextView2.setText("");
            this.mWorkingTextView3.setText("");
            this.mReleaseTextView3.setText("");
            this.mWorkingTextView4.setText("");
            this.mReleaseTextView4.setText("");
            if (this.isHallLess) {
                this.nHallICTestState2 = 6000;
                this.mAbcdDataTextView1.setText("");
                this.mAbcdDataTextView2.setText("");
                this.mAbcdDataTextView3.setText("");
                this.mAbcdDataTextView4.setText("");
            }
            this.mHallICPoint.setColor(-16777216);
            this.mHallICPoint2.setColor(-16777216);
            this.mHallICPoint3.setColor(-16777216);
            this.mHallICPoint4.setColor(-16777216);
        } else if (!this.mIsHallICTestAllPass) {
            if (nCurrentTest == 1) {
                if (this.mIsWorkingPass) {
                    this.mWorkingTextView.setText("PASS");
                    this.mWorkingTextView.setTextColor(FONT_COLOR_PASS);
                    this.mModuleDevice.stopVibrate();
                    this.mModuleDevice.startVibrate(700);
                } else {
                    this.mWorkingTextView.setText("FAIL");
                    this.mWorkingTextView.setTextColor(-65536);
                }
            }
            if (nCurrentTest == 2) {
                if (this.mIsReleasePass) {
                    this.mReleaseTextView.setText("PASS");
                    this.mReleaseTextView.setTextColor(FONT_COLOR_PASS);
                    this.mModuleDevice.stopVibrate();
                    this.mModuleDevice.startVibrate(700);
                } else {
                    this.mReleaseTextView.setText("FAIL");
                    this.mReleaseTextView.setTextColor(-65536);
                }
            }
            if (nCurrentTest == 6) {
                if (this.mIsWorkingPass2) {
                    this.mWorkingTextView2.setText("PASS");
                    this.mWorkingTextView2.setTextColor(FONT_COLOR_PASS);
                    this.mModuleDevice.stopVibrate();
                    this.mModuleDevice.startVibrate(700);
                } else {
                    this.mWorkingTextView2.setText("FAIL");
                    this.mWorkingTextView2.setTextColor(-65536);
                }
            }
            if (nCurrentTest == 7) {
                if (this.mIsReleasePass2) {
                    this.mReleaseTextView2.setText("PASS");
                    this.mReleaseTextView2.setTextColor(FONT_COLOR_PASS);
                    this.mModuleDevice.stopVibrate();
                    this.mModuleDevice.startVibrate(700);
                } else {
                    this.mReleaseTextView2.setText("FAIL");
                    this.mReleaseTextView2.setTextColor(-65536);
                }
            }
            if (nCurrentTest == 8) {
                setmABCDData();
            }
            if (nCurrentTest == 9) {
                setmABCDData();
                if (this.mIsWorkingPass2) {
                    this.mWorkingTextView2.setText("PASS");
                    this.mWorkingTextView2.setTextColor(FONT_COLOR_PASS);
                    this.mModuleDevice.stopVibrate();
                    this.mModuleDevice.startVibrate(700);
                } else {
                    this.mWorkingTextView2.setText("FAIL");
                    this.mWorkingTextView2.setTextColor(-65536);
                }
            }
            if (nCurrentTest == 10) {
                setmABCDData();
                if (this.mIsReleasePass2) {
                    this.mReleaseTextView2.setText("PASS");
                    this.mReleaseTextView2.setTextColor(FONT_COLOR_PASS);
                    this.mModuleDevice.stopVibrate();
                    this.mModuleDevice.startVibrate(700);
                } else {
                    this.mReleaseTextView2.setText("FAIL");
                    this.mReleaseTextView2.setTextColor(-65536);
                }
            }
            if (nCurrentTest == 12) {
                if (this.mIsWorkingPass3) {
                    this.mWorkingTextView3.setText("PASS");
                    this.mWorkingTextView3.setTextColor(FONT_COLOR_PASS);
                    this.mModuleDevice.stopVibrate();
                    this.mModuleDevice.startVibrate(700);
                } else {
                    this.mWorkingTextView3.setText("FAIL");
                    this.mWorkingTextView3.setTextColor(-65536);
                }
            }
            if (nCurrentTest == 13) {
                if (this.mIsReleasePass3) {
                    this.mReleaseTextView3.setText("PASS");
                    this.mReleaseTextView3.setTextColor(FONT_COLOR_PASS);
                    this.mModuleDevice.stopVibrate();
                    this.mModuleDevice.startVibrate(700);
                } else {
                    this.mReleaseTextView3.setText("FAIL");
                    this.mReleaseTextView3.setTextColor(-65536);
                }
            }
            if (nCurrentTest == 15) {
                if (this.mIsWorkingPass4) {
                    this.mWorkingTextView4.setText("PASS");
                    this.mWorkingTextView4.setTextColor(FONT_COLOR_PASS);
                    this.mModuleDevice.stopVibrate();
                    this.mModuleDevice.startVibrate(700);
                } else {
                    this.mWorkingTextView4.setText("FAIL");
                    this.mWorkingTextView4.setTextColor(-65536);
                }
            }
            if (nCurrentTest == 16) {
                if (this.mIsReleasePass4) {
                    this.mReleaseTextView4.setText("PASS");
                    this.mReleaseTextView4.setTextColor(FONT_COLOR_PASS);
                    this.mModuleDevice.stopVibrate();
                    this.mModuleDevice.startVibrate(700);
                } else {
                    this.mReleaseTextView4.setText("FAIL");
                    this.mReleaseTextView4.setTextColor(-65536);
                }
            }
            if (this.mIsWorkingPass && this.mIsWorkingPass2 && this.mIsWorkingPass3 && this.mIsWorkingPass4 && this.mIsReleasePass && this.mIsReleasePass2 && this.mIsReleasePass3 && this.mIsReleasePass4) {
                this.mIsHallICTestAllPass = true;
                setResult(-1);
                setTestResult((byte) 80);
                onExit();
            }
        }
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onConfigurationChanged(Configuration newConfig) {
        super.onConfigurationChanged(newConfig);
        FtUtil.log_i(CLASS_NAME, "onConfigurationChanged", "onConfigurationChanged");
        CheckingFolderState();
    }

    private String readOneLine(String filepath) {
        String result = "";
        BufferedReader buf = null;
        FtUtil.log_i(CLASS_NAME, "readOneLine", "filepath: " + filepath);
        try {
            BufferedReader buf2 = new BufferedReader(new FileReader(filepath), 8096);
            result = buf2.readLine();
            if (result != null) {
                result = result.trim();
            }
            try {
                buf2.close();
            } catch (IOException e) {
                e.printStackTrace();
            }
        } catch (IOException e2) {
            e2.printStackTrace();
            if (0 != 0) {
                buf.close();
            }
        } catch (Throwable th) {
            if (0 != 0) {
                try {
                    buf.close();
                } catch (IOException e3) {
                    e3.printStackTrace();
                }
            }
            throw th;
        }
        if (result == null) {
            return "";
        }
        return result;
    }

    /* access modifiers changed from: protected */
    public void onSaveInstanceState(Bundle outState) {
        super.onSaveInstanceState(outState);
        FtUtil.log_i(CLASS_NAME, "onSaveInstanceState", "putInt State:" + this.nHallICTestState);
        outState.putInt("nHallICTestState", this.nHallICTestState);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onRestoreInstanceState(Bundle savedInstanceState) {
        super.onRestoreInstanceState(savedInstanceState);
        FtUtil.log_i(CLASS_NAME, "onRestoreInstanceState", "now State:" + this.nHallICTestState);
        this.nHallICTestState = savedInstanceState.getInt("nHallICTestState");
        FtUtil.log_i(CLASS_NAME, "onRestoreInstanceState", "getInt State:" + this.nHallICTestState);
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.button_exit:
            case R.id.exit:
                finish();
                return;
            default:
                return;
        }
    }

    private void setmABCDData() {
        if ("0".equals(this.arrState[1])) {
            this.mAbcdDataTextView1.setText(this.arrState[3]);
            this.mAbcdDataTextView2.setText(this.arrState[4]);
            this.mAbcdDataTextView3.setText(this.arrState[5]);
            this.mAbcdDataTextView4.setText(this.arrState[6]);
        } else if (EgisFingerprint.MAJOR_VERSION.equals(this.arrState[1])) {
            this.mAbcdDataTextView1.setText(this.arrState[7]);
            this.mAbcdDataTextView2.setText(this.arrState[8]);
            this.mAbcdDataTextView3.setText(this.arrState[9]);
            this.mAbcdDataTextView4.setText(this.arrState[10]);
        } else if ("2".equals(this.arrState[1])) {
            this.mAbcdDataTextView1.setText(this.arrState[11]);
            this.mAbcdDataTextView2.setText(this.arrState[12]);
            this.mAbcdDataTextView3.setText(this.arrState[13]);
            this.mAbcdDataTextView4.setText(this.arrState[14]);
        } else {
            this.mAbcdDataTextView1.setText("ERROR");
            this.mAbcdDataTextView2.setText("ERROR");
            this.mAbcdDataTextView3.setText("ERROR");
            this.mAbcdDataTextView4.setText("ERROR");
        }
    }

    private class MagSensorEventListener implements SensorEventListener {
        private MagSensorEventListener() {
        }

        public void onSensorChanged(SensorEvent sensorEvent) {
        }

        public void onAccuracyChanged(Sensor sensor, int i) {
        }
    }
}
