package com.sec.factory.app.ui;

import android.content.SharedPreferences;
import android.os.Bundle;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.modules.ModuleCommunicationService;
import com.sec.factory.support.FtUtil;

public class UiTeachingTest extends UIBase {
    protected static final String CLASS_NAME = "UiTeachingTest";
    private SharedPreferences.Editor editor;
    private SharedPreferences.Editor editor_spen;
    private TeachingTestCircleView mTeachingTestPoint;
    private TeachingTestCircleView mTeachingTestRedPoint;
    private float mTouchedX = 0.0f;
    private float mTouchedY = 0.0f;
    private TextView mX_TextView;
    private TextView mY_TextView;
    private SharedPreferences prefLastTouchPoint;
    private SharedPreferences prefLastTouchPoint_spen;
    private float r = 0.0f;
    private float touch_R = 0.0f;
    private float x = 0.0f;
    private float y = 0.0f;

    public UiTeachingTest() {
        super(CLASS_NAME);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        FtUtil.log_i(CLASS_NAME, "onCreate", null);
        super.onCreate(savedInstanceState);
        FtUtil.setRemoveSystemUI(getWindow(), true);
        setContentView(R.layout.ui_teaching_test);
        TeachingTestInit();
        SharedPreferences sharedPreferences = getSharedPreferences("LAST_TOUCHED_POINT", 0);
        this.prefLastTouchPoint = sharedPreferences;
        this.editor = sharedPreferences.edit();
        SharedPreferences sharedPreferences2 = getSharedPreferences("LAST_SPEN_TOUCHED_POINT", 0);
        this.prefLastTouchPoint_spen = sharedPreferences2;
        this.editor_spen = sharedPreferences2.edit();
    }

    private void TeachingTestInit() {
        this.mX_TextView = (TextView) findViewById(R.id.x_text);
        this.mY_TextView = (TextView) findViewById(R.id.y_text);
        this.mTeachingTestPoint = (TeachingTestCircleView) findViewById(R.id.teaching_point);
        this.mTeachingTestRedPoint = (TeachingTestCircleView) findViewById(R.id.teaching_red_point);
        this.x = getIntent().getFloatExtra("X", -1.0f);
        this.y = getIntent().getFloatExtra("Y", -1.0f);
        this.r = getIntent().getFloatExtra("R", -1.0f);
        FtUtil.log_i(CLASS_NAME, "TeachingTest", "X = " + this.x);
        FtUtil.log_i(CLASS_NAME, "TeachingTest", "Y = " + this.y);
        FtUtil.log_i(CLASS_NAME, "TeachingTest", "radius = " + this.r);
        this.mTeachingTestPoint.setPoint(this.x, this.y, this.r * 10.0f, -1);
        this.mTeachingTestPoint.setVisibility(0);
        TextView textView = this.mX_TextView;
        textView.setText(" " + this.x);
        TextView textView2 = this.mY_TextView;
        textView2.setText(" " + this.y);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        this.editor.putString("LAST_TOUCHED", ModuleCommunicationService.SMD_NOK);
        this.editor.commit();
        this.editor_spen.putString("SPEN_LAST_TOUCHED", ModuleCommunicationService.SMD_NOK);
        this.editor_spen.commit();
        super.onPause();
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
    }

    public boolean onTouchEvent(MotionEvent event) {
        int action = event.getAction();
        this.touch_R = this.r * 10.0f;
        if (event.getToolType(0) == 2) {
            drawByEvent(event);
            return true;
        }
        switch (action) {
            case 0:
                this.mTouchedX = event.getX();
                this.mTouchedY = event.getY();
                SharedPreferences.Editor editor2 = this.editor;
                editor2.putString("LAST_TOUCHED", String.valueOf((int) this.mTouchedX) + "," + String.valueOf((int) this.mTouchedY));
                this.editor.commit();
                this.mTeachingTestRedPoint.setPoint(this.mTouchedX, this.mTouchedY, this.touch_R / 4.0f, -65536);
                this.mTeachingTestRedPoint.setVisibility(0);
                break;
            case 1:
                this.editor.putString("LAST_TOUCHED", ModuleCommunicationService.SMD_NOK);
                this.editor.commit();
                break;
        }
        return true;
    }

    private void drawByEvent(MotionEvent event) {
        switch (event.getAction()) {
            case 0:
                this.mTouchedX = event.getX();
                this.mTouchedY = event.getY();
                FtUtil.log_i(CLASS_NAME, "Spenxxxx", "X = " + this.mTouchedX + "Y = " + this.mTouchedY);
                SharedPreferences.Editor editor2 = this.editor_spen;
                editor2.putString("SPEN_LAST_TOUCHED", String.valueOf((int) this.mTouchedX) + "," + String.valueOf((int) this.mTouchedY));
                this.editor_spen.commit();
                this.mTeachingTestRedPoint.setPoint(this.mTouchedX, this.mTouchedY, this.touch_R / 4.0f, -65536);
                this.mTeachingTestRedPoint.setVisibility(0);
                return;
            case 1:
                this.editor_spen.putString("SPEN_LAST_TOUCHED", ModuleCommunicationService.SMD_NOK);
                this.editor_spen.commit();
                return;
            default:
                return;
        }
    }

    public void finish() {
        super.finish();
    }

    /* access modifiers changed from: protected */
    public void onStop() {
        super.onStop();
        finish();
    }

    @Override // com.sec.factory.app.ui.UIBase
    public boolean onKeyDown(int keyCode, KeyEvent event) {
        FtUtil.log_i(CLASS_NAME, "onKeyDown", "keycode: " + String.valueOf(keyCode));
        if (keyCode == 24) {
            finish();
        }
        return super.onKeyDown(keyCode, event);
    }
}
