package com.sec.factory.app.ui;

import android.app.Service;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.ServiceConnection;
import android.os.Handler;
import android.os.IBinder;
import android.os.Message;
import com.sec.factory.app.ui.AlwaysMicOnSoundTriggerService;
import com.sec.factory.modules.ModuleAudio;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.modules.ModulePower;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.optical.client.api.EgisFingerprint;
import java.io.File;
import java.util.UUID;
import java.util.regex.Pattern;

public class VoiceAlwaysWakeOnTest extends Service implements AlwaysMicOnSoundTriggerService.UserActivity {
    private static final int AUDIO_PERMISSIONS_REQUEST = 1;
    private static final String CLASS_NAME = "VoiceAlwaysWakeOnTest";
    private static final String NG_WAITING = "NG_WAITING";
    private static final String WDSP_COUNT_STR = "100";
    private static final String WDSP_DELAY_STR = "5";
    public static final int WHAT_TEST_FINISH = 1004;
    public static final int WHAT_TEST_LCD_ON = 1003;
    public static final int WHAT_TEST_PLAY_SOUND = 1002;
    public static final int WHAT_TEST_PLAY_START = 1001;
    protected static ModuleAudio mModuleAudio = null;
    protected static ModuleDevice mModuleDevice = null;
    protected static ModulePower mModulePower = null;
    private static UUID mSelectedModelUuid = null;
    private ServiceConnection mConnection = new ServiceConnection() {
        /* class com.sec.factory.app.ui.VoiceAlwaysWakeOnTest.AnonymousClass2 */

        public void onServiceConnected(ComponentName className, IBinder service) {
            synchronized (VoiceAlwaysWakeOnTest.this) {
                VoiceAlwaysWakeOnTest.this.mService = ((AlwaysMicOnSoundTriggerService.SoundTriggerTestBinder) service).getService();
                VoiceAlwaysWakeOnTest.this.mService.setUserActivity(VoiceAlwaysWakeOnTest.this);
            }
        }

        public void onServiceDisconnected(ComponentName arg0) {
            synchronized (VoiceAlwaysWakeOnTest.this) {
                VoiceAlwaysWakeOnTest.this.mService.setUserActivity(null);
                VoiceAlwaysWakeOnTest.this.mService = null;
            }
        }
    };
    private Context mContext;
    public Handler mHandler = new Handler() {
        /* class com.sec.factory.app.ui.VoiceAlwaysWakeOnTest.AnonymousClass1 */

        public void handleMessage(Message msg) {
            switch (msg.what) {
                case 1001:
                    VoiceAlwaysWakeOnTest.this.enable();
                    VoiceAlwaysWakeOnTest.mModulePower.doPartialWakeLock(true);
                    VoiceAlwaysWakeOnTest.mModulePower.doWakeLock(false);
                    VoiceAlwaysWakeOnTest.mModulePower.setScreenState(false);
                    VoiceAlwaysWakeOnTest.this.mHandler.sendEmptyMessageDelayed(1002, 1500);
                    return;
                case 1002:
                    VoiceAlwaysWakeOnTest.this.checkCodec();
                    VoiceAlwaysWakeOnTest.this.mHandler.sendEmptyMessage(1003);
                    return;
                case 1003:
                    VoiceAlwaysWakeOnTest.this.lcdOn();
                    VoiceAlwaysWakeOnTest.this.mHandler.sendEmptyMessageDelayed(1004, 500);
                    return;
                case 1004:
                    VoiceAlwaysWakeOnTest.this.endTest();
                    VoiceAlwaysWakeOnTest.this.onDestroy();
                    return;
                default:
                    return;
            }
        }
    };
    private boolean mIsEndTestCalled = false;
    private String mModelName = null;
    private int mOldVolume;
    private AlwaysMicOnSoundTriggerService mService = null;

    public IBinder onBind(Intent arg0) {
        return null;
    }

    public void onDestroy() {
        AlwaysMicOnSoundTriggerService alwaysMicOnSoundTriggerService = this.mService;
        if (alwaysMicOnSoundTriggerService != null) {
            alwaysMicOnSoundTriggerService.setUserActivity(null);
            this.mContext.unbindService(this.mConnection);
            this.mService = null;
        }
        stopService(new Intent(this.mContext, AlwaysMicOnSoundTriggerService.class));
        FtUtil.log_i(CLASS_NAME, "onDestroy");
        if (!this.mIsEndTestCalled) {
            FtUtil.log_d(CLASS_NAME, "onDestroy", "endTest is not called");
            endTest();
        }
        super.onDestroy();
    }

    public int onStartCommand(Intent intent, int flags, int startId) {
        FtUtil.log_i(CLASS_NAME, "onStartCommand", "");
        this.mContext = getApplicationContext();
        initDataFile();
        initialize();
        return super.onStartCommand(intent, flags, startId);
    }

    private void initialize() {
        ModulePower modulePower = mModulePower;
        if (modulePower == null) {
            modulePower = ModulePower.instance(this.mContext);
        }
        mModulePower = modulePower;
        ModuleAudio moduleAudio = mModuleAudio;
        if (moduleAudio == null) {
            moduleAudio = ModuleAudio.instance(this.mContext);
        }
        mModuleAudio = moduleAudio;
        ModuleDevice moduleDevice = mModuleDevice;
        if (moduleDevice == null) {
            moduleDevice = ModuleDevice.instance(this.mContext);
        }
        mModuleDevice = moduleDevice;
        if (mModuleAudio.isEarphonePlugged()) {
            mModuleAudio.setAudioPath(0);
        }
        this.mOldVolume = mModuleAudio.getStreamMusicVolume();
        FtUtil.log_i(CLASS_NAME, "initialize", "mOldVolume = " + this.mOldVolume);
        mModuleAudio.setStreamMusicVolume(Support.Spec.getInt(Support.Spec.ALWAYSON_MIC_VOLUME));
        this.mContext.startService(new Intent(this.mContext, AlwaysMicOnSoundTriggerService.class));
        this.mContext.bindService(new Intent(this.mContext, AlwaysMicOnSoundTriggerService.class), this.mConnection, 1);
        this.mHandler.sendEmptyMessageDelayed(1001, 500);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void enable() {
        AlwaysMicOnSoundTriggerService alwaysMicOnSoundTriggerService = this.mService;
        if (alwaysMicOnSoundTriggerService == null) {
            FtUtil.log_i(CLASS_NAME, "Could not load sound model: not bound to AlwaysMicOnSoundTriggerService");
        } else {
            alwaysMicOnSoundTriggerService.loadModel(mSelectedModelUuid);
        }
    }

    private void disable() {
        AlwaysMicOnSoundTriggerService alwaysMicOnSoundTriggerService = this.mService;
        if (alwaysMicOnSoundTriggerService == null) {
            FtUtil.log_i(CLASS_NAME, "Can't stop recognition: not bound to AlwaysMicOnSoundTriggerService");
        } else {
            alwaysMicOnSoundTriggerService.stopRecognition(mSelectedModelUuid);
            this.mService.unloadModel(mSelectedModelUuid);
        }
        mModuleAudio.setAudioPath(4);
    }

    private void initDataFile() {
        File vaDataFile = new File("data/log/VA_Data.log");
        Support.Kernel.writeToPathNsync(vaDataFile.getPath(), "");
        Support.Kernel.writeToPathNsync(vaDataFile.getPath(), String.format("%s", NG_WAITING));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void checkCodec() {
        Support.Kernel.write(Support.Kernel.AUDIO_CODEC_VA_WDSP_COUNT, "100");
        Support.Kernel.write(Support.Kernel.AUDIO_CODEC_VA_WDSP_DELAY, WDSP_DELAY_STR);
        String state = Support.Kernel.read(Support.Kernel.AUDIO_CODEC_VA_WDSP_STATE);
        StringBuffer result = new StringBuffer();
        boolean[] isOK = new boolean[4];
        if (state != null) {
            if (!state.contains(WDSP_DELAY_STR) || !state.contains(EgisFingerprint.JAR_VERSION)) {
                FtUtil.log_d(CLASS_NAME, "checkCodec", FtUtil.setMspSeqMessage(3, "CODECCHK", "Fail - state does not contains 05 or 09"));
            } else {
                isOK[0] = true;
            }
            if (!state.contains("0")) {
                isOK[1] = true;
            } else {
                FtUtil.log_d(CLASS_NAME, "checkCodec", FtUtil.setMspSeqMessage(3, "CODECCHK", "Fail - state contains 00"));
            }
            if (Pattern.matches("[159]{100}$", state)) {
                isOK[2] = true;
            } else {
                FtUtil.log_d(CLASS_NAME, "checkCodec", FtUtil.setMspSeqMessage(3, "CODECCHK", "Fail - state contains other value excluded 01,05,09 or length is not 100"));
            }
            char check = 0;
            int index = 0;
            while (true) {
                if (index >= state.length()) {
                    break;
                }
                if (index == 0) {
                    check = state.charAt(index);
                } else if (check != state.charAt(index)) {
                    isOK[3] = true;
                    break;
                }
                index++;
            }
            if (!isOK[3]) {
                FtUtil.log_d(CLASS_NAME, "checkCodec", FtUtil.setMspSeqMessage(3, "CODECCHK", "Fail - state contains all equivalent value"));
            }
        }
        if (!isOK[0] || !isOK[1] || !isOK[2] || !isOK[3]) {
            result.append("NG_");
        } else {
            result.append("OK_");
        }
        for (int i = 0; i < state.length(); i++) {
            result.append("0" + state.substring(i, i + 1) + ",");
        }
        result.deleteCharAt(result.length() - 1);
        File vaDataFile = new File("data/log/VA_Data.log");
        Support.Kernel.writeToPathNsync(vaDataFile.getPath(), "");
        Support.Kernel.writeToPathNsync(vaDataFile.getPath(), String.format("%s", result.toString()));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void endTest() {
        FtUtil.log_i(CLASS_NAME, "endTest()");
        disable();
        mModuleAudio.stopMedia();
        mModuleAudio.setStreamMusicVolume(this.mOldVolume);
        if (!mModulePower.isScreenOn()) {
            lcdOn();
        }
        mModulePower.doPartialWakeLock(false);
        mModulePower.doWakeLock(false);
        this.mHandler.removeMessages(1001);
        this.mHandler.removeMessages(1002);
        this.mHandler.removeMessages(1003);
        this.mHandler.removeMessages(1004);
        this.mIsEndTestCalled = true;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void lcdOn() {
        mModulePower.doWakeLock(true);
        mModulePower.doPartialWakeLock(false);
        mModulePower.setScreenState(true);
    }

    @Override // com.sec.factory.app.ui.AlwaysMicOnSoundTriggerService.UserActivity
    public void addModel(UUID modelUuid, String name) {
        this.mModelName = name;
        mSelectedModelUuid = modelUuid;
    }

    @Override // com.sec.factory.app.ui.AlwaysMicOnSoundTriggerService.UserActivity
    public void handleDetection(UUID modelUuid) {
    }
}
