package com.sec.factory.app.ui;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import com.sec.xmldata.support.XMLDataStorage;
import egis.client.api.EgisFingerprint;

public class WirelessChargingTx extends Activity implements View.OnClickListener {
    private static final float TEXT_SIZE = 18.0f;
    public final String CLASS_NAME = "WirelessChargingTx";
    private String TX_DISABLE = "0";
    private String TX_ENABLE = EgisFingerprint.MAJOR_VERSION;
    private TextView mBatteryIin3Value1;
    private TextView mBatteryIin3Value2;
    private TextView mBatteryIin3Value3;
    private TextView mBatteryIin3ValueAverage;
    private TextView mBatteryIoutValue1;
    private TextView mBatteryIoutValue2;
    private TextView mBatteryIoutValue3;
    private TextView mBatteryIoutValueAverage;
    private TextView mBatteryVin3Value1;
    private TextView mBatteryVin3Value2;
    private TextView mBatteryVin3Value3;
    private TextView mBatteryVin3ValueAverage;
    private TextView mBatteryVoutValue1;
    private TextView mBatteryVoutValue2;
    private TextView mBatteryVoutValue3;
    private TextView mBatteryVoutValueAverage;
    private Button mDisableButton;
    private Button mEnableButton;

    public void onCreate(Bundle savedInstanceState) {
        FtUtil.log_i("WirelessChargingTx", "onCreate", "onCreate");
        super.onCreate(savedInstanceState);
        if (!XMLDataStorage.instance().wasCompletedParsing()) {
            XMLDataStorage.instance().parseXML(this);
        }
        setContentView(R.layout.wireless_charging_tx);
        Button button = (Button) findViewById(R.id.wc_tx_enable_button);
        this.mEnableButton = button;
        button.setOnClickListener(this);
        Button button2 = (Button) findViewById(R.id.wc_tx_disable_button);
        this.mDisableButton = button2;
        button2.setOnClickListener(this);
        adjustTextSize(TEXT_SIZE);
        this.mBatteryVoutValue1 = (TextView) findViewById(R.id.wc_tx_battery_table_value_vout_1);
        this.mBatteryVoutValue2 = (TextView) findViewById(R.id.wc_tx_battery_table_value_vout_2);
        this.mBatteryVoutValue3 = (TextView) findViewById(R.id.wc_tx_battery_table_value_vout_3);
        this.mBatteryVoutValueAverage = (TextView) findViewById(R.id.wc_tx_battery_table_value_vout_average);
        this.mBatteryVin3Value1 = (TextView) findViewById(R.id.wc_tx_battery_table_value_vin3_1);
        this.mBatteryVin3Value2 = (TextView) findViewById(R.id.wc_tx_battery_table_value_vin3_2);
        this.mBatteryVin3Value3 = (TextView) findViewById(R.id.wc_tx_battery_table_value_vin3_3);
        this.mBatteryVin3ValueAverage = (TextView) findViewById(R.id.wc_tx_battery_table_value_vin3_average);
        this.mBatteryIoutValue1 = (TextView) findViewById(R.id.wc_tx_battery_table_value_iout_1);
        this.mBatteryIoutValue2 = (TextView) findViewById(R.id.wc_tx_battery_table_value_iout_2);
        this.mBatteryIoutValue3 = (TextView) findViewById(R.id.wc_tx_battery_table_value_iout_3);
        this.mBatteryIoutValueAverage = (TextView) findViewById(R.id.wc_tx_battery_table_value_iout_average);
        this.mBatteryIin3Value1 = (TextView) findViewById(R.id.wc_tx_battery_table_value_iin3_1);
        this.mBatteryIin3Value2 = (TextView) findViewById(R.id.wc_tx_battery_table_value_iin3_2);
        this.mBatteryIin3Value3 = (TextView) findViewById(R.id.wc_tx_battery_table_value_iin3_3);
        this.mBatteryIin3ValueAverage = (TextView) findViewById(R.id.wc_tx_battery_table_value_iin3_average);
    }

    /* access modifiers changed from: protected */
    public void onStart() {
        FtUtil.log_i("WirelessChargingTx", "onStart", "onStart");
        super.onStart();
    }

    /* access modifiers changed from: protected */
    public void onStop() {
        FtUtil.log_i("WirelessChargingTx", "onStop", "onStop");
        super.onStop();
    }

    /* access modifiers changed from: protected */
    public void onResume() {
        FtUtil.log_i("WirelessChargingTx", "onResume", "onResume");
        if ("user".equalsIgnoreCase(Support.Properties.get(Support.Properties.BUILD_TYPE))) {
            this.mEnableButton.setVisibility(8);
            this.mDisableButton.setVisibility(8);
        } else if (EgisFingerprint.MAJOR_VERSION.equals(Support.Kernel.read(Support.Kernel.WIRELESS_CHARGING_TX_ENABLE))) {
            this.mEnableButton.setEnabled(false);
            this.mDisableButton.setEnabled(true);
        } else {
            this.mEnableButton.setEnabled(true);
            this.mDisableButton.setEnabled(false);
        }
        displayDataTable();
        super.onResume();
    }

    /* access modifiers changed from: protected */
    public void onPause() {
        FtUtil.log_i("WirelessChargingTx", "onPause", "onPause");
        super.onPause();
    }

    /* access modifiers changed from: protected */
    public void onDestroy() {
        FtUtil.log_i("WirelessChargingTx", "onDestroy", "onDestroy");
        super.onDestroy();
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.wc_tx_disable_button:
                Support.Kernel.write(Support.Kernel.WIRELESS_CHARGING_TX_ENABLE, this.TX_DISABLE);
                this.mEnableButton.setEnabled(true);
                this.mDisableButton.setEnabled(false);
                return;
            case R.id.wc_tx_enable_button:
                Support.Kernel.write(Support.Kernel.WIRELESS_CHARGING_TX_ENABLE, this.TX_ENABLE);
                this.mEnableButton.setEnabled(false);
                this.mDisableButton.setEnabled(true);
                return;
            default:
                return;
        }
    }

    private void adjustTextSize(float size) {
        this.mEnableButton.setTextSize(size);
        this.mDisableButton.setTextSize(size);
    }

    private void displayDataTable() {
        String[] strInData = null;
        String[] strOutData = null;
        if (Support.Kernel.isExistFile(Support.Kernel.WIRELESS_CHARGING_TX_IN_DATA)) {
            strInData = Support.Kernel.read(Support.Kernel.WIRELESS_CHARGING_TX_IN_DATA).split(",");
        }
        if (Support.Kernel.isExistFile(Support.Kernel.WIRELESS_CHARGING_TX_OUT_DATA)) {
            strOutData = Support.Kernel.read(Support.Kernel.WIRELESS_CHARGING_TX_OUT_DATA).split(",");
        }
        if (strInData != null) {
            this.mBatteryVin3Value1.setText(strInData[2]);
            this.mBatteryVin3Value2.setText(strInData[3]);
            this.mBatteryVin3Value3.setText(strInData[4]);
            this.mBatteryVin3ValueAverage.setText(strInData[0]);
            this.mBatteryIin3Value1.setText(strInData[5]);
            this.mBatteryIin3Value2.setText(strInData[6]);
            this.mBatteryIin3Value3.setText(strInData[7]);
            this.mBatteryIin3ValueAverage.setText(strInData[1]);
        }
        if (strOutData != null) {
            this.mBatteryVoutValue1.setText("-");
            this.mBatteryVoutValue2.setText("-");
            this.mBatteryVoutValue3.setText("-");
            this.mBatteryVoutValueAverage.setText(strOutData[0]);
            this.mBatteryIoutValue1.setText("-");
            this.mBatteryIoutValue2.setText("-");
            this.mBatteryIoutValue3.setText("-");
            this.mBatteryIoutValueAverage.setText(strOutData[1]);
        }
    }
}
