package com.sec.factory.app.uicommander;

import android.app.ActionBar;
import android.app.Activity;
import android.content.ComponentName;
import android.content.Intent;
import android.content.ServiceConnection;
import android.net.Uri;
import android.os.Bundle;
import android.os.Handler;
import android.os.IBinder;
import android.os.Message;
import android.os.Messenger;
import android.os.RemoteException;
import android.text.Editable;
import android.text.TextUtils;
import android.text.TextWatcher;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.inputmethod.InputMethodManager;
import android.widget.ArrayAdapter;
import android.widget.AutoCompleteTextView;
import android.widget.Button;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.SimpleAdapter;
import android.widget.TextView;
import android.widget.Toast;
import android.widget.ToggleButton;
import com.sec.factory.R;
import com.sec.factory.app.uicommander.UICommanderService;
import com.sec.factory.modules.ModuleCommon;
import com.sec.factory.modules.ModuleForceTouch;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import com.sec.xmldata.support.XMLDataStorage;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;

public class UICommanderActivity extends Activity implements View.OnClickListener {
    private static final int MSG_LISTVIEW_NOTIFY_DATASET_CHANGED = 1001;
    private static final int MSG_LISTVIEW_NOTIFY_DATASET_CHANGED_BY_RX_DATA = 1003;
    private static final int MSG_LISTVIEW_NOTIFY_DATASET_CHANGED_BY_TX_DATA = 1002;
    InputMethodManager imm = null;
    private ArrayAdapter<String> mAutoCompleteCmdAdapter = null;
    private String[] mAutoCompleteCmdSelectList = {"AT+SETTESTNV=", "AT+GETTESTNV=", "AT+ACSENSOR=", "AT+APCHIPTT=", "AT+BAKUPCHK=", "AT+BARCODEE=", "AT+BAROMETE=", "AT+BATTCALI=", "AT+BATTTEST=", "AT+BGLUCOSE=", "AT+BTIDTEST=", "AT+CALIDATE=", "AT+CALLCONN=", "AT+CAMETEST=", "AT+CODECCHK=", "AT+CORECTRL=", "AT+DEBUGLVC=", "AT+DISPTEST=", "AT+DPSWICTS=", "AT+EMEMTEST=", "AT+ETHERNET=", "AT+EWRITECK=", "AT+FACTOLOG=", "AT+FACTORST=", "AT+FAILDUMP=", "AT+FAILHIST=", "AT+FCBTTEST=", "AT+FCEPTEST=", "AT+FCESTEST=", "AT+FCFMTEST=", "AT+FCMPTEST=", "AT+FELICARFCAL=", "AT+FIRMVERS=", "AT+FPSENSOR=", "AT+FSBUILDC=", "AT+FUELGAIC=", "AT+FUNCTEST=", "AT+GEOMAGSS=", "AT+GPSSTEST=", "AT+GRIPSENS=", "AT+GYROSCOP=", "AT+HAICTEST=", "AT+HDCPTEST=", "AT+HDMITEST=", "AT+HMACMISM=", "AT+HRMOSENS=", "AT+HWINDICK=", "AT+IDCHIPTT=", "AT+IFPMICCN=", "AT+IMEMTEST=", "AT+INITTEST=", "AT+IRLEDCHECK=", "AT+IRTHERMO=", "AT+ISDBTEST=", "AT+KEY=", "AT+KEYHOLD=", "AT+KEYSHORT=", "AT+KEYULOCK=", "AT+KSTRINGB=", "AT+LEDLAMPT=", "AT+LIGHTEST=", "AT+LINESPEC=", "AT+LOCKCODE=", "AT+LOOPTEST=", "AT+MAINMENU=", "AT+MAXPOWER=", "AT+MEMOSIZE=", "AT+MULFUNCF=", "AT+NFCMTEST=", "AT+OTGGTEST=", "AT+PARALLEL=", "AT+PAYMENTS=", "AT+POWRESET=", "AT+PRECONFG=", "AT+PROJECTOR=", "AT+PROXIMIT=", "AT+QCHARGEI=", "AT+RAMSIZEC=", "AT+RSTVERIF=", "AT+SECUREBT=", "AT+SENSORHB=", "AT+SERIALNO=", "AT+SPKSTEST=", "AT+SWDLMODE=", "AT+SYSDUMP=", "AT+SYSSCOPE=", "AT+SYSSLEEP=", "AT+TDMBTEST=", "AT+TEMPTEST=", "AT+TOUCH=", "AT+TOUCHKEY=", "AT+TSPPTEST=", "AT+UARTSWIT=", "AT+UENCRYPT=", "AT+USBCHANG=", "AT+USBMODEC=", "AT+UVSENSOR=", "AT+UWBDTEST=", "AT+VERSNAME=", "AT+VIBRTEST=", "AT+WIDCOUNT=", "AT+WIFIIDRW=", "AT+WIFITEST=", "AT+WPCCSCMD=", "AT+WPROTECT="};
    private ServiceConnection mConnection = new ServiceConnection() {
        /* class com.sec.factory.app.uicommander.UICommanderActivity.AnonymousClass2 */

        public void onServiceConnected(ComponentName className, IBinder service) {
            try {
                FtUtil.log_d("UICommanderActivity", "onServiceConnected", "");
                UICommanderActivity.this.mService = new Messenger(service);
                Message msg = Message.obtain((Handler) null, 1);
                msg.replyTo = UICommanderActivity.this.mMessengerInActivity;
                UICommanderActivity.this.mService.send(msg);
            } catch (RemoteException e) {
                e.printStackTrace();
            }
            UICommanderActivity.this.mControlValue = UICommanderService.ScenarioStatus.RUNNABLE;
        }

        public void onServiceDisconnected(ComponentName arg0) {
            FtUtil.log_d("UICommanderActivity", "onServiceDisconnected", "");
            UICommanderActivity.this.mService = null;
        }
    };
    private UICommanderService.ScenarioStatus mControlValue = UICommanderService.ScenarioStatus.NEW;
    private Button mEraseButton;
    Handler mHandler = new Handler() {
        /* class com.sec.factory.app.uicommander.UICommanderActivity.AnonymousClass1 */

        public void handleMessage(Message msg) {
            switch (msg.what) {
                case 4:
                case 5:
                    HashMap<String, String> uiHistoryItem = UICommanderActivity.this.reorganizeHashMapItem((HashMap) msg.obj);
                    if (msg.what == 4) {
                        FtUtil.log_d("UICommanderActivity", "mHandler.handleMessage", "UICommanderService.MSG_TRANSMIT_COMMAND, msg.obj:" + uiHistoryItem.toString());
                    } else {
                        FtUtil.log_d("UICommanderActivity", "mHandler.handleMessage", "UICommanderService.MSG_RECEIVE_COMMAND_RESPONSE, msg.obj:" + uiHistoryItem.toString());
                    }
                    UICommanderActivity.this.mHistoryData.add(uiHistoryItem);
                    UICommanderActivity.this.mListViewAdapter.notifyDataSetChanged();
                    return;
                case 6:
                    FtUtil.log_d("UICommanderActivity", "mHandler.handleMessage", "UICommanderService.MSG_FINISHED_SCENARIO_THREAD");
                    boolean result = ((Boolean) msg.obj).booleanValue();
                    if (!UICommanderActivity.this.mScenarioEnableButton.isChecked()) {
                        try {
                            UICommanderActivity.this.mControlValue = UICommanderService.ScenarioStatus.RUNNABLE;
                            FtUtil.log_d("UICommanderActivity", "mHandler.handleMessage", "send UICommanderService.MSG_CONTROL_SCENARIO_THREAD, set mControlValue: " + UICommanderActivity.this.mControlValue);
                            UICommanderActivity.this.mService.send(Message.obtain(null, 7, UICommanderActivity.this.mControlValue));
                            return;
                        } catch (RemoteException e) {
                            e.printStackTrace();
                            return;
                        }
                    } else if (result) {
                        UICommanderActivity.access$412(UICommanderActivity.this, 1);
                        UICommanderActivity.this.mLoopCountText.setText(UICommanderActivity.this.getResources().getString(R.string.uicommander_loop_colon) + UICommanderActivity.this.scenarioCurrLoopCount);
                        if (UICommanderActivity.this.scenarioCurrLoopCount == UICommanderActivity.this.scenarioLoopCount) {
                            UICommanderActivity.this.mScenarioStatusText.setText("SCENARIO SUCCESS");
                            Toast toast = Toast.makeText(UICommanderActivity.this.getApplicationContext(), "SCENARIO SUCCESS", 1);
                            toast.setGravity(17, 0, 0);
                            toast.show();
                            if (!UICommanderActivity.this.mScenarioEnableButton.isEnabled()) {
                                UICommanderActivity.this.mScenarioEnableButton.setEnabled(true);
                            }
                            if (UICommanderActivity.this.mScenarioRunButton.isChecked()) {
                                UICommanderActivity.this.mScenarioRunButton.setChecked(false);
                            }
                            try {
                                UICommanderActivity.this.mControlValue = UICommanderService.ScenarioStatus.RUNNABLE;
                                FtUtil.log_d("UICommanderActivity", "mHandler.handleMessage", "send UICommanderService.MSG_CONTROL_SCENARIO_THREAD, mControlValue: " + UICommanderActivity.this.mControlValue);
                                UICommanderActivity.this.mService.send(Message.obtain(null, 7, UICommanderActivity.this.mControlValue));
                                return;
                            } catch (RemoteException e2) {
                                e2.printStackTrace();
                                return;
                            }
                        } else {
                            UICommanderActivity.this.runScenario();
                            return;
                        }
                    } else {
                        UICommanderActivity.this.mScenarioStatusText.setText("SCENARIO FAIL");
                        Toast failToast = Toast.makeText(UICommanderActivity.this.getApplicationContext(), "SCENARIO FAIL", 1);
                        failToast.setGravity(17, 0, 0);
                        failToast.show();
                        if (!UICommanderActivity.this.mScenarioEnableButton.isEnabled()) {
                            UICommanderActivity.this.mScenarioEnableButton.setEnabled(true);
                        }
                        if (UICommanderActivity.this.mScenarioRunButton.isChecked()) {
                            UICommanderActivity.this.mScenarioRunButton.setChecked(false);
                        }
                        try {
                            UICommanderActivity.this.mControlValue = UICommanderService.ScenarioStatus.RUNNABLE;
                            FtUtil.log_d("UICommanderActivity", "mHandler.handleMessage", "send UICommanderService.MSG_CONTROL_SCENARIO_THREAD, mControlValue: " + UICommanderActivity.this.mControlValue);
                            UICommanderActivity.this.mService.send(Message.obtain(null, 7, UICommanderActivity.this.mControlValue));
                            return;
                        } catch (RemoteException e3) {
                            e3.printStackTrace();
                            return;
                        }
                    }
                case 1001:
                    HashMap<String, String> txRxHistoryItem = (HashMap) msg.obj;
                    FtUtil.log_d("UICommanderActivity", "mHandler.handleMessage", "MSG_LISTVIEW_NOTIFY_DATASET_CHANGED listItem:" + txRxHistoryItem.toString());
                    UICommanderActivity.this.mHistoryData.add(txRxHistoryItem);
                    UICommanderActivity.this.mListViewAdapter.notifyDataSetChanged();
                    return;
                case 1002:
                    FtUtil.log_d("UICommanderActivity", "mHandler.handleMessage", "MSG_LISTVIEW_NOTIFY_DATASET_CHANGED_BY_TX_DATA");
                    HashMap<String, String> txHistoryItem = new HashMap<>();
                    txHistoryItem.put(UICommanderService.UI_UPDATE_HASHMAP_KEY_3, "TX:");
                    txHistoryItem.put("data", "TX: " + msg.obj);
                    txHistoryItem.put(UICommanderService.UI_UPDATE_HASHMAP_KEY_2, new SimpleDateFormat("yyyy/MM/dd HH:mm:ss.SSS").format(new Date(System.currentTimeMillis())));
                    UICommanderActivity.this.mHistoryData.add(txHistoryItem);
                    UICommanderActivity.this.mListViewAdapter.notifyDataSetChanged();
                    return;
                case 1003:
                    FtUtil.log_d("UICommanderActivity", "mHandler.handleMessage", "MSG_LISTVIEW_NOTIFY_DATASET_CHANGED_BY_RX_DATA");
                    HashMap<String, String> rxHistoryItem = new HashMap<>();
                    rxHistoryItem.put(UICommanderService.UI_UPDATE_HASHMAP_KEY_3, "RX:");
                    rxHistoryItem.put("data", "RX: " + msg.obj);
                    rxHistoryItem.put(UICommanderService.UI_UPDATE_HASHMAP_KEY_2, new SimpleDateFormat("yyyy/MM/dd HH:mm:ss.SSS").format(new Date(System.currentTimeMillis())));
                    UICommanderActivity.this.mHistoryData.add(rxHistoryItem);
                    UICommanderActivity.this.mListViewAdapter.notifyDataSetChanged();
                    return;
                default:
                    super.handleMessage(msg);
                    return;
            }
        }
    };
    private ArrayList<HashMap<String, String>> mHistoryData = null;
    private ListView mHistoryListView;
    private SimpleAdapter mListViewAdapter = null;
    private TextView mLoopCountText;
    final Messenger mMessengerInActivity = new Messenger(this.mHandler);
    private boolean mScenarioEnable = false;
    private ToggleButton mScenarioEnableButton;
    private ToggleButton mScenarioRunButton;
    private TextView mScenarioStatusText;
    Messenger mService = null;
    private Button mTxResetButton;
    private Button mTxSendButton;
    private AutoCompleteTextView mTxText;
    private int scenarioCurrLoopCount = 0;
    private ArrayList<HashMap<String, String>> scenarioList;
    private int scenarioLoopCount = 1;

    static /* synthetic */ int access$412(UICommanderActivity x0, int x1) {
        int i = x0.scenarioCurrLoopCount + x1;
        x0.scenarioCurrLoopCount = i;
        return i;
    }

    private void startUICommanderService() {
        FtUtil.log_d("UICommanderActivity", "startUICommanderService", "start UICommanderService");
        Intent intent = new Intent();
        intent.setClassName("com.sec.factory", "com.sec.factory.app.uicommander.UICommanderService");
        bindService(intent, this.mConnection, 1);
    }

    private void stopUICommanderService() {
        FtUtil.log_d("UICommanderActivity", "stopUICommanderService", "stop UICommanderService");
        if (this.mService != null) {
            try {
                FtUtil.log_d("UICommanderActivity", "stopUICommanderService", "send MSG_UNREGISTER_CLIENT_IN_SERVICE");
                Message msg = Message.obtain((Handler) null, 2);
                msg.replyTo = null;
                this.mService.send(msg);
                this.mControlValue = UICommanderService.ScenarioStatus.TERMINATED;
            } catch (RemoteException e) {
                e.printStackTrace();
            }
            FtUtil.log_d("UICommanderActivity", "stopUICommanderService", "unbindService");
            unbindService(this.mConnection);
        }
    }

    private void entryCheck() {
        if (ModuleCommon.instance(getApplicationContext()).checkRpEnabled() && !checkEngBinary()) {
            finish();
        }
    }

    private boolean checkEngBinary() {
        if (!XMLDataStorage.instance().wasCompletedParsing()) {
            XMLDataStorage.instance().parseXML(this);
        }
        if ("eng".equalsIgnoreCase(Support.Properties.get(Support.Properties.BUILD_TYPE))) {
            return true;
        }
        return false;
    }

    private void initialize() {
        ActionBar actionBar = getActionBar();
        actionBar.setTitle(getResources().getString(R.string.uicommander_activity_title));
        actionBar.setDisplayShowHomeEnabled(false);
        actionBar.setDisplayUseLogoEnabled(false);
        this.mScenarioStatusText = (TextView) findViewById(R.id.tv_uicommander_scenario_status);
        this.mLoopCountText = (TextView) findViewById(R.id.tv_uicommander_loop_count);
        this.mTxSendButton = (Button) findViewById(R.id.btn_uicommander_tx_send);
        this.mTxResetButton = (Button) findViewById(R.id.btn_uicommander_tx_reset);
        this.mEraseButton = (Button) findViewById(R.id.btn_uicommander_erase);
        this.mScenarioEnableButton = (ToggleButton) findViewById(R.id.btn_uicommander_scenario_enable);
        this.mScenarioRunButton = (ToggleButton) findViewById(R.id.btn_uicommander_run);
        AutoCompleteTextView autoCompleteTextView = (AutoCompleteTextView) findViewById(R.id.auto_complete_cmd_tx);
        this.mTxText = autoCompleteTextView;
        autoCompleteTextView.addTextChangedListener(new TextWatcher() {
            /* class com.sec.factory.app.uicommander.UICommanderActivity.AnonymousClass3 */

            public void afterTextChanged(Editable editable) {
                if (!editable.toString().isEmpty()) {
                    UICommanderActivity.this.mTxSendButton.setClickable(true);
                } else {
                    UICommanderActivity.this.mTxSendButton.setClickable(false);
                }
            }

            public void beforeTextChanged(CharSequence arg0, int arg1, int arg2, int arg3) {
            }

            public void onTextChanged(CharSequence arg0, int arg1, int arg2, int arg3) {
            }
        });
        this.mTxSendButton.setOnClickListener(this);
        this.mTxSendButton.setClickable(false);
        this.mTxResetButton.setOnClickListener(this);
        this.mEraseButton.setOnClickListener(this);
        this.mScenarioEnableButton.setOnClickListener(this);
        this.mScenarioRunButton.setOnClickListener(this);
        this.mScenarioRunButton.setEnabled(false);
        this.imm = (InputMethodManager) getSystemService("input_method");
        ArrayAdapter<String> arrayAdapter = new ArrayAdapter<>(this, 17367050, this.mAutoCompleteCmdSelectList);
        this.mAutoCompleteCmdAdapter = arrayAdapter;
        this.mTxText.setAdapter(arrayAdapter);
        this.mTxText.setOnFocusChangeListener(new View.OnFocusChangeListener() {
            /* class com.sec.factory.app.uicommander.UICommanderActivity.AnonymousClass4 */

            public void onFocusChange(View v, boolean hasFocus) {
                if (hasFocus) {
                    UICommanderActivity.this.mTxText.showDropDown();
                }
            }
        });
        this.mHistoryListView = (ListView) findViewById(R.id.lv_uicommander_history);
        this.mHistoryData = new ArrayList<>();
        SimpleAdapter simpleAdapter = new SimpleAdapter(this, this.mHistoryData, 17367044, new String[]{"data", UICommanderService.UI_UPDATE_HASHMAP_KEY_2}, new int[]{16908308, 16908309});
        this.mListViewAdapter = simpleAdapter;
        this.mHistoryListView.setAdapter((ListAdapter) simpleAdapter);
        if (this.mScenarioEnable) {
            this.mTxText.setEnabled(false);
            this.mTxResetButton.setEnabled(false);
            this.mTxSendButton.setEnabled(false);
            this.mScenarioRunButton.setEnabled(true);
            this.mScenarioEnableButton.setChecked(true);
            return;
        }
        this.mTxText.setEnabled(true);
        this.mTxResetButton.setEnabled(true);
        this.mTxSendButton.setEnabled(true);
        this.mScenarioRunButton.setEnabled(false);
        this.mScenarioEnableButton.setChecked(false);
    }

    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        entryCheck();
        startUICommanderService();
        setContentView(R.layout.uicommander_activity);
        initialize();
        FtUtil.setDisplayCutOutMode(getWindow(), 1);
    }

    /* access modifiers changed from: protected */
    public void onResume() {
        super.onResume();
        getWindow().addFlags(128);
    }

    /* access modifiers changed from: protected */
    public void onStop() {
        super.onStop();
    }

    /* access modifiers changed from: protected */
    public void onPause() {
        super.onPause();
    }

    /* access modifiers changed from: protected */
    public void onDestroy() {
        stopUICommanderService();
        super.onDestroy();
    }

    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.uicommander_menu_option, menu);
        return true;
    }

    public boolean onOptionsItemSelected(MenuItem item) {
        switch (item.getItemId()) {
            case R.id.uicommander_option_bring_up_checker:
                FtUtil.log_d("UICommanderActivity", "onOptionsItemSelected", "R.id.uicommander_option_bring_up_checker");
                Intent bringUpCheckerIntent = new Intent();
                bringUpCheckerIntent.setClassName("com.sec.factory", "com.sec.factory.app.uicommander.UICommanderBringUpChecker");
                bringUpCheckerIntent.setFlags(603979776);
                startActivity(bringUpCheckerIntent);
                return true;
            case R.id.uicommander_option_dumpstate:
                FtUtil.log_d("UICommanderActivity", "onOptionsItemSelected", "R.id.uicommander_option_dumpstate");
                Intent i = new Intent("com.samsung.android.action.SECRET_CODE", Uri.parse("android_secret_code://9900"));
                i.addFlags(16777216);
                sendBroadcast(i);
                return true;
            case R.id.uicommander_option_extract_history:
                FtUtil.log_d("UICommanderActivity", "onOptionsItemSelected", "R.id.uicommander_option_extract_history");
                UICommanderExtractor.makeExcel(this.mHistoryData);
                Toast toast = Toast.makeText(this, "Extract command history file", 0);
                toast.setGravity(17, 0, 0);
                toast.show();
                return true;
            case R.id.uicommander_option_scenario_editor:
                FtUtil.log_d("UICommanderActivity", "onOptionsItemSelected", "R.id.uicommander_option_scenario_editor");
                Intent scenarioEditorIntent = new Intent();
                scenarioEditorIntent.setClassName("com.sec.factory", "com.sec.factory.app.uicommander.UICommanderScenarioEditor");
                scenarioEditorIntent.setFlags(603979776);
                startActivity(scenarioEditorIntent);
                return true;
            default:
                return super.onOptionsItemSelected(item);
        }
    }

    /* access modifiers changed from: package-private */
    public void runCommand() {
        String txText = this.mTxText.getText().toString();
        FtUtil.log_d("UICommanderActivity", "runCommand", "txText = " + txText);
        HashMap<String, String> scenarioItem = new HashMap<>();
        scenarioItem.put(UICommanderService.SCENARIO_ITEM_COMPONENT_1, "0");
        scenarioItem.put(UICommanderService.SCENARIO_ITEM_COMPONENT_2, txText);
        scenarioItem.put(UICommanderService.SCENARIO_ITEM_COMPONENT_3, "");
        try {
            this.mControlValue = UICommanderService.ScenarioStatus.RUN;
            FtUtil.log_d("UICommanderActivity", "runCommand", "send UICommanderService.MSG_CONTROL_SCENARIO_THREAD, mControlValue: " + this.mControlValue);
            this.mService.send(Message.obtain(null, 7, this.mControlValue));
        } catch (RemoteException e) {
            e.printStackTrace();
        }
        ArrayList<HashMap<String, String>> arrayList = new ArrayList<>();
        this.scenarioList = arrayList;
        arrayList.add(scenarioItem);
        try {
            FtUtil.log_d("UICommanderActivity", "runCommand", "send UICommanderService.MSG_RUN_SCENARIO_THREAD with scenarioList:" + this.scenarioList.toString());
            this.mService.send(Message.obtain(null, 3, this.scenarioList));
        } catch (RemoteException e2) {
            e2.printStackTrace();
        }
    }

    private boolean parseScenario() {
        FtUtil.log_d("UICommanderActivity", "parseScenario", "start");
        String readValue = Support.Kernel.read(Support.Kernel.UICOMMANDER_SCENARIO);
        if (TextUtils.isEmpty(readValue)) {
            FtUtil.log_d("UICommanderActivity", "parseScenario", "scenario file is empty");
            return false;
        }
        this.scenarioList = new ArrayList<>();
        ArrayList<String> scenarioArrayWait = new ArrayList<>();
        ArrayList<String> scenarioArrayTx = new ArrayList<>();
        ArrayList<String> scenarioArrayRx = new ArrayList<>();
        String[] scenarioString = readValue.split(":");
        int scenarioListCount = 0;
        for (String str : scenarioString) {
            if (str.startsWith("WAIT")) {
                String temp = str.substring(str.indexOf("=") + 1);
                if (TextUtils.isEmpty(temp)) {
                    temp = "0";
                }
                scenarioArrayWait.add(temp);
            } else if (str.startsWith("TX")) {
                scenarioArrayTx.add(str.substring(str.indexOf("=") + 1));
                scenarioListCount++;
            } else if (str.startsWith("RX")) {
                String temp2 = str.substring(str.indexOf("=") + 1);
                if (TextUtils.isEmpty(temp2)) {
                    temp2 = "";
                }
                scenarioArrayRx.add(temp2);
            } else if (str.startsWith("LOOP")) {
                int parseInt = Integer.parseInt(str.substring(str.indexOf("=") + 1));
                this.scenarioLoopCount = parseInt;
                if (parseInt < 1) {
                    this.scenarioLoopCount = 1;
                }
            }
        }
        for (int i = 0; i < scenarioListCount; i++) {
            FtUtil.log_d("UICommanderActivity", "parseScenario", "scenarioArrayWait[" + i + "] = " + scenarioArrayWait.get(i));
            FtUtil.log_d("UICommanderActivity", "parseScenario", "scenarioArrayTx[" + i + "] = " + scenarioArrayTx.get(i));
            FtUtil.log_d("UICommanderActivity", "parseScenario", "scenarioArrayRx[" + i + "] = " + scenarioArrayRx.get(i));
            HashMap<String, String> scenarioItem = new HashMap<>();
            scenarioItem.put(UICommanderService.SCENARIO_ITEM_COMPONENT_1, scenarioArrayWait.get(i));
            scenarioItem.put(UICommanderService.SCENARIO_ITEM_COMPONENT_2, scenarioArrayTx.get(i));
            scenarioItem.put(UICommanderService.SCENARIO_ITEM_COMPONENT_3, scenarioArrayRx.get(i));
            this.scenarioList.add(scenarioItem);
        }
        FtUtil.log_d("UICommanderActivity", "parseScenario", "scenarioLoopCount = " + this.scenarioLoopCount);
        return true;
    }

    /* access modifiers changed from: package-private */
    public void runScenario() {
        try {
            FtUtil.log_d("UICommanderActivity", "runScenario", "send UICommanderService.MSG_RUN_SCENARIO_THREAD with scenarioList:" + this.scenarioList.toString());
            this.mService.send(Message.obtain(null, 3, this.scenarioList));
        } catch (RemoteException e) {
            e.printStackTrace();
        }
    }

    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.btn_uicommander_erase:
                this.mHistoryData.clear();
                this.mListViewAdapter.notifyDataSetChanged();
                return;
            case R.id.btn_uicommander_run:
                if (this.mScenarioRunButton.isChecked()) {
                    FtUtil.log_d("UICommanderActivity", "onClick", "btn_uicommander_run, check mControlValue: " + this.mControlValue);
                    if (this.mControlValue == UICommanderService.ScenarioStatus.PAUSE) {
                        this.mControlValue = UICommanderService.ScenarioStatus.RESUME;
                        try {
                            FtUtil.log_d("UICommanderActivity", "onClick", "send UICommanderService.MSG_CONTROL_SCENARIO_THREAD, mControlValue: " + this.mControlValue);
                            this.mService.send(Message.obtain(null, 7, this.mControlValue));
                            FtUtil.log_d("UICommanderActivity", "onClick", "send UICommanderService.MSG_CONTROL_SCENARIO_THREAD, change mControlValue: RESUME -> RUN");
                            this.mControlValue = UICommanderService.ScenarioStatus.RUN;
                            this.mScenarioStatusText.setText(ModuleForceTouch.RUNNING);
                            return;
                        } catch (RemoteException e) {
                            e.printStackTrace();
                            return;
                        }
                    } else {
                        this.mScenarioEnableButton.setEnabled(false);
                        if (parseScenario()) {
                            this.mControlValue = UICommanderService.ScenarioStatus.RUN;
                            try {
                                FtUtil.log_d("UICommanderActivity", "onClick", "send UICommanderService.MSG_CONTROL_SCENARIO_THREAD, mControlValue: " + this.mControlValue);
                                this.mService.send(Message.obtain(null, 7, this.mControlValue));
                            } catch (RemoteException e2) {
                                e2.printStackTrace();
                            }
                            this.scenarioCurrLoopCount = 0;
                            TextView textView = this.mLoopCountText;
                            textView.setText(getResources().getString(R.string.uicommander_loop_colon) + this.scenarioCurrLoopCount);
                            this.mScenarioStatusText.setText(ModuleForceTouch.RUNNING);
                            runScenario();
                            return;
                        }
                        if (!this.mScenarioEnableButton.isEnabled()) {
                            this.mScenarioEnableButton.setEnabled(true);
                        }
                        if (!this.mScenarioRunButton.isEnabled()) {
                            this.mScenarioRunButton.setEnabled(true);
                        }
                        Toast toast = Toast.makeText(this, "scenario file is empty", 0);
                        toast.setGravity(17, 0, 0);
                        toast.show();
                        return;
                    }
                } else {
                    FtUtil.log_d("UICommanderActivity", "onClick", "btn_uicommander_run, not checked");
                    if (this.mControlValue == UICommanderService.ScenarioStatus.RUN) {
                        this.mControlValue = UICommanderService.ScenarioStatus.PAUSE;
                        try {
                            FtUtil.log_d("UICommanderActivity", "onClick", "send UICommanderService.MSG_CONTROL_SCENARIO_THREAD, mControlValue: " + this.mControlValue);
                            this.mService.send(Message.obtain(null, 7, this.mControlValue));
                        } catch (RemoteException e3) {
                            e3.printStackTrace();
                        }
                        this.mScenarioStatusText.setText("PAUSED");
                        return;
                    }
                    return;
                }
            case R.id.btn_uicommander_scenario_enable:
                FtUtil.log_d("UICommanderActivity", "onClick", "btn_uicommander_scenario_enable");
                if (this.mScenarioEnableButton.isChecked()) {
                    this.mScenarioEnable = true;
                } else {
                    this.mScenarioEnable = false;
                }
                if (this.mScenarioEnable) {
                    this.mTxText.setEnabled(false);
                    this.mTxResetButton.setEnabled(false);
                    this.mTxSendButton.setEnabled(false);
                    this.mScenarioRunButton.setEnabled(true);
                } else {
                    this.mTxText.setEnabled(true);
                    this.mTxResetButton.setEnabled(true);
                    this.mTxSendButton.setEnabled(true);
                    this.mScenarioRunButton.setEnabled(false);
                }
                this.mScenarioStatusText.setText(this.mScenarioEnable ? getResources().getString(R.string.uicommander_scenario_on) : getResources().getString(R.string.uicommander_scenario_off));
                Toast toast2 = Toast.makeText(this, this.mScenarioEnable ? getResources().getString(R.string.uicommander_scenario_on) : getResources().getString(R.string.uicommander_scenario_off), 0);
                toast2.setGravity(17, 0, 0);
                toast2.show();
                return;
            case R.id.btn_uicommander_tx_reset:
                FtUtil.log_d("UICommanderActivity", "onClick", "btn_uicommander_tx_reset");
                this.mTxText.setText("AT+");
                return;
            case R.id.btn_uicommander_tx_send:
                runCommand();
                this.imm.hideSoftInputFromWindow(this.mTxText.getWindowToken(), 0);
                return;
            default:
                return;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private HashMap<String, String> reorganizeHashMapItem(HashMap<String, String> origin) {
        HashMap<String, String> returnValue = new HashMap<>();
        returnValue.put("data", origin.get("data"));
        returnValue.put(UICommanderService.UI_UPDATE_HASHMAP_KEY_2, origin.get(UICommanderService.UI_UPDATE_HASHMAP_KEY_3) + " @ " + origin.get(UICommanderService.UI_UPDATE_HASHMAP_KEY_2));
        return returnValue;
    }
}
