package com.sec.factory.app.uicommander;

import android.app.ActionBar;
import android.app.Activity;
import android.app.ProgressDialog;
import android.content.res.Resources;
import android.os.AsyncTask;
import android.os.Bundle;
import android.view.KeyEvent;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.GridView;
import android.widget.ListAdapter;
import android.widget.TextView;
import android.widget.Toast;
import com.sec.factory.R;
import com.sec.factory.app.uicommander.UICommanderService;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.util.ArrayList;
import java.util.HashSet;
import java.util.Iterator;
import java.util.Set;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

public class UICommanderBringUpChecker extends Activity {
    private static final int MAX_MENU_DEPTH = 3;
    private ArrayList<BringUpComponent> mBringUpItemHashMap = null;
    private ArrayAdapter<String> mGridViewAdapter;
    private ArrayList<Set<String>> mMenu = new ArrayList<>();
    private ProgressDialog mProgressDialog;
    private TextView mSelectedHistoryTv;
    private String mUiState = null;

    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.uicommander_bring_up_checker);
        initialize();
        FtUtil.log_d("UICommanderBringUpChecker", "onCreate", "execute GridViewUpdateTask");
        new GridViewUpdateTask(this.mProgressDialog).execute(new Void[0]);
    }

    /* access modifiers changed from: protected */
    public void onResume() {
        super.onResume();
    }

    /* access modifiers changed from: protected */
    public void onPause() {
        super.onPause();
    }

    /* access modifiers changed from: protected */
    public void onDestroy() {
        super.onDestroy();
    }

    private void initialize() {
        FtUtil.log_d("UICommanderBringUpChecker", "initialize", "start");
        ActionBar actionBar = getActionBar();
        actionBar.setTitle("UI Commander Bring Up Checker");
        actionBar.setDisplayShowHomeEnabled(false);
        actionBar.setDisplayUseLogoEnabled(false);
        this.mSelectedHistoryTv = (TextView) findViewById(R.id.selected_history);
        ArrayAdapter<String> arrayAdapter = new ArrayAdapter<>(this, R.layout.uicommander_bring_up_checker_item_button);
        this.mGridViewAdapter = arrayAdapter;
        ((GridView) findViewById(R.id.bring_up_grid)).setAdapter((ListAdapter) arrayAdapter);
        ProgressDialog progressDialog = new ProgressDialog(this);
        this.mProgressDialog = progressDialog;
        progressDialog.setIndeterminate(true);
        this.mProgressDialog.setMessage("Now Updating...");
        this.mProgressDialog.setCancelable(false);
        FtUtil.log_d("UICommanderBringUpChecker", "initialize", "end");
    }

    public void onSquareButtonClick(View v) {
        String buttonText = (String) ((Button) v).getText();
        String str = this.mUiState;
        String mUiStateTemp = (str == null || "".equals(str)) ? buttonText : this.mUiState + "," + buttonText;
        FtUtil.log_d("UICommanderBringUpChecker", "onSquareButtonClick", "buttonText:" + buttonText);
        if (this.mBringUpItemHashMap != null) {
            for (int i = 0; i < this.mBringUpItemHashMap.size(); i++) {
                if (this.mBringUpItemHashMap.get(i).getName().equals(mUiStateTemp)) {
                    FtUtil.log_d("UICommanderBringUpChecker", "onSquareButtonClick", "execute SaveEfsTask");
                    new SaveEfsTask(this.mProgressDialog).execute(this.mBringUpItemHashMap.get(i));
                    return;
                }
                if (i == this.mBringUpItemHashMap.size() - 1) {
                    FtUtil.log_d("UICommanderBringUpChecker", "onSquareButtonClick", "enter inner menu");
                    this.mUiState = mUiStateTemp;
                    new GridViewUpdateTask(this.mProgressDialog).execute(new Void[0]);
                }
            }
        }
    }

    public boolean onKeyDown(int keyCode, KeyEvent event) {
        switch (keyCode) {
            case 4:
                FtUtil.log_d("UICommanderBringUpChecker", "onKeyDown", "KEYCODE_BACK");
                String str = this.mUiState;
                if (str == null || "".equals(str)) {
                    finish();
                    break;
                } else {
                    String[] uiStateSplit = this.mUiState.split(",");
                    if (uiStateSplit.length > 0) {
                        FtUtil.log_d("UICommanderBringUpChecker", "onKeyDown", "Go previous menu");
                        String str2 = this.mUiState;
                        String substring = str2.substring(0, str2.length() - uiStateSplit[uiStateSplit.length - 1].length());
                        this.mUiState = substring;
                        if (substring.contains(",")) {
                            String str3 = this.mUiState;
                            if (str3.charAt(str3.length() - 1) == ',') {
                                String str4 = this.mUiState;
                                this.mUiState = str4.substring(0, str4.length() - 1);
                            }
                        }
                        this.mMenu.get(uiStateSplit.length).clear();
                        new GridViewUpdateTask(this.mProgressDialog).execute(new Void[0]);
                        return true;
                    }
                }
                break;
        }
        return true;
    }

    /* access modifiers changed from: private */
    public class BringUpComponent {
        private String loopCount;
        private String name;
        private ArrayList<UICommanderService.ScenarioItem> scenario;

        public BringUpComponent(String name2, String loopCount2, ArrayList<UICommanderService.ScenarioItem> scenario2) {
            this.name = name2;
            this.loopCount = loopCount2;
            this.scenario = scenario2;
        }

        public String getName() {
            return this.name;
        }

        public void setName(String name2) {
            this.name = name2;
        }

        public String getLoopCount() {
            return this.loopCount;
        }

        public void setLoopCount(String loopCount2) {
            this.loopCount = loopCount2;
        }

        public ArrayList<UICommanderService.ScenarioItem> getScenario() {
            return this.scenario;
        }

        public void setScenario(ArrayList<UICommanderService.ScenarioItem> scenario2) {
            this.scenario = scenario2;
        }
    }

    private class GridViewUpdateTask extends AsyncTask<Void, Void, Boolean> {
        private ProgressDialog progressDialog;

        public GridViewUpdateTask(ProgressDialog progressDialog2) {
            this.progressDialog = progressDialog2;
        }

        /* access modifiers changed from: protected */
        public void onPreExecute() {
            super.onPreExecute();
            this.progressDialog.show();
            if (UICommanderBringUpChecker.this.mGridViewAdapter != null) {
                UICommanderBringUpChecker.this.mGridViewAdapter.clear();
            }
        }

        /* access modifiers changed from: protected */
        /* JADX WARNING: Removed duplicated region for block: B:81:0x01b3 A[SYNTHETIC, Splitter:B:81:0x01b3] */
        /* JADX WARNING: Removed duplicated region for block: B:86:0x01bd A[SYNTHETIC, Splitter:B:86:0x01bd] */
        public Boolean doInBackground(Void... voids) {
            JSONException jSONException;
            JSONException e;
            if (UICommanderBringUpChecker.this.mBringUpItemHashMap == null) {
                StringBuilder sb = new StringBuilder();
                InputStream is = null;
                BufferedReader br = null;
                try {
                    is = UICommanderBringUpChecker.this.getResources().openRawResource(R.raw.uicommander_self_check);
                    br = new BufferedReader(new InputStreamReader(is));
                    while (true) {
                        String line = br.readLine();
                        if (line == null) {
                            break;
                        }
                        sb.append(line);
                        sb.append("\n");
                    }
                    if (is != null) {
                        try {
                            is.close();
                            is = null;
                        } catch (IOException e2) {
                        }
                    }
                    try {
                        br.close();
                        br = null;
                    } catch (IOException e3) {
                    }
                } catch (Resources.NotFoundException e4) {
                    FtUtil.log_d("UICommanderBringUpChecker", "GridViewUpdateTask.doInBackground", "R.raw.uicommander_self_check is not found");
                    if (0 != 0) {
                        try {
                            is.close();
                            is = null;
                        } catch (IOException e5) {
                        }
                    }
                    if (0 != 0) {
                        br.close();
                        br = null;
                    }
                } catch (IOException e6) {
                    e6.printStackTrace();
                    if (0 != 0) {
                        try {
                            is.close();
                            is = null;
                        } catch (IOException e7) {
                        }
                    }
                    if (0 != 0) {
                        br.close();
                        br = null;
                    }
                } catch (Throwable e8) {
                    jSONException = e8;
                    if (0 != 0) {
                    }
                    if (0 != 0) {
                    }
                    throw jSONException;
                }
                for (int i = 0; i < 3; i++) {
                    try {
                        UICommanderBringUpChecker.this.mMenu.add(new HashSet());
                    } catch (JSONException e9) {
                        e = e9;
                        e.printStackTrace();
                        FtUtil.log_d("UICommanderBringUpChecker", "GridViewUpdateTask.doInBackground", "mGridItemHashMap set null");
                        UICommanderBringUpChecker.this.mBringUpItemHashMap = null;
                        return false;
                    }
                }
                try {
                    UICommanderBringUpChecker.this.mBringUpItemHashMap = new ArrayList();
                    JSONObject objRoot = new JSONObject(sb.toString());
                    JSONArray bringUpArray = (JSONArray) objRoot.get("SelfCheckItems");
                    int i2 = 0;
                    while (i2 < bringUpArray.length()) {
                        JSONObject bringUpCheckItem = (JSONObject) bringUpArray.get(i2);
                        FtUtil.log_d("UICommanderBringUpChecker", "GridViewUpdateTask.doInBackground", "bringUpCheckItem:" + bringUpCheckItem.toString());
                        String bringUpCheckName = (String) bringUpCheckItem.get("name");
                        String bringUpCheckLoopCount = (String) bringUpCheckItem.get("loop_count");
                        ArrayList<UICommanderService.ScenarioItem> bringUpCheckScenario = new ArrayList<>();
                        JSONArray bringUpCheckItemScenario = (JSONArray) bringUpCheckItem.get("scenario");
                        int j = 0;
                        while (j < bringUpCheckItemScenario.length()) {
                            JSONObject bringUpCheckItemScenarioElement = (JSONObject) bringUpCheckItemScenario.get(j);
                            try {
                            } catch (JSONException e10) {
                                e = e10;
                                e.printStackTrace();
                                FtUtil.log_d("UICommanderBringUpChecker", "GridViewUpdateTask.doInBackground", "mGridItemHashMap set null");
                                UICommanderBringUpChecker.this.mBringUpItemHashMap = null;
                                return false;
                            }
                            try {
                                try {
                                    bringUpCheckScenario.add(new UICommanderService.ScenarioItem((String) bringUpCheckItemScenarioElement.get(UICommanderService.SCENARIO_ITEM_COMPONENT_1), (String) bringUpCheckItemScenarioElement.get(UICommanderService.SCENARIO_ITEM_COMPONENT_2), (String) bringUpCheckItemScenarioElement.get(UICommanderService.SCENARIO_ITEM_COMPONENT_3)));
                                    j++;
                                    objRoot = objRoot;
                                    sb = sb;
                                    is = is;
                                    br = br;
                                } catch (JSONException e11) {
                                    e = e11;
                                    e.printStackTrace();
                                    FtUtil.log_d("UICommanderBringUpChecker", "GridViewUpdateTask.doInBackground", "mGridItemHashMap set null");
                                    UICommanderBringUpChecker.this.mBringUpItemHashMap = null;
                                    return false;
                                }
                            } catch (JSONException e12) {
                                e = e12;
                                e.printStackTrace();
                                FtUtil.log_d("UICommanderBringUpChecker", "GridViewUpdateTask.doInBackground", "mGridItemHashMap set null");
                                UICommanderBringUpChecker.this.mBringUpItemHashMap = null;
                                return false;
                            }
                        }
                        String[] nameSplit = bringUpCheckName.split(",");
                        UICommanderBringUpChecker.this.mBringUpItemHashMap.add(new BringUpComponent(bringUpCheckName, bringUpCheckLoopCount, bringUpCheckScenario));
                        ((Set) UICommanderBringUpChecker.this.mMenu.get(0)).add(nameSplit[0]);
                        i2++;
                        objRoot = objRoot;
                        sb = sb;
                        is = is;
                        br = br;
                    }
                } catch (JSONException e13) {
                    e = e13;
                    e.printStackTrace();
                    FtUtil.log_d("UICommanderBringUpChecker", "GridViewUpdateTask.doInBackground", "mGridItemHashMap set null");
                    UICommanderBringUpChecker.this.mBringUpItemHashMap = null;
                    return false;
                }
            }
            return true;
        }

        /* access modifiers changed from: protected */
        public void onPostExecute(Boolean result) {
            super.onPostExecute((Object) result);
            FtUtil.log_d("UICommanderBringUpChecker", "GridViewUpdateTask.onPostExecute", "result:" + result);
            if (result.booleanValue()) {
                UICommanderBringUpChecker.this.updateGridMenuSet();
            }
            this.progressDialog.dismiss();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void updateGridMenuSet() {
        if (this.mGridViewAdapter != null) {
            String str = this.mUiState;
            if (str == null || "".equals(str)) {
                this.mGridViewAdapter.addAll(this.mMenu.get(0));
                this.mSelectedHistoryTv.setText("ALL");
                return;
            }
            String[] uiStateSplit = this.mUiState.split(",");
            for (int i = 0; i < this.mBringUpItemHashMap.size(); i++) {
                if (this.mBringUpItemHashMap.get(i).getName().startsWith(this.mUiState)) {
                    this.mMenu.get(uiStateSplit.length).add(this.mBringUpItemHashMap.get(i).getName().split(",")[uiStateSplit.length]);
                }
            }
            this.mGridViewAdapter.addAll(this.mMenu.get(uiStateSplit.length));
            TextView textView = this.mSelectedHistoryTv;
            textView.setText("ALL >> " + this.mUiState.replace(",", " >> "));
        }
    }

    private class SaveEfsTask extends AsyncTask<BringUpComponent, String, Boolean> {
        private ProgressDialog progressDialog;

        public SaveEfsTask(ProgressDialog progressDialog2) {
            this.progressDialog = progressDialog2;
        }

        /* access modifiers changed from: protected */
        public void onPreExecute() {
            super.onPreExecute();
            this.progressDialog.show();
        }

        /* access modifiers changed from: protected */
        public Boolean doInBackground(BringUpComponent... bringUpComponents) {
            BringUpComponent source = bringUpComponents[0];
            FtUtil.log_d("UICommanderBringUpChecker", "SaveEfsTask.doInBackground", "source:" + source.toString());
            StringBuilder bringUpValueString = new StringBuilder();
            bringUpValueString.append(":");
            int index = 0;
            Iterator<UICommanderService.ScenarioItem> it = source.getScenario().iterator();
            while (it.hasNext()) {
                UICommanderService.ScenarioItem item = it.next();
                bringUpValueString.append("WAIT" + index + "=" + item.getIntervalMs() + ":");
                bringUpValueString.append("TX" + index + "=" + item.getTxCommand() + ":");
                bringUpValueString.append("RX" + index + "=" + item.getRxMatching() + ":");
                index++;
            }
            bringUpValueString.append("LOOP=" + source.getLoopCount() + ":");
            if (index > 0) {
                publishProgress(source.getName() + "\n" + bringUpValueString.toString());
                Support.Kernel.writeNsync(Support.Kernel.UICOMMANDER_SCENARIO, bringUpValueString.toString());
            }
            return true;
        }

        /* access modifiers changed from: protected */
        public void onProgressUpdate(String... values) {
            super.onProgressUpdate((Object[]) values);
            Toast.makeText(UICommanderBringUpChecker.this, values[0], 1).show();
        }

        /* access modifiers changed from: protected */
        public void onPostExecute(Boolean result) {
            super.onPostExecute((Object) result);
            this.progressDialog.dismiss();
        }
    }
}
