package com.sec.factory.app.uicommander;

import android.os.Environment;
import com.goodix.fingerprint.utils.DelmarTestResultParser;
import com.sec.factory.support.FtUtil;
import java.io.File;
import java.io.FileOutputStream;
import java.util.ArrayList;
import java.util.HashMap;
import org.apache.poi.hssf.usermodel.HSSFCell;
import org.apache.poi.hssf.usermodel.HSSFCellStyle;
import org.apache.poi.hssf.usermodel.HSSFRow;
import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.apache.poi.ss.usermodel.HorizontalAlignment;

public class UICommanderExtractor {
    static void makeExcel(ArrayList<HashMap<String, String>> input) {
        HSSFCell cell;
        try {
            HSSFWorkbook writeBook = new HSSFWorkbook();
            HSSFSheet mySheet = writeBook.createSheet("UI Commander output");
            int i = 2;
            mySheet.setColumnWidth(2, DelmarTestResultParser.PRODUCT_TEST_TOKEN_RESULT_TSNR);
            mySheet.setColumnWidth(3, 5000);
            mySheet.setColumnWidth(4, 12000);
            HSSFCellStyle cellStyleTitle = writeBook.createCellStyle();
            HSSFCellStyle cellStyleTx = writeBook.createCellStyle();
            HSSFCellStyle cellStyleRx = writeBook.createCellStyle();
            cellStyleTitle.setWrapText(true);
            cellStyleTx.setWrapText(true);
            cellStyleRx.setWrapText(true);
            cellStyleTitle.setFillForegroundColor(48);
            cellStyleTx.setFillForegroundColor(42);
            cellStyleRx.setFillForegroundColor(43);
            cellStyleTitle.setFillPattern((short) 1);
            cellStyleTx.setFillPattern((short) 1);
            cellStyleRx.setFillPattern((short) 1);
            cellStyleTitle.setAlignment(HorizontalAlignment.CENTER);
            cellStyleTx.setAlignment(HorizontalAlignment.FILL);
            cellStyleRx.setAlignment(HorizontalAlignment.FILL);
            cellStyleTitle.setBorderRight((short) 1);
            cellStyleTitle.setBorderLeft((short) 1);
            cellStyleTitle.setBorderTop((short) 1);
            cellStyleTitle.setBorderBottom((short) 1);
            cellStyleTx.setBorderRight((short) 1);
            cellStyleTx.setBorderLeft((short) 1);
            cellStyleTx.setBorderTop((short) 1);
            cellStyleTx.setBorderBottom((short) 1);
            cellStyleRx.setBorderRight((short) 1);
            cellStyleRx.setBorderLeft((short) 1);
            cellStyleRx.setBorderTop((short) 1);
            cellStyleRx.setBorderBottom((short) 1);
            HSSFRow row = mySheet.createRow(3);
            HSSFCell cell2 = row.createCell(2);
            cell2.setCellValue(UICommanderService.UI_UPDATE_HASHMAP_KEY_2);
            cell2.setCellStyle(cellStyleTitle);
            HSSFCell cell3 = row.createCell(3);
            cell3.setCellValue("TX");
            cell3.setCellStyle(cellStyleTitle);
            HSSFCell cell4 = row.createCell(4);
            cell4.setCellValue("RX");
            cell4.setCellStyle(cellStyleTitle);
            int i2 = 0;
            while (i2 < input.size()) {
                HSSFRow row2 = mySheet.createRow(i2 + 4);
                HSSFCell cell5 = row2.createCell(i);
                String stringTimestamp = input.get(i2).get(UICommanderService.UI_UPDATE_HASHMAP_KEY_2);
                String stringTxRx = input.get(i2).get("data");
                cell5.setCellValue(stringTimestamp);
                if (!(stringTimestamp == null || stringTxRx == null)) {
                    if (stringTimestamp.startsWith("TX")) {
                        cell5.setCellStyle(cellStyleTx);
                    } else {
                        cell5.setCellStyle(cellStyleRx);
                    }
                    if (stringTimestamp.startsWith("TX")) {
                        cell = row2.createCell(3);
                        cell.setCellStyle(cellStyleTx);
                    } else {
                        cell = row2.createCell(4);
                        cell.setCellStyle(cellStyleRx);
                    }
                    cell.setCellValue(stringTxRx);
                }
                i2++;
                i = 2;
            }
            File outputFolder = new File(Environment.getExternalStorageDirectory().getPath() + "/uicommander");
            if (!outputFolder.exists()) {
                outputFolder.mkdirs();
            }
            File outputFile = new File(outputFolder, "uicommander_output.xls");
            FtUtil.log_d("UICommanderExtractor", "makeExcel", "outputFile path:" + outputFile.getAbsolutePath());
            FileOutputStream output = new FileOutputStream(outputFile);
            writeBook.write(output);
            output.close();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
