package com.sec.factory.app.uicommander;

import android.app.ActionBar;
import android.app.Activity;
import android.app.ProgressDialog;
import android.content.res.Resources;
import android.os.AsyncTask;
import android.os.Bundle;
import android.os.Environment;
import android.text.TextUtils;
import android.util.TypedValue;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Spinner;
import android.widget.SpinnerAdapter;
import android.widget.TableLayout;
import android.widget.TableRow;
import android.widget.Toast;
import android.widget.ToggleButton;
import com.sec.factory.R;
import com.sec.factory.app.uicommander.UICommanderService;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.LinkedHashMap;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

public class UICommanderScenarioEditor extends Activity implements View.OnClickListener {
    private static final int FROM_APP = 1;
    private static final int FROM_SDCARD = 2;
    private EditText mLoopCountEdit;
    ProgressDialog mProgressDialog;
    private Button mScenarioEditAddRowButton;
    private Button mScenarioEditClearTableButton;
    private Button mScenarioEditExitButton;
    private Button mScenarioEditLoadButton;
    private Button mScenarioEditSaveButton;
    private ArrayAdapter<String> mSelfCheckAdapter;
    private LinkedHashMap<String, SelfCheckComponent> mSelfCheckHashMap;
    private Spinner mSelfCheckSpinner;
    private ToggleButton mSpinnerListSelectButton;
    private TableLayout mTableLayoutDepot;
    private ArrayList<String> scenarioArrayRx;
    private ArrayList<String> scenarioArrayTx;
    private ArrayList<String> scenarioArrayWait;
    private int scenarioListCount = 0;
    private int scenarioLoopCount = 1;

    private void initialize() {
        ActionBar actionBar = getActionBar();
        actionBar.setTitle(getResources().getString(R.string.uicommander_scenario_editor_title));
        actionBar.setDisplayShowHomeEnabled(false);
        actionBar.setDisplayUseLogoEnabled(false);
        this.mSpinnerListSelectButton = (ToggleButton) findViewById(R.id.bt_scenario_editor_list_from);
        this.mScenarioEditAddRowButton = (Button) findViewById(R.id.bt_scenario_editor_add_row);
        this.mScenarioEditClearTableButton = (Button) findViewById(R.id.bt_scenario_editor_clear);
        this.mScenarioEditSaveButton = (Button) findViewById(R.id.bt_scenario_editor_save);
        this.mScenarioEditLoadButton = (Button) findViewById(R.id.bt_scenario_editor_load);
        this.mScenarioEditExitButton = (Button) findViewById(R.id.bt_scenario_editor_exit);
        EditText editText = (EditText) findViewById(R.id.et_scenario_editor_loop_count);
        this.mLoopCountEdit = editText;
        editText.setText(EgisFingerprint.MAJOR_VERSION);
        this.mSpinnerListSelectButton.setOnClickListener(this);
        this.mScenarioEditAddRowButton.setOnClickListener(this);
        this.mScenarioEditClearTableButton.setOnClickListener(this);
        this.mScenarioEditSaveButton.setOnClickListener(this);
        this.mScenarioEditLoadButton.setOnClickListener(this);
        this.mScenarioEditExitButton.setOnClickListener(this);
        ProgressDialog progressDialog = new ProgressDialog(this);
        this.mProgressDialog = progressDialog;
        progressDialog.setIndeterminate(true);
        this.mProgressDialog.setMessage("Now Updating Spinner List");
        this.mProgressDialog.setCancelable(false);
        this.mTableLayoutDepot = (TableLayout) findViewById(R.id.scenario_table_depot);
        this.mSelfCheckSpinner = (Spinner) findViewById(R.id.list_item_spinner);
        ArrayAdapter<String> arrayAdapter = new ArrayAdapter<>(this, 17367048);
        this.mSelfCheckAdapter = arrayAdapter;
        arrayAdapter.setDropDownViewResource(17367049);
        this.mSelfCheckSpinner.setAdapter((SpinnerAdapter) this.mSelfCheckAdapter);
        this.mSelfCheckSpinner.setOnItemSelectedListener(new AdapterView.OnItemSelectedListener() {
            /* class com.sec.factory.app.uicommander.UICommanderScenarioEditor.AnonymousClass1 */

            @Override // android.widget.AdapterView.OnItemSelectedListener
            public void onItemSelected(AdapterView<?> parent, View view, int position, long id) {
                String itemName = parent.getItemAtPosition(position).toString();
                Toast.makeText(UICommanderScenarioEditor.this, itemName, 0).show();
                if (UICommanderScenarioEditor.this.mSelfCheckHashMap != null && UICommanderScenarioEditor.this.mSelfCheckHashMap.containsKey(itemName)) {
                    UICommanderScenarioEditor uICommanderScenarioEditor = UICommanderScenarioEditor.this;
                    uICommanderScenarioEditor.setScenarioViewArray((SelfCheckComponent) uICommanderScenarioEditor.mSelfCheckHashMap.get(itemName));
                    UICommanderScenarioEditor.this.displayTable();
                }
            }

            @Override // android.widget.AdapterView.OnItemSelectedListener
            public void onNothingSelected(AdapterView<?> adapterView) {
            }
        });
    }

    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        FtUtil.log_d("UICommanderScenarioEditor", "onCreate", "start");
        setContentView(R.layout.uicommander_scenario_editor);
        getWindow().addFlags(128);
        FtUtil.setDisplayCutOutMode(getWindow(), 1);
        initialize();
        FtUtil.log_d("UICommanderScenarioEditor", "onCreate", "execute SpinnerListSetupTask(FROM_APP)");
        new SpinnerListSetupTask(this.mProgressDialog).execute("FROM_APP");
        FtUtil.log_d("UICommanderScenarioEditor", "onCreate", "end");
    }

    /* access modifiers changed from: protected */
    public void onResume() {
        super.onResume();
        FtUtil.log_d("UICommanderScenarioEditor", "onResume", null);
    }

    /* access modifiers changed from: protected */
    public void onStop() {
        super.onStop();
    }

    /* access modifiers changed from: protected */
    public void onPause() {
        super.onPause();
    }

    /* access modifiers changed from: protected */
    public void onDestroy() {
        super.onDestroy();
    }

    public void onClick(View v) {
        int tableDepotChildLength;
        int i = 1;
        switch (v.getId()) {
            case R.id.bt_scenario_editor_add_row:
                FtUtil.log_d("UICommanderScenarioEditor", "onClick", "bt_scenario_editor_add_row");
                this.mTableLayoutDepot.addView(setTableItemText(String.valueOf(this.mTableLayoutDepot.getChildCount()), "", "", ""));
                return;
            case R.id.bt_scenario_editor_clear:
                FtUtil.log_d("UICommanderScenarioEditor", "onClick", "bt_scenario_editor_clear");
                this.scenarioArrayWait.clear();
                this.scenarioArrayTx.clear();
                this.scenarioArrayRx.clear();
                this.scenarioListCount = 0;
                this.scenarioLoopCount = 1;
                displayTable();
                return;
            case R.id.bt_scenario_editor_exit:
                FtUtil.log_d("UICommanderScenarioEditor", "onClick", "bt_scenario_editor_exit");
                finish();
                return;
            case R.id.bt_scenario_editor_list_from:
                FtUtil.log_d("UICommanderScenarioEditor", "onClick", "bt_scenario_editor_list_from, checked:" + this.mSpinnerListSelectButton.isChecked());
                if (this.mSpinnerListSelectButton.isChecked()) {
                    FtUtil.log_d("UICommanderScenarioEditor", "onClick", "bt_scenario_editor_list_from, execute SpinnerListSetupTask(FROM_SDCARD)");
                    new SpinnerListSetupTask(this.mProgressDialog).execute("FROM_SDCARD");
                    return;
                }
                FtUtil.log_d("UICommanderScenarioEditor", "onClick", "bt_scenario_editor_list_from, execute SpinnerListSetupTask(FROM_APP)");
                new SpinnerListSetupTask(this.mProgressDialog).execute("FROM_APP");
                return;
            case R.id.bt_scenario_editor_load:
                FtUtil.log_d("UICommanderScenarioEditor", "onClick", "bt_scenario_editor_load");
                parseScenarioFromEfs();
                displayTable();
                return;
            case R.id.bt_scenario_editor_save:
                FtUtil.log_d("UICommanderScenarioEditor", "onClick", "bt_scenario_editor_save");
                int tableDepotChildLength2 = this.mTableLayoutDepot.getChildCount();
                StringBuilder scenarioValueString = new StringBuilder();
                scenarioValueString.append(":");
                String scenarioWait = null;
                String scenarioTx = null;
                String scenarioRx = null;
                int i2 = 0;
                while (true) {
                    if (i2 < tableDepotChildLength2 - 1) {
                        View view = this.mTableLayoutDepot.getChildAt(i2 + 1);
                        if (view instanceof TableRow) {
                            TableRow row = (TableRow) view;
                            View viewChildWait = row.getChildAt(i);
                            if (viewChildWait instanceof EditText) {
                                scenarioWait = ((EditText) viewChildWait).getText().toString();
                            }
                            View viewChildTx = row.getChildAt(2);
                            if (viewChildTx instanceof EditText) {
                                scenarioTx = ((EditText) viewChildTx).getText().toString();
                            }
                            View viewChildRx = row.getChildAt(3);
                            if (viewChildRx instanceof EditText) {
                                scenarioRx = ((EditText) viewChildRx).getText().toString();
                            }
                            if (!TextUtils.isEmpty(scenarioTx)) {
                                StringBuilder sb = new StringBuilder();
                                tableDepotChildLength = tableDepotChildLength2;
                                sb.append("WAIT");
                                sb.append(i2);
                                sb.append("=");
                                sb.append(scenarioWait);
                                sb.append(":");
                                scenarioValueString.append(sb.toString());
                                scenarioValueString.append("TX" + i2 + "=" + scenarioTx + ":");
                                scenarioValueString.append("RX" + i2 + "=" + scenarioRx + ":");
                                StringBuilder sb2 = new StringBuilder();
                                sb2.append("bt_scenario_editor_save: scenarioValueString = ");
                                sb2.append(scenarioValueString.toString());
                                FtUtil.log_d("UICommanderScenarioEditor", "onClick", sb2.toString());
                            }
                        } else {
                            tableDepotChildLength = tableDepotChildLength2;
                        }
                        i2++;
                        tableDepotChildLength2 = tableDepotChildLength;
                        i = 1;
                    }
                }
                String loopCountString = this.mLoopCountEdit.getText().toString();
                if (TextUtils.isEmpty(loopCountString)) {
                    loopCountString = EgisFingerprint.MAJOR_VERSION;
                }
                scenarioValueString.append("LOOP=" + loopCountString + ":");
                StringBuilder sb3 = new StringBuilder();
                sb3.append("bt_scenario_editor_save: LOOP = ");
                sb3.append(loopCountString);
                FtUtil.log_d("UICommanderScenarioEditor", "onClick", sb3.toString());
                if (i2 > 0) {
                    Support.Kernel.writeNsync(Support.Kernel.UICOMMANDER_SCENARIO, scenarioValueString.toString());
                    Toast toast = Toast.makeText(this, scenarioValueString.toString(), 0);
                    toast.setGravity(17, 0, 0);
                    toast.show();
                    return;
                }
                return;
            default:
                return;
        }
    }

    private void parseScenarioFromEfs() {
        FtUtil.log_d("UICommanderScenarioEditor", "parseScenarioFromEfs", "start");
        this.scenarioArrayWait = new ArrayList<>();
        this.scenarioArrayTx = new ArrayList<>();
        this.scenarioArrayRx = new ArrayList<>();
        String fullValueString = Support.Kernel.read(Support.Kernel.UICOMMANDER_SCENARIO);
        this.scenarioListCount = 0;
        if (!TextUtils.isEmpty(fullValueString)) {
            String[] scenarioStrings = fullValueString.split(":");
            for (String str : scenarioStrings) {
                if (str.startsWith("WAIT")) {
                    String temp = str.substring(str.indexOf("=") + 1);
                    if (TextUtils.isEmpty(temp)) {
                        temp = "0";
                    }
                    this.scenarioArrayWait.add(temp);
                } else if (str.startsWith("TX")) {
                    this.scenarioArrayTx.add(str.substring(str.indexOf("=") + 1));
                    this.scenarioListCount++;
                } else if (str.startsWith("RX")) {
                    this.scenarioArrayRx.add(str.substring(str.indexOf("=") + 1));
                } else if (str.startsWith("LOOP")) {
                    String temp2 = str.substring(str.indexOf("=") + 1);
                    if (TextUtils.isEmpty(temp2)) {
                        temp2 = EgisFingerprint.MAJOR_VERSION;
                    }
                    this.scenarioLoopCount = Integer.parseInt(temp2);
                }
            }
            for (int i = 0; i < this.scenarioListCount; i++) {
                FtUtil.log_d("UICommanderScenarioEditor", "parseScenarioFromEfs", "scenarioArrayWait[" + i + "] = " + this.scenarioArrayWait.get(i));
                FtUtil.log_d("UICommanderScenarioEditor", "parseScenarioFromEfs", "scenarioArrayTx[" + i + "] = " + this.scenarioArrayTx.get(i));
                FtUtil.log_d("UICommanderScenarioEditor", "parseScenarioFromEfs", "scenarioArrayRx[" + i + "] = " + this.scenarioArrayRx.get(i));
            }
            FtUtil.log_d("UICommanderScenarioEditor", "parseScenarioFromEfs", "scenarioLoopCount = " + this.scenarioLoopCount);
        }
        FtUtil.log_d("UICommanderScenarioEditor", "parseScenarioFromEfs", "end");
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean setScenarioViewArray(SelfCheckComponent item) {
        FtUtil.log_d("UICommanderScenarioEditor", "setScenarioViewArray", "start");
        if (item == null) {
            return false;
        }
        this.scenarioArrayWait = new ArrayList<>();
        this.scenarioArrayTx = new ArrayList<>();
        this.scenarioArrayRx = new ArrayList<>();
        item.getName();
        String scenarioLoopCountString = item.getLoopCount();
        if (TextUtils.isEmpty(scenarioLoopCountString)) {
            scenarioLoopCountString = EgisFingerprint.MAJOR_VERSION;
        }
        this.scenarioLoopCount = Integer.parseInt(scenarioLoopCountString);
        ArrayList<UICommanderService.ScenarioItem> scenarioList = item.getScenario();
        this.scenarioListCount = scenarioList.size();
        Iterator<UICommanderService.ScenarioItem> it = scenarioList.iterator();
        while (it.hasNext()) {
            UICommanderService.ScenarioItem listItem = it.next();
            this.scenarioArrayWait.add(listItem.getIntervalMs());
            this.scenarioArrayTx.add(listItem.getTxCommand());
            this.scenarioArrayRx.add(listItem.getRxMatching());
        }
        return true;
    }

    private void clearTable() {
        FtUtil.log_d("UICommanderScenarioEditor", "clearTable", null);
        this.mTableLayoutDepot.removeAllViews();
        this.mLoopCountEdit.setText(EgisFingerprint.MAJOR_VERSION);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void displayTable() {
        FtUtil.log_d("UICommanderScenarioEditor", "displayTable", "start, scenarioListCount: " + this.scenarioListCount);
        clearTable();
        this.mTableLayoutDepot.addView(setTableItemText("", "WAIT", "TX", "RX"));
        if (this.scenarioListCount > 0) {
            for (int i = 0; i < this.scenarioListCount; i++) {
                this.mTableLayoutDepot.addView(setTableItemText(String.valueOf(i + 1), this.scenarioArrayWait.get(i), this.scenarioArrayTx.get(i), this.scenarioArrayRx.get(i)));
            }
        } else {
            for (int i2 = 0; i2 < 10; i2++) {
                this.mTableLayoutDepot.addView(setTableItemText(String.valueOf(i2 + 1), "", "", ""));
            }
        }
        this.mLoopCountEdit.setText(String.valueOf(this.scenarioLoopCount));
        FtUtil.log_d("UICommanderScenarioEditor", "displayTable", "end");
    }

    private TableRow setTableItemText(String indexValue, String waitValue, String txValue, String rxValue) {
        TableRow tableRow = new TableRow(this);
        EditText tableItemViewIndex = (EditText) getLayoutInflater().inflate(R.layout.uicommander_scenario_editor_table_index, (ViewGroup) null);
        EditText tableItemViewWait = (EditText) getLayoutInflater().inflate(R.layout.uicommander_scenario_editor_table_item, (ViewGroup) null);
        EditText tableItemViewTx = (EditText) getLayoutInflater().inflate(R.layout.uicommander_scenario_editor_table_item, (ViewGroup) null);
        EditText tableItemViewRx = (EditText) getLayoutInflater().inflate(R.layout.uicommander_scenario_editor_table_item, (ViewGroup) null);
        tableItemViewIndex.setText(indexValue);
        tableItemViewWait.setText(waitValue);
        tableItemViewTx.setText(txValue);
        tableItemViewRx.setText(rxValue);
        tableRow.addView(tableItemViewIndex);
        tableRow.addView(tableItemViewWait);
        tableRow.addView(tableItemViewTx);
        tableRow.addView(tableItemViewRx);
        setMarginsByDp(tableItemViewIndex, 1, 1, 1, 1);
        setMarginsByDp(tableItemViewWait, 1, 1, 1, 1);
        setMarginsByDp(tableItemViewTx, 1, 1, 1, 1);
        setMarginsByDp(tableItemViewRx, 1, 1, 1, 1);
        return tableRow;
    }

    private void setMarginsByDp(View view, int left, int top, int right, int bottom) {
        int leftPx = dpToPx((float) left);
        int topPx = dpToPx((float) top);
        int rightPx = dpToPx((float) right);
        int bottomPx = dpToPx((float) bottom);
        if (view.getLayoutParams() instanceof ViewGroup.MarginLayoutParams) {
            ((ViewGroup.MarginLayoutParams) view.getLayoutParams()).setMargins(leftPx, topPx, rightPx, bottomPx);
            view.requestLayout();
        }
    }

    private int dpToPx(float dp) {
        return (int) TypedValue.applyDimension(1, dp, getResources().getDisplayMetrics());
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* JADX WARNING: Removed duplicated region for block: B:73:0x01ab A[SYNTHETIC, Splitter:B:73:0x01ab] */
    /* JADX WARNING: Removed duplicated region for block: B:78:0x01b5 A[SYNTHETIC, Splitter:B:78:0x01b5] */
    private LinkedHashMap<String, SelfCheckComponent> generateSelfCheckHashMap(int resFrom) {
        JSONException e;
        JSONException jSONException;
        FtUtil.log_d("UICommanderScenarioEditor", "generateSelfCheckHashMap", "start, resFrom:" + resFrom);
        StringBuilder sb = new StringBuilder();
        if (resFrom == 2) {
            String path = Environment.getExternalStorageDirectory().getPath() + "/uicommander/scenario.json";
            FtUtil.log_d("UICommanderScenarioEditor", "generateSelfCheckHashMap", "FROM_SDCARD, file path:" + path);
            if (FtUtil.isReadable(path)) {
                sb.append(FtUtil.readFromFile(path));
            } else {
                FtUtil.log_d("UICommanderScenarioEditor", "generateSelfCheckHashMap", "FROM_SDCARD, file is not readable");
            }
        } else {
            InputStream is = null;
            BufferedReader br = null;
            try {
                InputStream is2 = getResources().openRawResource(R.raw.uicommander_self_check);
                BufferedReader br2 = new BufferedReader(new InputStreamReader(is2));
                while (true) {
                    String line = br2.readLine();
                    if (line == null) {
                        break;
                    }
                    sb.append(line);
                    sb.append("\n");
                }
                if (is2 != null) {
                    try {
                        is2.close();
                    } catch (IOException e2) {
                    }
                }
                try {
                    br2.close();
                } catch (IOException e3) {
                }
            } catch (Resources.NotFoundException e4) {
                FtUtil.log_d("UICommanderScenarioEditor", "generateSelfCheckHashMap", "FROM_APP, R.raw.uicommander_self_check is not found");
                if (0 != 0) {
                    try {
                        is.close();
                    } catch (IOException e5) {
                    }
                }
                if (0 != 0) {
                    br.close();
                }
            } catch (IOException e6) {
                e6.printStackTrace();
                if (0 != 0) {
                    try {
                        is.close();
                    } catch (IOException e7) {
                    }
                }
                if (0 != 0) {
                    br.close();
                }
            } catch (Throwable e8) {
                jSONException = e8;
                if (0 != 0) {
                }
                if (0 != 0) {
                }
                throw jSONException;
            }
        }
        try {
            LinkedHashMap<String, SelfCheckComponent> selfCheckHashMap = new LinkedHashMap<>();
            JSONObject objRoot = new JSONObject(sb.toString());
            JSONArray selfCheckArray = (JSONArray) objRoot.get("SelfCheckItems");
            int i = 0;
            while (i < selfCheckArray.length()) {
                JSONObject selfCheckItem = (JSONObject) selfCheckArray.get(i);
                FtUtil.log_d("UICommanderScenarioEditor", "generateSelfCheckHashMap", "selfCheckItem:" + selfCheckItem.toString());
                String selfCheckName = (String) selfCheckItem.get("name");
                String selfCheckLoopCount = (String) selfCheckItem.get("loop_count");
                ArrayList<UICommanderService.ScenarioItem> selfCheckScenario = new ArrayList<>();
                JSONArray selfCheckItemScenario = (JSONArray) selfCheckItem.get("scenario");
                int j = 0;
                while (j < selfCheckItemScenario.length()) {
                    JSONObject selfCheckItemScenarioElement = (JSONObject) selfCheckItemScenario.get(j);
                    try {
                        selfCheckScenario.add(new UICommanderService.ScenarioItem((String) selfCheckItemScenarioElement.get(UICommanderService.SCENARIO_ITEM_COMPONENT_1), (String) selfCheckItemScenarioElement.get(UICommanderService.SCENARIO_ITEM_COMPONENT_2), (String) selfCheckItemScenarioElement.get(UICommanderService.SCENARIO_ITEM_COMPONENT_3)));
                        j++;
                        sb = sb;
                        objRoot = objRoot;
                    } catch (JSONException e9) {
                        e = e9;
                        e.printStackTrace();
                        FtUtil.log_d("UICommanderScenarioEditor", "generateSelfCheckHashMap", "return selfCheckHashMap: null");
                        return null;
                    }
                }
                try {
                    selfCheckHashMap.put(selfCheckName, new SelfCheckComponent(selfCheckName, selfCheckLoopCount, selfCheckScenario));
                    i++;
                    sb = sb;
                    objRoot = objRoot;
                } catch (JSONException e10) {
                    e = e10;
                    e.printStackTrace();
                    FtUtil.log_d("UICommanderScenarioEditor", "generateSelfCheckHashMap", "return selfCheckHashMap: null");
                    return null;
                }
            }
            return selfCheckHashMap;
        } catch (JSONException e11) {
            e = e11;
            e.printStackTrace();
            FtUtil.log_d("UICommanderScenarioEditor", "generateSelfCheckHashMap", "return selfCheckHashMap: null");
            return null;
        }
    }

    /* access modifiers changed from: private */
    public class SelfCheckComponent {
        private String loopCount;
        private String name;
        private ArrayList<UICommanderService.ScenarioItem> scenario;

        public SelfCheckComponent(String name2, String loopCount2, ArrayList<UICommanderService.ScenarioItem> scenario2) {
            this.name = name2;
            this.loopCount = loopCount2;
            this.scenario = scenario2;
        }

        public String getName() {
            return this.name;
        }

        public void setName(String name2) {
            this.name = name2;
        }

        public String getLoopCount() {
            return this.loopCount;
        }

        public void setLoopCount(String loopCount2) {
            this.loopCount = loopCount2;
        }

        public ArrayList<UICommanderService.ScenarioItem> getScenario() {
            return this.scenario;
        }

        public void setScenario(ArrayList<UICommanderService.ScenarioItem> scenario2) {
            this.scenario = scenario2;
        }
    }

    private class SpinnerListSetupTask extends AsyncTask<String, String, Boolean> {
        private ProgressDialog progressDialog;

        public SpinnerListSetupTask(ProgressDialog progressDialog2) {
            this.progressDialog = progressDialog2;
        }

        /* access modifiers changed from: protected */
        public void onPreExecute() {
            super.onPreExecute();
            this.progressDialog.show();
            UICommanderScenarioEditor.this.mSelfCheckAdapter.clear();
        }

        /* access modifiers changed from: protected */
        public Boolean doInBackground(String... strings) {
            if (TextUtils.equals(strings[0], "FROM_SDCARD")) {
                UICommanderScenarioEditor uICommanderScenarioEditor = UICommanderScenarioEditor.this;
                uICommanderScenarioEditor.mSelfCheckHashMap = uICommanderScenarioEditor.generateSelfCheckHashMap(2);
            } else {
                UICommanderScenarioEditor uICommanderScenarioEditor2 = UICommanderScenarioEditor.this;
                uICommanderScenarioEditor2.mSelfCheckHashMap = uICommanderScenarioEditor2.generateSelfCheckHashMap(1);
            }
            if (UICommanderScenarioEditor.this.mSelfCheckHashMap == null) {
                return false;
            }
            FtUtil.log_d("UICommanderScenarioEditor", "SpinnerListSetupTask.doInBackground", "mSelfCheckHashMap:" + UICommanderScenarioEditor.this.mSelfCheckHashMap.toString());
            return true;
        }

        /* access modifiers changed from: protected */
        public void onProgressUpdate(String... values) {
            super.onProgressUpdate((Object[]) values);
        }

        /* access modifiers changed from: protected */
        public void onPostExecute(Boolean result) {
            super.onPostExecute((Object) result);
            if (result.booleanValue()) {
                UICommanderScenarioEditor.this.mSelfCheckAdapter.addAll(new ArrayList(UICommanderScenarioEditor.this.mSelfCheckHashMap.keySet()));
                this.progressDialog.dismiss();
                return;
            }
            FtUtil.log_d("UICommanderScenarioEditor", "SpinnerListSetupTask.onPostExecute", "result:false, Can NOT access list file");
            this.progressDialog.dismiss();
            Toast.makeText(UICommanderScenarioEditor.this, "Can NOT access list file", 1).show();
        }
    }
}
