package com.sec.factory.common;

import android.content.Context;
import android.hardware.Sensor;
import android.hardware.SensorEvent;
import android.hardware.SensorEventListener;
import android.hardware.SensorManager;
import com.sec.factory.sensors.SensorListener;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.text.DecimalFormat;
import java.text.DecimalFormatSymbols;
import java.util.ArrayList;

public class CommonHRM implements SensorEventListener, SensorListener {
    public static int ATCMD = 0;
    public static final int IR_RED = 1;
    public static final String SENSOR_NAME_MAX86915 = "MAX86915";
    public static final String SENSOR_NAME_MAX86917 = "MAX86917";
    private String CLASS_NAME = "CommonHRM";
    public String HRM_DeviceID;
    public String HRM_NAME;
    public String HRM_VENDOR = "MAXIM";
    public String[] HRM_spec_data;
    private int Index;
    private String[] Measure;
    private String[] Result;
    private int TEST_ID;
    public final int UV = 0;
    public int[] dataCloud;
    public boolean isCloudTest = false;
    public String[] itemName;
    private final String[] itemName_ADI = {"Frequency", "Red Low DC", "IR Low DC", "Red MID DC", "IR MID DC", "Red MID Squared Noise", "IR MID Squared Noise", "Red High DC", "IR High DC"};
    private final String[] itemName_ADI_OLD = {"IR Frequency", "IR AC Level", "IR DC Level", "IR Noise Level", "RED DC Level"};
    private final String[] itemName_MAXIM = {"P_IR AC/DC Ratio", "F_IR Frequency", "F_IR DC Level", "F_IR Noise Level", "P_RED AC/DC Ratio", "F_RED Frequency", "F_RED DC Level", "F_RED Noise Level"};
    private final String[] itemName_MAXIM_Cloud = {"Cloud UV Ratio", "IR/RED R Ratio"};
    private final String[] itemName_MAXIM_NEW = {"System Noise", "IR Low DC Level", "RED Low DC Level", "IR Mid DC Level", "RED Mid DC Level", "IR High DC Level", "RED High DC Level", "IR Noise Level", "RED Noise Level", "Frequency"};
    private final String[] itemName_MAXIM_SPO2 = {"P_IR AC Level", "P_IR DC Level", "P_RED AC Level", "P_RED DC Level", "SpO2"};
    private final String[] itemName_MAXIM_XTC = {"System Noise", "IR Low DC Level", "RED Low DC Level", "Green Low DC Level", "Blue Low DC Level", "IR Mid DC Level", "RED Mid DC Level", "Green Mid DC Level", "Blue Mid DC Level", "IR High DC Level", "RED High DC Level", "Green High DC Level", "Blue High DC Level", "IR X-talk Cancell DC Level", "Red X-talk Cancell DC Level", "Green X-talk Cancell DC Level", "Blue X-talk Cancell DC Level", "IR Noise Level", "RED Noise Level", "Green Noise Level", "Blue Noise Level", "Frequency"};
    private final String[] itemName_PARTRON = {"IR Frequency", "IR Low DC", "IR HI DC", "IR AC", "IR AC/DC Ratio", "IR Noise", "RED Low DC", "RED HI DC", "RED AC", "RED AC/DC Ratio", "RED Noise", "IR/RED R Ratio"};
    public final boolean[] itemUsable_MAXIM_Cloud = {false, false};
    private Sensor mBIOSensor;
    public String[] mBufferCloud;
    public boolean mCloud_Status = false;
    private Context mContext;
    private DecimalFormat mFormat;
    private Sensor mHRMSensor;
    private SensorManager mSensorManager;
    public boolean mSpecResult = true;
    private DecimalFormat mThreeFormat;
    public String[] measureString;
    private float[] mfloatData = new float[100];
    public boolean mhtm_Status = false;
    public String[] resultString;
    private float uv_ratio;

    public CommonHRM(Context context, int testId, String callerName) {
        this.CLASS_NAME = callerName + "(" + this.CLASS_NAME + ")";
        this.mContext = context;
        this.TEST_ID = testId;
        try {
            this.HRM_VENDOR = Support.Kernel.read(Support.Kernel.HRM_VENDOR).toUpperCase();
            String str = this.CLASS_NAME;
            FtUtil.log_i(str, "onCreate", "VENDOR : " + this.HRM_VENDOR);
            String read = Support.Kernel.read(Support.Kernel.HRM_SENSOR_NAME);
            this.HRM_NAME = read;
            if (read != null) {
                this.HRM_NAME = read.toUpperCase();
            }
            String str2 = this.CLASS_NAME;
            FtUtil.log_i(str2, "onCreate", "NAME : " + this.HRM_NAME);
            this.HRM_DeviceID = Support.Kernel.read(Support.Kernel.HRM_DEVICE_ID);
            if ("OSRAM".equalsIgnoreCase(this.HRM_VENDOR)) {
                this.HRM_VENDOR = "MAXIM";
                FtUtil.log_d(this.CLASS_NAME, "CommonHRM", "Change the HRM vendor name(OSRAM) to MAXIM temporary");
            }
            if ("SFH7832".equalsIgnoreCase(this.HRM_NAME)) {
                this.HRM_NAME = SENSOR_NAME_MAX86915;
                FtUtil.log_d(this.CLASS_NAME, "CommonHRM", "Change the HRM chip name(SFH7832) to MAX86915 temporary");
            }
        } catch (NullPointerException ne) {
            FtUtil.log_e(ne);
        }
        setPreCondition();
        readTestSpec();
        DecimalFormatSymbols paramDecimalFormatSymbols = new DecimalFormatSymbols();
        paramDecimalFormatSymbols.setDecimalSeparator('.');
        this.mFormat = new DecimalFormat("#.##", paramDecimalFormatSymbols);
        this.mThreeFormat = new DecimalFormat("#.###", paramDecimalFormatSymbols);
    }

    private void setPreCondition() {
        ArrayList<String> testList = new ArrayList<>();
        if ("MAXIM".equals(this.HRM_VENDOR)) {
            this.isCloudTest = true;
            String subStrHRMSensorName = this.HRM_NAME.substring(0, 7);
            if ("MAX8690".equalsIgnoreCase(subStrHRMSensorName) || "MAX8691".equalsIgnoreCase(subStrHRMSensorName)) {
                this.isCloudTest = false;
            } else {
                boolean[] zArr = this.itemUsable_MAXIM_Cloud;
                zArr[0] = true;
                zArr[1] = true;
            }
            if (this.isCloudTest) {
                FtUtil.log_i(this.CLASS_NAME, "setPreCondition", "Enable to Cloud Detection Test");
            }
        }
        if ("MAXIM".equals(this.HRM_VENDOR)) {
            if (this.HRM_NAME.contains(SENSOR_NAME_MAX86915) || this.HRM_NAME.contains(SENSOR_NAME_MAX86917)) {
                int i = 0;
                while (true) {
                    String[] strArr = this.itemName_MAXIM_XTC;
                    if (i >= strArr.length) {
                        break;
                    }
                    testList.add(strArr[i]);
                    i++;
                }
            } else {
                int i2 = 0;
                while (true) {
                    String[] strArr2 = this.itemName_MAXIM;
                    if (i2 >= strArr2.length) {
                        break;
                    }
                    testList.add(strArr2[i2]);
                    i2++;
                }
            }
            if (this.isCloudTest) {
                if (this.itemUsable_MAXIM_Cloud[0]) {
                    testList.add(this.itemName_MAXIM_Cloud[0]);
                }
                if (this.itemUsable_MAXIM_Cloud[1]) {
                    testList.add(this.itemName_MAXIM_Cloud[1]);
                }
            }
            this.itemName = new String[testList.size()];
            for (int i3 = 0; i3 < testList.size(); i3++) {
                String str = this.CLASS_NAME;
                FtUtil.log_i(str, "initUI", "testItem : " + testList.get(i3));
                this.itemName[i3] = testList.get(i3);
            }
        } else if ("PARTRON".equals(this.HRM_VENDOR)) {
            this.itemName = new String[this.itemName_PARTRON.length];
            int i4 = 0;
            while (true) {
                String[] strArr3 = this.itemName_PARTRON;
                if (i4 >= strArr3.length) {
                    break;
                }
                this.itemName[i4] = strArr3[i4];
                i4++;
            }
        } else if ("ADI".equals(this.HRM_VENDOR)) {
            if (!"ADPD143RI".equals(this.HRM_NAME)) {
                this.itemName = new String[this.itemName_ADI_OLD.length];
                int i5 = 0;
                while (true) {
                    String[] strArr4 = this.itemName_ADI_OLD;
                    if (i5 >= strArr4.length) {
                        break;
                    }
                    this.itemName[i5] = strArr4[i5];
                    i5++;
                }
            } else {
                this.itemName = new String[this.itemName_ADI.length];
                int i6 = 0;
                while (true) {
                    String[] strArr5 = this.itemName_ADI;
                    if (i6 >= strArr5.length) {
                        break;
                    }
                    this.itemName[i6] = strArr5[i6];
                    i6++;
                }
            }
        }
        String[] strArr6 = this.itemName;
        this.resultString = new String[strArr6.length];
        this.measureString = new String[strArr6.length];
    }

    public void registerSysfs(boolean mStatus) {
        FtUtil.log_i(this.CLASS_NAME, "registerSysfs", "registerSysfs Node");
        if (!mStatus) {
            Support.Kernel.write(Support.Kernel.HRM_EOL_TEST, "0");
        } else if ("ADI".equals(this.HRM_VENDOR)) {
            String str = this.HRM_NAME;
            if (str != null && str.contains("142")) {
                Support.Kernel.write(Support.Kernel.HRM_LED_CURRENT, "119");
                Support.Kernel.write(Support.Kernel.HRM_MODE_IR, "0");
                Support.Kernel.write(Support.Kernel.HRM_MODE_R, "0");
            }
            Support.Kernel.write(Support.Kernel.HRM_EOL_TEST, EgisFingerprint.MAJOR_VERSION);
        } else if ("PARTRON".equals(this.HRM_VENDOR)) {
            FtUtil.log_i(this.CLASS_NAME, "registerSysfs", "PARTRON");
            Support.Kernel.write(Support.Kernel.HRM_EOL_TEST, EgisFingerprint.MAJOR_VERSION);
        } else {
            Support.Kernel.write(Support.Kernel.HRM_EOL_TEST, EgisFingerprint.MAJOR_VERSION);
        }
    }

    public void registerSysfs_UV(boolean mStatus) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "registerSysfs_UV", "registerSysfs UV node - mStatus:" + mStatus);
    }

    public void checkCloudValue() {
        String[] strArr = this.mBufferCloud;
        if (strArr == null || strArr.length != 6) {
            FtUtil.log_i(this.CLASS_NAME, "checkCloudValue", "Cloud test values are not ready");
            return;
        }
        FtUtil.log_i(this.CLASS_NAME, "checkCloudValue", "Cloud test values are ready");
        this.mCloud_Status = true;
    }

    public void HRM_OnOff(boolean OnOff) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "HRM_OnOff", "HRM Sensor OnOff : " + OnOff);
        if (OnOff) {
            SensorManager sensorManager = (SensorManager) this.mContext.getSystemService("sensor");
            this.mSensorManager = sensorManager;
            this.mBIOSensor = sensorManager.getDefaultSensor(65561);
            this.mHRMSensor = this.mSensorManager.getDefaultSensor(65562);
            this.mSensorManager.registerListener(this, this.mBIOSensor, 3);
            this.mSensorManager.registerListener(this, this.mHRMSensor, 3);
            return;
        }
        SensorManager sensorManager2 = this.mSensorManager;
        if (sensorManager2 != null) {
            sensorManager2.unregisterListener(this);
        }
    }

    public void UV_OnOff(boolean OnOff) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "UV_OnOff", "UV Sensor OnOff : " + OnOff);
    }

    public void storeCloudValue() {
        FtUtil.log_i(this.CLASS_NAME, "StoreCloudValue", "");
        String[] strArr = this.mBufferCloud;
        if (strArr != null && strArr.length > 0) {
            this.dataCloud = new int[strArr.length];
            int i = 0;
            while (true) {
                String[] strArr2 = this.mBufferCloud;
                if (i < strArr2.length) {
                    this.dataCloud[i] = Integer.parseInt(strArr2[i]);
                    i++;
                } else {
                    return;
                }
            }
        }
    }

    public void checkStatus() {
        String mStatus = Support.Kernel.read(Support.Kernel.HRM_EOL_TEST_STATUS);
        if (mStatus == null || !mStatus.equals(EgisFingerprint.MAJOR_VERSION)) {
            FtUtil.log_i(this.CLASS_NAME, "checkStatus", "Sysfs is not ready");
            return;
        }
        FtUtil.log_i(this.CLASS_NAME, "checkStatus", "Sysfs is ready");
        this.mhtm_Status = true;
    }

    /* JADX WARNING: Removed duplicated region for block: B:115:0x03b4  */
    /* JADX WARNING: Removed duplicated region for block: B:116:0x03b9  */
    /* JADX WARNING: Removed duplicated region for block: B:96:0x0348  */
    /* JADX WARNING: Removed duplicated region for block: B:97:0x034d  */
    public void updateResult() {
        char c;
        String mTempData = Support.Kernel.read(Support.Kernel.HRM_EOL_TEST_RESULT);
        if (mTempData != null) {
            String[] data = mTempData.trim().split(",");
            for (int i = 0; i < data.length; i++) {
                try {
                    this.mfloatData[i] = Float.parseFloat(data[i]);
                } catch (NumberFormatException ne) {
                    FtUtil.log_e(ne);
                }
            }
            if ("MAXIM".equals(this.HRM_VENDOR)) {
                if (this.HRM_NAME.contains(SENSOR_NAME_MAX86915) || this.HRM_NAME.contains(SENSOR_NAME_MAX86917)) {
                    for (int i2 = 0; i2 < this.itemName.length; i2++) {
                        this.measureString[i2] = String.valueOf((int) this.mfloatData[i2]);
                        if (checkSpec(data[i2], this.HRM_spec_data[i2], this.itemName[i2])) {
                            this.resultString[i2] = "PASS";
                        } else {
                            this.resultString[i2] = "FAIL";
                            this.mSpecResult = false;
                        }
                    }
                    return;
                }
                this.measureString[0] = String.valueOf(this.mFormat.format((double) this.mfloatData[4]));
                if (checkSpec(data[4], this.HRM_spec_data[0], this.itemName[0])) {
                    this.resultString[0] = "PASS";
                } else {
                    this.resultString[0] = "FAIL";
                    this.mSpecResult = false;
                }
                this.measureString[1] = String.valueOf((int) this.mfloatData[6]);
                this.measureString[5] = String.valueOf((int) this.mfloatData[7]);
                if (checkSpec(data[6], this.HRM_spec_data[1], this.itemName[1])) {
                    String[] strArr = this.resultString;
                    strArr[1] = "PASS";
                    strArr[5] = "PASS";
                } else {
                    String[] strArr2 = this.resultString;
                    strArr2[1] = "FAIL";
                    strArr2[5] = "FAIL";
                    this.mSpecResult = false;
                }
                this.measureString[2] = String.valueOf((int) this.mfloatData[8]);
                if (checkSpec(data[8], this.HRM_spec_data[2], this.itemName[2])) {
                    this.resultString[2] = "PASS";
                } else {
                    this.resultString[2] = "FAIL";
                    this.mSpecResult = false;
                }
                this.measureString[3] = String.valueOf(this.mFormat.format((double) this.mfloatData[10]));
                if (checkSpec(data[10], this.HRM_spec_data[3], this.itemName[3])) {
                    this.resultString[3] = "PASS";
                } else {
                    this.resultString[3] = "FAIL";
                    this.mSpecResult = false;
                }
                this.measureString[4] = String.valueOf(this.mFormat.format((double) this.mfloatData[5]));
                if (checkSpec(data[5], this.HRM_spec_data[4], this.itemName[4])) {
                    this.resultString[4] = "PASS";
                } else {
                    this.resultString[4] = "FAIL";
                    this.mSpecResult = false;
                }
                this.measureString[6] = String.valueOf((int) this.mfloatData[9]);
                if (checkSpec(data[9], this.HRM_spec_data[6], this.itemName[6])) {
                    this.resultString[6] = "PASS";
                } else {
                    this.resultString[6] = "FAIL";
                    this.mSpecResult = false;
                }
                this.measureString[7] = String.valueOf(this.mFormat.format((double) this.mfloatData[11]));
                if (checkSpec(data[11], this.HRM_spec_data[7], this.itemName[7])) {
                    this.resultString[7] = "PASS";
                    c = 0;
                } else {
                    this.resultString[7] = "FAIL";
                    c = 0;
                    this.mSpecResult = false;
                }
                this.Index = 8;
                int specIndex = 8;
                if (this.isCloudTest) {
                    if (this.itemUsable_MAXIM_Cloud[c]) {
                        int[] iArr = this.dataCloud;
                        float f = (((float) iArr[4]) * 100.0f) / ((float) iArr[5]);
                        this.uv_ratio = f;
                        this.measureString[8] = String.valueOf(this.mFormat.format((double) f));
                        int specIndex2 = 8 + 1;
                        if (checkSpec(String.valueOf(this.uv_ratio), this.HRM_spec_data[8], this.itemName[this.Index])) {
                            this.resultString[this.Index] = "PASS";
                        } else {
                            this.resultString[this.Index] = "FAIL";
                            this.mSpecResult = false;
                        }
                        this.Index++;
                        try {
                            FtUtil.log_i(this.CLASS_NAME, "updateResult", "uv ratio:" + this.uv_ratio);
                        } catch (NumberFormatException ne2) {
                            FtUtil.log_e(ne2);
                        }
                        specIndex = specIndex2;
                    }
                    if (this.itemUsable_MAXIM_Cloud[1]) {
                        this.measureString[this.Index] = String.valueOf(this.mThreeFormat.format((double) this.mfloatData[12]));
                        int i3 = specIndex + 1;
                        if (checkSpec(this.mThreeFormat.format((double) this.mfloatData[12]), this.HRM_spec_data[specIndex], this.itemName[this.Index])) {
                            this.resultString[this.Index] = "PASS";
                        } else {
                            this.resultString[this.Index] = "FAIL";
                            this.mSpecResult = false;
                        }
                        this.Index++;
                    }
                }
            } else if ("PARTRON".equals(this.HRM_VENDOR)) {
                for (int i4 = 0; i4 < this.itemName.length; i4++) {
                    if (i4 != 4 && i4 != 5) {
                        if (i4 != 9) {
                            if (i4 == 10) {
                                data[i4] = String.format("%.2f", Float.valueOf(this.mfloatData[i4] / 1.0E7f));
                                this.measureString[i4] = data[i4];
                                if (checkSpec(data[i4], this.HRM_spec_data[i4], this.itemName[i4])) {
                                    this.resultString[i4] = "PASS";
                                } else {
                                    this.resultString[i4] = "FAIL";
                                    this.mSpecResult = false;
                                }
                            } else {
                                if (i4 == 11) {
                                    data[i4] = String.format("%.3f", Float.valueOf(this.mfloatData[i4] / 1000.0f));
                                    this.measureString[i4] = String.valueOf(data[i4]);
                                } else {
                                    this.measureString[i4] = String.valueOf((int) this.mfloatData[i4]);
                                }
                                if (checkSpec(data[i4], this.HRM_spec_data[i4], this.itemName[i4])) {
                                }
                            }
                        }
                    }
                    data[i4] = String.format("%.2f", Float.valueOf(this.mfloatData[i4] / 1.0E7f));
                    this.measureString[i4] = data[i4];
                    if (checkSpec(data[i4], this.HRM_spec_data[i4], this.itemName[i4])) {
                    }
                }
            } else if ("ADI".equals(this.HRM_VENDOR)) {
                if ("ADPD143RI".equals(this.HRM_NAME)) {
                    for (int i5 = 0; i5 < this.itemName.length; i5++) {
                        if (i5 != 5) {
                            if (i5 != 6) {
                                this.measureString[i5] = String.valueOf((int) this.mfloatData[i5]);
                                if (!checkSpec(data[i5], this.HRM_spec_data[i5], this.itemName[i5])) {
                                    this.resultString[i5] = "PASS";
                                } else {
                                    this.resultString[i5] = "FAIL";
                                    this.mSpecResult = false;
                                }
                            }
                        }
                        data[i5] = String.valueOf((int) Math.round(Math.sqrt((double) this.mfloatData[i5])));
                        this.measureString[i5] = data[i5];
                        if (!checkSpec(data[i5], this.HRM_spec_data[i5], this.itemName[i5])) {
                        }
                    }
                    return;
                }
                String frequency_sample_no_ir = Support.Spec.getString(Support.Spec.HRM_FREQUENCY_SAMPLE_NO);
                String peak_to_peak_ir = Support.Spec.getString(Support.Spec.HRM_PEAK_TO_PEAK_PEAK_IR);
                String peak_to_peak_dc_ir = Support.Spec.getString(Support.Spec.HRM_PEAK_TO_PEAK_DC_IR);
                String frequency_noise_ir = Support.Spec.getString(Support.Spec.HRM_FREQUENCY_NOISE_IR);
                String peak_to_peak_dc_red = Support.Spec.getString(Support.Spec.HRM_PEAK_TO_PEAK_DC_RED);
                this.measureString[0] = String.valueOf((int) this.mfloatData[0]);
                if (checkSpec(data[0], frequency_sample_no_ir, this.itemName[0])) {
                    this.resultString[0] = "PASS";
                } else {
                    this.resultString[0] = "FAIL";
                    this.mSpecResult = false;
                }
                this.measureString[1] = String.valueOf((int) this.mfloatData[1]);
                if (checkSpec(data[1], peak_to_peak_ir, this.itemName[1])) {
                    this.resultString[1] = "PASS";
                } else {
                    this.resultString[1] = "FAIL";
                    this.mSpecResult = false;
                }
                this.measureString[2] = String.valueOf((int) this.mfloatData[2]);
                if (checkSpec(data[2], peak_to_peak_dc_ir, this.itemName[2])) {
                    this.resultString[2] = "PASS";
                } else {
                    this.resultString[2] = "FAIL";
                    this.mSpecResult = false;
                }
                this.measureString[3] = String.valueOf(this.mFormat.format((double) this.mfloatData[3]));
                if (checkSpec(data[3], frequency_noise_ir, this.itemName[3])) {
                    this.resultString[3] = "PASS";
                } else {
                    this.resultString[3] = "FAIL";
                    this.mSpecResult = false;
                }
                this.measureString[4] = String.valueOf((int) this.mfloatData[4]);
                if (checkSpec(data[4], peak_to_peak_dc_red, this.itemName[4])) {
                    this.resultString[4] = "PASS";
                    return;
                }
                this.resultString[4] = "FAIL";
                this.mSpecResult = false;
            }
        }
    }

    private boolean checkSpec(String mOriginalVal, String mSysfsNode, String itemName2) {
        String[] mSpecVal = mSysfsNode.split(",");
        String itemName3 = itemName2.replace("\n", "");
        try {
            float mTempVal = Float.parseFloat(mOriginalVal);
            if (mSpecVal.length != 2 || mTempVal < Float.parseFloat(mSpecVal[0]) || mTempVal > Float.parseFloat(mSpecVal[1])) {
                String str = this.CLASS_NAME;
                FtUtil.log_i(str, "checkSpec", FtUtil.setMspSeqMessage(1, Support.SensorTestMenu.SENSOR_TEST_NAME_HRM, "Fail! " + itemName3 + " Value : " + mTempVal + " " + mSysfsNode));
                return false;
            }
            String str2 = this.CLASS_NAME;
            FtUtil.log_i(str2, "checkSpec", "Pass! " + itemName3 + " Value : " + mTempVal + " " + mSysfsNode);
            return true;
        } catch (NumberFormatException ne) {
            FtUtil.log_e(ne);
        }
    }

    public void onSensorChanged(SensorEvent event) {
    }

    public void onAccuracyChanged(Sensor sensor, int accuracy) {
    }

    @Override // com.sec.factory.sensors.SensorListener
    public void onSensorValueReceived(int mSensor, String value) {
        switch (mSensor) {
            case 0:
                String str = this.CLASS_NAME;
                FtUtil.log_d(str, "onSensorValueReceived", "NOTI : " + value);
                return;
            case 7:
                ReadValueFromListener(value);
                String str2 = this.CLASS_NAME;
                FtUtil.log_d(str2, "onSensorValueReceived", "ID_MANAGER_UV_CLOUD : " + value);
                return;
            default:
                return;
        }
    }

    private void ReadValueFromListener(String value) {
        if (value != null && value.contains(",")) {
            this.mBufferCloud = value.split(",");
        }
    }

    public void readTestSpec() {
        this.HRM_spec_data = new String[this.itemName.length];
        if ("PARTRON".equals(this.HRM_VENDOR)) {
            this.HRM_spec_data[0] = Support.Spec.getString(Support.Spec.HRM_IR_FREQUENCY);
            this.HRM_spec_data[1] = Support.Spec.getString(Support.Spec.HRM_IR_LOW_DC);
            this.HRM_spec_data[2] = Support.Spec.getString(Support.Spec.HRM_IR_HI_DC);
            this.HRM_spec_data[3] = Support.Spec.getString(Support.Spec.HRM_IR_AC);
            this.HRM_spec_data[4] = Support.Spec.getString(Support.Spec.HRM_IR_AC_DC_RATIO);
            this.HRM_spec_data[5] = Support.Spec.getString(Support.Spec.HRM_IR_NOISE);
            this.HRM_spec_data[6] = Support.Spec.getString(Support.Spec.HRM_RED_LOW_NOISE);
            this.HRM_spec_data[7] = Support.Spec.getString(Support.Spec.HRM_RED_HI_DC);
            this.HRM_spec_data[8] = Support.Spec.getString(Support.Spec.HRM_RED_AC);
            this.HRM_spec_data[9] = Support.Spec.getString(Support.Spec.HRM_RED_AC_DC_RATIO);
            this.HRM_spec_data[10] = Support.Spec.getString(Support.Spec.HRM_RED_NOISE);
            this.HRM_spec_data[11] = Support.Spec.getString(Support.Spec.HRM_IR_RED_R_RATIO);
        } else if ("ADI".equals(this.HRM_VENDOR)) {
            if ("ADPD143RI".equals(this.HRM_NAME)) {
                this.HRM_spec_data[0] = Support.Spec.getString(Support.Spec.HRM_FREQUENCY);
                this.HRM_spec_data[1] = Support.Spec.getString(Support.Spec.HRM_RED_LOW_DC);
                this.HRM_spec_data[2] = Support.Spec.getString(Support.Spec.HRM_IR_LOW_DC);
                this.HRM_spec_data[3] = Support.Spec.getString(Support.Spec.HRM_RED_MEDIUM_DC);
                this.HRM_spec_data[4] = Support.Spec.getString(Support.Spec.HRM_IR_MEDIUM_DC);
                this.HRM_spec_data[5] = Support.Spec.getString(Support.Spec.HRM_RED_MEDIUM_SQUARED_NOISE);
                this.HRM_spec_data[6] = Support.Spec.getString(Support.Spec.HRM_IR_MEDIUM_SQUARED_NOISE);
                this.HRM_spec_data[7] = Support.Spec.getString(Support.Spec.HRM_RED_HIGH_DC);
                this.HRM_spec_data[8] = Support.Spec.getString(Support.Spec.HRM_IR_HIGH_DC);
            }
        } else if (!"MAXIM".equals(this.HRM_VENDOR)) {
        } else {
            if (this.HRM_NAME.contains(SENSOR_NAME_MAX86915) || this.HRM_NAME.contains(SENSOR_NAME_MAX86917)) {
                int Index2 = 0 + 1;
                this.HRM_spec_data[0] = Support.Spec.getString(Support.Spec.HRM_SYSTEM_NOISE);
                int Index3 = Index2 + 1;
                this.HRM_spec_data[Index2] = Support.Spec.getString(Support.Spec.HRM_IR_LOW_DC);
                int Index4 = Index3 + 1;
                this.HRM_spec_data[Index3] = Support.Spec.getString(Support.Spec.HRM_RED_LOW_DC);
                int Index5 = Index4 + 1;
                this.HRM_spec_data[Index4] = Support.Spec.getString(Support.Spec.HRM_GREEN_LOW_DC);
                int Index6 = Index5 + 1;
                this.HRM_spec_data[Index5] = Support.Spec.getString(Support.Spec.HRM_BLUE_LOW_DC);
                int Index7 = Index6 + 1;
                this.HRM_spec_data[Index6] = Support.Spec.getString(Support.Spec.HRM_IR_MEDIUM_DC);
                int Index8 = Index7 + 1;
                this.HRM_spec_data[Index7] = Support.Spec.getString(Support.Spec.HRM_RED_MEDIUM_DC);
                int Index9 = Index8 + 1;
                this.HRM_spec_data[Index8] = Support.Spec.getString(Support.Spec.HRM_GREEN_MEDIUM_DC);
                int Index10 = Index9 + 1;
                this.HRM_spec_data[Index9] = Support.Spec.getString(Support.Spec.HRM_BLUE_MEDIUM_DC);
                int Index11 = Index10 + 1;
                this.HRM_spec_data[Index10] = Support.Spec.getString(Support.Spec.HRM_IR_HIGH_DC);
                int Index12 = Index11 + 1;
                this.HRM_spec_data[Index11] = Support.Spec.getString(Support.Spec.HRM_RED_HIGH_DC);
                int Index13 = Index12 + 1;
                this.HRM_spec_data[Index12] = Support.Spec.getString(Support.Spec.HRM_GREEN_HIGH_DC);
                int Index14 = Index13 + 1;
                this.HRM_spec_data[Index13] = Support.Spec.getString(Support.Spec.HRM_BLUE_HIGH_DC);
                int Index15 = Index14 + 1;
                this.HRM_spec_data[Index14] = Support.Spec.getString(Support.Spec.HRM_IR_XTC_DC);
                int Index16 = Index15 + 1;
                this.HRM_spec_data[Index15] = Support.Spec.getString(Support.Spec.HRM_RED_XTC_DC);
                int Index17 = Index16 + 1;
                this.HRM_spec_data[Index16] = Support.Spec.getString(Support.Spec.HRM_GREEN_XTC_DC);
                int Index18 = Index17 + 1;
                this.HRM_spec_data[Index17] = Support.Spec.getString(Support.Spec.HRM_BLUE_XTC_DC);
                int Index19 = Index18 + 1;
                this.HRM_spec_data[Index18] = Support.Spec.getString(Support.Spec.HRM_IR_NOISE);
                int Index20 = Index19 + 1;
                this.HRM_spec_data[Index19] = Support.Spec.getString(Support.Spec.HRM_RED_NOISE);
                int Index21 = Index20 + 1;
                this.HRM_spec_data[Index20] = Support.Spec.getString(Support.Spec.HRM_GREEN_NOISE);
                int Index22 = Index21 + 1;
                this.HRM_spec_data[Index21] = Support.Spec.getString(Support.Spec.HRM_BLUE_NOISE);
                int i = Index22 + 1;
                this.HRM_spec_data[Index22] = Support.Spec.getString(Support.Spec.HRM_FREQUENCY);
                return;
            }
            int Index23 = 0 + 1;
            this.HRM_spec_data[0] = Support.Spec.getString(Support.Spec.HRM_PEAK_TO_PEAK_RATIO_IR);
            int Index24 = Index23 + 1;
            this.HRM_spec_data[Index23] = Support.Spec.getString(Support.Spec.HRM_FREQUENCY_SAMPLE_NO);
            int Index25 = Index24 + 1;
            this.HRM_spec_data[Index24] = Support.Spec.getString(Support.Spec.HRM_FREQUENCY_DC_IR);
            int Index26 = Index25 + 1;
            this.HRM_spec_data[Index25] = Support.Spec.getString(Support.Spec.HRM_FREQUENCY_NOISE_IR);
            int Index27 = Index26 + 1;
            this.HRM_spec_data[Index26] = Support.Spec.getString(Support.Spec.HRM_PEAK_TO_PEAK_RATIO_RED);
            int Index28 = Index27 + 1;
            this.HRM_spec_data[Index27] = Support.Spec.getString(Support.Spec.HRM_FREQUENCY_SAMPLE_NO);
            int Index29 = Index28 + 1;
            this.HRM_spec_data[Index28] = Support.Spec.getString(Support.Spec.HRM_FREQUENCY_DC_RED);
            int Index30 = Index29 + 1;
            this.HRM_spec_data[Index29] = Support.Spec.getString(Support.Spec.HRM_FREQUENCY_NOISE_RED);
            if (this.isCloudTest) {
                if (this.itemUsable_MAXIM_Cloud[0]) {
                    this.HRM_spec_data[Index30] = Support.Spec.getString(Support.Spec.HRM_CLOUD_UV_RATIO);
                    Index30++;
                }
                if (this.itemUsable_MAXIM_Cloud[1]) {
                    int i2 = Index30 + 1;
                    this.HRM_spec_data[Index30] = Support.Spec.getString(Support.Spec.HRM_IR_RED_R_RATIO);
                }
            }
        }
    }

    public void createLogFile() {
        String str;
        boolean z;
        FileOutputStream fos = null;
        String strData = "";
        File dataLogDirectory = new File(Support.Kernel.getFilePath(Support.Kernel.EFS_FACTORYAPP_ROOT_PATH));
        File HrmDataFile = new File(Support.Kernel.getFilePath(Support.Kernel.SECEFS_HRM_DATA_FILE));
        if (!dataLogDirectory.exists()) {
            dataLogDirectory.mkdir();
        }
        if (!HrmDataFile.exists()) {
            try {
                HrmDataFile.createNewFile();
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
        try {
            fos = new FileOutputStream(HrmDataFile);
            int i = 4;
            if ("MAXIM".equals(this.HRM_VENDOR)) {
                if (this.HRM_NAME.contains(SENSOR_NAME_MAX86915) || this.HRM_NAME.contains(SENSOR_NAME_MAX86917)) {
                    String hrmData = "";
                    for (int i2 = 0; i2 < this.itemName_MAXIM_XTC.length; i2++) {
                        hrmData = hrmData + this.mfloatData[i2] + ",";
                    }
                    strData = "OK" + "," + hrmData.substring(0, hrmData.length() - 1);
                } else {
                    strData = "OK" + "," + ((int) this.mfloatData[0]) + "," + ((int) this.mfloatData[1]) + "," + ((int) this.mfloatData[2]) + "," + ((int) this.mfloatData[3]) + "," + this.mFormat.format((double) this.mfloatData[4]) + "," + this.mFormat.format((double) this.mfloatData[5]) + "," + ((int) this.mfloatData[6]) + "," + ((int) this.mfloatData[7]) + "," + ((int) this.mfloatData[8]) + "," + ((int) this.mfloatData[9]) + "," + this.mFormat.format((double) this.mfloatData[10]) + "," + this.mFormat.format((double) this.mfloatData[11]);
                    if (this.isCloudTest) {
                        if (this.itemUsable_MAXIM_Cloud[0]) {
                            strData = strData + "," + this.mFormat.format((double) this.uv_ratio);
                        }
                        if (this.itemUsable_MAXIM_Cloud[1]) {
                            strData = strData + "," + this.mThreeFormat.format((double) this.mfloatData[12]);
                        }
                    }
                }
            } else if ("PARTRON".equals(this.HRM_VENDOR)) {
                strData = "OK" + ",";
                int i3 = 0;
                while (i3 < 12) {
                    if (i3 == i || i3 == 5 || i3 == 9 || i3 == 10) {
                        StringBuilder sb = new StringBuilder();
                        sb.append(strData);
                        z = false;
                        sb.append(String.format("%.2f", Float.valueOf(this.mfloatData[i3] / 1.0E7f)));
                        strData = sb.toString() + ",";
                    } else if (i3 == 11) {
                        strData = strData + String.format("%.3f", Float.valueOf(this.mfloatData[i3] / 1000.0f));
                        z = false;
                    } else {
                        strData = (strData + String.valueOf((int) this.mfloatData[i3])) + ",";
                        z = false;
                    }
                    i3++;
                    i = 4;
                }
            } else if ("ADI".equals(this.HRM_VENDOR)) {
                int LastIndex = 5;
                if ("ADPD143RI".equals(this.HRM_NAME)) {
                    LastIndex = 9;
                }
                strData = "OK";
                for (int i4 = 0; i4 < LastIndex; i4++) {
                    if (i4 != 5) {
                        if (i4 != 6) {
                            str = strData + "," + ((int) this.mfloatData[i4]);
                            strData = str;
                        }
                    }
                    str = strData + "," + String.valueOf((int) Math.round(Math.sqrt((double) this.mfloatData[i4])));
                    strData = str;
                }
            }
            StringBuffer stringBuffer = new StringBuffer();
            stringBuffer.append(strData);
            stringBuffer.append("\n");
            fos.write(stringBuffer.toString().getBytes());
            fos.close();
            try {
                fos.close();
            } catch (IOException e2) {
                e2.printStackTrace();
            }
        } catch (FileNotFoundException e3) {
            e3.printStackTrace();
            if (fos != null) {
                fos.close();
            }
        } catch (IOException e4) {
            e4.printStackTrace();
            if (fos != null) {
                fos.close();
            }
        } catch (Throwable th) {
            if (fos != null) {
                try {
                    fos.close();
                } catch (IOException e5) {
                    e5.printStackTrace();
                }
            }
            throw th;
        }
    }
}
