package com.sec.factory.common;

import android.content.Context;
import android.text.TextUtils;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;

public class CommonHrmOnce {
    public static int ATCMD = 0;
    private static String CLASS_NAME = "CommonHrmOnce";
    public String HRM_NAME;
    public String HRM_VENDOR;
    private int TEST_ID;
    public String[] eolData;
    public boolean isChecking = false;
    public String[] itemName;
    public boolean mSpecResult = true;
    public String[] measure;
    public String[] measureString;
    public boolean mhtm_Status = false;
    public int numOfItem = 0;
    public String[] result;
    public String[] specMax;
    public String[] specMin;

    public CommonHrmOnce(Context context, int testId, String callerName) {
        CLASS_NAME = callerName + "(" + CLASS_NAME + ")";
        this.TEST_ID = testId;
        try {
            String read = Support.Kernel.read(Support.Kernel.HRM_VENDOR);
            this.HRM_VENDOR = read;
            if (TextUtils.isEmpty(read)) {
                this.HRM_VENDOR = "NULL";
            } else {
                this.HRM_VENDOR = this.HRM_VENDOR.toUpperCase();
            }
            String read2 = Support.Kernel.read(Support.Kernel.HRM_SENSOR_NAME);
            this.HRM_NAME = read2;
            if (read2 == null || TextUtils.isEmpty(read2)) {
                this.HRM_NAME = "NULL";
            } else {
                this.HRM_NAME = this.HRM_NAME.toUpperCase();
            }
            String str = CLASS_NAME;
            FtUtil.log_i(str, "onCreate", "VENDOR/NAME : " + this.HRM_VENDOR + "/" + this.HRM_NAME);
        } catch (NullPointerException ne) {
            FtUtil.log_e(ne);
        }
    }

    public void registerSysfs(boolean mStatus) {
        FtUtil.log_i(CLASS_NAME, "registerSysfs", "registerSysfs Node");
        if (mStatus) {
            Support.Kernel.write(Support.Kernel.HRM_EOL_TEST, EgisFingerprint.MAJOR_VERSION);
            this.isChecking = true;
            return;
        }
        Support.Kernel.write(Support.Kernel.HRM_EOL_TEST, "0");
        this.isChecking = false;
    }

    public void checkStatus() {
        String mStatus = Support.Kernel.read(Support.Kernel.HRM_EOL_TEST_STATUS);
        if (mStatus == null || !mStatus.equals(EgisFingerprint.MAJOR_VERSION)) {
            FtUtil.log_i(CLASS_NAME, "checkStatus", "Sysfs is not ready");
            return;
        }
        FtUtil.log_i(CLASS_NAME, "checkStatus", "Sysfs is ready");
        this.mhtm_Status = true;
    }

    public boolean updateResult() {
        int dataIndex = 2;
        String mTempData = Support.Kernel.read(Support.Kernel.HRM_EOL_TEST_RESULT);
        if (mTempData == null) {
            return false;
        }
        if (TextUtils.isEmpty(mTempData)) {
            FtUtil.log_d(CLASS_NAME, "updateResult", "mTempData is empty, return false");
            return false;
        }
        String[] split = mTempData.trim().split(",");
        this.eolData = split;
        this.numOfItem = Integer.parseInt(split[1]);
        String str = CLASS_NAME;
        FtUtil.log_i(str, "updateResult", "Number of test item = (" + this.numOfItem + ")");
        int length = this.eolData.length + -2;
        int i = this.numOfItem;
        if (length != i * 5) {
            String str2 = CLASS_NAME;
            FtUtil.log_i(str2, "updateResult", "(eolData length error) eolData.length = " + this.eolData.length);
            return false;
        }
        this.itemName = new String[i];
        this.result = new String[i];
        this.measure = new String[i];
        this.specMin = new String[i];
        this.specMax = new String[i];
        int i2 = 0;
        while (i2 < this.numOfItem) {
            String[] strArr = this.itemName;
            String[] strArr2 = this.eolData;
            int dataIndex2 = dataIndex + 1;
            strArr[i2] = strArr2[dataIndex];
            String[] strArr3 = this.result;
            int dataIndex3 = dataIndex2 + 1;
            strArr3[i2] = strArr2[dataIndex2];
            if (EgisFingerprint.MAJOR_VERSION.equals(strArr3[i2])) {
                this.result[i2] = "PASS";
                String str3 = CLASS_NAME;
                FtUtil.log_i(str3, "updateResult", "PASS : " + this.itemName[i2]);
            } else {
                this.result[i2] = "FAIL";
                this.mSpecResult = false;
            }
            String[] strArr4 = this.measure;
            String[] strArr5 = this.eolData;
            int dataIndex4 = dataIndex3 + 1;
            strArr4[i2] = strArr5[dataIndex3];
            int dataIndex5 = dataIndex4 + 1;
            this.specMin[i2] = strArr5[dataIndex4];
            this.specMax[i2] = strArr5[dataIndex5];
            i2++;
            dataIndex = dataIndex5 + 1;
        }
        return true;
    }

    public void createLogFile() {
        FileOutputStream fos = null;
        File dataLogDirectory = new File(Support.Kernel.getFilePath(Support.Kernel.EFS_FACTORYAPP_ROOT_PATH));
        File HrmDataFile = new File(Support.Kernel.getFilePath(Support.Kernel.SECEFS_HRM_DATA_FILE));
        if (!dataLogDirectory.exists()) {
            dataLogDirectory.mkdir();
        }
        if (!HrmDataFile.exists()) {
            try {
                HrmDataFile.createNewFile();
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
        try {
            FileOutputStream fos2 = new FileOutputStream(HrmDataFile);
            String hrmData = "";
            for (int i = 0; i < this.measure.length; i++) {
                hrmData = hrmData + this.measure[i] + ",";
            }
            String strData = "OK" + "," + hrmData.substring(0, hrmData.length() - 1);
            StringBuffer stringBuffer = new StringBuffer();
            stringBuffer.append(strData);
            stringBuffer.append("\n");
            fos2.write(stringBuffer.toString().getBytes());
            fos2.close();
            try {
                fos2.close();
            } catch (IOException e2) {
                e2.printStackTrace();
            }
        } catch (FileNotFoundException e3) {
            e3.printStackTrace();
            if (0 != 0) {
                fos.close();
            }
        } catch (IOException e4) {
            e4.printStackTrace();
            if (0 != 0) {
                fos.close();
            }
        } catch (Throwable th) {
            if (0 != 0) {
                try {
                    fos.close();
                } catch (IOException e5) {
                    e5.printStackTrace();
                }
            }
            throw th;
        }
    }
}
