package com.sec.factory.entry;

import android.app.Notification;
import android.app.NotificationManager;
import android.app.PendingIntent;
import android.content.Context;
import android.content.Intent;
import com.sec.factory.R;
import com.sec.factory.support.FtUtil;
import java.text.SimpleDateFormat;
import java.util.Date;

public class DisplayNotiBar {
    private static final String CLASS_NAME = "DisplayNotiBar";
    public static final int ID_AUTO_SILENT_MODE_NOTIFY = 8;
    private static final String NOTI_CLEAR = "com.sec.android.app.factoryTest.NOTI_CLEAR";

    public DisplayNotiBar(Context context) {
    }

    public static void createNotification(Context context, String title, String body) {
        FtUtil.log_i(CLASS_NAME, "createNotification", null);
        PendingIntent sender = PendingIntent.getBroadcast(context, 0, new Intent(NOTI_CLEAR), 201326592);
        Notification.Builder builder = new Notification.Builder(context, FactoryNotification.instance(context).getId());
        builder.setOngoing(false);
        builder.setSmallIcon(R.drawable.reset_star);
        builder.setAutoCancel(true);
        builder.setTicker(title + "  (" + parseDate() + ")");
        builder.setContentTitle(title);
        builder.setContentIntent(sender);
        FtUtil.log_i(CLASS_NAME, "createNotification", "-3");
        ((NotificationManager) context.getSystemService("notification")).notify(8, builder.getNotification());
    }

    public static void clearNotification(Context context) {
        NotificationManager notificationManager = (NotificationManager) context.getSystemService("notification");
        ((NotificationManager) context.getSystemService("notification")).cancel(8);
    }

    public static String parseDate() {
        return new SimpleDateFormat("HH:mm:ss").format(new Date(System.currentTimeMillis()));
    }
}
