package com.sec.factory.entry;

import android.app.NotificationChannel;
import android.app.NotificationManager;
import android.content.Context;
import com.sec.factory.support.FtUtil;

public class FactoryNotification {
    private static final String CHANNEL_ID = "factory";
    private static final int CHANNEL_IMPORTANCE = 2;
    private static final String CHANNEL_NAME = "FactoryTestApp";
    private static final String CLASS_NAME = "FactoryNotification";
    private static FactoryNotification mInstance = null;
    private Boolean mChannelFisish = false;
    private Context mContext;

    protected FactoryNotification(Context context) {
        FtUtil.log_i(CLASS_NAME, "");
        this.mContext = context;
        if (!this.mChannelFisish.booleanValue()) {
            createChannel();
        }
    }

    public static synchronized FactoryNotification instance(Context context) {
        FactoryNotification factoryNotification;
        synchronized (FactoryNotification.class) {
            if (mInstance == null) {
                mInstance = new FactoryNotification(context);
            }
            factoryNotification = mInstance;
        }
        return factoryNotification;
    }

    private void createChannel() {
        FtUtil.log_i(CLASS_NAME, "createChannel", "Start");
        ((NotificationManager) this.mContext.getSystemService("notification")).createNotificationChannel(new NotificationChannel(CHANNEL_ID, CHANNEL_NAME, 2));
        this.mChannelFisish = true;
        FtUtil.log_i(CLASS_NAME, "createChannel", "Finish");
    }

    private void deleteChannel() {
        ((NotificationManager) this.mContext.getSystemService("notification")).deleteNotificationChannel(CHANNEL_ID);
        this.mChannelFisish = false;
        FtUtil.log_i(CLASS_NAME, "deleteChannel", "Finish");
    }

    public String getId() {
        return CHANNEL_ID;
    }

    public String getName() {
        return CHANNEL_NAME;
    }
}
