package com.sec.factory.entry;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.os.Handler;
import android.os.Message;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.NVAccessor;

public class LedTestReceiver extends BroadcastReceiver {
    private static final String CLASS_NAME = "LedTestReceiver";
    private static final String MHS_POWERKEY_SHORTPRESS = "com.sec.factory.MHS_POWERKEY_SHORTPRESS";
    private static final String MHS_RESETKEY_SHORTPRESS = "com.sec.factory.MHS_RESETKEY_SHORTPRESS";
    private static final byte NOTEST = 78;
    private static final byte NV_4LED = 61;
    private static final byte PASS = 80;
    private static int mStep = 0;
    private String[] LED_COLOR = {ModuleDevice.LED4_BLUE, ModuleDevice.LED4_RED, ModuleDevice.LED4_GREEN, ModuleDevice.LED4_YELLOW, ModuleDevice.LED4_OFF};
    private Context mContext;
    private Handler mHandler = new Handler() {
        /* class com.sec.factory.entry.LedTestReceiver.AnonymousClass1 */

        public void handleMessage(Message msg) {
            LedTestReceiver.this.ledCheck();
        }
    };
    private ModuleDevice mModuleDevice;

    public void onReceive(Context context, Intent intent) {
        String action = intent.getAction();
        FtUtil.log_d(CLASS_NAME, "onReceive", "onReceive action = " + action);
        this.mContext = context;
        this.mModuleDevice = ModuleDevice.instance(context);
        if (MHS_RESETKEY_SHORTPRESS.equals(action)) {
            String str = this.LED_COLOR[mStep];
            ModuleDevice moduleDevice = this.mModuleDevice;
            if (str == ModuleDevice.LED4_BLUE) {
                moduleDevice.sendToPMSLEDControl(true);
                this.mHandler.sendEmptyMessageDelayed(0, 200);
            }
        } else if (MHS_POWERKEY_SHORTPRESS.equals(action)) {
            String[] strArr = this.LED_COLOR;
            int i = mStep;
            String str2 = strArr[i];
            ModuleDevice moduleDevice2 = this.mModuleDevice;
            if (str2 == ModuleDevice.LED4_OFF) {
                moduleDevice2.turnOff4Led(15);
                mStep = 0;
                set4LedTestNV(61, (byte) 80);
                this.mModuleDevice.sendToPMSLEDControl(false);
            } else if (strArr[i] != ModuleDevice.LED4_BLUE) {
                ledCheck();
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void ledCheck() {
        FtUtil.log_d(CLASS_NAME, "ledCheck: " + this.LED_COLOR[mStep]);
        this.mModuleDevice.turnOn4Led(15, this.LED_COLOR[mStep], 1, 0);
        mStep = mStep + 1;
    }

    private void set4LedTestNV(int nv, byte itemResult) {
        FtUtil.log_d(CLASS_NAME, "set4LedTestNV", "NV = " + nv + ", itemResult = " + ((int) itemResult));
        NVAccessor.setNV(nv, itemResult);
    }
}
