package com.sec.factory.entry;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.os.Handler;
import android.os.Message;
import android.widget.Toast;
import com.sec.factory.modules.RdmCompressService;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;

public class RdmReceiver extends BroadcastReceiver {
    private static final String ACTION_REQUEST_RDM_CP_RAMDUMP_LOG = "com.sec.factory.entry.REQUEST_RDM_CP_RAMDUMP_LOG";
    private static final String ACTION_REQUEST_RDM_FUNCTION_LOG = "com.sec.factory.entry.REQUEST_RDM_FUNCTION_LOG";
    private static final String ACTION_REQUEST_RDM_PGM_LOG = "com.sec.factory.entry.REQUEST_RDM_PGM_LOG";
    private static final String CLASS_NAME = "RdmReceiver";
    static final int CP_RAMDUMP_MODE = 3;
    static final int FUNCTION_MODE = 1;
    private static final String LOG_LIST = "/sdcard/";
    private static final byte MSG_FINISH_RDM_CP_RAMDUMP_LOG = 6;
    private static final byte MSG_FINISH_RDM_FUNCTION_LOG = 2;
    private static final byte MSG_FINISH_RDM_PGM_LOG = 4;
    private static final byte MSG_START_RDM_CP_RAMDUMP_LOG = 5;
    private static final byte MSG_START_RDM_FUNCTION_LOG = 1;
    private static final byte MSG_START_RDM_PGM_LOG = 3;
    static final int PGM_MODE = 2;
    private static String SOURCE_DATA_LOG = "/data/log/";
    private static String SOURCE_QUALCOMM_CP_RAMDUMP = "/tombstones/mdm/";
    private static String SOURCE_SDCARD_LOG = "/sdcard/log/";
    private static Context mContext;
    private static String mFileListName = null;
    private static Handler mHandler = new Handler() {
        /* class com.sec.factory.entry.RdmReceiver.AnonymousClass1 */

        public void handleMessage(Message msg) {
            switch (msg.what) {
                case 1:
                    Toast.makeText(RdmReceiver.mContext, "Start Function Log RDM Service", 0).show();
                    return;
                case 2:
                    Toast.makeText(RdmReceiver.mContext, "Finish Function Log RDM Service", 1000).show();
                    return;
                case 3:
                    Toast.makeText(RdmReceiver.mContext, "Start PGM Log RDM Service. Wait 1 or 2 Minute to make Log Files", 0).show();
                    return;
                case 4:
                    Toast.makeText(RdmReceiver.mContext, "Finish PGM Log RDM Service.", 1).show();
                    return;
                case 5:
                    Toast.makeText(RdmReceiver.mContext, "Start CP RamDump Log RDM Service.", 0).show();
                    return;
                case 6:
                    Toast.makeText(RdmReceiver.mContext, "Finish CP RamDump Log RDM Service.", 1).show();
                    return;
                default:
                    return;
            }
        }
    };

    public void onReceive(Context context, Intent intent) {
        mContext = context;
        String action = intent.getAction();
        FtUtil.log_d(CLASS_NAME, "onReceive", "onReceive action = " + action);
        RdmCompressService mRCS = new RdmCompressService();
        String[] strSplit = Support.Properties.get(Support.Properties.FLS_FOLDER_NAME).split("_");
        if (ACTION_REQUEST_RDM_FUNCTION_LOG.equals(action)) {
            Handler handler = mHandler;
            handler.sendMessage(handler.obtainMessage(1));
            String FilePath = LOG_LIST + strSplit[1] + "_" + strSplit[2] + "_function_log_file.txt";
            FtUtil.log_d(CLASS_NAME, "onReceive", "ACTION_REQUEST_RDM_FUNCTION_LOG File path = " + FilePath);
            mRCS.SetDirPath(SOURCE_SDCARD_LOG);
            mRCS.GetFileArrayList(1);
            mFileListName = mRCS.GetFileList(FilePath, 1);
            Handler handler2 = mHandler;
            handler2.sendMessage(handler2.obtainMessage(2));
        } else if (ACTION_REQUEST_RDM_PGM_LOG.equals(action)) {
            Handler handler3 = mHandler;
            handler3.sendMessage(handler3.obtainMessage(3));
            String FilePath2 = LOG_LIST + strSplit[1] + "_" + strSplit[2] + "_pgm_log_file.txt";
            FtUtil.log_d(CLASS_NAME, "onReceive", "ACTION_REQUEST_RDM_PGM_LOG File path = " + FilePath2);
            mRCS.SetDirPath(SOURCE_SDCARD_LOG);
            mRCS.GetFileArrayList(2);
            mFileListName = mRCS.GetFileList(FilePath2, 2);
            Handler handler4 = mHandler;
            handler4.sendMessage(handler4.obtainMessage(4));
        } else if (ACTION_REQUEST_RDM_CP_RAMDUMP_LOG.equals(action)) {
            Handler handler5 = mHandler;
            handler5.sendMessage(handler5.obtainMessage(5));
            String FilePath3 = LOG_LIST + strSplit[1] + "_" + strSplit[2] + "_CP_Ramdump_file.txt";
            if (Support.Feature.getString(Support.Feature.CHIPSET_NAME_CP).contains("MDM")) {
                mRCS.SetDirPath(SOURCE_QUALCOMM_CP_RAMDUMP);
            } else {
                mRCS.SetDirPath(SOURCE_DATA_LOG);
                mRCS.SetDirPath(SOURCE_SDCARD_LOG);
            }
            mRCS.GetFileArrayList(3);
            mFileListName = mRCS.GetFileList(FilePath3, 3);
            FtUtil.log_d(CLASS_NAME, "onReceive", "ACTION_REQUEST_RDM_RAMDUMP_LOG File Path = " + FilePath3);
            Handler handler6 = mHandler;
            handler6.sendMessage(handler6.obtainMessage(6));
        }
    }
}
