package com.sec.factory.modules;

import android.app.Service;
import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Handler;
import android.os.IBinder;
import com.sec.factory.app.ui.UIAccGyro;
import com.sec.factory.support.FtUtil;
import java.util.Objects;

public class AccGyroService extends Service {
    private static final String CLASS_NAME = "AccGyroService";
    private boolean isSub = false;

    public void onCreate() {
        FtUtil.log_i(CLASS_NAME, "onCreate", "");
        super.onCreate();
    }

    public int onStartCommand(Intent intent, int flags, int startId) {
        FtUtil.log_i(CLASS_NAME, "onStartCommand");
        this.isSub = intent.getBooleanExtra("sub_sensor", false);
        FtUtil.log_i(CLASS_NAME, "onStartCommand", "isSub : " + this.isSub);
        if (this.isSub) {
            SharedPreferences.Editor accEditor = getSharedPreferences("SUB_ACC_RESULT", 0).edit();
            accEditor.putString("RESULT_DATA", "NONE");
            accEditor.commit();
            SharedPreferences.Editor gyroEditor = getSharedPreferences("SUB_GYRO_RESULT", 0).edit();
            gyroEditor.putString("RESULT_DATA", "NONE");
            gyroEditor.commit();
        } else {
            SharedPreferences.Editor accEditor2 = getSharedPreferences("ACC_RESULT", 0).edit();
            accEditor2.putString("RESULT_DATA", "NONE");
            accEditor2.commit();
            SharedPreferences.Editor gyroEditor2 = getSharedPreferences("GYRO_RESULT", 0).edit();
            gyroEditor2.putString("RESULT_DATA", "NONE");
            gyroEditor2.commit();
        }
        UIAccGyro mUIAccGyro = new UIAccGyro("ATCMD", this.isSub, this);
        Handler handler = mUIAccGyro.mHandler;
        Objects.requireNonNull(mUIAccGyro);
        handler.sendEmptyMessage(1001);
        return 2;
    }

    public void onDestroy() {
    }

    public IBinder onBind(Intent intent) {
        return null;
    }
}
