package com.sec.factory.modules;

import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.ServiceConnection;
import android.os.Bundle;
import android.os.Handler;
import android.os.IBinder;
import android.os.Message;
import android.os.Messenger;
import android.os.RemoteException;
import android.support.v4.os.EnvironmentCompat;
import com.sec.factory.support.FtUtil;
import java.io.ByteArrayOutputStream;
import java.io.DataOutputStream;
import java.io.IOException;
import java.nio.charset.StandardCharsets;
import java.util.Arrays;
import java.util.HashMap;
import java.util.LinkedList;
import java.util.Queue;

public class FactoryTestPhone {
    private static final int FACTORY_TEST_OMISSION_GET_FIRST_COMMAND = 18;
    private static final int FACTORY_TEST_OMISSION_GET_SECOND_COMMAND = 3;
    private static final int FACTORY_TEST_OMISSION_SET_FIRST_COMMAND = 18;
    private static final int FACTORY_TEST_OMISSION_SET_SECOND_COMMAND = 4;
    private static final int MSG_DEFAULT_REQUEST = 300;
    private static final int MSG_REQUEST_CP_MODEM_SYSDUMP = 206;
    private static final int MSG_REQUEST_DGS_UNIQUE_NUM = 204;
    private static final int MSG_REQUEST_DUALMODE_CHANGE = 207;
    private static final int MSG_REQUEST_GRIP_CONFIRM = 205;
    private static final int MSG_REQUEST_HISTORY_NV_VALUES = 201;
    private static final int MSG_REQUEST_ITEM_NV_UPDATE = 202;
    private static final int MSG_REQUEST_SIM_SWITCH = 210;
    private static final int MSG_REQUEST_TEST_NV_VALUE = 203;
    private static final int MSG_REQUEST_TEST_NV_VALUES = 200;
    private static final int OEM_CFG_GET_DGS_UNIQUENUMBER = 5;
    private static final int OEM_FUNCTION_ID_CONFIGURATION = 12;
    private static final int OEM_FUNCTION_ID_UICC = 21;
    public static final byte OEM_MISC_GET_COAXIAL_CABLE_STATUS = -121;
    public static final byte OEM_MISC_GET_GRIP_SENSOR_INFO = 112;
    public static final byte OEM_MISC_GET_RF_MIPI_INFO = -127;
    public static final byte OEM_MISC_SET_GRIP_SENSOR_INFO = 113;
    private static final int OEM_MODEM_LOG = 18;
    private static final int OEM_SYSDUMP_FUNCTAG = 7;
    private static final int OEM_UICC_LOW_LEVEL_CONTROL = 20;
    public static final int SIM_DRV_POWER_DOWN = 0;
    public static final int SIM_DRV_POWER_UP = 1;
    public static final int SIM_END = 33;
    public static final int SIM_START = 32;
    public static final int SIM_SWITCH_TO_ESIM = 16;
    public static final int SIM_SWITCH_TO_PHYSICAL_SIM = 17;
    private static Queue<Messages> mQueue = null;
    private String CLASS_NAME = "FactoryTestPhone";
    private boolean IS_CAL2_TEST_PASS = false;
    private boolean IS_CAL_TEST_PASS = false;
    private boolean IS_FINAL_TEST_PASS = false;
    private boolean IS_LTECAL_TEST_PASS = false;
    private boolean IS_LTEFINAL_TEST_PASS = false;
    private boolean IS_PBA_TEST_PASS = false;
    private boolean IS_SMD_TEST_PASS = false;
    private Message Response;
    private boolean isConnected = false;
    Context mContext;
    public Handler mHandler = new Handler() {
        /* class com.sec.factory.modules.FactoryTestPhone.AnonymousClass4 */

        public void handleMessage(Message msg) {
            switch (msg.what) {
                case 200:
                    FactoryTestPhone.this.mResultData = msg.getData().getByteArray("response");
                    if (FactoryTestPhone.this.mResultData != null) {
                        FtUtil.log_i(FactoryTestPhone.this.CLASS_NAME, "mHandler.handleMessage", "Received Test NV Values from RIL");
                        String str = FactoryTestPhone.this.CLASS_NAME;
                        FtUtil.log_i(str, "mHandler.handleMessage", "mResultData: " + new String(FactoryTestPhone.this.mResultData, StandardCharsets.UTF_8));
                        return;
                    }
                    FtUtil.log_e(FactoryTestPhone.this.CLASS_NAME, "mHandler.handleMessage", "Fail");
                    return;
                case 201:
                    FtUtil.log_i(FactoryTestPhone.this.CLASS_NAME, "mHandler.handleMessage", "Received Test NV Values from RIL");
                    return;
                case 202:
                    FtUtil.log_i(FactoryTestPhone.this.CLASS_NAME, "mHandler.handleMessage", "Item NV update success");
                    return;
                case 203:
                    FtUtil.log_i(FactoryTestPhone.this.CLASS_NAME, "mHandler.handleMessage", "Received Test NV Value from RIL");
                    FactoryTestPhone.this.mResultData = msg.getData().getByteArray("response");
                    return;
                case 204:
                    FtUtil.log_i(FactoryTestPhone.this.CLASS_NAME, "mHandler.handleMessage", "Unique Number get success");
                    FactoryTestPhone.this.mResultData = msg.getData().getByteArray("response");
                    if (FactoryTestPhone.this.mResultData != null) {
                        FtUtil.log_i(FactoryTestPhone.this.CLASS_NAME, "mHandler.handleMessage", "Received Unique Number from RIL");
                        String str2 = FactoryTestPhone.this.CLASS_NAME;
                        FtUtil.log_i(str2, "mHandler.handleMessage", "mResultData: " + Arrays.toString(FactoryTestPhone.this.mResultData));
                        return;
                    }
                    return;
                case 205:
                    FtUtil.log_i(FactoryTestPhone.this.CLASS_NAME, "mHandler.handleMessage", "Girp request Success");
                    return;
                case 206:
                    FtUtil.log_i(FactoryTestPhone.this.CLASS_NAME, "mHandler.handleMessage", "Modem dump success");
                    FactoryTestPhone.this.mResultData = msg.getData().getByteArray("response");
                    byte[] unused = FactoryTestPhone.this.mResultData;
                    return;
                case 207:
                    FtUtil.log_i(FactoryTestPhone.this.CLASS_NAME, "mHandler.handleMessage", "DUAL MODE Changed");
                    return;
                case 208:
                case 209:
                default:
                    return;
                case 210:
                    FtUtil.log_i(FactoryTestPhone.this.CLASS_NAME, "mHandler.handleMessage", "Sim low level control");
                    FactoryTestPhone.this.mResultData = msg.getData().getByteArray("response");
                    if (FactoryTestPhone.this.mResultData != null) {
                        String str3 = FactoryTestPhone.this.CLASS_NAME;
                        FtUtil.log_i(str3, "mHandler.handleMessage", "mResultData: " + FactoryTestPhone.stringToHex(new String(FactoryTestPhone.this.mResultData)));
                        return;
                    }
                    return;
            }
        }
    };
    private final HashMap<String, Byte> mNVKeyToItemIDHashmap = new HashMap<>();
    private byte[] mResultData;
    private ServiceConnection mSecPhoneServiceConnection = new ServiceConnection() {
        /* class com.sec.factory.modules.FactoryTestPhone.AnonymousClass1 */

        public void onServiceConnected(ComponentName className, IBinder service) {
            FtUtil.log_i(FactoryTestPhone.this.CLASS_NAME, "mSecPhoneServiceConnection.onServiceConnected", null);
            FactoryTestPhone.this.mServiceMessenger = new Messenger(service);
            FactoryTestPhone.this.isConnected = true;
            FtUtil.log_v(FactoryTestPhone.this.CLASS_NAME, "mSecPhoneServiceConnection.onServiceConnected", "isConnected == true");
            while (FactoryTestPhone.mQueue.peek() != null) {
                Messages mMessage = new Messages((Messages) FactoryTestPhone.mQueue.poll());
                String str = FactoryTestPhone.this.CLASS_NAME;
                FtUtil.log_v(str, "mSecPhoneServiceConnection.onServiceConnected", "mData: " + FactoryTestPhone.stringToHex(new String(mMessage.Data)) + "mResponse" + mMessage.Response);
                FactoryTestPhone.this.sendMessageToRil(mMessage.Data, mMessage.Response);
            }
        }

        public void onServiceDisconnected(ComponentName className) {
            FtUtil.log_i(FactoryTestPhone.this.CLASS_NAME, "mSecPhoneServiceConnection.onServiceDisconnected", null);
            FactoryTestPhone.this.isConnected = false;
            FactoryTestPhone.this.mServiceMessenger = null;
            FactoryTestPhone.this.rebindToSecPhoneService();
        }
    };
    private Messenger mServiceMessenger = null;
    private SimSwitchHandler mSimSwitchHandler = new SimSwitchHandler();
    private int mSimslotNum = 1;

    /* access modifiers changed from: package-private */
    public static class Messages {
        byte[] Data;
        Message Response;

        Messages(byte[] mData, Message mMessage) {
            this.Data = mData;
            this.Response = mMessage;
        }

        Messages(Messages mMessage) {
            this.Data = mMessage.Data;
            this.Response = mMessage.Response;
        }
    }

    public FactoryTestPhone(Context context) {
        this.mContext = context;
        mQueue = new LinkedList();
    }

    public FactoryTestPhone(Context context, Handler handler) {
        this.mContext = context;
        this.mHandler = handler;
        mQueue = new LinkedList();
    }

    public FactoryTestPhone(Context context, int simslotNum) {
        this.mContext = context;
        mQueue = new LinkedList();
        this.mSimslotNum = simslotNum;
    }

    public void bindSecPhoneService() {
        FtUtil.log_i(this.CLASS_NAME, "bindSecPhoneService", null);
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "bindSecPhoneService", "mSimslotNum : " + this.mSimslotNum);
        Intent intent = new Intent();
        if (this.mSimslotNum == 2) {
            intent.setClassName("com.sec.phone", "com.sec.phone.SecPhoneService2");
        } else {
            intent.setClassName("com.sec.phone", "com.sec.phone.SecPhoneService");
        }
        this.mContext.bindService(intent, this.mSecPhoneServiceConnection, 1);
    }

    public void unbindSecPhoneService() {
        FtUtil.log_i(this.CLASS_NAME, "unbindSecPhoneService", null);
        try {
            this.mContext.unbindService(this.mSecPhoneServiceConnection);
            this.isConnected = false;
        } catch (Exception e) {
        }
    }

    public boolean getResultForPGMItems(String NVKey) {
        switch (Integer.parseInt(NVKey, 16)) {
            case 1:
                return this.IS_SMD_TEST_PASS;
            case 2:
            case 3:
            case 5:
            case 6:
            case 9:
            default:
                return false;
            case 4:
                return this.IS_PBA_TEST_PASS;
            case 7:
                return this.IS_CAL_TEST_PASS;
            case 8:
                return this.IS_CAL2_TEST_PASS;
            case 10:
                return this.IS_FINAL_TEST_PASS;
            case 11:
                return this.IS_LTECAL_TEST_PASS;
            case 12:
                return this.IS_LTEFINAL_TEST_PASS;
        }
    }

    public void setResultForPGMItems(String NVKey, boolean result) {
        switch (Integer.parseInt(NVKey, 16)) {
            case 1:
                this.IS_SMD_TEST_PASS = result;
                return;
            case 2:
            case 3:
            case 5:
            case 6:
            case 9:
            default:
                return;
            case 4:
                this.IS_PBA_TEST_PASS = result;
                return;
            case 7:
                this.IS_CAL_TEST_PASS = result;
                return;
            case 8:
                this.IS_CAL2_TEST_PASS = result;
                return;
            case 10:
                this.IS_FINAL_TEST_PASS = result;
                return;
            case 11:
                this.IS_LTECAL_TEST_PASS = result;
                return;
            case 12:
                this.IS_LTEFINAL_TEST_PASS = result;
                return;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void rebindToSecPhoneService() {
        if (this.mServiceMessenger == null) {
            new Thread() {
                /* class com.sec.factory.modules.FactoryTestPhone.AnonymousClass2 */

                public void run() {
                    while (FactoryTestPhone.this.mServiceMessenger == null) {
                        FactoryTestPhone.this.bindSecPhoneService();
                        try {
                            Thread.sleep(500);
                        } catch (InterruptedException e) {
                            FtUtil.log_i(FactoryTestPhone.this.CLASS_NAME, "rebindToSecPhoneService", "rebindToSecPhoneService : sleep interrupted.");
                        }
                    }
                }
            }.start();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void sendMessageToRil(byte[] data, Message response) {
        FtUtil.log_i(this.CLASS_NAME, "sendMessageToRil", null);
        if (response == null) {
            FtUtil.log_i(this.CLASS_NAME, "sendMessageToRil", "Create Default Request");
            response = this.mHandler.obtainMessage(300);
        }
        Bundle req = response.getData();
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "sendMessageToRil", "current Queue size before : " + mQueue.size());
        if (data != null) {
            String str2 = this.CLASS_NAME;
            FtUtil.log_i(str2, "sendMessageToRil", "data: " + stringToHex(new String(data)));
            req.putByteArray("request", data);
            response.setData(req);
            response.replyTo = new Messenger(response.getTarget());
            try {
                if (this.mServiceMessenger != null) {
                    FtUtil.log_i(this.CLASS_NAME, "sendMessageToRil", "sendMessage() to RIL");
                    this.mServiceMessenger.send(response);
                }
            } catch (RemoteException e) {
            }
        } else {
            FtUtil.log_e(this.CLASS_NAME, "sendMessageToRil", "sendMessage : data is null");
        }
        String str3 = this.CLASS_NAME;
        FtUtil.log_i(str3, "sendMessageToRil", "current Queue size after : " + mQueue.size());
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void invokeOemRilRequestRaw(byte[] data, Message response) {
        FtUtil.log_i(this.CLASS_NAME, "invokeOemRilRequestRaw", null);
        if (!mQueue.offer(new Messages(data, response))) {
            FtUtil.log_e(this.CLASS_NAME, "invokeOemRilRequestRaw", "failed offer a item");
        } else if (this.isConnected) {
            FtUtil.log_v(this.CLASS_NAME, "invokeOemRilRequestRaw", "isConnected == true");
            while (mQueue.peek() != null) {
                Messages mMessages = mQueue.poll();
                sendMessageToRil(mMessages.Data, mMessages.Response);
            }
        } else {
            FtUtil.log_v(this.CLASS_NAME, "invokeOemRilRequestRaw", "isConnected == false");
            bindSecPhoneService();
        }
    }

    public void requestTestNvViewToRil() {
        ByteArrayOutputStream bos = new ByteArrayOutputStream();
        DataOutputStream dos = new DataOutputStream(bos);
        try {
            dos.writeByte(18);
            dos.writeByte(3);
            dos.writeShort(7);
            dos.writeByte(1);
            dos.writeByte(0);
            dos.writeByte(2);
            dos.flush();
            try {
                dos.close();
            } catch (Exception e) {
                e.printStackTrace();
            }
        } catch (IOException e2) {
            e2.printStackTrace();
            dos.close();
        } catch (Throwable th) {
            try {
                dos.close();
            } catch (Exception e3) {
                e3.printStackTrace();
            }
            throw th;
        }
        this.Response = this.mHandler.obtainMessage(200);
        invokeOemRilRequestRaw(bos.toByteArray(), this.Response);
    }

    public void requestHistoryNvViewToRil() {
        ByteArrayOutputStream bos = new ByteArrayOutputStream();
        DataOutputStream dos = new DataOutputStream(bos);
        try {
            dos.writeByte(18);
            dos.writeByte(3);
            dos.writeShort(7);
            dos.writeByte(1);
            dos.writeByte(0);
            dos.writeByte(3);
            dos.flush();
            try {
                dos.close();
            } catch (Exception e) {
                e.printStackTrace();
            }
        } catch (IOException e2) {
            e2.printStackTrace();
            dos.close();
        } catch (Throwable th) {
            try {
                dos.close();
            } catch (Exception e3) {
                e3.printStackTrace();
            }
            throw th;
        }
        this.Response = this.mHandler.obtainMessage(201);
        invokeOemRilRequestRaw(bos.toByteArray(), this.Response);
    }

    public void updateNVItem(byte itemID, byte result) {
        ByteArrayOutputStream bos = new ByteArrayOutputStream();
        DataOutputStream dos = new DataOutputStream(bos);
        try {
            dos.writeByte(18);
            dos.writeByte(4);
            dos.writeShort(9);
            dos.writeByte(3);
            dos.writeByte(0);
            dos.writeByte(1);
            dos.writeByte(itemID);
            dos.writeByte(result);
            dos.flush();
            try {
                dos.close();
            } catch (Exception e) {
                e.printStackTrace();
            }
        } catch (IOException e2) {
            e2.printStackTrace();
            dos.close();
        } catch (Throwable th) {
            try {
                dos.close();
            } catch (Exception e3) {
                e3.printStackTrace();
            }
            throw th;
        }
        this.Response = this.mHandler.obtainMessage(202);
        invokeOemRilRequestRaw(bos.toByteArray(), this.Response);
    }

    public byte getNVResult(String NVKey) {
        if (!checkResultData(this.mResultData, 3)) {
            return 78;
        }
        int itemNv = Integer.parseInt(NVKey, 16);
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "getNVResult", "itemNV: " + itemNv);
        return this.mResultData[itemNv + 3];
    }

    public void requestForUniqueNumber() {
        ByteArrayOutputStream bos = new ByteArrayOutputStream();
        DataOutputStream dos = new DataOutputStream(bos);
        try {
            dos.writeByte(12);
            dos.writeByte(5);
            dos.writeShort(5);
            dos.writeByte(1);
            dos.flush();
            try {
                dos.close();
            } catch (Exception e) {
                e.printStackTrace();
            }
        } catch (IOException e2) {
            e2.printStackTrace();
            dos.close();
        } catch (Throwable th) {
            try {
                dos.close();
            } catch (Exception e3) {
                e3.printStackTrace();
            }
            throw th;
        }
        this.Response = this.mHandler.obtainMessage(204);
        invokeOemRilRequestRaw(bos.toByteArray(), this.Response);
    }

    public void getCPDump() {
        ByteArrayOutputStream bos = new ByteArrayOutputStream();
        DataOutputStream dos = new DataOutputStream(bos);
        try {
            dos.writeByte(7);
            dos.writeByte(18);
            dos.writeShort(5);
            dos.writeByte(0);
            dos.flush();
            try {
                dos.close();
            } catch (Exception e) {
                e.printStackTrace();
            }
        } catch (IOException e2) {
            e2.printStackTrace();
            dos.close();
        } catch (Throwable th) {
            try {
                dos.close();
            } catch (Exception e3) {
                e3.printStackTrace();
            }
            throw th;
        }
        this.Response = this.mHandler.obtainMessage(206);
        invokeOemRilRequestRaw(bos.toByteArray(), this.Response);
    }

    public String getUniqueNumber() {
        if (!checkResultData(this.mResultData, 3)) {
            return null;
        }
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "getUniqueNumber", "getUniqueNumber:--->" + Arrays.toString(this.mResultData));
        return new String(this.mResultData);
    }

    public boolean getCpDumpResponse() {
        if (this.mResultData != null) {
            return true;
        }
        return false;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean checkResultData(final byte[] result, final int count) {
        if (count == 0) {
            return false;
        }
        if (result != null) {
            return true;
        }
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "checkResultData", "Entering Loop : " + count);
        this.mHandler.postDelayed(new Runnable() {
            /* class com.sec.factory.modules.FactoryTestPhone.AnonymousClass3 */

            public void run() {
                byte[] bArr = result;
                if (bArr == null) {
                    FactoryTestPhone.this.checkResultData(bArr, count - 1);
                }
            }
        }, 500);
        return false;
    }

    public void requestGripSensorOn(boolean isOn) {
        byte[] data;
        FtUtil.log_i(this.CLASS_NAME, "requestGripSensorOn", "sendToRilGripSensorStart()");
        ByteArrayOutputStream bos = new ByteArrayOutputStream();
        DataOutputStream dos = new DataOutputStream(bos);
        if (isOn) {
            data = new byte[]{2, 0, 11, 1};
        } else {
            data = new byte[]{2, 0, 11, 0};
        }
        try {
            dos.writeByte(18);
            dos.writeByte(9);
            dos.writeShort(8);
            dos.write(data);
            dos.flush();
            try {
                dos.close();
            } catch (Exception e) {
                e.printStackTrace();
            }
        } catch (IOException e2) {
            e2.printStackTrace();
            dos.close();
        } catch (Throwable th) {
            try {
                dos.close();
            } catch (Exception e3) {
                e3.printStackTrace();
            }
            throw th;
        }
        this.Response = this.mHandler.obtainMessage(205);
        invokeOemRilRequestRaw(bos.toByteArray(), this.Response);
    }

    public void requestCPsAccelerometer(boolean isOn) {
        byte[] controlData;
        FtUtil.log_i(this.CLASS_NAME, "requestCPsAccelerometer", null);
        if (isOn) {
            controlData = new byte[]{2, 0, 12, 1};
        } else {
            controlData = new byte[]{2, 0, 12, 0};
        }
        sendToRilControlData(controlData);
    }

    private void sendToRilControlData(byte[] control) {
        FtUtil.log_i(this.CLASS_NAME, "sendToRilControlData", null);
        ByteArrayOutputStream bos = new ByteArrayOutputStream();
        DataOutputStream dos = new DataOutputStream(bos);
        try {
            dos.writeByte(18);
            dos.writeByte(9);
            dos.writeShort(8);
            dos.write(control);
            dos.flush();
            try {
                dos.close();
            } catch (Exception e) {
                e.printStackTrace();
            }
        } catch (IOException e2) {
            e2.printStackTrace();
            dos.close();
        } catch (Throwable th) {
            try {
                dos.close();
            } catch (Exception e3) {
                e3.printStackTrace();
            }
            throw th;
        }
        this.Response = this.mHandler.obtainMessage(205);
        invokeOemRilRequestRaw(bos.toByteArray(), this.Response);
    }

    public void changeDualModeState() {
        ByteArrayOutputStream bos = new ByteArrayOutputStream();
        DataOutputStream dos = new DataOutputStream(bos);
        try {
            dos.writeByte(12);
            dos.writeByte(14);
            dos.writeShort(5);
            dos.writeByte(1);
            dos.flush();
            try {
                dos.close();
            } catch (Exception e) {
                e.printStackTrace();
            }
        } catch (IOException e2) {
            e2.printStackTrace();
            dos.close();
        } catch (Throwable th) {
            try {
                dos.close();
            } catch (Exception e3) {
                e3.printStackTrace();
            }
            throw th;
        }
        this.Response = this.mHandler.obtainMessage(207);
        invokeOemRilRequestRaw(bos.toByteArray(), this.Response);
    }

    public void sendGripControlToRil(byte type, byte CtrGrip, int msg) {
        ByteArrayOutputStream bos = new ByteArrayOutputStream();
        DataOutputStream dos = new DataOutputStream(bos);
        try {
            dos.writeByte(17);
            dos.writeByte(type);
            dos.writeShort(5);
            dos.writeByte(CtrGrip);
            dos.flush();
            try {
                dos.close();
            } catch (Exception e) {
                e.printStackTrace();
            }
        } catch (IOException e2) {
            e2.printStackTrace();
            dos.close();
        } catch (Throwable th) {
            try {
                dos.close();
            } catch (Exception e3) {
                e3.printStackTrace();
            }
            throw th;
        }
        this.Response = this.mHandler.obtainMessage(msg);
        invokeOemRilRequestRaw(bos.toByteArray(), this.Response);
    }

    public void requestSN(int msg) {
        ByteArrayOutputStream bos = new ByteArrayOutputStream();
        DataOutputStream dos = new DataOutputStream(bos);
        try {
            dos.writeByte(17);
            dos.writeByte(17);
            dos.writeShort(4);
            dos.flush();
            try {
                dos.close();
            } catch (Exception e) {
                e.printStackTrace();
            }
        } catch (IOException e2) {
            e2.printStackTrace();
            dos.close();
        } catch (Throwable th) {
            try {
                dos.close();
            } catch (Exception e3) {
                e3.printStackTrace();
            }
            throw th;
        }
        this.Response = this.mHandler.obtainMessage(msg);
        invokeOemRilRequestRaw(bos.toByteArray(), this.Response);
    }

    public void requestRFMIPIData(int msg) {
        ByteArrayOutputStream bos = new ByteArrayOutputStream();
        DataOutputStream dos = new DataOutputStream(bos);
        try {
            dos.writeByte(17);
            dos.writeByte(-127);
            dos.writeShort(4);
            dos.flush();
            try {
                dos.close();
            } catch (Exception e) {
                e.printStackTrace();
            }
        } catch (IOException e2) {
            e2.printStackTrace();
            dos.close();
        } catch (Throwable th) {
            try {
                dos.close();
            } catch (Exception e3) {
                e3.printStackTrace();
            }
            throw th;
        }
        this.Response = this.mHandler.obtainMessage(msg);
        invokeOemRilRequestRaw(bos.toByteArray(), this.Response);
    }

    public void requestCoaxialCableStatus(int msg) {
        ByteArrayOutputStream bos = new ByteArrayOutputStream();
        DataOutputStream dos = new DataOutputStream(bos);
        try {
            dos.writeByte(17);
            dos.writeByte(-121);
            dos.writeShort(4);
            dos.flush();
            try {
                dos.close();
            } catch (Exception e) {
                e.printStackTrace();
            }
        } catch (IOException e2) {
            e2.printStackTrace();
            dos.close();
        } catch (Throwable th) {
            try {
                dos.close();
            } catch (Exception e3) {
                e3.printStackTrace();
            }
            throw th;
        }
        this.Response = this.mHandler.obtainMessage(msg);
        invokeOemRilRequestRaw(bos.toByteArray(), this.Response);
    }

    public void destroySecPhoneService() {
        unbindSecPhoneService();
        this.mSecPhoneServiceConnection = null;
    }

    public void setSimSwitch(boolean isSwitchingToRsim) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "setSimSwitch", "" + isSwitchingToRsim);
        this.mSimSwitchHandler.switchSimSlot(isSwitchingToRsim);
    }

    /* access modifiers changed from: private */
    public class SimSwitchHandler extends Handler {
        private static final String CLASS_NAME = "SimSwitchHandler";
        private static final int EVENT_SIM_END_COMPLETE = 1;
        private static final int EVENT_SIM_END_START = 0;
        private static final int EVENT_SIM_START_COMPLETE = 3;
        private static final int EVENT_SWITCH_SIMSLOT_TYPE_COMPLETE = 2;
        private boolean isSwitchingToRsim;

        private SimSwitchHandler() {
        }

        public void switchSimSlot(boolean isSwitchingToRsim2) {
            this.isSwitchingToRsim = isSwitchingToRsim2;
            sendEmptyMessage(0);
        }

        private void requestSimLowLevelCtrl(int msg, int nNextEvent) {
            ByteArrayOutputStream bos = new ByteArrayOutputStream();
            DataOutputStream dos = new DataOutputStream(bos);
            try {
                dos.writeByte(21);
                dos.writeByte(20);
                dos.writeByte(0);
                dos.writeByte(6);
                dos.writeByte(1);
                dos.writeByte(msg);
                dos.flush();
                try {
                    dos.close();
                } catch (Exception e) {
                    e.printStackTrace();
                }
            } catch (IOException e2) {
                e2.printStackTrace();
                dos.close();
            } catch (Throwable th) {
                try {
                    dos.close();
                } catch (Exception e3) {
                    e3.printStackTrace();
                }
                throw th;
            }
            FactoryTestPhone.this.invokeOemRilRequestRaw(bos.toByteArray(), obtainMessage(nNextEvent));
        }

        public void handleMessage(Message msg) {
            switch (msg.what) {
                case 0:
                    FtUtil.log_i(CLASS_NAME, "setSimSwitch.handleMessage", "EVENT_SIM_END_START");
                    requestSimLowLevelCtrl(33, 1);
                    return;
                case 1:
                    int nSwitchToWhat = this.isSwitchingToRsim ? 17 : 16;
                    FtUtil.log_i(CLASS_NAME, "setSimSwitch.handleMessage", "EVENT_SIM_END_COMPLETE, " + nSwitchToWhat);
                    requestSimLowLevelCtrl(nSwitchToWhat, 2);
                    return;
                case 2:
                    FtUtil.log_i(CLASS_NAME, "setSimSwitch.handleMessage", "EVENT_SWITCH_SIMSLOT_TYPE_COMPLETE");
                    requestSimLowLevelCtrl(32, 3);
                    return;
                case 3:
                    FtUtil.log_i(CLASS_NAME, "setSimSwitch.handleMessage", "EVENT_SIM_START_COMPLETE");
                    return;
                default:
                    FtUtil.log_i(CLASS_NAME, "setSimSwitch.handleMessage", EnvironmentCompat.MEDIA_UNKNOWN);
                    byte[] resultData = msg.getData().getByteArray("response");
                    FtUtil.log_i(CLASS_NAME, "setSimSwitch.handleMessage", "??" + msg.what);
                    if (resultData != null) {
                        FtUtil.log_i(CLASS_NAME, "setSimSwitch.handleMessage", "resultData: " + FactoryTestPhone.stringToHex(new String(resultData)));
                        return;
                    }
                    return;
            }
        }
    }

    public void clearQueue() {
        mQueue.clear();
    }

    public static String stringToHex(String s) {
        String result = "";
        for (int i = 0; i < s.length(); i++) {
            result = result + String.format("%02X ", Integer.valueOf(s.charAt(i)));
        }
        return result;
    }
}
