package com.sec.factory.modules;

import android.app.Service;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.IBinder;
import android.widget.Toast;
import com.sec.factory.aporiented.athandler.AtMulfuncf;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.common.CommonFingerprintQcom;
import com.sec.factory.support.FtUtil;
import com.sec.factory.support.Status;
import com.sec.xmldata.support.NVAccessor;
import com.sec.xmldata.support.Support;
import java.util.Objects;

public class FingerprintServiceQcom extends Service {
    private final String CLASS_NAME = "FingerprintServiceQcom";
    private final long SnrScanTimeOut = 120000;
    private long SnrScanTimeOut_ID;
    private int TEST_ID;
    private boolean isRunning = false;
    private boolean isSupportSpen = false;
    private String mChipName;
    private CommonFingerprintQcom mCommonFingerprintQcom;
    private BroadcastReceiver mReceiver = null;
    private int mStartId;
    private Status result_BgeCal = Status.NOTEST;
    private Status result_NormalScan = Status.NOTEST;
    private Status result_SnrScan = Status.NOTEST;

    private void RegisterReceiver() {
        FtUtil.log_d("FingerprintServiceQcom", "RegisterReceiver", "RegisterReceiver");
        IntentFilter mFilter = new IntentFilter();
        Objects.requireNonNull(this.mCommonFingerprintQcom);
        mFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_CONTAMINATION_PASS");
        Objects.requireNonNull(this.mCommonFingerprintQcom);
        mFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_CONTAMINATION_UNKNOWN_FAIL");
        Objects.requireNonNull(this.mCommonFingerprintQcom);
        mFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_CONTAMINATION_WEAK_FAIL");
        Objects.requireNonNull(this.mCommonFingerprintQcom);
        mFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_CONTAMINATION_STRONG_FAIL");
        Objects.requireNonNull(this.mCommonFingerprintQcom);
        mFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_CONTAMINATION_MEMORY_DEFECT_FAIL");
        Objects.requireNonNull(this.mCommonFingerprintQcom);
        mFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_CONTAMINATION_M0_DEFECT_FAIL");
        Objects.requireNonNull(this.mCommonFingerprintQcom);
        mFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_CONTAMINATION_SANITY_ERROR_20_FAIL");
        Objects.requireNonNull(this.mCommonFingerprintQcom);
        mFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_CONTAMINATION_INVALID_TEMP_FAIL");
        Objects.requireNonNull(this.mCommonFingerprintQcom);
        mFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_CONTAMINATION_NOT_DEFINED_FAIL");
        Objects.requireNonNull(this.mCommonFingerprintQcom);
        mFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_CAL_FINISH_PASS");
        Objects.requireNonNull(this.mCommonFingerprintQcom);
        mFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_CAL_FINISH_FAIL");
        Objects.requireNonNull(this.mCommonFingerprintQcom);
        mFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_NORMAL_SCAN_SUCCESS");
        Objects.requireNonNull(this.mCommonFingerprintQcom);
        mFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_NORMAL_SCAN_FAIL");
        mFilter.addAction(AtMulfuncf.MSG_SNR_START_BUTTON_PRESSED);
        Objects.requireNonNull(this.mCommonFingerprintQcom);
        mFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_SNR_SCAN_READY");
        Objects.requireNonNull(this.mCommonFingerprintQcom);
        mFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_SNRc_SCAN_SUCCESS");
        Objects.requireNonNull(this.mCommonFingerprintQcom);
        mFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_SNR_SCAN_FAIL");
        Objects.requireNonNull(this.mCommonFingerprintQcom);
        mFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_SNR_SCAN_TIMEOUT");
        Objects.requireNonNull(this.mCommonFingerprintQcom);
        mFilter.addAction("com.sec.factory.common.CommonFingerprintQcom.MSG_TIME_OUT");
        mFilter.addAction("com.sec.factory.aporiented.athandler.AtFpsensorQcom.MSG_GET_SNR_START_BTN_VISIBILITY");
        mFilter.setPriority(10);
        AnonymousClass1 r1 = new BroadcastReceiver() {
            /* class com.sec.factory.modules.FingerprintServiceQcom.AnonymousClass1 */

            public void onReceive(Context context, Intent intent) {
                String action = intent.getAction();
                FtUtil.log_d("FingerprintServiceQcom", "onReceive", "Action: " + action);
                Objects.requireNonNull(FingerprintServiceQcom.this.mCommonFingerprintQcom);
                if (action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_CONTAMINATION_PASS")) {
                    FingerprintServiceQcom.this.mCommonFingerprintQcom.runBGEcal();
                    return;
                }
                Objects.requireNonNull(FingerprintServiceQcom.this.mCommonFingerprintQcom);
                if (action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_CONTAMINATION_UNKNOWN_FAIL")) {
                    FingerprintServiceQcom.this.setCalandScanResult(CommonFingerprintQcom.TestType.BGECAL, Status.FAIL_UNKNOWN);
                } else {
                    Objects.requireNonNull(FingerprintServiceQcom.this.mCommonFingerprintQcom);
                    if (action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_CONTAMINATION_WEAK_FAIL")) {
                        FingerprintServiceQcom.this.setCalandScanResult(CommonFingerprintQcom.TestType.BGECAL, Status.FAIL_CONTAMINATION_WEAK);
                    } else {
                        Objects.requireNonNull(FingerprintServiceQcom.this.mCommonFingerprintQcom);
                        if (action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_CONTAMINATION_STRONG_FAIL")) {
                            FingerprintServiceQcom.this.setCalandScanResult(CommonFingerprintQcom.TestType.BGECAL, Status.FAIL_CONTAMINATION_STRONG);
                        } else {
                            Objects.requireNonNull(FingerprintServiceQcom.this.mCommonFingerprintQcom);
                            if (action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_CONTAMINATION_MEMORY_DEFECT_FAIL")) {
                                FingerprintServiceQcom.this.setCalandScanResult(CommonFingerprintQcom.TestType.BGECAL, Status.FAIL_MEMORY_DEFECT);
                            } else {
                                Objects.requireNonNull(FingerprintServiceQcom.this.mCommonFingerprintQcom);
                                if (action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_CONTAMINATION_M0_DEFECT_FAIL")) {
                                    FingerprintServiceQcom.this.setCalandScanResult(CommonFingerprintQcom.TestType.BGECAL, Status.FAIL_M0_DEFECT);
                                } else {
                                    Objects.requireNonNull(FingerprintServiceQcom.this.mCommonFingerprintQcom);
                                    if (action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_CONTAMINATION_SANITY_ERROR_20_FAIL")) {
                                        FingerprintServiceQcom.this.setCalandScanResult(CommonFingerprintQcom.TestType.BGECAL, Status.FAIL_SANITY_ERROR_20);
                                    } else {
                                        Objects.requireNonNull(FingerprintServiceQcom.this.mCommonFingerprintQcom);
                                        if (action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_CONTAMINATION_INVALID_TEMP_FAIL")) {
                                            FingerprintServiceQcom.this.setCalandScanResult(CommonFingerprintQcom.TestType.BGECAL, Status.FAIL_INVALID_TEMP);
                                        } else {
                                            Objects.requireNonNull(FingerprintServiceQcom.this.mCommonFingerprintQcom);
                                            if (action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_CONTAMINATION_NOT_DEFINED_FAIL")) {
                                                FingerprintServiceQcom.this.setCalandScanResult(CommonFingerprintQcom.TestType.BGECAL, Status.FAIL_NOT_DEFINED);
                                            } else {
                                                Objects.requireNonNull(FingerprintServiceQcom.this.mCommonFingerprintQcom);
                                                if (action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_CAL_FINISH_PASS")) {
                                                    boolean calResult = true;
                                                    if (!"QBT2000".equals(FingerprintServiceQcom.this.mChipName)) {
                                                        calResult = FingerprintServiceQcom.this.mCommonFingerprintQcom.getFinalResultfromScanData(FingerprintServiceQcom.this.mCommonFingerprintQcom.getScanDataList(CommonFingerprintQcom.TestType.BGECAL));
                                                    }
                                                    if (!calResult) {
                                                        FingerprintServiceQcom.this.setCalandScanResult(CommonFingerprintQcom.TestType.BGECAL, Status.FAIL);
                                                    } else if (FingerprintServiceQcom.this.mCommonFingerprintQcom.saveSensorID()) {
                                                        FingerprintServiceQcom.this.setCalandScanResult(CommonFingerprintQcom.TestType.BGECAL, Status.PASS);
                                                        if (FingerprintServiceQcom.this.isSupportSpen) {
                                                            FingerprintServiceQcom.this.mCommonFingerprintQcom.setWacomChargingMode(true);
                                                        }
                                                        FingerprintServiceQcom.this.mCommonFingerprintQcom.startNormalScan();
                                                        FingerprintServiceQcom fingerprintServiceQcom = FingerprintServiceQcom.this;
                                                        Toast.makeText(fingerprintServiceQcom, " testType:" + CommonFingerprintQcom.TestType.NORMALSCAN.name() + " Start", 0).show();
                                                        return;
                                                    } else {
                                                        FingerprintServiceQcom.this.setCalandScanResult(CommonFingerprintQcom.TestType.BGECAL, Status.FAIL_SENSORID);
                                                    }
                                                } else {
                                                    Objects.requireNonNull(FingerprintServiceQcom.this.mCommonFingerprintQcom);
                                                    if (action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_CAL_FINISH_FAIL")) {
                                                        FingerprintServiceQcom.this.setCalandScanResult(CommonFingerprintQcom.TestType.BGECAL, Status.FAIL_CAL);
                                                    } else {
                                                        Objects.requireNonNull(FingerprintServiceQcom.this.mCommonFingerprintQcom);
                                                        if (action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_NORMAL_SCAN_SUCCESS")) {
                                                            FingerprintServiceQcom.this.setCalandScanResult(CommonFingerprintQcom.TestType.NORMALSCAN, FingerprintServiceQcom.this.mCommonFingerprintQcom.getFinalResultfromScanData(FingerprintServiceQcom.this.mCommonFingerprintQcom.getScanDataList(CommonFingerprintQcom.TestType.NORMALSCAN)) ? Status.PASS : Status.FAIL_SPECOUT);
                                                            FingerprintServiceQcom fingerprintServiceQcom2 = FingerprintServiceQcom.this;
                                                            fingerprintServiceQcom2.SnrScanTimeOut_ID = fingerprintServiceQcom2.mCommonFingerprintQcom.startCheckTimeOut(120000);
                                                            return;
                                                        }
                                                        Objects.requireNonNull(FingerprintServiceQcom.this.mCommonFingerprintQcom);
                                                        if (action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_NORMAL_SCAN_FAIL")) {
                                                            FingerprintServiceQcom.this.setCalandScanResult(CommonFingerprintQcom.TestType.NORMALSCAN, Status.FAIL_SCAN);
                                                        } else if (!action.equals(AtMulfuncf.MSG_SNR_START_BUTTON_PRESSED)) {
                                                            Objects.requireNonNull(FingerprintServiceQcom.this.mCommonFingerprintQcom);
                                                            if (action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_SNR_SCAN_READY")) {
                                                                FingerprintServiceQcom.this.mCommonFingerprintQcom.startSNR();
                                                                return;
                                                            }
                                                            Objects.requireNonNull(FingerprintServiceQcom.this.mCommonFingerprintQcom);
                                                            if (action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_SNRc_SCAN_SUCCESS")) {
                                                                if (FingerprintServiceQcom.this.mCommonFingerprintQcom.getFinalResultfromScanData(FingerprintServiceQcom.this.mCommonFingerprintQcom.getScanDataList(CommonFingerprintQcom.TestType.SNRSCAN))) {
                                                                    FingerprintServiceQcom.this.setCalandScanResult(CommonFingerprintQcom.TestType.SNRSCAN, Status.PASS);
                                                                } else {
                                                                    FingerprintServiceQcom.this.setCalandScanResult(CommonFingerprintQcom.TestType.SNRSCAN, Status.FAIL_SPECOUT);
                                                                    FingerprintServiceQcom.this.mCommonFingerprintQcom.copySnrImg();
                                                                }
                                                            } else {
                                                                Objects.requireNonNull(FingerprintServiceQcom.this.mCommonFingerprintQcom);
                                                                if (action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_SNR_SCAN_FAIL")) {
                                                                    FingerprintServiceQcom.this.setCalandScanResult(CommonFingerprintQcom.TestType.SNRSCAN, Status.FAIL_SCAN);
                                                                    FingerprintServiceQcom.this.mCommonFingerprintQcom.copySnrImg();
                                                                } else {
                                                                    Objects.requireNonNull(FingerprintServiceQcom.this.mCommonFingerprintQcom);
                                                                    if (action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_SNR_SCAN_TIMEOUT")) {
                                                                        FingerprintServiceQcom.this.setCalandScanResult(CommonFingerprintQcom.TestType.SNRSCAN, Status.FAIL_CALLBACK_TIMEOUT);
                                                                    } else {
                                                                        Objects.requireNonNull(FingerprintServiceQcom.this.mCommonFingerprintQcom);
                                                                        if (action.equals("com.sec.factory.common.CommonFingerprintQcom.MSG_TIME_OUT")) {
                                                                            long threadId = intent.getLongExtra("THREAD_ID", -1);
                                                                            FtUtil.log_d("FingerprintServiceQcom", "onReceive", " SnrScanTimeOut_ID:" + FingerprintServiceQcom.this.SnrScanTimeOut_ID + " threadId:" + threadId);
                                                                            if (threadId == FingerprintServiceQcom.this.SnrScanTimeOut_ID) {
                                                                                FingerprintServiceQcom.this.setCalandScanResult(CommonFingerprintQcom.TestType.SNRSCAN, Status.FAIL_TIMEOUT);
                                                                            }
                                                                        } else if (action.equals("com.sec.factory.aporiented.athandler.AtFpsensorQcom.MSG_GET_SNR_START_BTN_VISIBILITY")) {
                                                                            if (FingerprintServiceQcom.this.result_NormalScan == Status.PASS && FingerprintServiceQcom.this.result_SnrScan == Status.NOTEST) {
                                                                                setResultData("OK");
                                                                                return;
                                                                            } else if (FingerprintServiceQcom.this.result_NormalScan == Status.NOTEST) {
                                                                                setResultData("WAIT");
                                                                                return;
                                                                            } else {
                                                                                setResultData("NG");
                                                                                return;
                                                                            }
                                                                        }
                                                                    }
                                                                }
                                                            }
                                                        } else if (FingerprintServiceQcom.this.result_NormalScan == Status.PASS && FingerprintServiceQcom.this.result_SnrScan == Status.NOTEST) {
                                                            FingerprintServiceQcom.this.mCommonFingerprintQcom.endCheckTimeOut();
                                                            FingerprintServiceQcom.this.mCommonFingerprintQcom.startSNRPrepare();
                                                            FingerprintServiceQcom.this.setCalandScanResult(CommonFingerprintQcom.TestType.SNRSCAN, Status.RUNNING);
                                                            return;
                                                        } else {
                                                            FtUtil.log_e("FingerprintServiceQcom", "onReceive", " FAIL - Snr cannot start  BgeCal:" + FingerprintServiceQcom.this.result_BgeCal.name() + " NR:" + FingerprintServiceQcom.this.result_NormalScan.name());
                                                            return;
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
                FingerprintServiceQcom.this.onResult();
                FingerprintServiceQcom.this.stopService();
            }
        };
        this.mReceiver = r1;
        registerReceiver(r1, mFilter);
    }

    private void UnregisterReceiver() {
        if (this.mReceiver != null) {
            FtUtil.log_d("FingerprintServiceQcom", "UnregisterReceiver", "UnregisterReceiver");
            unregisterReceiver(this.mReceiver);
            this.mReceiver = null;
        }
    }

    public void onCreate() {
        super.onCreate();
        this.TEST_ID = 67;
        FtUtil.log_d("FingerprintServiceQcom", "onCreate", " TEST_ID:" + this.TEST_ID);
        if (Support.Feature.getBoolean(Support.Feature.SUPPORT_EPEN)) {
            this.isSupportSpen = true;
        }
    }

    private void init() {
        this.mCommonFingerprintQcom = new CommonFingerprintQcom(this, "FingerprintServiceQcom");
        this.result_BgeCal = Status.NOTEST;
        this.result_NormalScan = Status.NOTEST;
        this.result_SnrScan = Status.NOTEST;
        this.mChipName = this.mCommonFingerprintQcom.getChipName();
    }

    public int onStartCommand(Intent intent, int flags, int startId) {
        FtUtil.log_d("FingerprintServiceQcom", "onStartCommand", " flags:" + flags + " startId:" + startId);
        if (intent == null) {
            FtUtil.log_e("FingerprintServiceQcom", "onStartCommand", "Service Start FAIL(intent is null)");
            Toast.makeText(this, "Service Start FAIL(intent is null)", 0).show();
            return 2;
        } else if (this.isRunning) {
            FtUtil.log_e("FingerprintServiceQcom", "onStartCommand", "Service Start FAIL(prev service running)");
            Toast.makeText(this, "Service Start FAIL(prev service running)", 0).show();
            return 2;
        } else {
            this.isRunning = true;
            this.mStartId = startId;
            init();
            if (this.isSupportSpen) {
                this.mCommonFingerprintQcom.setWacomChargingMode(false);
            }
            this.mCommonFingerprintQcom.delBGE();
            RegisterReceiver();
            this.mCommonFingerprintQcom.setCalResultIntoSharedPreferences(Status.NOTEST.name());
            if ("QBT2000".equals(this.mChipName)) {
                this.mCommonFingerprintQcom.checkContamination();
            } else {
                this.mCommonFingerprintQcom.runBGEcal();
            }
            FtUtil.log_d("FingerprintServiceQcom", "onStartCommand", FtUtil.setMspSeqMessage(3, FactoryTestManager.getItemName_ID(this.TEST_ID), "Start"));
            Toast.makeText(this, " testType:" + CommonFingerprintQcom.TestType.BGECAL.name() + " Start", 0).show();
            return 2;
        }
    }

    public void onDestroy() {
        FtUtil.log_d("FingerprintServiceQcom", "onDestroy", "onDestroy");
        if (this.isRunning) {
            stopService();
        }
        super.onDestroy();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void onResult() {
        FtUtil.log_d("FingerprintServiceQcom", "onResult", " result_BgeCal:" + this.result_BgeCal.name() + " ,result_NormalScan:" + this.result_NormalScan.name() + " ,result_SnrScan:" + this.result_SnrScan.name());
        if (this.result_BgeCal == Status.PASS && this.result_NormalScan == Status.PASS) {
            if (this.result_SnrScan == Status.PASS) {
                setTestResult(this.TEST_ID, (byte) 80);
            } else if (this.result_SnrScan != Status.NOTEST) {
                setTestResult(this.TEST_ID, (byte) 70);
            }
            NVAccessor.setNV(67, (byte) 70);
            return;
        }
        NVAccessor.setNV(67, (byte) 70);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void stopService() {
        FtUtil.log_d("FingerprintServiceQcom", "stopService", "stopService");
        this.mCommonFingerprintQcom.endCheckTimeOut();
        this.mCommonFingerprintQcom.endFpManger();
        this.mCommonFingerprintQcom.disableListeners();
        UnregisterReceiver();
        if (this.result_BgeCal != Status.PASS) {
            this.mCommonFingerprintQcom.delBGE();
            if (this.isSupportSpen) {
                this.mCommonFingerprintQcom.setWacomChargingMode(true);
            }
        }
        FtUtil.log_d("FingerprintServiceQcom", "stopService", FtUtil.setMspSeqMessage(3, FactoryTestManager.getItemName_ID(this.TEST_ID), "End"));
        Toast.makeText(this, "FingerprintServiceQcom End", 0).show();
        this.isRunning = false;
        stopSelf(this.mStartId);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setCalandScanResult(CommonFingerprintQcom.TestType testType, Status result) {
        FtUtil.log_d("FingerprintServiceQcom", "setCalandScanResult", " testType:" + testType.name() + " result:" + result.name());
        Toast.makeText(this, " testType:" + testType.name() + " result:" + result.name(), 0).show();
        switch (AnonymousClass2.$SwitchMap$com$sec$factory$common$CommonFingerprintQcom$TestType[testType.ordinal()]) {
            case 1:
                this.result_BgeCal = result;
                this.mCommonFingerprintQcom.setCalResultIntoSharedPreferences(result.name());
                break;
            case 2:
                this.result_NormalScan = result;
                break;
            case 3:
                this.result_SnrScan = result;
                break;
        }
        String itemName_ID = FactoryTestManager.getItemName_ID(this.TEST_ID);
        FtUtil.log_d("FingerprintServiceQcom", "setCalandScanResult", FtUtil.setMspSeqMessage(3, itemName_ID, "BgeCal:" + this.result_BgeCal.name() + " ,NR:" + this.result_NormalScan.name() + " ,SNR:" + this.result_SnrScan.name()));
    }

    /* access modifiers changed from: package-private */
    /* renamed from: com.sec.factory.modules.FingerprintServiceQcom$2  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass2 {
        static final /* synthetic */ int[] $SwitchMap$com$sec$factory$common$CommonFingerprintQcom$TestType;

        static {
            int[] iArr = new int[CommonFingerprintQcom.TestType.values().length];
            $SwitchMap$com$sec$factory$common$CommonFingerprintQcom$TestType = iArr;
            try {
                iArr[CommonFingerprintQcom.TestType.BGECAL.ordinal()] = 1;
            } catch (NoSuchFieldError e) {
            }
            try {
                $SwitchMap$com$sec$factory$common$CommonFingerprintQcom$TestType[CommonFingerprintQcom.TestType.NORMALSCAN.ordinal()] = 2;
            } catch (NoSuchFieldError e2) {
            }
            try {
                $SwitchMap$com$sec$factory$common$CommonFingerprintQcom$TestType[CommonFingerprintQcom.TestType.SNRSCAN.ordinal()] = 3;
            } catch (NoSuchFieldError e3) {
            }
        }
    }

    private void setTestResult(int id, byte result) {
        FtUtil.log_i("FingerprintServiceQcom", "setTestResult", "id: " + id + " , result:" + ((int) result));
        int itemid = FactoryTestManager.getItemPosition_ID(id);
        if (itemid > -1) {
            FtUtil.log_d("FingerprintServiceQcom", "setTestResult", "itemid: " + itemid);
            FactoryTestManager.setItemResult(itemid, result);
            FactoryTestManager.notifyDataSetChanged();
        }
    }

    public IBinder onBind(Intent intent) {
        FtUtil.log_d("FingerprintServiceQcom", "onBind", "onBind");
        return null;
    }
}
