package com.sec.factory.modules;

import android.app.Service;
import android.content.Intent;
import android.os.Handler;
import android.os.HandlerThread;
import android.os.IBinder;
import android.os.Message;
import android.util.Log;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.app.ui.FragmentGeomagneticAlps;
import com.sec.factory.app.ui.FragmentGeomagneticAlpsCal;
import com.sec.factory.app.ui.FragmentGeomagneticAsahi;
import com.sec.factory.app.ui.FragmentGeomagneticBosch;
import com.sec.factory.app.ui.FragmentGeomagneticSTMicro;
import com.sec.factory.app.ui.FragmentGeomagneticYamaha;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class GeoMagneticService extends Service {
    private static final String TAG = "GeoMagneticService";
    public static final int WHAT_GEOMAGNETIC_FAIL = (SensorNotification.WHAT_NOTI_SENSOR_MAX + 4);
    public static final int WHAT_GEOMAGNETIC_PASS = (SensorNotification.WHAT_NOTI_SENSOR_MAX + 3);
    private final String TESTINFO_IC_ALPS = "ALPS";
    private final String TESTINFO_IC_ALPS_HSCDTD008A = SensorFeature.FEATURE_MAGENTIC_ALPS_HSCDTD008A;
    private final String TESTINFO_IC_ASAHI = "ASAHI";
    private final String TESTINFO_IC_BOSCH = SensorFeature.FEATURE_GYROSCOP_BOSCH;
    private final String TESTINFO_IC_MAXIM = "MAXIM";
    private final String TESTINFO_IC_STMICRO = "STMICRO";
    private final String TESTINFO_IC_YAMAHA = "YAMAHA";
    private String mFeature_Geomagnetic;
    GeoMagneticServiceCheckPassFail mGeoMagneticServiceCheckPassFail;
    private Handler mHandler = null;
    private ModuleSensor mModuleSensor;
    private int[] mSenserID = null;
    private int mSensorID_Geomagnetic_ADC;
    private int mSensorID_Geomagnetic_ADC2;
    private int mSensorID_Geomagnetic_DAC;
    private int mSensorID_Geomagnetic_Initialized;
    private int mSensorID_Geomagnetic_Released;
    private int mSensorID_Geomagnetic_Self;
    private int mSensorID_Geomagnetic_Status;
    private final int mSensorID_Geomagnetic_Temperature;
    private final int mSensorID_None;
    private TestInfo mTestInfo = new TestInfo();
    private HandlerThread mThread = null;
    private final Handler mUIHandler;

    public GeoMagneticService() {
        int i = ModuleSensor.ID_SCOPE_MIN - 1;
        this.mSensorID_None = i;
        this.mSensorID_Geomagnetic_Initialized = i;
        this.mSensorID_Geomagnetic_Status = i;
        this.mSensorID_Geomagnetic_Temperature = i;
        this.mSensorID_Geomagnetic_DAC = i;
        this.mSensorID_Geomagnetic_ADC = i;
        this.mSensorID_Geomagnetic_ADC2 = i;
        this.mSensorID_Geomagnetic_Self = i;
        this.mSensorID_Geomagnetic_Released = i;
        this.mUIHandler = new Handler() {
            /* class com.sec.factory.modules.GeoMagneticService.AnonymousClass2 */

            public void handleMessage(Message msg) {
                FtUtil.log_d(GeoMagneticService.TAG, "mUIHandler.handleMessage", "Check Result");
                GeoMagneticService.this.checkResult(msg.what);
            }
        };
    }

    /* access modifiers changed from: private */
    public class TestInfo {
        public String mIC;
        public int mID;
        public boolean mIsTestComplete;

        private TestInfo() {
            this.mIC = null;
            this.mIsTestComplete = false;
            this.mID = -1;
        }
    }

    public void onCreate() {
        super.onCreate();
    }

    public int onStartCommand(Intent intent, int flags, int startId) {
        FtUtil.log_d(TAG, "onStartCommand", "onStartCommand");
        HandlerThread handlerThread = new HandlerThread("Handler Thread");
        this.mThread = handlerThread;
        handlerThread.start();
        this.mHandler = new Handler(this.mThread.getLooper()) {
            /* class com.sec.factory.modules.GeoMagneticService.AnonymousClass1 */

            public void handleMessage(Message msg) {
                if (msg.what == SensorNotification.WHAT_NOTI_SENSOR_READY) {
                    FtUtil.log_d(GeoMagneticService.TAG, "mHandler.handleMessage", "WHAT_NOTI_SENSOR_READY");
                    GeoMagneticService.this.update();
                    return;
                }
                GeoMagneticService.this.mUIHandler.sendEmptyMessage(msg.what);
            }
        };
        setTestInfo();
        setSensorID();
        return super.onStartCommand(intent, flags, startId);
    }

    public IBinder onBind(Intent intent) {
        return null;
    }

    public void onDestroy() {
        super.onDestroy();
        this.mModuleSensor.SensorOff(this.mSenserID, this.mHandler);
        this.mThread.quit();
        this.mThread.interrupt();
        FtUtil.log_d(TAG, "onDestroy", "SensorOff");
    }

    private void setTestInfo() {
        FtUtil.log_d(TAG, "setTestInfo", null);
        this.mFeature_Geomagnetic = SensorDeviceInfo.getSensorName(SensorDeviceInfo.TYPE_GEOMAGNETIC, SensorDeviceInfo.TARGET_XML);
        FtUtil.log_d(TAG, "setTestInfo", "mFeature_Geomagnetic : " + this.mFeature_Geomagnetic);
        if (FactoryTestManager.isTest(20)) {
            this.mTestInfo.mID = 20;
            String str = this.mFeature_Geomagnetic;
            if (str == null) {
                return;
            }
            if (str.contains("AK")) {
                FtUtil.log_d(TAG, "setTestInfo", "TESTINFO_IC_ASAHI");
                this.mTestInfo.mIC = "ASAHI";
            } else if (this.mFeature_Geomagnetic.contains("YAS")) {
                FtUtil.log_d(TAG, "setTestInfo", "TESTINFO_IC_YAMAHA");
                this.mTestInfo.mIC = "YAMAHA";
            } else if (this.mFeature_Geomagnetic.contains("HSCDTD")) {
                FtUtil.log_d(TAG, "setTestInfo", "TESTINFO_IC_ALPS");
                if (Support.TestCase.getEnabled(Support.TestCase.SUPPORT_GEOMAGNETIC_ALPS_CAL)) {
                    this.mTestInfo.mIC = SensorFeature.FEATURE_MAGENTIC_ALPS_HSCDTD008A;
                } else {
                    this.mTestInfo.mIC = "ALPS";
                }
            } else if (this.mFeature_Geomagnetic.contains("BMC")) {
                FtUtil.log_d(TAG, "setTestInfo", "TESTINFO_IC_BOSCH");
                this.mTestInfo.mIC = SensorFeature.FEATURE_GYROSCOP_BOSCH;
            } else if (this.mFeature_Geomagnetic.contains("STMICRO")) {
                FtUtil.log_d(TAG, "setTestInfo", "TESTINFO_IC_STMICRO");
                this.mTestInfo.mIC = "STMICRO";
            }
        }
    }

    private void setSensorID() {
        String str;
        FtUtil.log_d(TAG, "setSensorID", null);
        if (!(this.mTestInfo == null || (str = this.mFeature_Geomagnetic) == null)) {
            if (str.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK8963) || this.mFeature_Geomagnetic.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK8963C) || this.mFeature_Geomagnetic.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09911) || this.mFeature_Geomagnetic.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09911C) || this.mFeature_Geomagnetic.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09916C) || this.mFeature_Geomagnetic.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09918C)) {
                FtUtil.log_d(TAG, "setSensorID", "AK8963 or AK8963C or AK09911 or AK09911C or AK09916C or AK09918C");
                this.mSensorID_Geomagnetic_Initialized = ModuleSensor.ID_FILE____MAGNETIC_STATUS;
                this.mSensorID_Geomagnetic_ADC = ModuleSensor.ID_FILE____MAGNETIC_ADC;
                this.mSensorID_Geomagnetic_DAC = ModuleSensor.ID_FILE____MAGNETIC_DAC;
                this.mSensorID_Geomagnetic_Self = ModuleSensor.ID_FILE____MAGNETIC_SELF;
            } else if (this.mFeature_Geomagnetic.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK8975) || this.mFeature_Geomagnetic.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK8963C_MANAGER)) {
                FtUtil.log_d(TAG, "setSensorID", "AK8975 or AK8963C_MANAGER");
                this.mSensorID_Geomagnetic_Initialized = ModuleSensor.ID_MANAGER_MAGNETIC_POWER_ON;
                this.mSensorID_Geomagnetic_DAC = ModuleSensor.ID_MANAGER_MAGNETIC_DAC;
                this.mSensorID_Geomagnetic_ADC = ModuleSensor.ID_MANAGER_MAGNETIC_ADC;
                this.mSensorID_Geomagnetic_Self = ModuleSensor.ID_MANAGER_MAGNETIC_SELF;
            } else if (this.mFeature_Geomagnetic.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK8973)) {
                FtUtil.log_d(TAG, "setSensorID", SensorFeature.FEATURE_MAGENTIC_ASAHI_AK8973);
            } else if (this.mFeature_Geomagnetic.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS530C) || this.mFeature_Geomagnetic.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS532) || this.mFeature_Geomagnetic.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS532B) || this.mFeature_Geomagnetic.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS537) || this.mFeature_Geomagnetic.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS539)) {
                FtUtil.log_d(TAG, "setSensorID", "YAS530C or YAS532 or YAS532B or YAS537");
                this.mSensorID_Geomagnetic_Initialized = ModuleSensor.ID_MANAGER_MAGNETIC_POWER_ON;
                this.mSensorID_Geomagnetic_Status = ModuleSensor.ID_MANAGER_MAGNETIC_STATUS;
                this.mSensorID_Geomagnetic_DAC = ModuleSensor.ID_MANAGER_MAGNETIC_DAC;
                this.mSensorID_Geomagnetic_ADC = ModuleSensor.ID_MANAGER_MAGNETIC_ADC;
                this.mSensorID_Geomagnetic_Self = ModuleSensor.ID_MANAGER_MAGNETIC_SELF;
                this.mSensorID_Geomagnetic_ADC2 = ModuleSensor.ID_MANAGER_MAGNETIC_OFFSETH;
                this.mSensorID_Geomagnetic_Released = ModuleSensor.ID_MANAGER_MAGNETIC_POWER_OFF;
            } else if (this.mFeature_Geomagnetic.equals(SensorFeature.FEATURE_MAGENTIC_ALPS_HSCDTD004) || this.mFeature_Geomagnetic.equals(SensorFeature.FEATURE_MAGENTIC_ALPS_HSCDTD004A) || this.mFeature_Geomagnetic.equals(SensorFeature.FEATURE_MAGENTIC_ALPS_HSCDTD006A) || this.mFeature_Geomagnetic.equals(SensorFeature.FEATURE_MAGENTIC_ALPS_HSCDTD008A)) {
                FtUtil.log_d(TAG, "setSensorID", "HSCDTD004 or HSCDTD004A or HSCDTD006A");
                this.mSensorID_Geomagnetic_Initialized = ModuleSensor.ID_MANAGER_MAGNETIC_POWER_ON;
                this.mSensorID_Geomagnetic_Status = ModuleSensor.ID_FILE____MAGNETIC_STATUS;
                this.mSensorID_Geomagnetic_ADC = ModuleSensor.ID_FILE____MAGNETIC_ADC;
            } else if (this.mFeature_Geomagnetic.equals("BMC150") || this.mFeature_Geomagnetic.equals(SensorFeature.FEATURE_MAGENTIC_BOSCH_BMC150_POWER_NOISE) || this.mFeature_Geomagnetic.equals(SensorFeature.FEATURE_MAGENTIC_BOSCH_BMC150_COMBINATION)) {
                FtUtil.log_d(TAG, "setSensorID", "BMC150, BMC150_POWER_NOISE or BOSCH_BMC150_COMBINATION");
                String readTarget = Support.TestCase.getString(Support.TestCase.READ_TARGET_GEOMAGNETIC);
                FtUtil.log_d(TAG, "setSensorID", "readTarget : [" + readTarget + "]");
                if ("".equals(readTarget)) {
                    this.mSensorID_Geomagnetic_Initialized = ModuleSensor.ID_MANAGER_MAGNETIC_POWER_ON;
                    this.mSensorID_Geomagnetic_Self = ModuleSensor.ID_MANAGER_MAGNETIC_SELF;
                    this.mSensorID_Geomagnetic_ADC = ModuleSensor.ID_MANAGER_MAGNETIC_ADC;
                } else if (readTarget.equalsIgnoreCase("MANAGER")) {
                    this.mSensorID_Geomagnetic_Initialized = ModuleSensor.ID_MANAGER_MAGNETIC_POWER_ON;
                    this.mSensorID_Geomagnetic_Self = ModuleSensor.ID_MANAGER_MAGNETIC_SELF;
                    this.mSensorID_Geomagnetic_ADC = ModuleSensor.ID_MANAGER_MAGNETIC_ADC;
                } else if (readTarget.equalsIgnoreCase("FILE")) {
                    this.mSensorID_Geomagnetic_Initialized = ModuleSensor.ID_FILE____MAGNETIC_POWER_ON;
                    this.mSensorID_Geomagnetic_Self = ModuleSensor.ID_FILE____MAGNETIC_SELF;
                    this.mSensorID_Geomagnetic_ADC = ModuleSensor.ID_FILE____MAGNETIC_ADC;
                }
            } else if (this.mFeature_Geomagnetic.equals(SensorFeature.FEATURE_MAGENTIC_BOSCH_BMC150_NEWEST)) {
                this.mSensorID_Geomagnetic_Initialized = ModuleSensor.ID_FILE____MAGNETIC_SELF;
                this.mSensorID_Geomagnetic_Self = ModuleSensor.ID_FILE____MAGNETIC_SELF;
                this.mSensorID_Geomagnetic_ADC = ModuleSensor.ID_FILE____MAGNETIC_SELF;
            } else if (this.mFeature_Geomagnetic.equals(SensorFeature.FEATURE_MAGENTIC_STMICRO)) {
                FtUtil.log_d(TAG, "setSensorID", SensorFeature.FEATURE_MAGENTIC_STMICRO);
                this.mSensorID_Geomagnetic_Initialized = ModuleSensor.ID_MANAGER_MAGNETIC_POWER_ON;
                this.mSensorID_Geomagnetic_Status = ModuleSensor.ID_FILE____MAGNETIC_STATUS;
                this.mSensorID_Geomagnetic_Self = ModuleSensor.ID_FILE____MAGNETIC_SELF;
                this.mSensorID_Geomagnetic_ADC = ModuleSensor.ID_FILE____MAGNETIC_ADC;
            } else if (this.mFeature_Geomagnetic.equals(SensorFeature.FEATURE_MAGENTIC_STMICRO_LSM303AH)) {
                FtUtil.log_d(TAG, "setSensorID", SensorFeature.FEATURE_MAGENTIC_STMICRO_LSM303AH);
                this.mSensorID_Geomagnetic_Initialized = ModuleSensor.ID_MANAGER_MAGNETIC_POWER_ON;
                this.mSensorID_Geomagnetic_Status = ModuleSensor.ID_FILE____MAGNETIC_STATUS;
                this.mSensorID_Geomagnetic_Self = ModuleSensor.ID_FILE____MAGNETIC_SELF;
                this.mSensorID_Geomagnetic_ADC = ModuleSensor.ID_FILE____MAGNETIC_ADC;
            }
        }
        this.mSenserID = new int[]{this.mSensorID_Geomagnetic_Initialized, this.mSensorID_Geomagnetic_Status, this.mSensorID_Geomagnetic_Temperature, this.mSensorID_Geomagnetic_DAC, this.mSensorID_Geomagnetic_ADC, this.mSensorID_Geomagnetic_ADC2, this.mSensorID_Geomagnetic_Self, this.mSensorID_Geomagnetic_Released};
        ModuleSensor instance = ModuleSensor.instance(this);
        this.mModuleSensor = instance;
        instance.SensorOn(this.mSenserID, this.mHandler, -1);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void update() {
        FtUtil.log_d(TAG, "update", null);
        this.mGeoMagneticServiceCheckPassFail = new GeoMagneticServiceCheckPassFail(this);
        TestInfo testInfo = this.mTestInfo;
        if (testInfo == null) {
            return;
        }
        if (testInfo.mIC == "ASAHI") {
            this.mGeoMagneticServiceCheckPassFail.checkGeomagneticAsahi(getDataGeomagneticAsahi(), this.mHandler);
        } else if (this.mTestInfo.mIC == "YAMAHA") {
            this.mGeoMagneticServiceCheckPassFail.checkGeomagneticYamaha(getDataGeomagneticYamaha(), this.mHandler);
        } else if (this.mTestInfo.mIC == "ALPS") {
            this.mGeoMagneticServiceCheckPassFail.checkGeomagneticAlps(getDataGeomagneticAlps(), this.mHandler);
        } else if (this.mTestInfo.mIC == SensorFeature.FEATURE_MAGENTIC_ALPS_HSCDTD008A) {
            this.mGeoMagneticServiceCheckPassFail.checkGeomagneticAlpsCal(getDataGeomagneticAlpsCal(), this.mHandler);
        } else if (this.mTestInfo.mIC == SensorFeature.FEATURE_GYROSCOP_BOSCH) {
            this.mGeoMagneticServiceCheckPassFail.checkGeomagneticBosch(getDataGeomagneticBosch(), this.mHandler);
        } else if (this.mTestInfo.mIC == "STMICRO") {
            this.mGeoMagneticServiceCheckPassFail.checkGeomagneticSTMicro(getDataGeomagneticSTMicro(), this.mHandler);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void checkResult(int what) {
        if (what == WHAT_GEOMAGNETIC_PASS) {
            FtUtil.log_d(TAG, "checkResult", "WHAT_GEOMAGNETIC_PASS");
            this.mTestInfo.mIsTestComplete = true;
            writeNV(this.mTestInfo.mID, true);
        } else if (what == WHAT_GEOMAGNETIC_FAIL) {
            FtUtil.log_e(TAG, "checkResult", "WHAT_GEOMAGNETIC_FAIL");
            this.mTestInfo.mIsTestComplete = true;
            writeNV(this.mTestInfo.mID, false);
            FtUtil.log_d(TAG, "checkResult", FtUtil.setMspSeqMessage(4, FactoryTestManager.getItemName_RequestCode(37), "Fail - GEOMAGNETIC"));
        }
        if (this.mTestInfo.mIsTestComplete) {
            FtUtil.log_d(TAG, "checkResult", "finish");
            onDestroy();
        }
    }

    private void writeNV(int id, boolean isPass) {
        if (isPass) {
            FtUtil.log_d(TAG, "writeNV", "PASS");
            setTestResult((byte) id, (byte) 80);
            return;
        }
        FtUtil.log_e(TAG, "writeNV", "FAIL");
        setTestResult((byte) id, (byte) 70);
    }

    private void setTestResult(byte id, byte result) {
        Log.i(TAG, "setTestResult, id: " + ((int) id) + " , result:" + ((int) result));
        int itemid = FactoryTestManager.getItemPosition_ID(id);
        if (itemid > -1) {
            Log.i(TAG, "setTestResult itemid: " + itemid);
            FactoryTestManager.setItemResult(itemid, result);
            FactoryTestManager.notifyDataSetChanged();
        }
    }

    /* access modifiers changed from: protected */
    public void setTestResultWithoutNV(byte id, byte result) {
        int itemid = FactoryTestManager.getItemPosition_ID(id);
        if (itemid > -1) {
            FactoryTestManager.setItemResultWithoutNVUpdate(itemid, result);
            FactoryTestManager.notifyDataSetChanged();
        }
    }

    private FragmentGeomagneticAsahi.DataGeomagneticAsahi getDataGeomagneticAsahi() {
        FtUtil.log_d(TAG, "getDataGeomagneticAsahi", null);
        FragmentGeomagneticAsahi.DataGeomagneticAsahi data = new FragmentGeomagneticAsahi.DataGeomagneticAsahi();
        String[] temp = null;
        String tempdata = Support.Kernel.read(Support.Kernel.GEOMAGNETIC_SENSOR_SELFTEST);
        if (this.mFeature_Geomagnetic.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09911) || this.mFeature_Geomagnetic.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09911C) || this.mFeature_Geomagnetic.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09916C) || this.mFeature_Geomagnetic.equals(SensorFeature.FEATURE_MAGENTIC_ASAHI_AK09918C)) {
            if (tempdata != null) {
                temp = tempdata.split(",");
            }
            if (temp == null || temp.length <= 9) {
                FtUtil.log_d(TAG, "getDataGeomagneticAsahi", "Sysfs Data is wrong");
                data.mIsDisplay_Initialized = true;
                data.mInitialized = ModuleCommunicationService.SMD_NOK;
            } else {
                data.mIsDisplay_Initialized = true;
                if (temp[0].equals("0")) {
                    data.mInitialized = EgisFingerprint.MAJOR_VERSION;
                } else {
                    data.mInitialized = "0";
                }
                data.mIsDisplay_Self = true;
                if (temp[1].equals("0")) {
                    data.mSelf_Result = "OK";
                } else {
                    data.mSelf_Result = ModuleCommunicationService.SMD_NOK;
                }
                data.mSelf_X = temp[2];
                data.mSelf_Y = temp[3];
                data.mSelf_Z = temp[4];
                data.mIsDisplay_DAC = true;
                if (temp[5].equals("0")) {
                    data.mDAC_Result = "OK";
                } else {
                    data.mDAC_Result = ModuleCommunicationService.SMD_NOK;
                }
                data.mDAC_X = EgisFingerprint.MAJOR_VERSION;
                data.mDAC_Y = "0";
                data.mDAC_Z = "0";
                data.mIsDisplay_ADC = true;
                if (temp[6].equals("0")) {
                    data.mADC_Result = "OK";
                } else {
                    data.mADC_Result = ModuleCommunicationService.SMD_NOK;
                }
                data.mADC_X = temp[7];
                data.mADC_Y = temp[8];
                data.mADC_Z = temp[9];
            }
        } else {
            int i = this.mSensorID_None;
            int i2 = this.mSensorID_Geomagnetic_Initialized;
            if (i < i2) {
                String[] temp2 = this.mModuleSensor.getData(i2);
                data.mIsDisplay_Initialized = true;
                if (temp2 == null || temp2.length <= 2) {
                    data.mInitialized = ModuleCommunicationService.SMD_NOK;
                } else {
                    data.mInitialized = temp2[2];
                }
                FtUtil.log_d(TAG, "getDataGeomagneticAsahi", "data.mInitialized : " + data.mInitialized);
            }
            int i3 = this.mSensorID_None;
            int i4 = this.mSensorID_Geomagnetic_Temperature;
            if (i3 < i4) {
                String[] temp3 = this.mModuleSensor.getData(i4);
                data.mIsDisplay_Temperature = true;
                if (temp3 == null || temp3.length <= 2) {
                    data.mTemperature_Result = ModuleCommunicationService.SMD_NOK;
                    data.mTemperature = ModuleCommunicationService.SMD_NOK;
                } else {
                    data.mTemperature_Result = temp3[1];
                    data.mTemperature = temp3[2];
                }
                FtUtil.log_d(TAG, "getDataGeomagneticAsahi", "data.mTemperature_Result : " + data.mTemperature_Result);
                FtUtil.log_d(TAG, "getDataGeomagneticAsahi", "data.mTemperature : " + data.mTemperature);
            }
            int i5 = this.mSensorID_None;
            int i6 = this.mSensorID_Geomagnetic_Self;
            if (i5 < i6) {
                String[] temp4 = this.mModuleSensor.getData(i6);
                data.mIsDisplay_Self = true;
                if (temp4 != null && temp4.length > 4) {
                    if (temp4[1].equals("0")) {
                        data.mSelf_Result = "OK";
                        data.mSelf_X = temp4[2];
                        data.mSelf_Y = temp4[3];
                        data.mSelf_Z = temp4[4];
                    } else {
                        data.mSelf_Result = ModuleCommunicationService.SMD_NOK;
                        data.mSelf_X = ModuleCommunicationService.SMD_NOK;
                        data.mSelf_Y = ModuleCommunicationService.SMD_NOK;
                        data.mSelf_Z = ModuleCommunicationService.SMD_NOK;
                    }
                }
                FtUtil.log_d(TAG, "getDataGeomagneticAsahi", "data.mSelf_Result : " + data.mSelf_Result);
                FtUtil.log_d(TAG, "getDataGeomagneticAsahi", "data.mSelf_X : " + data.mSelf_X);
                FtUtil.log_d(TAG, "getDataGeomagneticAsahi", "data.mSelf_Y : " + data.mSelf_Y);
                FtUtil.log_d(TAG, "getDataGeomagneticAsahi", "data.mSelf_Z : " + data.mSelf_Z);
            }
            int i7 = this.mSensorID_None;
            int i8 = this.mSensorID_Geomagnetic_DAC;
            if (i7 < i8) {
                String[] temp5 = this.mModuleSensor.getData(i8);
                data.mIsDisplay_DAC = true;
                if (temp5 == null || temp5.length <= 4) {
                    data.mDAC_Result = ModuleCommunicationService.SMD_NOK;
                    data.mDAC_X = ModuleCommunicationService.SMD_NOK;
                    data.mDAC_Y = ModuleCommunicationService.SMD_NOK;
                    data.mDAC_Z = ModuleCommunicationService.SMD_NOK;
                } else {
                    data.mDAC_Result = temp5[1];
                    data.mDAC_X = temp5[2];
                    data.mDAC_Y = temp5[3];
                    data.mDAC_Z = temp5[4];
                }
                FtUtil.log_d(TAG, "getDataGeomagneticAsahi", "data.mDAC_Result : " + data.mDAC_Result);
                FtUtil.log_d(TAG, "getDataGeomagneticAsahi", "data.mDAC_X : " + data.mDAC_X);
                FtUtil.log_d(TAG, "getDataGeomagneticAsahi", "data.mDAC_Y : " + data.mDAC_Y);
                FtUtil.log_d(TAG, "getDataGeomagneticAsahi", "data.mDAC_Z : " + data.mDAC_Z);
            }
            int i9 = this.mSensorID_None;
            int i10 = this.mSensorID_Geomagnetic_ADC;
            if (i9 < i10) {
                String[] temp6 = this.mModuleSensor.getData(i10);
                data.mIsDisplay_ADC = true;
                if (temp6 == null || temp6.length <= 4) {
                    data.mADC_Result = ModuleCommunicationService.SMD_NOK;
                    data.mADC_X = ModuleCommunicationService.SMD_NOK;
                    data.mADC_Y = ModuleCommunicationService.SMD_NOK;
                    data.mADC_Z = ModuleCommunicationService.SMD_NOK;
                } else {
                    data.mADC_Result = temp6[1];
                    data.mADC_X = temp6[2];
                    data.mADC_Y = temp6[3];
                    data.mADC_Z = temp6[4];
                }
                FtUtil.log_d(TAG, "getDataGeomagneticAsahi", "data.mADC_Result : " + data.mADC_Result);
                FtUtil.log_d(TAG, "getDataGeomagneticAsahi", "data.mADC_X : " + data.mADC_X);
                FtUtil.log_d(TAG, "getDataGeomagneticAsahi", "data.mADC_Y : " + data.mADC_Y);
                FtUtil.log_d(TAG, "getDataGeomagneticAsahi", "data.mADC_Z : " + data.mADC_Z);
            }
        }
        return data;
    }

    private FragmentGeomagneticYamaha.DataGeomagneticYamaha getDataGeomagneticYamaha() {
        FtUtil.log_d(TAG, "getDataGeomagneticYamaha", null);
        FragmentGeomagneticYamaha.DataGeomagneticYamaha data = new FragmentGeomagneticYamaha.DataGeomagneticYamaha();
        String[] temp = null;
        String tempdata = Support.Kernel.read(Support.Kernel.GEOMAGNETIC_SENSOR_SELFTEST);
        if (tempdata != null) {
            temp = tempdata.split(",");
        }
        if (temp != null) {
            data.mIsDisplay_Initialized = true;
            if (temp[0].equals("0")) {
                data.mInitialized = EgisFingerprint.MAJOR_VERSION;
            } else {
                data.mInitialized = "0";
            }
            if (temp[2].equals("0")) {
                data.mStatus_Result = "OK";
            } else {
                data.mStatus_Result = ModuleCommunicationService.SMD_NOK;
            }
            data.mStatus = temp[2];
            data.mIsDisplay_DAC = true;
            if (temp[3].equals("0")) {
                data.mDAC_Result = "OK";
            } else {
                data.mDAC_Result = ModuleCommunicationService.SMD_NOK;
            }
            data.mDAC_X = temp[4];
            data.mDAC_Y = temp[5];
            data.mDAC_Z = temp[6];
            data.mIsDisplay_ADC = true;
            if (temp[7].equals("0")) {
                data.mADC_Result = "OK";
            } else {
                data.mADC_Result = ModuleCommunicationService.SMD_NOK;
            }
            data.mADC_X = temp[8];
            data.mADC_Y = "0";
            data.mADC_Z = "0";
            data.mIsDisplay_Self = true;
            if (temp[9].equals("0")) {
                data.mSelf_Result = "OK";
            } else {
                data.mSelf_Result = ModuleCommunicationService.SMD_NOK;
            }
            data.mSelf_X = temp[10];
            data.mSelf_Y = temp[11];
            if (!this.mFeature_Geomagnetic.equals(SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS539)) {
                data.mIsDisplay_OffsetH = true;
                if (temp[12].equals("0")) {
                    data.mOffsetH_Result = "OK";
                } else {
                    data.mOffsetH_Result = ModuleCommunicationService.SMD_NOK;
                }
                data.mOffsetH_X = temp[13];
                data.mOffsetH_Y = temp[14];
                data.mOffsetH_Z = temp[15];
                if (temp[16].equals("0")) {
                    data.mPowerOff_Result = EgisFingerprint.MAJOR_VERSION;
                } else {
                    data.mPowerOff_Result = ModuleCommunicationService.SMD_NOK;
                }
            } else {
                data.mSelf_Y2 = temp[12];
                data.mIsDisplay_OffsetH = true;
                if (temp[13].equals("0")) {
                    data.mOffsetH_Result = "OK";
                } else {
                    data.mOffsetH_Result = ModuleCommunicationService.SMD_NOK;
                }
                data.mOffsetH_X = temp[14];
                data.mOffsetH_Y = temp[15];
                data.mOffsetH_Z = temp[16];
                if (temp[17].equals("0")) {
                    data.mPowerOff_Result = EgisFingerprint.MAJOR_VERSION;
                } else {
                    data.mPowerOff_Result = ModuleCommunicationService.SMD_NOK;
                }
            }
        }
        return data;
    }

    private FragmentGeomagneticAlps.DataGeomagneticAlps getDataGeomagneticAlps() {
        FtUtil.log_d(TAG, "getDataGeomagneticAlps", null);
        FragmentGeomagneticAlps.DataGeomagneticAlps data = new FragmentGeomagneticAlps.DataGeomagneticAlps();
        int i = this.mSensorID_None;
        int i2 = this.mSensorID_Geomagnetic_Initialized;
        if (i < i2) {
            String[] temp = this.mModuleSensor.getData(i2);
            data.mIsDisplay_Initialized = true;
            if (temp == null || temp.length <= 2) {
                data.mInitialized = ModuleCommunicationService.SMD_NOK;
            } else {
                data.mInitialized = temp[2];
            }
        }
        int i3 = this.mSensorID_None;
        int i4 = this.mSensorID_Geomagnetic_Status;
        if (i3 < i4) {
            String[] temp2 = this.mModuleSensor.getData(i4);
            data.mIsDisplay_Status = true;
            if (temp2 == null || temp2.length <= 2) {
                data.mStatus_Result = ModuleCommunicationService.SMD_NOK;
                data.mStatus = ModuleCommunicationService.SMD_NOK;
            } else {
                data.mStatus_Result = temp2[1];
                data.mStatus = temp2[2];
            }
        }
        int i5 = this.mSensorID_None;
        int i6 = this.mSensorID_Geomagnetic_ADC;
        if (i5 < i6) {
            String[] temp3 = this.mModuleSensor.getData(i6);
            data.mIsDisplay_ADC = true;
            if (temp3 == null || temp3.length <= 4) {
                data.mADC_Result = ModuleCommunicationService.SMD_NOK;
                data.mADC_X = ModuleCommunicationService.SMD_NOK;
                data.mADC_Y = ModuleCommunicationService.SMD_NOK;
                data.mADC_Z = ModuleCommunicationService.SMD_NOK;
            } else {
                data.mADC_Result = temp3[1];
                data.mADC_X = temp3[2];
                data.mADC_Y = temp3[3];
                data.mADC_Z = temp3[4];
            }
        }
        return data;
    }

    private FragmentGeomagneticAlpsCal.DataGeomagneticAlpsCal getDataGeomagneticAlpsCal() {
        FtUtil.log_d(TAG, "getDataGeomagneticAlps", null);
        FragmentGeomagneticAlpsCal.DataGeomagneticAlpsCal data = new FragmentGeomagneticAlpsCal.DataGeomagneticAlpsCal();
        int i = this.mSensorID_None;
        int i2 = this.mSensorID_Geomagnetic_Initialized;
        if (i < i2) {
            String[] temp = this.mModuleSensor.getData(i2);
            data.mIsDisplay_Initialized = true;
            if (temp == null || temp.length <= 2) {
                data.mInitialized = ModuleCommunicationService.SMD_NOK;
            } else {
                data.mInitialized = temp[2];
            }
        }
        int i3 = this.mSensorID_None;
        int i4 = this.mSensorID_Geomagnetic_Status;
        if (i3 < i4) {
            String[] temp2 = this.mModuleSensor.getData(i4);
            data.mIsDisplay_Status = true;
            if (temp2 == null || temp2.length <= 2) {
                data.mStatus_Result = ModuleCommunicationService.SMD_NOK;
                data.mStatus = ModuleCommunicationService.SMD_NOK;
            } else {
                data.mStatus_Result = temp2[1];
                data.mStatus = temp2[2];
            }
        }
        int i5 = this.mSensorID_None;
        int i6 = this.mSensorID_Geomagnetic_ADC;
        if (i5 < i6) {
            String[] temp3 = this.mModuleSensor.getData(i6);
            data.mIsDisplay_ADC = true;
            if (temp3 == null || temp3.length <= 4) {
                data.mADC_Result = ModuleCommunicationService.SMD_NOK;
                data.mADC_X = ModuleCommunicationService.SMD_NOK;
                data.mADC_Y = ModuleCommunicationService.SMD_NOK;
                data.mADC_Z = ModuleCommunicationService.SMD_NOK;
            } else {
                data.mADC_Result = temp3[1];
                data.mADC_X = temp3[2];
                data.mADC_Y = temp3[3];
                data.mADC_Z = temp3[4];
            }
        }
        return data;
    }

    private FragmentGeomagneticBosch.DataGeomagneticBosch getDataGeomagneticBosch() {
        FtUtil.log_d(TAG, "getDataGeomagneticBosch", null);
        FragmentGeomagneticBosch.DataGeomagneticBosch data = new FragmentGeomagneticBosch.DataGeomagneticBosch();
        if (this.mFeature_Geomagnetic.equals(SensorFeature.FEATURE_MAGENTIC_BOSCH_BMC150_NEWEST)) {
            data.mIsDisplay_Initialized = true;
            data.mIsDisplay_Self = true;
            data.mIsDisplay_ADC = true;
            String[] temp = this.mModuleSensor.getData(this.mSensorID_Geomagnetic_Self);
            if (temp != null) {
                if (temp[0].equals("0")) {
                    data.mInitialized = EgisFingerprint.MAJOR_VERSION;
                } else {
                    data.mInitialized = ModuleCommunicationService.SMD_NOK;
                }
                if (temp[5].equals("0")) {
                    data.mSelf_Result = "OK";
                    data.mADC_Result = "OK";
                } else {
                    data.mSelf_Result = ModuleCommunicationService.SMD_NOK;
                    data.mADC_Result = ModuleCommunicationService.SMD_NOK;
                }
                data.mBmZ = temp[1];
                data.mADC_X = temp[2];
                data.mADC_Y = temp[3];
                data.mADC_Z = temp[4];
            } else {
                data.mInitialized = null;
                data.mSelf_Result = ModuleCommunicationService.SMD_NOK;
                data.mBmZ = ModuleCommunicationService.SMD_NOK;
                data.mADC_Result = ModuleCommunicationService.SMD_NOK;
                data.mADC_X = ModuleCommunicationService.SMD_NOK;
                data.mADC_Y = ModuleCommunicationService.SMD_NOK;
                data.mADC_Z = ModuleCommunicationService.SMD_NOK;
            }
        } else {
            if (this.mSensorID_None < this.mSensorID_Geomagnetic_Initialized) {
                data.mIsDisplay_Initialized = true;
                String[] temp2 = this.mModuleSensor.getData(this.mSensorID_Geomagnetic_Initialized);
                if (temp2 != null) {
                    data.mInitialized = temp2[2];
                } else {
                    data.mInitialized = null;
                }
            }
            if (this.mSensorID_None < this.mSensorID_Geomagnetic_Self) {
                data.mIsDisplay_Self = true;
                String[] temp3 = this.mModuleSensor.getData(this.mSensorID_Geomagnetic_Self);
                if (temp3 != null) {
                    data.mSelf_Result = temp3[1];
                    data.mBmZ = temp3[2];
                } else {
                    data.mSelf_Result = ModuleCommunicationService.SMD_NOK;
                    data.mBmZ = ModuleCommunicationService.SMD_NOK;
                }
            }
            if (this.mSensorID_None < this.mSensorID_Geomagnetic_ADC) {
                data.mIsDisplay_ADC = true;
                String[] temp4 = this.mModuleSensor.getData(this.mSensorID_Geomagnetic_ADC);
                if (temp4 != null) {
                    data.mADC_Result = temp4[1];
                    data.mADC_X = temp4[2];
                    data.mADC_Y = temp4[3];
                    data.mADC_Z = temp4[4];
                } else {
                    data.mADC_Result = ModuleCommunicationService.SMD_NOK;
                    data.mADC_X = ModuleCommunicationService.SMD_NOK;
                    data.mADC_Y = ModuleCommunicationService.SMD_NOK;
                    data.mADC_Z = ModuleCommunicationService.SMD_NOK;
                }
            }
        }
        return data;
    }

    private FragmentGeomagneticSTMicro.DataGeomagneticSTMicro getDataGeomagneticSTMicro() {
        FtUtil.log_d(TAG, "getDataGeomagneticSTMicro", null);
        FragmentGeomagneticSTMicro.DataGeomagneticSTMicro data = new FragmentGeomagneticSTMicro.DataGeomagneticSTMicro();
        int i = this.mSensorID_None;
        int i2 = this.mSensorID_Geomagnetic_Initialized;
        if (i < i2) {
            String[] temp = this.mModuleSensor.getData(i2);
            data.mIsDisplay_Initialized = true;
            if (temp == null || temp.length <= 2) {
                data.mInitialized = ModuleCommunicationService.SMD_NOK;
            } else {
                data.mInitialized = temp[2];
            }
        }
        int i3 = this.mSensorID_None;
        int i4 = this.mSensorID_Geomagnetic_Status;
        if (i3 < i4) {
            String[] temp2 = this.mModuleSensor.getData(i4);
            data.mIsDisplay_Status = true;
            if (temp2 == null || temp2.length <= 2) {
                data.mStatus_Result = ModuleCommunicationService.SMD_NOK;
                data.mStatus = ModuleCommunicationService.SMD_NOK;
            } else {
                data.mStatus_Result = temp2[1];
                data.mStatus = temp2[2];
            }
        }
        int i5 = this.mSensorID_None;
        int i6 = this.mSensorID_Geomagnetic_Self;
        if (i5 < i6) {
            String[] temp3 = this.mModuleSensor.getData(i6);
            data.mIsDisplay_Self = true;
            if (temp3 == null || temp3.length <= 3) {
                data.mSelf_Result = ModuleCommunicationService.SMD_NOK;
                data.mSelf_X = ModuleCommunicationService.SMD_NOK;
                data.mSelf_Y = ModuleCommunicationService.SMD_NOK;
                data.mSelf_Z = ModuleCommunicationService.SMD_NOK;
            } else {
                data.mSelf_Result = temp3[0];
                data.mSelf_X = temp3[1];
                data.mSelf_Y = temp3[2];
                data.mSelf_Z = temp3[3];
            }
            FtUtil.log_d(TAG, "getDataGeomagneticSTMicro", "data.mSelf_Result : " + data.mSelf_Result);
            FtUtil.log_d(TAG, "getDataGeomagneticSTMicro", "data.mSelf_X : " + data.mSelf_X);
            FtUtil.log_d(TAG, "getDataGeomagneticSTMicro", "data.mSelf_Y : " + data.mSelf_Y);
            FtUtil.log_d(TAG, "getDataGeomagneticSTMicro", "data.mSelf_Z : " + data.mSelf_Z);
        }
        int i7 = this.mSensorID_None;
        int i8 = this.mSensorID_Geomagnetic_ADC;
        if (i7 < i8) {
            String[] temp4 = this.mModuleSensor.getData(i8);
            data.mIsDisplay_ADC = true;
            if (temp4 == null || temp4.length <= 4) {
                data.mADC_Result = ModuleCommunicationService.SMD_NOK;
                data.mADC_X = ModuleCommunicationService.SMD_NOK;
                data.mADC_Y = ModuleCommunicationService.SMD_NOK;
                data.mADC_Z = ModuleCommunicationService.SMD_NOK;
            } else {
                data.mADC_Result = temp4[1];
                data.mADC_X = temp4[2];
                data.mADC_Y = temp4[3];
                data.mADC_Z = temp4[4];
            }
        }
        return data;
    }
}
