package com.sec.factory.modules;

import android.content.Context;
import android.os.Handler;
import android.os.Message;
import com.sec.factory.app.ui.FragmentGeomagneticAlps;
import com.sec.factory.app.ui.FragmentGeomagneticAlpsCal;
import com.sec.factory.app.ui.FragmentGeomagneticAsahi;
import com.sec.factory.app.ui.FragmentGeomagneticBosch;
import com.sec.factory.app.ui.FragmentGeomagneticSTMicro;
import com.sec.factory.app.ui.FragmentGeomagneticYamaha;
import com.sec.factory.app.ui.UIGeomagneticGyro;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.File;
import java.util.Timer;
import java.util.TimerTask;

public class GeoMagneticServiceCheckPassFail {
    private static final String TAG = "GeoMagneticServiceCheckPassFail";
    Handler Calhandler = new Handler() {
        /* class com.sec.factory.modules.GeoMagneticServiceCheckPassFail.AnonymousClass2 */

        public void handleMessage(Message msg) {
            GeoMagneticServiceCheckPassFail.this.mGeomagneticAlpsCal.GetRawMin();
            GeoMagneticServiceCheckPassFail.this.mGeomagneticAlpsCal.GetRawMax();
            GeoMagneticServiceCheckPassFail.this.mGeomagneticAlpsCal.GetRawDelta();
            GeoMagneticServiceCheckPassFail.this.UpdateCal();
        }
    };
    private Timer Caltimer;
    private Handler ServiceHandler;
    private String bgcResult = "";
    long endTime = 0;
    public boolean isCalTestPass = false;
    private Context mContext;
    private String mFeature_Geomagnetic;
    FragmentGeomagneticAlpsCal mGeomagneticAlpsCal;
    private Handler mHandler = new Handler() {
        /* class com.sec.factory.modules.GeoMagneticServiceCheckPassFail.AnonymousClass1 */

        public void handleMessage(Message msg) {
        }
    };
    long startTime = 0;
    private TimerTask task;

    public GeoMagneticServiceCheckPassFail(Context context) {
        this.mContext = context;
    }

    public void checkGeomagneticAsahi(FragmentGeomagneticAsahi.DataGeomagneticAsahi data, Handler handler) {
        FtUtil.log_i(TAG, "checkGeomagneticAsahi", null);
        if (data == null) {
            FtUtil.log_e(TAG, "checkGeomagneticAsahi", "Warning: data is null.");
            return;
        }
        boolean isPass = true;
        if (!data.mIsDisplay_Initialized) {
            FtUtil.log_e(TAG, "checkGeomagneticAsahi", "Initialized> data==null || Display==false");
        } else if (data.mInitialized != null) {
            if (EgisFingerprint.MAJOR_VERSION.equals(data.mInitialized)) {
                FtUtil.log_d(TAG, "checkGeomagneticAsahi", "Initialized - Pass");
            } else {
                FtUtil.log_e(TAG, "checkGeomagneticAsahi", "Initialized - Fail");
                isPass = false;
            }
            FtUtil.log_i(TAG, "checkGeomagneticAsahi", "Initialized Return : " + data.mInitialized);
        } else {
            isPass = false;
            FtUtil.log_e(TAG, "checkGeomagneticAsahi", "Initialized - Fail : null");
        }
        if (!data.mIsDisplay_Temperature) {
            FtUtil.log_e(TAG, "checkGeomagneticAsahi", "Temperature> data==null || Display==false");
        } else if (data.mTemperature == null || data.mTemperature_Result == null) {
            isPass = false;
            FtUtil.log_e(TAG, "checkGeomagneticAsahi", "Temperature - Fail : null");
        } else {
            if ("OK".equals(data.mTemperature_Result)) {
                FtUtil.log_d(TAG, "checkGeomagneticAsahi", "Temperature - Pass");
            } else {
                FtUtil.log_e(TAG, "checkGeomagneticAsahi", "Temperature - Fail");
                isPass = false;
            }
            FtUtil.log_i(TAG, "update", "Retuen : " + data.mTemperature_Result + ", Temperature : " + data.mTemperature);
        }
        if (!data.mIsDisplay_Self) {
            FtUtil.log_e(TAG, "checkGeomagneticAsahi", "Self> data==null || Display==false");
        } else if (data.mSelf_X == null || data.mSelf_Y == null || data.mSelf_Z == null || data.mSelf_Result == null) {
            isPass = false;
            FtUtil.log_e(TAG, "checkGeomagneticAsahi", "HX/HY/HZ - Fail : null");
        } else {
            if ("OK".equals(data.mSelf_Result)) {
                FtUtil.log_d(TAG, "checkGeomagneticAsahi", "HX/HY/HZ - Pass");
            } else {
                FtUtil.log_e(TAG, "checkGeomagneticAsahi", "HX/HY/HZ - Fail");
                isPass = false;
            }
            FtUtil.log_i(TAG, "checkGeomagneticAsahi", "Retuen : " + data.mSelf_Result + ", HX:" + data.mSelf_X + ", HY:" + data.mSelf_Y + ", HZ:" + data.mSelf_Z);
        }
        if (!data.mIsDisplay_DAC) {
            FtUtil.log_e(TAG, "update", "DAC> data==null || Display==false");
        } else if (data.mDAC_X == null || data.mDAC_Y == null || data.mDAC_Z == null || data.mDAC_Result == null) {
            isPass = false;
            FtUtil.log_e(TAG, "checkGeomagneticAsahi", "DAC - Fail : null");
        } else {
            if ("OK".equals(data.mDAC_Result)) {
                FtUtil.log_d(TAG, "checkGeomagneticAsahi", "DAC - Pass");
            } else {
                FtUtil.log_e(TAG, "checkGeomagneticAsahi", "DAC - Fail");
                isPass = false;
            }
            FtUtil.log_i(TAG, "checkGeomagneticAsahi", "Retuen : " + data.mDAC_Result + ", [DAC]X:" + data.mDAC_X + ", Y:" + data.mDAC_Y + ", Z:" + data.mDAC_Z);
        }
        if (!data.mIsDisplay_ADC) {
            FtUtil.log_e(TAG, "checkGeomagneticAsahi", "ADC> data==null || Display==false");
        } else if (data.mADC_X == null || data.mADC_Y == null || data.mADC_Z == null || data.mADC_Result == null) {
            isPass = false;
            FtUtil.log_e(TAG, "checkGeomagneticAsahi", "ADC - Fail : null");
        } else {
            if ("OK".equals(data.mADC_Result)) {
                FtUtil.log_d(TAG, "checkGeomagneticAsahi", "ADC - Pass");
            } else {
                FtUtil.log_e(TAG, "checkGeomagneticAsahi", "ADC - Fail");
                isPass = false;
            }
            FtUtil.log_i(TAG, "checkGeomagneticAsahi", "Retuen : " + data.mADC_Result + ", [ADC]X:" + data.mADC_X + ", Y:" + data.mADC_Y + ", Z:" + data.mADC_Z);
        }
        this.bgcResult += data.mInitialized;
        this.bgcResult += ",";
        this.bgcResult += data.mADC_Result;
        this.bgcResult += ",";
        this.bgcResult += data.mADC_X;
        this.bgcResult += ",";
        this.bgcResult += data.mADC_Y;
        this.bgcResult += ",";
        this.bgcResult += data.mADC_Z;
        this.bgcResult += ",";
        this.bgcResult += data.mSelf_Result;
        this.bgcResult += ",";
        this.bgcResult += data.mSelf_X;
        this.bgcResult += ",";
        this.bgcResult += data.mSelf_Y;
        this.bgcResult += ",";
        this.bgcResult += data.mSelf_Z;
        FtUtil.log_d(TAG, "DataGeomagneticAsahi", "BackGroundCommandResult : " + this.bgcResult);
        Support.Kernel.writeToPathNsync(new File("/data/log/GeoMagneticData.log").getPath(), this.bgcResult);
        if (isPass) {
            handler.sendEmptyMessage(UIGeomagneticGyro.WHAT_GEOMAGNETIC_PASS);
        } else {
            handler.sendEmptyMessage(UIGeomagneticGyro.WHAT_GEOMAGNETIC_FAIL);
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:110:0x02aa  */
    /* JADX WARNING: Removed duplicated region for block: B:113:0x02b3  */
    /* JADX WARNING: Removed duplicated region for block: B:118:0x02de  */
    /* JADX WARNING: Removed duplicated region for block: B:121:0x041f  */
    /* JADX WARNING: Removed duplicated region for block: B:124:0x0473  */
    /* JADX WARNING: Removed duplicated region for block: B:125:0x047b  */
    /* JADX WARNING: Removed duplicated region for block: B:96:0x0250  */
    public void checkGeomagneticYamaha(FragmentGeomagneticYamaha.DataGeomagneticYamaha data, Handler handler) {
        boolean isPass;
        FtUtil.log_d(TAG, "checkGeomagneticYamaha", null);
        this.mFeature_Geomagnetic = SensorDeviceInfo.getSensorName(SensorDeviceInfo.TYPE_GEOMAGNETIC, SensorDeviceInfo.TARGET_XML);
        FtUtil.log_d(TAG, "checkGeomagneticYamaha", "mFeature_Geomagnetic : " + this.mFeature_Geomagnetic);
        if (data == null) {
            FtUtil.log_e(TAG, "checkGeomagneticYamaha", "Warning: data is null.");
            return;
        }
        boolean isPass2 = true;
        if (!data.mIsDisplay_Initialized) {
            FtUtil.log_e(TAG, "checkGeomagneticYamaha", "Initialized> data==null || Display==false");
        } else if (data.mInitialized != null) {
            if (EgisFingerprint.MAJOR_VERSION.equals(data.mInitialized)) {
                FtUtil.log_d(TAG, "checkGeomagneticYamaha", "Initialized - Pass");
            } else {
                FtUtil.log_e(TAG, "checkGeomagneticYamaha", "Initialized - Fail");
                isPass2 = false;
            }
            FtUtil.log_i(TAG, "checkGeomagneticYamaha", "Initialized Return : " + data.mInitialized);
        } else {
            isPass2 = false;
            FtUtil.log_e(TAG, "checkGeomagneticYamaha", "Initialized - Fail : null");
        }
        if (data.mStatus == null || data.mStatus_Result == null) {
            isPass2 = false;
            FtUtil.log_e(TAG, "checkGeomagneticYamaha", "Status - Fail : null");
        } else {
            if ("OK".equals(data.mStatus_Result)) {
                FtUtil.log_d(TAG, "checkGeomagneticYamaha", "Status - Pass");
            } else {
                FtUtil.log_e(TAG, "checkGeomagneticYamaha", "Status - Fail");
                isPass2 = false;
            }
            FtUtil.log_i(TAG, "checkGeomagneticYamaha", "Retuen : " + data.mStatus_Result + ", Status : " + data.mStatus);
        }
        if (!data.mIsDisplay_DAC) {
            FtUtil.log_e(TAG, "checkGeomagneticYamaha", "DAC> data==null || Display==false");
        } else if (data.mDAC_X == null || data.mDAC_Y == null || data.mDAC_Z == null || data.mDAC_Result == null) {
            isPass2 = false;
            FtUtil.log_e(TAG, "checkGeomagneticYamaha", "DAC - Fail : null");
        } else {
            if ("OK".equals(data.mDAC_Result)) {
                FtUtil.log_d(TAG, "update", "DAC - Pass");
            } else {
                FtUtil.log_e(TAG, "update", "DAC - Fail");
                isPass2 = false;
            }
            FtUtil.log_i(TAG, "update", "Retuen : " + data.mDAC_Result + ", [DAC]X:" + data.mDAC_X + ", Y:" + data.mDAC_Y + ", Z:" + data.mDAC_Z);
        }
        if (!data.mIsDisplay_ADC) {
            FtUtil.log_e(TAG, "checkGeomagneticYamaha", "ADC> data==null || Display==false");
        } else if (data.mADC_X == null || data.mADC_Y == null || data.mADC_Z == null || data.mADC_Result == null) {
            isPass2 = false;
            FtUtil.log_e(TAG, "checkGeomagneticYamaha", "ADC - Fail : null");
        } else {
            if ("OK".equals(data.mADC_Result)) {
                FtUtil.log_d(TAG, "checkGeomagneticYamaha", "ADC - Pass");
            } else {
                FtUtil.log_e(TAG, "checkGeomagneticYamaha", "ADC - Fail");
                isPass2 = false;
            }
            FtUtil.log_i(TAG, "checkGeomagneticYamaha", "Retuen : " + data.mADC_Result + ", [ADC]X:" + data.mADC_X + ", Y:" + data.mADC_Y + ", Z:" + data.mADC_Z);
        }
        if (SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS539.equals(this.mFeature_Geomagnetic)) {
            if (!data.mIsDisplay_Self) {
                FtUtil.log_e(TAG, "checkGeomagneticYamaha", "Self> data==null || Display==false");
            } else if (data.mSelf_X == null || data.mSelf_Y == null || data.mSelf_Y2 == null || data.mSelf_Result == null) {
                isPass = false;
                FtUtil.log_e(TAG, "checkGeomagneticYamaha", "Self - Fail : null");
                if (!data.mIsDisplay_OffsetH) {
                    FtUtil.log_e(TAG, "checkGeomagneticYamaha", "OffsetH> data==null || Display==false");
                } else if (data.mOffsetH_X == null || data.mOffsetH_Y == null || data.mOffsetH_Z == null || data.mOffsetH_Result == null) {
                    isPass = false;
                    FtUtil.log_i(TAG, "checkGeomagneticYamaha", "Offset - Fail : null");
                } else {
                    if ("OK".equals(data.mOffsetH_Result)) {
                        FtUtil.log_d(TAG, "checkGeomagneticYamaha", "Offset - Pass");
                    } else {
                        FtUtil.log_e(TAG, "checkGeomagneticYamaha", "Offset - Fail");
                        isPass = false;
                    }
                    FtUtil.log_i(TAG, "checkGeomagneticYamaha", "Retuen : " + data.mOffsetH_Result + ", [Offset H]X:" + data.mOffsetH_X + ", Y:" + data.mOffsetH_Y + ", Z:" + data.mOffsetH_Z);
                }
                if (data.mPowerOff_Result != null) {
                    if (EgisFingerprint.MAJOR_VERSION.equals(data.mPowerOff_Result)) {
                        FtUtil.log_d(TAG, "checkGeomagneticYamaha", "Released - Pass");
                    } else {
                        FtUtil.log_e(TAG, "checkGeomagneticYamaha", "Released - Fail");
                        isPass = false;
                    }
                    FtUtil.log_i(TAG, "checkGeomagneticYamaha", "Released Return : " + data.mPowerOff_Result);
                } else {
                    isPass = false;
                    FtUtil.log_e(TAG, "checkGeomagneticYamaha", "Released - Fail : null");
                }
                this.bgcResult += data.mInitialized;
                this.bgcResult += ",";
                this.bgcResult += data.mOffsetH_Result;
                this.bgcResult += ",";
                this.bgcResult += data.mOffsetH_X;
                this.bgcResult += ",";
                this.bgcResult += data.mOffsetH_Y;
                this.bgcResult += ",";
                this.bgcResult += data.mOffsetH_Z;
                this.bgcResult += ",";
                this.bgcResult += data.mSelf_Result;
                this.bgcResult += ",";
                this.bgcResult += data.mSelf_X;
                this.bgcResult += ",";
                this.bgcResult += data.mSelf_Y;
                if (SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS539.equals(this.mFeature_Geomagnetic)) {
                    this.bgcResult += ",";
                    this.bgcResult += data.mSelf_Y2;
                }
                FtUtil.log_d(TAG, "DataGeomagneticYamaha", "BackGroundCommandResult : " + this.bgcResult);
                Support.Kernel.writeToPathNsync(new File("/data/log/GeoMagneticData.log").getPath(), this.bgcResult);
                if (isPass) {
                    handler.sendEmptyMessage(UIGeomagneticGyro.WHAT_GEOMAGNETIC_PASS);
                    return;
                } else {
                    handler.sendEmptyMessage(UIGeomagneticGyro.WHAT_GEOMAGNETIC_FAIL);
                    return;
                }
            } else {
                if (data.mSelf_Result.equals("OK")) {
                    FtUtil.log_d(TAG, "checkGeomagneticYamaha", "Self - Pass");
                    isPass = isPass2;
                } else {
                    FtUtil.log_e(TAG, "checkGeomagneticYamaha", "Self - Fail");
                    isPass = false;
                }
                FtUtil.log_i(TAG, "checkGeomagneticYamaha", "Retuen : " + data.mSelf_Result + ", SX:" + data.mSelf_X + ", SY:" + data.mSelf_Y);
                if (!data.mIsDisplay_OffsetH) {
                }
                if (data.mPowerOff_Result != null) {
                }
                this.bgcResult += data.mInitialized;
                this.bgcResult += ",";
                this.bgcResult += data.mOffsetH_Result;
                this.bgcResult += ",";
                this.bgcResult += data.mOffsetH_X;
                this.bgcResult += ",";
                this.bgcResult += data.mOffsetH_Y;
                this.bgcResult += ",";
                this.bgcResult += data.mOffsetH_Z;
                this.bgcResult += ",";
                this.bgcResult += data.mSelf_Result;
                this.bgcResult += ",";
                this.bgcResult += data.mSelf_X;
                this.bgcResult += ",";
                this.bgcResult += data.mSelf_Y;
                if (SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS539.equals(this.mFeature_Geomagnetic)) {
                }
                FtUtil.log_d(TAG, "DataGeomagneticYamaha", "BackGroundCommandResult : " + this.bgcResult);
                Support.Kernel.writeToPathNsync(new File("/data/log/GeoMagneticData.log").getPath(), this.bgcResult);
                if (isPass) {
                }
            }
        } else if (!data.mIsDisplay_Self) {
            FtUtil.log_e(TAG, "checkGeomagneticYamaha", "Self> data==null || Display==false");
        } else if (data.mSelf_X == null || data.mSelf_Y == null || data.mSelf_Result == null) {
            isPass = false;
            FtUtil.log_e(TAG, "checkGeomagneticYamaha", "Self - Fail : null");
            if (!data.mIsDisplay_OffsetH) {
            }
            if (data.mPowerOff_Result != null) {
            }
            this.bgcResult += data.mInitialized;
            this.bgcResult += ",";
            this.bgcResult += data.mOffsetH_Result;
            this.bgcResult += ",";
            this.bgcResult += data.mOffsetH_X;
            this.bgcResult += ",";
            this.bgcResult += data.mOffsetH_Y;
            this.bgcResult += ",";
            this.bgcResult += data.mOffsetH_Z;
            this.bgcResult += ",";
            this.bgcResult += data.mSelf_Result;
            this.bgcResult += ",";
            this.bgcResult += data.mSelf_X;
            this.bgcResult += ",";
            this.bgcResult += data.mSelf_Y;
            if (SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS539.equals(this.mFeature_Geomagnetic)) {
            }
            FtUtil.log_d(TAG, "DataGeomagneticYamaha", "BackGroundCommandResult : " + this.bgcResult);
            Support.Kernel.writeToPathNsync(new File("/data/log/GeoMagneticData.log").getPath(), this.bgcResult);
            if (isPass) {
            }
        } else {
            if ("OK".equals(data.mSelf_Result)) {
                FtUtil.log_d(TAG, "checkGeomagneticYamaha", "Self - Pass");
                isPass = isPass2;
            } else {
                FtUtil.log_e(TAG, "checkGeomagneticYamaha", "Self - Fail");
                isPass = false;
            }
            FtUtil.log_i(TAG, "checkGeomagneticYamaha", "Retuen : " + data.mSelf_Result + ", SX:" + data.mSelf_X + ", SY:" + data.mSelf_Y);
            if (!data.mIsDisplay_OffsetH) {
            }
            if (data.mPowerOff_Result != null) {
            }
            this.bgcResult += data.mInitialized;
            this.bgcResult += ",";
            this.bgcResult += data.mOffsetH_Result;
            this.bgcResult += ",";
            this.bgcResult += data.mOffsetH_X;
            this.bgcResult += ",";
            this.bgcResult += data.mOffsetH_Y;
            this.bgcResult += ",";
            this.bgcResult += data.mOffsetH_Z;
            this.bgcResult += ",";
            this.bgcResult += data.mSelf_Result;
            this.bgcResult += ",";
            this.bgcResult += data.mSelf_X;
            this.bgcResult += ",";
            this.bgcResult += data.mSelf_Y;
            if (SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS539.equals(this.mFeature_Geomagnetic)) {
            }
            FtUtil.log_d(TAG, "DataGeomagneticYamaha", "BackGroundCommandResult : " + this.bgcResult);
            Support.Kernel.writeToPathNsync(new File("/data/log/GeoMagneticData.log").getPath(), this.bgcResult);
            if (isPass) {
            }
        }
        isPass = isPass2;
        if (!data.mIsDisplay_OffsetH) {
        }
        if (data.mPowerOff_Result != null) {
        }
        this.bgcResult += data.mInitialized;
        this.bgcResult += ",";
        this.bgcResult += data.mOffsetH_Result;
        this.bgcResult += ",";
        this.bgcResult += data.mOffsetH_X;
        this.bgcResult += ",";
        this.bgcResult += data.mOffsetH_Y;
        this.bgcResult += ",";
        this.bgcResult += data.mOffsetH_Z;
        this.bgcResult += ",";
        this.bgcResult += data.mSelf_Result;
        this.bgcResult += ",";
        this.bgcResult += data.mSelf_X;
        this.bgcResult += ",";
        this.bgcResult += data.mSelf_Y;
        if (SensorFeature.FEATURE_MAGENTIC_YAMAHA_YAS539.equals(this.mFeature_Geomagnetic)) {
        }
        FtUtil.log_d(TAG, "DataGeomagneticYamaha", "BackGroundCommandResult : " + this.bgcResult);
        Support.Kernel.writeToPathNsync(new File("/data/log/GeoMagneticData.log").getPath(), this.bgcResult);
        if (isPass) {
        }
    }

    public void checkGeomagneticAlps(FragmentGeomagneticAlps.DataGeomagneticAlps data, Handler handler) {
        FtUtil.log_i(TAG, "checkGeomagneticAlps", null);
        if (data == null) {
            FtUtil.log_e(TAG, "checkGeomagneticAlps", "Warning: data is null.");
            return;
        }
        boolean isPass = true;
        if (!data.mIsDisplay_Initialized) {
            FtUtil.log_e(TAG, "checkGeomagneticAlps", "Initialized> data==null || Display==false");
        } else if (data.mInitialized != null) {
            if (EgisFingerprint.MAJOR_VERSION.equals(data.mInitialized)) {
                FtUtil.log_d(TAG, "checkGeomagneticAlps", "Initialized - Pass");
            } else {
                FtUtil.log_e(TAG, "checkGeomagneticAlps", "Initialized - Fail");
                isPass = false;
            }
            FtUtil.log_i(TAG, "checkGeomagneticAlps", "Initialized Return : " + data.mInitialized);
        } else {
            isPass = false;
            FtUtil.log_e(TAG, "checkGeomagneticAlps", "Initialized - Fail : null");
        }
        if (!data.mIsDisplay_Status) {
            FtUtil.log_e(TAG, "checkGeomagneticAlps", "Status> data==null || Display==false");
        } else if (data.mStatus == null || data.mStatus_Result == null) {
            isPass = false;
            FtUtil.log_e(TAG, "checkGeomagneticAlps", "Status - Fail : null");
        } else {
            if ("OK".equals(data.mStatus_Result)) {
                FtUtil.log_d(TAG, "checkGeomagneticAlps", "Status - Pass");
            } else {
                FtUtil.log_e(TAG, "checkGeomagneticAlps", "Status - Fail");
                isPass = false;
            }
            FtUtil.log_i(TAG, "checkGeomagneticAlps", "Retuen : " + data.mStatus_Result + ", Status : " + data.mStatus);
        }
        if (!data.mIsDisplay_ADC) {
            FtUtil.log_e(TAG, "checkGeomagneticAlps", "ADC> data==null || Display==false");
        } else if (data.mADC_X == null || data.mADC_Y == null || data.mADC_Z == null || data.mADC_Result == null) {
            isPass = false;
            FtUtil.log_e(TAG, "checkGeomagneticAlps", "ADC - Fail : null");
        } else {
            if ("OK".equals(data.mADC_Result)) {
                FtUtil.log_d(TAG, "checkGeomagneticAlps", "ADC - Pass");
            } else {
                FtUtil.log_e(TAG, "checkGeomagneticAlps", "ADC - Fail");
                isPass = false;
            }
            FtUtil.log_i(TAG, "checkGeomagneticAlps", "Retuen : " + data.mADC_Result + ", [ADC]X:" + data.mADC_X + ", Y:" + data.mADC_Y + ", Z:" + data.mADC_Z);
        }
        this.bgcResult += data.mInitialized;
        this.bgcResult += ",";
        this.bgcResult += data.mADC_Result;
        this.bgcResult += ",";
        this.bgcResult += data.mADC_X;
        this.bgcResult += ",";
        this.bgcResult += data.mADC_Y;
        this.bgcResult += ",";
        this.bgcResult += data.mADC_Z;
        FtUtil.log_d(TAG, "DataGeomagneticAlps", "BackGroundCommandResult : " + this.bgcResult);
        Support.Kernel.writeToPathNsync(new File("/data/log/GeoMagneticData.log").getPath(), this.bgcResult);
        if (isPass) {
            handler.sendEmptyMessage(UIGeomagneticGyro.WHAT_GEOMAGNETIC_PASS);
        } else {
            handler.sendEmptyMessage(UIGeomagneticGyro.WHAT_GEOMAGNETIC_FAIL);
        }
    }

    public void checkGeomagneticAlpsCal(FragmentGeomagneticAlpsCal.DataGeomagneticAlpsCal data, Handler handler) {
        FtUtil.log_i(TAG, "checkGeomagneticAlpsCal", null);
        this.ServiceHandler = handler;
        if (data == null) {
            FtUtil.log_e(TAG, "checkGeomagneticAlpsCal", "Warning: data is null.");
            return;
        }
        boolean isPass = true;
        if (!data.mIsDisplay_Initialized) {
            FtUtil.log_e(TAG, "checkGeomagneticAlpsCal", "Initialized> data==null || Display==false");
        } else if (data.mInitialized != null) {
            if (EgisFingerprint.MAJOR_VERSION.equals(data.mInitialized)) {
                FtUtil.log_d(TAG, "checkGeomagneticAlpsCal", "Initialized - Pass");
            } else {
                FtUtil.log_e(TAG, "checkGeomagneticAlpsCal", "Initialized - Fail");
                isPass = false;
            }
            FtUtil.log_i(TAG, "checkGeomagneticAlpsCal", "Initialized Return : " + data.mInitialized);
        } else {
            isPass = false;
            FtUtil.log_e(TAG, "checkGeomagneticAlpsCal", "Initialized - Fail : null");
        }
        if (!data.mIsDisplay_Status) {
            FtUtil.log_e(TAG, "checkGeomagneticAlpsCal", "Status> data==null || Display==false");
        } else if (data.mStatus == null || data.mStatus_Result == null) {
            isPass = false;
            FtUtil.log_e(TAG, "checkGeomagneticAlpsCal", "Status - Fail : null");
        } else {
            if ("OK".equals(data.mStatus_Result)) {
                FtUtil.log_d(TAG, "checkGeomagneticAlpsCal", "Status - Pass");
            } else {
                FtUtil.log_e(TAG, "checkGeomagneticAlpsCal", "Status - Fail");
                isPass = false;
            }
            FtUtil.log_i(TAG, "checkGeomagneticAlpsCal", "Retuen : " + data.mStatus_Result + ", Status : " + data.mStatus);
        }
        if (!data.mIsDisplay_ADC) {
            FtUtil.log_e(TAG, "checkGeomagneticAlpsCal", "ADC> data==null || Display==false");
        } else if (data.mADC_X == null || data.mADC_Y == null || data.mADC_Z == null || data.mADC_Result == null) {
            isPass = false;
            FtUtil.log_e(TAG, "checkGeomagneticAlpsCal", "ADC - Fail : null");
        } else {
            if ("OK".equals(data.mADC_Result)) {
                FtUtil.log_d(TAG, "checkGeomagneticAlpsCal", "ADC - Pass");
            } else {
                FtUtil.log_e(TAG, "checkGeomagneticAlpsCal", "ADC - Fail");
                isPass = false;
            }
            FtUtil.log_i(TAG, "checkGeomagneticAlpsCal", "Retuen : " + data.mADC_Result + ", [ADC]X:" + data.mADC_X + ", Y:" + data.mADC_Y + ", Z:" + data.mADC_Z);
        }
        this.bgcResult += data.mInitialized;
        this.bgcResult += ",";
        this.bgcResult += data.mADC_Result;
        this.bgcResult += ",";
        this.bgcResult += data.mADC_X;
        this.bgcResult += ",";
        this.bgcResult += data.mADC_Y;
        this.bgcResult += ",";
        this.bgcResult += data.mADC_Z;
        this.mGeomagneticAlpsCal = new FragmentGeomagneticAlpsCal(this.mContext);
        if (isPass) {
            GeomagneticAlpsCalStart();
        } else {
            this.ServiceHandler.sendEmptyMessage(UIGeomagneticGyro.WHAT_GEOMAGNETIC_FAIL);
        }
    }

    public void UpdateCal() {
        FtUtil.log_i(TAG, "checkGeomagneticAlpsCal", null);
        if (this.mGeomagneticAlpsCal.raw_data_delta == null || this.mGeomagneticAlpsCal.raw_data_min == null || this.mGeomagneticAlpsCal.raw_data_max == null) {
            FtUtil.log_e(TAG, "checkGeomagneticAlpsCal", "Warning: raw_data_delta is null.");
            return;
        }
        if (this.mGeomagneticAlpsCal.raw_data_delta[0] >= this.mGeomagneticAlpsCal.CalDeltaSpec) {
            this.mGeomagneticAlpsCal.x_delta_result = true;
        }
        if (this.mGeomagneticAlpsCal.raw_data_delta[1] >= this.mGeomagneticAlpsCal.CalDeltaSpec) {
            this.mGeomagneticAlpsCal.y_delta_result = true;
        }
        if (this.mGeomagneticAlpsCal.raw_data_delta[2] >= this.mGeomagneticAlpsCal.CalDeltaSpec) {
            this.mGeomagneticAlpsCal.z_delta_result = true;
        }
        if (this.mGeomagneticAlpsCal.x_delta_result && this.mGeomagneticAlpsCal.y_delta_result && this.mGeomagneticAlpsCal.z_delta_result) {
            this.isCalTestPass = true;
            this.bgcResult += ",";
            this.bgcResult += "OK";
            this.bgcResult += ",";
            this.bgcResult += this.mGeomagneticAlpsCal.raw_data_delta[0];
            this.bgcResult += ",";
            this.bgcResult += this.mGeomagneticAlpsCal.raw_data_delta[1];
            this.bgcResult += ",";
            this.bgcResult += this.mGeomagneticAlpsCal.raw_data_delta[2];
            FtUtil.log_d(TAG, "DataGeomagneticAlpsCal", "BackGroundCommandResult : " + this.bgcResult);
            Support.Kernel.writeToPathNsync(new File("/data/log/GeoMagneticData.log").getPath(), this.bgcResult);
        }
        if (this.isCalTestPass) {
            FtUtil.log_d(TAG, "checkGeomagneticAlpsCal", "RawData Delta Spec PASS");
            TimerTask timerTask = this.task;
            if (timerTask != null) {
                timerTask.cancel();
            }
            this.Calhandler.removeMessages(0);
            this.ServiceHandler.sendEmptyMessage(UIGeomagneticGyro.WHAT_GEOMAGNETIC_PASS);
            return;
        }
        FtUtil.log_e(TAG, "checkGeomagneticAlpsCal", "RawData Delta Spec FAIL");
        this.ServiceHandler.sendEmptyMessage(UIGeomagneticGyro.WHAT_GEOMAGNETIC_FAIL);
    }

    public void GeomagneticAlpsCalStart() {
        this.Caltimer = new Timer();
        this.startTime = System.currentTimeMillis();
        AnonymousClass3 r3 = new TimerTask() {
            /* class com.sec.factory.modules.GeoMagneticServiceCheckPassFail.AnonymousClass3 */

            public void run() {
                FtUtil.log_d(GeoMagneticServiceCheckPassFail.TAG, "GeomagneticAlpsCalStart", "endTime - startTime : " + ((int) (GeoMagneticServiceCheckPassFail.this.endTime - GeoMagneticServiceCheckPassFail.this.startTime)));
                if (20000 <= GeoMagneticServiceCheckPassFail.this.endTime - GeoMagneticServiceCheckPassFail.this.startTime) {
                    GeoMagneticServiceCheckPassFail.this.Caltimer.cancel();
                    return;
                }
                GeoMagneticServiceCheckPassFail.this.mGeomagneticAlpsCal.MagneticGetRawData();
                if (!GeoMagneticServiceCheckPassFail.this.isCalTestPass) {
                    GeoMagneticServiceCheckPassFail.this.Calhandler.sendEmptyMessage(0);
                    GeoMagneticServiceCheckPassFail.this.endTime = System.currentTimeMillis();
                }
            }
        };
        this.task = r3;
        this.Caltimer.schedule(r3, 0, 10);
    }

    public void checkGeomagneticBosch(FragmentGeomagneticBosch.DataGeomagneticBosch data, Handler handler) {
        FtUtil.log_e(TAG, "checkGeomagneticBosch", null);
        if (data == null) {
            FtUtil.log_e(TAG, "checkGeomagneticBosch", "Warning: data is null.");
            return;
        }
        boolean isPass = true;
        if (!data.mIsDisplay_Initialized) {
            FtUtil.log_e(TAG, "checkGeomagneticBosch", "Initialized> data==null || Display==false");
        } else if (data.mInitialized != null) {
            if (EgisFingerprint.MAJOR_VERSION.equals(data.mInitialized)) {
                FtUtil.log_d(TAG, "checkGeomagneticBosch", "Initialized - Pass");
            } else {
                FtUtil.log_e(TAG, "checkGeomagneticBosch", "Initialized - Fail");
                isPass = false;
            }
            FtUtil.log_i(TAG, "checkGeomagneticBosch", "Initialized Return : " + data.mInitialized);
        } else {
            isPass = false;
            FtUtil.log_e(TAG, "checkGeomagneticBosch", "Initialized - Fail : null");
        }
        if (data.mBmZ != null) {
            if ("OK".equals(data.mSelf_Result)) {
                FtUtil.log_d(TAG, "checkGeomagneticBosch", "Self - Pass");
            } else {
                FtUtil.log_e(TAG, "checkGeomagneticBosch", "Self - Fail");
                isPass = false;
            }
            FtUtil.log_i(TAG, "checkGeomagneticBosch", "Return : " + data.mIsDisplay_Self);
        } else {
            isPass = false;
            FtUtil.log_e(TAG, "checkGeomagneticBosch", "Self - Fail : null");
        }
        if (!data.mIsDisplay_ADC) {
            FtUtil.log_e(TAG, "checkGeomagneticBosch", "ADC> data==null || Display==false");
        } else if (data.mADC_X == null || data.mADC_Y == null || data.mADC_Z == null || data.mADC_Result == null) {
            isPass = false;
            FtUtil.log_e(TAG, "checkGeomagneticBosch", "ADC - Fail : null");
        } else {
            if ("OK".equals(data.mADC_Result)) {
                FtUtil.log_d(TAG, "checkGeomagneticBosch", "ADC - Pass");
            } else {
                FtUtil.log_e(TAG, "checkGeomagneticBosch", "ADC - Fail");
                isPass = false;
            }
            FtUtil.log_i(TAG, "checkGeomagneticBosch", "Retuen : " + data.mADC_Result + ", [ADC]X:" + data.mADC_X + ", Y:" + data.mADC_Y + ", Z:" + data.mADC_Z);
        }
        this.bgcResult += data.mInitialized;
        this.bgcResult += ",";
        this.bgcResult += data.mADC_Result;
        this.bgcResult += ",";
        this.bgcResult += data.mADC_X;
        this.bgcResult += ",";
        this.bgcResult += data.mADC_Y;
        this.bgcResult += ",";
        this.bgcResult += data.mADC_Z;
        this.bgcResult += ",";
        this.bgcResult += data.mSelf_Result;
        this.bgcResult += ",";
        this.bgcResult += data.mBmZ;
        FtUtil.log_d(TAG, "DataGeomagneticBosch", "BackGroundCommandResult : " + this.bgcResult);
        Support.Kernel.writeToPathNsync(new File("/data/log/GeoMagneticData.log").getPath(), this.bgcResult);
        if (isPass) {
            handler.sendEmptyMessage(UIGeomagneticGyro.WHAT_GEOMAGNETIC_PASS);
        } else {
            handler.sendEmptyMessage(UIGeomagneticGyro.WHAT_GEOMAGNETIC_FAIL);
        }
    }

    public void checkGeomagneticSTMicro(FragmentGeomagneticSTMicro.DataGeomagneticSTMicro data, Handler handler) {
        FtUtil.log_i(TAG, "update", null);
        if (data == null) {
            FtUtil.log_e(TAG, "update", "Warning: data is null.");
            return;
        }
        boolean isPass = true;
        if (!data.mIsDisplay_Initialized) {
            FtUtil.log_e(TAG, "update", "Initialized> data==null || Display==false");
        } else if (data.mInitialized != null) {
            if (EgisFingerprint.MAJOR_VERSION.equals(data.mInitialized)) {
                FtUtil.log_d(TAG, "update", "Initialized - Pass");
            } else {
                FtUtil.log_e(TAG, "update", "Initialized - Fail");
                isPass = false;
            }
            FtUtil.log_i(TAG, "update", "Initialized Return : " + data.mInitialized);
        } else {
            isPass = false;
            FtUtil.log_e(TAG, "update", "Initialized - Fail : null");
        }
        if (!data.mIsDisplay_Status) {
            FtUtil.log_e(TAG, "update", "Status> data==null || Display==false");
        } else if (data.mStatus == null || data.mStatus_Result == null) {
            isPass = false;
            FtUtil.log_e(TAG, "update", "Status - Fail : null");
        } else {
            if ("OK".equals(data.mStatus_Result)) {
                FtUtil.log_d(TAG, "update", "Status - Pass");
            } else {
                FtUtil.log_e(TAG, "update", "Status - Fail");
                isPass = false;
            }
            FtUtil.log_i(TAG, "update", "Retuen : " + data.mStatus_Result + ", Status : " + data.mStatus);
        }
        if (data.mIsDisplay_Self) {
            if (data.mSelf_X == null || data.mSelf_Y == null || data.mSelf_Z == null || data.mSelf_Result == null) {
                isPass = false;
                FtUtil.log_e(TAG, "update", "SELFTEST - Fail : null");
            } else {
                if (EgisFingerprint.MAJOR_VERSION.equals(data.mSelf_Result)) {
                    FtUtil.log_d(TAG, "update", "SelfTest- Pass");
                } else {
                    FtUtil.log_e(TAG, "update", "SelfTest - Fail");
                    isPass = false;
                }
                FtUtil.log_i(TAG, "update", "Retuen : " + data.mSelf_Result + ", [SELF]X:" + data.mSelf_X + ", Y:" + data.mSelf_Y + ", Z:" + data.mSelf_Z);
            }
        }
        if (!data.mIsDisplay_ADC) {
            FtUtil.log_e(TAG, "update", "ADC> data==null || Display==false");
        } else if (data.mSelf_X == null || data.mSelf_Y == null || data.mSelf_Z == null || data.mSelf_Result == null) {
            isPass = false;
            FtUtil.log_e(TAG, "update", "ADC - Fail : null");
        } else {
            if ("OK".equals(data.mADC_Result)) {
                FtUtil.log_d(TAG, "update", "ADC - Pass");
            } else {
                FtUtil.log_e(TAG, "update", "ADC - Fail");
                isPass = false;
            }
            FtUtil.log_i(TAG, "update", "Retuen : " + data.mADC_Result + ", [ADC]X:" + data.mADC_X + ", Y:" + data.mADC_Y + ", Z:" + data.mADC_Z);
        }
        this.bgcResult += data.mInitialized;
        this.bgcResult += ",";
        this.bgcResult += data.mADC_Result;
        this.bgcResult += ",";
        this.bgcResult += data.mADC_X;
        this.bgcResult += ",";
        this.bgcResult += data.mADC_Y;
        this.bgcResult += ",";
        this.bgcResult += data.mADC_Z;
        this.bgcResult += ",";
        this.bgcResult += data.mSelf_Result;
        this.bgcResult += ",";
        this.bgcResult += data.mSelf_X;
        this.bgcResult += ",";
        this.bgcResult += data.mSelf_Y;
        this.bgcResult += ",";
        this.bgcResult += data.mSelf_Z;
        FtUtil.log_d(TAG, "DataGeomagneticSTMicro", "BackGroundCommandResult : " + this.bgcResult);
        Support.Kernel.writeToPathNsync(new File("/data/log/GeoMagneticData.log").getPath(), this.bgcResult);
        if (isPass) {
            handler.sendEmptyMessage(UIGeomagneticGyro.WHAT_GEOMAGNETIC_PASS);
        } else {
            handler.sendEmptyMessage(UIGeomagneticGyro.WHAT_GEOMAGNETIC_FAIL);
        }
    }
}
