package com.sec.factory.modules;

import android.app.Service;
import android.content.Intent;
import android.os.Handler;
import android.os.IBinder;
import android.os.Message;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.common.CommonHrmOnce;
import com.sec.factory.support.FtUtil;

public class HRMServiceOnce extends Service {
    private static final String CLASS_NAME = "HRMServiceOnce";
    private final int HRM_INITTIME_DELAY = 6000;
    private final byte MSG_UPDATE_RESULT = 2;
    private int TEST_ID = -1;
    private final byte WHAT_EXIT_TEST = 4;
    private final byte WHAT_UPDATE_STATUS = 1;
    private CommonHrmOnce mCommonHrmOnce;
    public Handler mHandler = new Handler() {
        /* class com.sec.factory.modules.HRMServiceOnce.AnonymousClass1 */

        public void handleMessage(Message msg) {
            switch (msg.what) {
                case 1:
                    FtUtil.log_i(HRMServiceOnce.CLASS_NAME, "mHandler", "WHAT_UPDATE_STATUS - mhtm_Status:" + HRMServiceOnce.this.mCommonHrmOnce.mhtm_Status);
                    if (!HRMServiceOnce.this.mCommonHrmOnce.mhtm_Status) {
                        HRMServiceOnce.this.mCommonHrmOnce.checkStatus();
                        HRMServiceOnce.this.mHandler.sendEmptyMessageDelayed(1, 1000);
                        return;
                    }
                    HRMServiceOnce.this.mCommonHrmOnce.registerSysfs(false);
                    HRMServiceOnce.this.mCommonHrmOnce.mhtm_Status = false;
                    HRMServiceOnce.this.mHandler.sendEmptyMessage(2);
                    return;
                case 2:
                    HRMServiceOnce.this.update();
                    if (HRMServiceOnce.this.mCommonHrmOnce.mSpecResult) {
                        FtUtil.log_i(HRMServiceOnce.CLASS_NAME, "mHandler", "HRM Test pass");
                        HRMServiceOnce.this.setTestResult(FactoryTestManager.TEST_HEART_RATE_MEASURE, (byte) 80);
                        HRMServiceOnce.this.stopSelf();
                        return;
                    }
                    FtUtil.log_i(HRMServiceOnce.CLASS_NAME, "mHandler", "HRM Test fail");
                    HRMServiceOnce.this.stopSelf();
                    return;
                case 3:
                default:
                    return;
                case 4:
                    HRMServiceOnce.this.stopSelf();
                    return;
            }
        }
    };

    public void onCreate() {
        super.onCreate();
        FtUtil.log_i(CLASS_NAME, "onCreate");
    }

    public int onStartCommand(Intent intent, int flags, int startId) {
        FtUtil.log_i(CLASS_NAME, "onStartCommand");
        this.TEST_ID = intent.getIntExtra("testID", 85);
        FtUtil.log_i(CLASS_NAME, "onStartCommand", "requested ID = " + this.TEST_ID);
        this.mCommonHrmOnce = new CommonHrmOnce(this, this.TEST_ID, CLASS_NAME);
        initialize();
        this.mHandler.sendEmptyMessageDelayed(1, 6000);
        return super.onStartCommand(intent, flags, startId);
    }

    public IBinder onBind(Intent intent) {
        this.TEST_ID = intent.getIntExtra("testID", 85);
        FtUtil.log_i(CLASS_NAME, "onBind", "requested ID = " + this.TEST_ID);
        this.mCommonHrmOnce = new CommonHrmOnce(this, this.TEST_ID, CLASS_NAME);
        return null;
    }

    public void onDestroy() {
        FtUtil.log_i(CLASS_NAME, "onDestroy");
        this.mHandler.removeMessages(1);
        this.mHandler.removeMessages(2);
        if (this.mCommonHrmOnce.isChecking) {
            this.mCommonHrmOnce.registerSysfs(false);
        }
        super.onDestroy();
    }

    private void initialize() {
        FtUtil.log_d(CLASS_NAME, "initialize");
        this.mCommonHrmOnce.registerSysfs(true);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void update() {
        if (this.mCommonHrmOnce.updateResult() && this.mCommonHrmOnce.mSpecResult) {
            this.mCommonHrmOnce.createLogFile();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setTestResult(byte id, byte result) {
        FtUtil.log_i(CLASS_NAME, "setTestResult", "id: " + ((int) id) + " , result:" + ((int) result));
        int itemid = FactoryTestManager.getItemPosition_ID(id);
        if (itemid > -1) {
            FtUtil.log_i(CLASS_NAME, "setTestResult", "itemid: " + itemid);
            FactoryTestManager.setItemResult(itemid, result);
            FactoryTestManager.notifyDataSetChanged();
        }
    }
}
