package com.sec.factory.modules;

import android.app.Service;
import android.content.Intent;
import android.os.Handler;
import android.os.IBinder;
import android.os.Message;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.common.CommonHRM;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.text.DecimalFormat;
import java.text.NumberFormat;
import java.util.Locale;
import java.util.Objects;

public class HeartRateService extends Service {
    private static final String CLASS_NAME = "HeartRateService";
    private final int HRM_INITTIME_DELAY = 6000;
    private final byte MSG_UPDATE_RESULT = 2;
    private int TEST_ID = -1;
    private final byte WHAT_EXIT_TEST = 4;
    private final byte WHAT_UPDATE_CLOUD_TEST = 3;
    private final byte WHAT_UPDATE_STATUS = 1;
    private CommonHRM mCommonHRM;
    private DecimalFormat mFormat;
    public Handler mHandler = new Handler() {
        /* class com.sec.factory.modules.HeartRateService.AnonymousClass1 */

        public void handleMessage(Message msg) {
            switch (msg.what) {
                case 1:
                    FtUtil.log_i(HeartRateService.CLASS_NAME, "mHandler", "WHAT_UPDATE_STATUS - mhtm_Status:" + HeartRateService.this.mCommonHRM.mhtm_Status);
                    if (!HeartRateService.this.mCommonHRM.mhtm_Status) {
                        HeartRateService.this.mCommonHRM.checkStatus();
                        HeartRateService.this.mHandler.sendEmptyMessageDelayed(1, 1000);
                        return;
                    }
                    HeartRateService.this.mCommonHRM.registerSysfs(false);
                    if (!"PARTRON".equals(HeartRateService.this.mCommonHRM.HRM_VENDOR)) {
                        HeartRateService.this.mCommonHRM.HRM_OnOff(false);
                    }
                    HeartRateService.this.mCommonHRM.mhtm_Status = false;
                    if (HeartRateService.this.mCommonHRM.isCloudTest) {
                        boolean[] zArr = HeartRateService.this.mCommonHRM.itemUsable_MAXIM_Cloud;
                        Objects.requireNonNull(HeartRateService.this.mCommonHRM);
                        if (zArr[0]) {
                            HeartRateService.this.runCloudTest();
                            return;
                        }
                    }
                    HeartRateService.this.mHandler.sendEmptyMessage(2);
                    return;
                case 2:
                    HeartRateService.this.update();
                    if (HeartRateService.this.mCommonHRM.mSpecResult) {
                        FtUtil.log_i(HeartRateService.CLASS_NAME, "mHandler", "HRM Test pass");
                        HeartRateService.this.setTestResult(FactoryTestManager.TEST_HEART_RATE_MEASURE, (byte) 80);
                        HeartRateService.this.stopSelf();
                        return;
                    }
                    FtUtil.log_i(HeartRateService.CLASS_NAME, "mHandler", "HRM Test fail");
                    HeartRateService.this.stopSelf();
                    return;
                case 3:
                    FtUtil.log_i(HeartRateService.CLASS_NAME, "mHandler", "WHAT_UPDATE_CLOUD_TEST - mCloud_Status:" + HeartRateService.this.mCommonHRM.mCloud_Status);
                    if (!HeartRateService.this.mCommonHRM.mCloud_Status) {
                        HeartRateService.this.mCommonHRM.checkCloudValue();
                        HeartRateService.this.mHandler.sendEmptyMessageDelayed(3, 1000);
                        return;
                    }
                    HeartRateService.this.mCommonHRM.registerSysfs_UV(false);
                    HeartRateService.this.mCommonHRM.UV_OnOff(false);
                    HeartRateService.this.mCommonHRM.storeCloudValue();
                    HeartRateService.this.mCommonHRM.mCloud_Status = false;
                    HeartRateService.this.mHandler.sendEmptyMessage(2);
                    return;
                case 4:
                    HeartRateService.this.stopSelf();
                    return;
                default:
                    return;
            }
        }
    };
    private boolean mIsFailedDeviceId = false;
    private DecimalFormat mThreeFormat;

    public void onCreate() {
        super.onCreate();
        FtUtil.log_i(CLASS_NAME, "onCreate");
        DecimalFormat decimalFormat = (DecimalFormat) NumberFormat.getInstance(Locale.ENGLISH);
        this.mFormat = decimalFormat;
        decimalFormat.applyPattern("0.00");
        this.mThreeFormat = (DecimalFormat) NumberFormat.getInstance(Locale.ENGLISH);
        this.mFormat.applyPattern("0.000");
    }

    public int onStartCommand(Intent intent, int flags, int startId) {
        FtUtil.log_i(CLASS_NAME, "onStartCommand");
        this.TEST_ID = intent.getIntExtra("testID", 85);
        FtUtil.log_i(CLASS_NAME, "onStartCommand", "requested ID = " + this.TEST_ID);
        CommonHRM commonHRM = new CommonHRM(this, this.TEST_ID, CLASS_NAME);
        this.mCommonHRM = commonHRM;
        if ("ADI".equals(commonHRM.HRM_VENDOR) && (this.mCommonHRM.HRM_DeviceID == null || "0".equals(this.mCommonHRM.HRM_DeviceID))) {
            this.mIsFailedDeviceId = true;
        }
        if (this.mIsFailedDeviceId) {
            FtUtil.log_i(CLASS_NAME, "onStartCommand", "HRM Test fail because of Device ID");
            this.mHandler.sendEmptyMessageDelayed(4, 1000);
        } else {
            initialize();
            this.mCommonHRM.readTestSpec();
            this.mHandler.sendEmptyMessageDelayed(1, 6000);
        }
        return super.onStartCommand(intent, flags, startId);
    }

    public IBinder onBind(Intent intent) {
        this.TEST_ID = intent.getIntExtra("testID", 85);
        FtUtil.log_i(CLASS_NAME, "onBind", "requested ID = " + this.TEST_ID);
        this.mCommonHRM = new CommonHRM(this, this.TEST_ID, CLASS_NAME);
        return null;
    }

    public void onDestroy() {
        FtUtil.log_i(CLASS_NAME, "onDestroy");
        this.mHandler.removeMessages(1);
        this.mHandler.removeMessages(2);
        if (Support.Kernel.read(Support.Kernel.HRM_EOL_TEST).equals(EgisFingerprint.MAJOR_VERSION)) {
            this.mCommonHRM.registerSysfs(false);
        }
        this.mCommonHRM.HRM_OnOff(false);
        if (this.mCommonHRM.isCloudTest) {
            boolean[] zArr = this.mCommonHRM.itemUsable_MAXIM_Cloud;
            Objects.requireNonNull(this.mCommonHRM);
            if (zArr[0]) {
                this.mCommonHRM.UV_OnOff(false);
                this.mHandler.removeMessages(3);
            }
        }
        super.onDestroy();
    }

    private void initialize() {
        FtUtil.log_d(CLASS_NAME, "initialize");
        if (!"PARTRON".equals(this.mCommonHRM.HRM_VENDOR)) {
            this.mCommonHRM.HRM_OnOff(true);
        }
        this.mCommonHRM.registerSysfs(true);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void runCloudTest() {
        FtUtil.log_i(CLASS_NAME, "runCloudTest", "start cloud detection test");
        this.mCommonHRM.UV_OnOff(true);
        this.mCommonHRM.registerSysfs_UV(true);
        this.mCommonHRM.mBufferCloud = null;
        this.mCommonHRM.dataCloud = null;
        this.mHandler.sendEmptyMessageDelayed(3, 250);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void update() {
        this.mCommonHRM.updateResult();
        if (this.mCommonHRM.mSpecResult) {
            this.mCommonHRM.createLogFile();
        }
    }

    private boolean checkSpec(String mOriginalVal, String mSysfsNode) {
        String[] mSpecVal = mSysfsNode.split(",");
        try {
            float mTempVal = Float.parseFloat(mOriginalVal);
            if (mSpecVal.length == 2 && mTempVal >= Float.parseFloat(mSpecVal[0]) && mTempVal <= Float.parseFloat(mSpecVal[1])) {
                FtUtil.log_i(CLASS_NAME, "checkSpec", "val : " + Float.parseFloat(mSpecVal[0]) + " " + Float.parseFloat(mSpecVal[1]));
                return true;
            }
        } catch (NumberFormatException ne) {
            FtUtil.log_e(ne);
        }
        return false;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setTestResult(byte id, byte result) {
        FtUtil.log_i(CLASS_NAME, "setTestResult", "id: " + ((int) id) + " , result:" + ((int) result));
        int itemid = FactoryTestManager.getItemPosition_ID(id);
        if (itemid > -1) {
            FtUtil.log_i(CLASS_NAME, "setTestResult", "itemid: " + itemid);
            FactoryTestManager.setItemResult(itemid, result);
            FactoryTestManager.notifyDataSetChanged();
        }
    }
}
