package com.sec.factory.modules;

import android.app.Service;
import android.content.Intent;
import android.os.IBinder;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class MSTService extends Service {
    private static final String CLASS_NAME = "MSTService";
    private int TimeOffset = 1000;
    private boolean canBeTransferred = true;
    private boolean isUseMFCIC = false;

    public void onCreate() {
        FtUtil.log_i(CLASS_NAME, "onCreate");
        super.onCreate();
        String timeOffset_Temp = Support.FactoryTestMenu.getSpec(FactoryTestManager.convertorID_XML((byte) FactoryTestManager.TEST_MST_TEST));
        if (timeOffset_Temp != null && !"".equals(timeOffset_Temp)) {
            this.TimeOffset = Integer.parseInt(timeOffset_Temp);
        }
        FtUtil.log_d(CLASS_NAME, "onCreate", "delay : " + this.TimeOffset);
    }

    public int onStartCommand(Intent intent, int flags, int startId) {
        this.canBeTransferred = true;
        FtUtil.log_i(CLASS_NAME, "onStartCommand");
        if (Support.Kernel.isExistFileID(Support.Kernel.USE_MST_MFC_IC) && "mfc_charger".equalsIgnoreCase(Support.Kernel.read(Support.Kernel.USE_MST_MFC_IC))) {
            this.isUseMFCIC = true;
            if (isConnectWirelessCharger()) {
                this.canBeTransferred = false;
            }
        }
        MSTDataTransmit();
        return super.onStartCommand(intent, flags, startId);
    }

    public void onDestroy() {
        FtUtil.log_i(CLASS_NAME, "onDestroy");
        super.onDestroy();
    }

    public IBinder onBind(Intent intent) {
        FtUtil.log_i(CLASS_NAME, "onBind");
        return null;
    }

    private boolean isConnectWirelessCharger() {
        String mstatus = Support.Kernel.read(Support.Kernel.WIRELESS_BATTERY);
        if (mstatus == null || !mstatus.contains(EgisFingerprint.MAJOR_VERSION)) {
            return false;
        }
        return true;
    }

    private void MSTDataTransmit() {
        if (this.canBeTransferred) {
            if (this.isUseMFCIC) {
                Support.Kernel.write(Support.Kernel.MST_DATA_TRANSMIT_PATH, EgisFingerprint.MAJOR_VERSION);
            }
            FtUtil.Sleep.sleep(3);
            FtUtil.log_d(CLASS_NAME, "MSTDataTransmit", "Transmit start");
            FtUtil.log_d(CLASS_NAME, "MSTDataTransmit", "Track 1 transmit");
            Support.Kernel.write(Support.Kernel.MST_DATA_TRANSMIT_PATH, "2");
            FtUtil.Sleep.sleep((long) this.TimeOffset);
            FtUtil.log_d(CLASS_NAME, "MSTDataTransmit", "Track 2 transmit");
            Support.Kernel.write(Support.Kernel.MST_DATA_TRANSMIT_PATH, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION);
            if (this.isUseMFCIC) {
                Support.Kernel.write(Support.Kernel.MST_DATA_TRANSMIT_PATH, "0");
                return;
            }
            return;
        }
        FtUtil.log_d(CLASS_NAME, "MSTDataTransmit", "WPC OFF FAIL");
    }
}
