package com.sec.factory.modules;

import android.content.Context;
import android.media.AudioManager;
import android.support.v4.view.MotionEventCompat;
import com.example.aaudiorecorder.AAudioRecorder;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;
import java.lang.reflect.Array;
import sec.audio.solution.FactoryFREQ;
import sec.audio.solution.FactoryMulti_RMS;

public class MicParallelTest {
    private static final String CLASS_NAME = "MicParallelTest";
    public static final short EMPTY_DATA = Short.MIN_VALUE;
    public static final int EMPTY_SPEC = -99;
    public static final int FILE_DATA_MAX_LINE = 500;
    public static final int JIGCHECK_DISABLE = 0;
    public static final int JIGCHECK_HALL_IC = 1;
    public static final int JIGCHECK_PROX = 2;
    public static final int JIGCHECK_VOL_UP = 3;
    public static int[] mAudioPath;
    public static int mCurrentCnt = 0;
    private static FactoryFREQ mFactoryFREQ;
    private static FactoryMulti_RMS mFactoryMulti_RMS;
    public static Boolean mIsCheckOption;
    public static int mJigCheckType;
    public static final String[] mMeasureCase = {"RMS", "F200", "F500", "F1000", "F2000", "F3000"};
    public static int mMeasureCount;
    public static int mMicChannelCount;
    public static int mMicCount;
    public static String mPathSpecFile;
    public static int mReadInterval;
    public static Boolean mReadingRecorder;
    public static short[][][] mResultData;
    public static short[][][] mSaveData;
    public static int mSkipCount;
    public static String[] mSoundFile;
    public static String[][] mStrArraySpec;
    public static int mTestID;
    public static String mTestNameTag;
    public static int mTestingMicNum;
    public static int mTotalCount;
    public static Boolean mUsingSpecFile;
    public static String mVendorPathSpecFile;
    public static int[] mVolume;

    public MicParallelTest(int TestID) {
        mPathSpecFile = Support.Kernel.getFilePath(Support.Kernel.PATH_MIC_PARALLEL_SPEC);
        mVendorPathSpecFile = Support.Kernel.getFilePath(Support.Kernel.VENDOR_PATH_MIC_PARALLEL_SPEC);
        mFactoryFREQ = new FactoryFREQ();
        mFactoryMulti_RMS = new FactoryMulti_RMS();
        mTestID = TestID;
        mIsCheckOption = true;
        mMeasureCount = 3;
        mReadInterval = 200;
        if (Support.Kernel.isExistFilePath(mPathSpecFile)) {
            mUsingSpecFile = true;
            new GetInfoSpecFile(TestID);
        } else if (Support.Kernel.isExistFilePath(mVendorPathSpecFile)) {
            mUsingSpecFile = true;
            mPathSpecFile = mVendorPathSpecFile;
            new GetInfoSpecFile(TestID);
        } else {
            mUsingSpecFile = false;
            new GetInfoModelXML(TestID);
        }
        mTotalCount = mSkipCount + mMeasureCount;
        FtUtil.log_d(CLASS_NAME, CLASS_NAME, "mTotalCount : " + mTotalCount);
        mReadingRecorder = false;
        FtUtil.log_d(CLASS_NAME, CLASS_NAME, "mReadingRecorder : " + mReadingRecorder);
    }

    private static class GetInfoSpecFile {
        FileReader fr;
        BufferedReader reader;
        String strReadLine;

        private GetInfoSpecFile(int TestID) {
            String readLine;
            FtUtil.log_d(MicParallelTest.CLASS_NAME, "GetInfoSpecFile", "get Mic Parallel Test from Spec File");
            if (225 == TestID) {
                MicParallelTest.mTestNameTag = "ECHO_TEST";
                FtUtil.log_d(MicParallelTest.CLASS_NAME, "GetInfoSpecFile", "ECHO_TEST");
            } else if (226 == TestID) {
                MicParallelTest.mTestNameTag = "MIC_GAIN_TEST";
                FtUtil.log_d(MicParallelTest.CLASS_NAME, "GetInfoSpecFile", "MIC_GAIN_TEST");
            } else if (227 == TestID) {
                MicParallelTest.mTestNameTag = "MIC_MUTE_TEST";
                FtUtil.log_d(MicParallelTest.CLASS_NAME, "GetInfoSpecFile", "MIC_MUTE_TEST");
            }
            try {
                this.fr = new FileReader(MicParallelTest.mPathSpecFile);
                this.reader = new BufferedReader(this.fr);
                do {
                    readLine = this.reader.readLine();
                    this.strReadLine = readLine;
                    if (readLine == null) {
                        break;
                    }
                } while (!readLine.contains(MicParallelTest.mTestNameTag));
                String[] testTagData = new String[100];
                int i = 0;
                while (true) {
                    if (i >= 500) {
                        break;
                    }
                    String strLine = this.reader.readLine().trim();
                    if (strLine.contains("/" + MicParallelTest.mTestNameTag)) {
                        break;
                    } else if (strLine == null) {
                        break;
                    } else {
                        testTagData[i] = strLine;
                        if (testTagData[i].contains("<MIC1>")) {
                            MicParallelTest.mMicCount = 1;
                        } else if (testTagData[i].contains("<MIC2>")) {
                            MicParallelTest.mMicCount = 2;
                        } else if (testTagData[i].contains("<MIC3>")) {
                            MicParallelTest.mMicCount = 3;
                        } else if (testTagData[i].contains("<MIC4>")) {
                            MicParallelTest.mMicCount = 4;
                        }
                        FtUtil.log_i(MicParallelTest.CLASS_NAME, "GetInfoSpecFile", "testTagData[" + i + "] : " + testTagData[i]);
                        i++;
                    }
                }
                int i2 = MicParallelTest.mMicCount;
                int[] iArr = new int[2];
                iArr[1] = MicParallelTest.mMeasureCase.length;
                iArr[0] = i2;
                MicParallelTest.mStrArraySpec = (String[][]) Array.newInstance(String.class, iArr);
                MicParallelTest.mMicChannelCount = getFileChannelCount(MicParallelTest.mMicCount);
                getFileSpec(testTagData);
                getFileOption(testTagData);
            } catch (FileNotFoundException e) {
                FtUtil.log_e(MicParallelTest.CLASS_NAME, "GetInfoSpecFile", "FileNotFoundException");
            } catch (Exception e2) {
                MicParallelTest.mIsCheckOption = false;
                FtUtil.log_d(MicParallelTest.CLASS_NAME, "GetInfoSpecFile", "mIsCheckOption : " + MicParallelTest.mIsCheckOption);
                e2.printStackTrace();
            }
        }

        private int getFileChannelCount(int micCnt) {
            int micCh;
            if (micCnt % 2 == 0) {
                micCh = micCnt;
            } else {
                micCh = ((micCnt / 2) * 2) + 2;
            }
            FtUtil.log_e(MicParallelTest.CLASS_NAME, "getFileChannelCount", "micCh : " + micCh);
            return micCh;
        }

        private void getFileSpec(String[] data) {
            FtUtil.log_d(MicParallelTest.CLASS_NAME, "getFileSpec");
            int micNum = 0;
            int i = 0;
            while (i < data.length && !data[i].contains("<SPEC>")) {
                i++;
            }
            int j = i;
            while (j < data.length - i && !data[j].contains("</SPEC>")) {
                if (data[j].contains("<MIC1>")) {
                    micNum = 0;
                } else if (data[j].contains("<MIC2>")) {
                    micNum = 1;
                } else if (data[j].contains("<MIC3>")) {
                    micNum = 2;
                } else if (data[j].contains("<MIC4>")) {
                    micNum = 3;
                } else if (data[j].contains("RMS")) {
                    setSpecArray(micNum, 0, data[j]);
                } else if (data[j].contains("F200:")) {
                    setSpecArray(micNum, 1, data[j]);
                } else if (data[j].contains("F500:")) {
                    setSpecArray(micNum, 2, data[j]);
                } else if (data[j].contains("F1000:")) {
                    setSpecArray(micNum, 3, data[j]);
                } else if (data[j].contains("F2000:")) {
                    setSpecArray(micNum, 4, data[j]);
                } else if (data[j].contains("F3000:")) {
                    setSpecArray(micNum, 5, data[j]);
                }
                j++;
            }
        }

        private void setSpecArray(int tMic, int tCase, String tData) {
            String[] values = tData.split(":");
            if (values[1] == null || "".equals(values[1])) {
                MicParallelTest.mIsCheckOption = false;
                FtUtil.log_d(MicParallelTest.CLASS_NAME, "getFileSpec", "spec Type Error, rawData : " + tData + ", mIsCheckOption : " + MicParallelTest.mIsCheckOption);
                return;
            }
            MicParallelTest.mStrArraySpec[tMic][tCase] = values[1];
        }

        private void getFileOption(String[] data) {
            String[] optionStr = {"SKIP_COUNT:3", "JIG_CHECK:NA", "PATH:SPK", "VOLUME:40", "SOUND_FILE:MT-ST-1.mp3"};
            int i = 0;
            while (i < data.length && !data[i].contains("<OPTION>")) {
                i++;
            }
            for (int j = i; j < data.length - i; j++) {
                FtUtil.log_d(MicParallelTest.CLASS_NAME, "getFileOption", "Option data[" + j + "]:" + data[j]);
                if (data[j] == null) {
                    MicParallelTest.mIsCheckOption = false;
                    FtUtil.log_d(MicParallelTest.CLASS_NAME, "getFileOption", "data null : mIsCheckOption : " + MicParallelTest.mIsCheckOption);
                } else if (data[j].contains("SKIP_COUNT")) {
                    optionStr[0] = data[j];
                } else if (data[j].contains("JIG_CHECK")) {
                    optionStr[1] = data[j];
                } else if (data[j].contains("PATH")) {
                    optionStr[2] = data[j];
                } else if (data[j].contains("VOLUME")) {
                    optionStr[3] = data[j];
                } else if (data[j].contains("SOUND_FILE")) {
                    optionStr[4] = data[j];
                } else if (data[j].contains("</OPTION>")) {
                    break;
                }
            }
            MicParallelTest.mSkipCount = getOptionSkipCount(optionStr[0]);
            MicParallelTest.mJigCheckType = getOptionJigCheck(optionStr[1]);
            MicParallelTest.mAudioPath = getOptionPath(optionStr[2]);
            MicParallelTest.mVolume = getOptionVolume(optionStr[3]);
            MicParallelTest.mSoundFile = getOptionSoundFile(optionStr[4]);
            if (!(MicParallelTest.mAudioPath.length == MicParallelTest.mVolume.length && MicParallelTest.mAudioPath.length == MicParallelTest.mSoundFile.length)) {
                MicParallelTest.mIsCheckOption = false;
                FtUtil.log_d(MicParallelTest.CLASS_NAME, "getFileOption", "mAudioPath.length : " + MicParallelTest.mAudioPath.length + ", mVolume.length : " + MicParallelTest.mVolume.length + ", mSoundFile.length : " + MicParallelTest.mSoundFile.length + ", mIsCheckOption : " + MicParallelTest.mIsCheckOption);
            }
        }

        private int getOptionSkipCount(String data) {
            int skipcnt = 3;
            try {
                String[] values = data.split(":");
                if (values[1] != null && !"".equals(values[1])) {
                    skipcnt = Integer.valueOf(values[1]).intValue();
                }
            } catch (Exception e) {
                MicParallelTest.mIsCheckOption = false;
                FtUtil.log_d(MicParallelTest.CLASS_NAME, "getOptionSkipCount", " mIsCheckOption : " + MicParallelTest.mIsCheckOption);
                FtUtil.log_e(e);
            }
            FtUtil.log_d(MicParallelTest.CLASS_NAME, "getOptionSkipCount", "skipCount : " + skipcnt);
            return skipcnt;
        }

        private int getOptionJigCheck(String data) {
            int type = 0;
            try {
                String[] values = data.split(":");
                if (values[1] != null && !"".equals(values[1])) {
                    if ("HALLIC".equalsIgnoreCase(values[1])) {
                        type = 1;
                    } else if ("PROX".equalsIgnoreCase(values[1])) {
                        type = 2;
                    } else if ("VOLUP".equalsIgnoreCase(values[1])) {
                        type = 3;
                    }
                }
            } catch (Exception e) {
                MicParallelTest.mIsCheckOption = false;
                FtUtil.log_d(MicParallelTest.CLASS_NAME, "getOptionJigCheck", " mIsCheckOption : " + MicParallelTest.mIsCheckOption);
                FtUtil.log_e(e);
            }
            FtUtil.log_d(MicParallelTest.CLASS_NAME, "getOptionJigCheck", "Jig Check Type : " + type);
            return type;
        }

        /* JADX INFO: Multiple debug info for r4v3 int[]: [D('audio_path' int[]), D('pathStr' java.lang.String[])] */
        private int[] getOptionPath(String data) {
            try {
                String[] values = data.split(":");
                if (values[1] == null || "".equals(values[1])) {
                    int[] audio_path = {0};
                    FtUtil.log_d(MicParallelTest.CLASS_NAME, "getOptionPath", "audio_path : " + audio_path[0]);
                    return audio_path;
                }
                String[] pathStr = values[1].trim().split(",");
                int[] audio_path2 = new int[pathStr.length];
                for (int i = 0; i < pathStr.length; i++) {
                    int path = 0;
                    if ("RCV".equalsIgnoreCase(pathStr[i])) {
                        path = 1;
                    } else if ("SPK1".equalsIgnoreCase(pathStr[i])) {
                        path = 8;
                    } else if ("SPK2".equalsIgnoreCase(pathStr[i])) {
                        path = 9;
                    }
                    audio_path2[i] = path;
                    FtUtil.log_d(MicParallelTest.CLASS_NAME, "getOptionPath", "path " + i + ": " + audio_path2[i]);
                }
                return audio_path2;
            } catch (Exception e) {
                MicParallelTest.mIsCheckOption = false;
                FtUtil.log_d(MicParallelTest.CLASS_NAME, "getOptionPath", " mIsCheckOption : " + MicParallelTest.mIsCheckOption);
                FtUtil.log_e(e);
                return null;
            }
        }

        private int[] getOptionVolume(String data) {
            try {
                String[] values = data.split(":");
                if (values[1] == null || "".equals(values[1])) {
                    int[] volume = {40};
                    FtUtil.log_d(MicParallelTest.CLASS_NAME, "getOptionPath", "volume : " + volume[0]);
                    return volume;
                }
                String[] volumeStr = values[1].trim().split(",");
                int[] volume2 = new int[volumeStr.length];
                for (int i = 0; i < volumeStr.length; i++) {
                    volume2[i] = Integer.parseInt(volumeStr[i]);
                    FtUtil.log_d(MicParallelTest.CLASS_NAME, "getOptionVolume", "volume " + i + ": " + volume2[i]);
                }
                if (volume2.length == 1 || volume2.length == MicParallelTest.mMicCount) {
                    return volume2;
                }
                FtUtil.log_e(MicParallelTest.CLASS_NAME, "getOptionVolume", "Violation of VOLUME() Rule");
                return volume2;
            } catch (Exception e) {
                MicParallelTest.mIsCheckOption = false;
                FtUtil.log_d(MicParallelTest.CLASS_NAME, "getOptionVolume", " mIsCheckOption : " + MicParallelTest.mIsCheckOption);
                FtUtil.log_e(e);
                return null;
            }
        }

        /* JADX INFO: Multiple debug info for r1v1 java.lang.String[]: [D('fileName' java.lang.String[]), D('fileStr' java.lang.String[])] */
        private String[] getOptionSoundFile(String data) {
            try {
                String[] values = data.split(":");
                if (values[1] == null || "".equals(values[1])) {
                    String[] fileStr = {"MT-ST-1.mp3"};
                    FtUtil.log_d(MicParallelTest.CLASS_NAME, "getOptionSoundFile", "fileName : " + fileStr[0]);
                    return fileStr;
                }
                String[] fileStr2 = values[1].trim().split(",");
                String[] fileName = new String[fileStr2.length];
                for (int i = 0; i < fileStr2.length; i++) {
                    fileName[i] = fileStr2[i];
                    FtUtil.log_d(MicParallelTest.CLASS_NAME, "getOptionSoundFile", "fileName " + i + ": " + fileName[i]);
                }
                return fileName;
            } catch (Exception e) {
                FtUtil.log_e(e);
                return null;
            }
        }
    }

    public class GetInfoModelXML {
        private GetInfoModelXML(int TestID) {
            FtUtil.log_e(MicParallelTest.CLASS_NAME, "GetInfoModelXML", "get Mic Parallel Test from Factory xml file");
            MicParallelTest.mMicCount = getMicCount(MicParallelTest.mTestID);
            getSpec(MicParallelTest.mTestID, getSpecTarget(MicParallelTest.mTestID));
            MicParallelTest.mMicChannelCount = getChannelCount(MicParallelTest.mTestID);
            MicParallelTest.mJigCheckType = getJigCheck(MicParallelTest.mTestID);
            MicParallelTest.mAudioPath = getPath(MicParallelTest.mTestID);
            MicParallelTest.mVolume = getVolume(MicParallelTest.mTestID);
            MicParallelTest.mSkipCount = getSkipCount(MicParallelTest.mTestID);
            MicParallelTest.mSoundFile = getSoundFile();
        }

        private String[] getSoundFile() {
            FtUtil.log_e(MicParallelTest.CLASS_NAME, "getSoundFile", "soundFile : MT-ST-1.mp3");
            return new String[]{"MT-ST-1.mp3"};
        }

        private int getMicCount(int testID) {
            String specRaw = Support.FactoryTestMenu.getSpec(FactoryTestManager.convertorID_XML(testID));
            String[] arraySpec = specRaw != null ? specRaw.split(",") : null;
            if (arraySpec == null) {
                FtUtil.log_e(MicParallelTest.CLASS_NAME, "getMicCount", "No Spec data");
                return 1;
            }
            FtUtil.log_e(MicParallelTest.CLASS_NAME, "getMicCount", "mMicCount : " + arraySpec.length);
            return arraySpec.length;
        }

        private void getSpec(int testID, int targetCase) {
            String specRaw = Support.FactoryTestMenu.getSpec(FactoryTestManager.convertorID_XML(testID));
            FtUtil.log_e(MicParallelTest.CLASS_NAME, "getSpec", "specRaw : " + specRaw);
            int i = MicParallelTest.mMicCount;
            int[] iArr = new int[2];
            iArr[1] = MicParallelTest.mMeasureCase.length;
            iArr[0] = i;
            MicParallelTest.mStrArraySpec = (String[][]) Array.newInstance(String.class, iArr);
            String[] arraySpec = specRaw != null ? specRaw.split(",") : null;
            if (arraySpec != null) {
                for (int i2 = 0; i2 < arraySpec.length; i2++) {
                    for (int j = 0; j < MicParallelTest.mMeasureCase.length; j++) {
                        if (j == targetCase) {
                            MicParallelTest.mStrArraySpec[i2][j] = arraySpec[i2];
                        } else {
                            MicParallelTest.mStrArraySpec[i2][j] = "NA";
                        }
                        FtUtil.log_d(MicParallelTest.CLASS_NAME, "getSpec", "mStrArraySpec[" + i2 + "][" + j + "] : " + MicParallelTest.mStrArraySpec[i2][j]);
                    }
                }
                return;
            }
            FtUtil.log_e(MicParallelTest.CLASS_NAME, "getSpec", "No Spec data");
        }

        private int getChannelCount(int testID) {
            int micCh;
            String specRaw = Support.FactoryTestMenu.getSpec(FactoryTestManager.convertorID_XML(testID));
            String[] arraySpec = specRaw != null ? specRaw.split(",") : null;
            if (arraySpec == null) {
                FtUtil.log_e(MicParallelTest.CLASS_NAME, "getSpec", "No Spec data");
                return 2;
            }
            if (arraySpec.length % 2 == 0) {
                micCh = arraySpec.length;
            } else {
                micCh = ((arraySpec.length / 2) * 2) + 2;
            }
            FtUtil.log_e(MicParallelTest.CLASS_NAME, "getSpec", "micCh : " + micCh);
            return micCh;
        }

        private int getJigCheck(int testID) {
            String testcase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML(testID));
            FtUtil.log_d(MicParallelTest.CLASS_NAME, "getSpecTarget", "testcase : " + testcase);
            if (!testcase.contains("JIGCHECK")) {
                return 0;
            }
            String testcase2 = testcase.substring(testcase.indexOf("JIGCHECK(") + "JIGCHECK(".length());
            String strType = testcase2.substring(0, testcase2.indexOf(")"));
            FtUtil.log_d(MicParallelTest.CLASS_NAME, "getJigCheck", "mJigCheckType :  " + strType);
            if ("HALLIC".equalsIgnoreCase(strType)) {
                return 1;
            }
            if ("PROX".equalsIgnoreCase(strType)) {
                return 2;
            }
            if ("VOLUP".equalsIgnoreCase(strType)) {
                return 3;
            }
            return 0;
        }

        private int[] getPath(int testID) {
            String testcase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML(testID));
            FtUtil.log_d(MicParallelTest.CLASS_NAME, "getPath", "testcase : " + testcase);
            if (testcase.contains("PATH")) {
                String testcase2 = testcase.substring(testcase.indexOf("PATH(") + "PATH(".length());
                String[] pathStr = testcase2.substring(0, testcase2.indexOf(")")).trim().split(",");
                int[] audio_path = new int[pathStr.length];
                for (int i = 0; i < pathStr.length; i++) {
                    int path = 0;
                    if ("RCV".equalsIgnoreCase(pathStr[i])) {
                        path = 1;
                    } else if ("SPK1".equalsIgnoreCase(pathStr[i])) {
                        path = 8;
                    }
                    audio_path[i] = path;
                    FtUtil.log_d(MicParallelTest.CLASS_NAME, "getPath", "path " + i + ": " + audio_path[i]);
                }
                return audio_path;
            }
            int[] audio_path2 = {0};
            FtUtil.log_d(MicParallelTest.CLASS_NAME, "getPath", "audio_path : " + audio_path2[0]);
            return audio_path2;
        }

        /* JADX INFO: Multiple debug info for r1v4 int[]: [D('volume' int[]), D('volumeStr' java.lang.String[])] */
        private int[] getVolume(int testID) {
            String testcase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML(testID));
            FtUtil.log_d(MicParallelTest.CLASS_NAME, "getVolume", "testcase : " + testcase);
            if (testcase.contains("VOLUME")) {
                String testcase2 = testcase.substring(testcase.indexOf("VOLUME(") + "VOLUME(".length());
                String[] volumeStr = testcase2.substring(0, testcase2.indexOf(")")).trim().split(",");
                int[] volume = new int[volumeStr.length];
                for (int i = 0; i < volumeStr.length; i++) {
                    volume[i] = Integer.parseInt(volumeStr[i]);
                    FtUtil.log_d(MicParallelTest.CLASS_NAME, "getVolume", "volume " + i + ": " + volume[i]);
                }
                if (volume.length == 1 || volume.length == MicParallelTest.mMicCount) {
                    return volume;
                }
                FtUtil.log_e(MicParallelTest.CLASS_NAME, "getVolume", "Violation of VOLUME() Rule");
                return volume;
            }
            int[] volume2 = {40};
            FtUtil.log_d(MicParallelTest.CLASS_NAME, "getOptionPath", "volume : " + volume2[0]);
            return volume2;
        }

        private int getSkipCount(int testID) {
            int skipcnt = 3;
            String dropCount = Support.FactoryTestMenu.getCount(testID);
            if (dropCount != null && !"".equals(dropCount)) {
                skipcnt = Integer.valueOf(dropCount).intValue();
            }
            FtUtil.log_d(MicParallelTest.CLASS_NAME, "getSkipCount", "skip count : " + skipcnt);
            return skipcnt;
        }

        private int getSpecTarget(int testID) {
            int targetNum = 0;
            String target = "RMS";
            String testcase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML(testID));
            FtUtil.log_d(MicParallelTest.CLASS_NAME, "getSpecTarget", "testcase : " + testcase);
            if (testcase.contains("TARGET")) {
                String testcase2 = testcase.substring(testcase.indexOf("TARGET(") + "TARGET(".length());
                target = testcase2.substring(0, testcase2.indexOf(")"));
                for (int i = 0; i < MicParallelTest.mMeasureCase.length; i++) {
                    if (MicParallelTest.mMeasureCase[i].equalsIgnoreCase(target)) {
                        targetNum = i;
                    }
                }
            }
            FtUtil.log_d(MicParallelTest.CLASS_NAME, "getSpecTarget", "target :  " + target + ", targetNum : " + targetNum);
            return targetNum;
        }
    }

    public void setReadInterval(int interval) {
        mReadInterval = interval;
        FtUtil.log_d(CLASS_NAME, "setReadInterval", "interval : " + interval);
    }

    public void setReadCount(int count) {
        mMeasureCount = count;
        mTotalCount = mSkipCount + count;
        FtUtil.log_d(CLASS_NAME, "setReadCount", "mTotalCount : " + mTotalCount + ", mSkipCount : " + mSkipCount + " , mMeasureCount : " + mMeasureCount);
    }

    public void setSkipCount(int count) {
        mSkipCount = count;
        mTotalCount = mMeasureCount + count;
        FtUtil.log_d(CLASS_NAME, "setSkipCount", "mTotalCount : " + mTotalCount + ", mSkipCount : " + mSkipCount + " , mMeasureCount : " + mMeasureCount);
    }

    public void createResultDataFile(boolean isPass, String fileName, int testId) {
        StringBuilder sb;
        String str;
        String MicResultDatapath = "/data/log" + "/" + fileName + ".txt";
        new String();
        String strSpec = new String();
        File dataLogDirectory = new File("/data/log");
        File MicResultDataFile = new File(MicResultDatapath);
        if (!dataLogDirectory.exists()) {
            dataLogDirectory.mkdir();
        }
        if (!MicResultDataFile.exists()) {
            try {
                MicResultDataFile.createNewFile();
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
        String strData = isPass ? "OK," + EgisFingerprint.MAJOR_VERSION + "," + mMicCount : "NG," + EgisFingerprint.MAJOR_VERSION + "," + mMicCount;
        for (int micNum = 0; micNum < mMicCount; micNum++) {
            strData = strData + ",M" + (micNum + 1);
            for (int measureCnt = mSkipCount; measureCnt < mTotalCount; measureCnt++) {
                for (int measureCase = 0; measureCase < mMeasureCase.length; measureCase++) {
                    strData = strData + "," + ((int) mSaveData[measureCnt][micNum][measureCase]);
                }
            }
        }
        for (int tMic = 0; tMic < mMicCount; tMic++) {
            int strMicNum = tMic + 1;
            if (tMic > 0) {
                sb.append(strSpec);
                str = ", MIC";
            } else {
                sb = new StringBuilder();
                sb.append(strSpec);
                str = "MIC";
            }
            sb.append(str);
            sb.append(strMicNum);
            strSpec = sb.toString();
            for (int tCase = 0; tCase < mMeasureCase.length; tCase++) {
                strSpec = strSpec + "," + mStrArraySpec[tMic][tCase];
            }
        }
        FtUtil.log_d(CLASS_NAME, "createLogFile", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(testId), "SPEC  (" + strSpec + ")"));
        FtUtil.log_d(CLASS_NAME, "createLogFile", FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(testId), "VALUE (" + strData + ")"));
        Support.Kernel.writeToPathNsync(MicResultDatapath, strData);
    }

    public static class AudioRecording {
        public static boolean audioRecording_activated = false;
        public final int BIG_ENDIAN = 1;
        public final int LITTLE_ENDIAN = 2;
        byte[] buffer = null;
        int bufferSize = 0;
        public final int[] center_freq = {200, 500, 1000, 2000, 3000};
        protected AAudioRecorder mARecorder;
        protected AudioManager mAudioManager;
        int mChannel;
        int mFormat;
        int mInputSource;
        int mSampleRate;
        public Thread mThread = null;
        int outsize = 0;

        public AudioRecording(Context context) {
            this.mAudioManager = (AudioManager) context.getSystemService("audio");
            this.mFormat = 1;
            this.mInputSource = 5;
            this.mSampleRate = 16000;
            this.mChannel = MicParallelTest.mMicChannelCount;
            AAudioRecorder aAudioRecorder = new AAudioRecorder();
            this.mARecorder = aAudioRecorder;
            aAudioRecorder.create(this.mInputSource, this.mSampleRate, this.mChannel, this.mFormat);
            this.bufferSize = this.mARecorder.getFramesPerBurst() * 5 * 2 * MicParallelTest.mMicChannelCount;
            FtUtil.log_d(MicParallelTest.CLASS_NAME, "AudioRecording", "bufferSize : " + this.bufferSize + "mARecorder.getFramesPerBurst() : " + this.mARecorder.getFramesPerBurst());
            this.buffer = new byte[this.bufferSize];
        }

        public boolean startRecordingSingle() {
            FtUtil.log_d(MicParallelTest.CLASS_NAME, "startRecordingSingle", "start");
            Thread thread = new Thread(new Runnable() {
                /* class com.sec.factory.modules.MicParallelTest.AudioRecording.AnonymousClass1 */

                public void run() {
                    int i = MicParallelTest.mTotalCount;
                    int i2 = MicParallelTest.mMicChannelCount;
                    int[] iArr = new int[3];
                    iArr[2] = MicParallelTest.mMeasureCase.length + 1;
                    iArr[1] = i2;
                    iArr[0] = i;
                    MicParallelTest.mResultData = (short[][][]) Array.newInstance(short.class, iArr);
                    int i3 = MicParallelTest.mTotalCount;
                    int i4 = MicParallelTest.mMicChannelCount;
                    int[] iArr2 = new int[3];
                    iArr2[2] = MicParallelTest.mMeasureCase.length + 1;
                    iArr2[1] = i4;
                    iArr2[0] = i3;
                    MicParallelTest.mSaveData = (short[][][]) Array.newInstance(short.class, iArr2);
                    AudioRecording.this.initResultData(MicParallelTest.mTotalCount, MicParallelTest.mMicChannelCount, MicParallelTest.mMeasureCase.length);
                    AudioRecording.audioRecording_activated = true;
                    if (AudioRecording.this.mARecorder != null) {
                        try {
                            Thread.sleep(300);
                        } catch (InterruptedException ie) {
                            FtUtil.log_e(ie);
                        }
                        if (AudioRecording.audioRecording_activated) {
                            AudioRecording.this.mARecorder.start();
                            FtUtil.log_d(MicParallelTest.CLASS_NAME, "startRecordingSingle", "mARecorder start");
                            while (true) {
                                FtUtil.log_d(MicParallelTest.CLASS_NAME, "startRecordingSingle", "audioRecording_activated : " + AudioRecording.audioRecording_activated + ", mReadingRecorder : " + MicParallelTest.mReadingRecorder);
                                if (AudioRecording.audioRecording_activated) {
                                    if (MicParallelTest.mReadingRecorder.booleanValue()) {
                                        MicParallelTest.mCurrentCnt = 0;
                                        MicParallelTest.mCurrentCnt = 0;
                                        while (MicParallelTest.mCurrentCnt < MicParallelTest.mTotalCount && AudioRecording.audioRecording_activated) {
                                            FtUtil.log_d(MicParallelTest.CLASS_NAME, "startRecordingSingle", "read start");
                                            AudioRecording audioRecording = AudioRecording.this;
                                            audioRecording.outsize = audioRecording.mARecorder.read(AudioRecording.this.buffer, AudioRecording.this.bufferSize);
                                            FtUtil.log_d(MicParallelTest.CLASS_NAME, "startRecordingSingle", "read end");
                                            AudioRecording audioRecording2 = AudioRecording.this;
                                            short[] rmsData = audioRecording2.getRMSValue(audioRecording2.buffer, AudioRecording.this.outsize, MicParallelTest.mMicChannelCount);
                                            AudioRecording audioRecording3 = AudioRecording.this;
                                            short[][] freqData = audioRecording3.getFREQValue(audioRecording3.buffer, AudioRecording.this.outsize, MicParallelTest.mMicChannelCount);
                                            for (int i5 = 0; i5 < MicParallelTest.mMicChannelCount; i5++) {
                                                if (i5 == MicParallelTest.mTestingMicNum) {
                                                    short[] sArr = MicParallelTest.mSaveData[MicParallelTest.mCurrentCnt][i5];
                                                    short[] sArr2 = MicParallelTest.mResultData[MicParallelTest.mCurrentCnt][i5];
                                                    short s = rmsData[i5];
                                                    sArr2[0] = s;
                                                    sArr[0] = s;
                                                    short[] sArr3 = MicParallelTest.mSaveData[MicParallelTest.mCurrentCnt][i5];
                                                    short[] sArr4 = MicParallelTest.mResultData[MicParallelTest.mCurrentCnt][i5];
                                                    short s2 = freqData[i5][0];
                                                    sArr4[1] = s2;
                                                    sArr3[1] = s2;
                                                    short[] sArr5 = MicParallelTest.mSaveData[MicParallelTest.mCurrentCnt][i5];
                                                    short[] sArr6 = MicParallelTest.mResultData[MicParallelTest.mCurrentCnt][i5];
                                                    short s3 = freqData[i5][1];
                                                    sArr6[2] = s3;
                                                    sArr5[2] = s3;
                                                    short[] sArr7 = MicParallelTest.mSaveData[MicParallelTest.mCurrentCnt][i5];
                                                    short[] sArr8 = MicParallelTest.mResultData[MicParallelTest.mCurrentCnt][i5];
                                                    short s4 = freqData[i5][2];
                                                    sArr8[3] = s4;
                                                    sArr7[3] = s4;
                                                    short[] sArr9 = MicParallelTest.mSaveData[MicParallelTest.mCurrentCnt][i5];
                                                    short[] sArr10 = MicParallelTest.mResultData[MicParallelTest.mCurrentCnt][i5];
                                                    short s5 = freqData[i5][3];
                                                    sArr10[4] = s5;
                                                    sArr9[4] = s5;
                                                    short[] sArr11 = MicParallelTest.mSaveData[MicParallelTest.mCurrentCnt][i5];
                                                    short[] sArr12 = MicParallelTest.mResultData[MicParallelTest.mCurrentCnt][i5];
                                                    short s6 = freqData[i5][4];
                                                    sArr12[5] = s6;
                                                    sArr11[5] = s6;
                                                    short[] sArr13 = MicParallelTest.mSaveData[MicParallelTest.mCurrentCnt][i5];
                                                    MicParallelTest.mResultData[MicParallelTest.mCurrentCnt][i5][6] = 1;
                                                    sArr13[6] = 1;
                                                } else {
                                                    MicParallelTest.mResultData[MicParallelTest.mCurrentCnt][i5][0] = MicParallelTest.EMPTY_DATA;
                                                    MicParallelTest.mResultData[MicParallelTest.mCurrentCnt][i5][1] = MicParallelTest.EMPTY_DATA;
                                                    MicParallelTest.mResultData[MicParallelTest.mCurrentCnt][i5][2] = MicParallelTest.EMPTY_DATA;
                                                    MicParallelTest.mResultData[MicParallelTest.mCurrentCnt][i5][3] = MicParallelTest.EMPTY_DATA;
                                                    MicParallelTest.mResultData[MicParallelTest.mCurrentCnt][i5][4] = MicParallelTest.EMPTY_DATA;
                                                    MicParallelTest.mResultData[MicParallelTest.mCurrentCnt][i5][5] = MicParallelTest.EMPTY_DATA;
                                                    MicParallelTest.mResultData[MicParallelTest.mCurrentCnt][i5][6] = MicParallelTest.EMPTY_DATA;
                                                }
                                            }
                                            FtUtil.log_d(MicParallelTest.CLASS_NAME, "startRecordingSingle", "mCurrentCnt :  " + MicParallelTest.mCurrentCnt);
                                            try {
                                                Thread.sleep((long) MicParallelTest.mReadInterval);
                                                MicParallelTest.mCurrentCnt++;
                                            } catch (InterruptedException ie2) {
                                                FtUtil.log_e(ie2);
                                            }
                                        }
                                        MicParallelTest.mReadingRecorder = false;
                                        FtUtil.log_d(MicParallelTest.CLASS_NAME, "startRecordingSingle", "mReadingRecorder : " + MicParallelTest.mReadingRecorder);
                                    }
                                    try {
                                        Thread.sleep((long) MicParallelTest.mReadInterval);
                                    } catch (InterruptedException ie3) {
                                        FtUtil.log_e(ie3);
                                        return;
                                    }
                                } else {
                                    return;
                                }
                            }
                        } else {
                            FtUtil.log_d(MicParallelTest.CLASS_NAME, "startRecordingSingle", "audioRecording_deactivated");
                        }
                    }
                }
            });
            this.mThread = thread;
            thread.start();
            FtUtil.log_d(MicParallelTest.CLASS_NAME, "startRecordingSingle", "Thread start");
            return true;
        }

        public void initResultData(int i_length, int j_length, int k_length) {
            for (int i = 0; i < i_length; i++) {
                for (int j = 0; j < j_length; j++) {
                    for (int k = 0; k < k_length + 1; k++) {
                        MicParallelTest.mResultData[i][j][k] = MicParallelTest.EMPTY_DATA;
                        MicParallelTest.mSaveData[i][j][k] = MicParallelTest.EMPTY_DATA;
                    }
                }
            }
        }

        public boolean startRecording() {
            FtUtil.log_d(MicParallelTest.CLASS_NAME, "startRecording", "start");
            Thread thread = new Thread(new Runnable() {
                /* class com.sec.factory.modules.MicParallelTest.AudioRecording.AnonymousClass2 */

                public void run() {
                    int i = MicParallelTest.mTotalCount;
                    int i2 = MicParallelTest.mMicChannelCount;
                    int[] iArr = new int[3];
                    iArr[2] = MicParallelTest.mMeasureCase.length + 1;
                    iArr[1] = i2;
                    iArr[0] = i;
                    MicParallelTest.mResultData = (short[][][]) Array.newInstance(short.class, iArr);
                    int i3 = MicParallelTest.mTotalCount;
                    int i4 = MicParallelTest.mMicChannelCount;
                    int[] iArr2 = new int[3];
                    iArr2[2] = MicParallelTest.mMeasureCase.length + 1;
                    iArr2[1] = i4;
                    iArr2[0] = i3;
                    MicParallelTest.mSaveData = (short[][][]) Array.newInstance(short.class, iArr2);
                    AudioRecording.this.initResultData(MicParallelTest.mTotalCount, MicParallelTest.mMicChannelCount, MicParallelTest.mMeasureCase.length);
                    AudioRecording.audioRecording_activated = true;
                    if (AudioRecording.this.mARecorder != null) {
                        try {
                            Thread.sleep(300);
                        } catch (InterruptedException ie) {
                            FtUtil.log_e(ie);
                        }
                        if (AudioRecording.audioRecording_activated) {
                            AudioRecording.this.mARecorder.start();
                            FtUtil.log_d(MicParallelTest.CLASS_NAME, "startRecording", "mARecorder start");
                            FtUtil.log_d(MicParallelTest.CLASS_NAME, "startRecordingSingle", "audioRecording_activated : " + AudioRecording.audioRecording_activated + ", mReadingRecorder : " + MicParallelTest.mReadingRecorder);
                            if (MicParallelTest.mReadingRecorder.booleanValue()) {
                                MicParallelTest.mCurrentCnt = 0;
                                while (MicParallelTest.mCurrentCnt < MicParallelTest.mTotalCount && AudioRecording.audioRecording_activated) {
                                    FtUtil.log_d(MicParallelTest.CLASS_NAME, "startRecording", "read start");
                                    AudioRecording audioRecording = AudioRecording.this;
                                    audioRecording.outsize = audioRecording.mARecorder.read(AudioRecording.this.buffer, AudioRecording.this.bufferSize);
                                    FtUtil.log_d(MicParallelTest.CLASS_NAME, "startRecording", "read end");
                                    AudioRecording audioRecording2 = AudioRecording.this;
                                    short[] rmsData = audioRecording2.getRMSValue(audioRecording2.buffer, AudioRecording.this.outsize, MicParallelTest.mMicChannelCount);
                                    AudioRecording audioRecording3 = AudioRecording.this;
                                    short[][] freqData = audioRecording3.getFREQValue(audioRecording3.buffer, AudioRecording.this.outsize, MicParallelTest.mMicChannelCount);
                                    for (int i5 = 0; i5 < MicParallelTest.mMicChannelCount; i5++) {
                                        short[] sArr = MicParallelTest.mSaveData[MicParallelTest.mCurrentCnt][i5];
                                        short[] sArr2 = MicParallelTest.mResultData[MicParallelTest.mCurrentCnt][i5];
                                        short s = rmsData[i5];
                                        sArr2[0] = s;
                                        sArr[0] = s;
                                        short[] sArr3 = MicParallelTest.mSaveData[MicParallelTest.mCurrentCnt][i5];
                                        short[] sArr4 = MicParallelTest.mResultData[MicParallelTest.mCurrentCnt][i5];
                                        short s2 = freqData[i5][0];
                                        sArr4[1] = s2;
                                        sArr3[1] = s2;
                                        short[] sArr5 = MicParallelTest.mSaveData[MicParallelTest.mCurrentCnt][i5];
                                        short[] sArr6 = MicParallelTest.mResultData[MicParallelTest.mCurrentCnt][i5];
                                        short s3 = freqData[i5][1];
                                        sArr6[2] = s3;
                                        sArr5[2] = s3;
                                        short[] sArr7 = MicParallelTest.mSaveData[MicParallelTest.mCurrentCnt][i5];
                                        short[] sArr8 = MicParallelTest.mResultData[MicParallelTest.mCurrentCnt][i5];
                                        short s4 = freqData[i5][2];
                                        sArr8[3] = s4;
                                        sArr7[3] = s4;
                                        short[] sArr9 = MicParallelTest.mSaveData[MicParallelTest.mCurrentCnt][i5];
                                        short[] sArr10 = MicParallelTest.mResultData[MicParallelTest.mCurrentCnt][i5];
                                        short s5 = freqData[i5][3];
                                        sArr10[4] = s5;
                                        sArr9[4] = s5;
                                        short[] sArr11 = MicParallelTest.mSaveData[MicParallelTest.mCurrentCnt][i5];
                                        short[] sArr12 = MicParallelTest.mResultData[MicParallelTest.mCurrentCnt][i5];
                                        short s6 = freqData[i5][4];
                                        sArr12[5] = s6;
                                        sArr11[5] = s6;
                                        short[] sArr13 = MicParallelTest.mSaveData[MicParallelTest.mCurrentCnt][i5];
                                        MicParallelTest.mResultData[MicParallelTest.mCurrentCnt][i5][6] = 1;
                                        sArr13[6] = 1;
                                    }
                                    FtUtil.log_d(MicParallelTest.CLASS_NAME, "startRecording", "mCurrentCnt :  " + MicParallelTest.mCurrentCnt);
                                    try {
                                        Thread.sleep((long) MicParallelTest.mReadInterval);
                                        MicParallelTest.mCurrentCnt++;
                                    } catch (InterruptedException ie2) {
                                        FtUtil.log_e(ie2);
                                    }
                                }
                                MicParallelTest.mReadingRecorder = false;
                                FtUtil.log_d(MicParallelTest.CLASS_NAME, "startRecording", "mReadingRecorder : " + MicParallelTest.mReadingRecorder);
                                return;
                            }
                            return;
                        }
                        FtUtil.log_d(MicParallelTest.CLASS_NAME, "startRecording", "audioRecording_deactivated");
                    }
                }
            });
            this.mThread = thread;
            thread.start();
            FtUtil.log_d(MicParallelTest.CLASS_NAME, "startRecording", "Thread start");
            return true;
        }

        public boolean stopRecording() {
            FtUtil.log_d(MicParallelTest.CLASS_NAME, "stopRecording", "start");
            audioRecording_activated = false;
            if (this.mARecorder != null) {
                FtUtil.log_d(MicParallelTest.CLASS_NAME, "stopRecording", "mARecorder closing ");
                this.mARecorder.close();
                this.mARecorder = null;
                FtUtil.log_d(MicParallelTest.CLASS_NAME, "stopRecording", "mARecorder closed ");
            }
            if (this.mThread != null) {
                try {
                    Thread.sleep(100);
                    FtUtil.log_d(MicParallelTest.CLASS_NAME, "waiting to terminate mThread...", null);
                } catch (Exception e) {
                    e.printStackTrace();
                }
                this.mThread.interrupt();
            }
            FtUtil.log_d(MicParallelTest.CLASS_NAME, "micCheckOnOff", "factory_test_mic_check=off");
            this.mAudioManager.setParameters("factory_test_mic_check=off");
            this.mThread = null;
            FtUtil.log_d(MicParallelTest.CLASS_NAME, "stopRecording", "Done: ");
            return true;
        }

        public short[] getRMSValue(byte[] data, int size, int mic_cnt) {
            FtUtil.log_w(MicParallelTest.CLASS_NAME, "getRMSValue", "MIC_Count : " + mic_cnt);
            short[] Input_buf = new short[(2560 * mic_cnt)];
            short[] MIC_RMS_RESULT = new short[mic_cnt];
            MicParallelTest.mFactoryMulti_RMS.Calc_Set_MIC(mic_cnt);
            MicParallelTest.mFactoryMulti_RMS.Calc_RMS_init();
            try {
                byte[] tmp = new byte[2];
                for (int i = 0; i < data.length / 2; i++) {
                    tmp[0] = data[i * 2];
                    tmp[1] = data[(i * 2) + 1];
                    Input_buf[i] = BytesToShort(tmp, 2);
                }
                MicParallelTest.mFactoryMulti_RMS.Calc_RMS_exe(Input_buf, (long) (2560 * mic_cnt));
            } catch (Exception e) {
                e.printStackTrace();
            }
            MicParallelTest.mFactoryMulti_RMS.Calc_RMS_deinit(MIC_RMS_RESULT);
            for (int i2 = 0; i2 < mic_cnt; i2++) {
                FtUtil.log_w(MicParallelTest.CLASS_NAME, "getRMSValue", "MIC_" + i2 + "_RMS : " + ((int) MIC_RMS_RESULT[i2]));
            }
            return MIC_RMS_RESULT;
        }

        /* JADX WARNING: Removed duplicated region for block: B:20:0x00bf  */
        public short[][] getFREQValue(byte[] data, int size, int mic_cnt) {
            String str;
            String str2;
            short[][] MIC_FREQ_RESULT;
            int i;
            Exception e;
            FtUtil.log_w(MicParallelTest.CLASS_NAME, "getFREQValue", "MIC_Count : " + mic_cnt);
            short[] Input_buf = new short[(2560 * mic_cnt)];
            int[] iArr = new int[2];
            iArr[1] = 5;
            iArr[0] = mic_cnt;
            short[][] MIC_FREQ_RESULT2 = (short[][]) Array.newInstance(short.class, iArr);
            MicParallelTest.mFactoryFREQ.Calc_Set_MIC(mic_cnt);
            MicParallelTest.mFactoryFREQ.Calc_FREQ_init();
            try {
                byte[] tmp = new byte[2];
                for (int i2 = 0; i2 < data.length / 2; i2++) {
                    int i3 = i2 * 2;
                    int i4 = (i2 * 2) + 1;
                    try {
                        tmp[0] = data[i2 * 2];
                        tmp[1] = data[(i2 * 2) + 1];
                        Input_buf[i2] = BytesToShort(tmp, 2);
                    } catch (Exception e2) {
                        e = e2;
                        str2 = MicParallelTest.CLASS_NAME;
                        str = "getFREQValue";
                        MIC_FREQ_RESULT = MIC_FREQ_RESULT2;
                        e.printStackTrace();
                        MicParallelTest.mFactoryFREQ.Calc_FREQ_deinit(MIC_FREQ_RESULT);
                        i = 0;
                        while (i < mic_cnt) {
                        }
                        return MIC_FREQ_RESULT;
                    }
                }
                FactoryFREQ factoryFREQ = MicParallelTest.mFactoryFREQ;
                long j = (long) (2560 * mic_cnt);
                long j2 = (long) 4096;
                str2 = MicParallelTest.CLASS_NAME;
                str = "getFREQValue";
                MIC_FREQ_RESULT = MIC_FREQ_RESULT2;
                try {
                    factoryFREQ.Calc_CenterFreq_Eng_exe(Input_buf, j, j2, (long) 16000);
                } catch (Exception e3) {
                    e = e3;
                }
            } catch (Exception e4) {
                e = e4;
                str2 = MicParallelTest.CLASS_NAME;
                str = "getFREQValue";
                MIC_FREQ_RESULT = MIC_FREQ_RESULT2;
                e.printStackTrace();
                MicParallelTest.mFactoryFREQ.Calc_FREQ_deinit(MIC_FREQ_RESULT);
                i = 0;
                while (i < mic_cnt) {
                }
                return MIC_FREQ_RESULT;
            }
            MicParallelTest.mFactoryFREQ.Calc_FREQ_deinit(MIC_FREQ_RESULT);
            i = 0;
            while (i < mic_cnt) {
                FtUtil.log_w(str2, str, "MIC_" + i + "_Freq Power");
                for (int j3 = 0; j3 < 5; j3++) {
                    FtUtil.log_w(str2, str, this.center_freq[j3] + " Hz = " + ((int) MIC_FREQ_RESULT[i][j3]));
                }
                i++;
                str = str;
                str2 = str2;
            }
            return MIC_FREQ_RESULT;
        }

        private short BytesToShort(byte[] Value, int Order) {
            byte[] temp = ChangeByteOrder(Value, Order);
            return (short) ((((short) temp[1]) & 255) | ((short) (((((short) temp[0]) << 8) & MotionEventCompat.ACTION_POINTER_INDEX_MASK) | 0)));
        }

        private byte[] ChangeByteOrder(byte[] value, int Order) {
            int idx = value.length;
            byte[] Temp = new byte[idx];
            if (Order == 1) {
                return value;
            }
            if (Order != 2) {
                return Temp;
            }
            for (int i = 0; i < idx; i++) {
                Temp[i] = value[idx - (i + 1)];
            }
            return Temp;
        }
    }

    public static class AudioPlayer {
        private static final String CLASS_NAME = "MicParallelTest.AudioPlayer";
        private static int mLatestPath = 0;
        private static boolean mPlayerEnable = false;
        private final Context mContext;
        public ModuleAudio mModuleAudio;

        public AudioPlayer(Context context) {
            this.mContext = context;
        }

        public void setEnable(boolean enable) {
            FtUtil.log_d(CLASS_NAME, "setEnable", "enable: " + enable);
            this.mModuleAudio = ModuleAudio.instance(this.mContext);
            mPlayerEnable = enable;
        }

        public void setPath(int path) {
            if (!mPlayerEnable) {
                FtUtil.log_d(CLASS_NAME, "setPath", "mPlayerEnable: " + mPlayerEnable);
                return;
            }
            FtUtil.log_d(CLASS_NAME, "setPath", "path: " + path);
            this.mModuleAudio.setAudioPath(path);
            mLatestPath = path;
        }

        public void setVolume(int volume) {
            FtUtil.log_d(CLASS_NAME, "setVolume", "mPlayerEnable: " + mPlayerEnable);
            if (mPlayerEnable) {
                FtUtil.log_d(CLASS_NAME, "setVolume", "volume: " + volume);
                this.mModuleAudio.setStreamMusicVolume(volume);
            }
        }

        public void playSound(int path, int volume) {
            FtUtil.log_d(CLASS_NAME, "playSound", "mPlayerEnable: " + mPlayerEnable);
            if (mPlayerEnable) {
                setPath(path);
                setVolume(volume);
                playSound("/data/testmedia/3K-ST-1.mp3");
            }
        }

        public void playSound(int resourceId) {
            FtUtil.log_d(CLASS_NAME, "playSound", "mPlayerEnable: " + mPlayerEnable);
            if (mPlayerEnable) {
                this.mModuleAudio.playMedia(resourceId, true);
            }
        }

        public void playSound(String filePath) {
            FtUtil.log_d(CLASS_NAME, "playSound", "filePath: " + filePath);
            try {
                this.mModuleAudio.playMedia(filePath, true);
            } catch (IOException e) {
                e.printStackTrace();
            }
        }

        public boolean isPlayingSound() {
            boolean r = this.mModuleAudio.isPlayingSound();
            FtUtil.log_d(CLASS_NAME, "isPlayingSound", "r: " + r);
            return r;
        }

        public void stopSound() {
            FtUtil.log_d(CLASS_NAME, "stopSound", "mPlayerEnable: " + mPlayerEnable);
            if (mPlayerEnable) {
                if (!this.mModuleAudio.isPlayingSound()) {
                    FtUtil.log_d(CLASS_NAME, "stopSound", "not isPlayingSound");
                    return;
                }
                this.mModuleAudio.stopMedia();
                switch (mLatestPath) {
                    case 0:
                        FtUtil.log_d(CLASS_NAME, "stopSound", "sleep 100ms to avoid pop sound when changed path spk > path off");
                        FtUtil.Sleep.sleep(100);
                        return;
                    case 1:
                        FtUtil.log_d(CLASS_NAME, "stopSound", "sleep 200ms to avoid pop sound when changed path rcv > path off");
                        FtUtil.Sleep.sleep(200);
                        return;
                    default:
                        return;
                }
            }
        }
    }
}
