package com.sec.factory.modules;

import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.hardware.usb.UsbDevice;
import android.hardware.usb.UsbManager;
import android.media.AudioAttributes;
import android.media.AudioManager;
import android.media.MediaPlayer;
import android.net.Uri;
import android.os.Handler;
import com.goodix.fingerprint.BuildConfig;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.IOException;
import java.text.DecimalFormat;
import java.text.DecimalFormatSymbols;
import java.util.Calendar;
import java.util.Iterator;
import java.util.Locale;

public class ModuleAudio extends ModuleObject {
    private static final String ACCORD_PACKAGE = "com.sec.android.app.servicemodeapp";
    private static final String ACCORD_SERVICE = "com.example.service.AudioCodecDebugger";
    public static final int AUDIO_PATH_ALWAYS_MIC_ON = 5;
    public static final int AUDIO_PATH_EAR = 2;
    public static final int AUDIO_PATH_HDMI = 3;
    public static final int AUDIO_PATH_LOWERSPK = 13;
    public static final int AUDIO_PATH_OFF = 4;
    public static final int AUDIO_PATH_RCV = 1;
    public static final int AUDIO_PATH_RCV_DSP = 14;
    public static final int AUDIO_PATH_SPEAKER_LEFT = 6;
    public static final int AUDIO_PATH_SPEAKER_RIGHT = 7;
    public static final int AUDIO_PATH_SPK = 0;
    public static final int AUDIO_PATH_SPK1 = 8;
    public static final int AUDIO_PATH_SPK2 = 9;
    public static final int AUDIO_PATH_SPK3 = 10;
    public static final int AUDIO_PATH_SPK4 = 11;
    public static final int AUDIO_PATH_UPPERSPK = 12;
    private static final String DAPM = "dapm";
    public static final int EARKEY_VOLUME_DOWN = 2;
    public static final int EARKEY_VOLUME_DOWN_UP = 4;
    public static final int EARKEY_VOLUME_NONE = 0;
    public static final int EARKEY_VOLUME_UP = 1;
    public static final int EARKEY_VOLUME_UP_DOWN = 3;
    private static final String FIND_CODEC_REQUEST = "com.sec.factory.intent.FIND_CODEC_REQUEST";
    private static final String FIND_CODEC_RESPONSE = "com.sec.factory.intent.FIND_CODEC_RESPONSE";
    public static final int HAL_OFF = 2;
    public static final int HAL_ON = 3;
    public static final int LOOPBACK_PATH_BT_BT = 10;
    public static final int LOOPBACK_PATH_DUALMIC_EAR = 9;
    public static final int LOOPBACK_PATH_EAR_EAR = 5;
    public static final int LOOPBACK_PATH_MIC1_SPK2 = 11;
    public static final int LOOPBACK_PATH_MIC2_EAR = 7;
    public static final int LOOPBACK_PATH_MIC2_RCV = 6;
    public static final int LOOPBACK_PATH_MIC2_SPK = 4;
    public static final int LOOPBACK_PATH_MIC3_EAR = 8;
    public static final int LOOPBACK_PATH_MIC3_SPK = 2;
    public static final int LOOPBACK_PATH_MIC_EAR = 3;
    public static final int LOOPBACK_PATH_MIC_RCV = 0;
    public static final int LOOPBACK_PATH_MIC_SPK = 1;
    public static final int LOOPBACK_PATH_NONE = -1;
    public static final int LOOPBACK_TYPE_CODEC = 3;
    public static final int LOOPBACK_TYPE_PACKET = 0;
    public static final int LOOPBACK_TYPE_PACKET_NODELAY = 4;
    public static final int LOOPBACK_TYPE_PCM = 1;
    public static final int LOOPBACK_TYPE_REALTIME = 2;
    public static final int LOOPBACK_TYPE_REALTIME_NODELAY = 5;
    public static final int MIC1_MIC2 = 3;
    public static final int MIC3 = 4;
    public static final int MIC3_MIC4 = 6;
    public static final int MIC4 = 5;
    public static final int MIC_1 = 0;
    public static final int MIC_2 = 1;
    public static final int MIC_3 = 2;
    public static final int MIC_ALL = 10;
    private static final String NQC_CODEC_REG = "registers";
    private static final String QC_CODEC_REG = "codec_reg";
    public static final int SPEAKER_DIRECTION_BOTH = 2;
    public static final int SPEAKER_DIRECTION_LEFT = 0;
    public static final int SPEAKER_DIRECTION_RIGHT = 1;
    public static final int VOLUME_MAX = 100;
    public static final int VOLUME_MAX_INDEX = 15;
    public static final int VOLUME_MIN = 30;
    public static final int VOLUME_MIN_INDEX = 4;
    public static final int VOLUME_ZERO = 0;
    private static ModuleAudio mInstance = null;
    private final String[] AUDIO_PATH = {"spk", "rcv", "ear", "hdmi", "off", "always_mic_on", "speaker-l", "speaker-r", "spk1", "spk2", "spk3", "spk4", "spk1spk2", "spk3spk4", "rcv_dsp"};
    private final String[] LOOPBACK_PATH = {"mic_rcv;", "mic1_spk;", "mic3_spk;", "mic_ear;", "mic2_spk;", "ear_ear;", "dualmic_rcv;", "mic2_ear;", "mic3_ear;", "dualmic_ear;", "bt_bt;", "mic1_spk2"};
    private final String[] LOOPBACK_TYPE = {"packet;", "pcm;", "realtime", "codec", "packet_nodelay;", "realtime_nodelay"};
    String day;
    private int earKeyState = 0;
    private String filePath = "/d/asoc";
    String hour;
    private String i2cAddress = "";
    private AudioAttributes mAudioAttributes;
    private AudioManager mAudioManager;
    private ComponentName mAudioService = null;
    private String mConnectionMode;
    private boolean mEarphonePlugged = false;
    private boolean mIsDoingLoopback = false;
    private int mLoopbackPreviousPath = -1;
    private int mLoopbackTestPath = -1;
    private MediaPlayer mMediaPlayer;
    String min;
    ModuleCommon moduleCommon = ModuleCommon.instance(mContext);
    String month;
    private String regmapPath = "/d/regmap";

    /* renamed from: sec  reason: collision with root package name */
    String f3sec;
    private String sysdump_time;
    private boolean useQualcommCodec = true;

    private ModuleAudio(Context context) {
        super(context, "ModuleAudio");
        FtUtil.log_i(this.CLASS_NAME, "ModuleAudio", "Create ModuleAudio");
        this.mAudioManager = (AudioManager) getSystemService("audio");
        this.mAudioAttributes = new AudioAttributes.Builder().setContentType(0).setUsage(1).build();
        this.mConnectionMode = Support.Feature.getString(Support.Feature.MODEL_COMMUNICATION_MODE);
    }

    public static ModuleAudio instance(Context context) {
        if (mInstance == null) {
            mInstance = new ModuleAudio(context);
        }
        return mInstance;
    }

    public void sendToAudioManagerFTAOnOff(boolean on) {
        if (!on) {
            FtUtil.log_i(this.CLASS_NAME, "sendToAudioManagerFTAOnOff", " com.sec.factory.app.factorytest.FTA_OFF");
            sendBroadcast(new Intent("com.sec.factory.app.factorytest.FTA_OFF"));
            return;
        }
        FtUtil.log_i(this.CLASS_NAME, "sendToAudioManagerFTAOnOff", "com.sec.factory.app.factorytest.FTA_ON");
        sendBroadcast(new Intent("com.sec.factory.app.factorytest.FTA_ON"));
    }

    final class HalPcmCopyRunnable implements Runnable {
        HalPcmCopyRunnable() {
        }

        public void run() {
            FtUtil.log_d(ModuleAudio.this.CLASS_NAME, "Hal Pcm data copy");
            ModuleAudio.this.moduleCommon.DoShellCmd("cp -rf data/snd sdcard/log");
        }
    }

    public int setDump(int dumpSelector) {
        AudioManager audioManager = this.mAudioManager;
        audioManager.setParameters("dumpSwitch=" + dumpSelector);
        return 0;
    }

    public String addpathstr(String fPath) {
        String newPath = "";
        String[] splits = fPath.split("/");
        for (int i = 1; i < splits.length; i++) {
            newPath = newPath + "/\"" + splits[i] + '\"';
        }
        return newPath;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private String getTimeToString() {
        Calendar cal = Calendar.getInstance();
        DecimalFormat df = new DecimalFormat("00", DecimalFormatSymbols.getInstance(Locale.US));
        this.month = df.format((long) (cal.get(2) + 1));
        this.day = df.format((long) cal.get(5));
        this.hour = df.format((long) cal.get(11));
        this.min = df.format((long) cal.get(12));
        this.f3sec = df.format((long) cal.get(13));
        this.sysdump_time = cal.get(1) + this.month + this.day + this.hour + this.min + this.f3sec;
        String str = this.CLASS_NAME;
        StringBuilder sb = new StringBuilder();
        sb.append("getTimeToString : ");
        sb.append(this.sysdump_time);
        FtUtil.log_d(str, sb.toString());
        return this.sysdump_time;
    }

    final class DumpRunnable implements Runnable {
        DumpRunnable() {
        }

        public void run() {
            FtUtil.log_d(ModuleAudio.this.CLASS_NAME, "Codec Dump Start!");
            try {
                Thread.sleep(1000);
            } catch (Exception e) {
                String str = ModuleAudio.this.CLASS_NAME;
                FtUtil.log_d(str, "exceptoin : " + e.toString());
            }
            ModuleAudio moduleAudio = ModuleAudio.this;
            moduleAudio.sysdump_time = moduleAudio.getTimeToString();
            if (ModuleAudio.this.useQualcommCodec) {
                ModuleCommon moduleCommon = ModuleAudio.this.moduleCommon;
                moduleCommon.DoShellCmd("cat " + ModuleAudio.this.filePath + "/" + ModuleAudio.QC_CODEC_REG + " > /sdcard/log/snd/codec_registers_" + ModuleAudio.this.sysdump_time + ".log");
                ModuleCommon moduleCommon2 = ModuleAudio.this.moduleCommon;
                moduleCommon2.DoShellCmd("cat " + ModuleAudio.this.filePath + "/" + ModuleAudio.DAPM + "/* > /sdcard/log/snd/codec_dapm_" + ModuleAudio.this.sysdump_time + ".log");
                return;
            }
            ModuleCommon moduleCommon3 = ModuleAudio.this.moduleCommon;
            moduleCommon3.DoShellCmd("cat " + ModuleAudio.this.regmapPath + ModuleAudio.this.i2cAddress + "/" + ModuleAudio.NQC_CODEC_REG + " > /sdcard/log/snd/codec_registers_" + ModuleAudio.this.sysdump_time + ".log");
            ModuleCommon moduleCommon4 = ModuleAudio.this.moduleCommon;
            moduleCommon4.DoShellCmd("cat " + ModuleAudio.this.filePath + "/" + ModuleAudio.DAPM + "/* > /sdcard/log/snd/codec_dapm_" + ModuleAudio.this.sysdump_time + ".log");
        }
    }

    public boolean setMicPath(int micPath) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "setMicPath", "path = " + micPath);
        switch (micPath) {
            case 0:
                this.mAudioManager.setParameters("factory_test_mic_check=main");
                return true;
            case 1:
                this.mAudioManager.setParameters("factory_test_mic_check=sub");
                return true;
            case 2:
                this.mAudioManager.setParameters("factory_test_mic_check=third");
                return true;
            case 3:
                this.mAudioManager.setParameters("factory_test_mic_check=2mic");
                return true;
            case 4:
                this.mAudioManager.setParameters("factory_test_mic_check=mic3");
                return true;
            case 5:
                this.mAudioManager.setParameters("factory_test_mic_check=mic4");
                return true;
            case 6:
                this.mAudioManager.setParameters("factory_test_mic_check=mic3_mic4");
                return true;
            case 7:
            case 8:
            case 9:
            default:
                return true;
            case 10:
                this.mAudioManager.setParameters("factory_test_mic_check=all_mic");
                return true;
        }
    }

    public void playMedia(int resId, boolean isLoop) {
        playMedia(resId, isLoop, 2);
    }

    public void playMedia(int resId, boolean isLoop, Handler mhandler) {
        playMedia(resId, isLoop, 2, mhandler);
    }

    public void playMedia(String dataSource, boolean isLoop) throws IOException {
        playMedia(dataSource, isLoop, 2);
    }

    public void playMedia(int resId, boolean isLoop, int direction, int StreamType) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "playMedia", "resId=" + resId + ", isLoop=" + isLoop);
        release();
        try {
            MediaPlayer mediaPlayer = new MediaPlayer();
            this.mMediaPlayer = mediaPlayer;
            mediaPlayer.reset();
            this.mMediaPlayer.setLooping(isLoop);
            MediaPlayer mediaPlayer2 = this.mMediaPlayer;
            Context applicationContext = getApplicationContext();
            mediaPlayer2.setDataSource(applicationContext, Uri.parse("android.resource://" + getApplicationContext().getPackageName() + "/" + resId));
            this.mMediaPlayer.setAudioAttributes(this.mAudioAttributes);
            this.mMediaPlayer.setAudioStreamType(StreamType);
            this.mMediaPlayer.prepare();
            this.mMediaPlayer.start();
        } catch (Exception e) {
            FtUtil.log_e(e);
        }
    }

    public void playMedia(int resId, boolean isLoop, int direction) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "playMedia", "resId=" + resId + ", isLoop=" + isLoop);
        release();
        try {
            MediaPlayer mediaPlayer = new MediaPlayer();
            this.mMediaPlayer = mediaPlayer;
            mediaPlayer.reset();
            this.mMediaPlayer.setLooping(isLoop);
            MediaPlayer mediaPlayer2 = this.mMediaPlayer;
            Context applicationContext = getApplicationContext();
            mediaPlayer2.setDataSource(applicationContext, Uri.parse("android.resource://" + getApplicationContext().getPackageName() + "/" + resId));
            this.mMediaPlayer.setAudioAttributes(this.mAudioAttributes);
            this.mMediaPlayer.prepare();
            this.mMediaPlayer.start();
        } catch (Exception e) {
            FtUtil.log_e(e);
        }
    }

    public void playMedia(final int resId, boolean isLoop, int direction, final Handler mhandler) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "playMedia", "resId=" + resId + ", isLoop=" + isLoop);
        release();
        try {
            MediaPlayer mediaPlayer = new MediaPlayer();
            this.mMediaPlayer = mediaPlayer;
            mediaPlayer.reset();
            this.mMediaPlayer.setLooping(isLoop);
            MediaPlayer mediaPlayer2 = this.mMediaPlayer;
            Context applicationContext = getApplicationContext();
            mediaPlayer2.setDataSource(applicationContext, Uri.parse("android.resource://" + getApplicationContext().getPackageName() + "/" + resId));
            this.mMediaPlayer.setAudioAttributes(this.mAudioAttributes);
            this.mMediaPlayer.prepare();
            this.mMediaPlayer.start();
        } catch (Exception e) {
            FtUtil.log_e(e);
        }
        this.mMediaPlayer.setOnCompletionListener(new MediaPlayer.OnCompletionListener() {
            /* class com.sec.factory.modules.ModuleAudio.AnonymousClass1 */

            public void onCompletion(MediaPlayer mp) {
                String str = ModuleAudio.this.CLASS_NAME;
                FtUtil.log_i(str, "playMedia", "resId=" + resId + " onCompletion ");
                mhandler.sendEmptyMessageDelayed(1002, 2000);
            }
        });
    }

    public void playMedia(String dataSource, boolean isLoop, int direction) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "playMedia", "dataSource=" + dataSource + ", isLoop=" + isLoop);
        release();
        try {
            MediaPlayer mediaPlayer = new MediaPlayer();
            this.mMediaPlayer = mediaPlayer;
            mediaPlayer.reset();
            this.mMediaPlayer.setLooping(isLoop);
            this.mMediaPlayer.setDataSource(dataSource);
            this.mMediaPlayer.setAudioAttributes(this.mAudioAttributes);
            this.mMediaPlayer.prepare();
            this.mMediaPlayer.start();
        } catch (Exception e) {
            FtUtil.log_e(e);
        }
    }

    public void stopMedia() {
        FtUtil.log_i(this.CLASS_NAME, "stopMedia", "Stop media");
        MediaPlayer mediaPlayer = this.mMediaPlayer;
        if (mediaPlayer != null) {
            mediaPlayer.stop();
            try {
                FtUtil.log_d(this.CLASS_NAME, "stopMedia : delay", " : 50ms");
                Thread.sleep(100);
            } catch (InterruptedException e) {
                e.printStackTrace();
            }
            release();
        }
    }

    public void setDirection(int direction) {
        switch (direction) {
        }
    }

    private void release() {
        FtUtil.log_i(this.CLASS_NAME, BuildConfig.BUILD_TYPE, "release ModuleAudio");
        MediaPlayer mediaPlayer = this.mMediaPlayer;
        if (mediaPlayer != null) {
            mediaPlayer.release();
            this.mMediaPlayer = null;
        }
    }

    public void setStreamVoiceVolumeMax() {
        setStreamVoiceVolume(100);
    }

    public void setStreamMusicVolumeMax() {
        setStreamMusicVolume(100);
    }

    public void setStreamMusicVolumeMin() {
        setStreamMusicVolume(30);
    }

    public void setStreamMusicVolumeZero() {
        setStreamMusicVolume(0);
    }

    public void setStreamMusicVolumeMaxIndex() {
        setStreamMusicVolumeIndex(15);
    }

    public void setStreamVoiceVolume(int volume) {
        int volume2 = volume > 100 ? 100 : volume;
        int volume3 = volume2 < 0 ? 0 : volume2;
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "setStreamVoiceVolume", "volme=" + volume3);
        if (volume3 == 0) {
            this.mAudioManager.setStreamVolume(0, 0, 0);
            return;
        }
        AudioManager audioManager = this.mAudioManager;
        audioManager.setStreamVolume(0, (audioManager.getStreamMaxVolume(0) * volume3) / 100, 0);
    }

    public void setStreamMusicVolume(int volume) {
        int volume2 = volume > 100 ? 100 : volume;
        int volume3 = volume2 < 0 ? 0 : volume2;
        if (!this.moduleCommon.isVoiceCapable()) {
            this.mAudioManager.setRingerMode(2);
        }
        int musicStreamMaxVolume = this.mAudioManager.getStreamMaxVolume(3);
        int newVolume = (musicStreamMaxVolume * volume3) / 100;
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "setStreamMusicVolume", "req volme(%)=" + volume3 + ", musicStreamMaxVolume=" + musicStreamMaxVolume + ", newVolume=" + newVolume);
        this.mAudioManager.setStreamVolume(3, newVolume, 0);
    }

    public void setStreamVolume(int type, int volume) {
        int volume2 = volume > 100 ? 100 : volume;
        int volume3 = volume2 < 0 ? 0 : volume2;
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "setStreamVoiceVolume", "volme=" + volume3);
        if (volume3 == 0) {
            this.mAudioManager.setStreamVolume(type, 0, 0);
            return;
        }
        AudioManager audioManager = this.mAudioManager;
        audioManager.setStreamVolume(type, (audioManager.getStreamMaxVolume(type) * volume3) / 100, 0);
    }

    public int getStreamMusicVolume() {
        return this.mAudioManager.getStreamVolume(3);
    }

    public void setStreamMusicVolumeIndex(int volumeIndex) {
        int volumeIndex2 = 15;
        if (volumeIndex <= 15) {
            volumeIndex2 = volumeIndex;
        }
        int volumeIndex3 = volumeIndex2 < 0 ? 0 : volumeIndex2;
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "setStreamMusicVolumeIndex", "volme Index =" + volumeIndex3);
        if (!this.moduleCommon.isVoiceCapable()) {
            this.mAudioManager.setRingerMode(2);
        }
        if (volumeIndex3 == 0) {
            this.mAudioManager.setStreamVolume(3, 0, 0);
        } else {
            this.mAudioManager.setStreamVolume(3, volumeIndex3, 0);
        }
    }

    public int getStreamMusicVolumeIndex() {
        return this.mAudioManager.getStreamVolume(3);
    }

    public void setMode(int mode) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "setMode", "mode=" + mode);
        this.mAudioManager.setMode(mode);
    }

    public void setAudioPath(int path) {
        int routePath = (path < 8 || path > 13) ? path : 0;
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "setMode start", "setAudioPath : factory_test_route=" + this.AUDIO_PATH[routePath]);
        AudioManager audioManager = this.mAudioManager;
        audioManager.setParameters("factory_test_route=" + this.AUDIO_PATH[routePath]);
        String str2 = this.CLASS_NAME;
        FtUtil.log_i(str2, "setMode finish", "setAudioPath : factory_test_route=" + this.AUDIO_PATH[routePath]);
        if (path == 0 || (path >= 8 && path <= 13)) {
            String str3 = this.CLASS_NAME;
            FtUtil.log_i(str3, "setMode start", "setAudioPath : factory_test_spkpath=" + this.AUDIO_PATH[path]);
            AudioManager audioManager2 = this.mAudioManager;
            audioManager2.setParameters("factory_test_spkpath=" + this.AUDIO_PATH[path]);
            String str4 = this.CLASS_NAME;
            FtUtil.log_i(str4, "setMode finish", "setAudioPath : factory_test_spkpath=" + this.AUDIO_PATH[path]);
        }
    }

    public void setSEMIKey() {
        FtUtil.log_i(this.CLASS_NAME, "setMode", "setSEMIKey : factory_test_route=KeyTest");
        this.mAudioManager.setParameters("factory_keytest=KeyTest");
    }

    public void setPhoneType(String phoneType) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "setPhoneType", "phone type=" + phoneType);
        AudioManager audioManager = this.mAudioManager;
        audioManager.setParameters("phone_type=" + phoneType);
    }

    public boolean isPlayingSound() {
        try {
            MediaPlayer mediaPlayer = this.mMediaPlayer;
            return mediaPlayer != null ? mediaPlayer.isPlaying() : false;
        } catch (IllegalStateException e) {
            FtUtil.log_e(e);
            return false;
        }
    }

    public void startLoopback(String path, final int type, boolean... args) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "startLoopback", "Loopback start path=" + path + ", type=" + type);
        if (path == null) {
            FtUtil.log_e(this.CLASS_NAME, "startLoopback", "null path");
            return;
        }
        if (isPlayingSound()) {
            stopMedia();
        }
        if (this.mAudioService != null) {
            stopServiceLoopback();
        }
        if (args != null) {
            String str2 = this.CLASS_NAME;
            FtUtil.log_i(str2, "startLoopback", "args.length=" + args.length);
            if (args[0]) {
                this.mIsDoingLoopback = true;
            }
            if (args.length <= 1) {
                setStreamMusicVolumeMax();
            } else if (args[1]) {
                setStreamMusicVolumeMax();
            } else {
                setStreamMusicVolume(Support.Spec.getInt(Support.Spec.LOOPBACK_VOLUME));
            }
        }
        if (Support.Feature.getBoolean(Support.Feature.IS_DUAL_CLOCK_AUDIO, false)) {
            this.mAudioManager.setParameters("audio_samplerate=48000");
        }
        AudioManager audioManager = this.mAudioManager;
        audioManager.setParameters("factory_test_loopback=on;factory_test_path=" + path + ";factory_test_type=" + this.LOOPBACK_TYPE[type]);
        if (type == 2) {
            String spkPath = "spk";
            if (path.contains("spk1")) {
                spkPath = "spk1";
            } else if (path.contains("spk2")) {
                spkPath = "spk2";
            } else if (path.contains("spk3")) {
                spkPath = "spk3";
            } else if (path.contains("spk4")) {
                spkPath = "spk4";
            }
            AudioManager audioManager2 = this.mAudioManager;
            audioManager2.setParameters("factory_test_spkpath=" + spkPath);
        }
        int i = 0;
        while (true) {
            String[] strArr = this.LOOPBACK_PATH;
            if (i >= strArr.length) {
                break;
            } else if (path.equalsIgnoreCase(strArr[i])) {
                this.mLoopbackTestPath = i;
                break;
            } else {
                i++;
            }
        }
        if (ModuleCommon.instance(mContext).isVoiceCapable()) {
            return;
        }
        if (type == 2 || type == 5) {
            FtUtil.log_i(this.CLASS_NAME, "startLoopback", "none");
            new Thread(new Runnable() {
                /* class com.sec.factory.modules.ModuleAudio.AnonymousClass2 */

                public void run() {
                    Intent intent = new Intent();
                    intent.setClass(ModuleAudio.this.getApplicationContext(), ModuleAudioService.class);
                    if (type == 5) {
                        intent.putExtra("NO_DELAY", true);
                    }
                    ModuleAudio moduleAudio = ModuleAudio.this;
                    moduleAudio.mAudioService = moduleAudio.startService(intent);
                }
            }).start();
        }
    }

    public void startLoopback(String path, int type) {
        startLoopback(path, type, true);
    }

    public void startLoopback(int path, int type, boolean reqSaveStatus) {
        startLoopback(this.LOOPBACK_PATH[path], type, reqSaveStatus);
    }

    public void startLoopback(int path, int type) {
        startLoopback(this.LOOPBACK_PATH[path], type, true);
    }

    public void startLoopback2(String path, final int type, boolean... args) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "startLoopback2", "Loopback start path=" + path + ", type=" + type);
        if (isPlayingSound()) {
            stopMedia();
        }
        if (this.mAudioService != null) {
            stopServiceLoopback();
        }
        if (args != null) {
            String str2 = this.CLASS_NAME;
            FtUtil.log_i(str2, "startLoopback2", "args.length=" + args.length);
            setStreamMusicVolume(Support.Spec.getInt(Support.Spec.LOOPBACK_VOLUME));
        } else {
            setStreamMusicVolumeMax();
        }
        if (Support.Feature.getBoolean(Support.Feature.IS_DUAL_CLOCK_AUDIO, false)) {
            this.mAudioManager.setParameters("audio_samplerate=48000");
        }
        AudioManager audioManager = this.mAudioManager;
        audioManager.setParameters("factory_test_loopback=on;factory_test_path=" + path + ";factory_test_type=" + this.LOOPBACK_TYPE[type]);
        if (type == 2) {
            String spkPath = "spk";
            if (path.contains("spk1")) {
                spkPath = "spk1";
            } else if (path.contains("spk2")) {
                spkPath = "spk2";
            } else if (path.contains("spk3")) {
                spkPath = "spk3";
            } else if (path.contains("spk4")) {
                spkPath = "spk4";
            }
            AudioManager audioManager2 = this.mAudioManager;
            audioManager2.setParameters("factory_test_spkpath=" + spkPath);
        }
        this.mIsDoingLoopback = true;
        int i = 0;
        while (true) {
            String[] strArr = this.LOOPBACK_PATH;
            if (i >= strArr.length) {
                break;
            } else if (path.equalsIgnoreCase(strArr[i])) {
                this.mLoopbackTestPath = i;
                break;
            } else {
                i++;
            }
        }
        if (this.moduleCommon.isVoiceCapable()) {
            return;
        }
        if (type == 2 || type == 5) {
            FtUtil.log_i(this.CLASS_NAME, "startLoopback", "none");
            new Thread(new Runnable() {
                /* class com.sec.factory.modules.ModuleAudio.AnonymousClass3 */

                public void run() {
                    Intent intent = new Intent();
                    intent.setClass(ModuleAudio.this.getApplicationContext(), ModuleAudioService.class);
                    if (type == 5) {
                        intent.putExtra("NO_DELAY", true);
                    }
                    ModuleAudio moduleAudio = ModuleAudio.this;
                    moduleAudio.mAudioService = moduleAudio.startService(intent);
                }
            }).start();
        }
    }

    public void startLoopback2(int path, int type) {
        startLoopback2(this.LOOPBACK_PATH[path], type, new boolean[0]);
    }

    public void stopLoopback() {
        FtUtil.log_i(this.CLASS_NAME, "stopLoopback", "Loopback stop");
        this.mIsDoingLoopback = false;
        this.mLoopbackTestPath = -1;
        this.mLoopbackPreviousPath = -1;
        if (!this.moduleCommon.isVoiceCapable()) {
            FtUtil.log_i(this.CLASS_NAME, "stopLoopback", "none");
            if (this.mAudioService != null) {
                Intent i = new Intent();
                i.setComponent(this.mAudioService);
                stopService(i);
                try {
                    FtUtil.log_d(this.CLASS_NAME, "stopService : delay for stabilizing", " : 200ms");
                    Thread.sleep(200);
                } catch (InterruptedException e) {
                    e.printStackTrace();
                }
            }
        }
        this.mAudioManager.setParameters("factory_test_loopback=off");
        if (!this.moduleCommon.isVoiceCapable()) {
            this.mAudioManager.setParameters("factory_test_spkpath=off");
        }
    }

    public void setLoopbackOff() {
        this.mAudioManager.setParameters("factory_test_loopback=off;factory_test_spkpath=off");
    }

    public void stopServiceLoopback() {
        FtUtil.log_i(this.CLASS_NAME, "stopServiceLoopback", "Loopback stop");
        Intent i = new Intent();
        i.setComponent(this.mAudioService);
        stopService(i);
        this.mAudioService = null;
        try {
            FtUtil.log_d(this.CLASS_NAME, "stopServiceLoopback : delay for stabilizing", " : 200ms");
            Thread.sleep(200);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
    }

    public void setLoopbackPath(String path) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "setLoopbackPath", "Change Loopback path=" + path);
        if (isPlayingSound()) {
            stopMedia();
        }
        setStreamMusicVolumeMax();
        AudioManager audioManager = this.mAudioManager;
        audioManager.setParameters("factory_test_path=" + path);
        if (!this.moduleCommon.isVoiceCapable()) {
            String spkPath = "spk";
            if (path.contains("spk1")) {
                spkPath = "spk1";
            } else if (path.contains("spk2")) {
                spkPath = "spk2";
            } else if (path.contains("spk3")) {
                spkPath = "spk3";
            } else if (path.contains("spk4")) {
                spkPath = "spk4";
            }
            AudioManager audioManager2 = this.mAudioManager;
            audioManager2.setParameters("factory_test_spkpath=" + spkPath);
        }
    }

    public void setLoopbackPath(int path) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "setLoopbackPath", "Change Loopback path=" + path);
        if (isPlayingSound()) {
            stopMedia();
        }
        setStreamMusicVolumeMax();
        AudioManager audioManager = this.mAudioManager;
        audioManager.setParameters("factory_test_path=" + this.LOOPBACK_PATH[path]);
        this.mLoopbackPreviousPath = this.mLoopbackTestPath;
        this.mLoopbackTestPath = path;
    }

    public boolean isDoingLoopback() {
        return this.mIsDoingLoopback;
    }

    public int getCurrentLoopbackPath() {
        return this.mLoopbackTestPath;
    }

    public int getPreviousLoopbackPath() {
        return this.mLoopbackPreviousPath;
    }

    public boolean isUSBEarphonePlugged() {
        boolean isAudioDevice = false;
        int ntrfaceIndex = 0;
        Iterator<UsbDevice> it = ((UsbManager) getSystemService("usb")).getDeviceList().values().iterator();
        while (true) {
            if (!it.hasNext()) {
                break;
            } else if (it.next().getInterface(ntrfaceIndex).getInterfaceClass() == 1) {
                isAudioDevice = true;
                break;
            } else {
                ntrfaceIndex++;
            }
        }
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "isUSBEarphonePlugged", "USB Audio : " + isAudioDevice);
        return isAudioDevice;
    }

    public boolean isEarphonePlugged() {
        if (EgisFingerprint.MAJOR_VERSION.equals(Support.Kernel.read(Support.Kernel.EARJACK_PLUGGED))) {
            this.mEarphonePlugged = true;
        } else {
            this.mEarphonePlugged = isUSBEarphonePlugged();
        }
        return this.mEarphonePlugged;
    }

    public boolean isConnectionModeNone() {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "isConnectionModeNone", "mConnectionMode = " + this.mConnectionMode);
        return "none".equals(this.mConnectionMode);
    }

    public String getSpkCalPath(int index) {
        String rawPath = Support.TestCase.getString(Support.TestCase.PATH_SPK_CAL);
        String[] spkCalPath = rawPath != null ? rawPath.split(",") : new String[]{"rdc,rdc_r"};
        if (spkCalPath.length > index) {
            String str = this.CLASS_NAME;
            FtUtil.log_i(str, "getSpkCalPath", "index : " + index + ", Path : " + spkCalPath[index]);
            return spkCalPath[index] + "=";
        }
        String str2 = this.CLASS_NAME;
        FtUtil.log_i(str2, "getSpkCalPath", "index : " + index);
        return null;
    }

    public String getSpkTempPath(int index) {
        String[] spkTempPath = {"temp", "temp_r"};
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "getSpkTempPath", "index : " + index + ", tempPath : " + spkTempPath[index]);
        return spkTempPath[index] + "=";
    }

    public String getRcvCalPath(int index) {
        String rawPath = Support.TestCase.getString(Support.TestCase.PATH_RCV_CAL);
        String[] rcvCalPath = rawPath != null ? rawPath.split(",") : new String[]{"rdc,rdc_r"};
        if (rcvCalPath.length > index) {
            String str = this.CLASS_NAME;
            FtUtil.log_i(str, "getRcvCalPath", "index : " + index + ", Path : " + rcvCalPath[index]);
            return rcvCalPath[index] + "=";
        }
        String str2 = this.CLASS_NAME;
        FtUtil.log_i(str2, "getRcvCalPath", "index : " + index);
        return null;
    }

    public int getSpkCalPathCount() {
        FtUtil.log_i(this.CLASS_NAME, "getSpkCalPathCount", "");
        String rawPath = Support.TestCase.getString(Support.TestCase.PATH_SPK_CAL);
        String[] spkCalPath = rawPath != null ? rawPath.split(",") : null;
        if (spkCalPath != null) {
            return spkCalPath.length;
        }
        return 0;
    }

    public int getMicCount() {
        return Support.Feature.getInt(Support.Feature.MIC_COUNT);
    }

    public void setEarKeyState(int earKeyState2) {
        this.earKeyState = earKeyState2;
    }

    public int getEarKeyState() {
        return this.earKeyState;
    }

    public String getAmpType() {
        String resString = "";
        String ampType = Support.Feature.getString(Support.Feature.AUDIO_AMP_TYPE);
        if (Support.Kernel.isExistFile(Support.Kernel.AUDIO_AMP_VENDOR)) {
            ampType = Support.Kernel.read(Support.Kernel.AUDIO_AMP_VENDOR);
        }
        if (ampType != null) {
            resString = ";amp=" + ampType.toLowerCase();
        }
        FtUtil.log_d(this.CLASS_NAME, "getAmpType", "resString : " + resString);
        return resString;
    }

    public String getTargetType(String path) {
        String resString = ";target=" + path.replaceAll("=", "");
        FtUtil.log_d(this.CLASS_NAME, "getTargetType", "resString : " + resString);
        return resString;
    }

    /* access modifiers changed from: protected */
    public void finalize() throws Throwable {
        release();
        super.finalize();
    }

    public boolean setParam(String param) {
        if (this.mAudioManager != null) {
            String str = this.CLASS_NAME;
            FtUtil.log_i(str, "setParam", "param = " + param);
            this.mAudioManager.setParameters(param);
            return true;
        }
        FtUtil.log_w(this.CLASS_NAME, "setParam", "mAudioManager is null");
        return false;
    }
}
