package com.sec.factory.modules;

import android.app.Service;
import android.content.Intent;
import android.location.Location;
import android.location.LocationListener;
import android.location.LocationManager;
import android.nfc.NfcAdapter;
import android.os.Bundle;
import android.os.Handler;
import android.os.IBinder;
import android.os.Message;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;

public class ModuleCommunicationService extends Service {
    protected static final String ACTION_GPS_SERVICE_RESPONSE = "com.sec.factory.intent.ACTION_GPS_SERVICE_RESPONSE";
    public static final String ACTION_GPS_START = "ACTION_GPS_START";
    public static final String ACTION_GPS_START_DELAY = "ACTION_GPS_START_DELAY";
    public static final String ACTION_NFC_OFF = "ACTION_NFC_OFF";
    public static final String ACTION_NFC_ON = "ACTION_NFC_ON";
    public static final String ACTION_SMD_START = "ACTION_SMD_START";
    public static final String ACTION_SMD_START_DELAY = "ACTION_SMD_START_DELAY";
    private static final String CLASS_NAME = "ModuleCommunicationService";
    public static String GPS_MODE = "GPS";
    private static int MAX_RETRY = 10;
    private static final int MAX_RETRY_GPS = 15;
    private static final int MAX_RETRY_SMD = 20;
    private static int RETRY_INTERVAL = 500;
    private static final int RETRY_INTERVAL_GPS = 500;
    private static final int RETRY_INTERVAL_SMD = 300;
    public static final String SMD_NOK = "-1";
    public static final String SMD_OK = "100";
    public static boolean isEnabledNFCService = false;
    private static int mNFCTurnningOnCount = 0;
    private static NfcAdapter mNfcAdapter;
    private final byte MSG_GPS_READ = 12;
    private final byte MSG_GPS_START = 10;
    private final byte MSG_GPS_START_DELAY = 13;
    private final byte MSG_SMD_START = 11;
    private final byte MSG_SMD_START_DELAY = 14;
    private final byte NFC_ENABLE_DELAY = 15;
    private String mData;
    private int mGpsRetryCount = 0;
    private Handler mHandler = new Handler() {
        /* class com.sec.factory.modules.ModuleCommunicationService.AnonymousClass1 */

        public void handleMessage(Message msg) {
            switch (msg.what) {
                case 10:
                    FtUtil.log_i(ModuleCommunicationService.CLASS_NAME, "mHandler.handleMessage", "MSG_GPS_START");
                    ModuleCommunicationService.GPS_MODE = "GPS";
                    int unused = ModuleCommunicationService.RETRY_INTERVAL = 500;
                    int unused2 = ModuleCommunicationService.MAX_RETRY = 15;
                    ModuleCommunicationService.this.mLocationManager.requestLocationUpdates("gps", 1000, 0.0f, ModuleCommunicationService.this.mLocationListener);
                    ModuleCommunicationService.this.mHandler.removeMessages(12);
                    ModuleCommunicationService.this.mHandler.sendMessageDelayed(ModuleCommunicationService.this.mHandler.obtainMessage(12), 1000);
                    return;
                case 11:
                    ModuleCommunicationService.GPS_MODE = "SMD";
                    FtUtil.log_i(ModuleCommunicationService.CLASS_NAME, "mHandler.handleMessage", "MSG_SMD_START");
                    int unused3 = ModuleCommunicationService.RETRY_INTERVAL = 300;
                    int unused4 = ModuleCommunicationService.MAX_RETRY = 20;
                    ModuleCommunicationService.this.mLocationManager.requestLocationUpdates("gps", 1000, 0.0f, ModuleCommunicationService.this.mLocationListener);
                    ModuleCommunicationService.this.mHandler.removeMessages(12);
                    ModuleCommunicationService.this.mHandler.sendMessageDelayed(ModuleCommunicationService.this.mHandler.obtainMessage(12), 1000);
                    return;
                case 12:
                    String msg_type = ModuleCommunicationService.RETRY_INTERVAL == 300 ? "SMD" : "GPS";
                    FtUtil.log_i(ModuleCommunicationService.CLASS_NAME, "mHandler.handleMessage", "mHandler : MESSAGE_GPS_READ for (" + msg_type + ") mGpsRetryCount = " + ModuleCommunicationService.this.mGpsRetryCount);
                    BufferedReader buf = null;
                    if (ModuleCommunicationService.this.mGpsRetryCount > ModuleCommunicationService.MAX_RETRY) {
                        if ("SMD".equals(ModuleCommunicationService.GPS_MODE)) {
                            ModuleCommunicationService.this.gpsResponse(ModuleCommunicationService.SMD_NOK);
                            FtUtil.log_i(ModuleCommunicationService.CLASS_NAME, "mHandler.handleMessage", "mHandler : we can not get SMD responsed value!!");
                        } else {
                            ModuleCommunicationService.this.gpsResponse("NG_CN0");
                            FtUtil.log_i(ModuleCommunicationService.CLASS_NAME, "mHandler.handleMessage", "mHandler : we can not get C/No!!");
                        }
                        ModuleCommunicationService.this.mGpsRetryCount = 0;
                        ModuleCommunicationService.this.mHandler.removeMessages(12);
                        ModuleCommunicationService.this.mLocationManager.removeUpdates(ModuleCommunicationService.this.mLocationListener);
                        ModuleCommunication.deleteGpsFiles();
                        return;
                    }
                    try {
                        BufferedReader buf2 = new BufferedReader(new FileReader(ModuleCommunication.GPS_CNO_PATH), 8096);
                        ModuleCommunicationService.this.mData = buf2.readLine();
                        if (ModuleCommunicationService.this.mData != null) {
                            if (!"0".equals(ModuleCommunicationService.this.mData)) {
                                if ("SMD".equals(ModuleCommunicationService.GPS_MODE)) {
                                    FtUtil.log_i(ModuleCommunicationService.CLASS_NAME, "mHandler.handleMessage", "GPS SMD CONFIRM with responsed data = " + ModuleCommunicationService.this.mData);
                                    ModuleCommunication.deleteGpsFiles();
                                    ModuleCommunicationService moduleCommunicationService = ModuleCommunicationService.this;
                                    moduleCommunicationService.gpsResponse(moduleCommunicationService.mData);
                                } else if ("GPS".equals(ModuleCommunicationService.GPS_MODE)) {
                                    FtUtil.log_i(ModuleCommunicationService.CLASS_NAME, "mHandler.handleMessage", "GPS START CONFIRM with C/No = " + ModuleCommunicationService.this.mData);
                                    ModuleCommunicationService moduleCommunicationService2 = ModuleCommunicationService.this;
                                    moduleCommunicationService2.gpsResponse(moduleCommunicationService2.mData);
                                }
                                buf2.close();
                                return;
                            }
                        }
                        ModuleCommunicationService.access$508(ModuleCommunicationService.this);
                        ModuleCommunicationService.this.mHandler.removeMessages(12);
                        ModuleCommunicationService.this.mHandler.sendMessageDelayed(ModuleCommunicationService.this.mHandler.obtainMessage(12), (long) ModuleCommunicationService.RETRY_INTERVAL);
                        try {
                            buf2.close();
                            return;
                        } catch (IOException e) {
                            e.printStackTrace();
                            return;
                        }
                    } catch (FileNotFoundException e2) {
                        FtUtil.log_i(ModuleCommunicationService.CLASS_NAME, "mHandler.handleMessage", "C/No is not detection yet, try again after 500ms");
                        ModuleCommunicationService.access$508(ModuleCommunicationService.this);
                        ModuleCommunicationService.this.mHandler.removeMessages(12);
                        ModuleCommunicationService.this.mHandler.sendMessageDelayed(ModuleCommunicationService.this.mHandler.obtainMessage(12), (long) ModuleCommunicationService.RETRY_INTERVAL);
                        if (0 != 0) {
                            buf.close();
                            return;
                        }
                        return;
                    } catch (IOException e3) {
                        ModuleCommunicationService.access$508(ModuleCommunicationService.this);
                        ModuleCommunicationService.this.mHandler.removeMessages(12);
                        ModuleCommunicationService.this.mHandler.sendMessageDelayed(ModuleCommunicationService.this.mHandler.obtainMessage(12), (long) ModuleCommunicationService.RETRY_INTERVAL);
                        if (0 != 0) {
                            buf.close();
                            return;
                        }
                        return;
                    } catch (Throwable e4) {
                        if (0 != 0) {
                            try {
                                buf.close();
                            } catch (IOException e5) {
                                e5.printStackTrace();
                            }
                        }
                        throw e4;
                    }
                case 13:
                    FtUtil.log_i(ModuleCommunicationService.CLASS_NAME, "mHandler.handleMessage", "MSG_GPS_START_DELAY");
                    ModuleCommunicationService.this.mHandler.removeMessages(13);
                    ModuleCommunicationService.this.mHandler.sendMessageDelayed(ModuleCommunicationService.this.mHandler.obtainMessage(10), 1500);
                    return;
                case 14:
                    FtUtil.log_i(ModuleCommunicationService.CLASS_NAME, "mHandler.handleMessage", "MSG_SMD_START_DELAY");
                    ModuleCommunicationService.this.mHandler.removeMessages(13);
                    ModuleCommunicationService.this.mHandler.sendMessageDelayed(ModuleCommunicationService.this.mHandler.obtainMessage(11), 1500);
                    return;
                case 15:
                    FtUtil.log_i(ModuleCommunicationService.CLASS_NAME, "mHandler.handleMessage", "NFC_ENABLE_DELAY");
                    if (!Support.Feature.getBoolean(Support.Feature.SUPPORT_NFC_CHECK_WHEN_ENTER_15)) {
                        FtUtil.log_i(ModuleCommunicationService.CLASS_NAME, "mHandler.handleMessage", "Skip Nfc enabling due to NFC Feature (SUPPORT_NFC_CHECK_WHEN_ENTER_15)");
                        return;
                    } else if (ModuleCommunicationService.isEnabledNFCService || ModuleCommunicationService.this.checkNfcState()) {
                        ModuleCommunicationService.this.nfcEnable();
                        return;
                    } else {
                        sendEmptyMessageDelayed(15, 500);
                        return;
                    }
                default:
                    FtUtil.log_i(ModuleCommunicationService.CLASS_NAME, "mHandler.handleMessage", "Wrong MSG");
                    return;
            }
        }
    };
    private LocationListener mLocationListener = new LocationListener() {
        /* class com.sec.factory.modules.ModuleCommunicationService.AnonymousClass4 */

        public void onLocationChanged(Location location) {
        }

        public void onProviderDisabled(String provider) {
        }

        public void onProviderEnabled(String provider) {
        }

        public void onStatusChanged(String provider, int status, Bundle extras) {
        }
    };
    private LocationManager mLocationManager = null;

    static /* synthetic */ int access$508(ModuleCommunicationService x0) {
        int i = x0.mGpsRetryCount;
        x0.mGpsRetryCount = i + 1;
        return i;
    }

    public IBinder onBind(Intent intent) {
        return null;
    }

    public void onCreate() {
        FtUtil.log_i(CLASS_NAME, "onCreate()", "onCreate");
        super.onCreate();
        mNfcAdapter = NfcAdapter.getDefaultAdapter(getApplicationContext());
        this.mLocationManager = (LocationManager) getSystemService("location");
    }

    public int onStartCommand(Intent intent, int flags, int startId) {
        String action = null;
        if (intent != null) {
            action = intent.getStringExtra("action");
        }
        if (action == null) {
            return 2;
        }
        FtUtil.log_d(CLASS_NAME, "onStartCommand", "action=" + action);
        if (action.equals(ACTION_NFC_ON)) {
            this.mHandler.sendEmptyMessage(15);
            return 2;
        } else if (action.equals(ACTION_NFC_OFF)) {
            nfcDisable();
            return 2;
        } else if (action.equals(ACTION_GPS_START)) {
            this.mHandler.removeMessages(10);
            Handler handler = this.mHandler;
            handler.sendMessage(handler.obtainMessage(10));
            return 2;
        } else if (action.equals(ACTION_GPS_START_DELAY)) {
            this.mHandler.removeMessages(13);
            Handler handler2 = this.mHandler;
            handler2.sendMessage(handler2.obtainMessage(13));
            return 2;
        } else if (action.equals(ACTION_SMD_START)) {
            this.mHandler.removeMessages(11);
            Handler handler3 = this.mHandler;
            handler3.sendMessage(handler3.obtainMessage(11));
            return 2;
        } else if (!action.equals(ACTION_SMD_START_DELAY)) {
            return 2;
        } else {
            this.mHandler.removeMessages(14);
            Handler handler4 = this.mHandler;
            handler4.sendMessage(handler4.obtainMessage(14));
            return 2;
        }
    }

    public void onDestroy() {
        this.mHandler.removeMessages(15);
        this.mLocationManager.removeUpdates(this.mLocationListener);
        super.onDestroy();
        FtUtil.log_i(CLASS_NAME, "onDestroy()", "onDestroy");
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void nfcEnable() {
        FtUtil.log_i(CLASS_NAME, "nfcEnable", "...");
        mNFCTurnningOnCount++;
        NfcAdapter defaultAdapter = NfcAdapter.getDefaultAdapter(getApplicationContext());
        mNfcAdapter = defaultAdapter;
        if (defaultAdapter == null || defaultAdapter.isEnabled()) {
            mNFCTurnningOnCount--;
            Intent intent = new Intent("com.samsung.android.nfc.test.action.REQUEST");
            intent.putExtra("com.samsung.android.nfc.test.extra.ID", 3);
            sendBroadcast(intent);
            FtUtil.log_i(CLASS_NAME, "nfcEnable", "NFC is enabled.");
            return;
        }
        FtUtil.log_i(CLASS_NAME, "nfcEnable", "NFC is not enabled.");
        Intent intent2 = new Intent("com.samsung.android.nfc.test.action.REQUEST");
        intent2.putExtra("com.samsung.android.nfc.test.extra.ID", 4);
        sendBroadcast(intent2);
        try {
            Thread.sleep(100);
        } catch (InterruptedException e) {
        }
        new Thread() {
            /* class com.sec.factory.modules.ModuleCommunicationService.AnonymousClass2 */

            public void run() {
                if (ModuleCommunicationService.mNfcAdapter.enable()) {
                    Intent intent = new Intent("com.samsung.android.nfc.test.action.REQUEST");
                    intent.putExtra("com.samsung.android.nfc.test.extra.ID", 3);
                    ModuleCommunicationService.this.sendBroadcast(intent);
                    FtUtil.log_i(ModuleCommunicationService.CLASS_NAME, "nfcEnable", "NFC is turned on!");
                    return;
                }
                FtUtil.log_w(ModuleCommunicationService.CLASS_NAME, "nfcEnable", "NFC is not turned on!");
            }
        }.start();
    }

    private void nfcDisable() {
        FtUtil.log_i(CLASS_NAME, "nfcDisable", "...");
        int i = mNFCTurnningOnCount - 1;
        mNFCTurnningOnCount = i;
        if (i > 0) {
            FtUtil.log_i(CLASS_NAME, "nfcDisable", "mNFCTurnningOnCount = " + mNFCTurnningOnCount);
            return;
        }
        NfcAdapter defaultAdapter = NfcAdapter.getDefaultAdapter(getApplicationContext());
        mNfcAdapter = defaultAdapter;
        if (defaultAdapter == null || !defaultAdapter.isAllEnabled()) {
            FtUtil.log_i(CLASS_NAME, "nfcDisable", "NFC state is already off.");
        } else {
            new Thread() {
                /* class com.sec.factory.modules.ModuleCommunicationService.AnonymousClass3 */

                public void run() {
                    if (ModuleCommunicationService.mNfcAdapter.disable()) {
                        FtUtil.log_i(ModuleCommunicationService.CLASS_NAME, "nfcDisable", "NFC off success!");
                    } else {
                        FtUtil.log_w(ModuleCommunicationService.CLASS_NAME, "nfcDisable", "NFC off fail!");
                    }
                }
            }.start();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean checkNfcState() {
        if (mNfcAdapter == null) {
            mNfcAdapter = NfcAdapter.getDefaultAdapter(getApplicationContext());
        }
        NfcAdapter nfcAdapter = mNfcAdapter;
        if (nfcAdapter == null) {
            return false;
        }
        int nfcState = nfcAdapter.getAdapterState();
        FtUtil.log_i(CLASS_NAME, "checkNfcState", "NFC State : " + nfcState);
        if (nfcState == 3) {
            return true;
        }
        return false;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void gpsResponse(String result) {
        FtUtil.log_i(CLASS_NAME, "gpsResponse", "result  = " + result);
        Intent intent = new Intent(ACTION_GPS_SERVICE_RESPONSE);
        intent.putExtra("result", result);
        sendBroadcast(intent);
    }
}
