package com.sec.factory.modules;

import android.app.ActivityManager;
import android.app.Instrumentation;
import android.content.Context;
import android.content.Intent;
import android.graphics.Point;
import android.os.PowerManager;
import android.os.SystemClock;
import android.os.SystemProperties;
import android.telecom.TelecomManager;
import android.telephony.TelephonyManager;
import android.text.TextUtils;
import android.view.Display;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.WindowManager;
import com.samsung.android.feature.SemFloatingFeature;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import java.util.List;

public class ModuleDFT extends ModuleObject {
    private static final String CAMERA_LAUNCH_ACTION = "android.media.action.IMAGE_CAPTURE";
    private static final String DEVICE_TYPE = Support.Properties.get(Support.Properties.BUILD_CHARACTERISTICS);
    private static final String SALES_CODE = Support.Properties.get(Support.Properties.CSC_SALES_CODE);
    private static ModuleDFT mInstance = null;
    private long mDownTime = -1;
    private boolean mIsSlateCommand = false;
    private String mProduct;
    private float mTouchLongX1;
    private float mTouchLongY1;
    private TOUCH_EVENT mTouchMoveStatus = TOUCH_EVENT.INIT;
    private String x1;
    private String y1;

    public enum TOUCH_EVENT {
        DOWN,
        UP,
        MOVE,
        LONG_PRESS,
        INIT
    }

    private ModuleDFT(Context context) {
        super(context, "ModuleDFT");
        FtUtil.log_i(this.CLASS_NAME, "ModuleDFT", "Create ModuleDFT");
    }

    private boolean isTabletDevice() {
        String str = DEVICE_TYPE;
        if (TextUtils.isEmpty(str)) {
            return false;
        }
        String str2 = this.CLASS_NAME;
        FtUtil.log_i(str2, "isTabletDevice", "device : " + str);
        return str.contains(ModuleTouchScreen.TSP_DEVICE_TYPE__TABLET);
    }

    private boolean isVZW() {
        String str = SALES_CODE;
        if (TextUtils.isEmpty(str)) {
            return false;
        }
        String str2 = this.CLASS_NAME;
        FtUtil.log_i(str2, "isVZW", "sales_code : " + str);
        return str.contains("VZW");
    }

    public static ModuleDFT instance(Context context) {
        if (mInstance == null) {
            mInstance = new ModuleDFT(context);
        }
        return mInstance;
    }

    public void DftKey(String key) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "DftKey", "key=" + key);
        ActionDFTkey(keymapping(key, false), false);
    }

    public void DftKeyHold(String key) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "DftKeyHold", "key=" + key);
        ActionDFTkey(keymapping(key, true), true);
    }

    private void ActionDFTkey(int keyCode, boolean isKeyHold) {
        String topActivity;
        long eventTime = SystemClock.uptimeMillis();
        FtUtil.log_i(this.CLASS_NAME, "ActionDFTKey start", "keyCode=" + keyCode + ", hold=" + isKeyHold);
        if ((keyCode == 6 && isKeyHold) || (keyCode == 26 && isKeyHold)) {
            FtUtil.log_i(this.CLASS_NAME, "ActionDFTKey", "KEYCODE_ENDCALL, KEYCODE_POWER hold=true");
            Intent i = new Intent("com.android.internal.intent.action.REQUEST_SHUTDOWN");
            i.putExtra("android.intent.extra.KEY_CONFIRM", false);
            i.putExtra("android.intent.extra.REBOOT_REASON", "[FactoryTest] DFT key hold injection");
            i.setFlags(268435456);
            startActivity(i);
        } else if (keyCode == 6 && !isKeyHold) {
            FtUtil.log_i(this.CLASS_NAME, "ActionDFTKey", "KEYCODE_ENDCALL hold=false");
            TelecomManager telecomManager = (TelecomManager) getSystemService("telecom");
            if (telecomManager != null) {
                telecomManager.endCall();
            }
        } else if (keyCode != 65 || isKeyHold) {
            if (keyCode == 27) {
                FtUtil.log_i(this.CLASS_NAME, "ActionDFTKey", "KEYCODE_CAMERA");
                String topActivity2 = ((ActivityManager) getSystemService("activity")).getRunningTasks(1).get(0).topActivity.getClassName();
                FtUtil.log_i(this.CLASS_NAME, "topActivity = ", topActivity2);
                if ("com.sec.android.app.camera.Camera".equals(topActivity2) || "com.android.camera.CameraActivity".equals(topActivity2) || "com.android.camera.CameraLauncher".equals(topActivity2)) {
                    FtUtil.log_i(this.CLASS_NAME, "Camera App is operating", "KEYCODE_CAMERA");
                    injectKeyEvent(new KeyEvent(eventTime, eventTime, 0, keyCode, 0), new KeyEvent(eventTime, eventTime, 1, keyCode, 0));
                    return;
                }
                Intent i2 = new Intent(CAMERA_LAUNCH_ACTION);
                i2.setFlags(268435456);
                startActivity(i2);
                return;
            }
            FtUtil.log_i(this.CLASS_NAME, "ActionDFTKey", "Another key keyCode=" + keyCode + ", hold=" + isKeyHold);
            List<ActivityManager.RunningTaskInfo> runningtask = ((ActivityManager) getSystemService("activity")).getRunningTasks(1);
            if (runningtask == null || runningtask.size() <= 0) {
                topActivity = null;
            } else {
                String topActivity3 = runningtask.get(0).topActivity.getClassName();
                FtUtil.log_d(this.CLASS_NAME, "ActionDFTKey", "topactivity call = " + topActivity3);
                topActivity = topActivity3;
            }
            if (keyCode == 26 && !isKeyHold && !"com.sec.factory.app.ui.UIHardKey".equals(topActivity)) {
                isSleep();
            } else if (topActivity == null) {
            } else {
                if (keyCode == 66 && !topActivity.contains("DialtactsActivity") && !topActivity.contains("PeopleActivity") && !this.mIsSlateCommand) {
                    Intent i3 = new Intent("android.intent.action.DIAL");
                    i3.addFlags(268435456);
                    startActivity(i3);
                } else if (!isKeyHold) {
                    KeyEvent down = new KeyEvent(eventTime, eventTime, 0, keyCode, 0);
                    KeyEvent up = new KeyEvent(eventTime, eventTime, 1, keyCode, 0);
                    FtUtil.log_d(this.CLASS_NAME, "ActionDFTKey", "Inject keyevent: keycode" + keyCode);
                    injectKeyEvent(down, up);
                }
            }
        } else if (!TextUtils.equals(SystemProperties.get("ro.carrier"), "wifi-only")) {
            FtUtil.log_i(this.CLASS_NAME, "ActionDFTKey", "KEYCODE_ENVELOPE hold=false");
            Intent intent = new Intent("android.intent.action.SEND");
            intent.addFlags(268435456);
            intent.setClassName(SemFloatingFeature.getInstance().getString("SEC_FLOATING_FEATURE_MESSAGE_CONFIG_PACKAGE_NAME", "com.android.mms"), "com.android.mms.ui.ConversationComposer");
            startActivity(intent);
        }
    }

    private void isSleep() {
        PowerManager pm = (PowerManager) getSystemService("power");
        if (pm.isScreenOn()) {
            pm.goToSleep(SystemClock.uptimeMillis());
        } else {
            pm.newWakeLock(805306394, "wake_up").acquire();
        }
    }

    private void injectKeyEvent(final KeyEvent event1, final KeyEvent event2) {
        new Thread(new Runnable() {
            /* class com.sec.factory.modules.ModuleDFT.AnonymousClass1 */

            public void run() {
                new Instrumentation().sendKeySync(event1);
                new Instrumentation().sendKeySync(event2);
            }
        }).start();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void injectTouchEvent(final MotionEvent touch1, final MotionEvent touch2) {
        new Thread(new Runnable() {
            /* class com.sec.factory.modules.ModuleDFT.AnonymousClass2 */

            public void run() {
                new Instrumentation().sendPointerSync(touch1);
                if (touch2 != null) {
                    new Instrumentation().sendPointerSync(touch2);
                }
            }
        }).start();
    }

    public void DftTouchDown(String x, String y) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "DftTouchDown", "x=" + x + ", y=" + y);
        this.x1 = x;
        this.y1 = y;
        this.mDownTime = SystemClock.uptimeMillis();
        TOUCH_EVENT touch_event = TOUCH_EVENT.DOWN;
        String str2 = this.x1;
        String str3 = this.y1;
        ActionDFTTouch(touch_event, str2, str3, str2, str3);
        this.mTouchMoveStatus = TOUCH_EVENT.DOWN;
    }

    public void DftTouchUp(String x2, String y2) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "DftTouchUp", "x=" + x2 + ", y=" + y2);
        if (this.mTouchMoveStatus == TOUCH_EVENT.LONG_PRESS) {
            ActionDFTTouch(this.mTouchMoveStatus, this.x1, this.y1, x2, y2);
        } else {
            ActionDFTTouch(TOUCH_EVENT.UP, this.x1, this.y1, x2, y2);
        }
        this.mTouchMoveStatus = TOUCH_EVENT.UP;
    }

    public void DftTouchMove(String x, String y) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "DftTouchMove", "x=" + x + ", y=" + y);
        ActionDFTTouch(TOUCH_EVENT.MOVE, this.x1, this.y1, x, y);
        this.mTouchMoveStatus = TOUCH_EVENT.MOVE;
    }

    public void DftTouchLong(String x, String y) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "DftTouchLong", "x=" + x + ", y=" + y);
        this.x1 = x;
        this.y1 = y;
        if (this.mTouchMoveStatus == TOUCH_EVENT.DOWN) {
            this.mTouchMoveStatus = TOUCH_EVENT.LONG_PRESS;
        }
    }

    private void ActionDFTTouch(TOUCH_EVENT action_type, String x1_value, String y1_value, String x2_value, String y2_value) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "ActionDFTTouch", "type=" + action_type + ", x1=" + x1_value + ", y1=" + y1_value + ", x2=" + x2_value + ", y2=" + y2_value);
        Display display = ((WindowManager) getSystemService("window")).getDefaultDisplay();
        Point outpoint = new Point();
        outpoint.x = display.getWidth();
        outpoint.y = display.getHeight();
        String str2 = this.CLASS_NAME;
        StringBuilder sb = new StringBuilder();
        sb.append("Display w=");
        sb.append(outpoint.x);
        sb.append(", h=");
        sb.append(outpoint.y);
        FtUtil.log_i(str2, "ActionDFTTouch", sb.toString());
        try {
            float x12 = Float.parseFloat(x1_value);
            float y12 = Float.parseFloat(y1_value);
            float x2 = Float.parseFloat(x2_value);
            float y2 = Float.parseFloat(y2_value);
            String str3 = this.CLASS_NAME;
            FtUtil.log_i(str3, "ActionDFTTouch", "x1" + x12 + "y1" + y12 + "x2" + x2 + "y2" + y2);
            long eventTime = SystemClock.uptimeMillis();
            if (action_type == TOUCH_EVENT.DOWN) {
                try {
                    MotionEvent down = MotionEvent.obtain(eventTime, eventTime, 0, x12, y12, 0);
                    injectTouchEvent(down, null);
                    down.recycle();
                } catch (NumberFormatException e) {
                } catch (NullPointerException e2) {
                }
            } else if (action_type == TOUCH_EVENT.UP) {
                MotionEvent up = MotionEvent.obtain(this.mDownTime, eventTime, 1, x2, y2, 0);
                injectTouchEvent(up, null);
                up.recycle();
            } else if (action_type == TOUCH_EVENT.LONG_PRESS) {
                String str4 = this.CLASS_NAME;
                FtUtil.log_d(str4, "ActionDFTTouch", "Touch Event = down = " + eventTime + " = " + x12 + " , " + y12);
                this.mTouchLongX1 = x12;
                this.mTouchLongY1 = y12;
                new Thread() {
                    /* class com.sec.factory.modules.ModuleDFT.AnonymousClass3 */

                    public void run() {
                        try {
                            sleep(1000);
                            long upTime = SystemClock.uptimeMillis();
                            MotionEvent up = MotionEvent.obtain(ModuleDFT.this.mDownTime, upTime, 1, ModuleDFT.this.mTouchLongX1, ModuleDFT.this.mTouchLongY1, 0);
                            ModuleDFT.this.injectTouchEvent(up, null);
                            up.recycle();
                            String str = ModuleDFT.this.CLASS_NAME;
                            FtUtil.log_d(str, "ActionDFTTouch", "Touch Event (Thread) = up = " + upTime + " = " + ModuleDFT.this.mTouchLongX1 + " , " + ModuleDFT.this.mTouchLongY1);
                        } catch (InterruptedException e) {
                            e.printStackTrace();
                        }
                    }
                }.start();
            } else if (action_type == TOUCH_EVENT.MOVE) {
                MotionEvent move = MotionEvent.obtain(this.mDownTime, eventTime, 2, x2, y2, 0);
                injectTouchEvent(move, null);
                move.recycle();
            }
        } catch (NumberFormatException e3) {
        } catch (NullPointerException e4) {
        }
    }

    private int keymapping(String key, boolean isKeyHold) {
        int eventCode = Integer.valueOf(key).intValue();
        FtUtil.log_i(this.CLASS_NAME, "keymapping: ", String.valueOf(eventCode));
        this.mIsSlateCommand = false;
        switch (eventCode) {
            case 0:
                return 77;
            case 1:
                return 8;
            case 2:
                return 9;
            case 3:
                return 10;
            case 4:
                return 11;
            case 5:
                return 12;
            case 6:
                return 13;
            case 7:
                return 14;
            case 8:
                return 15;
            case 9:
                return 16;
            case 10:
                return isKeyHold ? 81 : 7;
            case 11:
                if (TextUtils.equals(SystemProperties.get("ro.carrier"), "wifi-only") || (isTabletDevice() && isVZW())) {
                    FtUtil.log_i(this.CLASS_NAME, "keymapping", "Models that only support wifi and VZW's tablet don't support it");
                    return 0;
                }
                int callstate = ((TelephonyManager) mContext.getSystemService(ModuleTouchScreen.TSP_DEVICE_TYPE__PHONE)).getCallState();
                String str = this.CLASS_NAME;
                FtUtil.log_d(str, "ActionDFTKey", "callState = " + callstate);
                if (callstate != 1) {
                    return 66;
                }
                return 5;
            case 12:
                return 6;
            case 13:
                return 18;
            case 14:
                return 17;
            case 15:
                return 4;
            case 16:
                return FactoryTestManager.TEST_PROXIMITY_HOVER_START;
            case 17:
            case 19:
            case 21:
            case 34:
            case 35:
            case 36:
            case 37:
            case 38:
            case 39:
            case 41:
            case 42:
            case 43:
            case 44:
            case 45:
            case 46:
            case 47:
            case 48:
            case 49:
            case 50:
            case 51:
            case 52:
            case 53:
            case 54:
            case 55:
            case 56:
            case 57:
            case 58:
            case 59:
            case 60:
            case 61:
            case 62:
            case 63:
            case 64:
            case 91:
            case 92:
            case 93:
            case 94:
            case 95:
            case 96:
            case 98:
            case 104:
            default:
                return 0;
            case 18:
                return 19;
            case 20:
                return 20;
            case 22:
                return 24;
            case 23:
                return 25;
            case 24:
                return 21;
            case 25:
                return 22;
            case 26:
                return 27;
            case 27:
                this.mIsSlateCommand = true;
                return 66;
            case 28:
                if (Support.TestCase.getEnabled(Support.TestCase.KEY_TEST_APP_RECENT)) {
                    return 187;
                }
                return 82;
            case 29:
                return 4;
            case 30:
            case 33:
                return 26;
            case 31:
            case 110:
                return 187;
            case 32:
                return 3;
            case 40:
                return 1015;
            case 65:
                return 29;
            case 66:
                return 30;
            case 67:
                return 31;
            case 68:
                return 32;
            case 69:
                return 33;
            case 70:
                return 34;
            case 71:
                return 35;
            case 72:
                return 36;
            case 73:
                return 37;
            case 74:
                return 38;
            case 75:
                return 39;
            case 76:
                return 40;
            case 77:
                return 41;
            case 78:
                return 42;
            case 79:
                return 43;
            case 80:
                return 44;
            case 81:
                return 45;
            case 82:
                return 46;
            case 83:
                return 47;
            case 84:
                return 48;
            case 85:
                return 49;
            case 86:
                return 50;
            case 87:
                return 51;
            case 88:
                return 52;
            case 89:
                return 53;
            case 90:
                return 54;
            case 97:
                return 62;
            case 99:
                return 57;
            case 100:
                this.mIsSlateCommand = true;
                return 66;
            case 101:
                return 56;
            case 102:
                return 67;
            case 103:
                return 55;
            case 105:
                return 63;
            case 106:
                return 1014;
            case 107:
                String str2 = SystemProperties.get("ro.product.model", Support.Properties.PROPERTIES_DEFAULT_STRING);
                this.mProduct = str2;
                if (!"SAMSUNG-SM-T217A".equals(str2)) {
                    return 65;
                }
                return 0;
            case 108:
                return 64;
            case 109:
                return 60;
            case 111:
                return 1082;
            case 112:
                return 1079;
        }
    }
}
