package com.sec.factory.modules;

import android.app.ActivityManager;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.hardware.usb.UsbDevice;
import android.hardware.usb.UsbInterface;
import android.hardware.usb.UsbManager;
import android.media.AudioAttributes;
import android.os.Environment;
import android.os.StatFs;
import android.os.SystemProperties;
import android.os.VibrationEffect;
import android.os.Vibrator;
import android.os.storage.StorageManager;
import android.os.storage.StorageVolume;
import android.provider.Settings;
import android.support.v4.media.session.PlaybackStateCompat;
import android.telephony.TelephonyManager;
import com.samsung.android.content.smartclip.SpenGestureManager;
import com.samsung.android.displaysolution.SemDisplaySolutionManager;
import com.samsung.android.feature.SemFloatingFeature;
import com.samsung.android.hardware.secinputdev.SemInputDeviceManager;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.List;

public class ModuleDevice extends ModuleObject {
    public static final String ACTION_EXTERNAL_STORAGE_MOUNTED = "com.sec.factory.action.ACTION_EXTERNAL_STORAGE_MOUNTED";
    public static final String ACTION_EXTERNAL_STORAGE_UNMOUNTED = "com.sec.factory.action.ACTION_EXTERNAL_STORAGE_UNMOUNTED";
    public static final String ACTION_USB_STORAGE_MOUNTED = "com.sec.factory.action.ACTION_USB_STORAGE_MOUNTED";
    public static final String ACTION_USB_STORAGE_UNMOUNTED = "com.sec.factory.action.ACTION_USB_STORAGE_UNMOUNTED";
    public static final int CCIC_JIG_ON_DELAY = 30;
    public static final String CCIC_LPM_MODE_ENABLE = Support.TestCase.getString(Support.TestCase.CCIC_LPM_MODE_ENABLE_VALUE);
    public static final String CHANNEL_UP = "38400,173,171,24,62,24,61,24,62,24,17,24,17,24,18,24,17,24,18,23,62,24,61,24,62,24,17,24,17,25,17,24,17,24,17,24,19,23,61,24,18,24,17,24,61,24,19,23,17,24,17,24,62,24,17,24,62,24,61,24,19,23,61,24,62,24,61,24,1880,0";
    public static final int COLORLED_BLINK = 1;
    public static String COLORLED_BLUE = Support.Spec.getString(Support.Spec.COLORLED_BLUE);
    public static String COLORLED_CYAN = Support.Spec.getString(Support.Spec.COLORLED_CYAN);
    public static String COLORLED_GREEN = Support.Spec.getString(Support.Spec.COLORLED_GREEN);
    public static String COLORLED_MAGENTA = Support.Spec.getString(Support.Spec.COLORLED_MAGENTA);
    public static final String COLORLED_OFF = "0x000000 0 0";
    public static String COLORLED_RED = Support.Spec.getString(Support.Spec.COLORLED_RED);
    public static final int COLORLED_STATIC = 0;
    public static String COLORLED_WHITE = Support.Spec.getString(Support.Spec.COLORLED_WHITE);
    public static String COLORLED_YELLOW = Support.Spec.getString(Support.Spec.COLORLED_YELLOW);
    public static final int EXTERNAL_MEMORY = 1;
    public static final int INTERNAL_MEMORY = 0;
    private static final String IRLEDOFF = "38400,5";
    private static final String IRLEDON = "38400,10";
    private static final int KEYCODE_DUMMY_BACK = 1025;
    private static final int KEYCODE_DUMMY_HOME = 1024;
    private static final int KEYCODE_DUMMY_HOME1 = 1026;
    private static final int KEYCODE_DUMMY_HOME2 = 1027;
    private static final int KEYCODE_DUMMY_MENU = 1023;
    private static final int KEYCODE_REF1 = 254;
    private static final int KEYCODE_REF2 = 255;
    public static final int LED4_1 = 1;
    public static final int LED4_2 = 2;
    public static final int LED4_2LEFT = 3;
    public static final int LED4_2RIGHT = 12;
    public static final int LED4_3 = 4;
    public static final int LED4_4 = 8;
    public static final int LED4_ALL = 15;
    public static final String LED4_BLUE = "0x00001040";
    public static final String LED4_GREEN = "0x00001900";
    public static final String LED4_OFF = "0x00000000";
    public static final String LED4_RED = "0x00500000";
    public static final String LED4_WHITE = "0x00101010";
    public static final String LED4_YELLOW = "0x001D0D00";
    public static final int LED_STATE_BLUE = 4;
    public static final int LED_STATE_GREEN = 3;
    public static final int LED_STATE_INIT = 5;
    public static final int LED_STATE_OFF = 0;
    public static final int LED_STATE_RED = 2;
    public static final int LED_STATE_WHITE = 1;
    public static final int LED_STATE_YELLOW = 6;
    public static final String LPA_MODE_DISABLE = Support.TestCase.getString(Support.TestCase.LPA_MODE_DISABLE_VALUE);
    public static final String LPA_MODE_ENABLE = Support.TestCase.getString(Support.TestCase.LPA_MODE_ENABLE_VALUE);
    public static final String LPM_MODE_DISABLE = Support.TestCase.getString(Support.TestCase.LPM_MODE_DISABLE_VALUE);
    public static final int MODULE_BARCODE_EMUL = 6;
    public static final int MODULE_CAMERA = 0;
    public static final int MODULE_EPEN = 4;
    public static final int MODULE_EPEN_WITHOUT_CHECKSUM = 3;
    public static final int MODULE_REAR_CAMOIS = 8;
    public static final int MODULE_SENSORHUB = 5;
    public static final int MODULE_TSK = 2;
    public static final int MODULE_TSP = 1;
    public static final int MODULE_ULTRASONIC = 7;
    public static final String MOOD_LED_RGB_COLOR_1 = Support.Spec.getString(Support.Spec.MOOD_LED_RGB_COLOR_1);
    public static final String MOOD_LED_RGB_COLOR_2 = Support.Spec.getString(Support.Spec.MOOD_LED_RGB_COLOR_2);
    public static final String MOOD_LED_RGB_COLOR_3 = Support.Spec.getString(Support.Spec.MOOD_LED_RGB_COLOR_3);
    public static final int MOOD_LED_STATE_OFF = 0;
    public static final int MOOD_LED_STATE_RGB_BLUE = 8;
    public static final int MOOD_LED_STATE_RGB_GREEN = 7;
    public static final int MOOD_LED_STATE_RGB_RED = 6;
    public static final int MOOD_LED_STATE_UX5_COLOR_1 = 1;
    public static final int MOOD_LED_STATE_UX5_COLOR_2 = 2;
    public static final int MOOD_LED_STATE_UX5_COLOR_3 = 3;
    public static final int MOOD_LED_STATE_UX5_COLOR_4 = 4;
    public static final int MOOD_LED_STATE_UX5_COLOR_5 = 5;
    public static final String MOOD_LED_UX5_COLOR_1 = Support.Spec.getString(Support.Spec.MOOD_LED_UX5_COLOR_1);
    public static final String MOOD_LED_UX5_COLOR_2 = Support.Spec.getString(Support.Spec.MOOD_LED_UX5_COLOR_2);
    public static final String MOOD_LED_UX5_COLOR_3 = Support.Spec.getString(Support.Spec.MOOD_LED_UX5_COLOR_3);
    public static final String MOOD_LED_UX5_COLOR_4 = Support.Spec.getString(Support.Spec.MOOD_LED_UX5_COLOR_4);
    public static final String MOOD_LED_UX5_COLOR_5 = Support.Spec.getString(Support.Spec.MOOD_LED_UX5_COLOR_5);
    private static final byte[] OTG_MUIC_OFF = {FactoryTestManager.TEST_SENSORHUB, 0};
    private static final byte[] OTG_MUIC_ON = {FactoryTestManager.MACRO_AF, 0};
    private static final byte[] OTG_TEST_OFF = {FactoryTestManager.TEST_OTG3, 70, 70, 0};
    private static final byte[] OTG_TEST_ON = {FactoryTestManager.TEST_OTG3, 78, 0};
    private static final int OTG_TEST_WAIT_DELAY = 2500;
    public static final String PATH_EXTERNAL_STORAGE = "extSdCard";
    public static final String PATH_INTERNAL_STORAGE = "sdcard";
    public static final String PATH_OTG_STORAGE = "UsbStotageX";
    public static final int SIM_SLOT_1 = 0;
    public static final int SIM_SLOT_2 = 1;
    public static final int SIM_SWITCH_NOT_SUPPORT = 0;
    public static final int SIM_SWITCH_SUPPORT_SLOT1 = 1;
    public static final int SIM_SWITCH_SUPPORT_SLOT2 = 2;
    public static final int SIM_TYPE_ESIM = 1;
    public static final int SIM_TYPE_RSIM = 0;
    private static final String[] STORAGE_PATH = {"/data", "/mnt/extSdCard", "/system"};
    private static final String STRING_MTP_ADB = "mtp,adb";
    private static final String STRING_RNDIS_DM_MODEM = "rndis,acm,diag";
    public static final int SYSTEM_STORAGE = 2;
    public static final long TIMELESS_VIBRATOR = 2147483647L;
    private static final int TOUCH_KEY_PATH_DEFAULT = 0;
    private static final int TOUCH_KEY_PATH_INNER = 1;
    private static final int TOUCH_KEY_PATH_OUTER = 2;
    public static final String TSP_CMD_CHIP_NAME_READ = "get_chip_name";
    public static final String TSP_CMD_CHIP_VENDOR_READ = "get_chip_vendor";
    public static final String TSP_CMD_MODULE_OFF_MASTER = "module_off_master";
    public static final String TSP_CMD_MODULE_OFF_SLAVE = "module_off_slave";
    public static final String TSP_CMD_MODULE_ON_MASTER = "module_on_master";
    public static final String TSP_CMD_MODULE_ON_SLAVE = "module_on_slave";
    public static final String TSP_CMD_MODULE_TSP_CONNECTION = "get_tsp_connection";
    public static final String TSP_CMD_READ1_CM_ABS = "get_cm_abs";
    public static final String TSP_CMD_READ1_GET_REF = "get_reference";
    public static final String TSP_CMD_READ1_RAWCAP = "get_rawcap";
    public static final String TSP_CMD_READ1_RUN_CM_ABS = "run_cm_abs_read";
    public static final String TSP_CMD_READ1_RUN_RAWCAP = "run_rawcap_read";
    public static final String TSP_CMD_READ2_CM_DELFA = "get_cm_delta";
    public static final String TSP_CMD_READ2_GET_RAW = "get_raw";
    public static final String TSP_CMD_READ2_RUN_CM_DELTA = "run_cm_delta_read";
    public static final String TSP_CMD_READ2_RUN_RxToRx = "run_rx_to_rx_read";
    public static final String TSP_CMD_READ2_RxToRx = "get_rx_to_rx";
    public static final String TSP_CMD_READ3_GET_DELTA = "get_delta";
    public static final String TSP_CMD_READ3_INTENSITY = "get_intensity";
    public static final String TSP_CMD_READ3_RUN_DELTA = "run_delta_read";
    public static final String TSP_CMD_READ3_RUN_INTENSITY = "run_intensity_read";
    public static final String TSP_CMD_READ3_RUN_TxToTx = "run_tx_to_tx_read";
    public static final String TSP_CMD_READ3_TxToTx = "get_tx_to_tx";
    public static final String TSP_CMD_READ4_RUN_TxToGND = "run_tx_to_gnd_read";
    public static final String TSP_CMD_READ4_TxToGND = "get_tx_to_gnd";
    public static final String TSP_CMD_READ5_RUN_RAW = "run_raw_read";
    public static final String TSP_CMD_SELFTEST = "run_selftest";
    public static final String TSP_CMD_X_COUNT = "get_x_num";
    public static final String TSP_CMD_Y_COUNT = "get_y_num";
    public static final String TSP_FIRMWARE_VERSION_PANEL = "get_fw_ver_ic";
    public static final String TSP_FIRMWARE_VERSION_PHONE = "get_fw_ver_bin";
    public static final String TSP_RETURN_VALUE_NA = "NA";
    public static final String TSP_RETURN_VALUE_NG = "NG";
    public static final String TSP_RETURN_VALUE_OK = "OK";
    public static final int TYPE_EXTERNAL_STORAGE = 1;
    public static final int TYPE_INTERNAL_STORAGE = 0;
    public static final int TYPE_USB_STORAGE = 2;
    public static final int UNIT_BYTE = 0;
    public static final int UNIT_GB = 1073741824;
    public static final int UNIT_KB = 1024;
    public static final int UNIT_MB = 1048576;
    public static final int USER_STORAGE_1 = 0;
    public static final int USER_STORAGE_2 = 1;
    public static int WHITELED_COUNT = 0;
    public static String WHITELED_OFF = Support.Spec.getString(Support.Spec.WHITELED_OFF);
    public static String WHITELED_ON = Support.Spec.getString(Support.Spec.WHITELED_ON);
    private static StorageVolume mExternalSDStorageVolume = null;
    private static ModuleDevice mInstance = null;
    private static StorageVolume mInternalSDStorageVolume = null;
    private static boolean mRunningIRLedThread = false;
    private static StorageVolume mUSBStorageVolume = null;
    public static final String mood_led_node = "MOOD_LED_NODE";
    private static final int usbModeCheck_KIES = 0;
    private static final int usbModeCheck_MTP = 1;
    private static final int usbModeCheck_QDM = 4;
    private Thread mIRLedThread;
    private boolean mIsInsertedSdcard = false;
    private boolean mIsMountedExternalStorage = false;
    private boolean mIsMountedUsbStorage = false;
    private boolean mIsVibrating = false;
    private StorageManager mStorageManager = null;
    public String mTSPVendorName;
    private UsbManager mUsbManager;
    private final Vibrator mVibrator;
    private final BroadcastReceiver mVolumeStateReceiver;

    public enum SwpType {
        SWP1,
        SWP2
    }

    static {
        WHITELED_COUNT = 8;
        try {
            WHITELED_COUNT = Integer.parseInt(Support.Spec.getString(Support.Spec.WHITELED_COUNT));
        } catch (Exception e) {
            FtUtil.log_e(e);
        }
    }

    private ModuleDevice(Context context) {
        super(context, "ModuleDevice");
        AnonymousClass1 r2 = new BroadcastReceiver() {
            /* class com.sec.factory.modules.ModuleDevice.AnonymousClass1 */

            public void onReceive(Context context, Intent intent) {
                String action = intent.getAction();
                int extra = intent.getIntExtra("android.os.storage.extra.VOLUME_STATE", -1);
                String extra_volume_id = intent.getStringExtra("android.os.storage.extra.VOLUME_ID");
                String str = ModuleDevice.this.CLASS_NAME;
                FtUtil.log_i(str, "mVolumeStateReceiver.onReceive", "action : " + action);
                String str2 = ModuleDevice.this.CLASS_NAME;
                FtUtil.log_i(str2, "mVolumeStateReceiver.onReceive", "extra : " + extra);
                String str3 = ModuleDevice.this.CLASS_NAME;
                FtUtil.log_i(str3, "mVolumeStateReceiver.onReceive", "extra_volume_id : " + extra_volume_id);
                boolean isInsertedSdcard = "INSERT".equalsIgnoreCase(ModuleDevice.this.getStateExternalMemory());
                if (extra == 2 || extra == 3) {
                    if (ModuleDevice.this.mIsInsertedSdcard || !isInsertedSdcard) {
                        boolean wasMountedUsbStorage = ModuleDevice.this.mIsMountedUsbStorage;
                        ModuleDevice.this.mIsMountedUsbStorage = true;
                        String str4 = ModuleDevice.this.CLASS_NAME;
                        FtUtil.log_i(str4, "mVolumeStateReceiver.onReceive", " wasMountedUsbStorage : " + wasMountedUsbStorage);
                        String str5 = ModuleDevice.this.CLASS_NAME;
                        FtUtil.log_i(str5, "mVolumeStateReceiver.onReceive", " mIsMountedUsbStorage : " + ModuleDevice.this.mIsMountedUsbStorage);
                        if (!wasMountedUsbStorage) {
                            Intent intent2 = new Intent(ModuleDevice.ACTION_USB_STORAGE_MOUNTED);
                            intent2.putExtra("android.os.storage.extra.VOLUME_ID", extra_volume_id);
                            ModuleDevice.this.sendBroadcast(intent2);
                            return;
                        }
                        return;
                    }
                    ModuleDevice.this.mIsInsertedSdcard = isInsertedSdcard;
                    String str6 = ModuleDevice.this.CLASS_NAME;
                    FtUtil.log_i(str6, "mVolumeStateReceiver.onReceive", "sdcard state : " + ModuleDevice.this.mIsInsertedSdcard);
                } else if (extra != 0) {
                } else {
                    if (!ModuleDevice.this.mIsInsertedSdcard && isInsertedSdcard) {
                        String str7 = ModuleDevice.this.CLASS_NAME;
                        FtUtil.log_i(str7, "mVolumeStateReceiver.onReceive", "sdcard state : " + ModuleDevice.this.mIsInsertedSdcard);
                    } else if (!ModuleDevice.this.mIsInsertedSdcard || isInsertedSdcard) {
                        boolean wasMountedUsbStorage2 = ModuleDevice.this.mIsMountedUsbStorage;
                        ModuleDevice.this.mIsMountedUsbStorage = false;
                        String str8 = ModuleDevice.this.CLASS_NAME;
                        FtUtil.log_i(str8, "mVolumeStateReceiver.onReceive", "wasMountedUsbStorage : " + wasMountedUsbStorage2);
                        String str9 = ModuleDevice.this.CLASS_NAME;
                        FtUtil.log_i(str9, "mVolumeStateReceiver.onReceive", "mIsMountedUsbStorage : " + ModuleDevice.this.mIsMountedUsbStorage);
                        if (wasMountedUsbStorage2) {
                            ModuleDevice.this.sendBroadcast(new Intent(ModuleDevice.ACTION_USB_STORAGE_UNMOUNTED));
                        }
                    } else {
                        ModuleDevice.this.mIsInsertedSdcard = isInsertedSdcard;
                        String str10 = ModuleDevice.this.CLASS_NAME;
                        FtUtil.log_i(str10, "mVolumeStateReceiver.onReceive", "sdcard state : " + ModuleDevice.this.mIsInsertedSdcard);
                    }
                }
            }
        };
        this.mVolumeStateReceiver = r2;
        this.mTSPVendorName = "";
        this.mUsbManager = null;
        this.mIRLedThread = null;
        FtUtil.log_i(this.CLASS_NAME, "ModuleDevice", "Create ModuleDevice");
        this.mVibrator = (Vibrator) getSystemService("vibrator");
        this.mStorageManager = (StorageManager) getSystemService("storage");
        this.mUsbManager = (UsbManager) getSystemService("usb");
        IntentFilter volumeFilter = new IntentFilter();
        volumeFilter.addAction("android.os.storage.action.VOLUME_STATE_CHANGED");
        registerReceiver(r2, volumeFilter);
        FtUtil.log_i(this.CLASS_NAME, "ModuleDevice", "registerReceiver OK");
        updateStorageMountState();
        this.mIsInsertedSdcard = this.mIsMountedExternalStorage;
        this.mTSPVendorName = ModuleTouchScreen.instance(context).getTSPVendorName();
    }

    public static synchronized ModuleDevice instance(Context context) {
        ModuleDevice moduleDevice;
        synchronized (ModuleDevice.class) {
            if (mInstance == null) {
                mInstance = new ModuleDevice(context);
            }
            moduleDevice = mInstance;
        }
        return moduleDevice;
    }

    /* access modifiers changed from: protected */
    public void finalize() throws Throwable {
        FtUtil.log_i(this.CLASS_NAME, "ModuleDevice", "finalize ModuleDevice");
        super.finalize();
    }

    public boolean isKeyPress() {
        boolean result = false;
        String[] PRESSED_STRING = {"press", "pressed", "PRESS", "PRESSED", EgisFingerprint.MAJOR_VERSION, "2", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "4", "7", "8"};
        SemInputDeviceManager mInputDeviceManager = (SemInputDeviceManager) mContext.getSystemService("SemInputDeviceManagerService");
        boolean[] keyPressed = {mInputDeviceManager.isKeyPressedByKeycode(115), mInputDeviceManager.isKeyPressedByKeycode(114), mInputDeviceManager.isKeyPressedByKeycode(116), mInputDeviceManager.isKeyPressedByKeycode(252), mInputDeviceManager.isKeyPressedByKeycode(248), mInputDeviceManager.isKeyPressedByKeycode(672)};
        String keyState_ear = Support.Kernel.read(Support.Kernel.EARJACK_SWITCH_STATE);
        for (int i = 0; i < keyPressed.length; i++) {
            if (keyPressed[i]) {
                String str = this.CLASS_NAME;
                FtUtil.log_i(str, "isKeyPress", "key[" + i + "] : pressed");
                result = true;
            }
        }
        for (int i2 = 0; i2 < PRESSED_STRING.length; i2++) {
            if (keyState_ear != null && PRESSED_STRING[i2].contains(keyState_ear)) {
                String str2 = this.CLASS_NAME;
                FtUtil.log_i(str2, "isKeyPress", "earphone_key:" + keyState_ear);
                result = true;
            }
        }
        if (Support.Kernel.isExistFile(Support.Kernel.PATH_EARPHONE_KEY_ADC) || keyState_ear == null || !"0".equals(keyState_ear)) {
            return result;
        }
        FtUtil.log_i(this.CLASS_NAME, "isKeyPress", "Ear SEND_END");
        return true;
    }

    public boolean isEarSwitchPress() {
        int retryCounter = 5;
        boolean supportADC = true;
        boolean result = false;
        if (!Support.Kernel.isExistFile(Support.Kernel.PATH_EARPHONE_KEY_ADC)) {
            supportADC = false;
        }
        while (true) {
            if (retryCounter <= 0) {
                break;
            }
            retryCounter--;
            String state = Support.Kernel.read(Support.Kernel.EARJACK_SWITCH_STATE);
            if (supportADC && EgisFingerprint.MAJOR_VERSION.equals(state)) {
                FtUtil.log_i(this.CLASS_NAME, "isEarSwitchPress", "EARJACK_SWITCH_STATE is pressed");
                result = true;
                break;
            } else if (supportADC || (!"0".equals(state) && !EgisFingerprint.MAJOR_VERSION.equals(state))) {
                try {
                    Thread.sleep(100);
                } catch (InterruptedException e) {
                    e.printStackTrace();
                }
            }
        }
        FtUtil.log_i(this.CLASS_NAME, "isEarSwitchPress", "EARJACK_SWITCH_STATE is pressed");
        result = true;
        FtUtil.log_i(this.CLASS_NAME, "isEarSwitchPress", "EARJACK_SWITCH_STATE is released");
        return result;
    }

    public void startVibrate() {
        FtUtil.log_i(this.CLASS_NAME, "startVibrate", "Start Vibrate pattern={0, 5000}");
        this.mVibrator.vibrate(new long[]{0, 5000}, 0);
        this.mIsVibrating = true;
    }

    public void startVibrate(long milliseconds) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "startVibrate", "Start Vibrate : " + milliseconds + " sec");
        if (!this.mIsVibrating) {
            if (!Support.TestCase.getEnabled(Support.TestCase.IS_VIBETONZ_UNSUPPORTED) || milliseconds != TIMELESS_VIBRATOR) {
                this.mVibrator.vibrate(milliseconds);
            } else {
                String[] patternValues = Support.TestCase.getString(Support.TestCase.IS_VIBETONZ_UNSUPPORTED).split(",");
                int turnOnTime = Integer.parseInt(patternValues[0].trim());
                int vibeDurationTime = Integer.parseInt(patternValues[1].trim());
                this.mVibrator.vibrate(new long[]{(long) turnOnTime, (long) vibeDurationTime}, 0);
            }
            this.mIsVibrating = true;
        }
    }

    public void startVibrate(long[] pattern) {
        this.mVibrator.vibrate(pattern, 0);
        this.mIsVibrating = true;
    }

    public boolean startVibrateVrms(long[] pattern, float vrms) {
        VibrationEffect waveform = VibrationEffect.createWaveform(pattern, new int[]{0, -1}, 0);
        waveform.semSetMagnitudeType(VibrationEffect.SemMagnitudeType.TYPE_MAX);
        if (Float.compare(vrms, 1.6f) == 0) {
            this.mVibrator.vibrate(waveform, new AudioAttributes.Builder().setContentType(0).setUsage(901).build());
            this.mIsVibrating = true;
            return true;
        }
        FtUtil.log_i(this.CLASS_NAME, "startVibrate", "vrms is not 1.6f");
        return false;
    }

    public void startVibrate(long[] pattern, int[] amplitudes) {
        VibrationEffect waveform = VibrationEffect.createWaveform(pattern, amplitudes, 0);
        waveform.semSetMagnitudeType(VibrationEffect.SemMagnitudeType.TYPE_MAX);
        this.mVibrator.vibrate(waveform);
        this.mIsVibrating = true;
    }

    public void stopVibrate() {
        FtUtil.log_i(this.CLASS_NAME, "stopVibrate", "Stop Vibrate");
        if (this.mIsVibrating) {
            this.mVibrator.cancel();
            this.mIsVibrating = false;
        }
    }

    public boolean isVibrating() {
        return this.mIsVibrating;
    }

    public long getSize(int storage, int unit) {
        StatFs stat = new StatFs(STORAGE_PATH[storage]);
        return (((long) stat.getBlockCount()) * ((long) stat.getBlockSize())) / ((long) unit);
    }

    public long getAvailableSize(int storage, int unit) {
        StatFs stat = new StatFs(STORAGE_PATH[storage]);
        return (((long) stat.getAvailableBlocks()) * ((long) stat.getBlockSize())) / ((long) unit);
    }

    public long getInnerMemoryDevSize(int unit) {
        long maxUfsDeviceSize;
        if (Support.Feature.getBoolean(Support.Feature.SUPPORT_UFS, true)) {
            long maxUfsDeviceSize2 = 0;
            if (Support.Kernel.isExistFile(Support.Kernel.UFS_DEVICE_SIZE_A)) {
                try {
                    long ufsDeviceSize = Long.parseLong(Support.Kernel.read(Support.Kernel.UFS_DEVICE_SIZE_A));
                    if (ufsDeviceSize > 0) {
                        maxUfsDeviceSize2 = ufsDeviceSize;
                    }
                } catch (NumberFormatException ne) {
                    FtUtil.log_e(this.CLASS_NAME, "getInnerMemoryDevSize", "NumberFormatException");
                    ne.printStackTrace();
                }
            }
            if (Support.Kernel.isExistFile(Support.Kernel.UFS_DEVICE_SIZE_B)) {
                try {
                    long ufsDeviceSize2 = Long.parseLong(Support.Kernel.read(Support.Kernel.UFS_DEVICE_SIZE_B));
                    if (ufsDeviceSize2 > maxUfsDeviceSize2) {
                        maxUfsDeviceSize2 = ufsDeviceSize2;
                    }
                } catch (NumberFormatException ne2) {
                    FtUtil.log_e(this.CLASS_NAME, "getInnerMemoryDevSize", "NumberFormatException");
                    ne2.printStackTrace();
                }
            }
            if (Support.Kernel.isExistFile(Support.Kernel.UFS_DEVICE_SIZE_C)) {
                try {
                    long ufsDeviceSize3 = Long.parseLong(Support.Kernel.read(Support.Kernel.UFS_DEVICE_SIZE_C));
                    if (ufsDeviceSize3 > maxUfsDeviceSize2) {
                        maxUfsDeviceSize2 = ufsDeviceSize3;
                    }
                } catch (NumberFormatException ne3) {
                    FtUtil.log_e(this.CLASS_NAME, "getInnerMemoryDevSize", "NumberFormatException");
                    ne3.printStackTrace();
                }
            }
            if (Support.Kernel.isExistFile(Support.Kernel.UFS_DEVICE_SIZE_D)) {
                try {
                    long ufsDeviceSize4 = Long.parseLong(Support.Kernel.read(Support.Kernel.UFS_DEVICE_SIZE_D));
                    if (ufsDeviceSize4 > maxUfsDeviceSize2) {
                        maxUfsDeviceSize2 = ufsDeviceSize4;
                    }
                } catch (NumberFormatException ne4) {
                    FtUtil.log_e(this.CLASS_NAME, "getInnerMemoryDevSize", "NumberFormatException");
                    ne4.printStackTrace();
                }
            }
            if (Support.Kernel.isExistFile(Support.Kernel.UFS_DEVICE_SIZE_E)) {
                try {
                    long ufsDeviceSize5 = Long.parseLong(Support.Kernel.read(Support.Kernel.UFS_DEVICE_SIZE_E));
                    if (ufsDeviceSize5 > maxUfsDeviceSize2) {
                        maxUfsDeviceSize2 = ufsDeviceSize5;
                    }
                } catch (NumberFormatException ne5) {
                    FtUtil.log_e(this.CLASS_NAME, "getInnerMemoryDevSize", "NumberFormatException");
                    ne5.printStackTrace();
                }
            }
            if (Support.Kernel.isExistFile(Support.Kernel.UFS_DEVICE_SIZE_F)) {
                try {
                    long ufsDeviceSize6 = Long.parseLong(Support.Kernel.read(Support.Kernel.UFS_DEVICE_SIZE_F));
                    if (ufsDeviceSize6 > maxUfsDeviceSize2) {
                        maxUfsDeviceSize2 = ufsDeviceSize6;
                    }
                } catch (NumberFormatException ne6) {
                    FtUtil.log_e(this.CLASS_NAME, "getInnerMemoryDevSize", "NumberFormatException");
                    ne6.printStackTrace();
                }
            }
            if (Support.Kernel.isExistFile(Support.Kernel.UFS_DEVICE_SIZE_G)) {
                try {
                    long ufsDeviceSize7 = Long.parseLong(Support.Kernel.read(Support.Kernel.UFS_DEVICE_SIZE_G));
                    if (ufsDeviceSize7 > maxUfsDeviceSize2) {
                        maxUfsDeviceSize2 = ufsDeviceSize7;
                    }
                } catch (NumberFormatException ne7) {
                    FtUtil.log_e(this.CLASS_NAME, "getInnerMemoryDevSize", "NumberFormatException");
                    ne7.printStackTrace();
                }
            }
            if (Support.Kernel.isExistFile(Support.Kernel.UFS_DEVICE_SIZE_H)) {
                try {
                    long ufsDeviceSize8 = Long.parseLong(Support.Kernel.read(Support.Kernel.UFS_DEVICE_SIZE_H));
                    if (ufsDeviceSize8 > maxUfsDeviceSize2) {
                        maxUfsDeviceSize2 = ufsDeviceSize8;
                    }
                } catch (NumberFormatException ne8) {
                    FtUtil.log_e(this.CLASS_NAME, "getInnerMemoryDevSize", "NumberFormatException");
                    ne8.printStackTrace();
                }
            }
            String str = this.CLASS_NAME;
            FtUtil.log_i(str, "getInnerMemoryDevSize", "maxUfsDeviceSize: " + maxUfsDeviceSize2);
            maxUfsDeviceSize = maxUfsDeviceSize2 * 512;
        } else {
            try {
                maxUfsDeviceSize = Long.parseLong(Support.Kernel.read(Support.Kernel.IMEM_DEVICE_SIZE)) * 512;
            } catch (NumberFormatException ne9) {
                FtUtil.log_e(this.CLASS_NAME, "getInnerMemoryDevSize", "NumberFormatException");
                FtUtil.log_e(ne9);
                return -1;
            }
        }
        return maxUfsDeviceSize / ((long) unit);
    }

    public boolean isExternalMemoryExist() {
        String state = Environment.getExternalStorageState();
        return "mounted".equalsIgnoreCase(state) || "unmounted".equalsIgnoreCase(state) || "mounted_ro".equalsIgnoreCase(state);
    }

    public String getTotalMemory() {
        ActivityManager.MemoryInfo memInfo = new ActivityManager.MemoryInfo();
        ((ActivityManager) getSystemService("activity")).getMemoryInfo(memInfo);
        long total = memInfo.totalMem;
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "getTotalMemory", "ActivityManager.MemoryInfo : " + total);
        long total2 = total / PlaybackStateCompat.ACTION_SET_CAPTIONING_ENABLED;
        if ("on".equalsIgnoreCase(Support.Properties.get(Support.Properties.CP_RAM_LOGGING))) {
            total2 += 100;
        }
        if (total2 > 10240) {
            return "12";
        }
        if (total2 > PlaybackStateCompat.ACTION_PLAY_FROM_URI) {
            return "10";
        }
        if (total2 > 6144) {
            return "8";
        }
        if (total2 > PlaybackStateCompat.ACTION_SKIP_TO_QUEUE_ITEM) {
            return "6";
        }
        if (total2 > 3172) {
            return "4";
        }
        if (total2 > 2560) {
            return egis.optical.client.api.EgisFingerprint.MAJOR_VERSION;
        }
        if (total2 > 2079) {
            return "2.5";
        }
        if (total2 > 1536) {
            return "2";
        }
        if (total2 > PlaybackStateCompat.ACTION_PLAY_FROM_MEDIA_ID) {
            return "1.5";
        }
        if (total2 > 710) {
            return EgisFingerprint.MAJOR_VERSION;
        }
        if (total2 > 512) {
            return "0.7";
        }
        return "0.5";
    }

    public String int_extMEMOSize(int type, boolean isByte) {
        StatFs stat = new StatFs(getStoragePath(type));
        long totalMass = ((long) stat.getBlockCount()) * ((long) stat.getBlockSize());
        long freeMass = ((long) stat.getFreeBlocks()) * ((long) stat.getBlockSize());
        long usedMass = totalMass - freeMass;
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "externalMEMOSize", "[Main]TotalMass : " + totalMass + "Bytes, FreeMass : " + freeMass + "Bytes, UsedMass : " + usedMass + "Bytes");
        StringBuilder sb = new StringBuilder();
        sb.append(Long.toString(totalMass));
        sb.append(",");
        sb.append(Long.toString(usedMass));
        String resData = sb.toString();
        String str2 = this.CLASS_NAME;
        FtUtil.log_i(str2, "externalMEMOSize", "resData=" + resData);
        return resData;
    }

    public String getStateExternalMemory() {
        return Support.Kernel.read(Support.Kernel.EXTERNAL_MEMORY_INSERTED);
    }

    public String setStorageVolumeState(int type) {
        List<StorageVolume> storageVolumes = this.mStorageManager.getStorageVolumes();
        int length = storageVolumes.size();
        mInternalSDStorageVolume = null;
        mExternalSDStorageVolume = null;
        mUSBStorageVolume = null;
        for (int i = 0; i < length; i++) {
            String str = this.CLASS_NAME;
            FtUtil.log_i(str, "setStorageVolumeState", "getSubSystem() : " + storageVolumes.get(i).semGetSubSystem());
            String str2 = this.CLASS_NAME;
            FtUtil.log_i(str2, "setStorageVolumeState", "getPath() : " + storageVolumes.get(i).semGetPath());
            if (!storageVolumes.get(i).semGetPath().equals("/storage/Private")) {
                if (storageVolumes.get(i).isRemovable() && storageVolumes.get(i).semGetSubSystem().equals("sd")) {
                    mExternalSDStorageVolume = storageVolumes.get(i);
                } else if (storageVolumes.get(i).semGetSubSystem().equals("fuse")) {
                    mInternalSDStorageVolume = storageVolumes.get(i);
                } else if (storageVolumes.get(i).isRemovable() && storageVolumes.get(i).semGetSubSystem().equals("usb") && storageVolumes.get(i).getState().equals("mounted")) {
                    mUSBStorageVolume = storageVolumes.get(i);
                }
            }
        }
        if (type == 0) {
            StorageVolume storageVolume = mInternalSDStorageVolume;
            if (!(storageVolume == null || storageVolume.semGetPath() == null)) {
                return mInternalSDStorageVolume.getState();
            }
            FtUtil.log_i(this.CLASS_NAME, "setStorageVolumeState", "mInternalSDStorageVolume is null");
            return null;
        } else if (type == 1) {
            StorageVolume storageVolume2 = mExternalSDStorageVolume;
            if (!(storageVolume2 == null || storageVolume2.semGetPath() == null)) {
                return mExternalSDStorageVolume.getState();
            }
            FtUtil.log_i(this.CLASS_NAME, "setStorageVolumeState", "mExternalSDStorageVolume is null");
            return null;
        } else if (type != 2) {
            return null;
        } else {
            StorageVolume storageVolume3 = mUSBStorageVolume;
            if (!(storageVolume3 == null || storageVolume3.semGetPath() == null)) {
                return mUSBStorageVolume.getState();
            }
            FtUtil.log_i(this.CLASS_NAME, "setStorageVolumeState", "mUSBStorageVolume is null");
            return null;
        }
    }

    public boolean isMountedStorage(int type) {
        String state = setStorageVolumeState(type);
        if (state != null) {
            FtUtil.log_i(this.CLASS_NAME, "isMountedStorage", "Environment.MEDIA_MOUNTED : mounted");
            String str = this.CLASS_NAME;
            FtUtil.log_i(str, "isMountedStorage", "state : " + state);
            return state.equals("mounted");
        }
        FtUtil.log_i(this.CLASS_NAME, "isMountedStorage", "another error");
        return false;
    }

    public String getStoragePath(int type) {
        String path = null;
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "getStoragePath", "storage type : " + type);
        if (isMountedStorage(type)) {
            if (type == 0) {
                path = mInternalSDStorageVolume.semGetPath();
            } else if (type == 1) {
                path = mExternalSDStorageVolume.semGetPath();
            } else if (type == 2) {
                path = mUSBStorageVolume.semGetPath();
            }
            String str2 = this.CLASS_NAME;
            FtUtil.log_i(str2, "getStoragePath", "Storage path : " + path);
            return path;
        }
        FtUtil.log_i(this.CLASS_NAME, "getStoragePath", "Storage path : null");
        return null;
    }

    public boolean checkSDCardMount() {
        if (!"INSERT".equalsIgnoreCase(getStateExternalMemory()) || !isMountedStorage(1)) {
            return false;
        }
        return true;
    }

    public void unmount(int type) {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "unmount", "type:" + type);
        if (!isMountedStorage(type)) {
            return;
        }
        if (setStorageVolumeState(type) == null) {
            FtUtil.log_d(this.CLASS_NAME, "unmount", "path is null");
        } else if (type == 0) {
            if (mInternalSDStorageVolume != null) {
                String str2 = this.CLASS_NAME;
                FtUtil.log_d(str2, "unmount", "mInternalSDStorageVolume, volumeId: " + mInternalSDStorageVolume.getId());
                this.mStorageManager.unmount(mInternalSDStorageVolume.getId());
                return;
            }
            FtUtil.log_d(this.CLASS_NAME, "unmount", "mInternalSDStorageVolume is null");
        } else if (type == 1) {
            if (mExternalSDStorageVolume != null) {
                String str3 = this.CLASS_NAME;
                FtUtil.log_d(str3, "unmount", "mExternalSDStorageVolume, volumeId: " + mExternalSDStorageVolume.getId());
                this.mStorageManager.unmount(mExternalSDStorageVolume.getId());
                return;
            }
            FtUtil.log_d(this.CLASS_NAME, "unmount", "mExternalSDStorageVolume is null");
        } else if (type != 2) {
            String str4 = this.CLASS_NAME;
            FtUtil.log_d(str4, "unmount", "un-defined type value, type:" + type);
        } else if (mUSBStorageVolume != null) {
            String str5 = this.CLASS_NAME;
            FtUtil.log_d(str5, "unmount", "mUSBStorageVolume, volumeId: " + mUSBStorageVolume.getId());
            this.mStorageManager.unmount(mUSBStorageVolume.getId());
        } else {
            FtUtil.log_d(this.CLASS_NAME, "unmount", "mUSBStorageVolume is null");
        }
    }

    private void updateStorageMountState() {
        this.mIsMountedExternalStorage = isMountedStorage(1);
        this.mIsMountedUsbStorage = isMountedStorage(2);
    }

    public boolean isUSBMouseAttached(UsbDevice usbDevice) {
        boolean isAttached = false;
        for (int i = 0; i < usbDevice.getInterfaceCount(); i++) {
            UsbInterface intface = usbDevice.getInterface(i);
            int clazz = intface.getInterfaceClass();
            int protocol = intface.getInterfaceProtocol();
            String str = this.CLASS_NAME;
            FtUtil.log_i(str, "isUSBMouseAttached", "class : " + clazz + " , protocol : " + protocol);
            if (clazz == 3 && protocol == 2) {
                isAttached = true;
            }
        }
        return isAttached;
    }

    public boolean isSimCardExist() {
        return isSimCardExist(0);
    }

    public boolean isSimCardExist2() {
        return isSimCardExist(1);
    }

    private boolean isSimCardExist(int slotNum) {
        String methodName = "isSimCardExist" + String.valueOf(slotNum + 1);
        boolean isMultiSimFramework = Support.Feature.getBoolean(Support.Feature.IS_MULTI_SIM_FRAMEWORK);
        boolean isModelGSM = "gsm".equals(Support.Feature.getString(Support.Feature.MODEL_COMMUNICATION_MODE));
        String ChipSetName = Support.Feature.getString(Support.Feature.CHIPSET_NAME);
        boolean isHawai = "Hawai".equalsIgnoreCase(ChipSetName);
        boolean isCapri = "Capri".equalsIgnoreCase(ChipSetName);
        boolean isJava = "java".equalsIgnoreCase(ChipSetName);
        boolean isEOS2 = "EOS2".equalsIgnoreCase(ChipSetName);
        if (isHawai || isCapri || isJava || isEOS2) {
            String Simcard_1 = SystemProperties.get("ril.ICC_TYPE", "0");
            String Simcard_2 = SystemProperties.get("ril.ICC_TYPE2", "0");
            String masterSimMode = SystemProperties.get("ril.MSIMM", "0");
            boolean isSim1Absent = "0".equals(Simcard_1);
            boolean isSim2Absent = "0".equals(Simcard_2);
            if ("0".equals(masterSimMode)) {
                if (slotNum == 0) {
                    if (isSim1Absent) {
                        return false;
                    }
                } else if (isSim2Absent) {
                    return false;
                }
                return true;
            } else if (!EgisFingerprint.MAJOR_VERSION.equals(masterSimMode)) {
                return false;
            } else {
                if (slotNum == 0) {
                    if (isSim2Absent) {
                        return false;
                    }
                } else if (isSim1Absent) {
                    return false;
                }
                return true;
            }
        } else if (!isMultiSimFramework || !isModelGSM) {
            int simStatus = ((TelephonyManager) getSystemService(ModuleTouchScreen.TSP_DEVICE_TYPE__PHONE)).getSimState();
            return (simStatus != 0 && simStatus != 1) && simStatus != 6;
        } else {
            FtUtil.log_d(this.CLASS_NAME, methodName, "Multi SIM Framework && gsm");
            String masterSimMode2 = SystemProperties.get("ril.MSIMM", "0");
            FtUtil.log_d(this.CLASS_NAME, methodName, "multiSimMODE  : " + masterSimMode2);
            if (EgisFingerprint.MAJOR_VERSION.equals(masterSimMode2)) {
                return slotNum != 0;
            }
            return isSimInserted(slotNum);
        }
    }

    private boolean isSimInserted(int slotNum) {
        String multiSimState = getMultiSimState(slotNum);
        if (multiSimState == null) {
            return false;
        }
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "isSimInserted", "multiSimState(slot: " + String.valueOf(slotNum + 1) + ") : " + multiSimState);
        if ("READY".equalsIgnoreCase(multiSimState) || "LOADED".equalsIgnoreCase(multiSimState)) {
            return true;
        }
        return false;
    }

    public String getSimState() {
        return SystemProperties.get("gsm.sim.state", "ABSENT");
    }

    public String getMultiSimState(int slotNum) {
        String[] simState = SystemProperties.get("gsm.sim.state", "ABSENT,ABSENT").split(",");
        if (simState.length <= slotNum) {
            return null;
        }
        return simState[slotNum];
    }

    public String readJigInfo() {
        return Support.Kernel.read(Support.Kernel.JIG_INFO);
    }

    public void writeJigInfo(String jiginfo) {
        Support.Kernel.writeNsync(Support.Kernel.JIG_INFO, jiginfo);
    }

    public String readSerialNo() {
        return Support.Kernel.read(Support.Kernel.SERIAL_NO);
    }

    public void writeSerialNo(String serial) {
        Support.Kernel.writeNsync(Support.Kernel.SERIAL_NO, serial);
    }

    public String readCteiCode() {
        String result = Support.Kernel.read(Support.Kernel.SECEFS_CTEICODE, true, false);
        if (result == null) {
            return "NONE";
        }
        return result;
    }

    public boolean writeCteiCode(String cteicode) {
        return Support.Kernel.writeNsync(Support.Kernel.SECEFS_CTEICODE, cteicode);
    }

    public String readControlNo() {
        String result = Support.Kernel.read(Support.Kernel.CONTROL_NO, true, false);
        if (result == null || "0000000000000".equals(result)) {
            return "NONE";
        }
        return result;
    }

    public boolean writeControlNo(String control) {
        return Support.Kernel.writeNsync(Support.Kernel.CONTROL_NO, control);
    }

    public String readLineSpec() {
        return Support.Kernel.read(Support.Kernel.LINE_SPEC);
    }

    public void writeLineSpec(String lineSpec) {
        Support.Kernel.writeNsync(Support.Kernel.LINE_SPEC, lineSpec);
    }

    public void deleteLineSpec() {
        Support.Kernel.deleteFile(Support.Kernel.LINE_SPEC);
    }

    public String checkWarrnatyBit() {
        String warrnatyBit = Support.Properties.get(Support.Properties.WARRANTY_BIT_CHECK);
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "checkWarrnatyBit", "warrnatyBit=" + warrnatyBit);
        return warrnatyBit;
    }

    public boolean firmwareDownload(int module) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "firmwareDownload", "module=" + module);
        String sysfsid = null;
        switch (module) {
            case 2:
                sysfsid = Support.Kernel.TSK_FIRMWARE_UPDATE;
                break;
        }
        if (sysfsid != null) {
            return Support.Kernel.write(sysfsid, "S");
        }
        FtUtil.log_i(this.CLASS_NAME, "firmwareDownload", "No supported module");
        return false;
    }

    public String readModuleUpdateStatus(int module) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "readModuleStatus", "module=" + module);
        String sysfsid = null;
        switch (module) {
            case 2:
                sysfsid = Support.Kernel.TSK_FIRMWARE_UPDATE_STATUS;
                break;
        }
        String mStatus = null;
        if (sysfsid != null) {
            mStatus = Support.Kernel.read(sysfsid);
        }
        String str2 = this.CLASS_NAME;
        FtUtil.log_i(str2, "readModuleStatus", "status=" + mStatus);
        return mStatus;
    }

    public String readModuleFirmwareVersion(int module) {
        FtUtil.log_i(this.CLASS_NAME, "readModuleFirmwareVersion", "module=" + module);
        String sysfsid = null;
        String version = null;
        switch (module) {
            case 2:
                sysfsid = Support.Kernel.TSK_FIRMWARE_VERSION_PANEL;
                break;
            case 3:
            case 4:
                sysfsid = Support.Kernel.EPEN_FIRMWARE_VERSION;
                break;
            case 5:
                sysfsid = Support.Kernel.SENSORHUB_FIRMWARE_VERSION;
                break;
            case 6:
                sysfsid = Support.Kernel.BARCODE_EMUL_FIRMWARE_VERSION;
                break;
            case 7:
                sysfsid = Support.Kernel.ULTRASONIC_VER_CHECK;
                break;
            case 8:
                sysfsid = Support.Kernel.CAMERA_REAR_OIS_FW_VER;
                break;
        }
        if (module == 1 && !ModuleTouchScreen.TSP_VENDOR_NAME__ATMEL.equals(this.mTSPVendorName) && !ModuleTouchScreen.TSP_VENDOR_NAME__ZINITIX.equals(this.mTSPVendorName)) {
            version = startTSPTest(TSP_FIRMWARE_VERSION_PANEL);
        } else if (module == 3 || module == 4) {
            if (module == 4 && !isEpenChecksumPass()) {
                return "NG_CS";
            }
            try {
                String version2 = Support.Kernel.read(sysfsid);
                FtUtil.log_i(this.CLASS_NAME, "readModuleFirmwareVersion", "version.split '\t' [0]=" + version2.split("\t")[0]);
                FtUtil.log_i(this.CLASS_NAME, "readModuleFirmwareVersion", "version.split '\t' [1]=" + version2.split("\t")[1]);
                version = version2.split("\t")[0].replace("0x", "0");
            } catch (Exception e) {
                e.printStackTrace();
                version = "NG";
            }
        } else if (module == 7) {
            if (isUltrasonicCheckPass()) {
                try {
                    String[] data = Support.Kernel.read(sysfsid).trim().split(",");
                    version = data[0].trim() + "," + data[1].trim();
                    FtUtil.log_i(this.CLASS_NAME, "readModuleFirmwareVersion", "data[0]=" + data[0] + ", data[1]=" + data[1]);
                } catch (Exception e2) {
                    e2.printStackTrace();
                    version = "NG";
                }
            } else {
                version = "NG";
            }
        } else if (sysfsid != null) {
            version = Support.Kernel.read(sysfsid);
        }
        FtUtil.log_i(this.CLASS_NAME, "readModuleFirmwareVersion", "version=" + version);
        return version;
    }

    public String readModuleBinVersion(int module) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "readModuleBinVersion", "module=" + module);
        String sysfsid = null;
        String version = null;
        switch (module) {
            case 2:
                sysfsid = Support.Kernel.TSK_FIRMWARE_VERSION_PHONE;
                break;
            case 3:
            case 4:
                sysfsid = Support.Kernel.EPEN_FIRMWARE_VERSION;
                break;
        }
        if (module == 1 && !ModuleTouchScreen.TSP_VENDOR_NAME__ATMEL.equals(this.mTSPVendorName) && !ModuleTouchScreen.TSP_VENDOR_NAME__ZINITIX.equals(this.mTSPVendorName)) {
            version = startTSPTest(TSP_FIRMWARE_VERSION_PHONE);
        } else if (module == 3 || module == 4) {
            if (module == 4 && !isEpenChecksumPass()) {
                return "N";
            }
            try {
                String version2 = Support.Kernel.read(sysfsid);
                String str2 = this.CLASS_NAME;
                FtUtil.log_i(str2, "readModuleFirmwareVersion", "version.split '\t' [0]=" + version2.split("\t")[0]);
                String str3 = this.CLASS_NAME;
                FtUtil.log_i(str3, "readModuleFirmwareVersion", "version.split '\t' [1]=" + version2.split("\t")[1]);
                version = version2.split("\t")[1].replace("0x", "0");
            } catch (Exception e) {
                e.printStackTrace();
                version = "N";
            }
        } else if (sysfsid != null) {
            version = Support.Kernel.read(sysfsid);
        }
        String str4 = this.CLASS_NAME;
        FtUtil.log_i(str4, "readModuleBinVersion", "version=" + version);
        return version;
    }

    private boolean isEpenChecksumPass() {
        Support.Kernel.write(Support.Kernel.EPEN_CHECKSUM_CHECK, EgisFingerprint.MAJOR_VERSION);
        try {
            Thread.sleep(700);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
        try {
            String result = Support.Kernel.read(Support.Kernel.EPEN_CHECKSUM_RESULT);
            String str = this.CLASS_NAME;
            FtUtil.log_i(str, "isEpenChecksumPass", "result=" + result);
            if (result != null) {
                return result.equalsIgnoreCase("PASS");
            }
            return false;
        } catch (Exception e2) {
            return false;
        }
    }

    public boolean isUltrasonicCheckPass() {
        String[] result;
        String tempResult = Support.Kernel.read(Support.Kernel.ULTRASONIC_VER_CHECK);
        if (tempResult == null || (result = tempResult.trim().split(",")) == null) {
            return false;
        }
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "isUltrasonicCheckPass", "result[0]=" + result[0] + ", result[1]=" + result[1]);
        if (!"5".equalsIgnoreCase(result[0]) || "0".equalsIgnoreCase(result[1])) {
            return false;
        }
        return true;
    }

    public boolean setUSBMode(int mode) {
        boolean result = Settings.Secure.putInt(getContentResolver(), "usb_setting_mode", mode);
        switch (mode) {
            case 0:
            case 1:
                FtUtil.log_i(this.CLASS_NAME, "setUSBMode", "MTP_ADB ");
                Settings.Secure.putInt(getContentResolver(), "adb_enabled", 1);
                this.mUsbManager.setCurrentFunction(STRING_MTP_ADB, true);
                break;
            case 2:
            case 3:
            default:
                FtUtil.log_i(this.CLASS_NAME, "setUSBMode", "default");
                break;
            case 4:
                FtUtil.log_i(this.CLASS_NAME, "setUSBMode", "RNDIS_DM_MODEM ");
                Settings.Secure.putInt(getContentResolver(), "adb_enabled", 0);
                this.mUsbManager.setCurrentFunction(STRING_RNDIS_DM_MODEM, true);
                break;
        }
        return result;
    }

    public boolean runOTGTestInThisThread() {
        boolean z;
        boolean result = false;
        FtUtil.log_i(this.CLASS_NAME, "runOTGTestInThisThread", "Start OTG Test");
        if (Support.Kernel.write(Support.Kernel.OTG_MUIC_SET, OTG_MUIC_ON)) {
            FtUtil.log_i(this.CLASS_NAME, "runOTGTestInThisThread", "Set OTG MUIC success!");
        } else {
            FtUtil.log_i(this.CLASS_NAME, "runOTGTestInThisThread", "Set OTG MUIC fail!");
        }
        if (Support.Kernel.write(Support.Kernel.OTG_TEST_MODE, OTG_TEST_ON)) {
            FtUtil.log_i(this.CLASS_NAME, "runOTGTestInThisThread", "OTG TEST ON");
            FtUtil.log_i(this.CLASS_NAME, "runOTGTestInThisThread", "Wait 2sec...");
            try {
                Thread.sleep(2500);
            } catch (InterruptedException e) {
                FtUtil.log_e(e);
            }
            FtUtil.log_i(this.CLASS_NAME, "runOTGTestInThisThread", "OTG Test Finish");
            if ("ON".equalsIgnoreCase(Support.Kernel.read(Support.Kernel.OTG_TEST_MODE))) {
                z = true;
            } else {
                z = false;
            }
            result = z;
            String str = this.CLASS_NAME;
            FtUtil.log_i(str, "runOTGTestInThisThread", "OTG Test Result=" + result);
            if (!result) {
                Support.Kernel.write(Support.Kernel.OTG_TEST_MODE, OTG_TEST_OFF);
            } else if (Support.Kernel.write(Support.Kernel.OTG_TEST_MODE, OTG_TEST_OFF)) {
                result = true;
            } else {
                result = false;
            }
            FtUtil.log_i(this.CLASS_NAME, "runOTGTestInThisThread", "OTG TEST OFF");
            String str2 = this.CLASS_NAME;
            FtUtil.log_i(str2, "runOTGTestInThisThread", "OTG Test Result=" + result);
            Support.Kernel.write(Support.Kernel.OTG_MUIC_SET, OTG_MUIC_OFF);
        }
        return result;
    }

    public String check_USB_Port(String port_num) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "check_USB_Port", "Start USB " + port_num + " Port Check Test");
        String resData = null;
        if (EgisFingerprint.MAJOR_VERSION.equals(port_num)) {
            resData = Support.Kernel.read(Support.Kernel.USB_1ST_PORT_CHECK);
            if (resData == null) {
                resData = Support.Kernel.read(Support.Kernel.USB_1ST_PORT_SUPER_CHECK);
            }
        } else if ("2".equals(port_num) && (resData = Support.Kernel.read(Support.Kernel.USB_2ST_PORT_CHECK)) == null) {
            resData = Support.Kernel.read(Support.Kernel.USB_2ST_PORT_SUPER_CHECK);
        }
        String str2 = this.CLASS_NAME;
        FtUtil.log_i(str2, "check_USB_Port", "Start USB " + port_num + " Port Check : " + resData);
        if (resData == null) {
            return "NG_NG";
        }
        return "OK_" + resData.substring(0, 3);
    }

    public String startTSPTest(String cmd) {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "startTSPTest", "cmd name => " + cmd);
        return startTSPTest(cmd.getBytes(), cmd.length());
    }

    private String startTSPTest(byte[] cmd, int commandLength) {
        if (Support.Kernel.write(Support.Kernel.TSP_COMMAND_CMD, cmd)) {
            String status = Support.Kernel.read(Support.Kernel.TSP_COMMAND_STATUS);
            String result = Support.Kernel.read(Support.Kernel.TSP_COMMAND_RESULT);
            if (status == null) {
                FtUtil.log_e(this.CLASS_NAME, "startTSPTest", "Fail - Status Read => status == null");
                return "NG";
            } else if ("OK".equals(status)) {
                if (result == null) {
                    FtUtil.log_e(this.CLASS_NAME, "startTSPTest", "Fail - Result Read =>1 result == null");
                    return "NG";
                }
                String str = this.CLASS_NAME;
                FtUtil.log_d(str, "startTSPTest", "result : " + result);
                return result.substring(commandLength + 1, result.length());
            } else if ("NOT_APPLICABLE".equals(status)) {
                String str2 = this.CLASS_NAME;
                FtUtil.log_e(str2, "startTSPTest", "N/A- Status : " + status);
                String str3 = this.CLASS_NAME;
                FtUtil.log_e(str3, "startTSPTest", "N/A - result : " + result);
                if (result != null) {
                    return result.substring(commandLength + 1, result.length());
                }
                FtUtil.log_e(this.CLASS_NAME, "startTSPTest", "Fail - Result Read =>2 result == null");
                return "NG";
            } else {
                String str4 = this.CLASS_NAME;
                FtUtil.log_e(str4, "startTSPTest", "Fail - Status : " + status);
                String str5 = this.CLASS_NAME;
                FtUtil.log_e(str5, "startTSPTest", "Fail - result : " + result);
                return "NG";
            }
        } else {
            FtUtil.log_e(this.CLASS_NAME, "startTSPTest", "Fail - Command Write");
            return "NG";
        }
    }

    public String startTSPReadTest(String command, int x) {
        String temp = startTSPTest(TSP_CMD_X_COUNT);
        if (temp.equals("NG")) {
            FtUtil.log_e(this.CLASS_NAME, "startTSPReadTest", "error - TSP_CMD_X_COUNT");
            return "NG";
        }
        int X_AXIS_MAX = Integer.parseInt(temp, 10);
        String temp2 = startTSPTest(TSP_CMD_Y_COUNT);
        if (temp2.equals("NG")) {
            FtUtil.log_e(this.CLASS_NAME, "startTSPReadTest", "error - TSP_CMD_Y_COUNT");
            return "NG";
        }
        int Y_AXIS_MAX = Integer.parseInt(temp2, 10);
        String result = "";
        if (ModuleTouchScreen.TSP_VENDOR_NAME__SYNAPTICS.equals(this.mTSPVendorName)) {
            for (int y = 0; y < Y_AXIS_MAX; y++) {
                String strCMD = command + "," + x + "," + y;
                result = result + startTSPTest(strCMD.getBytes(), strCMD.length()) + ",";
            }
            return result.substring(0, result.length() - 1);
        } else if (x < X_AXIS_MAX) {
            for (int y2 = 0; y2 < Y_AXIS_MAX; y2++) {
                String strCMD2 = command + "," + x + "," + y2;
                result = result + startTSPTest(strCMD2.getBytes(), strCMD2.length()) + ",";
            }
            return result.substring(0, result.length() - 1);
        } else {
            FtUtil.log_e(this.CLASS_NAME, "startTSPReadTest", "error - X_AXIS >= X_AXIS_MAX");
            return "NG";
        }
    }

    public void turnOnTSKSensitivity() {
        if (new File(Support.Kernel.getFilePath(Support.Kernel.TOUCH_KEY_SENSITIVITY_POWER)).exists()) {
            FtUtil.log_i(this.CLASS_NAME, "turnOnTSKSensitivity", "Turn on TSK Sensitivity");
            Support.Kernel.write(Support.Kernel.TOUCH_KEY_SENSITIVITY_POWER, EgisFingerprint.MAJOR_VERSION);
            return;
        }
        FtUtil.log_i(this.CLASS_NAME, "turnOnTSKSensitivity", "File does not exist");
    }

    public Integer readTSKSensitivity(int keyCode) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "readTSKSensitivity", "keyCode=" + keyCode);
        String value = null;
        switch (keyCode) {
            case 3:
                if (!Support.Feature.getBoolean(Support.Feature.SUPPORT_DUAL_LCD_FOLDER)) {
                    value = Support.Kernel.read(Support.Kernel.TOUCH_KEY_SENSITIVITY_OK);
                    break;
                } else {
                    value = Support.Kernel.read(Support.Kernel.TOUCH_KEY_SENSITIVITY_HOME);
                    break;
                }
            case 4:
                value = Support.Kernel.read(Support.Kernel.TOUCH_KEY_SENSITIVITY_BACK);
                break;
            case 82:
                value = Support.Kernel.read(Support.Kernel.TOUCH_KEY_SENSITIVITY_MENU);
                break;
            case 84:
                value = Support.Kernel.read(Support.Kernel.TOUCH_KEY_SENSITIVITY_SEARCH);
                break;
            case 187:
                value = Support.Kernel.read(Support.Kernel.TOUCH_KEY_SENSITIVITY_APP_SWITCH);
                break;
            case FactoryTestManager.TEST_FOLDED_TELE_CAMERA_CAPTURE:
                value = Support.Kernel.read(Support.Kernel.TOUCH_KEY_SENSITIVITY_RECENT);
                break;
            case KEYCODE_REF1 /*{ENCODED_INT: 254}*/:
                value = Support.Kernel.read(Support.Kernel.TOUCH_KEY_SENSITIVITY_REF1);
                break;
            case 255:
                value = Support.Kernel.read(Support.Kernel.TOUCH_KEY_SENSITIVITY_REF2);
                break;
        }
        if (value == null) {
            return null;
        }
        try {
            return Integer.valueOf(value);
        } catch (NumberFormatException ne) {
            FtUtil.log_e(ne);
            return null;
        }
    }

    public void hoveringOnOFF(String command) {
        String mainCmd = TouchScreenPanel.TSP_STM_HOVER_ENABLE + "," + command;
        FtUtil.log_i(this.CLASS_NAME, "onOffHovering", "mainCmd=" + mainCmd);
        Support.Kernel.write(Support.Kernel.TSP_COMMAND_CMD, mainCmd);
    }

    public boolean turnOnColorLED(String color, int mode) {
        FtUtil.log_i(this.CLASS_NAME, "turnOnColorLED");
        if (mode == 0) {
            StringBuffer buff = new StringBuffer();
            buff.append(color);
            buff.append(" 0");
            String str = this.CLASS_NAME;
            FtUtil.log_i(str, "turnOnColorLED mode=0", "color=" + ((Object) buff));
            return Support.Kernel.write(Support.Kernel.HC_COLORLED_CONTROL, buff.toString());
        } else if (mode == 1) {
            StringBuffer buff2 = new StringBuffer();
            buff2.append(color);
            buff2.append(" 0 1");
            String str2 = this.CLASS_NAME;
            FtUtil.log_i(str2, "turnOnColorLED mode=1", "color=" + ((Object) buff2));
            return Support.Kernel.write(Support.Kernel.HC_COLORLED_BLINK, buff2.toString());
        } else {
            FtUtil.log_i(this.CLASS_NAME, "turnOnColorLED", "No mode");
            return false;
        }
    }

    public boolean turnOffColorLED() {
        FtUtil.log_i(this.CLASS_NAME, "turnOffColorLED");
        return Support.Kernel.write(Support.Kernel.HC_COLORLED_BLINK, COLORLED_OFF);
    }

    public void turnOnWhiteLED() {
        FtUtil.log_i(this.CLASS_NAME, "turnOnWhiteLED");
        for (int i = 0; i < WHITELED_COUNT; i++) {
            StringBuffer buff = new StringBuffer();
            buff.append(WHITELED_ON);
            buff.append(" " + i);
            Support.Kernel.write(Support.Kernel.HC_WHITELED_CONTROL, buff.toString());
        }
    }

    public void turnOffWhiteLED() {
        FtUtil.log_i(this.CLASS_NAME, "turnOffWhiteLED");
        for (int i = 0; i < WHITELED_COUNT; i++) {
            StringBuffer buff = new StringBuffer();
            buff.append(WHITELED_OFF);
            buff.append(" " + i);
            Support.Kernel.write(Support.Kernel.HC_WHITELED_CONTROL, buff.toString());
        }
    }

    public boolean turnOnWhiteLED(int ledno, int brightness) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "turnOnWhiteLED(int ledno, int brightness) : " + ledno + " : " + brightness);
        StringBuilder sb = new StringBuilder();
        sb.append("0x");
        sb.append(String.format("%02X", Integer.valueOf(brightness)));
        String s = sb.toString();
        StringBuffer buff = new StringBuffer();
        buff.append(s);
        buff.append(" " + ledno);
        String str2 = this.CLASS_NAME;
        FtUtil.log_i(str2, "turnOnWhiteLED(int ledno, int brightness) : " + ((Object) buff));
        return Support.Kernel.write(Support.Kernel.HC_WHITELED_CONTROL, buff.toString());
    }

    public boolean setLEDlamp(int state) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "setLEDlamp", "state=" + state);
        switch (state) {
            case 0:
                setTypeLED(0, 0, 0);
                return Support.Kernel.write(Support.Kernel.LED_LOWPOWER, EgisFingerprint.MAJOR_VERSION);
            case 1:
                return Support.Kernel.write(Support.Kernel.LED_BLINK, "0xFFFFFF" + " 60000 0");
            case 2:
                return setTypeLED(255, 0, 0);
            case 3:
                return setTypeLED(0, 255, 0);
            case 4:
                return setTypeLED(0, 0, 255);
            case 5:
                return Support.Kernel.write(Support.Kernel.LED_LOWPOWER, "0");
            case 6:
                return setTypeLED(255, 255, 0);
            default:
                return false;
        }
    }

    private boolean writeMoodLED(String value) {
        return Support.Kernel.write("MOOD_LED_NODE", "A " + value + " " + "1000 " + "0 " + "0");
    }

    public boolean setMoodLEDlamp(int state) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "setMoodLEDlamp", "state=" + state);
        switch (state) {
            case 0:
                return writeMoodLED("0");
            case 1:
                return writeMoodLED(MOOD_LED_UX5_COLOR_1);
            case 2:
                return writeMoodLED(MOOD_LED_UX5_COLOR_2);
            case 3:
                return writeMoodLED(MOOD_LED_UX5_COLOR_3);
            case 4:
                return writeMoodLED(MOOD_LED_UX5_COLOR_4);
            case 5:
                return writeMoodLED(MOOD_LED_UX5_COLOR_5);
            case 6:
                return writeMoodLED(MOOD_LED_RGB_COLOR_1);
            case 7:
                return writeMoodLED(MOOD_LED_RGB_COLOR_2);
            case 8:
                return writeMoodLED(MOOD_LED_RGB_COLOR_3);
            default:
                return false;
        }
    }

    private boolean setTypeLED(int setR, int setG, int setB) {
        FtUtil.log_i(this.CLASS_NAME, "setTypeLED", " setMix : " + String.format("%02X", Integer.valueOf(setR)) + String.format("%02X", Integer.valueOf(setG)) + String.format("%02X", Integer.valueOf(setB)));
        String setMix = String.format("%02X", Integer.valueOf(setR)) + String.format("%02X", Integer.valueOf(setG)) + String.format("%02X", Integer.valueOf(setB)) + " 60000 0";
        FtUtil.log_i(this.CLASS_NAME, "setTypeLED", setMix);
        return Support.Kernel.write(Support.Kernel.LED_BLINK, "0x" + setMix);
    }

    public boolean turnOn4Led(int led, String color, int onTime, int offTime) {
        if (led == 0) {
            led = 15;
        }
        char c = 65535;
        switch (color.hashCode()) {
            case 49:
                if (color.equals(EgisFingerprint.MAJOR_VERSION)) {
                    c = 0;
                    break;
                }
                break;
            case 50:
                if (color.equals("2")) {
                    c = 1;
                    break;
                }
                break;
            case 51:
                if (color.equals(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION)) {
                    c = 2;
                    break;
                }
                break;
            case 52:
                if (color.equals("4")) {
                    c = 3;
                    break;
                }
                break;
            case 53:
                if (color.equals("5")) {
                    c = 4;
                    break;
                }
                break;
        }
        switch (c) {
            case 0:
                color = LED4_RED;
                break;
            case 1:
                color = LED4_GREEN;
                break;
            case 2:
                color = LED4_BLUE;
                break;
            case 3:
                color = LED4_YELLOW;
                break;
            case 4:
                color = LED4_WHITE;
                break;
        }
        return Support.Kernel.write(Support.Kernel.LED_CONTROL, Integer.toString(led) + " " + color + " " + Integer.toString(onTime) + " " + Integer.toString(offTime));
    }

    public boolean turnOff4Led(int led) {
        if (led == 0) {
            led = 15;
        }
        return Support.Kernel.write(Support.Kernel.LED_CONTROL, Integer.toString(led) + " " + LED4_OFF + " 0 0");
    }

    public void sendToPMSLEDControl(boolean b) {
        if (b) {
            FtUtil.log_i(this.CLASS_NAME, "sendToPMSLEDControl", "com.sec.factory.START_LED_CONTROL");
            sendBroadcast(new Intent("com.sec.factory.START_LED_CONTROL"));
            return;
        }
        FtUtil.log_i(this.CLASS_NAME, "sendToPMSLEDControl", "com.sec.factory.STOP_LED_CONTROL");
        sendBroadcast(new Intent("com.sec.factory.STOP_LED_CONTROL"));
    }

    public boolean turnOnOff5GLogoLed(boolean mOnOff) {
        if (mOnOff) {
            return Support.Kernel.write(Support.Kernel.LOGO_LIGHT_TEST_LED_PATTERN, EgisFingerprint.MAJOR_VERSION);
        }
        return Support.Kernel.write(Support.Kernel.LOGO_LIGHT_TEST_LED_PATTERN, "0");
    }

    public int getSpeakerCount() {
        return Support.Feature.getInt(Support.Feature.SPEAKER_COUNT);
    }

    public boolean startIRLedSignal(String control, int duration) {
        FtUtil.log_i(this.CLASS_NAME, "startIRLedSignal");
        if (!Support.Kernel.isExistFileID(Support.Kernel.IR_LED_SEND)) {
            return false;
        }
        if (this.mIRLedThread != null) {
            stopIRLedSignal();
        }
        if (Support.Kernel.isExistFileID(Support.Kernel.IR_LED_SEND_TEST)) {
            Support.Kernel.write(Support.Kernel.IR_LED_SEND_TEST, IRLEDON);
        }
        if (Support.TestCase.getEnabled(Support.TestCase.IS_IRLED_TEST_SPLIT_COMMAND)) {
            try {
                FileOutputStream out = new FileOutputStream(Support.Kernel.IR_LED_SEND);
                try {
                    Thread thread = new Thread(new IRLedRunnable(control, duration, out, mContext));
                    this.mIRLedThread = thread;
                    thread.start();
                    out.close();
                } catch (Throwable th) {
                    th.addSuppressed(th);
                }
            } catch (FileNotFoundException fe) {
                FtUtil.log_e(fe);
            } catch (IOException ie) {
                FtUtil.log_e(ie);
            }
        } else {
            Thread thread2 = new Thread(new IRLedRunnable(control, duration, null, mContext));
            this.mIRLedThread = thread2;
            thread2.start();
        }
        Thread thread3 = this.mIRLedThread;
        if (thread3 == null || !thread3.isAlive()) {
            return false;
        }
        return true;
        throw th;
    }

    public boolean stopIRLedSignal() {
        FtUtil.log_i(this.CLASS_NAME, "stopIRLedSignal");
        int counter = 20;
        Thread thread = this.mIRLedThread;
        if (thread != null && thread.isAlive()) {
            this.mIRLedThread.interrupt();
        }
        while (mRunningIRLedThread) {
            counter--;
            if (counter < 0) {
                FtUtil.log_e(this.CLASS_NAME, "stopIRLedSignal", "Can not stop IRLED Thread");
                return false;
            }
            try {
                Thread.sleep(100);
            } catch (InterruptedException localInterruptedException2) {
                FtUtil.log_e(localInterruptedException2);
            }
        }
        this.mIRLedThread = null;
        if (!Support.Kernel.isExistFileID(Support.Kernel.IR_LED_SEND_TEST)) {
            return true;
        }
        Support.Kernel.write(Support.Kernel.IR_LED_SEND_TEST, IRLEDOFF);
        return true;
    }

    public class IRLedRunnable implements Runnable {
        private final Context context;
        private final String control;
        private final int duration;
        private final FileOutputStream fos;

        public IRLedRunnable(String control2, int duration2, FileOutputStream fos2, Context context2) {
            this.control = control2;
            this.duration = duration2;
            this.fos = fos2;
            this.context = context2;
        }

        public void run() {
            boolean unused = ModuleDevice.mRunningIRLedThread = true;
            if (this.fos != null) {
                String[] splitData = this.control.split(",");
                while (!ModuleDevice.this.mIRLedThread.isInterrupted()) {
                    for (String str : splitData) {
                        try {
                            this.fos.write(str.getBytes());
                        } catch (Exception e) {
                            FtUtil.log_e(e);
                        }
                    }
                    this.fos.write("0".getBytes());
                    this.fos.flush();
                    this.fos.getFD().sync();
                    try {
                        Thread.sleep((long) this.duration);
                    } catch (InterruptedException localInterruptedException2) {
                        FtUtil.log_e(localInterruptedException2);
                    }
                }
                FileOutputStream fileOutputStream = this.fos;
                if (fileOutputStream != null) {
                    try {
                        fileOutputStream.close();
                    } catch (IOException ie) {
                        FtUtil.log_e(ie);
                    }
                }
            } else {
                byte[] arrayOfByte = this.control.getBytes();
                while (!ModuleDevice.this.mIRLedThread.isInterrupted()) {
                    Support.Kernel.write(Support.Kernel.IR_LED_SEND, arrayOfByte);
                    try {
                        Thread.sleep((long) this.duration);
                    } catch (InterruptedException localInterruptedException1) {
                        FtUtil.log_e(localInterruptedException1);
                    }
                }
            }
            boolean unused2 = ModuleDevice.mRunningIRLedThread = false;
        }
    }

    public void setLPAmode(String lpaMode) {
        boolean result = Support.Kernel.write(Support.Kernel.LPA_MODE_SET, lpaMode);
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "setLpaMode", "lpaMode : " + lpaMode + " Result: " + result);
    }

    public void setLPMmode(String lpmMode) {
        boolean result = Support.Kernel.write(Support.Kernel.LPM_MODE_SET, lpmMode);
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "setLpmMode", "lpmMode : " + lpmMode + " Result: " + result);
    }

    public void setCcicLPMmode(String lpmMode) {
        boolean result;
        if (Support.Kernel.isExistFileID(Support.Kernel.CCIC_LPM_MODE)) {
            FtUtil.log_d(this.CLASS_NAME, "setCcicLPMmode", "Delay for JIG_ON - 30 ms");
            try {
                Thread.sleep(30);
            } catch (InterruptedException e) {
                e.printStackTrace();
            }
            boolean result2 = Support.Kernel.write(Support.Kernel.CCIC_LPM_MODE, lpmMode);
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "setCcicLPMmode", "lpmMode : " + lpmMode + " Result: " + result2);
        } else {
            FtUtil.log_d(this.CLASS_NAME, "setCcicLPMmode", "CCIC LPM Mode sysfs was not existed...");
        }
        if (Support.Kernel.isExistFileID(Support.Kernel.MUIC_JIG_ON)) {
            String str2 = CCIC_LPM_MODE_ENABLE;
            if (str2.equals(lpmMode)) {
                result = Support.Kernel.write(Support.Kernel.MUIC_JIG_ON, EgisFingerprint.MAJOR_VERSION);
            } else {
                result = Support.Kernel.write(Support.Kernel.MUIC_JIG_ON, "0");
            }
            String str3 = this.CLASS_NAME;
            FtUtil.log_d(str3, "setMuicMode", "MUIC mode : " + str2.equals(lpmMode) + " Result: " + result);
            return;
        }
        FtUtil.log_d(this.CLASS_NAME, "setMuicMode", "MUIC JIG ON sysfs was not existed...");
    }

    public void startSensorHubTest() {
        FtUtil.log_i(this.CLASS_NAME, "startSensorHbTest", "Start sensorhub test");
        Support.Kernel.write(Support.Kernel.SENSORHUB_MCU, EgisFingerprint.MAJOR_VERSION);
    }

    public String readSensorHubResult() {
        String result = Support.Kernel.read(Support.Kernel.SENSORHUB_MCU);
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "readSensorHubResult", "result=" + result);
        return result;
    }

    public enum HallIC {
        FOLDER_STATE_OPEN,
        FOLDER_STATE_CLOSE,
        FOLDER_STATE_ERROR;
        
        public static final String CLASS_NAME = "ModuleDevice.HallIC";

        public static HallIC getHallICState() {
            FtUtil.log_i(CLASS_NAME, "getHallICState", null);
            try {
                String state1 = Support.Kernel.read(Support.Kernel.PATH_HALLIC_DETECT_STATE);
                FtUtil.log_i(CLASS_NAME, "getHallICState", "state - hall IC 1 ( " + state1 + " )");
                if (!"OPEN".equals(state1)) {
                    if (!EgisFingerprint.MAJOR_VERSION.equals(state1)) {
                        if (!"CLOSE".equals(state1)) {
                            if (!"0".equals(state1)) {
                                return FOLDER_STATE_ERROR;
                            }
                        }
                        return FOLDER_STATE_CLOSE;
                    }
                }
                return FOLDER_STATE_OPEN;
            } catch (Exception e) {
                FtUtil.log_i(CLASS_NAME, "getHallICState", "Exception");
            }
        }

        public static HallIC getHallICState2() {
            FtUtil.log_i(CLASS_NAME, "getHallICState2", null);
            try {
                String state2 = Support.Kernel.read(Support.Kernel.PATH_HALLIC_DETECT_STATE2);
                FtUtil.log_i(CLASS_NAME, "getHallICState2", "state - hall IC 2 ( " + state2 + " )");
                if (!"OPEN".equals(state2)) {
                    if (!EgisFingerprint.MAJOR_VERSION.equals(state2)) {
                        if (!"CLOSE".equals(state2)) {
                            if (!"0".equals(state2)) {
                                return FOLDER_STATE_ERROR;
                            }
                        }
                        return FOLDER_STATE_CLOSE;
                    }
                }
                return FOLDER_STATE_OPEN;
            } catch (Exception e) {
                FtUtil.log_i(CLASS_NAME, "getHallICState2", "Exception");
            }
        }

        public static HallIC getHallICState3() {
            FtUtil.log_i(CLASS_NAME, "getHallICState3", null);
            try {
                String state3 = Support.Kernel.read(Support.Kernel.PATH_HALLIC_DETECT_STATE3);
                FtUtil.log_i(CLASS_NAME, "getHallICState3", "state - hall IC 3 ( " + state3 + " )");
                if (!"OPEN".equals(state3)) {
                    if (!EgisFingerprint.MAJOR_VERSION.equals(state3)) {
                        if (!"CLOSE".equals(state3)) {
                            if (!"0".equals(state3)) {
                                return FOLDER_STATE_ERROR;
                            }
                        }
                        return FOLDER_STATE_CLOSE;
                    }
                }
                return FOLDER_STATE_OPEN;
            } catch (Exception e) {
                FtUtil.log_i(CLASS_NAME, "getHallICState3", "Exception");
            }
        }

        public static HallIC getHallICState4() {
            FtUtil.log_i(CLASS_NAME, "getHallICState4", null);
            try {
                String state4 = Support.Kernel.read(Support.Kernel.PATH_HALLIC_DETECT_STATE4);
                FtUtil.log_i(CLASS_NAME, "getHallICState4", "state - hall IC 4 ( " + state4 + " )");
                if (!"OPEN".equals(state4)) {
                    if (!EgisFingerprint.MAJOR_VERSION.equals(state4)) {
                        if (!"CLOSE".equals(state4)) {
                            if (!"0".equals(state4)) {
                                return FOLDER_STATE_ERROR;
                            }
                        }
                        return FOLDER_STATE_CLOSE;
                    }
                }
                return FOLDER_STATE_OPEN;
            } catch (Exception e) {
                FtUtil.log_i(CLASS_NAME, "getHallICState4", "Exception");
            }
        }
    }

    public void setEPenDisableMode(boolean flag) {
        if (Support.Feature.getBoolean(Support.Feature.SUPPORT_EPEN, false) && Support.Kernel.isExistFileID(Support.Kernel.EPEN_DISABLE_MODE)) {
            String value = flag ? EgisFingerprint.MAJOR_VERSION : "0";
            if (Support.Kernel.write(Support.Kernel.EPEN_DISABLE_MODE, value)) {
                String str = this.CLASS_NAME;
                FtUtil.log_d(str, "EPenDisableMode", "Write " + value + " Success");
                return;
            }
            String str2 = this.CLASS_NAME;
            FtUtil.log_d(str2, "EPenDisableMode", "Write " + value + " Fail");
        }
    }

    public boolean isDualCamera() {
        String firmwareInfo = Support.Kernel.read(Support.Kernel.CAMERA_SUPPORT_TYPE2);
        if (firmwareInfo != null && firmwareInfo.contains("VALID=Y")) {
            return true;
        }
        FtUtil.log_d(this.CLASS_NAME, "isDualCamera", "maybe this model is not dual camera");
        return false;
    }

    public boolean isFrontDualCamera() {
        String firmwareInfo = Support.Kernel.read(Support.Kernel.CAMERA_FRONT_DUAL_INFO);
        if (firmwareInfo != null && firmwareInfo.contains("VALID=Y")) {
            return true;
        }
        FtUtil.log_d(this.CLASS_NAME, "isDualCamera", "maybe this model is not dual camera");
        return false;
    }

    public String readBleSpenColorCode() {
        String mColorCode = null;
        try {
            mColorCode = ((SpenGestureManager) getSystemService("spengestureservice")).getBleSpenCmfCode();
        } catch (Exception e) {
            e.printStackTrace();
        }
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "readBleSpenColorCode", "mColorCode : " + mColorCode);
        return mColorCode;
    }

    public String readSBleSpenAddressForUserBinary() {
        String spenAddr = null;
        SpenGestureManager spenGestureManager = (SpenGestureManager) getSystemService("spengestureservice");
        if (spenGestureManager != null) {
            spenAddr = spenGestureManager.getBleSpenAddress();
        }
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "readSBleSpenAddressForUserBinary", "spenAddr : " + spenAddr);
        return spenAddr;
    }

    public String readGPIO(String number) {
        String ret;
        String result = "";
        if (Support.Kernel.write(Support.Kernel.CHECK_REQUESTED_GPIO, addOffset(number)) && (ret = Support.Kernel.read(Support.Kernel.CHECK_REQUESTED_GPIO)) != null) {
            try {
                result = ret.substring(ret.lastIndexOf("[") + 1, ret.lastIndexOf("]"));
            } catch (Exception e) {
                FtUtil.log_e(e);
            }
        }
        String ret2 = this.CLASS_NAME;
        FtUtil.log_d(ret2, "readGPIO", "number : " + number + ", result : " + result);
        return result;
    }

    public String setGPIO(String data) {
        String result = "NG";
        String number = data.substring(0, data.length() - 1);
        String mode = "H".equals(data.substring(data.length() + -1, data.length())) ? EgisFingerprint.MAJOR_VERSION : "0";
        if (Support.Kernel.write(Support.Kernel.CTRL_REQUESTED_GPIO, number + " 1 " + mode)) {
            result = "OK";
        }
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "readGPIO", "data : " + data + ", result : " + result);
        return "NG".equals(result) ? number : result;
    }

    public boolean setACL(boolean set) {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "setACL", "set :" + set);
        try {
            ((SemDisplaySolutionManager) getSystemService("DisplaySolution")).onAutoCurrentLimitStateChanged(set);
            return true;
        } catch (Exception e) {
            FtUtil.log_d(this.CLASS_NAME, "onAutoCurrentLimitStateChanged", e.toString());
            return false;
        }
    }

    public String getSecureElement() {
        FtUtil.log_d(this.CLASS_NAME, "getSecureElement", "eSE/UICC read");
        boolean data = getApplicationContext().getPackageManager().hasSystemFeature("android.hardware.nfc.ese");
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "getSecureElement", "data : " + data);
        if (data) {
            return "eSE";
        }
        return "UICC";
    }

    public boolean isSupportSWP(SwpType type) {
        boolean result = false;
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "isSupportSWP", "type : " + type);
        if (type == SwpType.SWP1) {
            result = ModuleNfc.isSupportUICC1(getApplicationContext());
        } else if (type == SwpType.SWP2) {
            result = ModuleNfc.isSupportUICC2();
        } else {
            FtUtil.log_d(this.CLASS_NAME, "isSupportSWP", "Unvalid value.");
        }
        String str2 = this.CLASS_NAME;
        FtUtil.log_d(str2, "isSupportSWP", "result : " + result);
        return result;
    }

    public int getSupportSimSwitch() {
        String eSIMSoltSwitch = SemFloatingFeature.getInstance().getString("SEC_FLOATING_FEATURE_COMMON_CONFIG_EMBEDDED_SIM_SLOTSWITCH");
        if (eSIMSoltSwitch.isEmpty() || !eSIMSoltSwitch.startsWith("tsds")) {
            return 0;
        }
        return Integer.parseInt(eSIMSoltSwitch.substring(4));
    }

    public void setSimSwitchESIM(int simslot) {
        FtUtil.log_i(this.CLASS_NAME, "setSimSwitchESIM", "rSIM -> eSIM");
        new FactoryTestPhone(mContext, simslot).setSimSwitch(false);
    }

    public void setSimSwitchRSIM(int simslot) {
        FtUtil.log_i(this.CLASS_NAME, "setSimSwitchRSIM", "eSIM -> rSIM");
        new FactoryTestPhone(mContext, simslot).setSimSwitch(true);
    }

    public boolean isSupportMST() {
        if (!Support.Kernel.isExistFile(Support.Kernel.SUPPORT_MST_GPIO)) {
            FtUtil.log_d(this.CLASS_NAME, "isSupportMST", "MST Is Not Support - does not exist.");
            return false;
        } else if (EgisFingerprint.MAJOR_VERSION.equals(Support.Kernel.read(Support.Kernel.SUPPORT_MST_GPIO))) {
            return true;
        } else {
            FtUtil.log_d(this.CLASS_NAME, "isSupportMST", "MST Is Not Support - sysfs value is zero.");
            return false;
        }
    }

    public boolean isSupportDTV() {
        return Support.Kernel.isExistFile(Support.Kernel.DTV_CHECK);
    }

    public boolean isSupportESE() {
        if ("6".equals(Support.Properties.get(Support.Properties.SLAVE_PCB_ID))) {
            return true;
        }
        FtUtil.log_d(this.CLASS_NAME, "isSupportESE", "eSE Is Not Support - Property value is not 6.");
        return false;
    }

    public int getNfcType() {
        if (!ModuleNfc.isSupportNfc(mContext)) {
            FtUtil.log_d(this.CLASS_NAME, "isSupportNFC", "NFC Is Not Support - does not exist.");
            return 0;
        } else if (ModuleNfc.isSupportEse(getApplicationContext())) {
            return 3;
        } else {
            if (ModuleNfc.isSupportUICC1(getApplicationContext())) {
                return 2;
            }
            return 1;
        }
    }

    private String addOffset(String inputNumber) {
        int offset = 0;
        if ("SM8250".equalsIgnoreCase(Support.Feature.getString(Support.Feature.CHIPSET_NAME)) && Integer.parseInt(inputNumber) <= 180) {
            offset = 1100;
        }
        try {
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "addOffset", "Offset : " + offset);
            return Integer.toString(Integer.parseInt(inputNumber) + offset);
        } catch (NumberFormatException nfe) {
            FtUtil.log_e(nfe);
            return "";
        } catch (Throwable th) {
            return "";
        }
    }

    public String getUSBType() {
        String mStrUSBType;
        if (Support.Kernel.isExistFile(Support.Kernel.USB3_TYPE_CHECK)) {
            mStrUSBType = Support.Kernel.read(Support.Kernel.USB3_TYPE_CHECK);
        } else {
            mStrUSBType = Support.Kernel.read(Support.Kernel.USB3_TYPE_CHECK_LEGACY);
        }
        if (mStrUSBType == null || !mStrUSBType.startsWith("0x")) {
            return mStrUSBType;
        }
        return mStrUSBType.substring(2);
    }
}
