package com.sec.factory.modules;

import android.content.Context;
import android.content.Intent;
import android.nfc.NfcAdapter;
import com.samsung.android.service.SemService.SemServiceManager;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;

public class ModuleNfc {
    public static final String ACTION_ESE_TEST_REQUEST = "com.samsung.android.ese.test.action.REQUEST";
    public static final String ACTION_ESE_TEST_RESPONSE = "com.samsung.android.ese.test.action.RESPONSE";
    public static final String ACTION_NFC_RESPONSE = "com.sec.android.app.nfcntest.NFC_TEST_RESPONSE";
    public static final String ACTION_NFC_RESPONSE_V3 = "com.sec.android.app.nfctest.NFC_TEST_RESPONSE_V3";
    public static final String ACTION_NFC_TEST_REQUEST = "com.samsung.android.nfc.test.action.REQUEST";
    public static final String ACTION_NFC_TEST_RESPONSE = "com.samsung.android.nfc.test.action.RESPONSE";
    private static final String CHECK_SEC_NFC_ESE = "com.sec.android.app.nfctest.NFC_CHECK_ESE";
    public static final String CHECK_SEC_NFC_ESE_RESP = "com.sec.android.app.nfctest.NFC_CHECK_ESE_RESPONSE";
    private static final String CHECK_SEC_NFC_SIM = "com.sec.android.app.nfctest.NFC_CHECK_SIM";
    public static final String CHECK_SEC_NFC_SIM_RESP = "com.sec.android.app.nfctest.NFC_CHECK_SIM_RESPONSE";
    private static String CLASS_NAME = "ModuleNfc";
    private static final String DISABLE_SEC_NFC_DISCOVERY = "com.sec.android.app.nfctest.NFC_DISCOVERY_DISABLE";
    private static final String ENABLE_SEC_NFC_CARD_MODE = "com.sec.android.app.nfctest.CHECK_SEC_NFC_CARDMODE";
    private static final String ENABLE_SEC_NFC_DISCOVERY = "com.sec.android.app.nfctest.NFC_DISCOVERY_ENABLE";
    private static final String END_SEC_NFC_TEST_CMD = "com.sec.android.app.nfctest.NFC_TEST_END";
    public static final String ESE_EXTRA_CMD = "com.samsung.android.ese.test.extra.CMD";
    public static final String ESE_EXTRA_DATA = "com.samsung.android.ese.test.extra.DATA";
    public static final String ESE_EXTRA_DATA_INTEGER = "com.samsung.android.ese.test.extra.DATA_INTEGER";
    public static final String ESE_EXTRA_DATA_STRING = "com.samsung.android.ese.test.extra.DATA_STRING";
    public static final String ESE_EXTRA_ID = "com.samsung.android.ese.test.extra.ID";
    public static final String EXTRA_CMD = "com.samsung.android.nfc.test.extra.CMD";
    public static final String EXTRA_DATA = "com.samsung.android.nfc.test.extra.DATA";
    public static final String EXTRA_DATA_INTEGER = "com.samsung.android.nfc.test.extra.DATA_INTEGER";
    private static final String EXTRA_DATA_INTEGER_OLD = "I_DATA";
    public static final String EXTRA_DATA_STRING = "com.samsung.android.nfc.test.extra.DATA_STRING";
    private static final String EXTRA_DATA_STRING_OLD = "S_DATA";
    public static final String EXTRA_ID = "com.samsung.android.nfc.test.extra.ID";
    private static final String EXTRA_ID_OLD = "CMDID";
    public static final int INDICATION_V1_INTEGER = 21;
    public static final int INDICATION_V2_INTEGER = 22;
    public static final int INDICATION_V3_INTEGER = 23;
    public static final String NFC_BL_VERSION = "nfc.bl.version";
    public static final String NFC_GLOBAL_FELICA_FEATURE = "com.samsung.android.nfc.gpfelica";
    public static final String NFC_INIT_PROP = "nfc.initialized";
    public static final String NFC_TECH_TYPE_A = "android.nfc.tech.NfcA";
    public static final String NFC_TECH_TYPE_F = "android.nfc.tech.NfcF";
    public static final int NV_NFC = 30;
    public static final int NV_NFC_2 = 72;
    public static final int NV_NFC_CAL = 69;
    public static final int NV_NFC_CARD_MODE = 117;
    private static final String START_SEC_NFC_TEST_CMD = "com.sec.android.app.nfctest.NFC_TEST_START";

    public enum NfcFunctions {
        NFC_ENABLE_DISCOVERY(new Intent("com.sec.android.app.nfctest.NFC_DISCOVERY_ENABLE"), new Intent("com.samsung.android.nfc.test.action.REQUEST") {
            /* class com.sec.factory.modules.ModuleNfc.NfcFunctions.AnonymousClass1 */

            /* access modifiers changed from: private */
            /* access modifiers changed from: public */
            private Intent initialize() {
                putExtra("com.samsung.android.nfc.test.extra.ID", 2);
                return this;
            }
        }.initialize()),
        NFC_DISABLE_DISCOVERY(new Intent("com.sec.android.app.nfctest.NFC_DISCOVERY_DISABLE"), new Intent("com.samsung.android.nfc.test.action.REQUEST") {
            /* class com.sec.factory.modules.ModuleNfc.NfcFunctions.AnonymousClass2 */

            /* access modifiers changed from: private */
            /* access modifiers changed from: public */
            private Intent initialize() {
                putExtra("com.samsung.android.nfc.test.extra.ID", 3);
                return this;
            }
        }.initialize()),
        NFC_ENABLE_CARD_MODE(new Intent(ModuleNfc.ENABLE_SEC_NFC_CARD_MODE), new Intent("com.samsung.android.nfc.test.action.REQUEST") {
            /* class com.sec.factory.modules.ModuleNfc.NfcFunctions.AnonymousClass3 */

            /* access modifiers changed from: private */
            /* access modifiers changed from: public */
            private Intent initialize() {
                putExtra("com.samsung.android.nfc.test.extra.ID", 7);
                return this;
            }
        }.initialize()),
        NFC_START_SEC_NFC_TEST(new Intent("com.sec.android.app.nfctest.NFC_TEST_START"), new Intent("com.samsung.android.nfc.test.action.REQUEST") {
            /* class com.sec.factory.modules.ModuleNfc.NfcFunctions.AnonymousClass4 */

            /* access modifiers changed from: private */
            /* access modifiers changed from: public */
            private Intent initialize() {
                putExtra("com.samsung.android.nfc.test.extra.ID", 0);
                return this;
            }
        }.initialize()),
        NFC_END_SEC_NFC_TEST(new Intent("com.sec.android.app.nfctest.NFC_TEST_END"), new Intent("com.samsung.android.nfc.test.action.REQUEST") {
            /* class com.sec.factory.modules.ModuleNfc.NfcFunctions.AnonymousClass5 */

            /* access modifiers changed from: private */
            /* access modifiers changed from: public */
            private Intent initialize() {
                putExtra("com.samsung.android.nfc.test.extra.ID", 1);
                return this;
            }
        }.initialize()),
        NFC_CHECK_SIM_TEST(new Intent(ModuleNfc.CHECK_SEC_NFC_SIM), new Intent("com.samsung.android.nfc.test.action.REQUEST") {
            /* class com.sec.factory.modules.ModuleNfc.NfcFunctions.AnonymousClass6 */

            /* access modifiers changed from: private */
            /* access modifiers changed from: public */
            private Intent initialize() {
                putExtra("com.samsung.android.nfc.test.extra.ID", 5);
                return this;
            }
        }.initialize()),
        NFC_CHECK_ESE_TEST(new Intent(ModuleNfc.CHECK_SEC_NFC_ESE), new Intent("com.samsung.android.nfc.test.action.REQUEST") {
            /* class com.sec.factory.modules.ModuleNfc.NfcFunctions.AnonymousClass7 */

            /* access modifiers changed from: private */
            /* access modifiers changed from: public */
            private Intent initialize() {
                putExtra("com.samsung.android.nfc.test.extra.ID", 6);
                return this;
            }
        }.initialize());
        
        private Intent newNfcIntent = null;
        private Intent oldNfcIntent = null;

        private NfcFunctions(Intent oldIntent, Intent newIntent) {
            this.oldNfcIntent = oldIntent;
            this.newNfcIntent = newIntent;
        }

        public Intent getNfcIntent() {
            String str = ModuleNfc.CLASS_NAME;
            FtUtil.log_d(str, "getNfcIntent", "new Intent : " + this.newNfcIntent.getAction());
            return this.newNfcIntent;
        }
    }

    public static Intent getNfcTestCommand(int cmd_id, int i_data) {
        String str = CLASS_NAME;
        FtUtil.log_d(str, "getNfcTestCommand", "Start : " + cmd_id + " , " + i_data);
        Intent intent = new Intent(ACTION_ESE_TEST_REQUEST);
        intent.putExtra(ESE_EXTRA_ID, 21);
        intent.putExtra(ESE_EXTRA_CMD, cmd_id);
        intent.putExtra(ESE_EXTRA_DATA_INTEGER, i_data);
        intent.setPackage("com.sem.factoryapp");
        return intent;
    }

    public static Intent getNfcTestCommandV2(int cmd_id, int i_data) {
        String str = CLASS_NAME;
        FtUtil.log_d(str, "getNfcTestCommandV2", "Start : " + cmd_id + " , " + i_data);
        Intent intent = new Intent("com.samsung.android.nfc.test.action.REQUEST");
        intent.putExtra("com.samsung.android.nfc.test.extra.ID", 22);
        intent.putExtra(EXTRA_CMD, cmd_id);
        intent.putExtra(EXTRA_DATA_INTEGER, i_data);
        return intent;
    }

    public static Intent getNfcTestCommandV3(int cmd_id, int i_data, String s_data) {
        String str = CLASS_NAME;
        FtUtil.log_d(str, "getNfcTestCommandV3", "Start : " + cmd_id + " , " + i_data + " , " + s_data);
        Intent intent = new Intent("com.samsung.android.nfc.test.action.REQUEST");
        intent.putExtra("com.samsung.android.nfc.test.extra.ID", 23);
        intent.putExtra(EXTRA_CMD, cmd_id);
        intent.putExtra(EXTRA_DATA_INTEGER, i_data);
        intent.putExtra(EXTRA_DATA_STRING, s_data);
        return intent;
    }

    public static Boolean enableNfc(Context context) {
        boolean isEnabled = false;
        NfcAdapter nfcAdapter = getNfcAdapterInstance(context);
        if (nfcAdapter == null) {
            return false;
        }
        if (nfcAdapter.isEnabled()) {
            FtUtil.log_d(CLASS_NAME, "enableNfc", "already turned on nfc");
            isEnabled = true;
        } else if (nfcAdapter.enable()) {
            isEnabled = true;
            FtUtil.log_d(CLASS_NAME, "enableNfc", "Success nfc on");
        } else {
            FtUtil.log_d(CLASS_NAME, "enableNfc", "FAIL nfc on");
        }
        return Boolean.valueOf(isEnabled);
    }

    public static void disableNfc(Context context) {
        NfcAdapter nfcAdapter = getNfcAdapterInstance(context);
        if (nfcAdapter != null) {
            if (nfcAdapter.isEnabled()) {
                FtUtil.log_d(CLASS_NAME, "disableNfc", "Request nfc to disable");
                nfcAdapter.disable();
                return;
            }
            FtUtil.log_d(CLASS_NAME, "disableNfc", "NFC was disabled.");
        }
    }

    public static boolean pollingUntilNfcIsOn(Context context) {
        boolean isEnabled;
        NfcAdapter nfcAdapter = getNfcAdapterInstance(context);
        if (nfcAdapter == null) {
            FtUtil.log_d(CLASS_NAME, "pollingUntilNfcIsOn", "NfcAdapter is null");
            return false;
        }
        if (!nfcAdapter.isEnabled()) {
            int count = 0;
            nfcAdapter.enable();
            FtUtil.Sleep.sleep(1000);
            isEnabled = true;
            while (true) {
                if (nfcAdapter.isEnabled()) {
                    break;
                }
                FtUtil.Sleep.sleep(1000);
                count++;
                if (count > 10) {
                    FtUtil.log_d(CLASS_NAME, "pollingUntilNfcIsOn", "Enabling nfc is fail.");
                    isEnabled = false;
                    break;
                }
            }
        } else {
            isEnabled = true;
        }
        String str = CLASS_NAME;
        FtUtil.log_d(str, "pollingUntilNfcIsOn", "result : " + isEnabled);
        return isEnabled;
    }

    public static boolean pollingUntilNfcIsOff(Context context) {
        boolean isDisabled = false;
        NfcAdapter nfcAdapter = getNfcAdapterInstance(context);
        if (nfcAdapter != null) {
            nfcAdapter.disable();
            int count = 0;
            while (nfcAdapter.getAdapterState() != 1) {
                FtUtil.Sleep.sleep(1000);
                count++;
                if (count > 10) {
                    FtUtil.log_d(CLASS_NAME, "pollingUntilNfcIsOff", "Disabling nfc is fail.");
                    return false;
                }
            }
            isDisabled = true;
        }
        String str = CLASS_NAME;
        FtUtil.log_d(str, "pollingUntilNfcIsOff", "Result : " + isDisabled);
        return isDisabled;
    }

    private static NfcAdapter getNfcAdapterInstance(Context context) {
        if (!isSupportNfc(context)) {
            return null;
        }
        return NfcAdapter.getDefaultAdapter(context);
    }

    public static boolean isSupportNfc(Context context) {
        return context.getPackageManager().hasSystemFeature("android.hardware.nfc");
    }

    public static boolean isSupportUICC1(Context context) {
        boolean data = context.getPackageManager().hasSystemFeature("android.hardware.nfc.uicc");
        String str = CLASS_NAME;
        FtUtil.log_d(str, "isSupportSWP", "SystemFeature is existed ? : " + data);
        if (data) {
            return true;
        }
        return false;
    }

    public static boolean isSupportUICC2() {
        Boolean result;
        FtUtil.log_d(CLASS_NAME, "isSupportSWP", "FactoryApp will refer to prop");
        if (EgisFingerprint.MAJOR_VERSION.equals(Support.Properties.get(Support.Properties.NFC_SWP2_SUPPORT))) {
            result = true;
        } else {
            result = false;
        }
        return result.booleanValue();
    }

    public static boolean isSupportEse(Context context) {
        boolean isSupportEse = context.getPackageManager().hasSystemFeature("android.hardware.nfc.ese");
        String str = CLASS_NAME;
        FtUtil.log_d(str, "isSupportEse", "SystemFeature is existed ? : " + isSupportEse);
        return isSupportEse;
    }

    public static boolean isSupportEseViaSpi(Context context) {
        boolean isSupportEseViaSpi = new SemServiceManager(context).isEseSupported();
        String str = CLASS_NAME;
        FtUtil.log_d(str, "isSupportEseViaSpi", "eSE-SPI driver is existed ? : " + isSupportEseViaSpi);
        return isSupportEseViaSpi;
    }

    public static boolean isSupportFaver3() {
        String str = CLASS_NAME;
        FtUtil.log_d(str, "isSupportEse", "SecProductFeature exist ? : " + false);
        return false;
    }
}
