package com.sec.factory.modules;

import android.content.BroadcastReceiver;
import android.content.ComponentName;
import android.content.ContentResolver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import com.sec.factory.support.FtUtil;
import java.util.HashMap;

public class ModuleObject {
    protected static Context mContext = null;
    private static HashMap<BroadcastReceiver, Context> mRegistedReceiverMap = new HashMap<>();
    protected String CLASS_NAME;

    protected ModuleObject(Context context) {
        this(context, "ModuleObject");
    }

    protected ModuleObject(Context context, String className) {
        this.CLASS_NAME = "ModuleObject";
        mContext = context.getApplicationContext();
        this.CLASS_NAME = className;
    }

    /* access modifiers changed from: protected */
    public Object getSystemService(String name) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "getSystemService", "service=" + name);
        return mContext.getSystemService(name);
    }

    /* access modifiers changed from: protected */
    public Context getApplicationContext() {
        return mContext;
    }

    /* access modifiers changed from: protected */
    public ContentResolver getContentResolver() {
        return mContext.getContentResolver();
    }

    /* access modifiers changed from: protected */
    public void sendBroadcast(Intent intent) {
        FtUtil.log_i(this.CLASS_NAME, "sendBroadcast", intent.toString());
        mContext.sendBroadcast(intent);
    }

    /* access modifiers changed from: protected */
    public void startActivity(Intent intent) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "startActivity", "activity=" + intent);
        mContext.startActivity(intent);
    }

    /* access modifiers changed from: protected */
    public ComponentName startService(Intent service) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "startService", "service=" + service);
        return mContext.startService(service);
    }

    /* access modifiers changed from: protected */
    public void stopService(Intent service) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "stopService", "service=" + service);
        mContext.stopService(service);
    }

    /* access modifiers changed from: protected */
    public void registerReceiver(BroadcastReceiver receiver, IntentFilter filter) {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "registerReceiver", "mContext=" + mContext);
        mContext.registerReceiver(receiver, filter);
        mRegistedReceiverMap.put(receiver, mContext);
    }

    /* access modifiers changed from: protected */
    public void unregisterReceiver(BroadcastReceiver receiver) {
        if (mRegistedReceiverMap.containsKey(receiver)) {
            Context registedContext = mRegistedReceiverMap.get(receiver);
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "unregisterReceiver", "mContext=" + registedContext);
            registedContext.unregisterReceiver(receiver);
            mRegistedReceiverMap.remove(receiver);
        }
    }
}
