package com.sec.factory.modules;

import android.content.Context;
import android.hardware.SensorManager;
import android.os.Handler;
import com.sec.factory.support.FtUtil;
import java.util.Arrays;
import java.util.concurrent.ConcurrentHashMap;

public class ModuleSensor extends ModuleObject {
    private static int DUMMY = 0;
    public static final int GRIP_STATUS_DETECT = 5;
    public static final int GRIP_STATUS_RELEASE = 0;
    public static final int ID_COUNT_FILE;
    public static final int ID_COUNT_INTENT;
    public static final int ID_COUNT_MANAGER;
    public static final int ID_FILE____ACCELEROMETER;
    public static final int ID_FILE____ACCELEROMETER_CAL;
    public static final int ID_FILE____ACCELEROMETER_INTPIN;
    public static final int ID_FILE____ACCELEROMETER_N_ANGLE;
    public static final int ID_FILE____ACCELEROMETER_SELF;
    public static final int ID_FILE____ACCELEROMETER_SELFTEST;
    public static final int ID_FILE____BAROMETER_EEPROM;
    public static final int ID_FILE____GRIP_RAW;
    public static final int ID_FILE____GRIP_THRESHOLD;
    public static final int ID_FILE____GRIP_TOUCH;
    public static final int ID_FILE____GRIP_TOUCH_2;
    public static final int ID_FILE____GRIP_TOUCH_3;
    public static final int ID_FILE____GRIP_TOUCH_4;
    public static final int ID_FILE____GRIP_TOUCH_5;
    public static final int ID_FILE____GRIP_TOUCH_6;
    public static final int ID_FILE____GYRO_SELFTEST;
    public static final int ID_FILE____GYRO_TEMPERATURE;
    public static final int ID_FILE____LIGHT_ADC;
    public static final int ID_FILE____LIGHT_RGBW;
    public static final int ID_FILE____MAGNETIC_ADC;
    public static final int ID_FILE____MAGNETIC_DAC;
    public static final int ID_FILE____MAGNETIC_OFFSETH;
    public static final int ID_FILE____MAGNETIC_POWER_OFF;
    public static final int ID_FILE____MAGNETIC_POWER_ON;
    public static final int ID_FILE____MAGNETIC_SELF;
    public static final int ID_FILE____MAGNETIC_STATUS;
    public static final int ID_FILE____MAGNETIC_TEMPERATURE;
    public static final int ID_FILE____PROXIMITY_ADC;
    public static final int ID_FILE____PROXIMITY_AVG;
    public static final int ID_FILE____PROXIMITY_OFFSET;
    public static final int ID_FILE____SUB_ACCELEROMETER;
    public static final int ID_FILE____SUB_ACCELEROMETER_CAL;
    public static final int ID_FILE____SUB_ACCELEROMETER_SELFTEST;
    public static final int ID_INTENT__CP_ACCELEROMETER;
    public static final int ID_INTENT__GRIP;
    public static final int ID_MANAGER_ACCELEROMETER = 0;
    public static final int ID_MANAGER_ACCELEROMETER_N_ANGLE;
    public static final int ID_MANAGER_ACCELEROMETER_SELF;
    public static final int ID_MANAGER_BAROMETER;
    public static final int ID_MANAGER_BIO;
    public static final int ID_MANAGER_BIO_ALC;
    public static final int ID_MANAGER_BIO_HRM;
    public static final int ID_MANAGER_BODYTEMP;
    public static final int ID_MANAGER_GRIP;
    public static final int ID_MANAGER_GRIP_SUB;
    public static final int ID_MANAGER_GRIP_SUB2;
    public static final int ID_MANAGER_GRIP_SUB3;
    public static final int ID_MANAGER_GRIP_WIFI;
    public static final int ID_MANAGER_GRIP_WIFI_SUB;
    public static final int ID_MANAGER_GYRO;
    public static final int ID_MANAGER_GYRO_POWER;
    public static final int ID_MANAGER_GYRO_TEMPERATURE;
    public static final int ID_MANAGER_HUMIDITY;
    public static final int ID_MANAGER_IRIS_PROXIMITY;
    public static final int ID_MANAGER_LIGHT;
    public static final int ID_MANAGER_LIGHT_CCT;
    public static final int ID_MANAGER_MAGNETIC;
    public static final int ID_MANAGER_MAGNETIC_ADC;
    public static final int ID_MANAGER_MAGNETIC_DAC;
    public static final int ID_MANAGER_MAGNETIC_OFFSETH;
    public static final int ID_MANAGER_MAGNETIC_POWER_OFF;
    public static final int ID_MANAGER_MAGNETIC_POWER_ON;
    public static final int ID_MANAGER_MAGNETIC_SELF;
    public static final int ID_MANAGER_MAGNETIC_STATUS;
    public static final int ID_MANAGER_MAGNETIC_TEMPERATURE;
    public static final int ID_MANAGER_PROXIMITY;
    public static final int ID_MANAGER_SUB_ACCELEROMETER;
    public static final int ID_MANAGER_SUB_ACCELEROMETER_N_ANGLE;
    public static final int ID_MANAGER_TEMPERATURE;
    public static final int ID_SCOPE_MAX;
    public static final int ID_SCOPE_MIN = 0;
    public static int LOG_LEVEL = 1;
    private static ModuleSensor mInstance = null;
    private final int DEFAULT_LOG_LEVEL = 1;
    private final int TARGET_FILE = 2;
    private final int TARGET_INTENT = 3;
    private final int TARGET_MANAGER = 1;
    private final int TARGET_MANAGER_WIFI = 4;
    private ConcurrentHashMap<String, SensorNotification> mSensorNotificationMap = new ConcurrentHashMap<>();
    private SensorRead mSensorRead = null;

    static {
        DUMMY = 0;
        int i = 0 + 1;
        DUMMY = i;
        int i2 = i + 1;
        DUMMY = i2;
        ID_MANAGER_ACCELEROMETER_N_ANGLE = i;
        int i3 = i2 + 1;
        DUMMY = i3;
        ID_MANAGER_SUB_ACCELEROMETER = i2;
        int i4 = i3 + 1;
        DUMMY = i4;
        ID_MANAGER_SUB_ACCELEROMETER_N_ANGLE = i3;
        int i5 = i4 + 1;
        DUMMY = i5;
        ID_MANAGER_ACCELEROMETER_SELF = i4;
        int i6 = i5 + 1;
        DUMMY = i6;
        ID_MANAGER_BAROMETER = i5;
        int i7 = i6 + 1;
        DUMMY = i7;
        ID_MANAGER_GYRO = i6;
        int i8 = i7 + 1;
        DUMMY = i8;
        ID_MANAGER_GYRO_POWER = i7;
        int i9 = i8 + 1;
        DUMMY = i9;
        ID_MANAGER_GYRO_TEMPERATURE = i8;
        int i10 = i9 + 1;
        DUMMY = i10;
        ID_MANAGER_LIGHT = i9;
        int i11 = i10 + 1;
        DUMMY = i11;
        ID_MANAGER_LIGHT_CCT = i10;
        int i12 = i11 + 1;
        DUMMY = i12;
        ID_MANAGER_MAGNETIC = i11;
        int i13 = i12 + 1;
        DUMMY = i13;
        ID_MANAGER_MAGNETIC_POWER_ON = i12;
        int i14 = i13 + 1;
        DUMMY = i14;
        ID_MANAGER_MAGNETIC_STATUS = i13;
        int i15 = i14 + 1;
        DUMMY = i15;
        ID_MANAGER_MAGNETIC_TEMPERATURE = i14;
        int i16 = i15 + 1;
        DUMMY = i16;
        ID_MANAGER_MAGNETIC_DAC = i15;
        int i17 = i16 + 1;
        DUMMY = i17;
        ID_MANAGER_MAGNETIC_ADC = i16;
        int i18 = i17 + 1;
        DUMMY = i18;
        ID_MANAGER_MAGNETIC_SELF = i17;
        int i19 = i18 + 1;
        DUMMY = i19;
        ID_MANAGER_MAGNETIC_OFFSETH = i18;
        int i20 = i19 + 1;
        DUMMY = i20;
        ID_MANAGER_MAGNETIC_POWER_OFF = i19;
        int i21 = i20 + 1;
        DUMMY = i21;
        ID_MANAGER_PROXIMITY = i20;
        int i22 = i21 + 1;
        DUMMY = i22;
        ID_MANAGER_IRIS_PROXIMITY = i21;
        int i23 = i22 + 1;
        DUMMY = i23;
        ID_MANAGER_TEMPERATURE = i22;
        int i24 = i23 + 1;
        DUMMY = i24;
        ID_MANAGER_HUMIDITY = i23;
        int i25 = i24 + 1;
        DUMMY = i25;
        ID_MANAGER_GRIP = i24;
        int i26 = i25 + 1;
        DUMMY = i26;
        ID_MANAGER_GRIP_WIFI = i25;
        int i27 = i26 + 1;
        DUMMY = i27;
        ID_MANAGER_GRIP_SUB = i26;
        int i28 = i27 + 1;
        DUMMY = i28;
        ID_MANAGER_GRIP_SUB2 = i27;
        int i29 = i28 + 1;
        DUMMY = i29;
        ID_MANAGER_GRIP_SUB3 = i28;
        int i30 = i29 + 1;
        DUMMY = i30;
        ID_MANAGER_GRIP_WIFI_SUB = i29;
        int i31 = i30 + 1;
        DUMMY = i31;
        ID_MANAGER_BIO = i30;
        int i32 = i31 + 1;
        DUMMY = i32;
        ID_MANAGER_BIO_HRM = i31;
        int i33 = i32 + 1;
        DUMMY = i33;
        ID_MANAGER_BIO_ALC = i32;
        int i34 = i33 + 1;
        DUMMY = i34;
        ID_MANAGER_BODYTEMP = i33;
        ID_COUNT_MANAGER = i34;
        int i35 = i34 + 1;
        DUMMY = i35;
        ID_FILE____ACCELEROMETER = i34;
        int i36 = i35 + 1;
        DUMMY = i36;
        ID_FILE____ACCELEROMETER_N_ANGLE = i35;
        int i37 = i36 + 1;
        DUMMY = i37;
        ID_FILE____ACCELEROMETER_SELF = i36;
        int i38 = i37 + 1;
        DUMMY = i38;
        ID_FILE____ACCELEROMETER_SELFTEST = i37;
        int i39 = i38 + 1;
        DUMMY = i39;
        ID_FILE____ACCELEROMETER_CAL = i38;
        int i40 = i39 + 1;
        DUMMY = i40;
        ID_FILE____ACCELEROMETER_INTPIN = i39;
        int i41 = i40 + 1;
        DUMMY = i41;
        ID_FILE____SUB_ACCELEROMETER = i40;
        int i42 = i41 + 1;
        DUMMY = i42;
        ID_FILE____SUB_ACCELEROMETER_SELFTEST = i41;
        int i43 = i42 + 1;
        DUMMY = i43;
        ID_FILE____SUB_ACCELEROMETER_CAL = i42;
        int i44 = i43 + 1;
        DUMMY = i44;
        ID_FILE____BAROMETER_EEPROM = i43;
        int i45 = i44 + 1;
        DUMMY = i45;
        ID_FILE____GYRO_TEMPERATURE = i44;
        int i46 = i45 + 1;
        DUMMY = i46;
        ID_FILE____GYRO_SELFTEST = i45;
        int i47 = i46 + 1;
        DUMMY = i47;
        ID_FILE____LIGHT_ADC = i46;
        int i48 = i47 + 1;
        DUMMY = i48;
        ID_FILE____LIGHT_RGBW = i47;
        int i49 = i48 + 1;
        DUMMY = i49;
        ID_FILE____MAGNETIC_POWER_ON = i48;
        int i50 = i49 + 1;
        DUMMY = i50;
        ID_FILE____MAGNETIC_POWER_OFF = i49;
        int i51 = i50 + 1;
        DUMMY = i51;
        ID_FILE____MAGNETIC_STATUS = i50;
        int i52 = i51 + 1;
        DUMMY = i52;
        ID_FILE____MAGNETIC_TEMPERATURE = i51;
        int i53 = i52 + 1;
        DUMMY = i53;
        ID_FILE____MAGNETIC_DAC = i52;
        int i54 = i53 + 1;
        DUMMY = i54;
        ID_FILE____MAGNETIC_ADC = i53;
        int i55 = i54 + 1;
        DUMMY = i55;
        ID_FILE____MAGNETIC_SELF = i54;
        int i56 = i55 + 1;
        DUMMY = i56;
        ID_FILE____MAGNETIC_OFFSETH = i55;
        int i57 = i56 + 1;
        DUMMY = i57;
        ID_FILE____PROXIMITY_ADC = i56;
        int i58 = i57 + 1;
        DUMMY = i58;
        ID_FILE____PROXIMITY_AVG = i57;
        int i59 = i58 + 1;
        DUMMY = i59;
        ID_FILE____PROXIMITY_OFFSET = i58;
        int i60 = i59 + 1;
        DUMMY = i60;
        ID_FILE____GRIP_RAW = i59;
        int i61 = i60 + 1;
        DUMMY = i61;
        ID_FILE____GRIP_THRESHOLD = i60;
        int i62 = i61 + 1;
        DUMMY = i62;
        ID_FILE____GRIP_TOUCH = i61;
        int i63 = i62 + 1;
        DUMMY = i63;
        ID_FILE____GRIP_TOUCH_2 = i62;
        int i64 = i63 + 1;
        DUMMY = i64;
        ID_FILE____GRIP_TOUCH_3 = i63;
        int i65 = i64 + 1;
        DUMMY = i65;
        ID_FILE____GRIP_TOUCH_4 = i64;
        int i66 = i65 + 1;
        DUMMY = i66;
        ID_FILE____GRIP_TOUCH_5 = i65;
        int i67 = i66 + 1;
        DUMMY = i67;
        ID_FILE____GRIP_TOUCH_6 = i66;
        int i68 = i67 - i34;
        ID_COUNT_FILE = i68;
        int i69 = i67 + 1;
        DUMMY = i69;
        ID_INTENT__CP_ACCELEROMETER = i67;
        int i70 = i69 + 1;
        DUMMY = i70;
        ID_INTENT__GRIP = i69;
        ID_COUNT_INTENT = i70 - (i34 + i68);
        ID_SCOPE_MAX = i70 - 1;
    }

    public static class SensorIDBucket {
        public static final int TARGET_FILE = 2;
        public static final int TARGET_INTENT = 3;
        public static final int TARGET_MANAGER = 1;
        public int[] mIDArray_File = null;
        public int[] mIDArray_Intent = null;
        public int[] mIDArray_Manager = null;

        SensorIDBucket(int[] manager, int[] file, int[] intent) {
            this.mIDArray_Manager = manager;
            this.mIDArray_File = file;
            this.mIDArray_Intent = intent;
        }

        public int[] getID(int id) {
            switch (id) {
                case 1:
                    return this.mIDArray_Manager;
                case 2:
                    return this.mIDArray_File;
                case 3:
                    return this.mIDArray_Intent;
                default:
                    return null;
            }
        }
    }

    private ModuleSensor(Context context) {
        super(context, "ModuleSensor");
        FtUtil.log_i(this.CLASS_NAME, "ModuleSensor", null);
        this.mSensorRead = new SensorRead();
        SensorCalculator.initialize();
    }

    public static ModuleSensor instance(Context context) {
        if (mInstance == null) {
            mInstance = new ModuleSensor(context);
        }
        return mInstance;
    }

    public void SensorOn(int[] sensorID) {
        SensorOn(sensorID, 1);
    }

    public SensorIDBucket SensorOn(int[] sensorID, int logLevel) {
        LOG_LEVEL = logLevel;
        String str = this.CLASS_NAME;
        StringBuilder sb = new StringBuilder();
        sb.append("[");
        sb.append(sensorID != null ? Arrays.toString(sensorID) : "null");
        sb.append("]LOG_LEVEL : ");
        sb.append(LOG_LEVEL);
        FtUtil.log_d(str, "SensorOn", sb.toString());
        if (sensorID == null) {
            return null;
        }
        SensorIDBucket sensorIDBucket = convertSensorID(sensorID);
        this.mSensorRead.SensorOn(mContext, (SensorManager) getSystemService("sensor"), sensorIDBucket.mIDArray_Manager, sensorIDBucket.mIDArray_File, sensorIDBucket.mIDArray_Intent);
        return sensorIDBucket;
    }

    public void SensorOn(int[] sensorID, Handler notiHandler, int messageDelay_SensorUpdate_millisecond) {
        SensorOn(sensorID, notiHandler, messageDelay_SensorUpdate_millisecond, 1);
    }

    public void SensorOn(int[] sensorID, Handler notiHandler, int messageDelay_SensorUpdate_millisecond, int logLevel) {
        SensorIDBucket sensorIDBucket = SensorOn(sensorID, logLevel);
        if (messageDelay_SensorUpdate_millisecond > 0) {
            this.mSensorRead.setLoop_ReadFile(sensorID);
        } else if (sensorIDBucket != null) {
            sensorIDBucket.mIDArray_File = null;
        }
        if (sensorID != null && sensorIDBucket != null) {
            SensorNotification sensorNotification = new SensorNotification(mContext, sensorIDBucket.mIDArray_Manager, sensorIDBucket.mIDArray_File);
            sensorNotification.setLoopDelay(messageDelay_SensorUpdate_millisecond);
            sensorNotification.setHandler(notiHandler);
            sensorNotification.setDaemon(true);
            sensorNotification.start();
            this.mSensorNotificationMap.put(notiHandler.toString(), sensorNotification);
        }
    }

    public void SensorOn(int[] sensorID, Handler notiHandler, int messageDelay_SensorUpdate_millisecond, String index) {
        SensorIDBucket sensorIDBucket = SensorOn(sensorID, 1);
        if (messageDelay_SensorUpdate_millisecond > 0) {
            this.mSensorRead.setLoop_ReadFile(sensorID);
        } else if (sensorIDBucket != null) {
            sensorIDBucket.mIDArray_File = null;
        }
        if (sensorID != null && sensorIDBucket != null) {
            SensorNotification sensorNotification = new SensorNotification(mContext, sensorIDBucket.mIDArray_Manager, sensorIDBucket.mIDArray_File);
            sensorNotification.setLoopDelay(messageDelay_SensorUpdate_millisecond);
            sensorNotification.setHandler(notiHandler);
            sensorNotification.setDaemon(true);
            sensorNotification.start();
            ConcurrentHashMap<String, SensorNotification> concurrentHashMap = this.mSensorNotificationMap;
            concurrentHashMap.put(notiHandler.toString() + index, sensorNotification);
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "SensorOn", "Register sensor handler's name : " + notiHandler.toString() + index);
        }
    }

    public void SensorOff(int[] sensorID) {
        String str = this.CLASS_NAME;
        StringBuilder sb = new StringBuilder();
        sb.append("[");
        sb.append(sensorID != null ? Arrays.toString(sensorID) : "null");
        sb.append("]LOG_LEVEL : ");
        sb.append(LOG_LEVEL);
        FtUtil.log_d(str, "SensorOff", sb.toString());
        if (sensorID != null) {
            SensorIDBucket sensorIDBucket = convertSensorID(sensorID);
            this.mSensorRead.SensorOff(sensorIDBucket.mIDArray_Manager, sensorIDBucket.mIDArray_File, (SensorManager) getSystemService("sensor"));
        }
    }

    public void SensorOff(int[] sensorID, Handler handler) {
        SensorNotification sensorNotification;
        ConcurrentHashMap<String, SensorNotification> concurrentHashMap = this.mSensorNotificationMap;
        if (!(concurrentHashMap == null || concurrentHashMap.size() <= 0 || (sensorNotification = this.mSensorNotificationMap.remove(handler.toString())) == null)) {
            FtUtil.log_d(this.CLASS_NAME, "SensorOff", "The sensorNotification is removed and will be received interrup");
            sensorNotification.interrup();
        }
        SensorOff(sensorID);
    }

    public void SensorOff(int[] sensorID, Handler handler, String index) {
        ConcurrentHashMap<String, SensorNotification> concurrentHashMap = this.mSensorNotificationMap;
        if (concurrentHashMap != null && concurrentHashMap.size() > 0) {
            ConcurrentHashMap<String, SensorNotification> concurrentHashMap2 = this.mSensorNotificationMap;
            SensorNotification sensorNotification = concurrentHashMap2.remove(handler.toString() + index);
            if (sensorNotification != null) {
                FtUtil.log_d(this.CLASS_NAME, "SensorOff", "The sensorNotification is removed and will be received interrup");
                sensorNotification.interrup();
            }
        }
        SensorOff(sensorID);
    }

    public SensorIDBucket convertSensorID(int[] sensorID) {
        int[] mIDArray_Manager;
        int[] mIDArray_File;
        int[] mIDArray_Intent;
        ModuleSensor moduleSensor = this;
        int[] id_Manager = new int[ID_COUNT_MANAGER];
        int[] id_File = new int[ID_COUNT_FILE];
        int[] id_Intent = new int[ID_COUNT_INTENT];
        int index_Manager = 0;
        int index_File = 0;
        int index_Intent = 0;
        for (int i = 0; i < sensorID.length; i++) {
            if (ID_SCOPE_MIN > sensorID[i] || sensorID[i] >= ID_COUNT_MANAGER) {
                int index_Manager2 = ID_COUNT_MANAGER;
                if (index_Manager2 <= sensorID[i] && sensorID[i] < ID_COUNT_FILE + index_Manager2) {
                    id_File[index_File] = sensorID[i];
                    index_File++;
                } else if (index_Manager2 + ID_COUNT_FILE > sensorID[i] || sensorID[i] > ID_SCOPE_MAX) {
                    String str = moduleSensor.CLASS_NAME;
                    FtUtil.log_e(str, "SensorOn", "ID : Unknown (" + sensorID[i] + ")");
                } else {
                    id_Intent[index_Intent] = sensorID[i];
                    index_Intent++;
                }
            } else {
                id_Manager[index_Manager] = sensorID[i];
                index_Manager++;
            }
        }
        if (index_Manager > 0) {
            FtUtil.log_d(moduleSensor.CLASS_NAME, "SensorOn", "Manager");
            mIDArray_Manager = new int[index_Manager];
            for (int i2 = 0; i2 < index_Manager; i2++) {
                mIDArray_Manager[i2] = id_Manager[i2];
            }
            FtUtil.log_d(moduleSensor.CLASS_NAME, "SensorOn", " Manager ID");
            for (int i3 = 0; i3 < mIDArray_Manager.length; i3++) {
                String str2 = moduleSensor.CLASS_NAME;
                FtUtil.log_d(str2, "SensorOn", "   [" + i3 + "] " + getString_ID(mIDArray_Manager[i3]));
            }
        } else {
            mIDArray_Manager = null;
        }
        if (index_File > 0) {
            FtUtil.log_d(moduleSensor.CLASS_NAME, "SensorOn", "File");
            mIDArray_File = new int[index_File];
            for (int i4 = 0; i4 < index_File; i4++) {
                mIDArray_File[i4] = id_File[i4];
            }
            FtUtil.log_d(moduleSensor.CLASS_NAME, "SensorOn", " File ID");
            for (int i5 = 0; i5 < mIDArray_File.length; i5++) {
                String str3 = moduleSensor.CLASS_NAME;
                FtUtil.log_d(str3, "SensorOn", "   [" + i5 + "] " + getString_ID(mIDArray_File[i5]));
            }
        } else {
            mIDArray_File = null;
        }
        if (index_Intent > 0) {
            FtUtil.log_d(moduleSensor.CLASS_NAME, "SensorOn", "Intent");
            mIDArray_Intent = new int[index_Intent];
            for (int i6 = 0; i6 < index_Intent; i6++) {
                mIDArray_Intent[i6] = id_Intent[i6];
            }
            FtUtil.log_d(moduleSensor.CLASS_NAME, "SensorOn", " Intent ID");
            int i7 = 0;
            while (i7 < mIDArray_Intent.length) {
                String str4 = moduleSensor.CLASS_NAME;
                FtUtil.log_d(str4, "SensorOn", "   [" + i7 + "] " + getString_ID(mIDArray_Intent[i7]));
                i7++;
                moduleSensor = this;
            }
        } else {
            mIDArray_Intent = null;
        }
        return new SensorIDBucket(mIDArray_Manager, mIDArray_File, mIDArray_Intent);
    }

    public boolean isSensorOn(int sensorID) {
        boolean result = this.mSensorRead.isSensorOn(sensorID);
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "isSensorOn", "sensorID : " + getString_ID(sensorID) + ", result=" + result);
        return result;
    }

    public boolean isSensorReady(int sensorID) {
        boolean result = this.mSensorRead.isSensorReady(sensorID);
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "isSensorReady", "sensorID : " + getString_ID(sensorID) + ", result=" + result);
        return result;
    }

    public String[] getData(int id) {
        if (LOG_LEVEL <= 2) {
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "getData", "id : " + getString_ID(id));
        }
        if (id == ID_MANAGER_ACCELEROMETER) {
            return this.mSensorRead.getAccelermeterXYZ(1);
        }
        if (id == ID_FILE____ACCELEROMETER) {
            return this.mSensorRead.getAccelermeterXYZ(2);
        }
        if (id == ID_MANAGER_ACCELEROMETER_N_ANGLE) {
            return this.mSensorRead.getAccelermeterXYZnAngle(1);
        }
        if (id == ID_MANAGER_SUB_ACCELEROMETER_N_ANGLE) {
            return this.mSensorRead.getSubAccelermeterXYZnAngle(1);
        }
        if (id == ID_FILE____ACCELEROMETER_N_ANGLE) {
            return this.mSensorRead.getAccelermeterXYZnAngle(2);
        }
        if (id == ID_MANAGER_ACCELEROMETER_SELF) {
            return this.mSensorRead.getAccelermeterSelf(1);
        }
        if (id == ID_FILE____ACCELEROMETER_SELF) {
            return this.mSensorRead.getAccelermeterSelf(2);
        }
        if (id == ID_FILE____ACCELEROMETER_SELFTEST) {
            return this.mSensorRead.getAccelermeterSelfTest(2);
        }
        if (id == ID_MANAGER_SUB_ACCELEROMETER) {
            return this.mSensorRead.getSubAccelermeterXYZ(1);
        }
        if (id == ID_FILE____SUB_ACCELEROMETER) {
            return this.mSensorRead.getSubAccelermeterXYZ(2);
        }
        if (id == ID_FILE____SUB_ACCELEROMETER_SELFTEST) {
            return this.mSensorRead.getSubAccelermeterSelfTest(2);
        }
        if (id == ID_FILE____ACCELEROMETER_CAL) {
            return this.mSensorRead.getAccelermeterCal(2);
        }
        if (id == ID_FILE____ACCELEROMETER_INTPIN) {
            return this.mSensorRead.getAccelermeterIntpin(2);
        }
        if (id == ID_INTENT__CP_ACCELEROMETER) {
            return this.mSensorRead.getAccelermeterXYZnAngle(3);
        }
        if (id == ID_MANAGER_BAROMETER) {
            return this.mSensorRead.getBarometer(1);
        }
        if (id == ID_FILE____BAROMETER_EEPROM) {
            return this.mSensorRead.getBarometerEEPROM(2);
        }
        if (id == ID_INTENT__GRIP) {
            return this.mSensorRead.getGrip(3);
        }
        if (id == ID_MANAGER_GRIP) {
            return this.mSensorRead.getGrip(1);
        }
        if (id == ID_MANAGER_GRIP_WIFI) {
            return this.mSensorRead.getGrip(4);
        }
        if (id == ID_MANAGER_GRIP_SUB) {
            return this.mSensorRead.getGrip_Sub(1);
        }
        if (id == ID_MANAGER_GRIP_SUB2) {
            return this.mSensorRead.getGrip_Sub2(1);
        }
        if (id == ID_MANAGER_GRIP_SUB3) {
            return this.mSensorRead.getGrip_Sub3(1);
        }
        if (id == ID_FILE____GRIP_RAW) {
            return this.mSensorRead.getGrip(2);
        }
        if (id == ID_FILE____GRIP_THRESHOLD) {
            return this.mSensorRead.getGripThreshold(2);
        }
        if (id == ID_FILE____GRIP_TOUCH) {
            return this.mSensorRead.getGripTouch(2, id);
        }
        if (id == ID_FILE____GRIP_TOUCH_2) {
            return this.mSensorRead.getGripTouch(2, id);
        }
        if (id == ID_FILE____GRIP_TOUCH_3) {
            return this.mSensorRead.getGripTouch(2, id);
        }
        if (id == ID_FILE____GRIP_TOUCH_4) {
            return this.mSensorRead.getGripTouch(2, id);
        }
        if (id == ID_FILE____GRIP_TOUCH_5) {
            return this.mSensorRead.getGripTouch(2, id);
        }
        if (id == ID_FILE____GRIP_TOUCH_6) {
            return this.mSensorRead.getGripTouch(2, id);
        }
        if (id == ID_MANAGER_GYRO) {
            return this.mSensorRead.getGyro(1);
        }
        if (id == ID_MANAGER_GYRO_TEMPERATURE) {
            return this.mSensorRead.getGyroTemperature(1);
        }
        if (id == ID_FILE____GYRO_TEMPERATURE) {
            return this.mSensorRead.getGyroTemperature(2);
        }
        if (id == ID_FILE____GYRO_SELFTEST) {
            return this.mSensorRead.getGyroSelf(2);
        }
        if (id == ID_MANAGER_LIGHT) {
            return this.mSensorRead.getLight(1);
        }
        if (id == ID_MANAGER_LIGHT_CCT) {
            return this.mSensorRead.getLightCCT(1);
        }
        if (id == ID_FILE____LIGHT_ADC) {
            return this.mSensorRead.getLightADC(2);
        }
        if (id == ID_FILE____LIGHT_RGBW) {
            return this.mSensorRead.getLightRGBW(2);
        }
        if (id == ID_MANAGER_MAGNETIC) {
            return this.mSensorRead.getMagnetic(1);
        }
        if (id == ID_MANAGER_MAGNETIC_POWER_ON) {
            return this.mSensorRead.getMagneticPowerOn(1);
        }
        if (id == ID_FILE____MAGNETIC_POWER_ON) {
            return this.mSensorRead.getMagneticPowerOn(2);
        }
        if (id == ID_MANAGER_MAGNETIC_POWER_OFF) {
            return this.mSensorRead.getMagneticPowerOff(1);
        }
        if (id == ID_FILE____MAGNETIC_POWER_OFF) {
            return this.mSensorRead.getMagneticPowerOff(2);
        }
        if (id == ID_MANAGER_MAGNETIC_STATUS) {
            return this.mSensorRead.getMagneticStatus(1);
        }
        if (id == ID_FILE____MAGNETIC_STATUS) {
            return this.mSensorRead.getMagneticStatus(2);
        }
        if (id == ID_MANAGER_MAGNETIC_TEMPERATURE) {
            return this.mSensorRead.getMagneticTemperature(1);
        }
        if (id == ID_FILE____MAGNETIC_TEMPERATURE) {
            return this.mSensorRead.getMagneticTemperature(2);
        }
        if (id == ID_MANAGER_MAGNETIC_DAC) {
            return this.mSensorRead.getMagneticDAC(1);
        }
        if (id == ID_FILE____MAGNETIC_DAC) {
            return this.mSensorRead.getMagneticDAC(2);
        }
        if (id == ID_MANAGER_MAGNETIC_ADC) {
            return this.mSensorRead.getMagneticADC(1);
        }
        if (id == ID_FILE____MAGNETIC_ADC) {
            return this.mSensorRead.getMagneticADC(2);
        }
        if (id == ID_MANAGER_MAGNETIC_SELF) {
            return this.mSensorRead.getMagneticSelf(1);
        }
        if (id == ID_FILE____MAGNETIC_SELF) {
            return this.mSensorRead.getMagneticSelf(2);
        }
        if (id == ID_MANAGER_MAGNETIC_OFFSETH) {
            return this.mSensorRead.getMagneticOffsetH(1);
        }
        if (id == ID_FILE____MAGNETIC_OFFSETH) {
            return this.mSensorRead.getMagneticOffsetH(2);
        }
        if (id == ID_MANAGER_PROXIMITY) {
            return this.mSensorRead.getProximity(1);
        }
        if (id == ID_FILE____PROXIMITY_ADC) {
            return this.mSensorRead.getProximityADC(2);
        }
        if (id == ID_FILE____PROXIMITY_AVG) {
            return this.mSensorRead.getProximityAVG(2);
        }
        if (id == ID_FILE____PROXIMITY_OFFSET) {
            return this.mSensorRead.getProximityOffset(2);
        }
        if (id == ID_MANAGER_IRIS_PROXIMITY) {
            return this.mSensorRead.getIrisProximity(1);
        }
        if (id == ID_MANAGER_TEMPERATURE) {
            return this.mSensorRead.getTemperature(1);
        }
        if (id == ID_MANAGER_HUMIDITY) {
            return this.mSensorRead.getHumidity(1);
        }
        if (id == ID_MANAGER_BIO) {
            return this.mSensorRead.getBio(1);
        }
        if (id == ID_MANAGER_BIO_HRM) {
            return this.mSensorRead.getHrm(1);
        }
        if (id == ID_MANAGER_BIO_ALC) {
            return this.mSensorRead.getBioAlc(1);
        }
        FtUtil.log_e(this.CLASS_NAME, "getData", "id : Unknown");
        return null;
    }

    public static String getString_ID(int id) {
        if (id == ID_MANAGER_ACCELEROMETER) {
            return "ID_MANAGER_ACCELEROMETER";
        }
        if (id == ID_FILE____ACCELEROMETER) {
            return "ID_FILE____ACCELEROMETER";
        }
        if (id == ID_MANAGER_SUB_ACCELEROMETER) {
            return "ID_MANAGER_SUB_ACCELEROMETER";
        }
        if (id == ID_MANAGER_ACCELEROMETER_N_ANGLE) {
            return "ID_MANAGER_ACCELEROMETER_N_ANGLE";
        }
        if (id == ID_FILE____SUB_ACCELEROMETER) {
            return "ID_FILE____SUB_ACCELEROMETER";
        }
        if (id == ID_MANAGER_SUB_ACCELEROMETER_N_ANGLE) {
            return "ID_MANAGER_SUB_ACCELEROMETER_N_ANGLE";
        }
        if (id == ID_FILE____SUB_ACCELEROMETER_SELFTEST) {
            return "ID_FILE____SUB_ACCELEROMETER_SELFTEST";
        }
        if (id == ID_FILE____ACCELEROMETER_N_ANGLE) {
            return "ID_FILE____ACCELEROMETER_N_ANGLE";
        }
        if (id == ID_MANAGER_ACCELEROMETER_SELF) {
            return "ID_MANAGER_ACCELEROMETER_SELF";
        }
        if (id == ID_FILE____ACCELEROMETER_SELF) {
            return "ID_FILE____ACCELEROMETER_SELF";
        }
        if (id == ID_FILE____ACCELEROMETER_SELFTEST) {
            return "ID_FILE____ACCELEROMETER_SELFTEST";
        }
        if (id == ID_FILE____ACCELEROMETER_CAL) {
            return "ID_FILE____ACCELEROMETER_CAL";
        }
        if (id == ID_FILE____ACCELEROMETER_INTPIN) {
            return "ID_FILE____ACCELEROMETER_INTPIN";
        }
        if (id == ID_INTENT__CP_ACCELEROMETER) {
            return "ID_INTENT__CP_ACCELEROMETER";
        }
        if (id == ID_MANAGER_BAROMETER) {
            return "ID_MANAGER_BAROMETER";
        }
        if (id == ID_FILE____BAROMETER_EEPROM) {
            return "ID_FILE____BAROMETER_EEPROM";
        }
        if (id == ID_INTENT__GRIP) {
            return "ID_INTENT__GRIP";
        }
        if (id == ID_MANAGER_GRIP) {
            return "ID_MANAGER_GRIP";
        }
        if (id == ID_MANAGER_GRIP_WIFI) {
            return "ID_MANAGER_GRIP_WIFI";
        }
        if (id == ID_MANAGER_GRIP_SUB) {
            return "ID_MANAGER_GRIP_SUB";
        }
        if (id == ID_MANAGER_GRIP_SUB2) {
            return "ID_MANAGER_GRIP_SUB2";
        }
        if (id == ID_MANAGER_GRIP_SUB3) {
            return "ID_MANAGER_GRIP_SUB3";
        }
        if (id == ID_MANAGER_GYRO) {
            return "ID_MANAGER_GYRO";
        }
        if (id == ID_MANAGER_GYRO_POWER) {
            return "ID_MANAGER_GYRO_POWER";
        }
        if (id == ID_MANAGER_GYRO_TEMPERATURE) {
            return "ID_MANAGER_GYRO_TEMPERATURE";
        }
        if (id == ID_FILE____GYRO_TEMPERATURE) {
            return "ID_FILE____GYRO_TEMPERATURE";
        }
        if (id == ID_FILE____GYRO_SELFTEST) {
            return "ID_FILE____GYRO_SELFTEST";
        }
        if (id == ID_MANAGER_LIGHT) {
            return "ID_MANAGER_LIGHT";
        }
        if (id == ID_MANAGER_LIGHT_CCT) {
            return "ID_MANAGER_LIGHT_CCT";
        }
        if (id == ID_FILE____LIGHT_ADC) {
            return "ID_FILE____LIGHT_ADC";
        }
        if (id == ID_FILE____LIGHT_RGBW) {
            return "ID_FILE____LIGHT_RGBW";
        }
        if (id == ID_MANAGER_MAGNETIC) {
            return "ID_MANAGER_MAGNETIC";
        }
        if (id == ID_MANAGER_MAGNETIC_POWER_ON) {
            return "ID_MANAGER_MAGNETIC_POWER_ON";
        }
        if (id == ID_FILE____MAGNETIC_POWER_ON) {
            return "ID_FILE____MAGNETIC_POWER_ON";
        }
        if (id == ID_MANAGER_MAGNETIC_POWER_OFF) {
            return "ID_MANAGER_MAGNETIC_POWER_OFF";
        }
        if (id == ID_FILE____MAGNETIC_POWER_OFF) {
            return "ID_FILE____MAGNETIC_POWER_OFF";
        }
        if (id == ID_MANAGER_MAGNETIC_STATUS) {
            return "ID_MANAGER_MAGNETIC_STATUS";
        }
        if (id == ID_FILE____MAGNETIC_STATUS) {
            return "ID_FILE____MAGNETIC_STATUS";
        }
        if (id == ID_MANAGER_MAGNETIC_TEMPERATURE) {
            return "ID_MANAGER_MAGNETIC_TEMPERATURE";
        }
        if (id == ID_FILE____MAGNETIC_TEMPERATURE) {
            return "ID_FILE____MAGNETIC_TEMPERATURE";
        }
        if (id == ID_MANAGER_MAGNETIC_DAC) {
            return "ID_MANAGER_MAGNETIC_DAC";
        }
        if (id == ID_FILE____MAGNETIC_DAC) {
            return "ID_FILE____MAGNETIC_DAC";
        }
        if (id == ID_MANAGER_MAGNETIC_ADC) {
            return "ID_MANAGER_MAGNETIC_ADC";
        }
        if (id == ID_FILE____MAGNETIC_ADC) {
            return "ID_FILE____MAGNETIC_ADC";
        }
        if (id == ID_MANAGER_MAGNETIC_SELF) {
            return "ID_MANAGER_MAGNETIC_SELF";
        }
        if (id == ID_FILE____MAGNETIC_SELF) {
            return "ID_FILE____MAGNETIC_SELF";
        }
        if (id == ID_MANAGER_MAGNETIC_OFFSETH) {
            return "ID_MANAGER_MAGNETIC_OFFSETH";
        }
        if (id == ID_FILE____MAGNETIC_OFFSETH) {
            return "ID_FILE____MAGNETIC_OFFSETH";
        }
        if (id == ID_MANAGER_PROXIMITY) {
            return "ID_MANAGER_PROXIMITY";
        }
        if (id == ID_MANAGER_IRIS_PROXIMITY) {
            return "ID_MANAGER_IRIS_PROXIMITY";
        }
        if (id == ID_FILE____PROXIMITY_ADC) {
            return "ID_FILE____PROXIMITY_ADC";
        }
        if (id == ID_FILE____PROXIMITY_AVG) {
            return "ID_FILE____PROXIMITY_AVG";
        }
        if (id == ID_FILE____PROXIMITY_OFFSET) {
            return "ID_FILE____PROXIMITY_OFFSET";
        }
        if (id == ID_MANAGER_TEMPERATURE) {
            return "ID_MANAGER_TEMPERATURE";
        }
        if (id == ID_MANAGER_HUMIDITY) {
            return "ID_MANAGER_HUMIDITY";
        }
        if (id == ID_MANAGER_BIO) {
            return "ID_MANAGER_BIO";
        }
        if (id == ID_MANAGER_BIO_HRM) {
            return "ID_MANAGER_BIO_HRM";
        }
        if (id == ID_MANAGER_BIO_ALC) {
            return "ID_MANAGER_BIO_ALC";
        }
        return "Unknown => id : " + id;
    }
}
