package com.sec.factory.modules;

import android.app.Service;
import android.content.Context;
import android.content.Intent;
import android.os.Handler;
import android.os.IBinder;
import android.os.IPowerManager;
import android.os.Message;
import android.os.RemoteException;
import android.os.ServiceManager;
import com.sec.factory.app.ui.UIFailPopup;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;

public class PowResetService extends Service {
    private static final String CLASS_NAME = "PowResetService";
    static final int WHAT_DELAY_POWER_OFF = 1;
    static final int WHAT_RID_CHECK = 0;
    protected static ModulePower mModulePower = null;
    int POLLING_INTERVAL = 500;
    int POLLING_TIME = 60;
    int limitedPowerOffDelay = 0;
    boolean mChecked = false;
    protected Context mContext;
    private final Handler mHandler = new Handler() {
        /* class com.sec.factory.modules.PowResetService.AnonymousClass1 */

        public void handleMessage(Message msg) {
            if (msg.what == 0) {
                if (PowResetService.this.mTestCount < PowResetService.this.POLLING_TIME) {
                    PowResetService.this.mTestCount++;
                    PowResetService powResetService = PowResetService.this;
                    powResetService.mChecked = powResetService.isCheckRidOpen();
                    if (PowResetService.this.mChecked) {
                        PowResetService.mModulePower.reboot((byte) 0);
                    } else {
                        PowResetService.this.mHandler.sendEmptyMessageDelayed(0, (long) PowResetService.this.POLLING_INTERVAL);
                    }
                } else {
                    PowResetService.this.mTestCount = 0;
                    PowResetService.this.mHandler.removeMessages(0);
                    Intent intent = new Intent(PowResetService.this.mContext, UIFailPopup.class);
                    intent.putExtra("data", "ID Open is not detected!");
                    PowResetService.this.mContext.startActivity(intent);
                }
            } else if (msg.what == 1) {
                try {
                    if (PowResetService.this.mPowerOffDelay >= 1000) {
                        PowResetService.this.limitedPowerOffDelay = 1000000;
                    } else {
                        PowResetService powResetService2 = PowResetService.this;
                        powResetService2.limitedPowerOffDelay = powResetService2.mPowerOffDelay * 1000;
                    }
                    FtUtil.Sleep.sleep((long) PowResetService.this.limitedPowerOffDelay);
                    IPowerManager pm = IPowerManager.Stub.asInterface(ServiceManager.getService("power"));
                    try {
                        FtUtil.log_d(PowResetService.CLASS_NAME, "shutdown start");
                        pm.shutdown(false, "[FactoryTest] powreset 0,1", false);
                        FtUtil.log_d(PowResetService.CLASS_NAME, "shutdown end");
                    } catch (RemoteException e) {
                        FtUtil.log_e(e);
                    }
                } catch (Exception e2) {
                    FtUtil.log_e(e2);
                }
            }
        }
    };
    int mPowerOffDelay = 0;
    int mTestCount = 0;

    public void initRebootStart() {
        this.mHandler.sendEmptyMessage(0);
    }

    public void initPowerOffStart() {
        this.mHandler.sendEmptyMessage(1);
    }

    public IBinder onBind(Intent arg0) {
        return null;
    }

    public int onStartCommand(Intent intent, int flags, int startId) {
        String cmd = intent.getStringExtra("cmd");
        FtUtil.log_d(CLASS_NAME, "cmd = " + cmd);
        if (cmd.equalsIgnoreCase("REBOOT")) {
            initRebootStart();
        } else if (cmd.equalsIgnoreCase("POWEROFF")) {
            this.mPowerOffDelay = intent.getIntExtra("delay", 0);
            FtUtil.log_d(CLASS_NAME, "mPowerOffDelay = " + this.mPowerOffDelay);
            initPowerOffStart();
        }
        return super.onStartCommand(intent, flags, startId);
    }

    public void onCreate() {
        super.onCreate();
        FtUtil.log_d(CLASS_NAME, "onCreate");
        Context applicationContext = getApplicationContext();
        this.mContext = applicationContext;
        ModulePower modulePower = mModulePower;
        if (modulePower == null) {
            modulePower = ModulePower.instance(applicationContext);
        }
        mModulePower = modulePower;
    }

    public void onDestroy() {
        super.onDestroy();
        mModulePower = null;
        this.mHandler.removeMessages(0);
        this.mHandler.removeMessages(1);
    }

    /* access modifiers changed from: package-private */
    public boolean isCheckRidOpen() {
        if (Support.Kernel.isExistFile(Support.Kernel.CCIC_RID)) {
            if ("7".equalsIgnoreCase(Support.Kernel.read(Support.Kernel.CCIC_RID))) {
                return true;
            }
            return false;
        } else if ("1f".equalsIgnoreCase(Support.Kernel.read(Support.Kernel.ANYWAY_JIG))) {
            return true;
        } else {
            return false;
        }
    }
}
