package com.sec.factory.modules;

import com.google.common.collect.ArrayListMultimap;
import com.google.common.collect.Multimap;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.FileWriter;
import java.io.IOException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Set;
import java.util.zip.ZipEntry;
import java.util.zip.ZipInputStream;
import java.util.zip.ZipOutputStream;

public class RdmCompressService {
    public static final String CLASS_NAME = "RdmCompressService";
    static final int CP_RAMDUMP_MODE = 3;
    static final int FUNCTION_MODE = 1;
    static final String[] HeadOfFUNCTION = {"dumpState", "dumpstate", "factory", "15TEST", "recovery", "CPLOG", "checksum", "emmc", "SilentLog", "LITMUS", "sleep", "Sleep", "tsp", "sdm", "nprf", "Audio", "LitmusLog", "qmdl", "sec", "MDLog1", "codec", "hal", "suspend_resume_log", "qmesa_log_ddr", "qmesa_log_cache", "pmictest_log", "test_result", "cpuclksw_log", "ddrclksw_log", "qmvs_sa_log", "linearity", "runltp", "egis", "log-00", "RR", "shutdown_profile", "power_off_reset_reason", "scrrcddump", "MULTICAL", "multical", "Multical", "camera_tilt_calibration_info", "goodix_dump", "fp_qfs2608", "rdm_model_info"};
    static final String[] HeadOfPGM = {"SMD", "PBA", "CAL2", "CAL", "FINAL", "FINA2", "FINA", "FINM", "IMEI", "WLAN", "GPS", "BT", "LCIA", "SMDDL", "UCT100", "MST", "NONE"};
    static final String[] HeadOfRAMDUMP = {"cpcrash", "logcat_radio", "mem_dump", "mif_trace", "umts_crash", "mdm", "cpdump", "cbd", "dmesg", "errorinfo", "serverinfo", "errinfo", "kernel", "radio"};
    static final int PGM_MODE = 2;
    public int mCntFlsPath = 0;
    public HashMap<String, String> mFiileHashList = new HashMap<>();
    public ArrayList<String> mFileArrayList = new ArrayList<>();
    public Multimap<String, String> mFlogMultiList = ArrayListMultimap.create();
    public ArrayList<String> mSourceDirList = new ArrayList<>();

    public void SetDirPath(String SrcDir) {
        this.mSourceDirList.add(SrcDir);
    }

    public ArrayList<String> GetDirPath() {
        return this.mSourceDirList;
    }

    public void GetFileArrayList(int mode) {
        for (int index = 0; index < this.mSourceDirList.size(); index++) {
            FileView(this.mSourceDirList.get(index), mode);
        }
    }

    public String GetFileList(String desPath, int mode) {
        String PRODUCT_NAME = Support.Properties.get(Support.Properties.PRODUCT_NAME);
        String FLS_NAME = "/sdcard/log/" + Support.Properties.get(Support.Properties.FLS_FOLDER_NAME) + "/";
        String mAP_VERSION = Support.Properties.get(Support.Properties.PDA_VERSION);
        String mCP_VERSION = Support.Properties.get(Support.Properties.SW_VERSION);
        String AP_VERSNAME = "AP_VER : " + mAP_VERSION;
        String CP_VERSNAME = "CP_VER : " + mCP_VERSION;
        try {
            File mFileName = new File(desPath);
            File mFlsPath = new File(FLS_NAME);
            FileWriter fw = new FileWriter(mFileName);
            this.mCntFlsPath = mFlsPath.getAbsolutePath().length() + 1;
            if (mode == 1) {
                try {
                    fw.write(AP_VERSNAME);
                    fw.write("\r\n");
                    fw.write(CP_VERSNAME);
                    fw.write("\r\n");
                    int index = 0;
                    while (index < HeadOfFUNCTION.length) {
                        try {
                            int i = 0;
                            while (i < this.mFileArrayList.size()) {
                                try {
                                    String mFilePath = this.mFileArrayList.get(i);
                                    if (mFilePath.contains(HeadOfFUNCTION[index])) {
                                        FtUtil.log_d(CLASS_NAME, "GetFileList_RDM", "insert file Path [FUNCTION_MODE] : " + mFilePath);
                                        fw.write(mFilePath + "," + String.valueOf(new File(mFilePath).length()) + "bytes");
                                        fw.write("\r\n");
                                    }
                                    i++;
                                    mCP_VERSION = mCP_VERSION;
                                    mFlsPath = mFlsPath;
                                } catch (IOException e) {
                                    FtUtil.log_d(CLASS_NAME, "GetFileList_RDM", "Generial I/O Exception!");
                                    return desPath;
                                }
                            }
                            index++;
                            mAP_VERSION = mAP_VERSION;
                            mCP_VERSION = mCP_VERSION;
                        } catch (IOException e2) {
                            FtUtil.log_d(CLASS_NAME, "GetFileList_RDM", "Generial I/O Exception!");
                            return desPath;
                        }
                    }
                } catch (IOException e3) {
                    FtUtil.log_d(CLASS_NAME, "GetFileList_RDM", "Generial I/O Exception!");
                    return desPath;
                }
            } else if (mode == 3) {
                fw.write(AP_VERSNAME);
                fw.write("\r\n");
                fw.write(CP_VERSNAME);
                fw.write("\r\n");
                for (int index2 = 0; index2 < HeadOfRAMDUMP.length; index2++) {
                    for (int i2 = 0; i2 < this.mFileArrayList.size(); i2++) {
                        String mFilePath2 = this.mFileArrayList.get(i2);
                        if (mFilePath2.contains(HeadOfRAMDUMP[index2])) {
                            FtUtil.log_d(CLASS_NAME, "GetFileList_RDM", "insert file Path [CP_RAMDUMP_MODE] : " + mFilePath2);
                            fw.write(mFilePath2 + "," + String.valueOf(new File(mFilePath2).length()) + "bytes");
                            fw.write("\r\n");
                            this.mFileArrayList.remove(i2);
                        }
                    }
                }
            } else if (mode == 2) {
                Set<String> keys = this.mFlogMultiList.keySet();
                fw.write(AP_VERSNAME);
                fw.write("\r\n");
                fw.write(CP_VERSNAME);
                fw.write("\r\n");
                for (Iterator<String> it = keys.iterator(); it.hasNext(); it = it) {
                    String key = it.next();
                    String mZipFileName = "/sdcard/" + PRODUCT_NAME + "_" + key + "_FLOG.zip";
                    FtUtil.log_d(CLASS_NAME, "GetFileList_RDM", "Zip File Name : " + mZipFileName);
                    CreateZip_Files((List) this.mFlogMultiList.get(key), mZipFileName, this.mCntFlsPath);
                    FtUtil.log_d(CLASS_NAME, "GetFileList_RDM", "insert Zip file Path [PGM_MODE] : " + mZipFileName);
                    fw.write(mZipFileName + "," + String.valueOf(new File(mZipFileName).length()) + "bytes");
                    fw.write("\r\n");
                    keys = keys;
                }
            } else {
                FtUtil.log_d(CLASS_NAME, "GetFileList_RDM", "Not Support Mode!");
            }
            this.mFiileHashList.clear();
            this.mFileArrayList.clear();
            this.mFlogMultiList.clear();
            this.mSourceDirList.clear();
            fw.close();
        } catch (IOException e4) {
            FtUtil.log_d(CLASS_NAME, "GetFileList_RDM", "Generial I/O Exception!");
            return desPath;
        }
        return desPath;
    }

    public void FileView(String srcPath, int mode) {
        File[] files;
        File src = new File(srcPath);
        if (src.isDirectory()) {
            FtUtil.log_d(CLASS_NAME, "FileView", "get dir Path : " + src.getPath());
            if ("FlexLog".equalsIgnoreCase(src.getName().split("_")[0])) {
                FtUtil.log_d(CLASS_NAME, "CompressionService", "FlexLog Folder is Open!");
                return;
            }
            for (File file : src.listFiles()) {
                FileView(file.getPath(), mode);
            }
            return;
        }
        FtUtil.log_d(CLASS_NAME, "FileView", "insert file Path : " + src.getPath());
        String mFileName = src.getName();
        String mFilePath = src.getPath();
        if (mode == 1 || mode == 3) {
            if (!mFilePath.contains("FLog") && this.mFiileHashList.get(mFileName) == null) {
                this.mFiileHashList.put(mFileName, mFilePath);
                this.mFileArrayList.add(mFilePath);
            }
        } else if (mFilePath.contains("FLog")) {
            int index = 0;
            while (true) {
                String[] strArr = HeadOfPGM;
                if (index < strArr.length) {
                    if (mFilePath.contains(strArr[index])) {
                        this.mFlogMultiList.put(strArr[index], mFilePath);
                    }
                    index++;
                } else {
                    return;
                }
            }
        }
    }

    public void ViewZipFile(String srcZipFile) {
        try {
            FileInputStream fis = new FileInputStream(new File(srcZipFile));
            ZipInputStream zis = new ZipInputStream(fis);
            ZipEntry entry = zis.getNextEntry();
            while (entry != null) {
                String fileName = entry.getName();
                FtUtil.log_d(CLASS_NAME, "ViewZipFile", "get file in Zip : " + fileName);
                if (entry.isDirectory()) {
                    ViewZipFile(fileName);
                } else {
                    entry = zis.getNextEntry();
                }
            }
            zis.close();
            fis.close();
        } catch (IOException e) {
            FtUtil.log_d(CLASS_NAME, "ViewZipFile", "Generial I/O Exception!");
        }
    }

    public void CreateZip_Files(String srcPath, String desZipFile) {
        try {
            File src = new File(srcPath);
            File zipFile = new File(desZipFile);
            FileOutputStream fos = new FileOutputStream(zipFile);
            ZipOutputStream zos = new ZipOutputStream(fos);
            File[] files = src.listFiles();
            FtUtil.log_d(CLASS_NAME, "CreateZip_Files", "FIle Count : " + files.length);
            for (int i = 0; i < files.length; i++) {
                if (!files[i].isFile()) {
                    FtUtil.log_d(CLASS_NAME, "CreateZip_Files", "Directory Name : " + files[i].getName());
                } else if (!zipFile.getName().contains(files[i].getName())) {
                    FtUtil.log_d(CLASS_NAME, "CreateZip_Files", "Add File Name : " + files[i].getName());
                    FileInputStream fis = new FileInputStream(files[i]);
                    zos.putNextEntry(new ZipEntry(files[i].getName()));
                    byte[] buf = new byte[1024];
                    while (true) {
                        int len = fis.read(buf);
                        if (len <= 0) {
                            break;
                        }
                        zos.write(buf, 0, len);
                    }
                    zos.closeEntry();
                    fis.close();
                }
            }
            zos.close();
            fos.close();
        } catch (IOException e) {
            FtUtil.log_d(CLASS_NAME, "CreateZip_Files", "Generial I/O Exception!");
        }
    }

    public void CreateZip_Files(ArrayList<String> mArrayList, String desZipFile, int SubStrCnt) {
        try {
            FileOutputStream fos = new FileOutputStream(new File(desZipFile));
            ZipOutputStream zos = new ZipOutputStream(fos);
            for (int i = 0; i < mArrayList.size(); i++) {
                String FilePath = mArrayList.get(i);
                FileInputStream fis = new FileInputStream(FilePath);
                zos.putNextEntry(new ZipEntry(FilePath.substring(SubStrCnt)));
                byte[] buf = new byte[1024];
                while (true) {
                    int len = fis.read(buf);
                    if (len <= 0) {
                        break;
                    }
                    zos.write(buf, 0, len);
                }
                zos.closeEntry();
                fis.close();
            }
            zos.close();
            fos.close();
        } catch (IOException e) {
            FtUtil.log_d(CLASS_NAME, "CreateZip_Files", "Generial I/O Exception!");
        }
    }

    public void CreateZip_Files(List<String> mArrayList, String desZipFile, int SubStrCnt) {
        try {
            FileOutputStream fos = new FileOutputStream(new File(desZipFile));
            ZipOutputStream zos = new ZipOutputStream(fos);
            FtUtil.log_d(CLASS_NAME, "CreateZip_Files", "FIle Count : " + mArrayList.size());
            for (int i = 0; i < mArrayList.size(); i++) {
                String FilePath = mArrayList.get(i);
                FtUtil.log_d(CLASS_NAME, "CreateZip_Files", "Add File Name : " + FilePath);
                FileInputStream fis = new FileInputStream(FilePath);
                zos.putNextEntry(new ZipEntry(FilePath.substring(SubStrCnt)));
                byte[] buf = new byte[1024];
                while (true) {
                    int len = fis.read(buf);
                    if (len <= 0) {
                        break;
                    }
                    zos.write(buf, 0, len);
                }
                zos.closeEntry();
                fis.close();
            }
            zos.close();
            fos.close();
        } catch (IOException e) {
            FtUtil.log_d(CLASS_NAME, "CreateZip_Files", "Generial I/O Exception!");
        }
    }

    public void CreateZip_Folders(String srcPath, String desZipFile) {
        try {
            File src = new File(srcPath);
            FileOutputStream fos = new FileOutputStream(new File(desZipFile));
            ZipOutputStream zos = new ZipOutputStream(fos);
            FtUtil.log_d(CLASS_NAME, "CreateZip_Folders", "Zip File Name : " + desZipFile);
            zipEntryFolder(src, srcPath, zos, this.mCntFlsPath);
            zos.close();
            fos.close();
        } catch (IOException e) {
            FtUtil.log_d(CLASS_NAME, "CreateZip_Folders", "Generial I/O Exception!");
        }
    }

    private void zipEntryFolder(File srcFile, String srcPath, ZipOutputStream zos, int SubStrCnt) {
        File[] fileArray;
        try {
            if (srcFile.isDirectory()) {
                if ("FlexLog".equalsIgnoreCase(srcFile.getName().split("_")[0])) {
                    FtUtil.log_d(CLASS_NAME, "zipEntryFolder", "Could Not Make Zip File : FlexLog Folder");
                } else {
                    for (File file : srcFile.listFiles()) {
                        zipEntryFolder(file, srcPath, zos, SubStrCnt);
                    }
                }
                return;
            }
            FileInputStream fis = new FileInputStream(srcFile);
            String fileName = srcFile.getAbsolutePath().substring(SubStrCnt);
            FtUtil.log_d(CLASS_NAME, "zipEntryFolder", "Add File to Zip File : " + srcFile.getAbsolutePath().substring(SubStrCnt));
            zos.putNextEntry(new ZipEntry(fileName));
            byte[] buf = new byte[1024];
            while (true) {
                int len = fis.read(buf);
                if (len > 0) {
                    zos.write(buf, 0, len);
                } else {
                    zos.closeEntry();
                    fis.close();
                    return;
                }
            }
        } catch (IOException e) {
            FtUtil.log_d(CLASS_NAME, "zipEntryFolder", "Generial I/O Exception!" + srcFile.getName());
        }
    }
}
