package com.sec.factory.modules;

import android.app.Service;
import android.content.Intent;
import android.os.IBinder;
import android.util.Log;
import com.sec.xmldata.support.Support;
import java.io.File;
import java.util.Timer;
import java.util.TimerTask;

public class SOCService extends Service {
    private static final String TAG = "SOCService";
    private final int GET_SOC_DELAY = 60000;

    public void onCreate() {
        Log.i(TAG, "onCreate");
        super.onCreate();
        runTimer();
    }

    private void runTimer() {
        new Timer().schedule(new TimerTask() {
            /* class com.sec.factory.modules.SOCService.AnonymousClass1 */
            int count = 0;

            public void run() {
                String result = ModulePower.instance(SOCService.this.getApplicationContext()).readInBatteryVoltage();
                File socDataFile = new File(Support.Kernel.getFilePath(Support.Kernel.BATTERY_SAVE_SOC_DATA));
                if (result != null) {
                    Support.Kernel.writeToPathNsync(socDataFile.getPath(), result);
                    Log.i(SOCService.TAG, "Wrote soc data -> " + result);
                }
            }
        }, 0, 60000);
    }

    public IBinder onBind(Intent intent) {
        return null;
    }

    public void onDestroy() {
        Log.i(TAG, "onDestroy");
        super.onDestroy();
    }
}
