package com.sec.factory.modules;

import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;

public class SensorDeviceInfo {
    private static final String CLASS_NAME = "SensorDeviceInfo";
    private static int DUMMY;
    public static final int TARGET_FILE;
    public static final int TARGET_XML = 0;
    public static final int TYPE_ACCELEROMETER;
    public static final int TYPE_BAROMETER;
    public static final int TYPE_GEOMAGNETIC;
    public static final int TYPE_GESTURE;
    public static final int TYPE_GRIP;
    public static final int TYPE_GYRO;
    public static final int TYPE_HUMIDITY;
    public static final int TYPE_LIGHT;
    public static final int TYPE_PROXIMITY;
    public static final int TYPE_TEMPERATURE;
    private static String mSensorNameFileAccelerometer = null;
    private static String mSensorNameFileBarometer = null;
    private static String mSensorNameFileGeomagnetic = null;
    private static String mSensorNameFileGesture = null;
    private static String mSensorNameFileGrip = null;
    private static String mSensorNameFileGyro = null;
    private static String mSensorNameFileHumidity = null;
    private static String mSensorNameFileLight = null;
    private static String mSensorNameFileProximity = null;
    private static String mSensorNameFileTemperature = null;
    private static String mSensorNameXMLAccelerometer = null;
    private static String mSensorNameXMLGeomagnetic = null;
    private static String mSensorNameXMLGesture = null;
    private static String mSensorNameXMLGrip = null;
    private static String mSensorNameXMLGyro = null;

    static {
        DUMMY = 0;
        int i = 0 + 1;
        DUMMY = i;
        int i2 = i + 1;
        DUMMY = i2;
        TARGET_FILE = i;
        int i3 = i2 + 1;
        DUMMY = i3;
        TYPE_ACCELEROMETER = i2;
        int i4 = i3 + 1;
        DUMMY = i4;
        TYPE_BAROMETER = i3;
        int i5 = i4 + 1;
        DUMMY = i5;
        TYPE_GEOMAGNETIC = i4;
        int i6 = i5 + 1;
        DUMMY = i6;
        TYPE_GRIP = i5;
        int i7 = i6 + 1;
        DUMMY = i7;
        TYPE_GYRO = i6;
        int i8 = i7 + 1;
        DUMMY = i8;
        TYPE_LIGHT = i7;
        int i9 = i8 + 1;
        DUMMY = i9;
        TYPE_PROXIMITY = i8;
        int i10 = i9 + 1;
        DUMMY = i10;
        TYPE_TEMPERATURE = i9;
        int i11 = i10 + 1;
        DUMMY = i11;
        TYPE_HUMIDITY = i10;
        DUMMY = i11 + 1;
        TYPE_GESTURE = i11;
    }

    public static String getSensorVendor(int sensorType) {
        if (sensorType == TYPE_ACCELEROMETER) {
            return Support.Kernel.getAccSensorVendor();
        }
        return null;
    }

    public static String getSensorName(int sensorType, int readTarget) {
        String returnSensorName = null;
        int i = TARGET_XML;
        if (readTarget == i) {
            if (sensorType == TYPE_GEOMAGNETIC) {
                if (mSensorNameXMLGeomagnetic == null) {
                    mSensorNameXMLGeomagnetic = Support.Kernel.getGeoMagneticSensorName();
                }
                returnSensorName = mSensorNameXMLGeomagnetic;
            } else if (sensorType == TYPE_GYRO) {
                String str = mSensorNameXMLGyro;
                if (str == null || str.equalsIgnoreCase(Support.Properties.PROPERTIES_DEFAULT_STRING)) {
                    mSensorNameXMLGyro = Support.Kernel.getGyroSensorName();
                }
                returnSensorName = mSensorNameXMLGyro;
            } else {
                FtUtil.log_e(CLASS_NAME, "getSensorName", "TARGET_XML - sensorType : Unknown");
            }
        } else if (readTarget != TARGET_FILE) {
            FtUtil.log_e(CLASS_NAME, "getSensorName", "readTarget : Unknown");
        } else if (sensorType == TYPE_ACCELEROMETER) {
            if (mSensorNameFileAccelerometer == null) {
                mSensorNameFileAccelerometer = Support.Kernel.read(Support.Kernel.ACCEL_SENSOR_NAME);
            }
            returnSensorName = mSensorNameFileAccelerometer;
        } else if (sensorType == TYPE_BAROMETER) {
            if (mSensorNameFileBarometer == null) {
                mSensorNameFileBarometer = Support.Kernel.read(Support.Kernel.BAROMETE_NAME);
            }
            returnSensorName = mSensorNameFileBarometer;
        } else if (sensorType == TYPE_GEOMAGNETIC) {
            if (mSensorNameFileGeomagnetic == null) {
                mSensorNameFileGeomagnetic = Support.Kernel.read(Support.Kernel.GEOMAGNETIC_SENSOR_NAME);
            }
            returnSensorName = mSensorNameFileGeomagnetic;
        } else if (sensorType == TYPE_GRIP) {
            returnSensorName = mSensorNameFileGrip;
        } else if (sensorType == TYPE_GYRO) {
            if (mSensorNameFileGyro == null) {
                mSensorNameFileGyro = Support.Kernel.read(Support.Kernel.GYRO_SENSOR_NAME);
            }
            returnSensorName = mSensorNameFileGyro;
        } else if (sensorType == TYPE_LIGHT) {
            if (mSensorNameFileLight == null) {
                mSensorNameFileLight = Support.Kernel.read(Support.Kernel.LIGHT_SENSOR_NAME);
            }
            returnSensorName = mSensorNameFileLight;
        } else if (sensorType == TYPE_PROXIMITY) {
            if (mSensorNameFileProximity == null) {
                mSensorNameFileProximity = Support.Kernel.read(Support.Kernel.PROXI_SENSOR_NAME);
            }
            returnSensorName = mSensorNameFileProximity;
        } else if (sensorType == TYPE_TEMPERATURE) {
            returnSensorName = mSensorNameFileTemperature;
        } else if (sensorType == TYPE_HUMIDITY) {
            returnSensorName = mSensorNameFileHumidity;
        } else if (sensorType == TYPE_GESTURE) {
            returnSensorName = mSensorNameFileGesture;
        } else {
            FtUtil.log_e(CLASS_NAME, "getSensorName", "TARGET_FILE - sensorType : Unknown");
        }
        if (readTarget == i) {
            FtUtil.log_d(CLASS_NAME, "getSensorName", "XML => return : " + returnSensorName);
        } else if (readTarget == TARGET_FILE) {
            FtUtil.log_d(CLASS_NAME, "getSensorName", "File => return : " + returnSensorName);
        }
        return returnSensorName;
    }
}
