package com.sec.factory.modules;

import android.content.Context;
import android.os.Handler;
import android.os.Message;
import android.util.Log;
import com.sec.factory.support.FtUtil;

public class SensorNotification extends Thread {
    private static int DUMMY;
    public static int WHAT_NOTI_SENSOR_MAX;
    public static int WHAT_NOTI_SENSOR_MIN = 0;
    public static int WHAT_NOTI_SENSOR_READY = 0;
    public static int WHAT_NOTI_SENSOR_UPDATAE;
    private final String CLASS_NAME = "SensorNotification";
    private boolean FLAG_LOOP = false;
    private int NOTI_LOOP_DELAY = 100;
    private int TIMEOUT = 500;
    private int WHAT_LOCAL_TIMEOUT = 0;
    private int[] mFile_ID = null;
    private boolean[] mFile_Ready = null;
    private boolean mInterrupted = false;
    private boolean mIsReady_File = false;
    private boolean mIsReady_Manager = false;
    private boolean mIsTimeout = false;
    private Handler mLocalHandler = new Handler() {
        /* class com.sec.factory.modules.SensorNotification.AnonymousClass1 */

        public void handleMessage(Message msg) {
            if (msg.what == SensorNotification.this.WHAT_LOCAL_TIMEOUT) {
                FtUtil.log_e("SensorNotification", "mLocalHandler.handleMessage", "WHAT_LOCAL_TIMEOUT [Message Received]");
                SensorNotification.this.mIsTimeout = true;
            }
        }
    };
    private int[] mManager_ID = null;
    private boolean[] mManager_Ready = null;
    private ModuleSensor mModuleSensor;
    private Handler mNotiHandler = null;

    static {
        DUMMY = 0;
        int i = 0 + 1;
        DUMMY = i;
        int i2 = i + 1;
        DUMMY = i2;
        WHAT_NOTI_SENSOR_UPDATAE = i;
        WHAT_NOTI_SENSOR_MAX = i2;
    }

    public SensorNotification(Context context, int[] idManager, int[] idFile) {
        this.mManager_ID = idManager;
        this.mFile_ID = idFile;
        this.mIsTimeout = false;
        this.mInterrupted = false;
        this.mModuleSensor = ModuleSensor.instance(context);
        int[] iArr = this.mManager_ID;
        if (iArr != null) {
            this.mManager_Ready = new boolean[iArr.length];
        } else {
            this.mIsReady_Manager = true;
        }
        int[] iArr2 = this.mFile_ID;
        if (iArr2 != null) {
            this.mFile_Ready = new boolean[iArr2.length];
        } else {
            this.mIsReady_File = true;
        }
    }

    public void run() {
        FtUtil.log_i("SensorNotification", "run", " ========== ");
        sendMessage_SensorReady();
        FtUtil.log_i("SensorNotification", "run", " ========== ");
        if (this.FLAG_LOOP) {
            sendMessage_SensorUpdate();
            FtUtil.log_i("SensorNotification", "run", " ========== ");
        }
    }

    public void setHandler(Handler notiHandler) {
        this.mNotiHandler = notiHandler;
    }

    private void sendMessage_SensorReady() {
        String[] temp;
        String[] temp2;
        int log_level_prev = ModuleSensor.LOG_LEVEL;
        ModuleSensor.LOG_LEVEL = 4;
        FtUtil.log_e("SensorNotification", "sendMessage_SensorReady", " Timeout : " + this.TIMEOUT);
        if (this.mManager_ID != null) {
            FtUtil.log_d("SensorNotification", "sendMessage_SensorReady", " check - Manager ID");
        }
        if (this.mFile_ID != null) {
            FtUtil.log_d("SensorNotification", "sendMessage_SensorReady", " check - File ID");
        }
        long time_Start = System.currentTimeMillis();
        FtUtil.log_i("SensorNotification", "sendMessage_SensorReady", " START!!");
        FtUtil.log_i("SensorNotification", "sendMessage_SensorReady", " Time : " + time_Start);
        this.mLocalHandler.sendEmptyMessageDelayed(this.WHAT_LOCAL_TIMEOUT, (long) this.TIMEOUT);
        int readyCount_Manager = 0;
        int readyCount_File = 0;
        while (true) {
            if (!this.mInterrupted) {
                if (this.mManager_ID != null) {
                    int i = 0;
                    while (true) {
                        int[] iArr = this.mManager_ID;
                        if (i < iArr.length) {
                            if (this.mInterrupted) {
                                ModuleSensor.LOG_LEVEL = log_level_prev;
                                return;
                            }
                            if (!this.mManager_Ready[i] && (temp2 = this.mModuleSensor.getData(iArr[i])) != null) {
                                this.mManager_Ready[i] = true;
                                readyCount_Manager++;
                                FtUtil.log_i("SensorNotification", "sendMessage_SensorReady", " Manager check [" + i + "] " + dataCheck(temp2));
                            }
                            i++;
                        } else if (readyCount_Manager == iArr.length) {
                            this.mIsReady_Manager = true;
                        }
                    }
                }
                if (this.mFile_ID != null) {
                    int i2 = 0;
                    while (true) {
                        int[] iArr2 = this.mFile_ID;
                        if (i2 < iArr2.length) {
                            if (this.mInterrupted) {
                                ModuleSensor.LOG_LEVEL = log_level_prev;
                                return;
                            }
                            if (!this.mFile_Ready[i2] && (temp = this.mModuleSensor.getData(iArr2[i2])) != null) {
                                this.mFile_Ready[i2] = true;
                                readyCount_File++;
                                FtUtil.log_i("SensorNotification", "sendMessage_SensorReady", " File check [" + i2 + "] " + dataCheck(temp));
                            }
                            i2++;
                        } else if (readyCount_File == iArr2.length) {
                            this.mIsReady_File = true;
                        }
                    }
                }
                if (!this.mIsReady_Manager || !this.mIsReady_File) {
                    if (this.mIsTimeout) {
                        FtUtil.log_e("SensorNotification", "sendMessage_SensorReady", " ==========> Timeout~!~!~!~!~!~!");
                        showID_NotReady();
                        break;
                    }
                } else {
                    FtUtil.log_i("SensorNotification", "sendMessage_SensorReady", " All ready");
                    break;
                }
            } else {
                break;
            }
        }
        long time_Finish = System.currentTimeMillis();
        FtUtil.log_i("SensorNotification", "sendMessage_SensorReady", " FINISH!!");
        FtUtil.log_i("SensorNotification", "sendMessage_SensorReady", " Time : " + time_Finish);
        FtUtil.log_e("SensorNotification", "sendMessage_SensorReady", " Time Lag => " + (time_Finish - time_Start) + " millisecond");
        FtUtil.log_e("SensorNotification", "sendMessage_SensorReady", " Send Message => WHAT_NOTI_SENSOR_READY");
        ModuleSensor.LOG_LEVEL = log_level_prev;
        this.mNotiHandler.sendEmptyMessage(WHAT_NOTI_SENSOR_READY);
    }

    private void showID_NotReady() {
        String temp = "";
        if (this.mManager_Ready != null) {
            int i = 0;
            while (true) {
                boolean[] zArr = this.mManager_Ready;
                if (i >= zArr.length) {
                    break;
                }
                if (!zArr[i] && this.mManager_ID != null) {
                    temp = temp + " [" + i + "] " + ModuleSensor.getString_ID(this.mManager_ID[i]) + ", ";
                }
                i++;
            }
            FtUtil.log_d("SensorNotification", "showID_NotReady", " Not Ready ID (Manager) => " + temp);
        }
        String temp2 = "";
        if (this.mFile_Ready != null) {
            int i2 = 0;
            while (true) {
                boolean[] zArr2 = this.mFile_Ready;
                if (i2 < zArr2.length) {
                    if (!zArr2[i2] && this.mFile_ID != null) {
                        temp2 = temp2 + " [" + i2 + "] " + ModuleSensor.getString_ID(this.mFile_ID[i2]) + ", ";
                    }
                    i2++;
                } else {
                    FtUtil.log_d("SensorNotification", "showID_NotReady", " Not Ready ID (File) => " + temp2);
                    return;
                }
            }
        }
    }

    private void sendMessage_SensorUpdate() {
        FtUtil.log_i("SensorNotification", "sendMessage_SensorUpdate", " START!! ");
        FtUtil.log_i("SensorNotification", "sendMessage_SensorUpdate", " Send Message => WHAT_NOTI_SENSOR_UPDATAE");
        while (!this.mInterrupted) {
            this.mNotiHandler.sendEmptyMessage(WHAT_NOTI_SENSOR_UPDATAE);
            try {
                sleep((long) this.NOTI_LOOP_DELAY);
            } catch (InterruptedException e) {
                FtUtil.log_e(e);
            }
        }
        FtUtil.log_i("SensorNotification", "sendMessage_SensorUpdate", " FINISH!! ");
    }

    public void setLoopDelay(int loopDelay_millisecond) {
        if (loopDelay_millisecond > 0) {
            this.FLAG_LOOP = true;
            this.NOTI_LOOP_DELAY = loopDelay_millisecond;
        }
    }

    public void interrup() {
        this.mInterrupted = true;
    }

    private String dataCheck(String[] data) {
        String result = "";
        if (data != null) {
            try {
                int length = Integer.parseInt(data[0]);
                for (int i = 0; i < length + 1; i++) {
                    result = result + data[i];
                    if (i < length) {
                        result = result + " , ";
                    }
                }
            } catch (Exception e) {
                FtUtil.log_i("SensorNotification", "dataCheck", "Exception: " + Log.getStackTraceString(e));
                return "NULL";
            }
        }
        return result;
    }
}
