package com.sec.factory.modules;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import java.util.Locale;

public class SensorReadIntent {
    private final String ACCELERMETER_INTENT_ACTION_READ;
    private final String ACCELERMETER_INTENT_ACTION_STOP;
    private final int ACCEL_COUNT_MAX;
    private final String CLASS_NAME = "SensorReadIntent";
    private final String CP_INTENT_ACTION_READ;
    private int DUMMY = 0;
    private final int GRIP_COUNT_MAX;
    private final String GRIP_INTENT_ACTION_READ;
    private final String GRIP_INTENT_ACTION_READ_LTE;
    private final String GRIP_INTENT_ACTION_READ_OTHER;
    private final String GRIP_INTENT_ACTION_STOP;
    private final String GRIP_VALUE__INTENT_EXTRA_NAME;
    private final String GRIP_VALUE__INTENT_EXTRA_VALUE__DETECT_SENSOR_1;
    private final String GRIP_VALUE__INTENT_EXTRA_VALUE__DETECT_SENSOR_1N2;
    private final String GRIP_VALUE__INTENT_EXTRA_VALUE__DETECT_SENSOR_1N2N3;
    private final String GRIP_VALUE__INTENT_EXTRA_VALUE__DETECT_SENSOR_1N3;
    private final String GRIP_VALUE__INTENT_EXTRA_VALUE__DETECT_SENSOR_2;
    private final String GRIP_VALUE__INTENT_EXTRA_VALUE__DETECT_SENSOR_2N3;
    private final String GRIP_VALUE__INTENT_EXTRA_VALUE__DETECT_SENSOR_3;
    private final String GRIP_VALUE__INTENT_EXTRA_VALUE__DETECT_SENSOR_HC_0000;
    private final String GRIP_VALUE__INTENT_EXTRA_VALUE__DETECT_SENSOR_HC_0100;
    private final String GRIP_VALUE__INTENT_EXTRA_VALUE__RELEASE_ALL;
    private final int SENSOR_ON_ARRAY_INDEX_GRIP;
    private final int SENSOR_ON_ARRAY_LENGTH;
    private int count_Grip;
    private BroadcastReceiver mBroadcastReceiver;
    private int[] mBuffer_SensorValue_CPsAccelerometer;
    private int[] mBuffer_SensorValue_Grip;
    private Context mContext;
    private int[] mModuleSensorIDArray;
    private boolean[] mSensorOn;

    public SensorReadIntent(Context context, int[] moduleSensorID) {
        int i = 0 + 1;
        this.DUMMY = i;
        this.SENSOR_ON_ARRAY_INDEX_GRIP = 0;
        this.SENSOR_ON_ARRAY_LENGTH = i;
        this.mSensorOn = new boolean[i];
        this.CP_INTENT_ACTION_READ = "com.sec.android.app.factorytest";
        this.GRIP_INTENT_ACTION_READ = "030005";
        this.GRIP_INTENT_ACTION_READ_LTE = "03000b";
        this.GRIP_INTENT_ACTION_READ_OTHER = "07000b";
        this.ACCELERMETER_INTENT_ACTION_READ = "07000c";
        this.GRIP_INTENT_ACTION_STOP = "com.android.samsungtest.GripTestStop";
        this.GRIP_VALUE__INTENT_EXTRA_NAME = "COMMAND";
        this.GRIP_VALUE__INTENT_EXTRA_VALUE__DETECT_SENSOR_1 = "010000000000";
        this.GRIP_VALUE__INTENT_EXTRA_VALUE__DETECT_SENSOR_2 = "000001000000";
        this.GRIP_VALUE__INTENT_EXTRA_VALUE__DETECT_SENSOR_3 = "";
        this.GRIP_VALUE__INTENT_EXTRA_VALUE__DETECT_SENSOR_1N2 = "010001000000";
        this.GRIP_VALUE__INTENT_EXTRA_VALUE__DETECT_SENSOR_1N3 = "";
        this.GRIP_VALUE__INTENT_EXTRA_VALUE__DETECT_SENSOR_2N3 = "";
        this.GRIP_VALUE__INTENT_EXTRA_VALUE__DETECT_SENSOR_1N2N3 = "";
        this.GRIP_VALUE__INTENT_EXTRA_VALUE__RELEASE_ALL = "000000000000";
        this.GRIP_VALUE__INTENT_EXTRA_VALUE__DETECT_SENSOR_HC_0100 = "0100";
        this.GRIP_VALUE__INTENT_EXTRA_VALUE__DETECT_SENSOR_HC_0000 = "0000";
        this.ACCELERMETER_INTENT_ACTION_STOP = "com.android.samsungtest.CpAccelermeterOff";
        this.ACCEL_COUNT_MAX = 3;
        this.GRIP_COUNT_MAX = 3;
        this.mBuffer_SensorValue_Grip = null;
        this.mBuffer_SensorValue_CPsAccelerometer = null;
        this.mBroadcastReceiver = new BroadcastReceiver() {
            /* class com.sec.factory.modules.SensorReadIntent.AnonymousClass1 */

            public void onReceive(Context context, Intent intent) {
                String action = intent.getAction();
                FtUtil.log_i("SensorReadIntent", "mBroadcastReceiver.onReceive()", "action : " + action);
                if (action.equals("com.sec.android.app.factorytest")) {
                    String cmdData = intent.getStringExtra("COMMAND").toLowerCase(Locale.ENGLISH);
                    String sensorData = cmdData.substring(6);
                    FtUtil.log_i("SensorReadIntent", "mBroadcastReceiver.onReceive()", "cmdData : " + cmdData + " , sensorData : " + sensorData);
                    if (cmdData.startsWith("030005") || cmdData.startsWith("07000b") || cmdData.startsWith("03000b")) {
                        FtUtil.log_d("SensorReadIntent", "onReceive", "Grip");
                        SensorReadIntent.this.setValueGrip(sensorData);
                    } else if (cmdData.startsWith("07000c")) {
                        FtUtil.log_d("SensorReadIntent", "onReceive", "Accelerometer");
                        SensorReadIntent.this.setValueCPsAccelerometerData(sensorData);
                    }
                }
            }
        };
        FtUtil.log_d("SensorReadIntent", "SensorReadIntent", "Sensor On");
        this.mContext = context;
        this.mModuleSensorIDArray = moduleSensorID;
        this.mBuffer_SensorValue_Grip = new int[3];
        this.mBuffer_SensorValue_CPsAccelerometer = new int[3];
        for (int i2 = 0; i2 < this.SENSOR_ON_ARRAY_LENGTH; i2++) {
            this.mSensorOn[i2] = false;
        }
        int i3 = 0;
        while (true) {
            int[] iArr = this.mModuleSensorIDArray;
            if (i3 < iArr.length) {
                if (iArr[i3] == ModuleSensor.ID_INTENT__GRIP) {
                    if (!this.mSensorOn[this.SENSOR_ON_ARRAY_INDEX_GRIP]) {
                        FtUtil.log_d("SensorReadIntent", "SensorReadIntent", "Grip Sensor");
                        this.mSensorOn[ConverterID(ModuleSensor.ID_INTENT__GRIP)] = true;
                        registerReceiver_Grip();
                    } else {
                        FtUtil.log_d("SensorReadIntent", "SensorReadIntent", "Grip Sensor - On");
                    }
                } else if (this.mModuleSensorIDArray[i3] == ModuleSensor.ID_INTENT__CP_ACCELEROMETER) {
                    FtUtil.log_d("SensorReadIntent", "SensorReadIntent", "CP Accelerometer Sensor - On");
                    registerReceiver_CPAccelerometer();
                }
                i3++;
            } else {
                return;
            }
        }
    }

    public void sensorOff() {
        FtUtil.log_d("SensorReadIntent", "sensorOff", "Grip Sensor Off");
        int i = 0;
        while (true) {
            int[] iArr = this.mModuleSensorIDArray;
            if (i >= iArr.length) {
                break;
            }
            if (iArr[i] == ModuleSensor.ID_INTENT__GRIP) {
                FtUtil.log_d("SensorReadIntent", "sensorOff", "Grip Sensor");
                this.mBuffer_SensorValue_Grip = null;
                unregisterReceiver_Grip();
            }
            i++;
        }
        for (int i2 = 0; i2 < this.SENSOR_ON_ARRAY_LENGTH; i2++) {
            this.mSensorOn[i2] = false;
        }
        this.mModuleSensorIDArray = null;
    }

    public void disableReceiver_CPsAccelerometer() {
        FtUtil.log_d("SensorReadIntent", "disableBroadcastReceiverCPsAccelerometer", "CP's Acceler... OFF");
        this.mBuffer_SensorValue_CPsAccelerometer = null;
        unregisterReceiver_CPAccelerometer();
    }

    public boolean isSensorOn(int moduleSensorID) {
        return this.mSensorOn[ConverterID(moduleSensorID)];
    }

    private void registerReceiver_Grip() {
        IntentFilter filter = new IntentFilter();
        filter.addAction("com.sec.android.app.factorytest");
        filter.addAction("com.android.samsungtest.GripTestStop");
        this.mContext.registerReceiver(this.mBroadcastReceiver, filter);
    }

    private void unregisterReceiver_Grip() {
        FtUtil.log_d("SensorReadIntent", "unregisterReceiver_Grip", "unregisterReceiver_Grip");
        BroadcastReceiver broadcastReceiver = this.mBroadcastReceiver;
        if (broadcastReceiver != null) {
            this.mContext.unregisterReceiver(broadcastReceiver);
        }
    }

    private void registerReceiver_CPAccelerometer() {
        IntentFilter filter = new IntentFilter();
        filter.addAction("com.sec.android.app.factorytest");
        filter.addAction("com.android.samsungtest.CpAccelermeterOff");
        this.mContext.registerReceiver(this.mBroadcastReceiver, filter);
    }

    private void unregisterReceiver_CPAccelerometer() {
        BroadcastReceiver broadcastReceiver = this.mBroadcastReceiver;
        if (broadcastReceiver != null) {
            this.mContext.unregisterReceiver(broadcastReceiver);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setValueGrip(String value) {
        FtUtil.log_d("SensorReadIntent", "setValueGrip", "value : " + value);
        this.count_Grip = Integer.valueOf(Support.FactoryTestMenu.getTestCase("34")).intValue();
        if (value.equals("010000000000")) {
            int[] iArr = this.mBuffer_SensorValue_Grip;
            iArr[0] = 5;
            iArr[1] = 0;
            iArr[2] = 0;
        } else if (value.equals("000001000000")) {
            int[] iArr2 = this.mBuffer_SensorValue_Grip;
            iArr2[0] = 0;
            iArr2[1] = 5;
            iArr2[2] = 0;
        } else if (value.equals("")) {
            int[] iArr3 = this.mBuffer_SensorValue_Grip;
            iArr3[0] = 0;
            iArr3[1] = 0;
            iArr3[2] = 5;
        } else if (value.equals("010001000000")) {
            int[] iArr4 = this.mBuffer_SensorValue_Grip;
            iArr4[0] = 5;
            iArr4[1] = 5;
            iArr4[2] = 0;
        } else if (value.equals("")) {
            int[] iArr5 = this.mBuffer_SensorValue_Grip;
            iArr5[0] = 5;
            iArr5[1] = 0;
            iArr5[2] = 5;
        } else if (value.equals("")) {
            int[] iArr6 = this.mBuffer_SensorValue_Grip;
            iArr6[0] = 0;
            iArr6[1] = 5;
            iArr6[2] = 5;
        } else if (value.equals("")) {
            int[] iArr7 = this.mBuffer_SensorValue_Grip;
            iArr7[0] = 5;
            iArr7[1] = 5;
            iArr7[2] = 5;
        } else if (value.equals("000000000000")) {
            int[] iArr8 = this.mBuffer_SensorValue_Grip;
            iArr8[0] = 0;
            iArr8[1] = 0;
            iArr8[2] = 0;
        } else if (value.equals("0100")) {
            int[] iArr9 = this.mBuffer_SensorValue_Grip;
            iArr9[0] = 0;
            iArr9[1] = 0;
            iArr9[2] = 0;
        } else if (value.equals("0000")) {
            int[] iArr10 = this.mBuffer_SensorValue_Grip;
            iArr10[0] = 5;
            iArr10[1] = 0;
            iArr10[2] = 0;
        } else {
            FtUtil.log_e("SensorReadIntent", "setValueGrip", "Unknown => " + value);
        }
        if (this.count_Grip == 1) {
            if (value.equals("010000000000") || value.equals("000001000000")) {
                this.mBuffer_SensorValue_Grip[0] = 5;
            }
            int[] iArr11 = this.mBuffer_SensorValue_Grip;
            iArr11[1] = 5;
            iArr11[2] = 0;
        }
    }

    public int[] returnGrip() {
        if (ModuleSensor.LOG_LEVEL <= 3) {
            FtUtil.log_d("SensorReadIntent", "returnGrip", dataCheck(this.mBuffer_SensorValue_Grip));
        }
        return this.mBuffer_SensorValue_Grip;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setValueCPsAccelerometerData(String value) {
        String xData = value.substring(2, 4) + value.substring(0, 2);
        String yData = value.substring(6, 8) + value.substring(4, 6);
        String zData = value.substring(10, 12) + value.substring(8, 10);
        FtUtil.log_d("SensorReadIntent", "setValueCPsAccelerometerData", "xData=[" + xData + "],yData=[" + yData + "],zData=[" + zData + "]");
        this.mBuffer_SensorValue_CPsAccelerometer[0] = ((short) Integer.parseInt(yData, 16)) * -1;
        this.mBuffer_SensorValue_CPsAccelerometer[1] = ((short) Integer.parseInt(xData, 16)) * -1;
        this.mBuffer_SensorValue_CPsAccelerometer[2] = (short) Integer.parseInt(zData, 16);
        FtUtil.log_d("SensorReadIntent", "setValueCPsAccelerometerData", "x=[" + this.mBuffer_SensorValue_CPsAccelerometer[0] + "],y=[" + this.mBuffer_SensorValue_CPsAccelerometer[1] + "],z=[" + this.mBuffer_SensorValue_CPsAccelerometer[2] + "]");
    }

    public int[] returnCPsAccelerometerData() {
        if (ModuleSensor.LOG_LEVEL <= 3) {
            FtUtil.log_d("SensorReadIntent", "returnCPsAccelerometerData", dataCheck(this.mBuffer_SensorValue_CPsAccelerometer));
        }
        return this.mBuffer_SensorValue_CPsAccelerometer;
    }

    private int ConverterID(int moduleSensorID) {
        if (moduleSensorID == ModuleSensor.ID_INTENT__GRIP) {
            return this.SENSOR_ON_ARRAY_INDEX_GRIP;
        }
        return -1;
    }

    private String dataCheck(int[] data) {
        String result = "";
        if (data == null) {
            return "Data : null";
        }
        for (int i = 0; i < data.length; i++) {
            result = result + data[i];
            if (i < data.length - 1) {
                result = result + " , ";
            }
        }
        return result;
    }
}
