package com.sec.factory.modules;

import android.hardware.Sensor;
import android.hardware.SensorEvent;
import android.hardware.SensorEventListener;
import android.hardware.SensorManager;
import com.sec.factory.support.FtUtil;
import egis.client.api.EgisFingerprint;
import java.util.Arrays;
import java.util.List;

public class SensorReadManager {
    private static final String CLASS_NAME = "SensorReadManager";
    public static final int MAGNETIC_DATA_NUMBER_ADC = 5;
    public static final int MAGNETIC_DATA_NUMBER_ALL = 8;
    public static final int MAGNETIC_DATA_NUMBER_DAC = 4;
    public static final int MAGNETIC_DATA_NUMBER_OFFSET_H = 7;
    public static final int MAGNETIC_DATA_NUMBER_POWER_OFF = 2;
    public static final int MAGNETIC_DATA_NUMBER_POWER_ON = 1;
    public static final int MAGNETIC_DATA_NUMBER_SELF = 6;
    public static final int MAGNETIC_DATA_NUMBER_STATUS = 3;
    public static final int MAGNETIC_DATA_NUMBER_TEMP = 2;
    private static float[] mBuffer_SensorValue_Accelerometer = null;
    private static float[] mBuffer_SensorValue_Accelerometer_sub = null;
    private static float[] mBuffer_SensorValue_Barometer = null;
    private static float[] mBuffer_SensorValue_Bio = null;
    private static float[] mBuffer_SensorValue_Bio_Alc = null;
    private static float[] mBuffer_SensorValue_Grip = null;
    private static float[] mBuffer_SensorValue_Grip_Sub = null;
    private static float[] mBuffer_SensorValue_Grip_Sub2 = null;
    private static float[] mBuffer_SensorValue_Grip_Sub3 = null;
    private static float[] mBuffer_SensorValue_Grip_Wifi = null;
    private static float[] mBuffer_SensorValue_Gyro = null;
    private static float[] mBuffer_SensorValue_Hrm = null;
    private static float[] mBuffer_SensorValue_Humidity = null;
    private static float[] mBuffer_SensorValue_IrisProximity = {5.0f, 0.0f, 0.0f};
    private static float[] mBuffer_SensorValue_Light = null;
    private static float[] mBuffer_SensorValue_Light_CCT = null;
    private static float[] mBuffer_SensorValue_Magnetic = null;
    private static float[] mBuffer_SensorValue_Proximity = {5.0f, 0.0f, 0.0f};
    private static float[] mBuffer_SensorValue_Temperature = null;
    private int DUMMY = 0;
    private final int SENSOR_ON_ARRAY_INDEX_ACCELEROMETER;
    private final int SENSOR_ON_ARRAY_INDEX_ACCELEROMETER_N_ANGLE;
    private final int SENSOR_ON_ARRAY_INDEX_ACCELEROMETER_SELF;
    private final int SENSOR_ON_ARRAY_INDEX_BAROMETER;
    private final int SENSOR_ON_ARRAY_INDEX_BIO;
    private final int SENSOR_ON_ARRAY_INDEX_BIO_ALC;
    private final int SENSOR_ON_ARRAY_INDEX_GRIP;
    private final int SENSOR_ON_ARRAY_INDEX_GRIP_SUB;
    private final int SENSOR_ON_ARRAY_INDEX_GRIP_SUB2;
    private final int SENSOR_ON_ARRAY_INDEX_GRIP_SUB3;
    private final int SENSOR_ON_ARRAY_INDEX_GYRO;
    private final int SENSOR_ON_ARRAY_INDEX_GYRO_POWER;
    private final int SENSOR_ON_ARRAY_INDEX_GYRO_SELF;
    private final int SENSOR_ON_ARRAY_INDEX_GYRO_TEMPERATURE;
    private final int SENSOR_ON_ARRAY_INDEX_HRM;
    private final int SENSOR_ON_ARRAY_INDEX_HUMIDITY;
    private final int SENSOR_ON_ARRAY_INDEX_IRIS_PROXIMITY;
    private final int SENSOR_ON_ARRAY_INDEX_LIGHT;
    private final int SENSOR_ON_ARRAY_INDEX_LIGHT_CCT;
    private final int SENSOR_ON_ARRAY_INDEX_MAGNETIC;
    private final int SENSOR_ON_ARRAY_INDEX_MAGNETIC_ADC;
    private final int SENSOR_ON_ARRAY_INDEX_MAGNETIC_DAC;
    private final int SENSOR_ON_ARRAY_INDEX_MAGNETIC_OFFSETH;
    private final int SENSOR_ON_ARRAY_INDEX_MAGNETIC_POWER_OFF;
    private final int SENSOR_ON_ARRAY_INDEX_MAGNETIC_POWER_ON;
    private final int SENSOR_ON_ARRAY_INDEX_MAGNETIC_SELF;
    private final int SENSOR_ON_ARRAY_INDEX_MAGNETIC_STATUS;
    private final int SENSOR_ON_ARRAY_INDEX_MAGNETIC_TEMPERATURE;
    private final int SENSOR_ON_ARRAY_INDEX_PROXIMITY;
    private final int SENSOR_ON_ARRAY_INDEX_SUB_ACCELEROMETER;
    private final int SENSOR_ON_ARRAY_INDEX_SUB_ACCELEROMETER_N_ANGLE;
    private final int SENSOR_ON_ARRAY_INDEX_TEMPERATURE;
    private final int SENSOR_ON_ARRAY_LENGTH;
    private Sensor mAccelerometerSensor;
    private Sensor mBarometerSensor;
    private Sensor mBioAlcSensor;
    private Sensor mBioSensor;
    private Sensor mBodyTempSensor;
    private Sensor mGripSensor;
    private Sensor mGyroscopeSensor;
    private Sensor mHrmSensor;
    private Sensor mHumiditySensor;
    private Sensor mIrisProximitySensor;
    private Sensor mLightSensor;
    private Sensor mMagneticSensor;
    private Sensor mProximitySensor;
    private SensorListener mSensorListener;
    private SensorListener mSensorListenerSub;
    private SensorListener mSensorListenerSub2;
    private SensorListener mSensorListenerSub3;
    private SensorManager mSensorManager;
    private boolean[] mSensorOn;
    private Sensor mTemperatureSensor;

    public static class MagneticExpansionData {
        public String[] mADC = null;
        public String[] mADC2 = null;
        public String[] mDAC = null;
        public String[] mOffset_H = null;
        public String[] mPowerOff = null;
        public String[] mPowerOn = null;
        public int mReturnValue;
        public String[] mSelf = null;
        public String[] mStatus = null;
        public String[] mTemperature = null;
    }

    public SensorReadManager(int[] sensorID, SensorManager sm) {
        int i = 0 + 1;
        this.DUMMY = i;
        this.SENSOR_ON_ARRAY_INDEX_ACCELEROMETER = 0;
        int i2 = i + 1;
        this.DUMMY = i2;
        this.SENSOR_ON_ARRAY_INDEX_ACCELEROMETER_N_ANGLE = i;
        int i3 = i2 + 1;
        this.DUMMY = i3;
        this.SENSOR_ON_ARRAY_INDEX_SUB_ACCELEROMETER = i2;
        int i4 = i3 + 1;
        this.DUMMY = i4;
        this.SENSOR_ON_ARRAY_INDEX_SUB_ACCELEROMETER_N_ANGLE = i3;
        int i5 = i4 + 1;
        this.DUMMY = i5;
        this.SENSOR_ON_ARRAY_INDEX_ACCELEROMETER_SELF = i4;
        int i6 = i5 + 1;
        this.DUMMY = i6;
        this.SENSOR_ON_ARRAY_INDEX_BAROMETER = i5;
        int i7 = i6 + 1;
        this.DUMMY = i7;
        this.SENSOR_ON_ARRAY_INDEX_GYRO = i6;
        int i8 = i7 + 1;
        this.DUMMY = i8;
        this.SENSOR_ON_ARRAY_INDEX_GYRO_POWER = i7;
        int i9 = i8 + 1;
        this.DUMMY = i9;
        this.SENSOR_ON_ARRAY_INDEX_GYRO_SELF = i8;
        int i10 = i9 + 1;
        this.DUMMY = i10;
        this.SENSOR_ON_ARRAY_INDEX_GYRO_TEMPERATURE = i9;
        int i11 = i10 + 1;
        this.DUMMY = i11;
        this.SENSOR_ON_ARRAY_INDEX_LIGHT = i10;
        int i12 = i11 + 1;
        this.DUMMY = i12;
        this.SENSOR_ON_ARRAY_INDEX_LIGHT_CCT = i11;
        int i13 = i12 + 1;
        this.DUMMY = i13;
        this.SENSOR_ON_ARRAY_INDEX_MAGNETIC = i12;
        int i14 = i13 + 1;
        this.DUMMY = i14;
        this.SENSOR_ON_ARRAY_INDEX_MAGNETIC_POWER_ON = i13;
        int i15 = i14 + 1;
        this.DUMMY = i15;
        this.SENSOR_ON_ARRAY_INDEX_MAGNETIC_STATUS = i14;
        int i16 = i15 + 1;
        this.DUMMY = i16;
        this.SENSOR_ON_ARRAY_INDEX_MAGNETIC_TEMPERATURE = i15;
        int i17 = i16 + 1;
        this.DUMMY = i17;
        this.SENSOR_ON_ARRAY_INDEX_MAGNETIC_DAC = i16;
        int i18 = i17 + 1;
        this.DUMMY = i18;
        this.SENSOR_ON_ARRAY_INDEX_MAGNETIC_ADC = i17;
        int i19 = i18 + 1;
        this.DUMMY = i19;
        this.SENSOR_ON_ARRAY_INDEX_MAGNETIC_SELF = i18;
        int i20 = i19 + 1;
        this.DUMMY = i20;
        this.SENSOR_ON_ARRAY_INDEX_MAGNETIC_OFFSETH = i19;
        int i21 = i20 + 1;
        this.DUMMY = i21;
        this.SENSOR_ON_ARRAY_INDEX_MAGNETIC_POWER_OFF = i20;
        int i22 = i21 + 1;
        this.DUMMY = i22;
        this.SENSOR_ON_ARRAY_INDEX_PROXIMITY = i21;
        int i23 = i22 + 1;
        this.DUMMY = i23;
        this.SENSOR_ON_ARRAY_INDEX_IRIS_PROXIMITY = i22;
        int i24 = i23 + 1;
        this.DUMMY = i24;
        this.SENSOR_ON_ARRAY_INDEX_TEMPERATURE = i23;
        int i25 = i24 + 1;
        this.DUMMY = i25;
        this.SENSOR_ON_ARRAY_INDEX_HUMIDITY = i24;
        int i26 = i25 + 1;
        this.DUMMY = i26;
        this.SENSOR_ON_ARRAY_INDEX_GRIP = i25;
        int i27 = i26 + 1;
        this.DUMMY = i27;
        this.SENSOR_ON_ARRAY_INDEX_GRIP_SUB = i26;
        int i28 = i27 + 1;
        this.DUMMY = i28;
        this.SENSOR_ON_ARRAY_INDEX_GRIP_SUB2 = i27;
        int i29 = i28 + 1;
        this.DUMMY = i29;
        this.SENSOR_ON_ARRAY_INDEX_GRIP_SUB3 = i28;
        int i30 = i29 + 1;
        this.DUMMY = i30;
        this.SENSOR_ON_ARRAY_INDEX_BIO = i29;
        int i31 = i30 + 1;
        this.DUMMY = i31;
        this.SENSOR_ON_ARRAY_INDEX_BIO_ALC = i30;
        int i32 = i31 + 1;
        this.DUMMY = i32;
        this.SENSOR_ON_ARRAY_INDEX_HRM = i31;
        this.SENSOR_ON_ARRAY_LENGTH = i32;
        this.mSensorOn = new boolean[i32];
        this.mSensorManager = null;
        this.mSensorListener = null;
        this.mSensorListenerSub = null;
        this.mSensorListenerSub2 = null;
        this.mSensorListenerSub3 = null;
        this.mAccelerometerSensor = null;
        this.mBarometerSensor = null;
        this.mGyroscopeSensor = null;
        this.mLightSensor = null;
        this.mMagneticSensor = null;
        this.mProximitySensor = null;
        this.mIrisProximitySensor = null;
        this.mTemperatureSensor = null;
        this.mHumiditySensor = null;
        this.mGripSensor = null;
        this.mBioSensor = null;
        this.mBioAlcSensor = null;
        this.mHrmSensor = null;
        this.mBodyTempSensor = null;
        FtUtil.log_d(CLASS_NAME, CLASS_NAME, "Sensor On");
        for (int i33 = 0; i33 < this.SENSOR_ON_ARRAY_LENGTH; i33++) {
            this.mSensorOn[i33] = false;
        }
        if (this.mSensorListener == null) {
            this.mSensorListener = new SensorListener();
        }
        if (this.mSensorListenerSub == null) {
            this.mSensorListenerSub = new SensorListener();
        }
        if (this.mSensorListenerSub2 == null) {
            this.mSensorListenerSub2 = new SensorListener();
        }
        if (this.mSensorListenerSub3 == null) {
            this.mSensorListenerSub3 = new SensorListener();
        }
        this.mSensorManager = sm;
        turnOnOffSensor(sensorID, sm, true);
    }

    public void sensorOff(int[] sensorID, SensorManager sm) {
        FtUtil.log_d(CLASS_NAME, "sensorOff", "Sensor Off");
        this.mSensorManager = sm;
        turnOnOffSensor(sensorID, sm, false);
    }

    public synchronized boolean turnOnOffSensor(int[] sensorID, SensorManager sm, boolean on) {
        StringBuilder sb = new StringBuilder();
        sb.append("SensorID = ");
        sb.append(sensorID != null ? Arrays.toString(sensorID) : "null");
        sb.append(", on = ");
        sb.append(on);
        FtUtil.log_e(CLASS_NAME, "turnOnOffSensor", sb.toString());
        this.mSensorManager = sm;
        if (sm == null || sensorID == null) {
            FtUtil.log_e(CLASS_NAME, "turnOnOffSensor", "SensorManager null !!!");
            return false;
        }
        for (int i = 0; i < sensorID.length; i++) {
            if (!(sensorID[i] == ModuleSensor.ID_MANAGER_ACCELEROMETER || sensorID[i] == ModuleSensor.ID_MANAGER_ACCELEROMETER_N_ANGLE)) {
                if (sensorID[i] != ModuleSensor.ID_MANAGER_ACCELEROMETER_SELF) {
                    if (sensorID[i] != ModuleSensor.ID_MANAGER_SUB_ACCELEROMETER) {
                        if (sensorID[i] != ModuleSensor.ID_MANAGER_SUB_ACCELEROMETER_N_ANGLE) {
                            if (sensorID[i] == ModuleSensor.ID_MANAGER_BAROMETER) {
                                Sensor defaultSensor = this.mSensorManager.getDefaultSensor(6);
                                this.mBarometerSensor = defaultSensor;
                                if (defaultSensor == null) {
                                    return false;
                                }
                                if (on) {
                                    boolean mReturn = this.mSensorManager.registerListener(this.mSensorListener, defaultSensor, 2);
                                    FtUtil.log_d(CLASS_NAME, CLASS_NAME, "register-BarometerSensor, mReturn : " + mReturn);
                                    if (mReturn) {
                                        this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_BAROMETER)] = true;
                                    }
                                } else {
                                    this.mSensorManager.unregisterListener(this.mSensorListener, defaultSensor);
                                    this.mBarometerSensor = null;
                                    mBuffer_SensorValue_Barometer = null;
                                    FtUtil.log_d(CLASS_NAME, CLASS_NAME, "unregister-BarometerSensor");
                                    this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_BAROMETER)] = false;
                                }
                            } else if (sensorID[i] == ModuleSensor.ID_MANAGER_GYRO) {
                                Sensor defaultSensor2 = this.mSensorManager.getDefaultSensor(4);
                                this.mGyroscopeSensor = defaultSensor2;
                                if (defaultSensor2 == null) {
                                    return false;
                                }
                                if (on) {
                                    boolean mReturn2 = this.mSensorManager.registerListener(this.mSensorListener, defaultSensor2, 2);
                                    FtUtil.log_d(CLASS_NAME, CLASS_NAME, "register-GyroscopeSensor, mReturn : " + mReturn2);
                                    if (mReturn2) {
                                        this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_GYRO)] = true;
                                    }
                                } else {
                                    this.mSensorManager.unregisterListener(this.mSensorListener, defaultSensor2);
                                    this.mGyroscopeSensor = null;
                                    mBuffer_SensorValue_Gyro = null;
                                    FtUtil.log_d(CLASS_NAME, CLASS_NAME, "unregister-GyroscopeSensor");
                                    this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_GYRO)] = false;
                                }
                            } else if (sensorID[i] == ModuleSensor.ID_MANAGER_LIGHT) {
                                Sensor defaultSensor3 = this.mSensorManager.getDefaultSensor(5);
                                this.mLightSensor = defaultSensor3;
                                if (defaultSensor3 == null) {
                                    return false;
                                }
                                if (on) {
                                    boolean mReturn3 = this.mSensorManager.registerListener(this.mSensorListener, defaultSensor3, 2);
                                    FtUtil.log_d(CLASS_NAME, CLASS_NAME, "register-LightSensor, mReturn : " + mReturn3);
                                    if (mReturn3) {
                                        this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_LIGHT)] = true;
                                    }
                                } else {
                                    this.mSensorManager.unregisterListener(this.mSensorListener, defaultSensor3);
                                    this.mLightSensor = null;
                                    mBuffer_SensorValue_Light = null;
                                    FtUtil.log_d(CLASS_NAME, CLASS_NAME, "unregister-LightSensor");
                                    this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_LIGHT)] = false;
                                }
                            } else if (sensorID[i] == ModuleSensor.ID_MANAGER_LIGHT_CCT) {
                                Sensor defaultSensor4 = this.mSensorManager.getDefaultSensor(65587);
                                this.mLightSensor = defaultSensor4;
                                if (defaultSensor4 == null) {
                                    return false;
                                }
                                if (on) {
                                    boolean mReturn4 = this.mSensorManager.registerListener(this.mSensorListener, defaultSensor4, 2);
                                    FtUtil.log_d(CLASS_NAME, CLASS_NAME, "register-LightSensor, mReturn : " + mReturn4);
                                    if (mReturn4) {
                                        this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_LIGHT_CCT)] = true;
                                    }
                                } else {
                                    this.mSensorManager.unregisterListener(this.mSensorListener, defaultSensor4);
                                    this.mLightSensor = null;
                                    mBuffer_SensorValue_Light_CCT = null;
                                    FtUtil.log_d(CLASS_NAME, CLASS_NAME, "unregister-LightSensor");
                                    this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_LIGHT_CCT)] = false;
                                }
                            } else if (sensorID[i] == ModuleSensor.ID_MANAGER_MAGNETIC) {
                                Sensor defaultSensor5 = this.mSensorManager.getDefaultSensor(2);
                                this.mMagneticSensor = defaultSensor5;
                                if (defaultSensor5 == null) {
                                    return false;
                                }
                                if (on) {
                                    boolean mReturn5 = this.mSensorManager.registerListener(this.mSensorListener, defaultSensor5, 2);
                                    FtUtil.log_d(CLASS_NAME, CLASS_NAME, "register-MagneticSensor, mReturn : " + mReturn5);
                                    if (mReturn5) {
                                        this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_MAGNETIC)] = true;
                                    }
                                } else {
                                    this.mSensorManager.unregisterListener(this.mSensorListener, defaultSensor5);
                                    this.mMagneticSensor = null;
                                    mBuffer_SensorValue_Magnetic = null;
                                    FtUtil.log_d(CLASS_NAME, CLASS_NAME, "unregister-MagneticSensor");
                                    this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_MAGNETIC)] = false;
                                }
                            } else if (sensorID[i] == ModuleSensor.ID_MANAGER_PROXIMITY) {
                                Sensor defaultSensor6 = this.mSensorManager.getDefaultSensor(65592);
                                this.mProximitySensor = defaultSensor6;
                                if (defaultSensor6 == null) {
                                    this.mProximitySensor = this.mSensorManager.getDefaultSensor(8);
                                }
                                Sensor sensor = this.mProximitySensor;
                                if (sensor == null) {
                                    return false;
                                }
                                if (on) {
                                    boolean mReturn6 = this.mSensorManager.registerListener(this.mSensorListener, sensor, 2);
                                    FtUtil.log_d(CLASS_NAME, CLASS_NAME, "register-ProximitySensor, mReturn : " + mReturn6);
                                    if (mReturn6) {
                                        this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_PROXIMITY)] = true;
                                    }
                                } else {
                                    this.mSensorManager.unregisterListener(this.mSensorListener, sensor);
                                    this.mProximitySensor = null;
                                    mBuffer_SensorValue_Proximity = null;
                                    FtUtil.log_d(CLASS_NAME, CLASS_NAME, "unregister-ProximitySensor");
                                    this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_PROXIMITY)] = false;
                                }
                            } else if (sensorID[i] == ModuleSensor.ID_MANAGER_IRIS_PROXIMITY) {
                                Sensor defaultSensor7 = this.mSensorManager.getDefaultSensor(65582);
                                this.mIrisProximitySensor = defaultSensor7;
                                if (defaultSensor7 == null) {
                                    return false;
                                }
                                if (on) {
                                    boolean mReturn7 = this.mSensorManager.registerListener(this.mSensorListener, defaultSensor7, 2);
                                    FtUtil.log_d(CLASS_NAME, CLASS_NAME, "register-IrisProximitySensor, mReturn : " + mReturn7);
                                    if (mReturn7) {
                                        this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_IRIS_PROXIMITY)] = true;
                                    }
                                } else {
                                    this.mSensorManager.unregisterListener(this.mSensorListener, defaultSensor7);
                                    this.mIrisProximitySensor = null;
                                    mBuffer_SensorValue_IrisProximity = null;
                                    FtUtil.log_d(CLASS_NAME, CLASS_NAME, "unregister-IrisProximitySensor");
                                    this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_IRIS_PROXIMITY)] = false;
                                }
                            } else if (sensorID[i] == ModuleSensor.ID_MANAGER_TEMPERATURE) {
                                Sensor defaultSensor8 = this.mSensorManager.getDefaultSensor(13);
                                this.mTemperatureSensor = defaultSensor8;
                                if (defaultSensor8 == null) {
                                    return false;
                                }
                                if (on) {
                                    boolean mReturn8 = this.mSensorManager.registerListener(this.mSensorListener, defaultSensor8, 2);
                                    FtUtil.log_d(CLASS_NAME, CLASS_NAME, "register-Temperature, mReturn : " + mReturn8);
                                    if (mReturn8) {
                                        this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_TEMPERATURE)] = true;
                                    }
                                } else {
                                    this.mSensorManager.unregisterListener(this.mSensorListener, defaultSensor8);
                                    this.mTemperatureSensor = null;
                                    mBuffer_SensorValue_Temperature = null;
                                    FtUtil.log_d(CLASS_NAME, CLASS_NAME, "unregister-Temperature");
                                    this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_TEMPERATURE)] = false;
                                }
                            } else if (sensorID[i] == ModuleSensor.ID_MANAGER_HUMIDITY) {
                                Sensor defaultSensor9 = this.mSensorManager.getDefaultSensor(12);
                                this.mHumiditySensor = defaultSensor9;
                                if (defaultSensor9 == null) {
                                    return false;
                                }
                                if (on) {
                                    boolean mReturn9 = this.mSensorManager.registerListener(this.mSensorListener, defaultSensor9, 2);
                                    FtUtil.log_d(CLASS_NAME, CLASS_NAME, "register-Humidity, mReturn : " + mReturn9);
                                    if (mReturn9) {
                                        this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_HUMIDITY)] = true;
                                    }
                                } else {
                                    this.mSensorManager.unregisterListener(this.mSensorListener, defaultSensor9);
                                    this.mHumiditySensor = null;
                                    mBuffer_SensorValue_Humidity = null;
                                    FtUtil.log_d(CLASS_NAME, CLASS_NAME, "unregister-Humidity");
                                    this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_HUMIDITY)] = false;
                                }
                            } else if (sensorID[i] == ModuleSensor.ID_MANAGER_GRIP) {
                                Sensor defaultSensor10 = this.mSensorManager.getDefaultSensor(65560);
                                this.mGripSensor = defaultSensor10;
                                if (defaultSensor10 == null) {
                                    return false;
                                }
                                if (on) {
                                    boolean mReturn10 = this.mSensorManager.registerListener(this.mSensorListener, defaultSensor10, 2);
                                    FtUtil.log_d(CLASS_NAME, CLASS_NAME, "register-mGripSensor, mReturn : " + mReturn10);
                                    if (mReturn10) {
                                        this.mSensorListener.setNameGripSensor(this.mGripSensor.getName());
                                        this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_GRIP)] = true;
                                    }
                                } else {
                                    this.mSensorManager.unregisterListener(this.mSensorListener, defaultSensor10);
                                    this.mGripSensor = null;
                                    mBuffer_SensorValue_Grip = null;
                                    FtUtil.log_d(CLASS_NAME, CLASS_NAME, "unregister-mGripSensor");
                                    this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_GRIP)] = false;
                                }
                            } else if (sensorID[i] == ModuleSensor.ID_MANAGER_GRIP_WIFI) {
                                Sensor defaultSensor11 = this.mSensorManager.getDefaultSensor(65575);
                                this.mGripSensor = defaultSensor11;
                                if (defaultSensor11 == null) {
                                    return false;
                                }
                                if (on) {
                                    boolean mReturn11 = this.mSensorManager.registerListener(this.mSensorListener, defaultSensor11, 2);
                                    FtUtil.log_d(CLASS_NAME, CLASS_NAME, "register-mGripSensor, mReturn : " + mReturn11);
                                    if (mReturn11) {
                                        this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_GRIP)] = true;
                                    }
                                } else {
                                    this.mSensorManager.unregisterListener(this.mSensorListener, defaultSensor11);
                                    this.mGripSensor = null;
                                    mBuffer_SensorValue_Grip_Wifi = null;
                                    FtUtil.log_d(CLASS_NAME, CLASS_NAME, "unregister-mGripSensor");
                                    this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_GRIP)] = false;
                                }
                            } else if (sensorID[i] == ModuleSensor.ID_MANAGER_GRIP_WIFI_SUB) {
                                List<Sensor> sensors = this.mSensorManager.getSensorList(65575);
                                if (sensors == null) {
                                    return false;
                                }
                                if (sensors.size() >= 2) {
                                    this.mGripSensor = sensors.get(1);
                                }
                                Sensor sensor2 = this.mGripSensor;
                                if (sensor2 == null) {
                                    return false;
                                }
                                if (on) {
                                    this.mSensorListenerSub.setNameGripSensorSub(sensor2.getName());
                                    boolean mReturn12 = this.mSensorManager.registerListener(this.mSensorListenerSub, this.mGripSensor, 2);
                                    FtUtil.log_d(CLASS_NAME, CLASS_NAME, "register-mGripSensor, mReturn : " + mReturn12);
                                    if (mReturn12) {
                                        this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_GRIP)] = true;
                                    }
                                } else {
                                    this.mSensorManager.unregisterListener(this.mSensorListenerSub, sensor2);
                                    this.mGripSensor = null;
                                    mBuffer_SensorValue_Grip_Sub = null;
                                    FtUtil.log_d(CLASS_NAME, CLASS_NAME, "unregister-mGripSensor");
                                    this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_GRIP)] = false;
                                }
                            } else if (sensorID[i] == ModuleSensor.ID_MANAGER_GRIP_SUB) {
                                List<Sensor> sensors2 = this.mSensorManager.getSensorList(65560);
                                if (sensors2 == null) {
                                    return false;
                                }
                                if (sensors2.size() >= 2) {
                                    this.mGripSensor = sensors2.get(1);
                                } else {
                                    this.mGripSensor = this.mSensorManager.getDefaultSensor(65636);
                                }
                                Sensor sensor3 = this.mGripSensor;
                                if (sensor3 == null) {
                                    return false;
                                }
                                if (on) {
                                    this.mSensorListenerSub.setNameGripSensorSub(sensor3.getName());
                                    boolean mReturn13 = this.mSensorManager.registerListener(this.mSensorListenerSub, this.mGripSensor, 2);
                                    FtUtil.log_d(CLASS_NAME, CLASS_NAME, "register-mGripSensor, mReturn : " + mReturn13);
                                    if (mReturn13) {
                                        this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_GRIP_SUB)] = true;
                                    }
                                } else {
                                    this.mSensorManager.unregisterListener(this.mSensorListenerSub, sensor3);
                                    this.mGripSensor = null;
                                    mBuffer_SensorValue_Grip_Sub = null;
                                    FtUtil.log_d(CLASS_NAME, CLASS_NAME, "unregister-mGripSensor");
                                    this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_GRIP_SUB)] = false;
                                }
                            } else if (sensorID[i] == ModuleSensor.ID_MANAGER_GRIP_SUB2) {
                                Sensor defaultSensor12 = this.mSensorManager.getDefaultSensor(65637);
                                this.mGripSensor = defaultSensor12;
                                if (defaultSensor12 == null) {
                                    return false;
                                }
                                if (on) {
                                    this.mSensorListenerSub2.setNameGripSensorSub2(defaultSensor12.getName());
                                    boolean mReturn14 = this.mSensorManager.registerListener(this.mSensorListenerSub2, this.mGripSensor, 2);
                                    FtUtil.log_d(CLASS_NAME, CLASS_NAME, "register-mGripSensor, mReturn : " + mReturn14);
                                    if (mReturn14) {
                                        this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_GRIP_SUB2)] = true;
                                    }
                                } else {
                                    this.mSensorManager.unregisterListener(this.mSensorListenerSub2, defaultSensor12);
                                    this.mGripSensor = null;
                                    mBuffer_SensorValue_Grip_Sub2 = null;
                                    FtUtil.log_d(CLASS_NAME, CLASS_NAME, "unregister-mGripSensor");
                                    this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_GRIP_SUB2)] = false;
                                }
                            } else if (sensorID[i] == ModuleSensor.ID_MANAGER_GRIP_SUB3) {
                                Sensor defaultSensor13 = this.mSensorManager.getDefaultSensor(65638);
                                this.mGripSensor = defaultSensor13;
                                if (defaultSensor13 == null) {
                                    return false;
                                }
                                if (on) {
                                    this.mSensorListenerSub3.setNameGripSensorSub3(defaultSensor13.getName());
                                    boolean mReturn15 = this.mSensorManager.registerListener(this.mSensorListenerSub3, this.mGripSensor, 2);
                                    FtUtil.log_d(CLASS_NAME, CLASS_NAME, "register-mGripSensor, mReturn : " + mReturn15);
                                    if (mReturn15) {
                                        this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_GRIP_SUB3)] = true;
                                    }
                                } else {
                                    this.mSensorManager.unregisterListener(this.mSensorListenerSub3, defaultSensor13);
                                    this.mGripSensor = null;
                                    mBuffer_SensorValue_Grip_Sub3 = null;
                                    FtUtil.log_d(CLASS_NAME, CLASS_NAME, "unregister-mGripSensor");
                                    this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_GRIP_SUB3)] = false;
                                }
                            } else if (sensorID[i] == ModuleSensor.ID_MANAGER_BIO) {
                                Sensor defaultSensor14 = this.mSensorManager.getDefaultSensor(65561);
                                this.mBioSensor = defaultSensor14;
                                if (defaultSensor14 == null) {
                                    return false;
                                }
                                if (on) {
                                    boolean mReturn16 = this.mSensorManager.registerListener(this.mSensorListener, defaultSensor14, 2);
                                    FtUtil.log_d(CLASS_NAME, CLASS_NAME, "register-mBioSensor, mReturn : " + mReturn16);
                                    if (mReturn16) {
                                        this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_BIO)] = true;
                                    }
                                } else {
                                    this.mSensorManager.unregisterListener(this.mSensorListener, defaultSensor14);
                                    this.mBioSensor = null;
                                    mBuffer_SensorValue_Bio = null;
                                    FtUtil.log_d(CLASS_NAME, CLASS_NAME, "unregister-mBioSensor");
                                    this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_BIO)] = false;
                                }
                            } else if (sensorID[i] == ModuleSensor.ID_MANAGER_BIO_ALC) {
                                Sensor defaultSensor15 = this.mSensorManager.getDefaultSensor(65577);
                                this.mBioAlcSensor = defaultSensor15;
                                if (defaultSensor15 == null) {
                                    return false;
                                }
                                if (on) {
                                    boolean mReturn17 = this.mSensorManager.registerListener(this.mSensorListener, defaultSensor15, 2);
                                    FtUtil.log_d(CLASS_NAME, CLASS_NAME, "register-mBioAlcSensor, mReturn : " + mReturn17);
                                    if (mReturn17) {
                                        this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_BIO_ALC)] = true;
                                    }
                                } else {
                                    this.mSensorManager.unregisterListener(this.mSensorListener, defaultSensor15);
                                    this.mBioAlcSensor = null;
                                    mBuffer_SensorValue_Bio_Alc = null;
                                    FtUtil.log_d(CLASS_NAME, CLASS_NAME, "unregister-mBioAlcSensor");
                                    this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_BIO_ALC)] = false;
                                }
                            } else if (sensorID[i] == ModuleSensor.ID_MANAGER_BIO_HRM) {
                                Sensor defaultSensor16 = this.mSensorManager.getDefaultSensor(65562);
                                this.mHrmSensor = defaultSensor16;
                                if (defaultSensor16 == null) {
                                    return false;
                                }
                                if (on) {
                                    boolean mReturn18 = this.mSensorManager.registerListener(this.mSensorListener, defaultSensor16, 2);
                                    FtUtil.log_d(CLASS_NAME, CLASS_NAME, "register-mHrmSensor, mReturn : " + mReturn18);
                                    if (mReturn18) {
                                        this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_BIO_HRM)] = true;
                                    }
                                } else {
                                    this.mSensorManager.unregisterListener(this.mSensorListener, defaultSensor16);
                                    mBuffer_SensorValue_Hrm = null;
                                    this.mHrmSensor = null;
                                    FtUtil.log_d(CLASS_NAME, CLASS_NAME, "unregister-mHrmSensor");
                                    this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_BIO_HRM)] = false;
                                }
                            } else if (sensorID[i] == ModuleSensor.ID_MANAGER_GYRO_POWER) {
                                this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_GYRO_POWER)] = on;
                            } else if (sensorID[i] == ModuleSensor.ID_MANAGER_GYRO_TEMPERATURE) {
                                this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_GYRO_TEMPERATURE)] = on;
                            } else if (sensorID[i] == ModuleSensor.ID_MANAGER_MAGNETIC_POWER_ON) {
                                this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_MAGNETIC_POWER_ON)] = on;
                            } else if (sensorID[i] == ModuleSensor.ID_MANAGER_MAGNETIC_POWER_OFF) {
                                this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_MAGNETIC_POWER_OFF)] = on;
                            } else if (sensorID[i] == ModuleSensor.ID_MANAGER_MAGNETIC_STATUS) {
                                this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_MAGNETIC_STATUS)] = on;
                            } else if (sensorID[i] == ModuleSensor.ID_MANAGER_MAGNETIC_TEMPERATURE) {
                                this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_MAGNETIC_TEMPERATURE)] = on;
                            } else if (sensorID[i] == ModuleSensor.ID_MANAGER_MAGNETIC_DAC) {
                                this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_MAGNETIC_DAC)] = on;
                            } else if (sensorID[i] == ModuleSensor.ID_MANAGER_MAGNETIC_ADC) {
                                this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_MAGNETIC_ADC)] = on;
                            } else if (sensorID[i] == ModuleSensor.ID_MANAGER_MAGNETIC_SELF) {
                                this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_MAGNETIC_SELF)] = on;
                            } else if (sensorID[i] == ModuleSensor.ID_MANAGER_MAGNETIC_OFFSETH) {
                                this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_MAGNETIC_OFFSETH)] = on;
                            } else {
                                FtUtil.log_d(CLASS_NAME, "turnOnOffSensor", "unregistered-ETC(ModuleSensor ID) : " + sensorID[i]);
                                return false;
                            }
                        }
                    }
                    this.mAccelerometerSensor = this.mSensorManager.getDefaultSensor(65687);
                    FtUtil.log_d(CLASS_NAME, CLASS_NAME, "mAccelerometerSensor : " + this.mAccelerometerSensor);
                    Sensor sensor4 = this.mAccelerometerSensor;
                    if (sensor4 == null) {
                        return false;
                    }
                    if (on) {
                        boolean mReturn19 = this.mSensorManager.registerListener(this.mSensorListener, sensor4, 2);
                        FtUtil.log_d(CLASS_NAME, CLASS_NAME, "register-sub_AccelerometerSensor, mReturn : " + mReturn19);
                        if (mReturn19) {
                            if (sensorID[i] == ModuleSensor.ID_MANAGER_SUB_ACCELEROMETER) {
                                this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_SUB_ACCELEROMETER)] = true;
                            } else if (sensorID[i] == ModuleSensor.ID_MANAGER_SUB_ACCELEROMETER_N_ANGLE) {
                                this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_SUB_ACCELEROMETER_N_ANGLE)] = true;
                            }
                        }
                    } else {
                        this.mSensorManager.unregisterListener(this.mSensorListener, sensor4);
                        this.mAccelerometerSensor = null;
                        mBuffer_SensorValue_Accelerometer_sub = null;
                        FtUtil.log_d(CLASS_NAME, CLASS_NAME, "unregister-sub_AccelerometerSensor");
                        if (sensorID[i] == ModuleSensor.ID_MANAGER_SUB_ACCELEROMETER) {
                            this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_SUB_ACCELEROMETER)] = false;
                        } else if (sensorID[i] == ModuleSensor.ID_MANAGER_SUB_ACCELEROMETER_N_ANGLE) {
                            this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_SUB_ACCELEROMETER_N_ANGLE)] = false;
                        }
                    }
                }
            }
            Sensor defaultSensor17 = this.mSensorManager.getDefaultSensor(1);
            this.mAccelerometerSensor = defaultSensor17;
            if (defaultSensor17 == null) {
                return false;
            }
            if (on) {
                boolean mReturn20 = this.mSensorManager.registerListener(this.mSensorListener, defaultSensor17, 2);
                FtUtil.log_d(CLASS_NAME, CLASS_NAME, "register-AccelerometerSensor, mReturn : " + mReturn20);
                if (mReturn20) {
                    if (sensorID[i] == ModuleSensor.ID_MANAGER_ACCELEROMETER) {
                        this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_ACCELEROMETER)] = true;
                    } else if (sensorID[i] == ModuleSensor.ID_MANAGER_ACCELEROMETER_N_ANGLE) {
                        this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_ACCELEROMETER_N_ANGLE)] = true;
                    } else if (sensorID[i] == ModuleSensor.ID_MANAGER_ACCELEROMETER_SELF) {
                        this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_ACCELEROMETER_SELF)] = true;
                    }
                }
            } else {
                this.mSensorManager.unregisterListener(this.mSensorListener, defaultSensor17);
                this.mAccelerometerSensor = null;
                mBuffer_SensorValue_Accelerometer = null;
                FtUtil.log_d(CLASS_NAME, CLASS_NAME, "unregister-AccelerometerSensor");
                if (sensorID[i] == ModuleSensor.ID_MANAGER_ACCELEROMETER) {
                    this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_ACCELEROMETER)] = false;
                } else if (sensorID[i] == ModuleSensor.ID_MANAGER_ACCELEROMETER_N_ANGLE) {
                    this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_ACCELEROMETER_N_ANGLE)] = false;
                } else if (sensorID[i] == ModuleSensor.ID_MANAGER_ACCELEROMETER_SELF) {
                    this.mSensorOn[ConverterID(ModuleSensor.ID_MANAGER_ACCELEROMETER_SELF)] = false;
                }
            }
        }
        StringBuilder sb2 = new StringBuilder();
        sb2.append(" ");
        boolean[] zArr = this.mSensorOn;
        sb2.append(zArr != null ? Arrays.toString(zArr) : "null");
        FtUtil.log_i(CLASS_NAME, "turnOnOffSensor", sb2.toString());
        return true;
    }

    public boolean isSensorOn(int moduleSensorID) {
        int sensorOnArrayIndex = ConverterID(moduleSensorID);
        FtUtil.log_i(CLASS_NAME, "isSensorOn", "sensorOnArrayIndex[" + sensorOnArrayIndex + "]is " + this.mSensorOn[sensorOnArrayIndex]);
        return this.mSensorOn[sensorOnArrayIndex];
    }

    public boolean isSensorReady(int moduleSensorID) {
        float[] fArr;
        boolean result = false;
        if (moduleSensorID == ModuleSensor.ID_MANAGER_BAROMETER && (fArr = mBuffer_SensorValue_Barometer) != null && fArr.length > 0 && fArr[0] != 0.0f) {
            result = true;
        } else if ((moduleSensorID == ModuleSensor.ID_MANAGER_MAGNETIC || moduleSensorID == ModuleSensor.ID_MANAGER_MAGNETIC_POWER_ON || moduleSensorID == ModuleSensor.ID_MANAGER_MAGNETIC_STATUS || moduleSensorID == ModuleSensor.ID_MANAGER_MAGNETIC_TEMPERATURE || moduleSensorID == ModuleSensor.ID_MANAGER_MAGNETIC_DAC || moduleSensorID == ModuleSensor.ID_MANAGER_MAGNETIC_ADC || moduleSensorID == ModuleSensor.ID_MANAGER_MAGNETIC_SELF || moduleSensorID == ModuleSensor.ID_MANAGER_MAGNETIC_OFFSETH || moduleSensorID == ModuleSensor.ID_MANAGER_MAGNETIC_POWER_OFF) && mBuffer_SensorValue_Magnetic != null) {
            result = true;
        } else if (moduleSensorID == ModuleSensor.ID_MANAGER_ACCELEROMETER && mBuffer_SensorValue_Accelerometer != null) {
            int i = 0;
            while (true) {
                float[] fArr2 = mBuffer_SensorValue_Accelerometer;
                if (i >= fArr2.length) {
                    break;
                } else if (fArr2[i] != 0.0f) {
                    result = true;
                    break;
                } else {
                    i++;
                }
            }
        } else if (moduleSensorID != ModuleSensor.ID_MANAGER_SUB_ACCELEROMETER || mBuffer_SensorValue_Accelerometer_sub == null) {
            int sensorOnArrayIndex = ConverterID(moduleSensorID);
            FtUtil.log_e(CLASS_NAME, "isSensorReady", "Not support Sensor ID [" + sensorOnArrayIndex + "] is " + this.mSensorOn[sensorOnArrayIndex]);
        } else {
            int i2 = 0;
            while (true) {
                float[] fArr3 = mBuffer_SensorValue_Accelerometer_sub;
                if (i2 >= fArr3.length) {
                    break;
                } else if (fArr3[i2] != 0.0f) {
                    result = true;
                    break;
                } else {
                    i2++;
                }
            }
        }
        StringBuilder sb = new StringBuilder();
        sb.append("result[");
        sb.append(moduleSensorID);
        sb.append("] is ");
        sb.append(result ? "ready" : "not yet");
        FtUtil.log_i(CLASS_NAME, "isSensorReady", sb.toString());
        return result;
    }

    /* access modifiers changed from: private */
    public static class SensorListener implements SensorEventListener {
        private String nameGripSensor = null;
        private String nameGripSensorSub = null;
        private String nameGripSensorSub2 = null;
        private String nameGripSensorSub3 = null;

        SensorListener() {
            FtUtil.log_i(SensorReadManager.CLASS_NAME, "SensorListener", "NEW");
        }

        public void onAccuracyChanged(Sensor sensor, int accuracy) {
        }

        public void onSensorChanged(SensorEvent event) {
            switch (event.sensor.getType()) {
                case 1:
                    float[] unused = SensorReadManager.mBuffer_SensorValue_Accelerometer = (float[]) event.values.clone();
                    return;
                case 2:
                    float[] unused2 = SensorReadManager.mBuffer_SensorValue_Magnetic = (float[]) event.values.clone();
                    return;
                case 4:
                    float[] unused3 = SensorReadManager.mBuffer_SensorValue_Gyro = (float[]) event.values.clone();
                    return;
                case 5:
                    float[] unused4 = SensorReadManager.mBuffer_SensorValue_Light = (float[]) event.values.clone();
                    return;
                case 6:
                    float[] unused5 = SensorReadManager.mBuffer_SensorValue_Barometer = (float[]) event.values.clone();
                    FtUtil.log_i(SensorReadManager.CLASS_NAME, "onSensorChanged-TYPE_PRESSURE", SensorReadManager.mBuffer_SensorValue_Barometer != null ? Arrays.toString(SensorReadManager.mBuffer_SensorValue_Barometer) : "null");
                    return;
                case 8:
                case 65592:
                    float[] unused6 = SensorReadManager.mBuffer_SensorValue_Proximity = (float[]) event.values.clone();
                    return;
                case 12:
                    float[] unused7 = SensorReadManager.mBuffer_SensorValue_Humidity = (float[]) event.values.clone();
                    return;
                case 13:
                    float[] unused8 = SensorReadManager.mBuffer_SensorValue_Temperature = (float[]) event.values.clone();
                    return;
                case 65560:
                    String str = this.nameGripSensor;
                    if (str == null || !str.equals(event.sensor.getName())) {
                        String str2 = this.nameGripSensorSub;
                        if (str2 != null && str2.equals(event.sensor.getName())) {
                            float[] unused9 = SensorReadManager.mBuffer_SensorValue_Grip_Sub = (float[]) event.values.clone();
                            return;
                        }
                        return;
                    }
                    float[] unused10 = SensorReadManager.mBuffer_SensorValue_Grip = (float[]) event.values.clone();
                    return;
                case 65561:
                    float[] unused11 = SensorReadManager.mBuffer_SensorValue_Bio = (float[]) event.values.clone();
                    return;
                case 65562:
                    float[] unused12 = SensorReadManager.mBuffer_SensorValue_Hrm = (float[]) event.values.clone();
                    return;
                case 65575:
                    String str3 = this.nameGripSensorSub;
                    if (str3 == null || !str3.equals(event.sensor.getName())) {
                        float[] unused13 = SensorReadManager.mBuffer_SensorValue_Grip_Wifi = (float[]) event.values.clone();
                        return;
                    } else {
                        float[] unused14 = SensorReadManager.mBuffer_SensorValue_Grip_Sub = (float[]) event.values.clone();
                        return;
                    }
                case 65577:
                    float[] unused15 = SensorReadManager.mBuffer_SensorValue_Bio_Alc = (float[]) event.values.clone();
                    return;
                case 65582:
                    float[] unused16 = SensorReadManager.mBuffer_SensorValue_IrisProximity = (float[]) event.values.clone();
                    return;
                case 65587:
                    float[] unused17 = SensorReadManager.mBuffer_SensorValue_Light_CCT = (float[]) event.values.clone();
                    return;
                case 65636:
                    String str4 = this.nameGripSensorSub;
                    if (str4 != null && str4.equals(event.sensor.getName())) {
                        float[] unused18 = SensorReadManager.mBuffer_SensorValue_Grip_Sub = (float[]) event.values.clone();
                        return;
                    }
                    return;
                case 65637:
                    String str5 = this.nameGripSensorSub2;
                    if (str5 != null && str5.equals(event.sensor.getName())) {
                        float[] unused19 = SensorReadManager.mBuffer_SensorValue_Grip_Sub2 = (float[]) event.values.clone();
                        return;
                    }
                    return;
                case 65638:
                    String str6 = this.nameGripSensorSub3;
                    if (str6 != null && str6.equals(event.sensor.getName())) {
                        float[] unused20 = SensorReadManager.mBuffer_SensorValue_Grip_Sub3 = (float[]) event.values.clone();
                        return;
                    }
                    return;
                case 65687:
                    float[] unused21 = SensorReadManager.mBuffer_SensorValue_Accelerometer_sub = (float[]) event.values.clone();
                    return;
                default:
                    return;
            }
        }

        public void setNameGripSensor(String name) {
            FtUtil.log_i(SensorReadManager.CLASS_NAME, "setNameGripSensor", "" + name);
            this.nameGripSensor = name;
        }

        public void setNameGripSensorSub(String name) {
            FtUtil.log_i(SensorReadManager.CLASS_NAME, "setNameGripSensorSub", "" + name);
            this.nameGripSensorSub = name;
        }

        public void setNameGripSensorSub2(String name) {
            FtUtil.log_i(SensorReadManager.CLASS_NAME, "setNameGripSensorSub2", "" + name);
            this.nameGripSensorSub2 = name;
        }

        public void setNameGripSensorSub3(String name) {
            FtUtil.log_i(SensorReadManager.CLASS_NAME, "setNameGripSensorSub3", "" + name);
            this.nameGripSensorSub3 = name;
        }
    }

    public float[] returnAccelermeter() {
        if (ModuleSensor.LOG_LEVEL <= 3) {
            FtUtil.log_i(CLASS_NAME, "returnAccelermeter", dataCheck(mBuffer_SensorValue_Accelerometer));
        }
        return mBuffer_SensorValue_Accelerometer;
    }

    public float[] returnSubAccelermeter() {
        if (ModuleSensor.LOG_LEVEL <= 3) {
            FtUtil.log_i(CLASS_NAME, "returnSubAccelermeter", dataCheck(mBuffer_SensorValue_Accelerometer_sub));
        }
        return mBuffer_SensorValue_Accelerometer_sub;
    }

    public float[] returnBarometer() {
        if (ModuleSensor.LOG_LEVEL <= 3) {
            FtUtil.log_i(CLASS_NAME, "returnBarometer", dataCheck(mBuffer_SensorValue_Barometer));
        }
        return mBuffer_SensorValue_Barometer;
    }

    public float[] returnGyro() {
        if (ModuleSensor.LOG_LEVEL <= 3) {
            FtUtil.log_i(CLASS_NAME, "returnGyro", dataCheck(mBuffer_SensorValue_Gyro));
        }
        return mBuffer_SensorValue_Gyro;
    }

    public float[] returnLight() {
        if (ModuleSensor.LOG_LEVEL <= 3) {
            FtUtil.log_i(CLASS_NAME, "returnLight", dataCheck(mBuffer_SensorValue_Light));
        }
        return mBuffer_SensorValue_Light;
    }

    public float[] returnLightCCT() {
        if (ModuleSensor.LOG_LEVEL <= 3) {
            FtUtil.log_i(CLASS_NAME, "returnLightCCT", dataCheck(mBuffer_SensorValue_Light_CCT));
        }
        return mBuffer_SensorValue_Light_CCT;
    }

    public float[] returnMagnetic() {
        if (ModuleSensor.LOG_LEVEL <= 3) {
            FtUtil.log_i(CLASS_NAME, "returnMagnetic", dataCheck(mBuffer_SensorValue_Magnetic));
        }
        return mBuffer_SensorValue_Magnetic;
    }

    public float[] returnProximity() {
        if (ModuleSensor.LOG_LEVEL <= 3) {
            FtUtil.log_i(CLASS_NAME, "returnProximity", dataCheck(mBuffer_SensorValue_Proximity));
        }
        return mBuffer_SensorValue_Proximity;
    }

    public float[] returnIrisProximity() {
        if (ModuleSensor.LOG_LEVEL <= 3) {
            FtUtil.log_i(CLASS_NAME, "returnIrisProximity", dataCheck(mBuffer_SensorValue_IrisProximity));
        }
        return mBuffer_SensorValue_IrisProximity;
    }

    public float[] returnTemperature() {
        if (ModuleSensor.LOG_LEVEL <= 3) {
            FtUtil.log_i(CLASS_NAME, "returnTemperature", dataCheck(mBuffer_SensorValue_Temperature));
        }
        return mBuffer_SensorValue_Temperature;
    }

    public float[] returnHumidity() {
        if (ModuleSensor.LOG_LEVEL <= 3) {
            FtUtil.log_i(CLASS_NAME, "returnHumidity", dataCheck(mBuffer_SensorValue_Humidity));
        }
        return mBuffer_SensorValue_Humidity;
    }

    public float[] returnBio() {
        if (ModuleSensor.LOG_LEVEL <= 3) {
            FtUtil.log_i(CLASS_NAME, "returnBio", dataCheck(mBuffer_SensorValue_Bio));
        }
        return mBuffer_SensorValue_Bio;
    }

    public float[] returnBioAlc() {
        if (ModuleSensor.LOG_LEVEL <= 3) {
            FtUtil.log_i(CLASS_NAME, "returnBioAlc", dataCheck(mBuffer_SensorValue_Bio_Alc));
        }
        return mBuffer_SensorValue_Bio_Alc;
    }

    public float[] returnHrm() {
        if (ModuleSensor.LOG_LEVEL <= 3) {
            FtUtil.log_i(CLASS_NAME, "returnHrm", dataCheck(mBuffer_SensorValue_Hrm));
        }
        return mBuffer_SensorValue_Hrm;
    }

    public float[] returnGrip() {
        if (ModuleSensor.LOG_LEVEL <= 3) {
            FtUtil.log_i(CLASS_NAME, "returnGrip", dataCheck(mBuffer_SensorValue_Grip));
        }
        return mBuffer_SensorValue_Grip;
    }

    public float[] returnGrip_Wifi() {
        if (ModuleSensor.LOG_LEVEL <= 3) {
            FtUtil.log_i(CLASS_NAME, "returnGrip_Wifi", dataCheck(mBuffer_SensorValue_Grip_Wifi));
        }
        return mBuffer_SensorValue_Grip_Wifi;
    }

    public float[] returnGrip_Sub() {
        if (ModuleSensor.LOG_LEVEL <= 3) {
            FtUtil.log_i(CLASS_NAME, "returnGrip_Sub", dataCheck(mBuffer_SensorValue_Grip_Sub));
        }
        return mBuffer_SensorValue_Grip_Sub;
    }

    public float[] returnGrip_Sub2() {
        if (ModuleSensor.LOG_LEVEL <= 3) {
            FtUtil.log_i(CLASS_NAME, "returnGrip_Sub2", dataCheck(mBuffer_SensorValue_Grip_Sub2));
        }
        return mBuffer_SensorValue_Grip_Sub2;
    }

    public float[] returnGrip_Sub3() {
        if (ModuleSensor.LOG_LEVEL <= 3) {
            FtUtil.log_i(CLASS_NAME, "returnGrip_Sub3", dataCheck(mBuffer_SensorValue_Grip_Sub3));
        }
        return mBuffer_SensorValue_Grip_Sub3;
    }

    public int returnGyroPower() {
        return 1;
    }

    public MagneticExpansionData returnMagneticExpansion_Alps(int testNo) {
        int[] parameter1 = new int[3];
        int[] parameter2 = new int[3];
        MagneticExpansionData returnData = new MagneticExpansionData();
        switch (testNo) {
            case 1:
                parameter1[0] = 1;
                returnData.mPowerOn = new String[2];
                if (returnData.mReturnValue < 0) {
                    returnData.mPowerOn[0] = "NG";
                    returnData.mPowerOn[1] = "0";
                    break;
                } else {
                    returnData.mPowerOn[0] = "OK";
                    returnData.mPowerOn[1] = EgisFingerprint.MAJOR_VERSION;
                    break;
                }
            case 3:
                parameter1[0] = 1;
                parameter1[0] = 3;
                returnData.mStatus = new String[2];
                if (returnData.mReturnValue >= 0) {
                    returnData.mStatus[0] = "OK";
                } else {
                    returnData.mStatus[0] = "NG";
                }
                returnData.mStatus[1] = String.valueOf(parameter2[0]);
                break;
            case 4:
                parameter1[0] = 1;
                parameter1[0] = 3;
                parameter1[0] = 4;
                returnData.mDAC = new String[4];
                if (returnData.mReturnValue >= 0) {
                    returnData.mDAC[0] = "OK";
                } else {
                    returnData.mDAC[0] = "NG";
                }
                returnData.mDAC[1] = String.valueOf(parameter2[0]);
                returnData.mDAC[2] = String.valueOf(parameter2[1]);
                returnData.mDAC[3] = String.valueOf(parameter2[2]);
                break;
            case 5:
                parameter1[0] = 1;
                parameter1[0] = 3;
                parameter1[0] = 4;
                parameter1[0] = 5;
                returnData.mADC = new String[4];
                if (returnData.mReturnValue >= 0) {
                    returnData.mADC[0] = "OK";
                } else {
                    returnData.mADC[0] = "NG";
                }
                returnData.mADC[1] = String.valueOf(parameter2[0]);
                returnData.mADC[2] = "0";
                returnData.mADC[3] = "0";
                break;
            case 6:
                parameter1[0] = 1;
                parameter1[0] = 3;
                parameter1[0] = 4;
                parameter1[0] = 5;
                parameter1[0] = 6;
                returnData.mSelf = new String[4];
                if (returnData.mReturnValue >= 0) {
                    returnData.mSelf[0] = "OK";
                } else {
                    returnData.mSelf[0] = "NG";
                }
                returnData.mSelf[1] = String.valueOf(parameter2[0]);
                returnData.mSelf[2] = String.valueOf(parameter2[1]);
                returnData.mSelf[3] = String.valueOf(parameter2[2]);
                break;
            case 7:
                parameter1[0] = 1;
                parameter1[0] = 3;
                parameter1[0] = 4;
                parameter1[0] = 5;
                parameter1[0] = 6;
                parameter1[0] = 7;
                returnData.mOffset_H = new String[4];
                if (returnData.mReturnValue >= 0) {
                    returnData.mOffset_H[0] = "OK";
                } else {
                    returnData.mOffset_H[0] = "NG";
                }
                returnData.mOffset_H[1] = String.valueOf(parameter2[0]);
                returnData.mOffset_H[2] = String.valueOf(parameter2[1]);
                returnData.mOffset_H[3] = String.valueOf(parameter2[2]);
                break;
        }
        if (testNo == 2) {
            parameter1[0] = 2;
            returnData.mPowerOff = new String[2];
            if (returnData.mReturnValue >= 0) {
                returnData.mPowerOff[0] = "OK";
                returnData.mPowerOff[1] = EgisFingerprint.MAJOR_VERSION;
            } else {
                returnData.mPowerOff[0] = "NG";
                returnData.mPowerOff[1] = "0";
            }
        }
        return returnData;
    }

    public MagneticExpansionData returnMagneticExpansion_STMicro(int testNo) {
        int[] parameter1 = new int[3];
        int[] parameter2 = new int[3];
        MagneticExpansionData returnData = new MagneticExpansionData();
        switch (testNo) {
            case 1:
                parameter1[0] = 1;
                returnData.mPowerOn = new String[2];
                if (returnData.mReturnValue < 0) {
                    returnData.mPowerOn[0] = "NG";
                    returnData.mPowerOn[1] = "0";
                    break;
                } else {
                    returnData.mPowerOn[0] = "OK";
                    returnData.mPowerOn[1] = EgisFingerprint.MAJOR_VERSION;
                    break;
                }
            case 3:
                parameter1[0] = 1;
                parameter1[0] = 3;
                returnData.mStatus = new String[2];
                if (returnData.mReturnValue >= 0) {
                    returnData.mStatus[0] = "OK";
                } else {
                    returnData.mStatus[0] = "NG";
                }
                returnData.mStatus[1] = String.valueOf(parameter2[0]);
                break;
            case 4:
                parameter1[0] = 1;
                parameter1[0] = 3;
                parameter1[0] = 4;
                returnData.mDAC = new String[4];
                if (returnData.mReturnValue >= 0) {
                    returnData.mDAC[0] = "OK";
                } else {
                    returnData.mDAC[0] = "NG";
                }
                returnData.mDAC[1] = String.valueOf(parameter2[0]);
                returnData.mDAC[2] = String.valueOf(parameter2[1]);
                returnData.mDAC[3] = String.valueOf(parameter2[2]);
                break;
            case 5:
                parameter1[0] = 1;
                parameter1[0] = 3;
                parameter1[0] = 4;
                parameter1[0] = 5;
                returnData.mADC = new String[4];
                if (returnData.mReturnValue >= 0) {
                    returnData.mADC[0] = "OK";
                } else {
                    returnData.mADC[0] = "NG";
                }
                returnData.mADC[1] = String.valueOf(parameter2[0]);
                returnData.mADC[2] = "0";
                returnData.mADC[3] = "0";
                break;
            case 6:
                parameter1[0] = 1;
                parameter1[0] = 3;
                parameter1[0] = 4;
                parameter1[0] = 5;
                parameter1[0] = 6;
                returnData.mSelf = new String[4];
                if (returnData.mReturnValue >= 0) {
                    returnData.mSelf[0] = "OK";
                } else {
                    returnData.mSelf[0] = "NG";
                }
                returnData.mSelf[1] = String.valueOf(parameter2[0]);
                returnData.mSelf[2] = String.valueOf(parameter2[1]);
                returnData.mSelf[3] = String.valueOf(parameter2[2]);
                break;
            case 7:
                parameter1[0] = 1;
                parameter1[0] = 3;
                parameter1[0] = 4;
                parameter1[0] = 5;
                parameter1[0] = 6;
                parameter1[0] = 7;
                returnData.mOffset_H = new String[4];
                if (returnData.mReturnValue >= 0) {
                    returnData.mOffset_H[0] = "OK";
                } else {
                    returnData.mOffset_H[0] = "NG";
                }
                returnData.mOffset_H[1] = String.valueOf(parameter2[0]);
                returnData.mOffset_H[2] = String.valueOf(parameter2[1]);
                returnData.mOffset_H[3] = String.valueOf(parameter2[2]);
                break;
        }
        if (testNo == 2) {
            parameter1[0] = 2;
            returnData.mPowerOff = new String[2];
            if (returnData.mReturnValue >= 0) {
                returnData.mPowerOff[0] = "OK";
                returnData.mPowerOff[1] = EgisFingerprint.MAJOR_VERSION;
            } else {
                returnData.mPowerOff[0] = "NG";
                returnData.mPowerOff[1] = "0";
            }
        }
        return returnData;
    }

    private int ConverterID(int moduleSensorID) {
        int sensorOnArrayIndex = -1;
        if (moduleSensorID == ModuleSensor.ID_MANAGER_ACCELEROMETER) {
            sensorOnArrayIndex = this.SENSOR_ON_ARRAY_INDEX_ACCELEROMETER;
        } else if (moduleSensorID == ModuleSensor.ID_MANAGER_ACCELEROMETER_N_ANGLE) {
            sensorOnArrayIndex = this.SENSOR_ON_ARRAY_INDEX_ACCELEROMETER_N_ANGLE;
        } else if (moduleSensorID == ModuleSensor.ID_MANAGER_SUB_ACCELEROMETER) {
            sensorOnArrayIndex = this.SENSOR_ON_ARRAY_INDEX_SUB_ACCELEROMETER;
        } else if (moduleSensorID == ModuleSensor.ID_MANAGER_SUB_ACCELEROMETER_N_ANGLE) {
            sensorOnArrayIndex = this.SENSOR_ON_ARRAY_INDEX_SUB_ACCELEROMETER_N_ANGLE;
        } else if (moduleSensorID == ModuleSensor.ID_MANAGER_ACCELEROMETER_SELF) {
            sensorOnArrayIndex = this.SENSOR_ON_ARRAY_INDEX_ACCELEROMETER_SELF;
        } else if (moduleSensorID == ModuleSensor.ID_MANAGER_BAROMETER) {
            sensorOnArrayIndex = this.SENSOR_ON_ARRAY_INDEX_BAROMETER;
        } else if (moduleSensorID == ModuleSensor.ID_MANAGER_GYRO) {
            sensorOnArrayIndex = this.SENSOR_ON_ARRAY_INDEX_GYRO;
        } else if (moduleSensorID == ModuleSensor.ID_MANAGER_GYRO_POWER) {
            sensorOnArrayIndex = this.SENSOR_ON_ARRAY_INDEX_GYRO_POWER;
        } else if (moduleSensorID == ModuleSensor.ID_MANAGER_GYRO_TEMPERATURE) {
            sensorOnArrayIndex = this.SENSOR_ON_ARRAY_INDEX_GYRO_TEMPERATURE;
        } else if (moduleSensorID == ModuleSensor.ID_MANAGER_LIGHT) {
            sensorOnArrayIndex = this.SENSOR_ON_ARRAY_INDEX_LIGHT;
        } else if (moduleSensorID == ModuleSensor.ID_MANAGER_LIGHT_CCT) {
            sensorOnArrayIndex = this.SENSOR_ON_ARRAY_INDEX_LIGHT_CCT;
        } else if (moduleSensorID == ModuleSensor.ID_MANAGER_MAGNETIC) {
            sensorOnArrayIndex = this.SENSOR_ON_ARRAY_INDEX_MAGNETIC;
        } else if (moduleSensorID == ModuleSensor.ID_MANAGER_MAGNETIC_POWER_ON) {
            sensorOnArrayIndex = this.SENSOR_ON_ARRAY_INDEX_MAGNETIC_POWER_ON;
        } else if (moduleSensorID == ModuleSensor.ID_MANAGER_MAGNETIC_POWER_OFF) {
            sensorOnArrayIndex = this.SENSOR_ON_ARRAY_INDEX_MAGNETIC_POWER_OFF;
        } else if (moduleSensorID == ModuleSensor.ID_MANAGER_MAGNETIC_STATUS) {
            sensorOnArrayIndex = this.SENSOR_ON_ARRAY_INDEX_MAGNETIC_STATUS;
        } else if (moduleSensorID == ModuleSensor.ID_MANAGER_MAGNETIC_TEMPERATURE) {
            sensorOnArrayIndex = this.SENSOR_ON_ARRAY_INDEX_MAGNETIC_TEMPERATURE;
        } else if (moduleSensorID == ModuleSensor.ID_MANAGER_MAGNETIC_DAC) {
            sensorOnArrayIndex = this.SENSOR_ON_ARRAY_INDEX_MAGNETIC_DAC;
        } else if (moduleSensorID == ModuleSensor.ID_MANAGER_MAGNETIC_ADC) {
            sensorOnArrayIndex = this.SENSOR_ON_ARRAY_INDEX_MAGNETIC_ADC;
        } else if (moduleSensorID == ModuleSensor.ID_MANAGER_MAGNETIC_SELF) {
            sensorOnArrayIndex = this.SENSOR_ON_ARRAY_INDEX_MAGNETIC_SELF;
        } else if (moduleSensorID == ModuleSensor.ID_MANAGER_MAGNETIC_OFFSETH) {
            sensorOnArrayIndex = this.SENSOR_ON_ARRAY_INDEX_MAGNETIC_OFFSETH;
        } else if (moduleSensorID == ModuleSensor.ID_MANAGER_PROXIMITY) {
            sensorOnArrayIndex = this.SENSOR_ON_ARRAY_INDEX_PROXIMITY;
        } else if (moduleSensorID == ModuleSensor.ID_MANAGER_IRIS_PROXIMITY) {
            sensorOnArrayIndex = this.SENSOR_ON_ARRAY_INDEX_IRIS_PROXIMITY;
        } else if (moduleSensorID == ModuleSensor.ID_MANAGER_TEMPERATURE) {
            sensorOnArrayIndex = this.SENSOR_ON_ARRAY_INDEX_TEMPERATURE;
        } else if (moduleSensorID == ModuleSensor.ID_MANAGER_HUMIDITY) {
            sensorOnArrayIndex = this.SENSOR_ON_ARRAY_INDEX_HUMIDITY;
        } else if (moduleSensorID == ModuleSensor.ID_MANAGER_GRIP) {
            sensorOnArrayIndex = this.SENSOR_ON_ARRAY_INDEX_GRIP;
        } else if (moduleSensorID == ModuleSensor.ID_MANAGER_GRIP_SUB) {
            sensorOnArrayIndex = this.SENSOR_ON_ARRAY_INDEX_GRIP_SUB;
        } else if (moduleSensorID == ModuleSensor.ID_MANAGER_GRIP_SUB2) {
            sensorOnArrayIndex = this.SENSOR_ON_ARRAY_INDEX_GRIP_SUB2;
        } else if (moduleSensorID == ModuleSensor.ID_MANAGER_GRIP_SUB3) {
            sensorOnArrayIndex = this.SENSOR_ON_ARRAY_INDEX_GRIP_SUB3;
        } else if (moduleSensorID == ModuleSensor.ID_MANAGER_BIO) {
            sensorOnArrayIndex = this.SENSOR_ON_ARRAY_INDEX_BIO;
        } else if (moduleSensorID == ModuleSensor.ID_MANAGER_BIO_ALC) {
            sensorOnArrayIndex = this.SENSOR_ON_ARRAY_INDEX_BIO_ALC;
        } else if (moduleSensorID == ModuleSensor.ID_MANAGER_BIO_HRM) {
            sensorOnArrayIndex = this.SENSOR_ON_ARRAY_INDEX_HRM;
        }
        FtUtil.log_d(CLASS_NAME, "ConverterID", moduleSensorID + " => " + sensorOnArrayIndex);
        return sensorOnArrayIndex;
    }

    private String dataCheck(float[] data) {
        String result = "";
        if (data == null) {
            return "Data : null";
        }
        for (int i = 0; i < data.length; i++) {
            result = result + data[i];
            if (i < data.length - 1) {
                result = result + " , ";
            }
        }
        return result;
    }
}
