package com.sec.factory.modules;

import android.app.Service;
import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Handler;
import android.os.IBinder;
import com.sec.factory.app.ui.UITSPSelfTestOneCmdFileSpec;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import java.util.Objects;

public class TspSelfTestService extends Service {
    private static final String CLASS_NAME = "TspSelfTestService";
    private int lcdType = 1001;

    public void onCreate() {
        FtUtil.log_i(CLASS_NAME, "onCreate", "");
        super.onCreate();
    }

    public int onStartCommand(Intent intent, int flags, int startId) {
        FtUtil.log_i(CLASS_NAME, "onStartCommand");
        this.lcdType = intent.getIntExtra(Support.Feature.LCD_TYPE, 1001);
        FtUtil.log_i(CLASS_NAME, "onStartCommand", "lcdType : " + getLcdTypeName(this.lcdType));
        int i = this.lcdType;
        if (i == 1003) {
            SharedPreferences.Editor editor = getSharedPreferences("PRESENTAION_TSP_SELF_TEST_RESULT", 0).edit();
            editor.putString("PRESENTAION_TSP_RESULT", "NONE");
            editor.commit();
        } else if (i == 1002) {
            SharedPreferences.Editor editor2 = getSharedPreferences("SUB_TSP_SELF_TEST_RESULT", 0).edit();
            editor2.putString("SUB_TSP_RESULT", "NONE");
            editor2.commit();
        } else {
            SharedPreferences.Editor editor3 = getSharedPreferences("TSP_SELF_TEST_RESULT", 0).edit();
            editor3.putString("TSP_RESULT", "NONE");
            editor3.commit();
        }
        UITSPSelfTestOneCmdFileSpec mUITspSelfTestOneCmdFileSpec = new UITSPSelfTestOneCmdFileSpec("ATCMD", this.lcdType, this);
        Handler handler = mUITspSelfTestOneCmdFileSpec.mHandler;
        Objects.requireNonNull(mUITspSelfTestOneCmdFileSpec);
        handler.sendEmptyMessage(1000);
        return 2;
    }

    private String getLcdTypeName(int type) {
        switch (type) {
            case 1001:
                return "LCD_1";
            case 1002:
                return "LCD_2";
            case 1003:
                return "LCD_PRESENTATION_1";
            default:
                return "";
        }
    }

    public void onDestroy() {
    }

    public IBinder onBind(Intent intent) {
        return null;
    }
}
