package com.sec.factory.modules.check;

import android.content.Context;
import com.sec.factory.R;
import java.io.IOException;
import java.io.InputStream;

public class CheckReferenceData {
    private byte[] mGram_data;
    private byte[] mNet_data;

    public CheckReferenceData(Context context) throws IOException {
        this.mGram_data = getByteFromFile(context.getResources().openRawResource(R.raw.gram6));
        this.mNet_data = getByteFromFile(context.getResources().openRawResource(R.raw.net));
    }

    public byte[] getGram() {
        return this.mGram_data;
    }

    public byte[] getNet() {
        return this.mNet_data;
    }

    private byte[] getByteFromFile(InputStream is) throws IOException {
        int numRead;
        byte[] bytes = new byte[is.available()];
        int offset = 0;
        while (offset < bytes.length && (numRead = is.read(bytes, offset, bytes.length - offset)) >= 0) {
            offset += numRead;
        }
        if (offset >= bytes.length) {
            is.close();
            return bytes;
        }
        throw new IOException("Could not completely read file ");
    }
}
