package com.sec.factory.modules.check;

import com.sec.factory.support.FtUtil;
import java.lang.reflect.Array;

public class CheckTSPRawCap {
    public static final int DIRECTION_ADJACENT_X = 1000;
    public static final int DIRECTION_ADJACENT_Y = 1001;
    private String CLASS_NAME = "CheckTSPRawCap";
    private float _gapMax;
    private int[][] _nodes;
    private int xChannel = 18;
    private int yChannel = 32;

    public CheckTSPRawCap(int x, int y) {
        this.xChannel = x;
        this.yChannel = y;
    }

    private double computeGap(double lhs, double rhs) {
        return 100.0d - ((Math.min(lhs, rhs) / Math.max(lhs, rhs)) * 100.0d);
    }

    private float[][] makeNearNodeGap(int[][] temp, int direction) throws Exception {
        this._nodes = temp;
        float[][] result = null;
        try {
            int i = this.xChannel;
            int[] iArr = new int[2];
            iArr[1] = this.yChannel;
            iArr[0] = i;
            result = (float[][]) Array.newInstance(float.class, iArr);
            switch (direction) {
                case 1000:
                    for (int x = 0; x < this.xChannel; x++) {
                        for (int y = 0; y < this.yChannel - 1; y++) {
                            int[][] iArr2 = this._nodes;
                            result[x][y] = (float) computeGap((double) ((float) iArr2[x][y]), (double) ((float) iArr2[x][y + 1]));
                        }
                    }
                    break;
                case 1001:
                    for (int y2 = 0; y2 < this.yChannel; y2++) {
                        for (int x2 = 0; x2 < this.xChannel - 1; x2++) {
                            int[][] iArr3 = this._nodes;
                            result[x2][y2] = (float) computeGap((double) ((float) iArr3[x2][y2]), (double) ((float) iArr3[x2 + 1][y2]));
                        }
                    }
                    break;
            }
        } catch (NumberFormatException e) {
            FtUtil.log_e(this.CLASS_NAME, "makeNearNodeGap", "NumberFormatException");
        }
        return result;
    }

    public float getMaxAdjacentNodeGap(int[][] temp, int direction) throws Exception {
        float[][] nearGap = makeNearNodeGap(temp, direction);
        float max = 0.0f;
        for (float[] linear : nearGap) {
            for (float value : linear) {
                if (value > max) {
                    max = value;
                    FtUtil.log_d(this.CLASS_NAME, "getMaxAdjacentNodeGap", "max: " + max);
                }
            }
        }
        FtUtil.log_d(this.CLASS_NAME, "getMaxAdjacentNodeGap", "max: " + max);
        this._gapMax = max;
        return max;
    }
}
