package com.sec.factory.modules.vrr;

import android.app.Activity;
import android.hardware.display.DisplayManager;
import android.os.Handler;
import com.sec.factory.support.FtUtil;

public class RefreshRateChangeUtil {
    private String CLASS_NAME = "RefreshRateChangeUtil";
    private Activity mActivityRef;
    private DisplayManager.DisplayListener mDisplayListener;
    private DisplayManager mDisplayManager;
    private Handler mNotiHandlerRef;
    private IRefreshRateModeSetting mRefreshRateModeSetting;
    private IRefreshRateSetting mRefreshRateSetting;

    public RefreshRateChangeUtil(Activity activityRef, Handler notiHandler) {
        this.mActivityRef = activityRef;
        this.mNotiHandlerRef = notiHandler;
        this.mDisplayManager = (DisplayManager) activityRef.getSystemService("display");
        this.mRefreshRateModeSetting = IntegerRefreshRateModeSetting.getInstance(this.mActivityRef);
        this.mRefreshRateSetting = RefreshRateSetting.getInstance(this.mActivityRef);
    }

    public void setRefreshRate(final int mode, final int rate) {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "setRefreshRate", "mode : " + mode + " rate : " + rate);
        if (this.mRefreshRateModeSetting.isSameWithCurrent(Integer.valueOf(mode), this.mActivityRef)) {
            this.mRefreshRateSetting.setRate(mode, rate, this.mActivityRef);
            Handler handler = this.mNotiHandlerRef;
            handler.sendMessage(handler.obtainMessage(1, Integer.valueOf(rate)));
            return;
        }
        AnonymousClass1 r0 = new DisplayManager.DisplayListener() {
            /* class com.sec.factory.modules.vrr.RefreshRateChangeUtil.AnonymousClass1 */

            public void onDisplayAdded(int displayId) {
            }

            public void onDisplayRemoved(int displayId) {
            }

            public void onDisplayChanged(int displayId) {
                RefreshRateChangeUtil.this.mRefreshRateSetting.setRate(mode, rate, RefreshRateChangeUtil.this.mActivityRef);
                RefreshRateChangeUtil.this.mDisplayManager.unregisterDisplayListener(RefreshRateChangeUtil.this.mDisplayListener);
                RefreshRateChangeUtil.this.mNotiHandlerRef.sendMessage(RefreshRateChangeUtil.this.mNotiHandlerRef.obtainMessage(1, Integer.valueOf(rate)));
            }
        };
        this.mDisplayListener = r0;
        this.mDisplayManager.registerDisplayListener(r0, null);
        this.mRefreshRateModeSetting.setMode(Integer.valueOf(mode), this.mActivityRef);
    }

    public void restoreDefault() {
        FtUtil.log_d(this.CLASS_NAME, "restoreDefault", "restoreDefault");
        IRefreshRateModeSetting iRefreshRateModeSetting = this.mRefreshRateModeSetting;
        if (iRefreshRateModeSetting.isSameWithCurrent(iRefreshRateModeSetting.getDefault(), this.mActivityRef)) {
            this.mRefreshRateSetting.restoreDefault(this.mActivityRef);
            return;
        }
        AnonymousClass2 r0 = new DisplayManager.DisplayListener() {
            /* class com.sec.factory.modules.vrr.RefreshRateChangeUtil.AnonymousClass2 */

            public void onDisplayAdded(int displayId) {
            }

            public void onDisplayRemoved(int displayId) {
            }

            public void onDisplayChanged(int displayId) {
                RefreshRateChangeUtil.this.mRefreshRateSetting.restoreDefault(RefreshRateChangeUtil.this.mActivityRef);
                RefreshRateChangeUtil.this.mDisplayManager.unregisterDisplayListener(RefreshRateChangeUtil.this.mDisplayListener);
            }
        };
        this.mDisplayListener = r0;
        this.mDisplayManager.registerDisplayListener(r0, null);
        this.mRefreshRateModeSetting.restoreDefault(this.mActivityRef);
    }
}
