package com.sec.factory.modules.vrr;

import android.app.Activity;
import com.sec.factory.support.FtUtil;

public class RefreshRateSetting implements IRefreshRateSetting {
    private static IRefreshRateSetting mDisplayModeSetting;
    private static IRefreshRateSetting mLowRefreshRateTokenHandle;
    private static RefreshRateSetting uniqueInstance = new RefreshRateSetting();
    private final String CLASS_NAME = "RefreshRateSetting";

    private RefreshRateSetting() {
    }

    public static RefreshRateSetting getInstance(Activity activityRef) {
        mLowRefreshRateTokenHandle = LowRefreshRateTokenHandle.getInstance();
        mDisplayModeSetting = DisplayModeSetting.getInstance(activityRef);
        return uniqueInstance;
    }

    @Override // com.sec.factory.modules.vrr.IRefreshRateSetting
    public void setRate(int mode, int rate, Activity activityRef) {
        FtUtil.log_d("RefreshRateSetting", "setRate", "mode : " + mode + " rate : " + rate);
        mLowRefreshRateTokenHandle.restoreDefault(activityRef);
        if (VRRcontants.REFRESH_RATE_MODE_ALWAYS != mode) {
            mDisplayModeSetting.setRate(mode, rate, activityRef);
        } else if (rate == 60) {
            mLowRefreshRateTokenHandle.setRate(mode, rate, activityRef);
        } else {
            mDisplayModeSetting.setRate(mode, rate, activityRef);
        }
    }

    @Override // com.sec.factory.modules.vrr.IRefreshRateSetting
    public void restoreDefault(Activity activityRef) {
        FtUtil.log_d("RefreshRateSetting", "restoreDefault", "restoreDefault");
        mLowRefreshRateTokenHandle.restoreDefault(activityRef);
        mDisplayModeSetting.restoreDefault(activityRef);
    }
}
