package com.sec.factory.sensors;

import android.content.Context;
import android.hardware.Sensor;
import android.hardware.SensorEvent;
import android.hardware.SensorEventListener;
import android.hardware.SensorManager;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import java.util.Timer;
import java.util.TimerTask;

public class SensorLight extends SensorBase implements SensorEventListener {
    private final String CLASS_NAME = "SensorLight";
    private final boolean DEBUG = true;
    private boolean isLightADCOn = false;
    private boolean isLightMGROn = false;
    private float[] mBuffer_SensorValue_Light = null;
    private Context mContext;
    private Sensor mLightSensor = null;
    private SensorListener mSensorListener;
    private SensorManager mSensorManager = null;
    private String[] mSensorValues = null;
    private Timer mTimer = null;

    public SensorLight(Context mContext2) {
        FtUtil.log_d("SensorLight", "SensorLight", "Constructor");
        this.mContext = mContext2;
    }

    public void SensorOn(SensorListener mSensorListener2, int[] sensorID, int interval) {
        this.mSensorListener = mSensorListener2;
        SensorManager sensorManager = (SensorManager) this.mContext.getSystemService("sensor");
        this.mSensorManager = sensorManager;
        if (sensorManager != null) {
            for (int i = 0; i < sensorID.length; i++) {
                switch (sensorID[i]) {
                    case 3:
                        if (this.mLightSensor == null) {
                            Sensor defaultSensor = this.mSensorManager.getDefaultSensor(5);
                            this.mLightSensor = defaultSensor;
                            this.mSensorManager.registerListener(this, defaultSensor, 2);
                            FtUtil.log_d("SensorLight", "SensorOn", "register-LightSensor");
                            break;
                        } else {
                            break;
                        }
                    case 4:
                        this.isLightADCOn = true;
                        break;
                    default:
                        FtUtil.log_d("SensorLight", "SensorOn", "unregistered-ETC(ModuleSensor ID) : " + sensorID[i]);
                        break;
                }
            }
        } else {
            FtUtil.log_e("SensorLight", "SensorOn", "SensorManager null !!!");
        }
        Timer timer = new Timer();
        this.mTimer = timer;
        timer.schedule(new TimerTask() {
            /* class com.sec.factory.sensors.SensorLight.AnonymousClass1 */

            public void run() {
                SensorLight.this.returnSensorValues();
            }
        }, 250, (long) interval);
    }

    public void returnSensorValues() {
        if (this.isLightMGROn) {
            if (this.mBuffer_SensorValue_Light != null) {
                SensorListener sensorListener = this.mSensorListener;
                sensorListener.onSensorValueReceived(3, "" + this.mBuffer_SensorValue_Light[0]);
            } else {
                this.mSensorListener.onSensorValueReceived(3, "null");
            }
        }
        if (this.isLightADCOn) {
            String sensorValue = Support.Kernel.read(Support.Kernel.LIGHT_SENSOR_RAW);
            if (sensorValue != null) {
                this.mSensorValues = sensorValue.split(",");
            } else {
                this.mSensorValues[0] = null;
            }
            SensorListener sensorListener2 = this.mSensorListener;
            sensorListener2.onSensorValueReceived(4, "" + this.mSensorValues[0]);
        }
        this.mSensorListener.onSensorValueReceived(0, "");
    }

    @Override // com.sec.factory.sensors.SensorBase
    public void SensorOff() {
        FtUtil.log_i("SensorLight", "sensorOff", "Sensor Off");
        Timer timer = this.mTimer;
        if (timer != null) {
            timer.cancel();
            this.mTimer = null;
            FtUtil.log_d("SensorLight", "mTimer canceled", "...");
        }
        SensorManager sensorManager = this.mSensorManager;
        if (sensorManager != null) {
            sensorManager.unregisterListener(this);
        }
        this.isLightADCOn = false;
        this.mSensorManager = null;
        this.mLightSensor = null;
        this.mBuffer_SensorValue_Light = null;
    }

    public void onAccuracyChanged(Sensor sensor, int accuracy) {
    }

    public void onSensorChanged(SensorEvent event) {
        switch (event.sensor.getType()) {
            case 5:
                this.isLightMGROn = true;
                this.mBuffer_SensorValue_Light = (float[]) event.values.clone();
                return;
            default:
                return;
        }
    }
}
