package com.sec.factory.sensors;

import android.content.Context;
import android.hardware.Sensor;
import android.hardware.SensorEvent;
import android.hardware.SensorEventListener;
import android.hardware.SensorManager;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.util.Timer;
import java.util.TimerTask;

public class SensorProximity extends SensorBase implements SensorEventListener {
    private final String CLASS_NAME = "SensorProximity";
    private final boolean DEBUG = true;
    private boolean isIrisProximityMGROn = false;
    private boolean isProximityADCOn = false;
    private boolean isProximityMGROn = false;
    private float[] mBuffer_SensorValue_IrisProximity = null;
    private float[] mBuffer_SensorValue_Proximity = null;
    private Context mContext;
    private Sensor mProximitySensor = null;
    private SensorListener mSensorListener;
    private SensorManager mSensorManager = null;
    private String[] mSensorValues = null;
    private Timer mTimer = null;

    public SensorProximity(Context mContext2) {
        FtUtil.log_d("SensorProximity", "SensorProximity", "Constructor");
        this.mContext = mContext2;
    }

    public void SensorOn(SensorListener mSensorListener2, int[] sensorID, int interval) {
        this.mSensorListener = mSensorListener2;
        SensorManager sensorManager = (SensorManager) this.mContext.getSystemService("sensor");
        this.mSensorManager = sensorManager;
        if (sensorManager != null) {
            for (int i = 0; i < sensorID.length; i++) {
                if (sensorID[i] == 1) {
                    if (this.mProximitySensor == null) {
                        Sensor defaultSensor = this.mSensorManager.getDefaultSensor(65592);
                        this.mProximitySensor = defaultSensor;
                        if (defaultSensor == null) {
                            this.mProximitySensor = this.mSensorManager.getDefaultSensor(8);
                        }
                        this.mSensorManager.registerListener(this, this.mProximitySensor, 2);
                        FtUtil.log_d("SensorProximity", "SensorOn", "register-ProximitySensor");
                    }
                } else if (sensorID[i] == 8) {
                    if (this.mProximitySensor == null) {
                        Sensor defaultSensor2 = this.mSensorManager.getDefaultSensor(65582);
                        this.mProximitySensor = defaultSensor2;
                        this.mSensorManager.registerListener(this, defaultSensor2, 2);
                        FtUtil.log_d("SensorProximity", "SensorOn", "register-IrisProximitySensor");
                    }
                } else if (sensorID[i] == 2) {
                    this.isProximityADCOn = true;
                } else {
                    FtUtil.log_d("SensorProximity", "SensorOn", "unregistered-ETC(ModuleSensor ID) : " + sensorID[i]);
                }
            }
            if (this.isProximityADCOn) {
                Support.Kernel.write(Support.Kernel.PROXI_SENSOR_ADC_AVG, EgisFingerprint.MAJOR_VERSION);
            }
        } else {
            FtUtil.log_e("SensorProximity", "SensorOn", "SensorManager null !!!");
        }
        Timer timer = new Timer();
        this.mTimer = timer;
        timer.schedule(new TimerTask() {
            /* class com.sec.factory.sensors.SensorProximity.AnonymousClass1 */

            public void run() {
                SensorProximity.this.returnSensorValues();
            }
        }, 0, (long) interval);
    }

    public void returnSensorValues() {
        String sensorValue;
        try {
            if (this.isProximityMGROn) {
                if (this.mBuffer_SensorValue_Proximity != null) {
                    SensorListener sensorListener = this.mSensorListener;
                    sensorListener.onSensorValueReceived(1, "" + this.mBuffer_SensorValue_Proximity[0]);
                } else {
                    this.mSensorListener.onSensorValueReceived(1, "null");
                }
            }
            if (this.isIrisProximityMGROn) {
                if (this.mBuffer_SensorValue_IrisProximity != null) {
                    SensorListener sensorListener2 = this.mSensorListener;
                    sensorListener2.onSensorValueReceived(8, "" + this.mBuffer_SensorValue_IrisProximity[0]);
                } else {
                    this.mSensorListener.onSensorValueReceived(8, "null");
                }
            }
            if (this.isProximityADCOn && (sensorValue = Support.Kernel.read(Support.Kernel.PROXI_SENSOR_ADC)) != null) {
                this.mSensorValues = sensorValue.split(",");
                SensorListener sensorListener3 = this.mSensorListener;
                sensorListener3.onSensorValueReceived(2, "" + this.mSensorValues[0]);
            }
            this.mSensorListener.onSensorValueReceived(0, "");
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @Override // com.sec.factory.sensors.SensorBase
    public void SensorOff() {
        FtUtil.log_i("SensorProximity", "sensorOff", "Sensor Off");
        Timer timer = this.mTimer;
        if (timer != null) {
            timer.cancel();
            this.mTimer = null;
            FtUtil.log_d("SensorProximity", "mTimer canceled", "...");
        }
        SensorManager sensorManager = this.mSensorManager;
        if (sensorManager != null) {
            sensorManager.unregisterListener(this);
        }
        if (this.isProximityADCOn) {
            Support.Kernel.write(Support.Kernel.PROXI_SENSOR_ADC_AVG, "0");
        }
        this.isProximityMGROn = false;
        this.isProximityADCOn = false;
        this.mSensorManager = null;
        this.mProximitySensor = null;
        this.mBuffer_SensorValue_Proximity = null;
        this.mBuffer_SensorValue_IrisProximity = null;
    }

    public void onAccuracyChanged(Sensor sensor, int accuracy) {
    }

    public void onSensorChanged(SensorEvent event) {
        switch (event.sensor.getType()) {
            case 8:
            case 65592:
                this.isProximityMGROn = true;
                this.mBuffer_SensorValue_Proximity = (float[]) event.values.clone();
                return;
            case 65582:
                this.isIrisProximityMGROn = true;
                this.mBuffer_SensorValue_IrisProximity = (float[]) event.values.clone();
                return;
            default:
                return;
        }
    }
}
