package com.sec.factory.support;

import android.app.ActivityManager;
import android.content.ComponentName;
import android.content.Context;
import android.os.FactoryTest;
import android.os.Process;
import android.os.RemoteException;
import android.os.ServiceManager;
import android.os.SystemProperties;
import android.os.UserHandle;
import android.provider.Settings;
import android.util.Log;
import android.view.IWindowManager;
import android.view.KeyCharacterMap;
import android.view.Window;
import android.view.WindowManager;
import com.samsung.android.service.EngineeringMode.EngineeringModeManager;
import com.sec.factory.aporiented.AtCommandInfo;
import com.sec.factory.modules.ModuleTouchScreen;
import com.sec.xmldata.support.Support;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileOutputStream;
import java.io.FileReader;
import java.io.IOException;
import java.io.RandomAccessFile;
import java.text.SimpleDateFormat;
import java.util.Date;

public class FtUtil {
    private static final String CLASS_NAME = "FtUtil";
    private static final int LOG_LEVEL_D = 1;
    private static final int LOG_LEVEL_E = 4;
    private static final int LOG_LEVEL_F = 5;
    private static final int LOG_LEVEL_I = 2;
    private static final int LOG_LEVEL_V = 0;
    private static final int LOG_LEVEL_W = 3;
    private static final int MODE_TEST_AT_COMMAND = 28;
    private static final String TAG = "FactoryTestApp";
    public static final int TEST_15 = 1;
    public static final int TEST_CMD = 3;
    public static final int TEST_CMD_MULFUNCF_BACKGROUND = 4;
    public static final int TEST_KEYSTR = 5;
    public static final int TEST_NONE = 0;
    private static boolean mbShowFirstLog = false;
    private static String outputContents = new String();

    public static void setSystemKeyBlock(ComponentName componentName, int keyCode) {
        IWindowManager wm = IWindowManager.Stub.asInterface(ServiceManager.getService("window"));
        if (wm != null) {
            try {
                wm.requestSystemKeyEvent(keyCode, componentName, true);
            } catch (RemoteException e) {
                log_e(e);
            }
        }
    }

    public static boolean getCurrentShowTouches(Context context) {
        return Settings.System.getInt(context.getContentResolver(), "show_touches", 0) == 1;
    }

    public static void enableShowTouches(Context context, boolean on) {
        if (on) {
            Settings.System.putInt(context.getContentResolver(), "show_touches", 1);
        } else {
            Settings.System.putInt(context.getContentResolver(), "show_touches", 0);
        }
    }

    public static void setDisplayCutOutMode(Window window, int param) {
        WindowManager.LayoutParams lp = window.getAttributes();
        if (param < 0 || param > 2) {
            log_i(CLASS_NAME, "setDisplayCutOutMode", "Wrong Value(range : 0,1,2)");
            return;
        }
        lp.layoutInDisplayCutoutMode = param;
        window.setAttributes(lp);
    }

    public static void disableDisplayCutOutMode(Window window, boolean remove) {
        WindowManager.LayoutParams lp = window.getAttributes();
        if (remove) {
            lp.layoutInDisplayCutoutMode = 1;
            lp.systemUiVisibility |= 1024;
        } else {
            lp.layoutInDisplayCutoutMode = 0;
            if ((lp.systemUiVisibility & 1024) != 0) {
                lp.systemUiVisibility ^= 1024;
            }
        }
        window.setAttributes(lp);
        window.getDecorView().setSystemUiVisibility(lp.systemUiVisibility);
    }

    public static void setRemoveSystemUI(Window window, boolean remove) {
        boolean hasBackKey = KeyCharacterMap.deviceHasKey(4);
        log_i(CLASS_NAME, "setRemoveSystemUI", "hasBackKey : " + hasBackKey);
        if (ModuleTouchScreen.TSP_DEVICE_TYPE__TABLET.equalsIgnoreCase(Support.Feature.getString(Support.Feature.DEVICE_TYPE)) || !hasBackKey) {
            WindowManager.LayoutParams lp = window.getAttributes();
            log_i(CLASS_NAME, "setRemoveSystemUI", "systemUiVisibility: " + 2050);
            if (remove) {
                lp.systemUiVisibility |= 2050;
            } else if ((lp.systemUiVisibility & 2050) != 0) {
                lp.systemUiVisibility ^= 2050;
            }
            window.setAttributes(lp);
        }
    }

    public static void setRemoveStatusBar(Window window) {
        WindowManager.LayoutParams lp = window.getAttributes();
        lp.flags |= 1024;
        window.setAttributes(lp);
    }

    public static void setPressureTouchStatus(String status) {
        if (Support.Feature.getBoolean(Support.Feature.SUPPORT_PRESSURE_TOUCH)) {
            Support.Kernel.write(Support.Kernel.PRESSURE_TOUCH_STATUS, status);
        }
    }

    public static String getStringTopActiviy(Context context) {
        return ((ActivityManager) context.getSystemService("activity")).getRunningTasks(1).get(0).topActivity.getClassName();
    }

    public static void log_d(String className, String methodName) {
        Log.d(TAG, getLogMessage(className, methodName, null, 1));
    }

    public static void log_d(String className, String methodName, String message) {
        Log.d(TAG, getLogMessage(className, methodName, message, 1));
    }

    public static void log_e(String className, String methodName) {
        Log.e(TAG, getLogMessage(className, methodName, null, 4));
    }

    public static void log_e(String className, String methodName, String message) {
        Log.e(TAG, getLogMessage(className, methodName, message, 4));
    }

    public static void log_i(String className, String methodName) {
        Log.i(TAG, getLogMessage(className, methodName, null, 2));
    }

    public static void log_i(String className, String methodName, String message) {
        Log.i(TAG, getLogMessage(className, methodName, message, 2));
    }

    public static void log_v(String className, String methodName) {
        Log.v(TAG, getLogMessage(className, methodName, null, 0));
    }

    public static void log_v(String className, String methodName, String message) {
        Log.v(TAG, getLogMessage(className, methodName, message, 0));
    }

    public static void log_w(String className, String methodName) {
        Log.w(TAG, getLogMessage(className, methodName, null, 3));
    }

    public static void log_w(String className, String methodName, String message) {
        Log.w(TAG, getLogMessage(className, methodName, message, 3));
    }

    public static void log_wtf(String className, String methodName) {
        Log.wtf(TAG, getLogMessage(className, methodName, null, 5));
    }

    public static void log_wtf(String className, String methodName, String message) {
        Log.wtf(TAG, getLogMessage(className, methodName, message, 5));
    }

    private static String getLogMessage(String className, String methodName, String message, int logLevel) {
        if (className == null || className.equals("")) {
            className = " ";
        }
        if (methodName == null || methodName.equals("")) {
            methodName = " ";
        }
        if (message == null || message.equals("")) {
            message = " ";
        }
        String logMessage = "[" + className + "$" + methodName + "](" + Process.myTid() + ") " + message;
        if (logLevel >= 3 && !logMessage.contains("HWPARAMD")) {
            AtCommandInfo.getInstance().addLogHistory("LogLevel(" + logLevel + ") : " + logMessage);
        }
        if (mbShowFirstLog) {
            out("FactoryTest", logMessage);
        }
        return logMessage;
    }

    public static String setMspSeqMessage(int testType, String testName, String message) {
        String typeName = "";
        if (testType == 1) {
            typeName = "15:";
        } else if (testType == 3) {
            typeName = "AT:";
        } else if (testType == 4) {
            typeName = "ATB:";
        } else if (testType == 5) {
            typeName = "KEYSTR:";
        }
        if (testName == null || testName.equals("")) {
            testName = " ";
        }
        if (message == null || message.equals("")) {
            message = " ";
        }
        return "[MSP_SEQ][" + typeName + testName + "][" + message + "]";
    }

    public static void log_e(Exception e) {
        StackTraceElement[] stackTraceElements = e.getStackTrace();
        Log.w(TAG, "WARNNING: " + e.toString());
        for (int i = 0; i < stackTraceElements.length; i++) {
            Log.w(TAG, "WARNNING:     " + stackTraceElements[i]);
        }
    }

    public static String addDummyValue(String value, int totalSize, char dummy) {
        log_d(CLASS_NAME, "addDummyValue", "value : " + value);
        String value2 = value.trim();
        log_d(CLASS_NAME, "addDummyValue", "value : " + value2);
        StringBuilder sb = new StringBuilder(value2);
        for (int i = 0; i < totalSize - value2.length(); i++) {
            sb.append(dummy);
        }
        return sb.toString();
    }

    public static boolean isFolderOpen() {
        String strVal = Support.Kernel.read(Support.Kernel.PATH_HALLIC_STATE3);
        log_v(CLASS_NAME, "isFolderOpen", strVal);
        if (strVal == null) {
            return true;
        }
        if (strVal.equals("CLOSE") || strVal.equals("0")) {
            return false;
        }
        return true;
    }

    public static boolean DoShellCmd(String cmd) {
        log_i(CLASS_NAME, "DoShellCmd", "DoShellCmd : " + cmd);
        String[] shell_command = {"/system/bin/sh", "-c", cmd};
        try {
            log_i(CLASS_NAME, "DoShellCmd", "exec command");
            Runtime.getRuntime().exec(shell_command).waitFor();
            log_i(CLASS_NAME, "DoShellCmd", "exec done");
            log_i(CLASS_NAME, "DoShellCmd", "DoShellCmd done");
            return true;
        } catch (IOException e) {
            log_e(CLASS_NAME, "DoShellCmd", "DoShellCmd - IOException");
            return false;
        } catch (SecurityException e2) {
            log_e(CLASS_NAME, "DoShellCmd", "DoShellCmd - SecurityException");
            return false;
        } catch (InterruptedException e3) {
            e3.printStackTrace();
            return false;
        }
    }

    public static class Sleep implements Runnable {
        final Object _lock = new Object();
        private long _timeout = 1000;

        private Sleep(long timeout) {
            this._timeout = timeout;
        }

        public void run() {
            synchronized (this._lock) {
                try {
                    this._lock.wait(this._timeout);
                } catch (InterruptedException e) {
                    FtUtil.log_e(e);
                }
            }
        }

        public static void sleep(long timeout) {
            FtUtil.log_d(FtUtil.CLASS_NAME, "sleep start", "timeout: " + timeout);
            Thread thread = new Thread(new Sleep(timeout));
            try {
                thread.start();
                thread.join();
            } catch (InterruptedException e) {
                FtUtil.log_e(e);
            }
            FtUtil.log_d(FtUtil.CLASS_NAME, "sleep end", "timeout: " + timeout);
        }
    }

    public static void out(String tag, String msg) {
        try {
            Date date = new Date(System.currentTimeMillis());
            SimpleDateFormat curYearFormat = new SimpleDateFormat("MM-dd HH:mm:ss:SSS");
            outputContents = curYearFormat.format(date) + " " + tag + " : " + msg + "\n";
            writeLog();
        } catch (Exception e) {
            Log.secE("LogMsg", e.getMessage());
        }
    }

    public static void writeLog() {
        String logPath;
        int userId = UserHandle.myUserId();
        if (userId == 0) {
            logPath = "/data/log/Firstbootlog.txt";
        } else {
            logPath = "/data/user/" + userId + "/com.sec.factory.app.factorytest/Firstbootlog.txt";
        }
        try {
            RandomAccessFile raf = new RandomAccessFile(logPath, "rw");
            try {
                raf.seek(raf.length());
                raf.writeBytes(outputContents);
                raf.close();
                return;
            } catch (Throwable th) {
                th.addSuppressed(th);
            }
            throw th;
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public static void showFirstLog(boolean show) {
        log_d(CLASS_NAME, "showFirstLog", "res: " + show);
        mbShowFirstLog = show;
    }

    public static boolean isWriteable(String... paths) {
        for (String path : paths) {
            File file = new File(path);
            boolean bExist = file.exists();
            if (bExist) {
                boolean bCanWrite = file.canWrite();
                if (!bCanWrite) {
                    log_d(CLASS_NAME, "isWriteable", path + " canWrite: " + bCanWrite);
                    return false;
                }
            } else {
                log_d(CLASS_NAME, "isWriteable", path + " exists: " + bExist);
                return false;
            }
        }
        return true;
    }

    public static boolean writeToFile(String path, String value) {
        if (!isWriteable(path)) {
            log_d(CLASS_NAME, "writeToFile", "Failed isWriteable: " + path);
            return false;
        }
        try {
            FileOutputStream out = new FileOutputStream(path);
            try {
                long nStart = System.currentTimeMillis();
                log_d(CLASS_NAME, "writeToFile", "start, path: " + path + ", value: " + value);
                out.write(value.getBytes());
                out.flush();
                long nEnd = System.currentTimeMillis();
                log_d(CLASS_NAME, "writeToFile", "finish, time: " + (nEnd - nStart) + ", path: " + path + ", value: " + value);
                out.close();
                return true;
            } catch (Throwable th) {
                th.addSuppressed(th);
            }
        } catch (IOException e) {
            log_e(CLASS_NAME, "writeToFile", e.toString());
            return false;
        }
        throw th;
    }

    public static boolean isReadable(String... paths) {
        for (String path : paths) {
            File file = new File(path);
            boolean bExist = file.exists();
            if (bExist) {
                boolean bCanRead = file.canRead();
                if (!bCanRead) {
                    log_d(CLASS_NAME, "isReadable", path + " canRead: " + bCanRead);
                    return false;
                }
            } else {
                log_d(CLASS_NAME, "isReadable", path + " exists: " + bExist);
                return false;
            }
        }
        return true;
    }

    public static String readFromFile(String path) {
        if (!isReadable(path)) {
            log_d(CLASS_NAME, "readFromFile", "Failed isReadable: " + path);
            return null;
        }
        StringBuilder sb = new StringBuilder();
        try {
            BufferedReader reader = new BufferedReader(new FileReader(path));
            try {
                long nStart = System.currentTimeMillis();
                log_d(CLASS_NAME, "readFromFile", "start, path: " + path);
                while (true) {
                    String line = reader.readLine();
                    if (line == null) {
                        break;
                    }
                    sb.append(line);
                    sb.append("\n");
                }
                long nEnd = System.currentTimeMillis();
                log_d(CLASS_NAME, "readFromFile", "finish, time: " + (nEnd - nStart) + ", path: " + path + ", value: " + sb.toString().trim());
                reader.close();
                return sb.toString().trim();
            } catch (Throwable th) {
                th.addSuppressed(th);
            }
        } catch (IOException e) {
            log_e(CLASS_NAME, "readFromFile", e.toString());
        }
        throw th;
    }

    public static boolean isEMATCmd(Context context) {
        if (SystemProperties.getInt("ro.product.first_api_level", 0) < 28) {
            log_d(CLASS_NAME, "isEMATCmd", "Before P OS");
            return false;
        }
        EngineeringModeManager emm = new EngineeringModeManager(context);
        if (!emm.isConnected()) {
            log_d(CLASS_NAME, "isEMATCmd", "Cannot use EM manager ");
            return false;
        } else if (emm.getStatus(28) == 1) {
            log_d(CLASS_NAME, "isEMATCmd", "EM AT command allowed");
            return true;
        } else {
            log_d(CLASS_NAME, "isEMATCmd", "Unknown error");
            return false;
        }
    }

    public static void setBlockPowerKeyLongPress(Context context, boolean wantTobeBlocked) {
        FactoryTest.setBlockingPowerKey(context, wantTobeBlocked);
    }

    public static boolean isFactoryBinary() {
        return FactoryTest.isFactoryBinary();
    }

    public static boolean containsIgnoreCase(String str, String subStr) {
        return str.toUpperCase().contains(subStr.toUpperCase());
    }
}
