package com.sec.factory.support;

public enum Orientation {
    REVERSE_PORTRAIT("reversePortrait", 9),
    PORTRAIT("portrait", 1),
    LANDSCAPE("landscape", 0),
    REVERSE_LANDSCAPE("reverseLandscape", 8);
    
    private static final String CLASS_NAME = "Orientation";
    private String mId;
    private int mOrientation;

    private Orientation(String id, int orientation) {
        this.mId = id;
        this.mOrientation = orientation;
    }

    public int getOrientation() {
        return this.mOrientation;
    }

    private boolean equals(String id) {
        return this.mId.equalsIgnoreCase(id);
    }

    public static int getOrientation(String id) {
        Orientation[] values = values();
        for (Orientation o : values) {
            if (o.equals(id)) {
                FtUtil.log_d(CLASS_NAME, "getOrientation", "id: " + id + ", orientation: " + o.mOrientation);
                return o.getOrientation();
            }
        }
        FtUtil.log_d(CLASS_NAME, "getOrientation", "Not found id: " + id);
        return 1;
    }

    public static int getOrientation(String id, int rotation) {
        int requestedOrientation = getOrientation(id);
        switch (rotation) {
            case 0:
                FtUtil.log_i(CLASS_NAME, "getOrientation", "ROTATION_0");
                break;
            case 1:
                FtUtil.log_i(CLASS_NAME, "getOrientation", "ROTATION_90");
                break;
            case 2:
                FtUtil.log_i(CLASS_NAME, "getOrientation", "ROTATION_180");
                break;
            case 3:
                FtUtil.log_i(CLASS_NAME, "getOrientation", "ROTATION_270");
                break;
        }
        FtUtil.log_d(CLASS_NAME, "getOrientation", "requestedOrientation: " + requestedOrientation + ", convertOrientation: " + requestedOrientation);
        return requestedOrientation;
    }

    public String toString() {
        return this.mId;
    }
}
