package com.sec.factory.sysdump;

import android.app.Activity;
import android.app.ActivityManager;
import android.app.AlertDialog;
import android.app.Dialog;
import android.content.ComponentName;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.pm.PackageManager;
import android.content.pm.ResolveInfo;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteException;
import android.os.Bundle;
import android.os.Environment;
import android.os.Handler;
import android.os.Message;
import android.os.PowerManager;
import android.os.SystemProperties;
import android.os.storage.StorageManager;
import android.os.storage.StorageVolume;
import android.widget.Toast;
import com.sec.factory.R;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import com.sec.xmldata.support.XMLDataStorage;
import java.io.File;
import java.util.ArrayList;
import java.util.ListIterator;
import java.util.Locale;

public class FactoryReset extends Activity {
    private static final String CLASS_NAME = "FactoryReset";
    private static final String CONTENTS_LIST_DB_TABLE_NAME = "contents";
    private static final String EXTERNAL_SD_MOUNT_POINT = "/mnt/extSdCard";
    private static final String FUSE_SDCARD_PROPERTY = "ro.crypto.fuse_sdcard";
    private static final String LOCAL_FOLDER_NAME = "/mnt/sdcard/";
    private static final int MINUTES = 60000;
    private static final String MY_ACTIVITY_PACKAGE_NAME = "com.sec.android.app.sysdump";
    private static final String PRE_LOAD_DIC = "/sdcard/DioDict3B";
    private static final String PRE_LOAD_NAVI = "/sdcard/autonavidata50";
    private static final String PRE_LOAD_RETAIL = "/sdcard/RetailMedia";
    private static final String SETUP_WIZARD_PACKAGE_NAME = "com.google.android.setupwizard";
    private static final int UNMOUNT_WAIT_DELAY = 1999;
    private static int checkDelay = 1000;
    private static int checkRetry = 10;
    private static int mDBOPContentsCount = 0;
    private static int mExistFileCount = 0;
    private static ArrayList<String> mProtectFileNameArray;
    private static String salesCode = "";
    private String CONTENTS_LIST_DB = "/system/csc/contents.db";
    private ArrayList<String> mActivityPackageNameList = new ArrayList<>();
    private SQLiteDatabase mDB;
    private boolean mDBIsExist = false;
    private Handler mDialogHandler = new Handler();
    private Handler mHandlerSDUnmounted = new Handler() {
        /* class com.sec.factory.sysdump.FactoryReset.AnonymousClass4 */

        public void handleMessage(Message msg) {
            switch (msg.what) {
                case FactoryReset.UNMOUNT_WAIT_DELAY /*{ENCODED_INT: 1999}*/:
                    FtUtil.log_i(FactoryReset.CLASS_NAME, "handleMessage", "UNMOUNT_WAIT_DELAY!!");
                    if (FactoryReset.this.chekExtSDUnmounted() || FactoryReset.checkRetry < 0) {
                        FactoryReset.this.mHandlerSDUnmounted.removeMessages(FactoryReset.UNMOUNT_WAIT_DELAY);
                        FactoryReset.this.StartThreadDeleteAllFiles();
                        return;
                    }
                    FactoryReset.access$110();
                    FtUtil.log_i(FactoryReset.CLASS_NAME, "handleMessage", "UNMOUNT_WAIT_DELAY!! (checkRetry : " + FactoryReset.checkRetry + ")");
                    FactoryReset.this.mHandlerSDUnmounted.sendEmptyMessageDelayed(FactoryReset.UNMOUNT_WAIT_DELAY, (long) FactoryReset.checkDelay);
                    return;
                default:
                    return;
            }
        }
    };
    private String mModelCommunicationMode = Support.Properties.PROPERTIES_DEFAULT_STRING;
    private StorageManager mStorageManager = null;
    private boolean mSupportInternalSDFormat = true;
    private PowerManager.WakeLock mWakeLock;

    static /* synthetic */ int access$110() {
        int i = checkRetry;
        checkRetry = i - 1;
        return i;
    }

    /* access modifiers changed from: protected */
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.factory_reset);
        String upperCase = SystemProperties.get("persist.omc.sales_code", "NONE").trim().toUpperCase(Locale.ENGLISH);
        salesCode = upperCase;
        if ("".equals(upperCase) || "NONE".equals(salesCode)) {
            salesCode = SystemProperties.get("ro.csc.sales_code");
        }
        powerSavingOff();
        init();
        startFactoryReset();
    }

    public void powerSavingOff() {
        PowerManager.WakeLock newWakeLock = ((PowerManager) getSystemService("power")).newWakeLock(805306394, CLASS_NAME);
        this.mWakeLock = newWakeLock;
        if (!newWakeLock.isHeld()) {
            FtUtil.log_i(CLASS_NAME, "powerSavingOff", "wake lock acquire!!!!!");
            this.mWakeLock.acquire();
            return;
        }
        FtUtil.log_i(CLASS_NAME, "powerSavingOff", "wake lock isHeld!!!!!!!!");
    }

    public void powerSavingOn() {
        if (this.mWakeLock.isHeld()) {
            this.mWakeLock.release();
        }
    }

    public void init() {
        if (!"NONE".equals(salesCode)) {
            String new_DB_FILE = "/system/csc/" + salesCode + this.CONTENTS_LIST_DB;
            if (new File(new_DB_FILE).exists()) {
                this.CONTENTS_LIST_DB = new_DB_FILE;
            }
        }
        FtUtil.log_d(CLASS_NAME, "init", "contents.db path : " + this.CONTENTS_LIST_DB);
        try {
            this.mDB = SQLiteDatabase.openDatabase(this.CONTENTS_LIST_DB, null, 1);
            this.mDBIsExist = true;
            countOPContentsAndMakeContentList();
        } catch (SQLiteException e) {
            this.mDBIsExist = false;
            FtUtil.log_e(CLASS_NAME, "init", "DB for contents NOT found!");
        }
        if (SystemProperties.get(FUSE_SDCARD_PROPERTY, "none").equals("true") || Environment.isExternalStorageEmulated()) {
            this.mSupportInternalSDFormat = false;
            FtUtil.log_i(CLASS_NAME, "init", "fuse_sdcard true. Skip formatting sdcard");
        } else if (this.mStorageManager == null) {
            StorageManager storageManager = (StorageManager) getSystemService("storage");
            this.mStorageManager = storageManager;
            if (storageManager == null) {
                FtUtil.log_d(CLASS_NAME, "init", "Failed to get StorageManager");
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void launchDialLogForAbnormal() {
        this.mDialogHandler.postDelayed(new Runnable() {
            /* class com.sec.factory.sysdump.FactoryReset.AnonymousClass1 */

            public void run() {
                FactoryReset.this.showDialog(0);
            }
        }, 600000);
    }

    public Dialog onCreateDialog(int id) {
        return new AlertDialog.Builder(this).setTitle("Abnormal factory reset!\nRestart factory reset plz!").setPositiveButton("Ok", new DialogInterface.OnClickListener() {
            /* class com.sec.factory.sysdump.FactoryReset.AnonymousClass2 */

            public void onClick(DialogInterface dialog, int whichButton) {
                FactoryReset.this.finish();
                FtUtil.log_i(FactoryReset.CLASS_NAME, "onCreateDialog", "FactoryReset: close Dialog");
            }
        }).create();
    }

    private void startFactoryReset() {
        if (this.mSupportInternalSDFormat) {
            sdcardFormatAndPhoneReset();
        } else {
            phoneReset();
        }
    }

    private boolean isOPContentsExist() {
        if (!this.mDBIsExist || mDBOPContentsCount == 0) {
            FtUtil.log_i(CLASS_NAME, "isOPContentsExist", "Opeartor's ContentsDB is not exits!!");
            return false;
        }
        FtUtil.log_i(CLASS_NAME, "isOPContentsExist", "Opeartor's ContentsDB is exits!!");
        return true;
    }

    private void countOPContentsAndMakeContentList() {
        mDBOPContentsCount = 0;
        Cursor dbCursor = this.mDB.rawQuery("SELECT * from contents", null);
        dbCursor.moveToFirst();
        int pathIndex = dbCursor.getColumnIndex("filePath");
        mProtectFileNameArray = new ArrayList<>();
        while (!dbCursor.isAfterLast()) {
            String currentPath = dbCursor.getString(pathIndex);
            if (currentPath.startsWith("/sdcard") || currentPath.startsWith(ModuleDevice.PATH_INTERNAL_STORAGE)) {
                mDBOPContentsCount++;
                if (currentPath.startsWith(ModuleDevice.PATH_INTERNAL_STORAGE)) {
                    currentPath = "/" + currentPath;
                }
                mProtectFileNameArray.add(currentPath);
                FtUtil.log_i(CLASS_NAME, "countOPContentsAndMakeContentList", "FilePath: " + currentPath + " -> add filepath to list");
            }
            dbCursor.moveToNext();
        }
        FtUtil.log_i(CLASS_NAME, "countOPContentsAndMakeContentList", "SDCardContent Count " + mDBOPContentsCount);
        dbCursor.close();
        this.mDB.close();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean isFileDeleteComplete() {
        mExistFileCount = 0;
        countExistFile(new File(LOCAL_FOLDER_NAME));
        FtUtil.log_i(CLASS_NAME, "isFileDeleteComplete", "SDcard :Exists File:" + mExistFileCount + " / OP's Contents File:" + mDBOPContentsCount);
        if (mDBOPContentsCount == mExistFileCount) {
            return true;
        }
        return false;
    }

    public static boolean countExistFile(File folder) {
        File[] files;
        if (folder.exists() && (files = folder.listFiles()) != null) {
            for (int i = 0; i < files.length; i++) {
                if (files[i].isDirectory()) {
                    countExistFile(files[i]);
                } else {
                    mExistFileCount++;
                }
            }
        }
        return true;
    }

    public void phoneReset() {
        powerSavingOn();
        if (!XMLDataStorage.instance().wasCompletedParsing()) {
            XMLDataStorage.instance().parseXML(this);
        }
        this.mModelCommunicationMode = Support.Feature.getString(Support.Feature.MODEL_COMMUNICATION_MODE);
        FtUtil.log_d(CLASS_NAME, "phoneReset", "mModelCommunicationMode= " + this.mModelCommunicationMode);
        if ("none".equals(this.mModelCommunicationMode)) {
            Intent i = new Intent("android.intent.action.MASTER_CLEAR");
            i.putExtra("FactoryResetByCommand", true);
            i.putExtra("android.intent.extra.REASON", "FactoryApp");
            i.addFlags(16777216);
            if ("SPR/BST/VMU/XAS".contains(salesCode)) {
                i.putExtra("WipeCustomerPartiotion", true);
            }
            FtUtil.log_i(CLASS_NAME, "phoneReset", "phoneReset");
            sendBroadcast(i);
            return;
        }
        FtUtil.log_i(CLASS_NAME, "phoneReset", "phoneReset : call Modem Reset");
        Context context = getApplicationContext();
        context.startService(new Intent(context, ModemReset.class).putExtra("FACTORY", true));
    }

    public void sdcardFormatAndPhoneReset() {
        FtUtil.log_i(CLASS_NAME, "sdcardFormatAndPhoneReset", "SDCARD_format : start");
        if (isOPContentsExist()) {
            try {
                if (this.mStorageManager != null && !chekExtSDUnmounted()) {
                    StorageVolume sdCardVolume = getExternalSdCardStorageVolume();
                    if (sdCardVolume != null) {
                        FtUtil.log_d(CLASS_NAME, "sdcardFormatAndPhoneReset", "unmount sdCardVolume");
                        this.mStorageManager.unmount(sdCardVolume.getId());
                    } else {
                        FtUtil.log_e(CLASS_NAME, "sdcardFormatAndPhoneReset", "sdCardVolume is null");
                    }
                }
            } catch (Exception e) {
            }
            Toast.makeText(this, "Killing all activities which is running!!", 0).show();
            makeActivityList();
            killAllActivity();
            this.mHandlerSDUnmounted.sendEmptyMessageDelayed(UNMOUNT_WAIT_DELAY, (long) checkDelay);
            return;
        }
        if (this.mStorageManager != null) {
            StorageVolume sdCardVolume2 = getExternalSdCardStorageVolume();
            if (sdCardVolume2 != null) {
                FtUtil.log_d(CLASS_NAME, "sdcardFormatAndPhoneReset", "format sdCardVolume");
                this.mStorageManager.format(sdCardVolume2.getId());
            } else {
                FtUtil.log_e(CLASS_NAME, "sdcardFormatAndPhoneReset", "sdCardVolume is null");
            }
        } else {
            FtUtil.log_d(CLASS_NAME, "sdcardFormatAndPhoneReset", "Unable to locate IMountService");
        }
        FtUtil.log_i(CLASS_NAME, "sdcardFormatAndPhoneReset", "SDCard_format : end");
        phoneReset();
    }

    private StorageVolume[] getVolumeList() {
        StorageManager storageManager = null;
        try {
            storageManager = (StorageManager) getSystemService("storage");
        } catch (Exception e) {
            FtUtil.log_i(CLASS_NAME, "Exception:: unable to get Storage Service");
            e.printStackTrace();
        }
        if (storageManager == null) {
            return null;
        }
        return storageManager.getVolumeList();
    }

    private String semGetSubSystem(StorageVolume storageVolume) {
        return storageVolume.semGetSubSystem();
    }

    private StorageVolume getExternalSdCardStorageVolume() {
        StorageVolume[] storageVolumes = getVolumeList();
        if (storageVolumes == null) {
            return null;
        }
        for (StorageVolume storageVolume : storageVolumes) {
            String subsystem = semGetSubSystem(storageVolume);
            if (subsystem != null && subsystem.equals("sd") && storageVolume.isRemovable()) {
                return storageVolume;
            }
        }
        return null;
    }

    public boolean deleteDirectory(File folder) {
        File[] files;
        FtUtil.log_i(CLASS_NAME, "deleteDirectory", "deleteDirectory()");
        if (folder.exists() && (files = folder.listFiles()) != null) {
            for (int i = 0; i < files.length; i++) {
                try {
                    if (files[i].isDirectory()) {
                        if (!files[i].getPath().equals(PRE_LOAD_NAVI)) {
                            if (!files[i].getPath().equals(PRE_LOAD_DIC)) {
                                deleteDirectory(files[i]);
                            }
                        }
                    } else if (isDeleteFile(files[i])) {
                        files[i].delete();
                    }
                } catch (NullPointerException e) {
                    return false;
                }
            }
        }
        return folder.delete();
    }

    /* access modifiers changed from: package-private */
    public boolean isDeleteFile(File f) {
        String currentFileName = f.getAbsolutePath();
        for (int i = 0; i < mProtectFileNameArray.size(); i++) {
            String protectFileName = mProtectFileNameArray.get(i);
            if (protectFileName != null && currentFileName.toUpperCase(Locale.ENGLISH).equals(protectFileName.toUpperCase(Locale.ENGLISH))) {
                FtUtil.log_i(CLASS_NAME, "isDeleteFile", "protected file! : " + currentFileName);
                return false;
            }
        }
        FtUtil.log_i(CLASS_NAME, "isDeleteFile", "delete file! : " + currentFileName);
        return true;
    }

    private void makeActivityList() {
        PackageManager manager = getPackageManager();
        ActivityManager.MemoryInfo mi = new ActivityManager.MemoryInfo();
        ActivityManager am = (ActivityManager) getSystemService("activity");
        am.getMemoryInfo(mi);
        try {
            ListIterator<ActivityManager.RunningTaskInfo> li = am.getRunningTasks(30).listIterator();
            while (li.hasNext()) {
                ListIterator<ResolveInfo> rli = manager.queryIntentActivities(getNewIntent(li.next().baseActivity.getClassName()), 65536).listIterator();
                while (rli.hasNext()) {
                    this.mActivityPackageNameList.add(rli.next().activityInfo.packageName);
                }
            }
        } catch (SecurityException e) {
            FtUtil.log_e(CLASS_NAME, "makeActivityList", "Exception: [" + e.toString() + "] encountered while getting process and task info");
        }
    }

    private void killAllActivity() {
        for (int i = 0; i < this.mActivityPackageNameList.size(); i++) {
            FtUtil.log_i(CLASS_NAME, "killAllActivity", "PackageName: " + this.mActivityPackageNameList.get(i));
            if (!this.mActivityPackageNameList.get(i).startsWith(MY_ACTIVITY_PACKAGE_NAME) && !this.mActivityPackageNameList.get(i).equals(SETUP_WIZARD_PACKAGE_NAME)) {
                ((ActivityManager) getSystemService("activity")).restartPackage(this.mActivityPackageNameList.get(i));
            }
        }
    }

    /* access modifiers changed from: protected */
    public Intent getNewIntent(String a) {
        String className = a.substring(0, a.lastIndexOf("."));
        Intent i = new Intent("android.intent.action.MAIN");
        i.setComponent(new ComponentName(className, a));
        return i;
    }

    /* access modifiers changed from: package-private */
    public boolean chekExtSDUnmounted() {
        String statusExternal;
        try {
            StorageManager storageManager = this.mStorageManager;
            if (storageManager == null) {
                FtUtil.log_i(CLASS_NAME, "chekExtSDUnmounted", "Cannot get mountservice");
                return false;
            }
            statusExternal = storageManager.getVolumeState(EXTERNAL_SD_MOUNT_POINT);
            FtUtil.log_i(CLASS_NAME, "chekExtSDUnmounted", "statusExternal : " + statusExternal);
            if (statusExternal.equals("unmounted") || statusExternal.equals("removed")) {
                return true;
            }
            return false;
        } catch (Exception e) {
            statusExternal = "removed";
        }
    }

    /* access modifiers changed from: package-private */
    public void StartThreadDeleteAllFiles() {
        Thread threadDeleteAllFiles = new Thread(new Runnable() {
            /* class com.sec.factory.sysdump.FactoryReset.AnonymousClass3 */

            public void run() {
                FactoryReset.this.deleteDirectory(new File(FactoryReset.LOCAL_FOLDER_NAME));
                if (FactoryReset.this.isFileDeleteComplete()) {
                    FtUtil.log_i(FactoryReset.CLASS_NAME, "StartThreadDeleteAllFiles", "recursive deletion completed");
                } else {
                    FtUtil.log_i(FactoryReset.CLASS_NAME, "StartThreadDeleteAllFiles", "recursive deletion failed");
                }
                FactoryReset.this.phoneReset();
            }
        });
        threadDeleteAllFiles.setPriority(10);
        threadDeleteAllFiles.start();
    }
}
