package com.sec.factory.sysdump;

import android.app.Service;
import android.content.Intent;
import android.os.Handler;
import android.os.IBinder;
import android.os.Message;
import android.os.SystemProperties;
import com.samsung.android.sec_platform_library.FactoryPhone;
import com.samsung.android.sec_platform_library.PacketBuilder;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import java.util.Locale;

public class ModemReset extends Service {
    private static final String CLASS_NAME = "ModemReset";
    private static final int QUERT_SERVM2_DONE = 1010;
    private static final int QUERT_SERVM_CMC_DONE = 1009;
    private static final int QUERT_SERVM_DONE = 1008;
    private static String mSalesCode = "";
    public Handler mHandler = new Handler() {
        /* class com.sec.factory.sysdump.ModemReset.AnonymousClass1 */

        public void handleMessage(Message msg) {
            switch (msg.what) {
                case 1008:
                    FtUtil.log_i(ModemReset.CLASS_NAME, "handleMessage", "modem CP1 reset done");
                    FtUtil.log_d(ModemReset.CLASS_NAME, "handleMessage", "productModel= " + ModemReset.this.productModel);
                    if ("SHV-E210L".equals(ModemReset.this.productModel)) {
                        FtUtil.log_i(ModemReset.CLASS_NAME, "handleMessage", "modem VIA reset done");
                        PacketBuilder packet = new PacketBuilder((byte) 112, (byte) 1);
                        packet.addData((byte) 2);
                        ModemReset.this.mPhone.invokeOemRilRequestRaw(packet.getPacket(), ModemReset.this.mHandler.obtainMessage(1009));
                        return;
                    }
                    ModemReset.this.runAndroidFactoryReset();
                    return;
                case 1009:
                    FtUtil.log_i(ModemReset.CLASS_NAME, "handleMessage", "modem CMC reset done");
                    ModemReset.this.runAndroidFactoryReset();
                    return;
                default:
                    return;
            }
        }
    };
    private FactoryPhone mPhone = null;
    private FactoryPhone mPhone2 = null;
    String productModel = SystemProperties.get("ro.product.model", Support.Properties.PROPERTIES_DEFAULT_STRING);

    /* access modifiers changed from: package-private */
    public void SendResetCommandToRIL() {
        PacketBuilder packet = new PacketBuilder((byte) 12, (byte) 1);
        packet.addData((byte) 2);
        this.mPhone.invokeOemRilRequestRaw(packet.getPacket(), this.mHandler.obtainMessage(1008));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void runAndroidFactoryReset() {
        Intent i = new Intent("android.intent.action.MASTER_CLEAR");
        i.putExtra("FactoryResetByCommand", true);
        i.putExtra("android.intent.extra.REASON", "FactoryApp");
        i.addFlags(16777216);
        String upperCase = SystemProperties.get("persist.omc.sales_code", "NONE").trim().toUpperCase(Locale.ENGLISH);
        mSalesCode = upperCase;
        if ("".equals(upperCase) || "NONE".equals(mSalesCode)) {
            mSalesCode = SystemProperties.get("ro.csc.sales_code", "NONE").trim().toUpperCase(Locale.ENGLISH);
        }
        FtUtil.log_i(CLASS_NAME, "runAndroidFactoryReset", "sales code : " + mSalesCode);
        if ("SPR/BST/VMU/XAS".contains(mSalesCode)) {
            FtUtil.log_i(CLASS_NAME, "runAndroidFactoryReset", "WipeCustomerPartiotion");
            i.putExtra("WipeCustomerPartiotion", true);
        }
        sendBroadcast(i);
    }

    public IBinder onBind(Intent arg0) {
        return null;
    }

    public void onCreate() {
        super.onCreate();
        this.mPhone = new FactoryPhone(this);
    }

    public void onDestroy() {
        this.mPhone.disconnectFromRilService();
        super.onDestroy();
    }

    public void onStart(Intent intent, int startId) {
        super.onStart(intent, startId);
        if (intent != null && intent.getBooleanExtra("FACTORY", false)) {
            FtUtil.log_i(CLASS_NAME, "onStart", "modem reset start");
            SendResetCommandToRIL();
        }
    }
}
