package com.sec.xmldata.support;

import android.os.FactoryTest;
import android.os.Process;
import android.os.SystemProperties;
import android.util.Log;
import com.sec.xmldata.support.Support;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.util.Scanner;

public class XmlUtil {
    private static final String CLASS_NAME = "XmlUtil";
    private static final int LOG_LEVEL_D = 1;
    private static final int LOG_LEVEL_E = 4;
    private static final int LOG_LEVEL_F = 5;
    private static final int LOG_LEVEL_I = 2;
    private static final int LOG_LEVEL_V = 0;
    private static final int LOG_LEVEL_W = 3;
    private static String TAG = "XmlData";

    public static String getTagName() {
        return TAG;
    }

    public static void setTagName(String tagName) {
        TAG = tagName;
    }

    public static void log_d(String className, String methodName) {
        Log.d(TAG, getLogMessage(className, methodName, null, 1));
    }

    public static void log_d(String className, String methodName, String message) {
        Log.d(TAG, getLogMessage(className, methodName, message, 1));
    }

    public static void log_e(String className, String methodName) {
        Log.e(TAG, getLogMessage(className, methodName, null, 4));
    }

    public static void log_e(String className, String methodName, String message) {
        Log.e(TAG, getLogMessage(className, methodName, message, 4));
    }

    public static void log_i(String className, String methodName) {
        Log.i(TAG, getLogMessage(className, methodName, null, 2));
    }

    public static void log_i(String className, String methodName, String message) {
        Log.i(TAG, getLogMessage(className, methodName, message, 2));
    }

    public static void log_v(String className, String methodName) {
        Log.v(TAG, getLogMessage(className, methodName, null, 0));
    }

    public static void log_v(String className, String methodName, String message) {
        Log.v(TAG, getLogMessage(className, methodName, message, 0));
    }

    public static void log_w(String className, String methodName) {
        Log.w(TAG, getLogMessage(className, methodName, null, 3));
    }

    public static void log_w(String className, String methodName, String message) {
        Log.w(TAG, getLogMessage(className, methodName, message, 3));
    }

    public static void log_wtf(String className, String methodName) {
        Log.wtf(TAG, getLogMessage(className, methodName, null, 5));
    }

    public static void log_wtf(String className, String methodName, String message) {
        Log.wtf(TAG, getLogMessage(className, methodName, message, 5));
    }

    private static String getLogMessage(String className, String methodName, String message, int logLevel) {
        if (className == null || className.equals("")) {
            className = " ";
        }
        if (methodName == null || methodName.equals("")) {
            methodName = " ";
        }
        if (message == null || message.equals("")) {
            message = " ";
        }
        return "[" + className + "$" + methodName + "](" + Process.myTid() + ") " + message;
    }

    public static void log_e(Exception e) {
        String innerTAG = getTagName();
        StackTraceElement[] stackTraceElements = e.getStackTrace();
        Log.w(innerTAG, "WARNNING: " + e.toString());
        for (int i = 0; i < stackTraceElements.length; i++) {
            Log.w(innerTAG, "WARNNING:     " + stackTraceElements[i]);
        }
    }

    public static boolean isFolderOpen() {
        String strVal = Support.Kernel.read(Support.Kernel.PATH_HALLIC_DETECT_STATE3);
        log_v(CLASS_NAME, "isFolderOpen", strVal);
        if (strVal == null) {
            return true;
        }
        if (strVal.equals("CLOSE") || strVal.equals("0")) {
            return false;
        }
        return true;
    }

    public static boolean isFactoryBinary() {
        return FactoryTest.isFactoryBinary();
    }

    private static void runCommand(StringBuilder cmd) {
        log_i(CLASS_NAME, "runCommand", cmd.toString());
        try {
            BufferedReader br = new BufferedReader(new InputStreamReader(Runtime.getRuntime().exec(cmd.toString()).getInputStream()));
            Scanner scanner = new Scanner(br);
            scanner.useDelimiter(System.getProperty("line.separator"));
            while (scanner.hasNext()) {
                log_i(CLASS_NAME, "runCommand", scanner.next());
            }
            scanner.close();
            br.close();
        } catch (Exception e) {
            log_e(e);
        }
    }

    public static void printPermission(String path) {
        if (!"true".equals(SystemProperties.get("ro.product_ship", "true").trim())) {
            StringBuilder cmd = new StringBuilder("ls -alZ ");
            cmd.append(path);
            runCommand(cmd);
            cmd.setLength(0);
            cmd.append("readlink -e ");
            cmd.append(path);
            runCommand(cmd);
        }
    }
}
