package egis.finger.service;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;
import android.util.Log;

public interface IEgisServiceNative extends IInterface {
    public static final String TAG = "IEgisServiceNative";

    int AbortOperation() throws RemoteException;

    int Cleanup() throws RemoteException;

    int EepromTest(int i, int i2, int i3) throws RemoteException;

    int EnrollFinger() throws RemoteException;

    String GetSensorInfo() throws RemoteException;

    int GetSensorStatus() throws RemoteException;

    String GetVersion() throws RemoteException;

    int Init() throws RemoteException;

    int NativeSensorControl(int i, int i2) throws RemoteException;

    int SensorDeviceEnable(boolean z) throws RemoteException;

    int SetAccuracyLevel(int i) throws RemoteException;

    int SwipeEnroll() throws RemoteException;

    int TestEnrollmentAndVerification(int i) throws RemoteException;

    int VerifyAllTemplate(byte[][] bArr, int[] iArr) throws RemoteException;

    int set_on_callback_proc(IEgisServiceNative_CB iEgisServiceNative_CB) throws RemoteException;

    public static abstract class Stub extends Binder implements IEgisServiceNative {
        private static final String DESCRIPTOR = "CS1.egistec.com.binder_client.service.IEgisServiceNative";
        static final int TRANSACTION_AbortOperation = 8;
        static final int TRANSACTION_Cleanup = 7;
        static final int TRANSACTION_EepromTest = 14;
        static final int TRANSACTION_EnrollFinger = 2;
        static final int TRANSACTION_GetSensorInfo = 12;
        static final int TRANSACTION_GetSensorStatus = 11;
        static final int TRANSACTION_GetVersion = 10;
        static final int TRANSACTION_Init = 1;
        static final int TRANSACTION_NativeSensorControl = 6;
        static final int TRANSACTION_SensorDeviceEnable = 13;
        static final int TRANSACTION_SetAccuracyLevel = 4;
        static final int TRANSACTION_SwipeEnroll = 3;
        static final int TRANSACTION_TestEnrollmentAndVerification = 15;
        static final int TRANSACTION_VerifyAllTemplate = 9;
        static final int TRANSACTION_set_on_callback_proc = 5;

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static IEgisServiceNative asInterface(IBinder obj) {
            Log.e(IEgisServiceNative.TAG, "IEgisServiceNative asInterface enter");
            if (obj == null) {
                return null;
            }
            Log.e(IEgisServiceNative.TAG, "IEgisServiceNative asInterface enter");
            IInterface iin = obj.queryLocalInterface(DESCRIPTOR);
            if (iin != null && (iin instanceof IEgisServiceNative)) {
                return (IEgisServiceNative) iin;
            }
            Log.e(IEgisServiceNative.TAG, "IEgisServiceNative asInterface enter");
            return new Proxy(obj);
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int code, Parcel data, Parcel reply, int flags) throws RemoteException {
            Log.e(IEgisServiceNative.TAG, "onTransact :" + code);
            return super.onTransact(code, data, reply, flags);
        }

        private static class Proxy implements IEgisServiceNative {
            private IBinder mRemote;

            Proxy(IBinder remote) {
                this.mRemote = remote;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            @Override // egis.finger.service.IEgisServiceNative
            public int Init() throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    this.mRemote.transact(1, _data, _reply, 0);
                    _reply.readException();
                    return _reply.readInt();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egis.finger.service.IEgisServiceNative
            public int EnrollFinger() throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    this.mRemote.transact(2, _data, _reply, 0);
                    _reply.readException();
                    return _reply.readInt();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egis.finger.service.IEgisServiceNative
            public int SwipeEnroll() throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    this.mRemote.transact(3, _data, _reply, 0);
                    _reply.readException();
                    return _reply.readInt();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egis.finger.service.IEgisServiceNative
            public int SetAccuracyLevel(int level) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeInt(level);
                    this.mRemote.transact(4, _data, _reply, 0);
                    _reply.readException();
                    return _reply.readInt();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egis.finger.service.IEgisServiceNative
            public int set_on_callback_proc(IEgisServiceNative_CB callback) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeStrongBinder(callback != null ? callback.asBinder() : null);
                    this.mRemote.transact(5, _data, _reply, 0);
                    _reply.readException();
                    return _reply.readInt();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egis.finger.service.IEgisServiceNative
            public int NativeSensorControl(int request, int interrupt_timeout) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeInt(request);
                    _data.writeInt(interrupt_timeout);
                    this.mRemote.transact(6, _data, _reply, 0);
                    _reply.readException();
                    return _reply.readInt();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egis.finger.service.IEgisServiceNative
            public int Cleanup() throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    this.mRemote.transact(7, _data, _reply, 0);
                    _reply.readException();
                    return _reply.readInt();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egis.finger.service.IEgisServiceNative
            public int AbortOperation() throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    this.mRemote.transact(8, _data, _reply, 0);
                    _reply.readException();
                    return _reply.readInt();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egis.finger.service.IEgisServiceNative
            public int VerifyAllTemplate(byte[][] features, int[] matchRtn) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeInt(features.length);
                    for (byte[] arrayDim1 : features) {
                        _data.writeByteArray(arrayDim1);
                    }
                    _data.writeInt(matchRtn.length);
                    for (int i : matchRtn) {
                        _data.writeInt(i);
                    }
                    this.mRemote.transact(9, _data, _reply, 0);
                    _reply.readException();
                    return _reply.readInt();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egis.finger.service.IEgisServiceNative
            public String GetVersion() throws RemoteException {
                String version;
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    this.mRemote.transact(10, _data, _reply, 0);
                    _reply.readException();
                    if (_reply.readInt() == 0) {
                        version = new String(_reply.createByteArray());
                    } else {
                        version = "NA";
                    }
                    return version;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egis.finger.service.IEgisServiceNative
            public int GetSensorStatus() throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    this.mRemote.transact(11, _data, _reply, 0);
                    _reply.readException();
                    return _reply.readInt();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egis.finger.service.IEgisServiceNative
            public String GetSensorInfo() throws RemoteException {
                String info;
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    this.mRemote.transact(12, _data, _reply, 0);
                    _reply.readException();
                    if (_reply.readInt() == 0) {
                        info = new String(_reply.createByteArray());
                    } else {
                        info = "NA";
                    }
                    return info;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egis.finger.service.IEgisServiceNative
            public int SensorDeviceEnable(boolean enable) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeInt(enable ? 1 : 0);
                    this.mRemote.transact(13, _data, _reply, 0);
                    _reply.readException();
                    return _reply.readInt();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egis.finger.service.IEgisServiceNative
            public int EepromTest(int cmd, int address, int value) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeInt(cmd);
                    _data.writeInt(address);
                    _data.writeInt(value);
                    this.mRemote.transact(14, _data, _reply, 0);
                    _reply.readException();
                    return _reply.readInt();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egis.finger.service.IEgisServiceNative
            public int TestEnrollmentAndVerification(int isEnroll) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeInt(isEnroll);
                    this.mRemote.transact(15, _data, _reply, 0);
                    _reply.readException();
                    return _reply.readInt();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }
        }
    }
}
