package egis.finger.service;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;
import android.util.Log;

public interface IEgisServiceNative_CB extends IInterface {
    void do_native_callback(int i, int i2, int i3, byte[] bArr, int i4) throws RemoteException;

    public static abstract class Stub extends Binder implements IEgisServiceNative_CB {
        private static final String DESCRIPTOR = "CS1.egistec.com.binder_client.service.IEgisServiceNative_CB";
        private static final String TAG = "IEgisServiceNative_CB";
        static final int TRANSACTION_do_native_callback = 1;

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static IEgisServiceNative_CB asInterface(IBinder obj) {
            if (obj == null) {
                return null;
            }
            IInterface iin = obj.queryLocalInterface(DESCRIPTOR);
            if (iin == null || !(iin instanceof IEgisServiceNative_CB)) {
                return new Proxy(obj);
            }
            return (IEgisServiceNative_CB) iin;
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int code, Parcel data, Parcel reply, int flags) throws RemoteException {
            switch (code) {
                case 1:
                    data.enforceInterface(DESCRIPTOR);
                    int _arg0 = data.readInt();
                    int _arg1 = data.readInt();
                    int _arg2 = data.readInt();
                    byte[] _arg3 = data.createByteArray();
                    do_native_callback(_arg0, _arg1, _arg2, _arg3, _arg3.length);
                    reply.writeNoException();
                    return true;
                case 1598968902:
                    reply.writeString(DESCRIPTOR);
                    return true;
                default:
                    return super.onTransact(code, data, reply, flags);
            }
        }

        private static class Proxy implements IEgisServiceNative_CB {
            private IBinder mRemote;

            Proxy(IBinder remote) {
                this.mRemote = remote;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            @Override // egis.finger.service.IEgisServiceNative_CB
            public void do_native_callback(int event_id, int value1, int value2, byte[] buffer, int buffer_size) throws RemoteException {
                Log.d(Stub.TAG, "Proxy do_native_callback() ");
            }
        }
    }
}
