package egistec.optical.csa.client.api;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;
import egistec.optical.csa.client.api.IFPAuthServiceCallback;

public interface IFPAuthService extends IInterface {
    boolean DataDelete(String str, String str2) throws RemoteException;

    String DataRead(String str, String str2) throws RemoteException;

    boolean DataSet(String str, String str2, String str3) throws RemoteException;

    boolean IsSensorWorking() throws RemoteException;

    boolean abort() throws RemoteException;

    boolean captureFrame() throws RemoteException;

    boolean captureRawData() throws RemoteException;

    void checkServiceException() throws RemoteException;

    boolean connectDevice() throws RemoteException;

    boolean deleteFeature(String str) throws RemoteException;

    boolean deletePwd() throws RemoteException;

    boolean disconnectDevice() throws RemoteException;

    boolean enroll(String str) throws RemoteException;

    int getDeviceType() throws RemoteException;

    String getEnrollList(String str) throws RemoteException;

    int getEnrollProgress() throws RemoteException;

    int[] getEnrollStatus() throws RemoteException;

    int getLastErrCode() throws RemoteException;

    byte[] getMatchedImg() throws RemoteException;

    int[] getMatchedImgInfo() throws RemoteException;

    String getMatchedUserID() throws RemoteException;

    int getOperationType() throws RemoteException;

    byte[] getRawData() throws RemoteException;

    int[] getRawDataInfo() throws RemoteException;

    String getSensorInfo() throws RemoteException;

    int[] getTestItemNumber() throws RemoteException;

    byte[] getThreadImg() throws RemoteException;

    int[] getThreadImgInfo() throws RemoteException;

    byte[] getTinyMap() throws RemoteException;

    int[] getTinyMapInfo() throws RemoteException;

    String[] getUserIdList() throws RemoteException;

    int getVerifyLearningScore() throws RemoteException;

    String getVersion() throws RemoteException;

    boolean identify(String str) throws RemoteException;

    boolean isEnrolled() throws RemoteException;

    boolean isRequestVerify() throws RemoteException;

    boolean isSimplePwd() throws RemoteException;

    boolean learning() throws RemoteException;

    boolean learningIdentify(String str) throws RemoteException;

    void registerCallback(IFPAuthServiceCallback iFPAuthServiceCallback) throws RemoteException;

    int sensorControl(int i) throws RemoteException;

    int setAccuracyLevel(int i) throws RemoteException;

    void setOnGetRawData(boolean z) throws RemoteException;

    boolean setPwd(String str) throws RemoteException;

    void unregisterCallback(IFPAuthServiceCallback iFPAuthServiceCallback) throws RemoteException;

    boolean verifyPwd(String str) throws RemoteException;

    public static class Default implements IFPAuthService {
        @Override // egistec.optical.csa.client.api.IFPAuthService
        public boolean enroll(String userID) throws RemoteException {
            return false;
        }

        @Override // egistec.optical.csa.client.api.IFPAuthService
        public boolean deleteFeature(String userID) throws RemoteException {
            return false;
        }

        @Override // egistec.optical.csa.client.api.IFPAuthService
        public String getEnrollList(String userId) throws RemoteException {
            return null;
        }

        @Override // egistec.optical.csa.client.api.IFPAuthService
        public boolean setPwd(String pwd) throws RemoteException {
            return false;
        }

        @Override // egistec.optical.csa.client.api.IFPAuthService
        public boolean deletePwd() throws RemoteException {
            return false;
        }

        @Override // egistec.optical.csa.client.api.IFPAuthService
        public boolean isRequestVerify() throws RemoteException {
            return false;
        }

        @Override // egistec.optical.csa.client.api.IFPAuthService
        public byte[] getTinyMap() throws RemoteException {
            return null;
        }

        @Override // egistec.optical.csa.client.api.IFPAuthService
        public int[] getTinyMapInfo() throws RemoteException {
            return null;
        }

        @Override // egistec.optical.csa.client.api.IFPAuthService
        public void registerCallback(IFPAuthServiceCallback cb) throws RemoteException {
        }

        @Override // egistec.optical.csa.client.api.IFPAuthService
        public void unregisterCallback(IFPAuthServiceCallback cb) throws RemoteException {
        }

        @Override // egistec.optical.csa.client.api.IFPAuthService
        public boolean connectDevice() throws RemoteException {
            return false;
        }

        @Override // egistec.optical.csa.client.api.IFPAuthService
        public boolean disconnectDevice() throws RemoteException {
            return false;
        }

        @Override // egistec.optical.csa.client.api.IFPAuthService
        public boolean identify(String userId) throws RemoteException {
            return false;
        }

        @Override // egistec.optical.csa.client.api.IFPAuthService
        public boolean learningIdentify(String fid) throws RemoteException {
            return false;
        }

        @Override // egistec.optical.csa.client.api.IFPAuthService
        public boolean abort() throws RemoteException {
            return false;
        }

        @Override // egistec.optical.csa.client.api.IFPAuthService
        public int getDeviceType() throws RemoteException {
            return 0;
        }

        @Override // egistec.optical.csa.client.api.IFPAuthService
        public boolean isEnrolled() throws RemoteException {
            return false;
        }

        @Override // egistec.optical.csa.client.api.IFPAuthService
        public boolean isSimplePwd() throws RemoteException {
            return false;
        }

        @Override // egistec.optical.csa.client.api.IFPAuthService
        public boolean verifyPwd(String pwd) throws RemoteException {
            return false;
        }

        @Override // egistec.optical.csa.client.api.IFPAuthService
        public boolean DataSet(String key, String value, String pwd) throws RemoteException {
            return false;
        }

        @Override // egistec.optical.csa.client.api.IFPAuthService
        public String DataRead(String key, String pwd) throws RemoteException {
            return null;
        }

        @Override // egistec.optical.csa.client.api.IFPAuthService
        public boolean DataDelete(String key, String pwd) throws RemoteException {
            return false;
        }

        @Override // egistec.optical.csa.client.api.IFPAuthService
        public String getMatchedUserID() throws RemoteException {
            return null;
        }

        @Override // egistec.optical.csa.client.api.IFPAuthService
        public void setOnGetRawData(boolean enable) throws RemoteException {
        }

        @Override // egistec.optical.csa.client.api.IFPAuthService
        public boolean captureRawData() throws RemoteException {
            return false;
        }

        @Override // egistec.optical.csa.client.api.IFPAuthService
        public boolean captureFrame() throws RemoteException {
            return false;
        }

        @Override // egistec.optical.csa.client.api.IFPAuthService
        public byte[] getRawData() throws RemoteException {
            return null;
        }

        @Override // egistec.optical.csa.client.api.IFPAuthService
        public int[] getRawDataInfo() throws RemoteException {
            return null;
        }

        @Override // egistec.optical.csa.client.api.IFPAuthService
        public int getLastErrCode() throws RemoteException {
            return 0;
        }

        @Override // egistec.optical.csa.client.api.IFPAuthService
        public int getVerifyLearningScore() throws RemoteException {
            return 0;
        }

        @Override // egistec.optical.csa.client.api.IFPAuthService
        public boolean learning() throws RemoteException {
            return false;
        }

        @Override // egistec.optical.csa.client.api.IFPAuthService
        public byte[] getThreadImg() throws RemoteException {
            return null;
        }

        @Override // egistec.optical.csa.client.api.IFPAuthService
        public int[] getThreadImgInfo() throws RemoteException {
            return null;
        }

        @Override // egistec.optical.csa.client.api.IFPAuthService
        public int getEnrollProgress() throws RemoteException {
            return 0;
        }

        @Override // egistec.optical.csa.client.api.IFPAuthService
        public String getVersion() throws RemoteException {
            return null;
        }

        @Override // egistec.optical.csa.client.api.IFPAuthService
        public String getSensorInfo() throws RemoteException {
            return null;
        }

        @Override // egistec.optical.csa.client.api.IFPAuthService
        public int[] getTestItemNumber() throws RemoteException {
            return null;
        }

        @Override // egistec.optical.csa.client.api.IFPAuthService
        public String[] getUserIdList() throws RemoteException {
            return null;
        }

        @Override // egistec.optical.csa.client.api.IFPAuthService
        public int[] getEnrollStatus() throws RemoteException {
            return null;
        }

        @Override // egistec.optical.csa.client.api.IFPAuthService
        public int setAccuracyLevel(int level) throws RemoteException {
            return 0;
        }

        @Override // egistec.optical.csa.client.api.IFPAuthService
        public boolean IsSensorWorking() throws RemoteException {
            return false;
        }

        @Override // egistec.optical.csa.client.api.IFPAuthService
        public int getOperationType() throws RemoteException {
            return 0;
        }

        @Override // egistec.optical.csa.client.api.IFPAuthService
        public byte[] getMatchedImg() throws RemoteException {
            return null;
        }

        @Override // egistec.optical.csa.client.api.IFPAuthService
        public int[] getMatchedImgInfo() throws RemoteException {
            return null;
        }

        @Override // egistec.optical.csa.client.api.IFPAuthService
        public void checkServiceException() throws RemoteException {
        }

        @Override // egistec.optical.csa.client.api.IFPAuthService
        public int sensorControl(int request) throws RemoteException {
            return 0;
        }

        public IBinder asBinder() {
            return null;
        }
    }

    public static abstract class Stub extends Binder implements IFPAuthService {
        private static final String DESCRIPTOR = "egistec.optical.csa.client.api.IFPAuthService";
        static final int TRANSACTION_DataDelete = 22;
        static final int TRANSACTION_DataRead = 21;
        static final int TRANSACTION_DataSet = 20;
        static final int TRANSACTION_IsSensorWorking = 41;
        static final int TRANSACTION_abort = 15;
        static final int TRANSACTION_captureFrame = 26;
        static final int TRANSACTION_captureRawData = 25;
        static final int TRANSACTION_checkServiceException = 45;
        static final int TRANSACTION_connectDevice = 11;
        static final int TRANSACTION_deleteFeature = 2;
        static final int TRANSACTION_deletePwd = 5;
        static final int TRANSACTION_disconnectDevice = 12;
        static final int TRANSACTION_enroll = 1;
        static final int TRANSACTION_getDeviceType = 16;
        static final int TRANSACTION_getEnrollList = 3;
        static final int TRANSACTION_getEnrollProgress = 34;
        static final int TRANSACTION_getEnrollStatus = 39;
        static final int TRANSACTION_getLastErrCode = 29;
        static final int TRANSACTION_getMatchedImg = 43;
        static final int TRANSACTION_getMatchedImgInfo = 44;
        static final int TRANSACTION_getMatchedUserID = 23;
        static final int TRANSACTION_getOperationType = 42;
        static final int TRANSACTION_getRawData = 27;
        static final int TRANSACTION_getRawDataInfo = 28;
        static final int TRANSACTION_getSensorInfo = 36;
        static final int TRANSACTION_getTestItemNumber = 37;
        static final int TRANSACTION_getThreadImg = 32;
        static final int TRANSACTION_getThreadImgInfo = 33;
        static final int TRANSACTION_getTinyMap = 7;
        static final int TRANSACTION_getTinyMapInfo = 8;
        static final int TRANSACTION_getUserIdList = 38;
        static final int TRANSACTION_getVerifyLearningScore = 30;
        static final int TRANSACTION_getVersion = 35;
        static final int TRANSACTION_identify = 13;
        static final int TRANSACTION_isEnrolled = 17;
        static final int TRANSACTION_isRequestVerify = 6;
        static final int TRANSACTION_isSimplePwd = 18;
        static final int TRANSACTION_learning = 31;
        static final int TRANSACTION_learningIdentify = 14;
        static final int TRANSACTION_registerCallback = 9;
        static final int TRANSACTION_sensorControl = 46;
        static final int TRANSACTION_setAccuracyLevel = 40;
        static final int TRANSACTION_setOnGetRawData = 24;
        static final int TRANSACTION_setPwd = 4;
        static final int TRANSACTION_unregisterCallback = 10;
        static final int TRANSACTION_verifyPwd = 19;

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static IFPAuthService asInterface(IBinder obj) {
            if (obj == null) {
                return null;
            }
            IInterface iin = obj.queryLocalInterface(DESCRIPTOR);
            if (iin == null || !(iin instanceof IFPAuthService)) {
                return new Proxy(obj);
            }
            return (IFPAuthService) iin;
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int code, Parcel data, Parcel reply, int flags) throws RemoteException {
            switch (code) {
                case 1:
                    data.enforceInterface(DESCRIPTOR);
                    boolean enroll = enroll(data.readString());
                    reply.writeNoException();
                    reply.writeInt(enroll ? 1 : 0);
                    return true;
                case 2:
                    data.enforceInterface(DESCRIPTOR);
                    boolean deleteFeature = deleteFeature(data.readString());
                    reply.writeNoException();
                    reply.writeInt(deleteFeature ? 1 : 0);
                    return true;
                case 3:
                    data.enforceInterface(DESCRIPTOR);
                    String _result = getEnrollList(data.readString());
                    reply.writeNoException();
                    reply.writeString(_result);
                    return true;
                case 4:
                    data.enforceInterface(DESCRIPTOR);
                    boolean pwd = setPwd(data.readString());
                    reply.writeNoException();
                    reply.writeInt(pwd ? 1 : 0);
                    return true;
                case 5:
                    data.enforceInterface(DESCRIPTOR);
                    boolean deletePwd = deletePwd();
                    reply.writeNoException();
                    reply.writeInt(deletePwd ? 1 : 0);
                    return true;
                case 6:
                    data.enforceInterface(DESCRIPTOR);
                    boolean isRequestVerify = isRequestVerify();
                    reply.writeNoException();
                    reply.writeInt(isRequestVerify ? 1 : 0);
                    return true;
                case 7:
                    data.enforceInterface(DESCRIPTOR);
                    byte[] _result2 = getTinyMap();
                    reply.writeNoException();
                    reply.writeByteArray(_result2);
                    return true;
                case 8:
                    data.enforceInterface(DESCRIPTOR);
                    int[] _result3 = getTinyMapInfo();
                    reply.writeNoException();
                    reply.writeIntArray(_result3);
                    return true;
                case 9:
                    data.enforceInterface(DESCRIPTOR);
                    registerCallback(IFPAuthServiceCallback.Stub.asInterface(data.readStrongBinder()));
                    reply.writeNoException();
                    return true;
                case 10:
                    data.enforceInterface(DESCRIPTOR);
                    unregisterCallback(IFPAuthServiceCallback.Stub.asInterface(data.readStrongBinder()));
                    reply.writeNoException();
                    return true;
                case 11:
                    data.enforceInterface(DESCRIPTOR);
                    boolean connectDevice = connectDevice();
                    reply.writeNoException();
                    reply.writeInt(connectDevice ? 1 : 0);
                    return true;
                case 12:
                    data.enforceInterface(DESCRIPTOR);
                    boolean disconnectDevice = disconnectDevice();
                    reply.writeNoException();
                    reply.writeInt(disconnectDevice ? 1 : 0);
                    return true;
                case 13:
                    data.enforceInterface(DESCRIPTOR);
                    boolean identify = identify(data.readString());
                    reply.writeNoException();
                    reply.writeInt(identify ? 1 : 0);
                    return true;
                case 14:
                    data.enforceInterface(DESCRIPTOR);
                    boolean learningIdentify = learningIdentify(data.readString());
                    reply.writeNoException();
                    reply.writeInt(learningIdentify ? 1 : 0);
                    return true;
                case 15:
                    data.enforceInterface(DESCRIPTOR);
                    boolean abort = abort();
                    reply.writeNoException();
                    reply.writeInt(abort ? 1 : 0);
                    return true;
                case 16:
                    data.enforceInterface(DESCRIPTOR);
                    int _result4 = getDeviceType();
                    reply.writeNoException();
                    reply.writeInt(_result4);
                    return true;
                case 17:
                    data.enforceInterface(DESCRIPTOR);
                    boolean isEnrolled = isEnrolled();
                    reply.writeNoException();
                    reply.writeInt(isEnrolled ? 1 : 0);
                    return true;
                case 18:
                    data.enforceInterface(DESCRIPTOR);
                    boolean isSimplePwd = isSimplePwd();
                    reply.writeNoException();
                    reply.writeInt(isSimplePwd ? 1 : 0);
                    return true;
                case 19:
                    data.enforceInterface(DESCRIPTOR);
                    boolean verifyPwd = verifyPwd(data.readString());
                    reply.writeNoException();
                    reply.writeInt(verifyPwd ? 1 : 0);
                    return true;
                case 20:
                    data.enforceInterface(DESCRIPTOR);
                    boolean DataSet = DataSet(data.readString(), data.readString(), data.readString());
                    reply.writeNoException();
                    reply.writeInt(DataSet ? 1 : 0);
                    return true;
                case 21:
                    data.enforceInterface(DESCRIPTOR);
                    String _result5 = DataRead(data.readString(), data.readString());
                    reply.writeNoException();
                    reply.writeString(_result5);
                    return true;
                case 22:
                    data.enforceInterface(DESCRIPTOR);
                    boolean DataDelete = DataDelete(data.readString(), data.readString());
                    reply.writeNoException();
                    reply.writeInt(DataDelete ? 1 : 0);
                    return true;
                case 23:
                    data.enforceInterface(DESCRIPTOR);
                    String _result6 = getMatchedUserID();
                    reply.writeNoException();
                    reply.writeString(_result6);
                    return true;
                case 24:
                    data.enforceInterface(DESCRIPTOR);
                    setOnGetRawData(data.readInt() != 0);
                    reply.writeNoException();
                    return true;
                case 25:
                    data.enforceInterface(DESCRIPTOR);
                    boolean captureRawData = captureRawData();
                    reply.writeNoException();
                    reply.writeInt(captureRawData ? 1 : 0);
                    return true;
                case 26:
                    data.enforceInterface(DESCRIPTOR);
                    boolean captureFrame = captureFrame();
                    reply.writeNoException();
                    reply.writeInt(captureFrame ? 1 : 0);
                    return true;
                case 27:
                    data.enforceInterface(DESCRIPTOR);
                    byte[] _result7 = getRawData();
                    reply.writeNoException();
                    reply.writeByteArray(_result7);
                    return true;
                case 28:
                    data.enforceInterface(DESCRIPTOR);
                    int[] _result8 = getRawDataInfo();
                    reply.writeNoException();
                    reply.writeIntArray(_result8);
                    return true;
                case 29:
                    data.enforceInterface(DESCRIPTOR);
                    int _result9 = getLastErrCode();
                    reply.writeNoException();
                    reply.writeInt(_result9);
                    return true;
                case 30:
                    data.enforceInterface(DESCRIPTOR);
                    int _result10 = getVerifyLearningScore();
                    reply.writeNoException();
                    reply.writeInt(_result10);
                    return true;
                case 31:
                    data.enforceInterface(DESCRIPTOR);
                    boolean learning = learning();
                    reply.writeNoException();
                    reply.writeInt(learning ? 1 : 0);
                    return true;
                case 32:
                    data.enforceInterface(DESCRIPTOR);
                    byte[] _result11 = getThreadImg();
                    reply.writeNoException();
                    reply.writeByteArray(_result11);
                    return true;
                case 33:
                    data.enforceInterface(DESCRIPTOR);
                    int[] _result12 = getThreadImgInfo();
                    reply.writeNoException();
                    reply.writeIntArray(_result12);
                    return true;
                case 34:
                    data.enforceInterface(DESCRIPTOR);
                    int _result13 = getEnrollProgress();
                    reply.writeNoException();
                    reply.writeInt(_result13);
                    return true;
                case 35:
                    data.enforceInterface(DESCRIPTOR);
                    String _result14 = getVersion();
                    reply.writeNoException();
                    reply.writeString(_result14);
                    return true;
                case 36:
                    data.enforceInterface(DESCRIPTOR);
                    String _result15 = getSensorInfo();
                    reply.writeNoException();
                    reply.writeString(_result15);
                    return true;
                case 37:
                    data.enforceInterface(DESCRIPTOR);
                    int[] _result16 = getTestItemNumber();
                    reply.writeNoException();
                    reply.writeIntArray(_result16);
                    return true;
                case 38:
                    data.enforceInterface(DESCRIPTOR);
                    String[] _result17 = getUserIdList();
                    reply.writeNoException();
                    reply.writeStringArray(_result17);
                    return true;
                case 39:
                    data.enforceInterface(DESCRIPTOR);
                    int[] _result18 = getEnrollStatus();
                    reply.writeNoException();
                    reply.writeIntArray(_result18);
                    return true;
                case 40:
                    data.enforceInterface(DESCRIPTOR);
                    int _result19 = setAccuracyLevel(data.readInt());
                    reply.writeNoException();
                    reply.writeInt(_result19);
                    return true;
                case 41:
                    data.enforceInterface(DESCRIPTOR);
                    boolean IsSensorWorking = IsSensorWorking();
                    reply.writeNoException();
                    reply.writeInt(IsSensorWorking ? 1 : 0);
                    return true;
                case 42:
                    data.enforceInterface(DESCRIPTOR);
                    int _result20 = getOperationType();
                    reply.writeNoException();
                    reply.writeInt(_result20);
                    return true;
                case 43:
                    data.enforceInterface(DESCRIPTOR);
                    byte[] _result21 = getMatchedImg();
                    reply.writeNoException();
                    reply.writeByteArray(_result21);
                    return true;
                case 44:
                    data.enforceInterface(DESCRIPTOR);
                    int[] _result22 = getMatchedImgInfo();
                    reply.writeNoException();
                    reply.writeIntArray(_result22);
                    return true;
                case 45:
                    data.enforceInterface(DESCRIPTOR);
                    checkServiceException();
                    reply.writeNoException();
                    return true;
                case 46:
                    data.enforceInterface(DESCRIPTOR);
                    int _result23 = sensorControl(data.readInt());
                    reply.writeNoException();
                    reply.writeInt(_result23);
                    return true;
                case 1598968902:
                    reply.writeString(DESCRIPTOR);
                    return true;
                default:
                    return super.onTransact(code, data, reply, flags);
            }
        }

        /* access modifiers changed from: private */
        public static class Proxy implements IFPAuthService {
            public static IFPAuthService sDefaultImpl;
            private IBinder mRemote;

            Proxy(IBinder remote) {
                this.mRemote = remote;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            @Override // egistec.optical.csa.client.api.IFPAuthService
            public boolean enroll(String userID) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeString(userID);
                    boolean _result = false;
                    if (!this.mRemote.transact(1, _data, _reply, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().enroll(userID);
                    }
                    _reply.readException();
                    if (_reply.readInt() != 0) {
                        _result = true;
                    }
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egistec.optical.csa.client.api.IFPAuthService
            public boolean deleteFeature(String userID) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeString(userID);
                    boolean _result = false;
                    if (!this.mRemote.transact(2, _data, _reply, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().deleteFeature(userID);
                    }
                    _reply.readException();
                    if (_reply.readInt() != 0) {
                        _result = true;
                    }
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egistec.optical.csa.client.api.IFPAuthService
            public String getEnrollList(String userId) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeString(userId);
                    if (!this.mRemote.transact(3, _data, _reply, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getEnrollList(userId);
                    }
                    _reply.readException();
                    String _result = _reply.readString();
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egistec.optical.csa.client.api.IFPAuthService
            public boolean setPwd(String pwd) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeString(pwd);
                    boolean _result = false;
                    if (!this.mRemote.transact(4, _data, _reply, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().setPwd(pwd);
                    }
                    _reply.readException();
                    if (_reply.readInt() != 0) {
                        _result = true;
                    }
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egistec.optical.csa.client.api.IFPAuthService
            public boolean deletePwd() throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    boolean _result = false;
                    if (!this.mRemote.transact(5, _data, _reply, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().deletePwd();
                    }
                    _reply.readException();
                    if (_reply.readInt() != 0) {
                        _result = true;
                    }
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egistec.optical.csa.client.api.IFPAuthService
            public boolean isRequestVerify() throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    boolean _result = false;
                    if (!this.mRemote.transact(6, _data, _reply, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().isRequestVerify();
                    }
                    _reply.readException();
                    if (_reply.readInt() != 0) {
                        _result = true;
                    }
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egistec.optical.csa.client.api.IFPAuthService
            public byte[] getTinyMap() throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(7, _data, _reply, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getTinyMap();
                    }
                    _reply.readException();
                    byte[] _result = _reply.createByteArray();
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egistec.optical.csa.client.api.IFPAuthService
            public int[] getTinyMapInfo() throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(8, _data, _reply, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getTinyMapInfo();
                    }
                    _reply.readException();
                    int[] _result = _reply.createIntArray();
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egistec.optical.csa.client.api.IFPAuthService
            public void registerCallback(IFPAuthServiceCallback cb) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeStrongBinder(cb != null ? cb.asBinder() : null);
                    if (this.mRemote.transact(9, _data, _reply, 0) || Stub.getDefaultImpl() == null) {
                        _reply.readException();
                        _reply.recycle();
                        _data.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().registerCallback(cb);
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egistec.optical.csa.client.api.IFPAuthService
            public void unregisterCallback(IFPAuthServiceCallback cb) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeStrongBinder(cb != null ? cb.asBinder() : null);
                    if (this.mRemote.transact(10, _data, _reply, 0) || Stub.getDefaultImpl() == null) {
                        _reply.readException();
                        _reply.recycle();
                        _data.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().unregisterCallback(cb);
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egistec.optical.csa.client.api.IFPAuthService
            public boolean connectDevice() throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    boolean _result = false;
                    if (!this.mRemote.transact(11, _data, _reply, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().connectDevice();
                    }
                    _reply.readException();
                    if (_reply.readInt() != 0) {
                        _result = true;
                    }
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egistec.optical.csa.client.api.IFPAuthService
            public boolean disconnectDevice() throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    boolean _result = false;
                    if (!this.mRemote.transact(12, _data, _reply, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().disconnectDevice();
                    }
                    _reply.readException();
                    if (_reply.readInt() != 0) {
                        _result = true;
                    }
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egistec.optical.csa.client.api.IFPAuthService
            public boolean identify(String userId) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeString(userId);
                    boolean _result = false;
                    if (!this.mRemote.transact(13, _data, _reply, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().identify(userId);
                    }
                    _reply.readException();
                    if (_reply.readInt() != 0) {
                        _result = true;
                    }
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egistec.optical.csa.client.api.IFPAuthService
            public boolean learningIdentify(String fid) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeString(fid);
                    boolean _result = false;
                    if (!this.mRemote.transact(14, _data, _reply, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().learningIdentify(fid);
                    }
                    _reply.readException();
                    if (_reply.readInt() != 0) {
                        _result = true;
                    }
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egistec.optical.csa.client.api.IFPAuthService
            public boolean abort() throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    boolean _result = false;
                    if (!this.mRemote.transact(15, _data, _reply, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().abort();
                    }
                    _reply.readException();
                    if (_reply.readInt() != 0) {
                        _result = true;
                    }
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egistec.optical.csa.client.api.IFPAuthService
            public int getDeviceType() throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(16, _data, _reply, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getDeviceType();
                    }
                    _reply.readException();
                    int _result = _reply.readInt();
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egistec.optical.csa.client.api.IFPAuthService
            public boolean isEnrolled() throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    boolean _result = false;
                    if (!this.mRemote.transact(17, _data, _reply, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().isEnrolled();
                    }
                    _reply.readException();
                    if (_reply.readInt() != 0) {
                        _result = true;
                    }
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egistec.optical.csa.client.api.IFPAuthService
            public boolean isSimplePwd() throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    boolean _result = false;
                    if (!this.mRemote.transact(18, _data, _reply, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().isSimplePwd();
                    }
                    _reply.readException();
                    if (_reply.readInt() != 0) {
                        _result = true;
                    }
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egistec.optical.csa.client.api.IFPAuthService
            public boolean verifyPwd(String pwd) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeString(pwd);
                    boolean _result = false;
                    if (!this.mRemote.transact(19, _data, _reply, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().verifyPwd(pwd);
                    }
                    _reply.readException();
                    if (_reply.readInt() != 0) {
                        _result = true;
                    }
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egistec.optical.csa.client.api.IFPAuthService
            public boolean DataSet(String key, String value, String pwd) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeString(key);
                    _data.writeString(value);
                    _data.writeString(pwd);
                    boolean _result = false;
                    if (!this.mRemote.transact(20, _data, _reply, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().DataSet(key, value, pwd);
                    }
                    _reply.readException();
                    if (_reply.readInt() != 0) {
                        _result = true;
                    }
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egistec.optical.csa.client.api.IFPAuthService
            public String DataRead(String key, String pwd) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeString(key);
                    _data.writeString(pwd);
                    if (!this.mRemote.transact(21, _data, _reply, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().DataRead(key, pwd);
                    }
                    _reply.readException();
                    String _result = _reply.readString();
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egistec.optical.csa.client.api.IFPAuthService
            public boolean DataDelete(String key, String pwd) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeString(key);
                    _data.writeString(pwd);
                    boolean _result = false;
                    if (!this.mRemote.transact(22, _data, _reply, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().DataDelete(key, pwd);
                    }
                    _reply.readException();
                    if (_reply.readInt() != 0) {
                        _result = true;
                    }
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egistec.optical.csa.client.api.IFPAuthService
            public String getMatchedUserID() throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(23, _data, _reply, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getMatchedUserID();
                    }
                    _reply.readException();
                    String _result = _reply.readString();
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egistec.optical.csa.client.api.IFPAuthService
            public void setOnGetRawData(boolean enable) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeInt(enable ? 1 : 0);
                    if (this.mRemote.transact(24, _data, _reply, 0) || Stub.getDefaultImpl() == null) {
                        _reply.readException();
                        _reply.recycle();
                        _data.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().setOnGetRawData(enable);
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egistec.optical.csa.client.api.IFPAuthService
            public boolean captureRawData() throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    boolean _result = false;
                    if (!this.mRemote.transact(25, _data, _reply, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().captureRawData();
                    }
                    _reply.readException();
                    if (_reply.readInt() != 0) {
                        _result = true;
                    }
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egistec.optical.csa.client.api.IFPAuthService
            public boolean captureFrame() throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    boolean _result = false;
                    if (!this.mRemote.transact(26, _data, _reply, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().captureFrame();
                    }
                    _reply.readException();
                    if (_reply.readInt() != 0) {
                        _result = true;
                    }
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egistec.optical.csa.client.api.IFPAuthService
            public byte[] getRawData() throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(27, _data, _reply, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getRawData();
                    }
                    _reply.readException();
                    byte[] _result = _reply.createByteArray();
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egistec.optical.csa.client.api.IFPAuthService
            public int[] getRawDataInfo() throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(28, _data, _reply, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getRawDataInfo();
                    }
                    _reply.readException();
                    int[] _result = _reply.createIntArray();
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egistec.optical.csa.client.api.IFPAuthService
            public int getLastErrCode() throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(29, _data, _reply, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getLastErrCode();
                    }
                    _reply.readException();
                    int _result = _reply.readInt();
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egistec.optical.csa.client.api.IFPAuthService
            public int getVerifyLearningScore() throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(30, _data, _reply, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getVerifyLearningScore();
                    }
                    _reply.readException();
                    int _result = _reply.readInt();
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egistec.optical.csa.client.api.IFPAuthService
            public boolean learning() throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    boolean _result = false;
                    if (!this.mRemote.transact(31, _data, _reply, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().learning();
                    }
                    _reply.readException();
                    if (_reply.readInt() != 0) {
                        _result = true;
                    }
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egistec.optical.csa.client.api.IFPAuthService
            public byte[] getThreadImg() throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(32, _data, _reply, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getThreadImg();
                    }
                    _reply.readException();
                    byte[] _result = _reply.createByteArray();
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egistec.optical.csa.client.api.IFPAuthService
            public int[] getThreadImgInfo() throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(33, _data, _reply, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getThreadImgInfo();
                    }
                    _reply.readException();
                    int[] _result = _reply.createIntArray();
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egistec.optical.csa.client.api.IFPAuthService
            public int getEnrollProgress() throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(34, _data, _reply, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getEnrollProgress();
                    }
                    _reply.readException();
                    int _result = _reply.readInt();
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egistec.optical.csa.client.api.IFPAuthService
            public String getVersion() throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(35, _data, _reply, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getVersion();
                    }
                    _reply.readException();
                    String _result = _reply.readString();
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egistec.optical.csa.client.api.IFPAuthService
            public String getSensorInfo() throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(36, _data, _reply, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getSensorInfo();
                    }
                    _reply.readException();
                    String _result = _reply.readString();
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egistec.optical.csa.client.api.IFPAuthService
            public int[] getTestItemNumber() throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(37, _data, _reply, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getTestItemNumber();
                    }
                    _reply.readException();
                    int[] _result = _reply.createIntArray();
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egistec.optical.csa.client.api.IFPAuthService
            public String[] getUserIdList() throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(38, _data, _reply, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getUserIdList();
                    }
                    _reply.readException();
                    String[] _result = _reply.createStringArray();
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egistec.optical.csa.client.api.IFPAuthService
            public int[] getEnrollStatus() throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(39, _data, _reply, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getEnrollStatus();
                    }
                    _reply.readException();
                    int[] _result = _reply.createIntArray();
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egistec.optical.csa.client.api.IFPAuthService
            public int setAccuracyLevel(int level) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeInt(level);
                    if (!this.mRemote.transact(40, _data, _reply, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().setAccuracyLevel(level);
                    }
                    _reply.readException();
                    int _result = _reply.readInt();
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egistec.optical.csa.client.api.IFPAuthService
            public boolean IsSensorWorking() throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    boolean _result = false;
                    if (!this.mRemote.transact(41, _data, _reply, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().IsSensorWorking();
                    }
                    _reply.readException();
                    if (_reply.readInt() != 0) {
                        _result = true;
                    }
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egistec.optical.csa.client.api.IFPAuthService
            public int getOperationType() throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(42, _data, _reply, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getOperationType();
                    }
                    _reply.readException();
                    int _result = _reply.readInt();
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egistec.optical.csa.client.api.IFPAuthService
            public byte[] getMatchedImg() throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(43, _data, _reply, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getMatchedImg();
                    }
                    _reply.readException();
                    byte[] _result = _reply.createByteArray();
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egistec.optical.csa.client.api.IFPAuthService
            public int[] getMatchedImgInfo() throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(44, _data, _reply, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getMatchedImgInfo();
                    }
                    _reply.readException();
                    int[] _result = _reply.createIntArray();
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egistec.optical.csa.client.api.IFPAuthService
            public void checkServiceException() throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (this.mRemote.transact(45, _data, _reply, 0) || Stub.getDefaultImpl() == null) {
                        _reply.readException();
                        _reply.recycle();
                        _data.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().checkServiceException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            @Override // egistec.optical.csa.client.api.IFPAuthService
            public int sensorControl(int request) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeInt(request);
                    if (!this.mRemote.transact(46, _data, _reply, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().sensorControl(request);
                    }
                    _reply.readException();
                    int _result = _reply.readInt();
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }
        }

        public static boolean setDefaultImpl(IFPAuthService impl) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (impl == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = impl;
                return true;
            }
        }

        public static IFPAuthService getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }
    }
}
