package egistec.optical.csa.client.api;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;

public interface IFPAuthServiceCallback extends IInterface {
    void postMessage(int i, int i2, int i3) throws RemoteException;

    public static class Default implements IFPAuthServiceCallback {
        @Override // egistec.optical.csa.client.api.IFPAuthServiceCallback
        public void postMessage(int what, int arg1, int arg2) throws RemoteException {
        }

        public IBinder asBinder() {
            return null;
        }
    }

    public static abstract class Stub extends Binder implements IFPAuthServiceCallback {
        private static final String DESCRIPTOR = "egistec.optical.csa.client.api.IFPAuthServiceCallback";
        static final int TRANSACTION_postMessage = 1;

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static IFPAuthServiceCallback asInterface(IBinder obj) {
            if (obj == null) {
                return null;
            }
            IInterface iin = obj.queryLocalInterface(DESCRIPTOR);
            if (iin == null || !(iin instanceof IFPAuthServiceCallback)) {
                return new Proxy(obj);
            }
            return (IFPAuthServiceCallback) iin;
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int code, Parcel data, Parcel reply, int flags) throws RemoteException {
            switch (code) {
                case 1:
                    data.enforceInterface(DESCRIPTOR);
                    postMessage(data.readInt(), data.readInt(), data.readInt());
                    reply.writeNoException();
                    return true;
                case 1598968902:
                    reply.writeString(DESCRIPTOR);
                    return true;
                default:
                    return super.onTransact(code, data, reply, flags);
            }
        }

        /* access modifiers changed from: private */
        public static class Proxy implements IFPAuthServiceCallback {
            public static IFPAuthServiceCallback sDefaultImpl;
            private IBinder mRemote;

            Proxy(IBinder remote) {
                this.mRemote = remote;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            @Override // egistec.optical.csa.client.api.IFPAuthServiceCallback
            public void postMessage(int what, int arg1, int arg2) throws RemoteException {
                Parcel _data = Parcel.obtain();
                Parcel _reply = Parcel.obtain();
                try {
                    _data.writeInterfaceToken(Stub.DESCRIPTOR);
                    _data.writeInt(what);
                    _data.writeInt(arg1);
                    _data.writeInt(arg2);
                    if (this.mRemote.transact(1, _data, _reply, 0) || Stub.getDefaultImpl() == null) {
                        _reply.readException();
                        _reply.recycle();
                        _data.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().postMessage(what, arg1, arg2);
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }
        }

        public static boolean setDefaultImpl(IFPAuthServiceCallback impl) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (impl == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = impl;
                return true;
            }
        }

        public static IFPAuthServiceCallback getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }
    }
}
