package org.apache.poi.ddf;

import org.apache.poi.util.HexDump;

public class EscherBoolProperty extends EscherSimpleProperty {
    public EscherBoolProperty(short propertyNumber, int value) {
        super(propertyNumber, value);
    }

    public boolean isTrue() {
        return this.propertyValue != 0;
    }

    public boolean isFalse() {
        return this.propertyValue == 0;
    }

    @Override // org.apache.poi.ddf.EscherProperty, org.apache.poi.ddf.EscherSimpleProperty
    public String toXml(String tab) {
        return tab + "<" + getClass().getSimpleName() + " id=\"0x" + HexDump.toHex(getId()) + "\" name=\"" + getName() + "\" simpleValue=\"" + getPropertyValue() + "\" blipId=\"" + isBlipId() + "\" value=\"" + isTrue() + "\"" + "/>\n";
    }
}
