package org.apache.poi.ddf;

import com.google.common.primitives.Shorts;
import com.sec.factory.modules.MicParallelTest;

public abstract class EscherProperty {
    private short _id;

    public abstract int serializeComplexPart(byte[] bArr, int i);

    public abstract int serializeSimplePart(byte[] bArr, int i);

    public EscherProperty(short id) {
        this._id = id;
    }

    public EscherProperty(short propertyNumber, boolean isComplex, boolean isBlipId) {
        this._id = (short) ((isComplex ? MicParallelTest.EMPTY_DATA : 0) + propertyNumber + (isBlipId ? 16384 : 0));
    }

    public short getId() {
        return this._id;
    }

    public short getPropertyNumber() {
        return (short) (this._id & 16383);
    }

    public boolean isComplex() {
        return (this._id & MicParallelTest.EMPTY_DATA) != 0;
    }

    public boolean isBlipId() {
        return (this._id & Shorts.MAX_POWER_OF_TWO) != 0;
    }

    public String getName() {
        return EscherProperties.getPropertyName(getPropertyNumber());
    }

    public int getPropertySize() {
        return 6;
    }

    public String toXml(String tab) {
        return tab + "<" + getClass().getSimpleName() + " id=\"" + ((int) getId()) + "\" name=\"" + getName() + "\" blipId=\"" + isBlipId() + "\"/>\n";
    }
}
