package org.apache.poi.ddf;

import org.apache.poi.util.HexDump;

public class EscherRGBProperty extends EscherSimpleProperty {
    public EscherRGBProperty(short propertyNumber, int rgbColor) {
        super(propertyNumber, rgbColor);
    }

    public int getRgbColor() {
        return this.propertyValue;
    }

    public byte getRed() {
        return (byte) (this.propertyValue & 255);
    }

    public byte getGreen() {
        return (byte) ((this.propertyValue >> 8) & 255);
    }

    public byte getBlue() {
        return (byte) ((this.propertyValue >> 16) & 255);
    }

    @Override // org.apache.poi.ddf.EscherProperty, org.apache.poi.ddf.EscherSimpleProperty
    public String toXml(String tab) {
        return tab + "<" + getClass().getSimpleName() + " id=\"0x" + HexDump.toHex(getId()) + "\" name=\"" + getName() + "\" blipId=\"" + isBlipId() + "\" value=\"0x" + HexDump.toHex(this.propertyValue) + "\"/>\n";
    }
}
