package org.apache.poi.hpsf;

import org.apache.poi.util.Internal;
import org.apache.poi.util.LittleEndian;
import org.apache.poi.util.POILogFactory;
import org.apache.poi.util.POILogger;

/* access modifiers changed from: package-private */
@Internal
public class VariantBool {
    static final int SIZE = 2;
    private static final POILogger logger = POILogFactory.getLogger(VariantBool.class);
    private boolean _value;

    VariantBool(byte[] data, int offset) {
        short value = LittleEndian.getShort(data, offset);
        switch (value) {
            case -1:
                this._value = true;
                return;
            case 0:
                this._value = false;
                return;
            default:
                POILogger pOILogger = logger;
                pOILogger.log(5, "VARIANT_BOOL value '" + ((int) value) + "' is incorrect");
                this._value = true;
                return;
        }
    }

    /* access modifiers changed from: package-private */
    public boolean getValue() {
        return this._value;
    }

    /* access modifiers changed from: package-private */
    public void setValue(boolean value) {
        this._value = value;
    }
}
