package org.apache.poi.hpsf;

import com.sec.factory.modules.ModuleDevice;
import org.apache.poi.util.Internal;
import org.apache.poi.util.LittleEndian;

/* access modifiers changed from: package-private */
@Internal
public class Vector {
    private final short _type;
    private TypedPropertyValue[] _values;

    Vector(byte[] data, int startOffset, short type) {
        this._type = type;
        read(data, startOffset);
    }

    Vector(short type) {
        this._type = type;
    }

    /* access modifiers changed from: package-private */
    public int read(byte[] data, int startOffset) {
        long longLength = LittleEndian.getUInt(data, startOffset);
        int offset = startOffset + 4;
        if (longLength <= ModuleDevice.TIMELESS_VIBRATOR) {
            int length = (int) longLength;
            this._values = new TypedPropertyValue[length];
            if (this._type == 12) {
                for (int i = 0; i < length; i++) {
                    TypedPropertyValue value = new TypedPropertyValue();
                    offset += value.read(data, offset);
                    this._values[i] = value;
                }
            } else {
                for (int i2 = 0; i2 < length; i2++) {
                    TypedPropertyValue value2 = new TypedPropertyValue(this._type, (Object) null);
                    offset += value2.readValue(data, offset);
                    this._values[i2] = value2;
                }
            }
            return offset - startOffset;
        }
        throw new UnsupportedOperationException("Vector is too long -- " + longLength);
    }

    /* access modifiers changed from: package-private */
    public TypedPropertyValue[] getValues() {
        return this._values;
    }
}
