package org.apache.poi.hpsf.wellknown;

import com.google.common.base.Ascii;
import com.sec.factory.app.factorytest.FactoryTestManager;
import java.util.HashMap;
import org.apache.poi.ss.formula.ptg.AreaErrPtg;
import org.apache.poi.util.StringUtil;

public class SectionIDMap extends HashMap {
    public static final byte[][] DOCUMENT_SUMMARY_INFORMATION_ID = {new byte[]{-43, -51, -43, 2, 46, -100, 16, Ascii.ESC, -109, -105, 8, 0, AreaErrPtg.sid, 44, -7, -82}, new byte[]{-43, -51, -43, 5, 46, -100, 16, Ascii.ESC, -109, -105, 8, 0, AreaErrPtg.sid, 44, -7, -82}};
    public static final byte[] SUMMARY_INFORMATION_ID = {-14, -97, -123, -32, FactoryTestManager.TEST_OTG3, -7, 16, FactoryTestManager.TEST_ACC_COVER, -85, -111, 8, 0, AreaErrPtg.sid, FactoryTestManager.TEST_CHARGE_NFC_READ, -77, -39};
    public static final String UNDEFINED = "[undefined]";
    private static SectionIDMap defaultMap;

    public static SectionIDMap getInstance() {
        if (defaultMap == null) {
            SectionIDMap m = new SectionIDMap();
            m.put(SUMMARY_INFORMATION_ID, PropertyIDMap.getSummaryInformationProperties());
            m.put(DOCUMENT_SUMMARY_INFORMATION_ID[0], PropertyIDMap.getDocumentSummaryInformationProperties());
            defaultMap = m;
        }
        return defaultMap;
    }

    public static String getPIDString(byte[] sectionFormatID, long pid) {
        String s;
        PropertyIDMap m = getInstance().get(sectionFormatID);
        if (m == null || (s = (String) m.get(pid)) == null) {
            return UNDEFINED;
        }
        return s;
    }

    public PropertyIDMap get(byte[] sectionFormatID) {
        return (PropertyIDMap) super.get(new String(sectionFormatID, StringUtil.UTF8));
    }

    public PropertyIDMap put(byte[] sectionFormatID, PropertyIDMap propertyIDMap) {
        return (PropertyIDMap) super.put((Object) new String(sectionFormatID, StringUtil.UTF8), (Object) propertyIDMap);
    }

    /* access modifiers changed from: protected */
    public PropertyIDMap put(String key, PropertyIDMap value) {
        return (PropertyIDMap) super.put((Object) key, (Object) value);
    }
}
