package org.apache.poi.hssf.record;

import org.apache.poi.util.HexDump;

public final class OldSheetRecord {
    public static final short sid = 133;
    private CodepageRecord codepage;
    private int field_1_position_of_BOF;
    private int field_2_visibility;
    private int field_3_type;
    private byte[] field_5_sheetname;

    public OldSheetRecord(RecordInputStream in) {
        this.field_1_position_of_BOF = in.readInt();
        this.field_2_visibility = in.readUByte();
        this.field_3_type = in.readUByte();
        int field_4_sheetname_length = in.readUByte();
        byte[] bArr = new byte[field_4_sheetname_length];
        this.field_5_sheetname = bArr;
        in.read(bArr, 0, field_4_sheetname_length);
    }

    public void setCodePage(CodepageRecord codepage2) {
        this.codepage = codepage2;
    }

    public short getSid() {
        return 133;
    }

    public int getPositionOfBof() {
        return this.field_1_position_of_BOF;
    }

    public String getSheetname() {
        return OldStringRecord.getString(this.field_5_sheetname, this.codepage);
    }

    public String toString() {
        StringBuffer buffer = new StringBuffer();
        buffer.append("[BOUNDSHEET]\n");
        buffer.append("    .bof        = ");
        buffer.append(HexDump.intToHex(getPositionOfBof()));
        buffer.append("\n");
        buffer.append("    .visibility = ");
        buffer.append(HexDump.shortToHex(this.field_2_visibility));
        buffer.append("\n");
        buffer.append("    .type       = ");
        buffer.append(HexDump.byteToHex(this.field_3_type));
        buffer.append("\n");
        buffer.append("    .sheetname  = ");
        buffer.append(getSheetname());
        buffer.append("\n");
        buffer.append("[/BOUNDSHEET]\n");
        return buffer.toString();
    }
}
