package org.apache.poi.hssf.record;

import org.apache.poi.hssf.record.common.UnicodeString;
import org.apache.poi.util.IntMapper;
import org.apache.poi.util.POILogFactory;
import org.apache.poi.util.POILogger;

/* access modifiers changed from: package-private */
public class SSTDeserializer {
    private static POILogger logger = POILogFactory.getLogger(SSTDeserializer.class);
    private IntMapper<UnicodeString> strings;

    public SSTDeserializer(IntMapper<UnicodeString> strings2) {
        this.strings = strings2;
    }

    public void manufactureStrings(int stringCount, RecordInputStream in) {
        UnicodeString str;
        for (int i = 0; i < stringCount; i++) {
            if (in.available() != 0 || in.hasNextRecord()) {
                str = new UnicodeString(in);
            } else {
                POILogger pOILogger = logger;
                pOILogger.log(7, "Ran out of data before creating all the strings! String at index " + i + "");
                str = new UnicodeString("");
            }
            addToStringTable(this.strings, str);
        }
    }

    public static void addToStringTable(IntMapper<UnicodeString> strings2, UnicodeString string) {
        strings2.add(string);
    }
}
