package org.apache.poi.poifs.crypt;

import org.apache.poi.EncryptedDocumentException;

public enum CipherProvider {
    rc4("RC4", 1, "Microsoft Base Cryptographic Provider v1.0"),
    aes("AES", 24, "Microsoft Enhanced RSA and AES Cryptographic Provider");
    
    public final String cipherProviderName;
    public final int ecmaId;
    public final String jceId;

    public static CipherProvider fromEcmaId(int ecmaId2) {
        CipherProvider[] arr$ = values();
        for (CipherProvider cp : arr$) {
            if (cp.ecmaId == ecmaId2) {
                return cp;
            }
        }
        throw new EncryptedDocumentException("cipher provider not found");
    }

    private CipherProvider(String jceId2, int ecmaId2, String cipherProviderName2) {
        this.jceId = jceId2;
        this.ecmaId = ecmaId2;
        this.cipherProviderName = cipherProviderName2;
    }
}
