package org.apache.poi.sl.draw;

import java.awt.Graphics2D;
import java.awt.Shape;
import java.util.ArrayList;
import java.util.Collection;
import java.util.List;
import org.apache.poi.sl.draw.geom.Outline;
import org.apache.poi.sl.draw.geom.Path;
import org.apache.poi.sl.usermodel.FillStyle;
import org.apache.poi.sl.usermodel.FreeformShape;
import org.apache.poi.sl.usermodel.StrokeStyle;

public class DrawFreeformShape extends DrawAutoShape {
    public DrawFreeformShape(FreeformShape<?, ?> shape) {
        super(shape);
    }

    /* access modifiers changed from: protected */
    @Override // org.apache.poi.sl.draw.DrawSimpleShape
    public Collection<Outline> computeOutlines(Graphics2D graphics) {
        List<Outline> lst = new ArrayList<>();
        Shape sh = getShape().getPath();
        FillStyle fs = getShape().getFillStyle();
        StrokeStyle ss = getShape().getStrokeStyle();
        boolean z = true;
        boolean z2 = fs != null;
        if (ss == null) {
            z = false;
        }
        lst.add(new Outline(sh, new Path(z2, z)));
        return lst;
    }

    /* access modifiers changed from: protected */
    @Override // org.apache.poi.sl.draw.DrawShape, org.apache.poi.sl.draw.DrawTextShape, org.apache.poi.sl.draw.DrawTextShape, org.apache.poi.sl.draw.DrawTextShape, org.apache.poi.sl.draw.DrawSimpleShape, org.apache.poi.sl.draw.DrawSimpleShape
    public FreeformShape<?, ?> getShape() {
        return (FreeformShape) this.shape;
    }
}
