package org.apache.poi.sl.draw.geom;

import org.apache.poi.sl.draw.binding.CTGeomGuide;

public class Guide extends Formula {
    private Expression expr;
    private String fmla;
    private String name;

    public Guide(CTGeomGuide gd) {
        this(gd.getName(), gd.getFmla());
    }

    public Guide(String nm, String fm) {
        this.name = nm;
        this.fmla = fm;
        this.expr = ExpressionParser.parse(fm);
    }

    /* access modifiers changed from: package-private */
    @Override // org.apache.poi.sl.draw.geom.Formula
    public String getName() {
        return this.name;
    }

    /* access modifiers changed from: package-private */
    public String getFormula() {
        return this.fmla;
    }

    @Override // org.apache.poi.sl.draw.geom.Formula
    public double evaluate(Context ctx) {
        return this.expr.evaluate(ctx);
    }
}
