package org.apache.poi.sl.usermodel;

public interface LineDecoration {
    DecorationSize getHeadLength();

    DecorationShape getHeadShape();

    DecorationSize getHeadWidth();

    DecorationSize getTailLength();

    DecorationShape getTailShape();

    DecorationSize getTailWidth();

    public enum DecorationShape {
        NONE(0, 1),
        TRIANGLE(1, 2),
        STEALTH(2, 3),
        DIAMOND(3, 4),
        OVAL(4, 5),
        ARROW(5, 6);
        
        public final int nativeId;
        public final int ooxmlId;

        private DecorationShape(int nativeId2, int ooxmlId2) {
            this.nativeId = nativeId2;
            this.ooxmlId = ooxmlId2;
        }

        public static DecorationShape fromNativeId(int nativeId2) {
            DecorationShape[] arr$ = values();
            for (DecorationShape ld : arr$) {
                if (ld.nativeId == nativeId2) {
                    return ld;
                }
            }
            return null;
        }

        public static DecorationShape fromOoxmlId(int ooxmlId2) {
            DecorationShape[] arr$ = values();
            for (DecorationShape ds : arr$) {
                if (ds.ooxmlId == ooxmlId2) {
                    return ds;
                }
            }
            return null;
        }
    }

    public enum DecorationSize {
        SMALL(0, 1),
        MEDIUM(1, 2),
        LARGE(2, 3);
        
        public final int nativeId;
        public final int ooxmlId;

        private DecorationSize(int nativeId2, int ooxmlId2) {
            this.nativeId = nativeId2;
            this.ooxmlId = ooxmlId2;
        }

        public static DecorationSize fromNativeId(int nativeId2) {
            DecorationSize[] arr$ = values();
            for (DecorationSize ld : arr$) {
                if (ld.nativeId == nativeId2) {
                    return ld;
                }
            }
            return null;
        }

        public static DecorationSize fromOoxmlId(int ooxmlId2) {
            DecorationSize[] arr$ = values();
            for (DecorationSize ds : arr$) {
                if (ds.ooxmlId == ooxmlId2) {
                    return ds;
                }
            }
            return null;
        }
    }
}
