package org.apache.poi.ss.format;

import org.apache.poi.ss.format.CellNumberFormatter;
import org.apache.poi.util.Internal;

@Internal
public class CellNumberStringMod implements Comparable<CellNumberStringMod> {
    public static final int AFTER = 2;
    public static final int BEFORE = 1;
    public static final int REPLACE = 3;
    private CellNumberFormatter.Special end;
    private boolean endInclusive;
    private final int op;
    private final CellNumberFormatter.Special special;
    private boolean startInclusive;
    private CharSequence toAdd;

    public CellNumberStringMod(CellNumberFormatter.Special special2, CharSequence toAdd2, int op2) {
        this.special = special2;
        this.toAdd = toAdd2;
        this.op = op2;
    }

    public CellNumberStringMod(CellNumberFormatter.Special start, boolean startInclusive2, CellNumberFormatter.Special end2, boolean endInclusive2, char toAdd2) {
        this(start, startInclusive2, end2, endInclusive2);
        this.toAdd = toAdd2 + "";
    }

    public CellNumberStringMod(CellNumberFormatter.Special start, boolean startInclusive2, CellNumberFormatter.Special end2, boolean endInclusive2) {
        this.special = start;
        this.startInclusive = startInclusive2;
        this.end = end2;
        this.endInclusive = endInclusive2;
        this.op = 3;
        this.toAdd = "";
    }

    public int compareTo(CellNumberStringMod that) {
        int diff = this.special.pos - that.special.pos;
        return diff != 0 ? diff : this.op - that.op;
    }

    public boolean equals(Object that) {
        try {
            return compareTo((CellNumberStringMod) that) == 0;
        } catch (RuntimeException e) {
            return false;
        }
    }

    public int hashCode() {
        return this.special.hashCode() + this.op;
    }

    public CellNumberFormatter.Special getSpecial() {
        return this.special;
    }

    public int getOp() {
        return this.op;
    }

    public CharSequence getToAdd() {
        return this.toAdd;
    }

    public CellNumberFormatter.Special getEnd() {
        return this.end;
    }

    public boolean isStartInclusive() {
        return this.startInclusive;
    }

    public boolean isEndInclusive() {
        return this.endInclusive;
    }
}
