package org.apache.poi.ss.formula;

public class SheetRangeIdentifier extends SheetIdentifier {
    public NameIdentifier _lastSheetIdentifier;

    public SheetRangeIdentifier(String bookName, NameIdentifier firstSheetIdentifier, NameIdentifier lastSheetIdentifier) {
        super(bookName, firstSheetIdentifier);
        this._lastSheetIdentifier = lastSheetIdentifier;
    }

    public NameIdentifier getFirstSheetIdentifier() {
        return super.getSheetIdentifier();
    }

    public NameIdentifier getLastSheetIdentifier() {
        return this._lastSheetIdentifier;
    }

    /* access modifiers changed from: protected */
    @Override // org.apache.poi.ss.formula.SheetIdentifier
    public void asFormulaString(StringBuffer sb) {
        super.asFormulaString(sb);
        sb.append(':');
        if (this._lastSheetIdentifier.isQuoted()) {
            sb.append("'");
            sb.append(this._lastSheetIdentifier.getName());
            sb.append("'");
            return;
        }
        sb.append(this._lastSheetIdentifier.getName());
    }
}
