package org.apache.poi.ss.formula.functions;

public class BaseNumberUtils {
    public static double convertToDecimal(String value, int base, int maxNumberOfPlaces) throws IllegalArgumentException {
        long digit;
        if (value == null || value.length() == 0) {
            return 0.0d;
        }
        long stringLength = (long) value.length();
        if (stringLength <= ((long) maxNumberOfPlaces)) {
            double decimalValue = 0.0d;
            long signedDigit = 0;
            boolean hasSignedDigit = true;
            char[] characters = value.toCharArray();
            char[] arr$ = characters;
            int len$ = arr$.length;
            int i$ = 0;
            while (i$ < len$) {
                char character = arr$[i$];
                if ('0' <= character && character <= '9') {
                    digit = (long) (character - '0');
                } else if ('A' <= character && character <= 'Z') {
                    digit = (long) ((character - 'A') + 10);
                } else if ('a' > character || character > 'z') {
                    digit = (long) base;
                } else {
                    digit = (long) ((character - 'a') + 10);
                }
                if (digit < ((long) base)) {
                    if (hasSignedDigit) {
                        hasSignedDigit = false;
                        signedDigit = digit;
                    }
                    decimalValue = (((double) base) * decimalValue) + ((double) digit);
                    i$++;
                    arr$ = arr$;
                    signedDigit = signedDigit;
                    characters = characters;
                } else {
                    throw new IllegalArgumentException("character not allowed");
                }
            }
            if (!hasSignedDigit && stringLength == ((long) maxNumberOfPlaces) && signedDigit >= ((long) (base / 2))) {
                return getTwoComplement((double) base, (double) maxNumberOfPlaces, decimalValue) * -1.0d;
            }
            return decimalValue;
        }
        throw new IllegalArgumentException();
    }

    private static double getTwoComplement(double base, double maxNumberOfPlaces, double decimalValue) {
        return Math.pow(base, maxNumberOfPlaces) - decimalValue;
    }
}
