package org.apache.poi.ss.formula.functions;

import org.apache.poi.ss.formula.functions.NumericFunction;

public final class Odd extends NumericFunction.OneArg {
    private static final long PARITY_MASK = -2;

    /* access modifiers changed from: protected */
    @Override // org.apache.poi.ss.formula.functions.NumericFunction.OneArg
    public double evaluate(double d) {
        if (d == 0.0d) {
            return 1.0d;
        }
        return (double) (d > 0.0d ? calcOdd(d) : -calcOdd(-d));
    }

    private static long calcOdd(double d) {
        double dpm1 = 1.0d + d;
        long x = ((long) dpm1) & PARITY_MASK;
        return Double.compare((double) x, dpm1) == 0 ? x - 1 : x + 1;
    }
}
