package org.apache.poi.ss.usermodel;

public enum CellType {
    _NONE(-1),
    NUMERIC(0),
    STRING(1),
    FORMULA(2),
    BLANK(3),
    BOOLEAN(4),
    ERROR(5);
    
    private final int code;

    private CellType(int code2) {
        this.code = code2;
    }

    public static CellType forInt(int code2) {
        CellType[] arr$ = values();
        for (CellType type : arr$) {
            if (type.code == code2) {
                return type;
            }
        }
        throw new IllegalArgumentException("Invalid CellType code: " + code2);
    }

    public int getCode() {
        return this.code;
    }
}
