package org.apache.poi.ss.usermodel;

import java.util.HashMap;
import java.util.Map;

public class ConditionType {
    public static final ConditionType CELL_VALUE_IS = new ConditionType(1, "cellIs");
    public static final ConditionType COLOR_SCALE = new ConditionType(3, "colorScale");
    public static final ConditionType DATA_BAR = new ConditionType(4, "dataBar");
    public static final ConditionType FILTER = new ConditionType(5, null);
    public static final ConditionType FORMULA = new ConditionType(2, "expression");
    public static final ConditionType ICON_SET = new ConditionType(6, "iconSet");
    private static Map<Integer, ConditionType> lookup = new HashMap();
    public final byte id;
    public final String type;

    public String toString() {
        return ((int) this.id) + " - " + this.type;
    }

    public static ConditionType forId(byte id2) {
        return forId((int) id2);
    }

    public static ConditionType forId(int id2) {
        return lookup.get(Integer.valueOf(id2));
    }

    private ConditionType(int id2, String type2) {
        this.id = (byte) id2;
        this.type = type2;
        lookup.put(Integer.valueOf(id2), this);
    }
}
