package org.apache.poi.ss.usermodel;

public interface ConditionalFormattingThreshold {
    String getFormula();

    RangeType getRangeType();

    Double getValue();

    void setFormula(String str);

    void setRangeType(RangeType rangeType);

    void setValue(Double d);

    public enum RangeType {
        NUMBER(1, "num"),
        MIN(2, "min"),
        MAX(3, "max"),
        PERCENT(4, "percent"),
        PERCENTILE(5, "percentile"),
        UNALLOCATED(6, null),
        FORMULA(7, "formula");
        
        public final int id;
        public final String name;

        public String toString() {
            return this.id + " - " + this.name;
        }

        public static RangeType byId(int id2) {
            return values()[id2 - 1];
        }

        public static RangeType byName(String name2) {
            RangeType[] arr$ = values();
            for (RangeType t : arr$) {
                if (t.name.equals(name2)) {
                    return t;
                }
            }
            return null;
        }

        private RangeType(int id2, String name2) {
            this.id = id2;
            this.name = name2;
        }
    }
}
