package org.apache.poi.ss.usermodel;

public enum PrintOrientation {
    DEFAULT(1),
    PORTRAIT(2),
    LANDSCAPE(3);
    
    private static PrintOrientation[] _table = new PrintOrientation[4];
    private int orientation;

    static {
        PrintOrientation[] arr$ = values();
        for (PrintOrientation c : arr$) {
            _table[c.getValue()] = c;
        }
    }

    private PrintOrientation(int orientation2) {
        this.orientation = orientation2;
    }

    public int getValue() {
        return this.orientation;
    }

    public static PrintOrientation valueOf(int value) {
        return _table[value];
    }
}
