package org.apache.poi.util;

public class Configurator {
    private static POILogger logger = POILogFactory.getLogger(Configurator.class);

    public static int getIntValue(String systemProperty, int defaultValue) {
        String property = System.getProperty(systemProperty);
        try {
            return Integer.parseInt(property);
        } catch (Exception e) {
            POILogger pOILogger = logger;
            pOILogger.log(7, "System property -D" + systemProperty + " do not contains a valid integer " + property);
            return defaultValue;
        }
    }
}
