package sec.audio.solution;

import java.io.PrintStream;
import java.lang.reflect.Array;

public class FactoryFREQ {
    private int FFT_SIZE = 4096;
    private int FRAME_SIZE = 2560;
    private int FS = 16000;
    private float[] Freq_Eng;
    private int LIMIT_DB = -100;
    private int MAX_16 = 32768;
    private float[][][] MIC_His_Calc_Freq;
    private int[] MIC_His_Calc_Freq_cnt;
    private int NUM_BAND = 5;
    private int NUM_FRAME = 1000;
    private int NUM_MIC = 0;
    private double PI = 3.141592d;
    private int[] center_freq = {200, 500, 1000, 2000, 3000};
    private int fft_n;

    public void Calc_Set_MIC(int nNum_Mic) {
        this.NUM_MIC = nNum_Mic;
    }

    public void Calc_FREQ_init() {
        if (this.NUM_MIC == 0) {
            this.NUM_MIC = 2;
        }
        int i = this.NUM_MIC;
        this.MIC_His_Calc_Freq_cnt = new int[i];
        int i2 = this.NUM_BAND;
        this.Freq_Eng = new float[i2];
        int i3 = this.NUM_FRAME;
        int[] iArr = new int[3];
        iArr[2] = i2;
        iArr[1] = i3;
        iArr[0] = i;
        this.MIC_His_Calc_Freq = (float[][][]) Array.newInstance(float.class, iArr);
        int i4 = 0;
        while (i4 < this.NUM_MIC) {
            this.MIC_His_Calc_Freq_cnt[i4] = 0;
            int j = 0;
            while (i4 < this.NUM_FRAME) {
                while (j < this.NUM_BAND) {
                    this.MIC_His_Calc_Freq[i4][j][0] = 0.0f;
                    j++;
                }
                i4++;
            }
            i4++;
        }
        for (int i5 = 0; i5 < this.NUM_BAND; i5++) {
            this.Freq_Eng[i5] = 0.0f;
        }
        int m = this.FFT_SIZE;
        this.fft_n = 0;
        while (m > 1) {
            m /= 2;
            this.fft_n++;
        }
    }

    public void Calc_CenterFreq_Eng_exe(short[] inbuf, long Buf_Size, long fft_size, long Sampling_rate) {
        int i = this.NUM_MIC;
        int[] iArr = new int[2];
        iArr[1] = this.FFT_SIZE;
        iArr[0] = i;
        float[][] MIC_Re = (float[][]) Array.newInstance(float.class, iArr);
        int i2 = this.NUM_MIC;
        int[] iArr2 = new int[2];
        iArr2[1] = this.FFT_SIZE;
        iArr2[0] = i2;
        float[][] MIC_Im = (float[][]) Array.newInstance(float.class, iArr2);
        int i3 = this.NUM_MIC;
        int[] iArr3 = new int[2];
        iArr3[1] = this.FFT_SIZE / 2;
        iArr3[0] = i3;
        float[][] MIC_bin_eng = (float[][]) Array.newInstance(float.class, iArr3);
        int[] center_indx = new int[this.NUM_BAND];
        float Freq_res = ((float) (this.FFT_SIZE / 2)) / ((float) (Sampling_rate / 2));
        int i4 = 0;
        while (i4 < this.NUM_MIC) {
            for (int j = 0; j < this.FFT_SIZE; j++) {
                MIC_Re[i4][j] = 0.0f;
                MIC_Im[i4][j] = 0.0f;
            }
            int j2 = 0;
            while (true) {
                int i5 = this.NUM_MIC;
                if (((long) j2) >= Buf_Size / ((long) i5)) {
                    break;
                }
                MIC_Re[i4][j2] = ((float) inbuf[(i5 * j2) + i4]) / ((float) this.MAX_16);
                MIC_Re[i4][j2] = MIC_Re[i4][j2] * ((float) (0.54d - (Math.cos(((this.PI * 2.0d) * ((double) j2)) / ((double) (Buf_Size / ((long) i5)))) * 0.46d)));
                MIC_Im[i4][j2] = 0.0f;
                j2++;
                i4 = i4;
            }
            FFT(1, this.fft_n, MIC_Re[i4], MIC_Im[i4]);
            for (int j3 = 0; ((long) j3) < fft_size / 2; j3++) {
                float Freq_pow = (MIC_Re[i4][j3] * MIC_Re[i4][j3]) + (MIC_Im[i4][j3] * MIC_Im[i4][j3]);
                if (Freq_pow == 0.0f) {
                    MIC_bin_eng[i4][j3] = -100.0f;
                } else {
                    MIC_bin_eng[i4][j3] = ((float) Math.log10((double) Freq_pow)) * 10.0f;
                }
            }
            for (int k = 0; k < this.NUM_BAND; k++) {
                center_indx[k] = (int) ((((float) this.center_freq[k]) * Freq_res) + 0.5f);
                this.Freq_Eng[k] = MIC_bin_eng[i4][center_indx[k]];
            }
            for (int k2 = 0; k2 < this.NUM_BAND; k2++) {
                float[] fArr = this.Freq_Eng;
                float f = fArr[k2];
                int i6 = this.LIMIT_DB;
                if (f < ((float) i6)) {
                    this.MIC_His_Calc_Freq[i4][this.MIC_His_Calc_Freq_cnt[i4]][k2] = (float) i6;
                } else {
                    this.MIC_His_Calc_Freq[i4][this.MIC_His_Calc_Freq_cnt[i4]][k2] = fArr[k2];
                }
            }
            int[] iArr4 = this.MIC_His_Calc_Freq_cnt;
            iArr4[i4] = iArr4[i4] + 1;
            i4++;
        }
    }

    public void FFT(short dir, int m, float[] x, float[] y) {
        int n = 1;
        for (int i = 0; i < m; i++) {
            n *= 2;
        }
        int i2 = n >> 1;
        int j = 0;
        for (int i3 = 0; i3 < n - 1; i3++) {
            y[i3] = 0.0f;
            if (i3 < j) {
                float tx = x[i3];
                float ty = y[i3];
                x[i3] = x[j];
                y[i3] = y[j];
                x[j] = tx;
                y[j] = ty;
            }
            int k = i2;
            while (k <= j) {
                j -= k;
                k >>= 1;
            }
            j += k;
        }
        float c1 = -1.0f;
        float c2 = 0.0f;
        int l2 = 1;
        for (int l = 0; l < m; l++) {
            l2 <<= 1;
            float u1 = 1.0f;
            float u2 = 0.0f;
            for (int j2 = 0; j2 < l2; j2++) {
                for (int i4 = j2; i4 < n; i4 += l2) {
                    int i1 = i4 + l2;
                    float t1 = (x[i1] * u1) - (y[i1] * u2);
                    float t2 = (y[i1] * u1) + (x[i1] * u2);
                    x[i1] = x[i4] - t1;
                    y[i1] = y[i4] - t2;
                    x[i4] = x[i4] + t1;
                    y[i4] = y[i4] + t2;
                }
                float z = (u1 * c1) - (u2 * c2);
                u2 = (u1 * c2) + (u2 * c1);
                u1 = z;
            }
            c2 = (float) Math.sqrt((double) ((1.0f - c1) / 2.0f));
            if (dir == 1) {
                c2 = -c2;
            }
            c1 = (float) Math.sqrt((double) ((c1 + 1.0f) / 2.0f));
        }
        if (dir == 1) {
            for (int i5 = 0; i5 < n; i5++) {
                x[i5] = x[i5] / ((float) n);
                y[i5] = y[i5] / ((float) n);
            }
        }
    }

    public void Calc_FREQ_deinit(short[][] Freq) {
        int[] iArr;
        for (int i = 0; i < this.NUM_MIC; i++) {
            for (int j = 0; j < this.NUM_BAND; j++) {
                float Freq_tmp = 0.0f;
                int k = 0;
                while (true) {
                    iArr = this.MIC_His_Calc_Freq_cnt;
                    if (k >= iArr[i]) {
                        break;
                    }
                    Freq_tmp += this.MIC_His_Calc_Freq[i][k][j];
                    k++;
                }
                if (iArr[i] == 0) {
                    Freq[i][j] = 0;
                } else {
                    Freq[i][j] = (short) ((int) ((Freq_tmp / ((float) iArr[i])) + 100.0f));
                }
            }
        }
        for (int i2 = 0; i2 < this.NUM_MIC; i2++) {
            PrintStream printStream = System.out;
            printStream.println("MIC_" + i2 + 1 + "Freq Power");
            for (int j2 = 0; j2 < this.NUM_BAND; j2++) {
                PrintStream printStream2 = System.out;
                printStream2.println(this.center_freq[j2] + " Hz = " + ((int) Freq[i2][j2]));
            }
            System.out.println("");
        }
    }
}
