package sec.audio.solution;

import java.io.PrintStream;
import java.lang.reflect.Array;

public class FactoryMulti_RMS {
    private int FRAME_SIZE = 2560;
    private int LIMIT_DB = -100;
    private int MAX_16 = 32768;
    private float[][] MIC_His_Calc_RMS;
    private int[] MIC_His_Calc_RMS_cnt;
    private int NUM_FRAME = 1000;
    private int NUM_MIC = 0;
    private int fft_n;

    public void Calc_Set_MIC(int nNum_Mic) {
        this.NUM_MIC = nNum_Mic;
    }

    public void Calc_RMS_init() {
        if (this.NUM_MIC == 0) {
            this.NUM_MIC = 2;
        }
        int i = this.NUM_MIC;
        this.MIC_His_Calc_RMS_cnt = new int[i];
        int[] iArr = new int[2];
        iArr[1] = this.NUM_FRAME;
        iArr[0] = i;
        this.MIC_His_Calc_RMS = (float[][]) Array.newInstance(float.class, iArr);
        for (int i2 = 0; i2 < this.NUM_MIC; i2++) {
            this.MIC_His_Calc_RMS_cnt[i2] = 0;
            for (int j = 0; j < this.NUM_MIC; j++) {
                this.MIC_His_Calc_RMS[i2][j] = 0.0f;
            }
        }
    }

    public void Calc_RMS_exe(short[] inbuf, long Buf_Size) {
        int i;
        for (int i2 = 0; i2 < this.NUM_MIC; i2++) {
            float tmp_sum = 0.0f;
            int j = 0;
            while (true) {
                i = this.NUM_MIC;
                if (((long) j) >= Buf_Size / ((long) i)) {
                    break;
                }
                tmp_sum += (float) Math.pow((double) (((float) inbuf[(i * j) + i2]) / ((float) this.MAX_16)), 2.0d);
                j++;
            }
            if (tmp_sum == 0.0f) {
                float[] fArr = this.MIC_His_Calc_RMS[i2];
                int[] iArr = this.MIC_His_Calc_RMS_cnt;
                int i3 = iArr[i2];
                iArr[i2] = i3 + 1;
                fArr[i3] = (float) this.LIMIT_DB;
            } else {
                float[] fArr2 = this.MIC_His_Calc_RMS[i2];
                int[] iArr2 = this.MIC_His_Calc_RMS_cnt;
                int i4 = iArr2[i2];
                iArr2[i2] = i4 + 1;
                fArr2[i4] = ((float) Math.log10(Math.sqrt((double) (tmp_sum / ((float) (Buf_Size / ((long) i))))))) * 20.0f;
            }
        }
    }

    public void Calc_RMS_deinit(short[] MIC_RMS_outputs) {
        int[] iArr;
        for (int i = 0; i < this.NUM_MIC; i++) {
            float MIC_Result = 0.0f;
            int j = 0;
            while (true) {
                iArr = this.MIC_His_Calc_RMS_cnt;
                if (j >= iArr[i]) {
                    break;
                }
                MIC_Result += this.MIC_His_Calc_RMS[i][j];
                j++;
            }
            if (iArr[i] == 0) {
                MIC_RMS_outputs[i] = 0;
            } else {
                MIC_RMS_outputs[i] = (short) ((int) ((MIC_Result / ((float) iArr[i])) + 100.0f));
            }
        }
        for (int i2 = 0; i2 < this.NUM_MIC; i2++) {
            PrintStream printStream = System.out;
            printStream.println("MIC_" + i2 + " RMS : " + ((int) MIC_RMS_outputs[i2]));
        }
    }
}
