package sec.audio.solution;

import com.google.common.primitives.UnsignedBytes;
import java.io.PrintStream;
import java.lang.reflect.Array;

public class FactoryRMS {
    public final int BIG_EDIAN = 1;
    private int FFT_SIZE = 4096;
    private int FRAME_SIZE = 2560;
    private int FS = 16000;
    private int Fund = 1000;
    private int HARMONIC_ORDER = 5;
    private int LIMIT_DB = -100;
    public float[] L_Freq_Eng = new float[5];
    public int L_His_Calc_FREQ_cnt = 0;
    public float[][] L_His_Calc_Freq;
    private double[] L_His_Calc_RMS;
    private int L_His_Calc_RMS_cnt;
    public float[] L_inbuf_Calc_Freq;
    private double[] L_inbuf_Calc_RMS;
    public final int Little_EDIAN = 2;
    private int M = 15;
    private float[] MIC_1_His_Calc_THDRMS;
    private int MIC_1_His_Calc_THDRMS_cnt = 0;
    private float[] MIC_1_History_THD;
    private int MIC_1_History_cnt = 0;
    private float[] MIC_1_inbuf_Calc_THDRMS;
    private float[] MIC_2_His_Calc_THDRMS;
    private int MIC_2_His_Calc_THDRMS_cnt = 0;
    private float[] MIC_2_History_THD;
    private int MIC_2_History_cnt = 0;
    private float[] MIC_2_inbuf_Calc_THDRMS;
    private float[] MIC_3_His_Calc_THDRMS;
    private int MIC_3_His_Calc_THDRMS_cnt = 0;
    private float[] MIC_3_History_THD;
    private int MIC_3_History_cnt = 0;
    private float[] MIC_3_inbuf_Calc_THDRMS;
    private float[] MIC_4_His_Calc_THDRMS;
    private int MIC_4_His_Calc_THDRMS_cnt = 0;
    private float[] MIC_4_History_THD;
    private int MIC_4_History_cnt = 0;
    private float[] MIC_4_inbuf_Calc_THDRMS;
    private int NUM_BAND = 5;
    private int NUM_MIC = 0;
    private double PI = 3.141592d;
    public float[] R_Freq_Eng = new float[5];
    public int R_His_Calc_FREQ_cnt = 0;
    public float[][] R_His_Calc_Freq;
    private double[] R_His_Calc_RMS;
    private int R_His_Calc_RMS_cnt;
    public float[] R_inbuf_Calc_Freq;
    private double[] R_inbuf_Calc_RMS;
    public int[] center_freq = {200, 500, 1000, 2000, 3000};
    public int fft_n;

    public void Calc_RMS_init(int Length) {
        this.L_His_Calc_RMS = new double[Length];
        this.R_His_Calc_RMS = new double[Length];
        this.L_inbuf_Calc_RMS = new double[Length];
        this.R_inbuf_Calc_RMS = new double[Length];
        for (int i = 0; i < Length; i++) {
            this.L_inbuf_Calc_RMS[i] = 0.0d;
            this.R_inbuf_Calc_RMS[i] = 0.0d;
            this.L_His_Calc_RMS[i] = 0.0d;
            this.R_His_Calc_RMS[i] = 0.0d;
        }
        this.L_His_Calc_RMS_cnt = 0;
        this.R_His_Calc_RMS_cnt = 0;
    }

    public void Calc_RMS_deinit(short[] LR_data) {
        double L_value = 0.0d;
        for (int i = 0; i < this.L_His_Calc_RMS_cnt; i++) {
            L_value += this.L_His_Calc_RMS[i];
        }
        double R_value = 0.0d;
        int i2 = 0;
        while (true) {
            int i3 = this.R_His_Calc_RMS_cnt;
            if (i2 < i3) {
                R_value += this.R_His_Calc_RMS[i2];
                i2++;
            } else {
                LR_data[0] = (short) (((short) ((int) ((L_value / ((double) this.L_His_Calc_RMS_cnt)) + 0.5d))) + 100);
                LR_data[1] = (short) (((short) ((int) ((R_value / ((double) i3)) + 0.5d))) + 100);
                this.L_inbuf_Calc_RMS = null;
                this.R_inbuf_Calc_RMS = null;
                this.L_His_Calc_RMS = null;
                this.R_His_Calc_RMS = null;
                return;
            }
        }
    }

    public void Calc_RMS_deinit(double[] LR_data) {
        double L_value = 0.0d;
        for (int i = 0; i < this.L_His_Calc_RMS_cnt; i++) {
            L_value += this.L_His_Calc_RMS[i];
        }
        double R_value = 0.0d;
        int i2 = 0;
        while (true) {
            int i3 = this.R_His_Calc_RMS_cnt;
            if (i2 < i3) {
                R_value += this.R_His_Calc_RMS[i2];
                i2++;
            } else {
                LR_data[0] = (L_value / ((double) this.L_His_Calc_RMS_cnt)) + 100.0d;
                LR_data[1] = (R_value / ((double) i3)) + 100.0d;
                this.L_inbuf_Calc_RMS = null;
                this.R_inbuf_Calc_RMS = null;
                this.L_His_Calc_RMS = null;
                this.R_His_Calc_RMS = null;
                return;
            }
        }
    }

    public static short readShort(byte[] data, int offset) {
        return (short) ((data[offset + 1] << 8) | (data[offset] & UnsignedBytes.MAX_VALUE));
    }

    public void Calc_RMS_exe(byte[] byte_inbuf, int Buf_Size) {
        short[] inbuf = new short[(Buf_Size / 2)];
        for (int i = 0; i < Buf_Size; i += 2) {
            inbuf[i / 2] = readShort(byte_inbuf, i);
        }
        for (int i2 = 0; i2 < Buf_Size / 4; i2++) {
            this.L_inbuf_Calc_RMS[i2] = ((double) inbuf[i2 * 2]) / 32768.0d;
            this.R_inbuf_Calc_RMS[i2] = ((double) inbuf[(i2 * 2) + 1]) / 32768.0d;
        }
        double tmp_sum = 0.0d;
        for (int i3 = 0; i3 < Buf_Size / 4; i3++) {
            tmp_sum += Math.pow(this.L_inbuf_Calc_RMS[i3], 2.0d);
        }
        if (tmp_sum == 0.0d) {
            double[] dArr = this.L_His_Calc_RMS;
            int i4 = this.L_His_Calc_RMS_cnt;
            this.L_His_Calc_RMS_cnt = i4 + 1;
            dArr[i4] = -90.0d;
        } else {
            double[] dArr2 = this.L_His_Calc_RMS;
            int i5 = this.L_His_Calc_RMS_cnt;
            this.L_His_Calc_RMS_cnt = i5 + 1;
            dArr2[i5] = (Math.log10(Math.sqrt((tmp_sum / ((double) Buf_Size)) / 2.0d)) * 20.0d) + 3.0d;
        }
        double tmp_sum2 = 0.0d;
        for (int i6 = 0; i6 < Buf_Size / 4; i6++) {
            tmp_sum2 += Math.pow(this.R_inbuf_Calc_RMS[i6], 2.0d);
        }
        if (tmp_sum2 == 0.0d) {
            double[] dArr3 = this.R_His_Calc_RMS;
            int i7 = this.R_His_Calc_RMS_cnt;
            this.R_His_Calc_RMS_cnt = i7 + 1;
            dArr3[i7] = -90.0d;
            return;
        }
        double[] dArr4 = this.R_His_Calc_RMS;
        int i8 = this.R_His_Calc_RMS_cnt;
        this.R_His_Calc_RMS_cnt = i8 + 1;
        dArr4[i8] = (Math.log10(Math.sqrt((tmp_sum2 / ((double) Buf_Size)) / 2.0d)) * 20.0d) + 3.0d;
    }

    public void Calc_FREQ_init(int Frame_Size, int fft_size, int[] frequency) {
        this.L_inbuf_Calc_Freq = new float[Frame_Size];
        this.R_inbuf_Calc_Freq = new float[Frame_Size];
        int[] iArr = new int[2];
        iArr[1] = 10;
        iArr[0] = Frame_Size;
        this.L_His_Calc_Freq = (float[][]) Array.newInstance(float.class, iArr);
        int[] iArr2 = new int[2];
        iArr2[1] = 10;
        iArr2[0] = Frame_Size;
        this.R_His_Calc_Freq = (float[][]) Array.newInstance(float.class, iArr2);
        for (int i = 0; i < Frame_Size; i++) {
            this.L_inbuf_Calc_Freq[i] = 0.0f;
            this.R_inbuf_Calc_Freq[i] = 0.0f;
            for (int j = 0; j < this.NUM_BAND; j++) {
                this.L_His_Calc_Freq[i][j] = 0.0f;
                this.R_His_Calc_Freq[i][j] = 0.0f;
            }
        }
        this.L_His_Calc_FREQ_cnt = 0;
        this.R_His_Calc_FREQ_cnt = 0;
        for (int i2 = 0; i2 < this.NUM_BAND; i2++) {
            this.L_Freq_Eng[i2] = 0.0f;
            this.R_Freq_Eng[i2] = 0.0f;
        }
        if (frequency != null) {
            for (int i3 = 0; i3 < this.NUM_BAND; i3++) {
                this.center_freq[i3] = frequency[i3];
            }
        }
        int m = fft_size;
        this.fft_n = 0;
        while (m > 1) {
            m /= 2;
            this.fft_n++;
        }
    }

    public void Calc_FREQ_deinit(int[] L_Freq, int[] R_Freq) {
        int i;
        int i2;
        for (int i3 = 0; i3 < this.NUM_BAND; i3++) {
            float L_Freq_tmp = 0.0f;
            int j = 0;
            while (true) {
                i2 = this.L_His_Calc_FREQ_cnt;
                if (j >= i2) {
                    break;
                }
                L_Freq_tmp += this.L_His_Calc_Freq[j][i3];
                j++;
            }
            L_Freq[i3] = ((int) ((L_Freq_tmp / ((float) i2)) + 0.5f)) + 100;
        }
        for (int i4 = 0; i4 < this.NUM_BAND; i4++) {
            float R_Freq_tmp = 0.0f;
            int j2 = 0;
            while (true) {
                i = this.R_His_Calc_FREQ_cnt;
                if (j2 >= i) {
                    break;
                }
                R_Freq_tmp += this.R_His_Calc_Freq[j2][i4];
                j2++;
            }
            R_Freq[i4] = ((int) ((R_Freq_tmp / ((float) i)) + 0.5f)) + 100;
        }
        System.out.println("Left Channel");
        for (int i5 = 0; i5 < this.NUM_BAND; i5++) {
            PrintStream printStream = System.out;
            printStream.println(this.center_freq[i5] + " Hz " + L_Freq[i5]);
        }
        System.out.println("\nRight channel");
        for (int i6 = 0; i6 < this.NUM_BAND; i6++) {
            PrintStream printStream2 = System.out;
            printStream2.println(this.center_freq[i6] + " Hz = " + R_Freq[i6]);
        }
        System.out.println("\n");
    }

    public void Calc_FREQ_deinit(float[] L_Freq, float[] R_Freq) {
        int i;
        int i2;
        for (int i3 = 0; i3 < this.NUM_BAND; i3++) {
            float L_Freq_tmp = 0.0f;
            int j = 0;
            while (true) {
                i2 = this.L_His_Calc_FREQ_cnt;
                if (j >= i2) {
                    break;
                }
                L_Freq_tmp += this.L_His_Calc_Freq[j][i3];
                j++;
            }
            L_Freq[i3] = (L_Freq_tmp / ((float) i2)) + 100.0f;
        }
        for (int i4 = 0; i4 < this.NUM_BAND; i4++) {
            float R_Freq_tmp = 0.0f;
            int j2 = 0;
            while (true) {
                i = this.R_His_Calc_FREQ_cnt;
                if (j2 >= i) {
                    break;
                }
                R_Freq_tmp += this.R_His_Calc_Freq[j2][i4];
                j2++;
            }
            R_Freq[i4] = (R_Freq_tmp / ((float) i)) + 100.0f;
        }
        System.out.println("Left Channel");
        for (int i5 = 0; i5 < this.NUM_BAND; i5++) {
            PrintStream printStream = System.out;
            printStream.println(this.center_freq[i5] + " Hz " + L_Freq[i5]);
        }
        System.out.println("\nRight channel");
        for (int i6 = 0; i6 < this.NUM_BAND; i6++) {
            PrintStream printStream2 = System.out;
            printStream2.println(this.center_freq[i6] + " Hz = " + R_Freq[i6]);
        }
        System.out.println("\n");
    }

    public void FFT(short dir, int m, float[] x, float[] y) {
        int n = 1;
        for (int i = 0; i < m; i++) {
            n *= 2;
        }
        int i2 = n >> 1;
        int j = 0;
        for (int i3 = 0; i3 < n - 1; i3++) {
            y[i3] = 0.0f;
            if (i3 < j) {
                float tx = x[i3];
                float ty = y[i3];
                x[i3] = x[j];
                y[i3] = y[j];
                x[j] = tx;
                y[j] = ty;
            }
            int k = i2;
            while (k <= j) {
                j -= k;
                k >>= 1;
            }
            j += k;
        }
        float c1 = -1.0f;
        float c2 = 0.0f;
        int l2 = 1;
        for (int l = 0; l < m; l++) {
            l2 <<= 1;
            float u1 = 1.0f;
            float u2 = 0.0f;
            for (int j2 = 0; j2 < l2; j2++) {
                for (int i4 = j2; i4 < n; i4 += l2) {
                    int i1 = i4 + l2;
                    float t1 = (x[i1] * u1) - (y[i1] * u2);
                    float t2 = (y[i1] * u1) + (x[i1] * u2);
                    x[i1] = x[i4] - t1;
                    y[i1] = y[i4] - t2;
                    x[i4] = x[i4] + t1;
                    y[i4] = y[i4] + t2;
                }
                float z = (u1 * c1) - (u2 * c2);
                u2 = (u1 * c2) + (u2 * c1);
                u1 = z;
            }
            c2 = (float) Math.sqrt((double) ((1.0f - c1) / 2.0f));
            if (dir == 1) {
                c2 = -c2;
            }
            c1 = (float) Math.sqrt((double) ((c1 + 1.0f) / 2.0f));
        }
        if (dir == 1) {
            for (int i5 = 0; i5 < n; i5++) {
                x[i5] = x[i5] / ((float) n);
                y[i5] = y[i5] / ((float) n);
            }
        }
    }

    public void Calc_CenterFreq_Eng_exe(short[] inbuf, int Buf_Size, int fft_size, int Sampling_rate) {
        float[] L_Re = new float[fft_size];
        float[] L_Im = new float[fft_size];
        float[] R_Re = new float[fft_size];
        float[] R_Im = new float[fft_size];
        float[] L_bin_eng = new float[(fft_size / 2)];
        float[] R_bin_eng = new float[(fft_size / 2)];
        int[] center_indx = new int[this.NUM_BAND];
        float Freq_res = ((float) (fft_size / 2)) / ((float) (Sampling_rate / 2));
        for (int i = 0; i < fft_size; i++) {
            L_Re[i] = 0.0f;
            L_Im[i] = 0.0f;
            R_Re[i] = 0.0f;
            R_Im[i] = 0.0f;
        }
        for (int i2 = 0; i2 < Buf_Size / 2; i2++) {
            L_Re[i2] = ((float) inbuf[i2 * 2]) / 32768.0f;
            L_Re[i2] = L_Re[i2] * ((float) (0.54d - (Math.cos(((this.PI * 2.0d) * ((double) i2)) / ((double) (Buf_Size / 2))) * 0.46d)));
            L_Im[i2] = 0.0f;
            R_Re[i2] = ((float) inbuf[(i2 * 2) + 1]) / 32768.0f;
            R_Re[i2] = R_Re[i2] * ((float) (0.54d - (Math.cos(((this.PI * 2.0d) * ((double) i2)) / ((double) (Buf_Size / 2))) * 0.46d)));
            R_Im[i2] = 0.0f;
        }
        FFT(1, this.fft_n, L_Re, L_Im);
        for (int i3 = 0; i3 < fft_size / 2; i3++) {
            L_bin_eng[i3] = ((float) Math.log10((double) ((L_Re[i3] * L_Re[i3]) + (L_Im[i3] * L_Im[i3])))) * 10.0f;
        }
        for (int i4 = 0; i4 < this.NUM_BAND; i4++) {
            center_indx[i4] = (int) ((((float) this.center_freq[i4]) * Freq_res) + 0.5f);
            this.L_Freq_Eng[i4] = L_bin_eng[center_indx[i4]];
        }
        for (int i5 = 0; i5 < this.NUM_BAND; i5++) {
            float[] fArr = this.L_Freq_Eng;
            float f = fArr[i5];
            int i6 = this.LIMIT_DB;
            if (f < ((float) i6)) {
                this.L_His_Calc_Freq[this.L_His_Calc_FREQ_cnt][i5] = (float) i6;
            } else {
                this.L_His_Calc_Freq[this.L_His_Calc_FREQ_cnt][i5] = fArr[i5];
            }
        }
        this.L_His_Calc_FREQ_cnt++;
        FFT(1, this.fft_n, R_Re, R_Im);
        for (int i7 = 0; i7 < fft_size / 2; i7++) {
            R_bin_eng[i7] = ((float) Math.log10((double) ((R_Re[i7] * R_Re[i7]) + (R_Im[i7] * R_Im[i7])))) * 10.0f;
        }
        for (int i8 = 0; i8 < this.NUM_BAND; i8++) {
            center_indx[i8] = (int) ((((float) this.center_freq[i8]) * Freq_res) + 0.5f);
            this.R_Freq_Eng[i8] = R_bin_eng[center_indx[i8]];
        }
        for (int i9 = 0; i9 < this.NUM_BAND; i9++) {
            float[] fArr2 = this.R_Freq_Eng;
            float f2 = fArr2[i9];
            int i10 = this.LIMIT_DB;
            if (f2 < ((float) i10)) {
                this.R_His_Calc_Freq[this.R_His_Calc_FREQ_cnt][i9] = (float) i10;
            } else {
                this.R_His_Calc_Freq[this.R_His_Calc_FREQ_cnt][i9] = fArr2[i9];
            }
        }
        this.R_His_Calc_FREQ_cnt++;
    }

    public void Calc_MIC_init(int nMic_num) {
        this.NUM_MIC = nMic_num;
    }

    public void Calc_THD_init() {
        if (this.NUM_MIC == 0) {
            this.NUM_MIC = 2;
        }
        int i = this.FRAME_SIZE;
        this.MIC_1_History_THD = new float[i];
        this.MIC_2_History_THD = new float[i];
        this.MIC_3_History_THD = new float[i];
        this.MIC_4_History_THD = new float[i];
        for (int i2 = 0; i2 < this.FRAME_SIZE; i2++) {
            this.MIC_1_History_THD[i2] = 0.0f;
            this.MIC_2_History_THD[i2] = 0.0f;
            this.MIC_3_History_THD[i2] = 0.0f;
            this.MIC_4_History_THD[i2] = 0.0f;
        }
        this.MIC_1_History_cnt = 0;
        this.MIC_2_History_cnt = 0;
        this.MIC_3_History_cnt = 0;
        this.MIC_4_History_cnt = 0;
        int m = this.FFT_SIZE;
        this.fft_n = 0;
        while (m > 1) {
            m /= 2;
            this.fft_n++;
        }
        Calc_THDRMS_init();
    }

    public void Calc_THD_exe(short[] inbuf, int Buf_Size, int fft_size, int Sampling_rate) {
        int i = this.FFT_SIZE;
        float[] MIC_1_Re = new float[i];
        float[] MIC_1_Im = new float[i];
        float[] MIC_2_Re = new float[i];
        float[] MIC_2_Im = new float[i];
        float[] MIC_3_Re = new float[i];
        float[] MIC_3_Im = new float[i];
        float[] MIC_4_Re = new float[i];
        float[] MIC_4_Im = new float[i];
        float[] MIC_1_bin_eng = new float[(i / 2)];
        float[] MIC_2_bin_eng = new float[(i / 2)];
        float[] MIC_3_bin_eng = new float[(i / 2)];
        float[] MIC_4_bin_eng = new float[(i / 2)];
        float Freq_res = ((float) this.Fund) / (((float) this.FS) / ((float) i));
        for (int i2 = 0; i2 < this.FFT_SIZE; i2++) {
            MIC_1_Re[i2] = 0.0f;
            MIC_1_Im[i2] = 0.0f;
            MIC_2_Re[i2] = 0.0f;
            MIC_2_Im[i2] = 0.0f;
            MIC_3_Re[i2] = 0.0f;
            MIC_3_Im[i2] = 0.0f;
            MIC_4_Re[i2] = 0.0f;
            MIC_4_Im[i2] = 0.0f;
        }
        if (this.NUM_MIC == 4) {
            int i3 = 0;
            while (true) {
                int i4 = this.NUM_MIC;
                if (i3 >= Buf_Size / i4) {
                    break;
                }
                MIC_1_Re[i3] = ((float) inbuf[i4 * i3]) / ((float) this.FFT_SIZE);
                MIC_1_Re[i3] = MIC_1_Re[i3] * ((float) (0.54d - (Math.cos(((this.PI * 2.0d) * ((double) i3)) / ((double) (Buf_Size / i4))) * 0.46d)));
                MIC_1_Im[i3] = 0.0f;
                int i5 = this.NUM_MIC;
                MIC_2_Re[i3] = ((float) inbuf[(i5 * i3) + 1]) / ((float) this.FFT_SIZE);
                MIC_2_Re[i3] = MIC_2_Re[i3] * ((float) (0.54d - (Math.cos(((this.PI * 2.0d) * ((double) i3)) / ((double) (Buf_Size / i5))) * 0.46d)));
                MIC_2_Im[i3] = 0.0f;
                int i6 = this.NUM_MIC;
                MIC_3_Re[i3] = ((float) inbuf[(i6 * i3) + 2]) / ((float) this.FFT_SIZE);
                MIC_3_Re[i3] = MIC_3_Re[i3] * ((float) (0.54d - (Math.cos(((this.PI * 2.0d) * ((double) i3)) / ((double) (Buf_Size / i6))) * 0.46d)));
                MIC_3_Im[i3] = 0.0f;
                int i7 = this.NUM_MIC;
                MIC_4_Re[i3] = ((float) inbuf[(i7 * i3) + 3]) / ((float) this.FFT_SIZE);
                MIC_4_Re[i3] = MIC_4_Re[i3] * ((float) (0.54d - (Math.cos(((this.PI * 2.0d) * ((double) i3)) / ((double) (Buf_Size / i7))) * 0.46d)));
                MIC_4_Im[i3] = 0.0f;
                i3++;
                MIC_3_bin_eng = MIC_3_bin_eng;
                Freq_res = Freq_res;
                MIC_1_bin_eng = MIC_1_bin_eng;
                MIC_2_bin_eng = MIC_2_bin_eng;
            }
            FFT(1, this.fft_n, MIC_1_Re, MIC_1_Im);
            for (int i8 = 0; i8 < fft_size / 2; i8++) {
                if ((MIC_1_Re[i8] * MIC_1_Re[i8]) + (MIC_1_Im[i8] * MIC_1_Im[i8]) == 0.0f) {
                    MIC_1_bin_eng[i8] = 0.0f;
                } else {
                    MIC_1_bin_eng[i8] = (MIC_1_Re[i8] * MIC_1_Re[i8]) + (MIC_1_Im[i8] * MIC_1_Im[i8]);
                }
            }
            float MIC_1_num_har = (float) this.HARMONIC_ORDER;
            float MIC_1_thd_denom = MIC_1_bin_eng[(short) ((int) Freq_res)];
            float MIC_1_thd_num = 0.0f;
            for (int i9 = 2; ((float) i9) <= MIC_1_num_har; i9++) {
                MIC_1_thd_num += MIC_1_bin_eng[((short) ((int) Freq_res)) * i9];
            }
            float[] fArr = this.MIC_1_History_THD;
            int i10 = this.MIC_1_History_cnt;
            fArr[i10] = (float) Math.sqrt(((double) MIC_1_thd_num) / (((double) MIC_1_thd_denom) + 1.0E-10d));
            this.MIC_1_History_cnt = i10 + 1;
            FFT(1, this.fft_n, MIC_2_Re, MIC_2_Im);
            for (int i11 = 0; i11 < fft_size / 2; i11++) {
                if ((MIC_2_Re[i11] * MIC_2_Re[i11]) + (MIC_2_Im[i11] * MIC_2_Im[i11]) == 0.0f) {
                    MIC_2_bin_eng[i11] = 0.0f;
                } else {
                    MIC_2_bin_eng[i11] = (MIC_2_Re[i11] * MIC_2_Re[i11]) + (MIC_2_Im[i11] * MIC_2_Im[i11]);
                }
            }
            float MIC_2_thd = 0.0f;
            float MIC_2_num_har = (float) this.HARMONIC_ORDER;
            float MIC_2_thd_denom = MIC_2_bin_eng[(short) ((int) Freq_res)];
            int i12 = 2;
            float MIC_2_thd_num = 0.0f;
            while (((float) i12) <= MIC_2_num_har) {
                MIC_2_thd_num += MIC_2_bin_eng[((short) ((int) Freq_res)) * i12];
                i12++;
                MIC_2_thd = MIC_2_thd;
            }
            float[] fArr2 = this.MIC_2_History_THD;
            int i13 = this.MIC_2_History_cnt;
            fArr2[i13] = (float) Math.sqrt(((double) MIC_2_thd_num) / (((double) MIC_2_thd_denom) + 1.0E-10d));
            this.MIC_2_History_cnt = i13 + 1;
            FFT(1, this.fft_n, MIC_3_Re, MIC_3_Im);
            for (int i14 = 0; i14 < fft_size / 2; i14++) {
                if ((MIC_3_Re[i14] * MIC_3_Re[i14]) + (MIC_3_Im[i14] * MIC_3_Im[i14]) == 0.0f) {
                    MIC_3_bin_eng[i14] = 0.0f;
                } else {
                    MIC_3_bin_eng[i14] = (MIC_3_Re[i14] * MIC_3_Re[i14]) + (MIC_3_Im[i14] * MIC_3_Im[i14]);
                }
            }
            float MIC_3_num_har = (float) this.HARMONIC_ORDER;
            float MIC_3_thd_denom = MIC_3_bin_eng[(short) ((int) Freq_res)];
            int i15 = 2;
            float MIC_3_thd_num = 0.0f;
            while (((float) i15) <= MIC_3_num_har) {
                MIC_3_thd_num += MIC_3_bin_eng[((short) ((int) Freq_res)) * i15];
                i15++;
                MIC_3_Im = MIC_3_Im;
            }
            float MIC_3_thd = (float) Math.sqrt(((double) MIC_3_thd_num) / (((double) MIC_3_thd_denom) + 1.0E-10d));
            float[] fArr3 = this.MIC_3_History_THD;
            int i16 = this.MIC_3_History_cnt;
            fArr3[i16] = MIC_3_thd;
            this.MIC_3_History_cnt = i16 + 1;
            FFT(1, this.fft_n, MIC_4_Re, MIC_4_Im);
            for (int i17 = 0; i17 < fft_size / 2; i17++) {
                if ((MIC_4_Re[i17] * MIC_4_Re[i17]) + (MIC_4_Im[i17] * MIC_4_Im[i17]) == 0.0f) {
                    MIC_4_bin_eng[i17] = 0.0f;
                } else {
                    MIC_4_bin_eng[i17] = (MIC_4_Re[i17] * MIC_4_Re[i17]) + (MIC_4_Im[i17] * MIC_4_Im[i17]);
                }
            }
            float MIC_4_num_har = (float) this.HARMONIC_ORDER;
            float MIC_4_thd_denom = MIC_4_bin_eng[(short) ((int) Freq_res)];
            int i18 = 2;
            float MIC_4_thd_num = 0.0f;
            while (((float) i18) <= MIC_4_num_har) {
                MIC_4_thd_num += MIC_4_bin_eng[((short) ((int) Freq_res)) * i18];
                i18++;
                MIC_3_thd = MIC_3_thd;
            }
            float[] fArr4 = this.MIC_4_History_THD;
            int i19 = this.MIC_4_History_cnt;
            fArr4[i19] = (float) Math.sqrt(((double) MIC_4_thd_num) / (((double) MIC_4_thd_denom) + 1.0E-10d));
            this.MIC_4_History_cnt = i19 + 1;
        } else {
            int i20 = 0;
            while (true) {
                int i21 = this.NUM_MIC;
                if (i20 >= Buf_Size / i21) {
                    break;
                }
                MIC_1_Re[i20] = ((float) inbuf[i21 * i20]) / ((float) this.FFT_SIZE);
                MIC_1_Re[i20] = MIC_1_Re[i20] * ((float) (0.54d - (Math.cos(((this.PI * 2.0d) * ((double) i20)) / ((double) (Buf_Size / i21))) * 0.46d)));
                MIC_1_Im[i20] = 0.0f;
                int i22 = this.NUM_MIC;
                MIC_2_Re[i20] = ((float) inbuf[(i22 * i20) + 1]) / ((float) this.FFT_SIZE);
                MIC_2_Re[i20] = MIC_2_Re[i20] * ((float) (0.54d - (Math.cos(((this.PI * 2.0d) * ((double) i20)) / ((double) (Buf_Size / i22))) * 0.46d)));
                MIC_2_Im[i20] = 0.0f;
                i20++;
            }
            FFT(1, this.fft_n, MIC_1_Re, MIC_1_Im);
            for (int i23 = 0; i23 < fft_size / 2; i23++) {
                if ((MIC_1_Re[i23] * MIC_1_Re[i23]) + (MIC_1_Im[i23] * MIC_1_Im[i23]) == 0.0f) {
                    MIC_1_bin_eng[i23] = 0.0f;
                } else {
                    MIC_1_bin_eng[i23] = (MIC_1_Re[i23] * MIC_1_Re[i23]) + (MIC_1_Im[i23] * MIC_1_Im[i23]);
                }
            }
            float MIC_1_num_har2 = (float) this.HARMONIC_ORDER;
            float MIC_1_thd_denom2 = MIC_1_bin_eng[(short) ((int) Freq_res)];
            float MIC_1_thd_num2 = 0.0f;
            for (int i24 = 2; ((float) i24) <= MIC_1_num_har2; i24++) {
                MIC_1_thd_num2 += MIC_1_bin_eng[((short) ((int) Freq_res)) * i24];
            }
            float MIC_1_thd = (float) Math.sqrt(((double) MIC_1_thd_num2) / (((double) MIC_1_thd_denom2) + 1.0E-10d));
            float[] fArr5 = this.MIC_1_History_THD;
            int i25 = this.MIC_1_History_cnt;
            fArr5[i25] = MIC_1_thd;
            this.MIC_1_History_cnt = i25 + 1;
            FFT(1, this.fft_n, MIC_2_Re, MIC_2_Im);
            for (int i26 = 0; i26 < fft_size / 2; i26++) {
                if ((MIC_2_Re[i26] * MIC_2_Re[i26]) + (MIC_2_Im[i26] * MIC_2_Im[i26]) == 0.0f) {
                    MIC_2_bin_eng[i26] = 0.0f;
                } else {
                    MIC_2_bin_eng[i26] = (MIC_2_Re[i26] * MIC_2_Re[i26]) + (MIC_2_Im[i26] * MIC_2_Im[i26]);
                }
            }
            float MIC_2_num_har2 = (float) this.HARMONIC_ORDER;
            float MIC_2_thd_denom2 = MIC_2_bin_eng[(short) ((int) Freq_res)];
            float MIC_2_thd_num2 = 0.0f;
            int i27 = 2;
            while (((float) i27) <= MIC_2_num_har2) {
                MIC_2_thd_num2 += MIC_2_bin_eng[((short) ((int) Freq_res)) * i27];
                i27++;
                MIC_1_thd = MIC_1_thd;
            }
            float[] fArr6 = this.MIC_2_History_THD;
            int i28 = this.MIC_2_History_cnt;
            fArr6[i28] = (float) Math.sqrt(((double) MIC_2_thd_num2) / (((double) MIC_2_thd_denom2) + 1.0E-10d));
            this.MIC_2_History_cnt = i28 + 1;
        }
        Calc_THDRMS_exe(inbuf, Buf_Size);
    }

    public void Calc_THD_deinit(float[] MIC_THD_outputs, short[] MIC_RMS_outputs) {
        int i;
        int i2;
        int i3;
        int i4;
        int i5;
        int i6;
        if (this.NUM_MIC == 4) {
            float MIC_1_thd_tmp = 0.0f;
            int i7 = 0;
            while (true) {
                i3 = this.MIC_1_History_cnt;
                if (i7 >= i3) {
                    break;
                }
                MIC_1_thd_tmp += this.MIC_1_History_THD[i7];
                i7++;
            }
            MIC_THD_outputs[0] = (MIC_1_thd_tmp / ((float) i3)) * 100.0f;
            float MIC_2_thd_tmp = 0.0f;
            int i8 = 0;
            while (true) {
                i4 = this.MIC_2_History_cnt;
                if (i8 >= i4) {
                    break;
                }
                MIC_2_thd_tmp += this.MIC_2_History_THD[i8];
                i8++;
            }
            MIC_THD_outputs[1] = (MIC_2_thd_tmp / ((float) i4)) * 100.0f;
            float MIC_3_thd_tmp = 0.0f;
            int i9 = 0;
            while (true) {
                i5 = this.MIC_3_History_cnt;
                if (i9 >= i5) {
                    break;
                }
                MIC_3_thd_tmp += this.MIC_3_History_THD[i9];
                i9++;
            }
            MIC_THD_outputs[2] = (MIC_3_thd_tmp / ((float) i5)) * 100.0f;
            float MIC_4_thd_tmp = 0.0f;
            int i10 = 0;
            while (true) {
                i6 = this.MIC_4_History_cnt;
                if (i10 >= i6) {
                    break;
                }
                MIC_4_thd_tmp += this.MIC_4_History_THD[i10];
                i10++;
            }
            MIC_THD_outputs[3] = (MIC_4_thd_tmp / ((float) i6)) * 100.0f;
            PrintStream printStream = System.out;
            printStream.println("THD : MIC_1 : " + MIC_THD_outputs[0]);
            PrintStream printStream2 = System.out;
            printStream2.println("THD : MIC_2 : " + MIC_THD_outputs[1]);
            PrintStream printStream3 = System.out;
            printStream3.println("THD : MIC_3 : " + MIC_THD_outputs[2]);
            PrintStream printStream4 = System.out;
            printStream4.println("THD : MIC_4 : " + MIC_THD_outputs[3]);
        } else {
            float MIC_1_thd_tmp2 = 0.0f;
            int i11 = 0;
            while (true) {
                i = this.MIC_1_History_cnt;
                if (i11 >= i) {
                    break;
                }
                MIC_1_thd_tmp2 += this.MIC_1_History_THD[i11];
                i11++;
            }
            MIC_THD_outputs[0] = (MIC_1_thd_tmp2 / ((float) i)) * 100.0f;
            float MIC_2_thd_tmp2 = 0.0f;
            int i12 = 0;
            while (true) {
                i2 = this.MIC_2_History_cnt;
                if (i12 >= i2) {
                    break;
                }
                MIC_2_thd_tmp2 += this.MIC_2_History_THD[i12];
                i12++;
            }
            MIC_THD_outputs[1] = (MIC_2_thd_tmp2 / ((float) i2)) * 100.0f;
            PrintStream printStream5 = System.out;
            printStream5.println("THD : MIC_1 : " + MIC_THD_outputs[0]);
            PrintStream printStream6 = System.out;
            printStream6.println("THD : MIC_2 : " + MIC_THD_outputs[1]);
        }
        Calc_THDRMS_deinit(MIC_RMS_outputs);
    }

    public void Calc_THDRMS_init() {
        int i = this.FRAME_SIZE;
        this.MIC_1_His_Calc_THDRMS = new float[i];
        this.MIC_2_His_Calc_THDRMS = new float[i];
        this.MIC_3_His_Calc_THDRMS = new float[i];
        this.MIC_4_His_Calc_THDRMS = new float[i];
        this.MIC_1_inbuf_Calc_THDRMS = new float[i];
        this.MIC_2_inbuf_Calc_THDRMS = new float[i];
        this.MIC_3_inbuf_Calc_THDRMS = new float[i];
        this.MIC_4_inbuf_Calc_THDRMS = new float[i];
        for (int i2 = 0; i2 < this.FRAME_SIZE; i2++) {
            this.MIC_1_His_Calc_THDRMS[i2] = 0.0f;
            this.MIC_2_His_Calc_THDRMS[i2] = 0.0f;
            this.MIC_3_His_Calc_THDRMS[i2] = 0.0f;
            this.MIC_4_His_Calc_THDRMS[i2] = 0.0f;
        }
        this.MIC_1_His_Calc_THDRMS_cnt = 0;
        this.MIC_2_His_Calc_THDRMS_cnt = 0;
        this.MIC_3_His_Calc_THDRMS_cnt = 0;
        this.MIC_4_His_Calc_THDRMS_cnt = 0;
    }

    public void Calc_THDRMS_exe(short[] inbuf, int Buf_Size) {
        int i;
        int i2;
        int i3;
        int i4;
        int i5;
        int i6;
        if (this.NUM_MIC == 4) {
            int i7 = 0;
            while (true) {
                int i8 = this.NUM_MIC;
                if (i7 >= Buf_Size / i8) {
                    break;
                }
                this.MIC_1_inbuf_Calc_THDRMS[i7] = ((float) inbuf[i8 * i7]) / 32768.0f;
                this.MIC_2_inbuf_Calc_THDRMS[i7] = ((float) inbuf[(i8 * i7) + 1]) / 32768.0f;
                this.MIC_3_inbuf_Calc_THDRMS[i7] = ((float) inbuf[(i8 * i7) + 2]) / 32768.0f;
                this.MIC_4_inbuf_Calc_THDRMS[i7] = ((float) inbuf[(i8 * i7) + 3]) / 32768.0f;
                i7++;
            }
            float tmp_sum = 0.0f;
            int i9 = 0;
            while (true) {
                i3 = this.NUM_MIC;
                if (i9 >= Buf_Size / i3) {
                    break;
                }
                tmp_sum += (float) Math.pow((double) this.MIC_1_inbuf_Calc_THDRMS[i9], 2.0d);
                i9++;
            }
            if (tmp_sum == 0.0f) {
                float[] fArr = this.MIC_1_His_Calc_THDRMS;
                int i10 = this.MIC_1_His_Calc_THDRMS_cnt;
                this.MIC_1_His_Calc_THDRMS_cnt = i10 + 1;
                fArr[i10] = -100.0f;
            } else {
                float[] fArr2 = this.MIC_1_His_Calc_THDRMS;
                int i11 = this.MIC_1_His_Calc_THDRMS_cnt;
                this.MIC_1_His_Calc_THDRMS_cnt = i11 + 1;
                fArr2[i11] = (float) (Math.log10(Math.sqrt((double) (tmp_sum / ((float) (Buf_Size / i3))))) * 20.0d);
            }
            float tmp_sum2 = 0.0f;
            int i12 = 0;
            while (true) {
                i4 = this.NUM_MIC;
                if (i12 >= Buf_Size / i4) {
                    break;
                }
                tmp_sum2 += (float) Math.pow((double) this.MIC_2_inbuf_Calc_THDRMS[i12], 2.0d);
                i12++;
            }
            if (tmp_sum2 == 0.0f) {
                float[] fArr3 = this.MIC_2_His_Calc_THDRMS;
                int i13 = this.MIC_2_His_Calc_THDRMS_cnt;
                this.MIC_2_His_Calc_THDRMS_cnt = i13 + 1;
                fArr3[i13] = -100.0f;
            } else {
                float[] fArr4 = this.MIC_2_His_Calc_THDRMS;
                int i14 = this.MIC_2_His_Calc_THDRMS_cnt;
                this.MIC_2_His_Calc_THDRMS_cnt = i14 + 1;
                fArr4[i14] = (float) (Math.log10(Math.sqrt((double) (tmp_sum2 / ((float) (Buf_Size / i4))))) * 20.0d);
            }
            float tmp_sum3 = 0.0f;
            int i15 = 0;
            while (true) {
                i5 = this.NUM_MIC;
                if (i15 >= Buf_Size / i5) {
                    break;
                }
                tmp_sum3 += (float) Math.pow((double) this.MIC_3_inbuf_Calc_THDRMS[i15], 2.0d);
                i15++;
            }
            if (tmp_sum3 == 0.0f) {
                float[] fArr5 = this.MIC_3_His_Calc_THDRMS;
                int i16 = this.MIC_3_His_Calc_THDRMS_cnt;
                this.MIC_3_His_Calc_THDRMS_cnt = i16 + 1;
                fArr5[i16] = -100.0f;
            } else {
                float[] fArr6 = this.MIC_3_His_Calc_THDRMS;
                int i17 = this.MIC_3_His_Calc_THDRMS_cnt;
                this.MIC_3_His_Calc_THDRMS_cnt = i17 + 1;
                fArr6[i17] = (float) (Math.log10(Math.sqrt((double) (tmp_sum3 / ((float) (Buf_Size / i5))))) * 20.0d);
            }
            float tmp_sum4 = 0.0f;
            int i18 = 0;
            while (true) {
                i6 = this.NUM_MIC;
                if (i18 >= Buf_Size / i6) {
                    break;
                }
                tmp_sum4 += (float) Math.pow((double) this.MIC_4_inbuf_Calc_THDRMS[i18], 2.0d);
                i18++;
            }
            if (tmp_sum4 == 0.0f) {
                float[] fArr7 = this.MIC_4_His_Calc_THDRMS;
                int i19 = this.MIC_4_His_Calc_THDRMS_cnt;
                this.MIC_4_His_Calc_THDRMS_cnt = i19 + 1;
                fArr7[i19] = -100.0f;
                return;
            }
            float[] fArr8 = this.MIC_4_His_Calc_THDRMS;
            int i20 = this.MIC_4_His_Calc_THDRMS_cnt;
            this.MIC_4_His_Calc_THDRMS_cnt = i20 + 1;
            fArr8[i20] = (float) (Math.log10(Math.sqrt((double) (tmp_sum4 / ((float) (Buf_Size / i6))))) * 20.0d);
            return;
        }
        int i21 = 0;
        while (true) {
            int i22 = this.NUM_MIC;
            if (i21 >= Buf_Size / i22) {
                break;
            }
            this.MIC_1_inbuf_Calc_THDRMS[i21] = ((float) inbuf[i22 * i21]) / 32768.0f;
            this.MIC_2_inbuf_Calc_THDRMS[i21] = ((float) inbuf[(i22 * i21) + 1]) / 32768.0f;
            i21++;
        }
        float tmp_sum5 = 0.0f;
        int i23 = 0;
        while (true) {
            i = this.NUM_MIC;
            if (i23 >= Buf_Size / i) {
                break;
            }
            tmp_sum5 += (float) Math.pow((double) this.MIC_1_inbuf_Calc_THDRMS[i23], 2.0d);
            i23++;
        }
        if (tmp_sum5 == 0.0f) {
            float[] fArr9 = this.MIC_1_His_Calc_THDRMS;
            int i24 = this.MIC_1_His_Calc_THDRMS_cnt;
            this.MIC_1_His_Calc_THDRMS_cnt = i24 + 1;
            fArr9[i24] = -100.0f;
        } else {
            float[] fArr10 = this.MIC_1_His_Calc_THDRMS;
            int i25 = this.MIC_1_His_Calc_THDRMS_cnt;
            this.MIC_1_His_Calc_THDRMS_cnt = i25 + 1;
            fArr10[i25] = (float) (Math.log10(Math.sqrt((double) (tmp_sum5 / ((float) (Buf_Size / i))))) * 20.0d);
        }
        float tmp_sum6 = 0.0f;
        int i26 = 0;
        while (true) {
            i2 = this.NUM_MIC;
            if (i26 >= Buf_Size / i2) {
                break;
            }
            tmp_sum6 += (float) Math.pow((double) this.MIC_2_inbuf_Calc_THDRMS[i26], 2.0d);
            i26++;
        }
        if (tmp_sum6 == 0.0f) {
            float[] fArr11 = this.MIC_2_His_Calc_THDRMS;
            int i27 = this.MIC_2_His_Calc_THDRMS_cnt;
            this.MIC_2_His_Calc_THDRMS_cnt = i27 + 1;
            fArr11[i27] = -100.0f;
            return;
        }
        float[] fArr12 = this.MIC_2_His_Calc_THDRMS;
        int i28 = this.MIC_2_His_Calc_THDRMS_cnt;
        this.MIC_2_His_Calc_THDRMS_cnt = i28 + 1;
        fArr12[i28] = (float) (Math.log10(Math.sqrt((double) (tmp_sum6 / ((float) (Buf_Size / i2))))) * 20.0d);
    }

    public void Calc_THDRMS_deinit(short[] MIC_RMS_outputs) {
        float MIC_1_Result = 0.0f;
        float MIC_2_Result = 0.0f;
        float MIC_3_Result = 0.0f;
        float MIC_4_Result = 0.0f;
        if (this.NUM_MIC == 4) {
            for (int i = 0; i < this.MIC_1_His_Calc_THDRMS_cnt; i++) {
                MIC_1_Result += this.MIC_1_His_Calc_THDRMS[i];
            }
            for (int i2 = 0; i2 < this.MIC_2_His_Calc_THDRMS_cnt; i2++) {
                MIC_2_Result += this.MIC_2_His_Calc_THDRMS[i2];
            }
            for (int i3 = 0; i3 < this.MIC_3_His_Calc_THDRMS_cnt; i3++) {
                MIC_3_Result += this.MIC_3_His_Calc_THDRMS[i3];
            }
            int i4 = 0;
            while (true) {
                int i5 = this.MIC_4_His_Calc_THDRMS_cnt;
                if (i4 < i5) {
                    MIC_4_Result += this.MIC_4_His_Calc_THDRMS[i4];
                    i4++;
                } else {
                    MIC_RMS_outputs[0] = (short) ((int) (((double) (MIC_1_Result / ((float) this.MIC_1_His_Calc_THDRMS_cnt))) + 0.5d + 100.0d));
                    MIC_RMS_outputs[1] = (short) ((int) (((double) (MIC_2_Result / ((float) this.MIC_2_His_Calc_THDRMS_cnt))) + 0.5d + 100.0d));
                    MIC_RMS_outputs[2] = (short) ((int) (((double) (MIC_3_Result / ((float) this.MIC_3_His_Calc_THDRMS_cnt))) + 0.5d + 100.0d));
                    MIC_RMS_outputs[3] = (short) ((int) (((double) (MIC_4_Result / ((float) i5))) + 0.5d + 100.0d));
                    PrintStream printStream = System.out;
                    printStream.println("THDRMS : MIC_1 : " + ((int) MIC_RMS_outputs[0]));
                    PrintStream printStream2 = System.out;
                    printStream2.println("THDRMS : MOC_2 : " + ((int) MIC_RMS_outputs[1]));
                    PrintStream printStream3 = System.out;
                    printStream3.println("THDRMS : MIC_3 : " + ((int) MIC_RMS_outputs[2]));
                    PrintStream printStream4 = System.out;
                    printStream4.println("THDRMS : MOC_4 : " + ((int) MIC_RMS_outputs[3]));
                    return;
                }
            }
        } else {
            for (int i6 = 0; i6 < this.MIC_1_His_Calc_THDRMS_cnt; i6++) {
                MIC_1_Result += this.MIC_1_His_Calc_THDRMS[i6];
            }
            int i7 = 0;
            while (true) {
                int i8 = this.MIC_2_His_Calc_THDRMS_cnt;
                if (i7 < i8) {
                    MIC_2_Result += this.MIC_2_His_Calc_THDRMS[i7];
                    i7++;
                } else {
                    MIC_RMS_outputs[0] = (short) ((int) (((double) (MIC_1_Result / ((float) this.MIC_1_His_Calc_THDRMS_cnt))) + 0.5d + 100.0d));
                    MIC_RMS_outputs[1] = (short) ((int) (((double) (MIC_2_Result / ((float) i8))) + 0.5d + 100.0d));
                    PrintStream printStream5 = System.out;
                    printStream5.println("THDRMS : MIC_1 : " + ((int) MIC_RMS_outputs[0]));
                    PrintStream printStream6 = System.out;
                    printStream6.println("THDRMS : MOC_2 : " + ((int) MIC_RMS_outputs[1]));
                    return;
                }
            }
        }
    }
}
