package com.sec.factory.aporiented.athandler;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Environment;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStreamReader;

public class AtActtdata extends AtCommandHandler {
    private static final String ACTION_ACT_RESPONSE = "com.samsung.android.intent.action.ACT_RESPONSE";
    private static final String ACTION_ACT_START = "com.salab.act.intent.START_ACT";
    private static final String ACTION_ACT_STATUS = "com.salab.act.intent.STATUS_ACT";
    private static final String ACTION_ACT_STOP = "com.salab.act.intent.STOP_ACT";
    private static final String PATH_ACT_LOG = (Environment.getExternalStorageDirectory().getPath() + "/AQI_TEST_DIR/");
    private static final int RESPONSE_WAIT_TIME_OUT = 15000;
    private boolean isNotify = false;
    private final Context mContext;
    private BroadcastReceiver mReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.aporiented.athandler.AtActtdata.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            String action = intent.getAction();
            String str = AtActtdata.this.CLASS_NAME;
            FtUtil.log_d(str, "mReceiver", "ACTION : " + action);
            if (action.equals(AtActtdata.ACTION_ACT_RESPONSE)) {
                AtActtdata.this.mResult = intent.getStringExtra("result");
                synchronized (AtActtdata.this.token) {
                    AtActtdata.this.token.notify();
                    AtActtdata.this.isNotify = true;
                }
                AtActtdata atActtdata = AtActtdata.this;
                atActtdata.stopReceiver(atActtdata.mReceiver);
            }
        }
    };
    private String mResult = "";
    private Object token;

    public AtActtdata(Context context) {
        super(context);
        this.CMD_NAME = "ACTTDATA";
        this.CLASS_NAME = "AtActtdata";
        this.NUM_ARGS = 4;
        this.mContext = context;
        this.token = new Object();
    }

    /* JADX WARNING: Removed duplicated region for block: B:108:0x0286  */
    /* JADX WARNING: Removed duplicated region for block: B:77:0x01ed  */
    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        String resData2;
        String resData3;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", "0", "0", "0"})) {
            FtUtil.log_i(this.CLASS_NAME, "handleCommand", "Send ACTION_ACT_STOP");
            this.mContext.registerReceiver(this.mReceiver, new IntentFilter(ACTION_ACT_RESPONSE));
            Intent intent = new Intent(ACTION_ACT_STOP);
            intent.putExtra("RESPONSE", true);
            this.mContext.sendBroadcast(intent);
            FtUtil.log_i(this.CLASS_NAME, "handleCommand", "Wait response from ACT");
            synchronized (this.token) {
                try {
                    this.isNotify = false;
                    this.mResult = "NG";
                    this.token.wait(15000);
                } catch (InterruptedException e) {
                    e.printStackTrace();
                }
            }
            FtUtil.log_i(this.CLASS_NAME, "handleCommand", "isNotify : " + this.isNotify);
            if (!this.isNotify || !this.mResult.equalsIgnoreCase("OK")) {
                resData = responseNG(argu[0]);
            } else {
                resData = responseOK(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "0"})) {
            FtUtil.log_i(this.CLASS_NAME, "handleCommand", "Send ACTION_ACT_START");
            this.mContext.registerReceiver(this.mReceiver, new IntentFilter(ACTION_ACT_RESPONSE));
            Intent intent2 = new Intent(ACTION_ACT_START);
            intent2.putExtra("SCRIPT_FILE", PATH_ACT_LOG + argu[3]);
            intent2.putExtra("RESPONSE", true);
            intent2.setClassName("com.salab.act", "com.salab.act.SystemEventReceiver");
            this.mContext.sendBroadcast(intent2);
            FtUtil.log_i(this.CLASS_NAME, "handleCommand", "Wait response from ACT");
            synchronized (this.token) {
                try {
                    this.isNotify = false;
                    this.mResult = "NG";
                    this.token.wait(15000);
                } catch (InterruptedException e2) {
                    e2.printStackTrace();
                }
            }
            FtUtil.log_i(this.CLASS_NAME, "handleCommand", "isNotify : " + this.isNotify);
            if (this.isNotify && this.mResult.equalsIgnoreCase("OK")) {
                resData = responseOK(argu[0]);
            } else if (!this.isNotify || !this.mResult.equalsIgnoreCase("NONE")) {
                resData = responseNG(argu[0]);
            } else {
                resData = responseString(argu[0], "NONE");
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "0"})) {
            FtUtil.log_i(this.CLASS_NAME, "handleCommand", "Read ACT_NV");
            FileInputStream fis = null;
            resData3 = "";
            try {
                FileInputStream fis2 = new FileInputStream(new File(Support.Kernel.getFilePath(Support.Kernel.SECEFS_PATH_ACT_NV)));
                BufferedReader br = new BufferedReader(new InputStreamReader(fis2));
                while (true) {
                    String readStr = br.readLine();
                    if (readStr == null) {
                        break;
                    }
                    resData3 = resData3 + readStr;
                }
                fis2.close();
                try {
                    fis2.close();
                } catch (IOException e3) {
                    e = e3;
                }
            } catch (IOException e4) {
                e4.printStackTrace();
                if (0 != 0) {
                    try {
                        fis.close();
                    } catch (IOException e5) {
                        e = e5;
                    }
                }
            } catch (Throwable th) {
                if (0 != 0) {
                    try {
                        fis.close();
                    } catch (IOException e6) {
                        FtUtil.log_e(e6);
                    }
                }
                throw th;
            }
            if (resData3.isEmpty()) {
                resData3 = "NONE";
            }
            resData = responseString(argu[0], resData3);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", EgisFingerprint.MAJOR_VERSION})) {
            FtUtil.log_i(this.CLASS_NAME, "handleCommand", "Read ACT_NV");
            FileInputStream fis3 = null;
            resData2 = "";
            try {
                FileInputStream fis4 = new FileInputStream(new File(PATH_ACT_LOG + argu[3]));
                BufferedReader br2 = new BufferedReader(new InputStreamReader(fis4));
                while (true) {
                    String readStr2 = br2.readLine();
                    if (readStr2 == null) {
                        break;
                    }
                    resData2 = resData2 + readStr2;
                }
                fis4.close();
                try {
                    fis4.close();
                } catch (IOException e7) {
                    e = e7;
                }
            } catch (IOException e8) {
                e8.printStackTrace();
                if (0 != 0) {
                    try {
                        fis3.close();
                    } catch (IOException e9) {
                        e = e9;
                    }
                }
            } catch (Throwable th2) {
                if (0 != 0) {
                    try {
                        fis3.close();
                    } catch (IOException e10) {
                        FtUtil.log_e(e10);
                    }
                }
                throw th2;
            }
            if (resData2.isEmpty()) {
                resData2 = "NONE";
            }
            resData = responseString(argu[0], resData2);
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, "0", "0"})) {
            FtUtil.log_i(this.CLASS_NAME, "handleCommand", "Send ACTION_ACT_STATUS");
            this.mContext.registerReceiver(this.mReceiver, new IntentFilter(ACTION_ACT_RESPONSE));
            Intent intent3 = new Intent(ACTION_ACT_STATUS);
            intent3.putExtra("RESPONSE", true);
            this.mContext.sendBroadcast(intent3);
            FtUtil.log_i(this.CLASS_NAME, "handleCommand", "Wait response from ACT");
            synchronized (this.token) {
                try {
                    this.isNotify = false;
                    this.mResult = "NG";
                    this.token.wait(15000);
                } catch (InterruptedException e11) {
                    e11.printStackTrace();
                }
            }
            FtUtil.log_i(this.CLASS_NAME, "handleCommand", "isNotify : " + this.isNotify);
            resData = responseString(argu[0], this.mResult);
        } else {
            resData = responseNA();
        }
        return resData;
        FtUtil.log_e(e);
        if (resData3.isEmpty()) {
        }
        resData = responseString(argu[0], resData3);
        return resData;
        FtUtil.log_e(e);
        if (resData2.isEmpty()) {
        }
        resData = responseString(argu[0], resData2);
        return resData;
    }
}
