package com.sec.factory.aporiented.athandler;

import android.bluetooth.BluetoothDevice;
import android.content.BroadcastReceiver;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.content.ServiceConnection;
import android.content.SharedPreferences;
import android.os.Handler;
import android.os.IBinder;
import android.os.Looper;
import android.os.Message;
import android.provider.Settings;
import com.sec.factory.aporiented.DigitizerElectricService;
import com.sec.factory.aporiented.ResponseWriter;
import com.sec.factory.aporiented.SpenBluetoothService;
import com.sec.factory.app.ui.UISpenBluetoothAccGyroTest;
import com.sec.factory.app.ui.UISpenBluetoothTest;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.File;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Iterator;

public class AtEwriteck extends AtCommandHandler {
    public static final int ENABLE_ACCGYRO_RAWDATA_READ = 0;
    private static String first_argu = null;
    private static boolean mAccGyroTestMode = false;
    private static boolean mCharging = false;
    private static boolean mGetAccGyroRawData = false;
    private static boolean mGetAccGyroRawDataReady = false;
    final int FAC = 1;
    final int GARAGE_MODE = 3;
    final int NOR = 2;
    final int VALUE_PRINT = 4;
    final int VALUE_SAVE = 5;
    private Handler handler = new Handler(Looper.getMainLooper()) {
        /* class com.sec.factory.aporiented.athandler.AtEwriteck.AnonymousClass6 */

        public void handleMessage(Message msg) {
            if (msg.what == 0) {
                FtUtil.log_d(AtEwriteck.this.CLASS_NAME, "handleMessage", "ENABLE_ACCGYRO_RAWDATA_READ");
                AtEwriteck.this.handler.removeMessages(0);
                boolean unused = AtEwriteck.mGetAccGyroRawDataReady = true;
            }
            super.handleMessage(msg);
        }
    };
    private boolean isCheckTime = false;
    private int mACC_self_m_x_Max;
    private int mACC_self_m_x_Min;
    private int mACC_self_m_y_Max;
    private int mACC_self_m_y_Min;
    private int mACC_self_m_z_Max;
    private int mACC_self_m_z_Min;
    private int mACC_self_p_x_Max;
    private int mACC_self_p_x_Min;
    private int mACC_self_p_y_Max;
    private int mACC_self_p_y_Min;
    private int mACC_self_p_z_Max;
    private int mACC_self_p_z_Min;
    private double mACC_vector_sum_Max;
    private double mACC_vector_sum_Min;
    private long mAbnormalDetectionCheckCnt;
    private boolean mAccGyroFinalResult = false;
    private int mAver = 0;
    private int mAver2 = 0;
    private Context mContext;
    private int mCount = 0;
    private int mFwVer = -1;
    private int mGB_Check_FWver_spec_Min;
    private final BroadcastReceiver mGattUpdateReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.aporiented.athandler.AtEwriteck.AnonymousClass5 */

        /* JADX WARNING: Removed duplicated region for block: B:114:0x0743 A[LOOP:0: B:113:0x0741->B:114:0x0743, LOOP_END] */
        public void onReceive(Context context, Intent intent) {
            boolean z;
            String str;
            int i;
            String action = intent.getAction();
            String str2 = AtEwriteck.this.CLASS_NAME;
            FtUtil.log_d(str2, "mGattUpdateReceiver", "receiver:" + action);
            if (!SpenBluetoothService.ACTION_GATT_CONNECTED.equals(action)) {
                if (SpenBluetoothService.ACTION_GATT_DISCONNECTED.equals(action)) {
                    AtEwriteck.this.finishSpenBLE();
                } else if (SpenBluetoothService.ACTION_NOT_FOUND.equals(action)) {
                    AtEwriteck.this.finishSpenBLE();
                } else if (!SpenBluetoothService.ACTION_SCAN_SUCCESS.equals(action)) {
                    if (SpenBluetoothService.ACTION_PAIRING_REQUEST.equals(action)) {
                        BluetoothDevice device = (BluetoothDevice) intent.getParcelableExtra("android.bluetooth.device.extra.DEVICE");
                        if (device.getAddress().equals(AtEwriteck.this.mSpenBluetoothService.getBtAddress()) && intent.getIntExtra("android.bluetooth.device.extra.PAIRING_VARIANT", Integer.MIN_VALUE) == 3) {
                            device.setPairingConfirmation(true);
                            abortBroadcast();
                        }
                    } else if (SpenBluetoothService.ACTION_BATTERY.equals(action)) {
                        int batteryVoltage = intent.getIntExtra(SpenBluetoothService.EXTRA_DATA, -1);
                        String str3 = AtEwriteck.this.CLASS_NAME;
                        FtUtil.log_d(str3, "mGattUpdateReceiver", "batteryVoltage : " + batteryVoltage);
                        AtEwriteck.this.writer.write(AtEwriteck.this.responseString(AtEwriteck.first_argu, String.valueOf(batteryVoltage)));
                    } else if (SpenBluetoothService.ACTION_RSSI.equals(action)) {
                        int RSSI = intent.getIntExtra(SpenBluetoothService.EXTRA_DATA, 0);
                        String str4 = AtEwriteck.this.CLASS_NAME;
                        FtUtil.log_d(str4, "mGattUpdateReceiver", "RSSI : " + RSSI);
                        AtEwriteck.this.writer.write(AtEwriteck.this.responseString(AtEwriteck.first_argu, String.valueOf(RSSI)));
                    } else if (SpenBluetoothService.ACTION_FW_VER.equals(action)) {
                        AtEwriteck.this.mFwVer = intent.getIntExtra(SpenBluetoothService.EXTRA_DATA, 0);
                        String str5 = AtEwriteck.this.CLASS_NAME;
                        FtUtil.log_d(str5, "mGattUpdateReceiver", "FW ver : " + AtEwriteck.this.mFwVer);
                        if (AtEwriteck.mAccGyroTestMode) {
                            SpenBluetoothService spenBluetoothService = AtEwriteck.this.mSpenBluetoothService;
                            SpenBluetoothService unused = AtEwriteck.this.mSpenBluetoothService;
                            spenBluetoothService.setCharacteristicNotification(SpenBluetoothService.GEOGYRO_SELFTEST_DATA, true);
                            return;
                        }
                        AtEwriteck.this.writer.write(AtEwriteck.this.responseString(AtEwriteck.first_argu, String.format("%X", Integer.valueOf(AtEwriteck.this.mFwVer))));
                    } else if (SpenBluetoothService.ACTION_SUBCOLORCODE_RESULT.equals(action)) {
                        String flashResult = intent.getStringExtra(SpenBluetoothService.EXTRA_DATA);
                        String subResult = "";
                        String colorCodeResult = "";
                        String str6 = AtEwriteck.this.CLASS_NAME;
                        FtUtil.log_d(str6, "mGattUpdateReceiver", "flash result : " + flashResult);
                        if (flashResult != null && flashResult.length() > 2) {
                            subResult = flashResult.substring(0, 1);
                            colorCodeResult = new StringBuffer(flashResult).reverse().toString().substring(0, 2);
                        }
                        if (AtEwriteck.this.mIsFinalResultWrite) {
                            if ("R".equalsIgnoreCase(subResult)) {
                                AtEwriteck.this.writer.write(AtEwriteck.this.responseOK(AtEwriteck.first_argu));
                            } else {
                                AtEwriteck.this.writer.write(AtEwriteck.this.responseNG(AtEwriteck.first_argu));
                            }
                        } else if (AtEwriteck.this.mIsSubresult) {
                            if ("P".equalsIgnoreCase(subResult)) {
                                AtEwriteck.this.writer.write(AtEwriteck.this.responseString(AtEwriteck.first_argu, "PASS"));
                            } else if ("E".equalsIgnoreCase(subResult)) {
                                AtEwriteck.this.writer.write(AtEwriteck.this.responseString(AtEwriteck.first_argu, "FAIL"));
                            } else if ("R".equalsIgnoreCase(subResult)) {
                                AtEwriteck.this.writer.write(AtEwriteck.this.responseString(AtEwriteck.first_argu, "PASS_F"));
                            } else {
                                AtEwriteck.this.writer.write(AtEwriteck.this.responseString(AtEwriteck.first_argu, "NONE"));
                            }
                        } else if (colorCodeResult != null) {
                            String str7 = AtEwriteck.this.CLASS_NAME;
                            FtUtil.log_d(str7, "mGattUpdateReceiver", "Color Code Result : " + colorCodeResult);
                            if (AtEwriteck.this.mSpenBluetoothService.writeBleSpenColorCode()) {
                                AtEwriteck.this.writer.write(AtEwriteck.this.responseOK(AtEwriteck.first_argu));
                            } else {
                                FtUtil.log_d(AtEwriteck.this.CLASS_NAME, "mGattUpdateReceiver", "Fail - Color Code Write");
                                AtEwriteck.this.writer.write(AtEwriteck.this.responseNG(AtEwriteck.first_argu));
                            }
                        } else {
                            FtUtil.log_d(AtEwriteck.this.CLASS_NAME, "mGattUpdateReceiver", "Color Code Result is null ");
                            AtEwriteck.this.writer.write(AtEwriteck.this.responseNG(AtEwriteck.first_argu));
                        }
                        AtEwriteck.this.mIsFinalResultWrite = false;
                        AtEwriteck.this.mIsSubresult = false;
                    } else {
                        String str8 = "OK";
                        if (SpenBluetoothService.ACTION_MODE_WRITE_SUCCESS.equals(action)) {
                            if (!AtEwriteck.mAccGyroTestMode) {
                                return;
                            }
                            if (!AtEwriteck.mGetAccGyroRawData) {
                                AtEwriteck.this.handler.sendEmptyMessageDelayed(0, 2000);
                                return;
                            }
                            SpenBluetoothService spenBluetoothService2 = AtEwriteck.this.mSpenBluetoothService;
                            SpenBluetoothService unused2 = AtEwriteck.this.mSpenBluetoothService;
                            spenBluetoothService2.setCharacteristicNotification(SpenBluetoothService.GEOGYRO_RAW_DATA, false);
                            FtUtil.Sleep.sleep(1500);
                            AtEwriteck.this.mGB_Check_FWver_spec_Min = Support.Spec.getInt(Support.Spec.SPEN_GRAVITY_BLOCK_CHECK_FW_VER_SPEC_MIN);
                            if (AtEwriteck.this.mFwVer >= AtEwriteck.this.mGB_Check_FWver_spec_Min) {
                                SpenBluetoothService spenBluetoothService3 = AtEwriteck.this.mSpenBluetoothService;
                                SpenBluetoothService unused3 = AtEwriteck.this.mSpenBluetoothService;
                                spenBluetoothService3.setCharacteristicNotification(SpenBluetoothService.GEOGYRO_GRAVITY_BLOCK_CHECK_DATA, true);
                                return;
                            }
                            boolean unused4 = AtEwriteck.mAccGyroTestMode = false;
                            AtEwriteck.this.mStringBuilder_AccGyro.append(",2");
                            ResponseWriter responseWriter = AtEwriteck.this.writer;
                            AtEwriteck atEwriteck = AtEwriteck.this;
                            String str9 = AtEwriteck.first_argu;
                            StringBuilder sb = new StringBuilder();
                            if (!AtEwriteck.this.mAccGyroFinalResult) {
                                str8 = "NG";
                            }
                            sb.append(str8);
                            sb.append(",");
                            sb.append(AtEwriteck.this.mStringBuilder_AccGyro.toString());
                            responseWriter.write(atEwriteck.responseString(str9, sb.toString()));
                        } else if (SpenBluetoothService.ACTION_GEOGYRO_SELFTEST_DATA_RESULT.equals(action)) {
                            String mAccGyroSelftestData = intent.getStringExtra(SpenBluetoothService.EXTRA_DATA);
                            String str10 = AtEwriteck.this.CLASS_NAME;
                            FtUtil.log_d(str10, "mGattUpdateReceiver", " mAccGyroSelftestData:" + mAccGyroSelftestData);
                            String[] accGyroSelftestData = mAccGyroSelftestData.split(",");
                            AtEwriteck.this.mACC_vector_sum_Min = Support.Spec.getDouble(Support.Spec.SPEN_ACC_VECTOR_SUM_SPEC_MIN);
                            AtEwriteck.this.mACC_vector_sum_Max = Support.Spec.getDouble(Support.Spec.SPEN_ACC_VECTOR_SUM_SPEC_MAX);
                            AtEwriteck.this.mACC_self_p_x_Min = Support.Spec.getInt(Support.Spec.SPEN_ACC_SELF_P_X_SPEC_MIN);
                            AtEwriteck.this.mACC_self_p_x_Max = Support.Spec.getInt(Support.Spec.SPEN_ACC_SELF_P_X_SPEC_MAX);
                            AtEwriteck.this.mACC_self_p_y_Min = Support.Spec.getInt(Support.Spec.SPEN_ACC_SELF_P_Y_SPEC_MIN);
                            AtEwriteck.this.mACC_self_p_y_Max = Support.Spec.getInt(Support.Spec.SPEN_ACC_SELF_P_Y_SPEC_MAX);
                            AtEwriteck.this.mACC_self_p_z_Min = Support.Spec.getInt(Support.Spec.SPEN_ACC_SELF_P_Z_SPEC_MIN);
                            AtEwriteck.this.mACC_self_p_z_Max = Support.Spec.getInt(Support.Spec.SPEN_ACC_SELF_P_Z_SPEC_MAX);
                            AtEwriteck.this.mACC_self_m_x_Min = Support.Spec.getInt(Support.Spec.SPEN_ACC_SELF_M_X_SPEC_MIN);
                            AtEwriteck.this.mACC_self_m_x_Max = Support.Spec.getInt(Support.Spec.SPEN_ACC_SELF_M_X_SPEC_MAX);
                            AtEwriteck.this.mACC_self_m_y_Min = Support.Spec.getInt(Support.Spec.SPEN_ACC_SELF_M_Y_SPEC_MIN);
                            AtEwriteck.this.mACC_self_m_y_Max = Support.Spec.getInt(Support.Spec.SPEN_ACC_SELF_M_Y_SPEC_MAX);
                            AtEwriteck.this.mACC_self_m_z_Min = Support.Spec.getInt(Support.Spec.SPEN_ACC_SELF_M_Z_SPEC_MIN);
                            AtEwriteck.this.mACC_self_m_z_Max = Support.Spec.getInt(Support.Spec.SPEN_ACC_SELF_M_Z_SPEC_MAX);
                            AtEwriteck.this.mGyro_zro_avg_x_Min = Support.Spec.getInt(Support.Spec.SPEN_GYRO_ZRO_AVG_X_SPEC_MIN);
                            AtEwriteck.this.mGyro_zro_avg_x_Max = Support.Spec.getInt(Support.Spec.SPEN_GYRO_ZRO_AVG_X_SPEC_MAX);
                            AtEwriteck.this.mGyro_zro_avg_y_Min = Support.Spec.getInt(Support.Spec.SPEN_GYRO_ZRO_AVG_Y_SPEC_MIN);
                            AtEwriteck.this.mGyro_zro_avg_y_Max = Support.Spec.getInt(Support.Spec.SPEN_GYRO_ZRO_AVG_Y_SPEC_MAX);
                            AtEwriteck.this.mGyro_zro_avg_z_Min = Support.Spec.getInt(Support.Spec.SPEN_GYRO_ZRO_AVG_Z_SPEC_MIN);
                            AtEwriteck.this.mGyro_zro_avg_z_Max = Support.Spec.getInt(Support.Spec.SPEN_GYRO_ZRO_AVG_Z_SPEC_MAX);
                            AtEwriteck.this.mGyro_self_x_Min = Support.Spec.getInt(Support.Spec.SPEN_GYRO_SELF_X_SPEC_MIN);
                            AtEwriteck.this.mGyro_self_x_Max = Support.Spec.getInt(Support.Spec.SPEN_GYRO_SELF_X_SPEC_MAX);
                            AtEwriteck.this.mGyro_self_y_Min = Support.Spec.getInt(Support.Spec.SPEN_GYRO_SELF_Y_SPEC_MIN);
                            AtEwriteck.this.mGyro_self_y_Max = Support.Spec.getInt(Support.Spec.SPEN_GYRO_SELF_Y_SPEC_MAX);
                            AtEwriteck.this.mGyro_self_z_Min = Support.Spec.getInt(Support.Spec.SPEN_GYRO_SELF_Z_SPEC_MIN);
                            AtEwriteck.this.mGyro_self_z_Max = Support.Spec.getInt(Support.Spec.SPEN_GYRO_SELF_Z_SPEC_MAX);
                            AtEwriteck.this.mGyro_self_diff_x_Min = Support.Spec.getInt(Support.Spec.SPEN_GYRO_SELF_DIFF_X_SPEC_MIN);
                            AtEwriteck.this.mGyro_self_diff_x_Max = Support.Spec.getInt(Support.Spec.SPEN_GYRO_SELF_DIFF_X_SPEC_MAX);
                            AtEwriteck.this.mGyro_self_diff_y_Min = Support.Spec.getInt(Support.Spec.SPEN_GYRO_SELF_DIFF_Y_SPEC_MIN);
                            AtEwriteck.this.mGyro_self_diff_y_Max = Support.Spec.getInt(Support.Spec.SPEN_GYRO_SELF_DIFF_Y_SPEC_MAX);
                            AtEwriteck.this.mGyro_self_diff_z_Min = Support.Spec.getInt(Support.Spec.SPEN_GYRO_SELF_DIFF_Z_SPEC_MIN);
                            AtEwriteck.this.mGyro_self_diff_z_Max = Support.Spec.getInt(Support.Spec.SPEN_GYRO_SELF_DIFF_Z_SPEC_MAX);
                            AtEwriteck atEwriteck2 = AtEwriteck.this;
                            if (atEwriteck2.checkSpec(atEwriteck2.mACC_vector_sum_Min, AtEwriteck.this.mACC_vector_sum_Max, Double.parseDouble(accGyroSelftestData[3]))) {
                                AtEwriteck atEwriteck3 = AtEwriteck.this;
                                double d = (double) AtEwriteck.this.mACC_self_p_x_Max;
                                int parseInt = Integer.parseInt(accGyroSelftestData[4]);
                                str = SpenBluetoothService.GEOGYRO_SELFTEST_DATA;
                                if (atEwriteck3.checkSpec((double) atEwriteck3.mACC_self_p_x_Min, d, (double) parseInt)) {
                                    AtEwriteck atEwriteck4 = AtEwriteck.this;
                                    if (atEwriteck4.checkSpec((double) atEwriteck4.mACC_self_p_y_Min, (double) AtEwriteck.this.mACC_self_p_y_Max, (double) Integer.parseInt(accGyroSelftestData[5]))) {
                                        AtEwriteck atEwriteck5 = AtEwriteck.this;
                                        if (atEwriteck5.checkSpec((double) atEwriteck5.mACC_self_p_z_Min, (double) AtEwriteck.this.mACC_self_p_z_Max, (double) Integer.parseInt(accGyroSelftestData[6]))) {
                                            AtEwriteck atEwriteck6 = AtEwriteck.this;
                                            if (atEwriteck6.checkSpec((double) atEwriteck6.mACC_self_m_x_Min, (double) AtEwriteck.this.mACC_self_m_x_Max, (double) Integer.parseInt(accGyroSelftestData[7]))) {
                                                AtEwriteck atEwriteck7 = AtEwriteck.this;
                                                if (atEwriteck7.checkSpec((double) atEwriteck7.mACC_self_m_y_Min, (double) AtEwriteck.this.mACC_self_m_y_Max, (double) Integer.parseInt(accGyroSelftestData[8]))) {
                                                    AtEwriteck atEwriteck8 = AtEwriteck.this;
                                                    if (atEwriteck8.checkSpec((double) atEwriteck8.mACC_self_m_z_Min, (double) AtEwriteck.this.mACC_self_m_z_Max, (double) Integer.parseInt(accGyroSelftestData[9]))) {
                                                        AtEwriteck atEwriteck9 = AtEwriteck.this;
                                                        if (atEwriteck9.checkSpec((double) atEwriteck9.mGyro_zro_avg_x_Min, (double) AtEwriteck.this.mGyro_zro_avg_x_Max, (double) Integer.parseInt(accGyroSelftestData[10]))) {
                                                            AtEwriteck atEwriteck10 = AtEwriteck.this;
                                                            if (atEwriteck10.checkSpec((double) atEwriteck10.mGyro_zro_avg_y_Min, (double) AtEwriteck.this.mGyro_zro_avg_y_Max, (double) Integer.parseInt(accGyroSelftestData[11]))) {
                                                                AtEwriteck atEwriteck11 = AtEwriteck.this;
                                                                if (atEwriteck11.checkSpec((double) atEwriteck11.mGyro_zro_avg_z_Min, (double) AtEwriteck.this.mGyro_zro_avg_z_Max, (double) Integer.parseInt(accGyroSelftestData[12]))) {
                                                                    AtEwriteck atEwriteck12 = AtEwriteck.this;
                                                                    if (atEwriteck12.checkSpec((double) atEwriteck12.mGyro_self_x_Min, (double) AtEwriteck.this.mGyro_self_x_Max, (double) Integer.parseInt(accGyroSelftestData[13]))) {
                                                                        AtEwriteck atEwriteck13 = AtEwriteck.this;
                                                                        if (atEwriteck13.checkSpec((double) atEwriteck13.mGyro_self_y_Min, (double) AtEwriteck.this.mGyro_self_y_Max, (double) Integer.parseInt(accGyroSelftestData[14]))) {
                                                                            AtEwriteck atEwriteck14 = AtEwriteck.this;
                                                                            if (atEwriteck14.checkSpec((double) atEwriteck14.mGyro_self_z_Min, (double) AtEwriteck.this.mGyro_self_z_Max, (double) Integer.parseInt(accGyroSelftestData[15]))) {
                                                                                AtEwriteck atEwriteck15 = AtEwriteck.this;
                                                                                if (atEwriteck15.checkSpec((double) atEwriteck15.mGyro_self_diff_x_Min, (double) AtEwriteck.this.mGyro_self_diff_x_Max, (double) Integer.parseInt(accGyroSelftestData[19]))) {
                                                                                    AtEwriteck atEwriteck16 = AtEwriteck.this;
                                                                                    if (atEwriteck16.checkSpec((double) atEwriteck16.mGyro_self_diff_y_Min, (double) AtEwriteck.this.mGyro_self_diff_y_Max, (double) Integer.parseInt(accGyroSelftestData[20]))) {
                                                                                        AtEwriteck atEwriteck17 = AtEwriteck.this;
                                                                                        if (atEwriteck17.checkSpec((double) atEwriteck17.mGyro_self_diff_z_Min, (double) AtEwriteck.this.mGyro_self_diff_z_Max, (double) Integer.parseInt(accGyroSelftestData[21]))) {
                                                                                            AtEwriteck.this.mAccGyroFinalResult = true;
                                                                                            AtEwriteck.this.mStringBuilder_AccGyro = new StringBuilder();
                                                                                            for (i = 0; i <= 21; i++) {
                                                                                                AtEwriteck.this.mStringBuilder_AccGyro.append(accGyroSelftestData[i]);
                                                                                                AtEwriteck.this.mStringBuilder_AccGyro.append(",");
                                                                                            }
                                                                                            SpenBluetoothService spenBluetoothService4 = AtEwriteck.this.mSpenBluetoothService;
                                                                                            SpenBluetoothService unused5 = AtEwriteck.this.mSpenBluetoothService;
                                                                                            spenBluetoothService4.setCharacteristicNotification(str, false);
                                                                                            FtUtil.Sleep.sleep(1500);
                                                                                            SpenBluetoothService spenBluetoothService5 = AtEwriteck.this.mSpenBluetoothService;
                                                                                            SpenBluetoothService unused6 = AtEwriteck.this.mSpenBluetoothService;
                                                                                            spenBluetoothService5.setCharacteristicNotification(SpenBluetoothService.GEOGYRO_RAW_DATA, true);
                                                                                        }
                                                                                    }
                                                                                }
                                                                            }
                                                                        }
                                                                    }
                                                                }
                                                            }
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            } else {
                                str = SpenBluetoothService.GEOGYRO_SELFTEST_DATA;
                            }
                            AtEwriteck.this.mAccGyroFinalResult = false;
                            AtEwriteck.this.mStringBuilder_AccGyro = new StringBuilder();
                            while (i <= 21) {
                            }
                            SpenBluetoothService spenBluetoothService42 = AtEwriteck.this.mSpenBluetoothService;
                            SpenBluetoothService unused52 = AtEwriteck.this.mSpenBluetoothService;
                            spenBluetoothService42.setCharacteristicNotification(str, false);
                            FtUtil.Sleep.sleep(1500);
                            SpenBluetoothService spenBluetoothService52 = AtEwriteck.this.mSpenBluetoothService;
                            SpenBluetoothService unused62 = AtEwriteck.this.mSpenBluetoothService;
                            spenBluetoothService52.setCharacteristicNotification(SpenBluetoothService.GEOGYRO_RAW_DATA, true);
                        } else if (SpenBluetoothService.ACTION_GEOGYRO_RAW_DATA_NOTIFICATION_MODE_ON.equals(action)) {
                            if (!AtEwriteck.this.mSpenBluetoothService.accGyroRawData(true)) {
                                AtEwriteck.this.writer.write(AtEwriteck.this.responseString(AtEwriteck.first_argu, "NG_HID"));
                            }
                        } else if (SpenBluetoothService.ACTION_GEOGYRO_RAW_DATA_RESULT.equals(action)) {
                            String str11 = AtEwriteck.this.CLASS_NAME;
                            FtUtil.log_d(str11, "mGattUpdateReceiver", " mGetAccGyroRawDataReady:" + AtEwriteck.mGetAccGyroRawDataReady);
                            if (AtEwriteck.mGetAccGyroRawDataReady) {
                                boolean unused7 = AtEwriteck.mGetAccGyroRawDataReady = false;
                                String mAccGyroRawData = intent.getStringExtra(SpenBluetoothService.EXTRA_DATA);
                                String str12 = AtEwriteck.this.CLASS_NAME;
                                FtUtil.log_d(str12, "mGattUpdateReceiver", " mAccGyroRawData:" + mAccGyroRawData);
                                boolean unused8 = AtEwriteck.mGetAccGyroRawData = true;
                                String[] accGyroRawData = mAccGyroRawData.split("_");
                                AtEwriteck.this.mStringBuilder_AccGyro.append(accGyroRawData[0]);
                                AtEwriteck.this.mStringBuilder_AccGyro.append(",");
                                AtEwriteck.this.mStringBuilder_AccGyro.append(accGyroRawData[1]);
                                AtEwriteck atEwriteck18 = AtEwriteck.this;
                                AtEwriteck.access$1172(atEwriteck18, atEwriteck18.checkSpec(atEwriteck18.mACC_vector_sum_Min, AtEwriteck.this.mACC_vector_sum_Max, Double.parseDouble(accGyroRawData[1])) ? 1 : 0);
                                AtEwriteck.this.mSpenBluetoothService.accGyroRawData(false);
                            }
                        } else if (SpenBluetoothService.ACTION_GEOGYRO_GRAVITY_BLOCK_CHECK_DATA_RESULT.equals(action)) {
                            boolean mAccGyroGravityCheckData = intent.getBooleanExtra(SpenBluetoothService.EXTRA_DATA, false);
                            AtEwriteck.this.mStringBuilder_AccGyro.append(",");
                            AtEwriteck.this.mStringBuilder_AccGyro.append(mAccGyroGravityCheckData ? 1 : 0);
                            if (!mAccGyroGravityCheckData) {
                                z = false;
                                AtEwriteck.this.mAccGyroFinalResult = false;
                            } else {
                                z = false;
                            }
                            SpenBluetoothService spenBluetoothService6 = AtEwriteck.this.mSpenBluetoothService;
                            SpenBluetoothService unused9 = AtEwriteck.this.mSpenBluetoothService;
                            spenBluetoothService6.setCharacteristicNotification(SpenBluetoothService.GEOGYRO_GRAVITY_BLOCK_CHECK_DATA, z);
                            FtUtil.Sleep.sleep(1500);
                            boolean unused10 = AtEwriteck.mAccGyroTestMode = z;
                            ResponseWriter responseWriter2 = AtEwriteck.this.writer;
                            AtEwriteck atEwriteck19 = AtEwriteck.this;
                            String str13 = AtEwriteck.first_argu;
                            StringBuilder sb2 = new StringBuilder();
                            if (!AtEwriteck.this.mAccGyroFinalResult) {
                                str8 = "NG";
                            }
                            sb2.append(str8);
                            sb2.append(",");
                            sb2.append(AtEwriteck.this.mStringBuilder_AccGyro.toString());
                            responseWriter2.write(atEwriteck19.responseString(str13, sb2.toString()));
                        }
                    }
                }
            }
        }
    };
    private int mGyro_self_diff_x_Max;
    private int mGyro_self_diff_x_Min;
    private int mGyro_self_diff_y_Max;
    private int mGyro_self_diff_y_Min;
    private int mGyro_self_diff_z_Max;
    private int mGyro_self_diff_z_Min;
    private int mGyro_self_x_Max;
    private int mGyro_self_x_Min;
    private int mGyro_self_y_Max;
    private int mGyro_self_y_Min;
    private int mGyro_self_z_Max;
    private int mGyro_self_z_Min;
    private int mGyro_zro_avg_x_Max;
    private int mGyro_zro_avg_x_Min;
    private int mGyro_zro_avg_y_Max;
    private int mGyro_zro_avg_y_Min;
    private int mGyro_zro_avg_z_Max;
    private int mGyro_zro_avg_z_Min;
    boolean mIsFinalResultWrite = false;
    boolean mIsSubresult = false;
    private int mRSSI_spec_Max;
    private int mRSSI_spec_Min;
    private final ServiceConnection mServiceConnection = new ServiceConnection() {
        /* class com.sec.factory.aporiented.athandler.AtEwriteck.AnonymousClass3 */

        public void onServiceConnected(ComponentName componentName, IBinder service) {
            FtUtil.log_d(AtEwriteck.this.CLASS_NAME, "onServiceConnected", "onServiceConnected");
            AtEwriteck.this.mSpenBluetoothService = ((SpenBluetoothService.LocalBinder) service).getService();
            int i = AtEwriteck.this.mSpenBluetoothService.mConnectionState;
            SpenBluetoothService unused = AtEwriteck.this.mSpenBluetoothService;
            if (i == 0 && !AtEwriteck.this.mSpenBluetoothService.initialize()) {
                FtUtil.log_d(AtEwriteck.this.CLASS_NAME, "onServiceConnected", "Unable to initialize Bluetooth");
            }
        }

        public void onServiceDisconnected(ComponentName componentName) {
            FtUtil.log_d(AtEwriteck.this.CLASS_NAME, "onServiceDisConnected", "onServiceDisconnected");
        }
    };
    private BroadcastReceiver mSpenAbnormalDetectionReceiver = null;
    private SpenBluetoothService mSpenBluetoothService = null;
    private String mSpen_Garage_Avg;
    private String mSpen_Garage_Avg1;
    private String mSpen_Garage_Max;
    private String mSpen_Garage_Max1;
    private String mSpen_Garage_Min;
    private String mSpen_Garage_Min1;
    private String mSpen_Garage_Raw;
    private String mSpen_Garage_Raw1;
    private String mSpen_fw_version_ic;
    private String mSpen_fw_version_kernel;
    private StringBuilder mStringBuilder_AccGyro;
    private final BroadcastReceiver mTestResultUpdateReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.aporiented.athandler.AtEwriteck.AnonymousClass4 */

        /* JADX WARNING: Code restructure failed: missing block: B:3:0x003c, code lost:
            if (r0.equals(com.sec.factory.aporiented.DigitizerElectricService.ACTION_DIGITIZER_ELECTRIC_RESULT) != false) goto L_0x0040;
         */
        public void onReceive(Context context, Intent intent) {
            AtEwriteck atEwriteck = AtEwriteck.this;
            atEwriteck.stopReceiver(atEwriteck.mTestResultUpdateReceiver);
            String action = intent.getAction();
            char c = 0;
            boolean result = intent.getBooleanExtra("result", false);
            String str = AtEwriteck.this.CLASS_NAME;
            FtUtil.log_d(str, "mTestResultUpdateReceiver", "receiver:" + action);
            switch (action.hashCode()) {
                case 2013384951:
                    break;
                default:
                    c = 65535;
                    break;
            }
            switch (c) {
                case 0:
                    if (result) {
                        AtEwriteck.this.writer.write(AtEwriteck.this.responseOK(AtEwriteck.first_argu));
                        return;
                    } else {
                        AtEwriteck.this.writer.write(AtEwriteck.this.responseNG(AtEwriteck.first_argu));
                        return;
                    }
                default:
                    return;
            }
        }
    };
    private ArrayList<Integer> mValueList = new ArrayList<>();
    private ArrayList<Integer> mValueList2 = new ArrayList<>();
    private long pairingEnd = 0;
    private long pairingStart = 0;
    boolean spenInserted = false;

    static /* synthetic */ long access$008(AtEwriteck x0) {
        long j = x0.mAbnormalDetectionCheckCnt;
        x0.mAbnormalDetectionCheckCnt = 1 + j;
        return j;
    }

    /* JADX WARN: Type inference failed for: r0v2, types: [byte, boolean] */
    /* JADX WARNING: Unknown variable types count: 1 */
    static /* synthetic */ boolean access$1172(AtEwriteck x0, int x1) {
        ?? r0 = (byte) ((x0.mAccGyroFinalResult ? 1 : 0) & x1);
        x0.mAccGyroFinalResult = r0;
        return r0;
    }

    public AtEwriteck(Context context, ResponseWriter writer) {
        super(context);
        this.CMD_NAME = "EWRITECK";
        this.CLASS_NAME = "AtEwriteck";
        this.NUM_ARGS = 2;
        this.writer = writer;
        this.mContext = context;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        Intent intent;
        String str;
        String resData = null;
        first_argu = argu[0];
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", "0"})) {
            resData = responseNA();
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION})) {
            if ("OK".equals(Support.Kernel.read(Support.Kernel.EPEN_DIGITIZER_CHECK).split(" ")[0])) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,1", "Pass - E-Writing Connection"));
                resData = responseOK(argu[0]);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,1", "Fail - E-Writing Connection"));
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", "2"})) {
            Intent SpenLockIntent = new Intent("com.sec.factory.athandler.SpenLock");
            SpenLockIntent.putExtra("data", true);
            this.context.sendBroadcast(SpenLockIntent);
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,2", "SPen Block"));
            resData = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
            Intent SpenLockIntent2 = new Intent("com.sec.factory.athandler.SpenLock");
            SpenLockIntent2.putExtra("data", false);
            this.context.sendBroadcast(SpenLockIntent2);
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,3", "SPen Unblock"));
            resData = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", "4"})) {
            String result = Support.Kernel.read(Support.Kernel.EPEN_DIGITIZER_CHECK);
            if (result != null) {
                String[] results = result.split(" ");
                String result2 = result.replace(" ", ",");
                if ("OK".equalsIgnoreCase(results[0])) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,4", "Pass - E-Writing Connection"));
                    resData = responseString(argu[0], result2);
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,4", "Fail - E-Writing Connection"));
                    resData = responseString(argu[0], result2);
                }
            }
        } else if (checkArgu(argu, new String[]{"0", "5"})) {
            String result3 = Check(2);
            if (result3 != null) {
                if ("OK".equalsIgnoreCase(result3)) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,5", "Pass - E Write NORMAL_FW D/L "));
                    resData = responseString(argu[0], result3 + "," + this.mSpen_fw_version_ic);
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,5", "Fail - E Write NORMAL_FW D/L "));
                    resData = responseNG(argu[0]);
                }
            }
        } else if (checkArgu(argu, new String[]{"0", "6"})) {
            String result4 = Check(1);
            if (result4 != null) {
                if ("OK".equalsIgnoreCase(result4)) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,6", "Pass - E Write FAC_FW D/L"));
                    resData = responseString(argu[0], result4 + "," + this.mSpen_fw_version_ic);
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,6", "Fail - E Write FAC_FW D/L"));
                    resData = responseNG(argu[0]);
                }
            }
        } else if (checkArgu(argu, new String[]{"0", "7"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,7", "Spen BLE Pairing Start  saveRssiCnt:30"));
            if (this.mSpenBluetoothService != null) {
                FtUtil.log_e(this.CLASS_NAME, "handleCommand", "SpenBluetoothService is Already Executed");
                finishSpenBLE();
            }
            Settings.System.putInt(this.mContext.getContentResolver(), "pen_detect_mode_disabled", 1);
            Support.Kernel.write(Support.Kernel.EPEN_SAVINGMODE, EgisFingerprint.MAJOR_VERSION);
            mCharging = true;
            if (Support.Feature.getInt(Support.Feature.SPEN_BLE_CHARGE_VER) == 2) {
                Support.Kernel.write(Support.Kernel.EPEN_BLE_CHARGING_MODE, "0");
                FtUtil.Sleep.sleep(300);
                Support.Kernel.write(Support.Kernel.EPEN_BLE_CHARGING_MODE, EgisFingerprint.MAJOR_VERSION);
                FtUtil.Sleep.sleep(200);
                Support.Kernel.write(Support.Kernel.EPEN_BLE_CHARGING_MODE, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION);
                FtUtil.Sleep.sleep(600);
                Support.Kernel.write(Support.Kernel.EPEN_BLE_CHARGING_MODE, "2");
                FtUtil.Sleep.sleep(1300);
                Support.Kernel.write(Support.Kernel.EPEN_BLE_CHARGING_MODE, "4");
                FtUtil.Sleep.sleep(300);
            } else {
                Support.Kernel.write(Support.Kernel.EPEN_BLE_CHARGING_MODE, "0");
                Support.Kernel.write(Support.Kernel.EPEN_BLE_CHARGING_MODE, EgisFingerprint.MAJOR_VERSION);
            }
            this.mContext.registerReceiver(this.mGattUpdateReceiver, makeGattUpdateIntentFilter());
            Intent gattServiceIntent = new Intent(this.mContext, SpenBluetoothService.class);
            gattServiceIntent.putExtra("save_rssi", true);
            gattServiceIntent.putExtra("save_rssi_cnt", 30);
            if (this.mContext.bindService(gattServiceIntent, this.mServiceConnection, 1)) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,7", "Pass - Spen BLE Pairing Start"));
                resData = responseOK(argu[0]);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,7", "Fail - Spen BLE Pairing Start"));
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", "8"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,8", "Spen BLE Paring End"));
            finishSpenBLE();
            resData = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", egis.optical.client.api.EgisFingerprint.JAR_VERSION})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,9", "FW Garage Check Start"));
            resData = Support.Kernel.write(Support.Kernel.EPEN_GARAGE_MODE, EgisFingerprint.MAJOR_VERSION) ? responseOK(argu[0]) : responseNG(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", "A"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,A", "FW Garage Check Stop"));
            resData = Support.Kernel.write(Support.Kernel.EPEN_GARAGE_MODE, "0") ? responseOK(argu[0]) : responseNG(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", "C"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,C", "Spen BLE Pairing Start  saveRssiCnt:10"));
            if (this.mSpenBluetoothService != null) {
                FtUtil.log_e(this.CLASS_NAME, "handleCommand", "SpenBluetoothService is Already Executed");
                finishSpenBLE();
            }
            Settings.System.putInt(this.mContext.getContentResolver(), "pen_detect_mode_disabled", 1);
            Support.Kernel.write(Support.Kernel.EPEN_SAVINGMODE, EgisFingerprint.MAJOR_VERSION);
            mCharging = true;
            if (Support.Feature.getInt(Support.Feature.SPEN_BLE_CHARGE_VER) == 2) {
                Support.Kernel.write(Support.Kernel.EPEN_BLE_CHARGING_MODE, "0");
                FtUtil.Sleep.sleep(300);
                Support.Kernel.write(Support.Kernel.EPEN_BLE_CHARGING_MODE, EgisFingerprint.MAJOR_VERSION);
                FtUtil.Sleep.sleep(200);
                Support.Kernel.write(Support.Kernel.EPEN_BLE_CHARGING_MODE, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION);
                FtUtil.Sleep.sleep(600);
                Support.Kernel.write(Support.Kernel.EPEN_BLE_CHARGING_MODE, "2");
                FtUtil.Sleep.sleep(1300);
                Support.Kernel.write(Support.Kernel.EPEN_BLE_CHARGING_MODE, "4");
                FtUtil.Sleep.sleep(300);
            } else {
                Support.Kernel.write(Support.Kernel.EPEN_BLE_CHARGING_MODE, "0");
                Support.Kernel.write(Support.Kernel.EPEN_BLE_CHARGING_MODE, EgisFingerprint.MAJOR_VERSION);
            }
            this.mContext.registerReceiver(this.mGattUpdateReceiver, makeGattUpdateIntentFilter());
            Intent gattServiceIntent2 = new Intent(this.mContext, SpenBluetoothService.class);
            gattServiceIntent2.putExtra("save_rssi", true);
            gattServiceIntent2.putExtra("save_rssi_cnt", 10);
            if (this.mContext.bindService(gattServiceIntent2, this.mServiceConnection, 1)) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,C", "Pass - Spen BLE Pairing Start"));
                resData = responseOK(argu[0]);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,C", "Fail - Spen BLE Pairing Start"));
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", "D"})) {
            Support.Kernel.write(Support.Kernel.EPEN_CMD, "get_garage_connection");
            int i = 0;
            while (true) {
                if (i >= 5) {
                    break;
                }
                String cmdStatus = Support.Kernel.read(Support.Kernel.EPEN_CMD_STATUS);
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "cmdStatus:" + cmdStatus);
                if ("OK".equals(cmdStatus)) {
                    String rawResult = Support.Kernel.read(Support.Kernel.EPEN_CMD_RESULT);
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "rawResult:" + rawResult);
                    String[] rawResultSplit = rawResult.split(":")[1].split(" ");
                    if (rawResultSplit.length >= 4) {
                        resData = responseString(argu[0], rawResultSplit[0] + "," + rawResultSplit[1] + "," + rawResultSplit[2] + "," + rawResultSplit[3]);
                    }
                } else {
                    FtUtil.Sleep.sleep(1000);
                    i++;
                }
            }
            if (resData == null) {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", "E"})) {
            this.mAbnormalDetectionCheckCnt = 0;
            if (this.mSpenAbnormalDetectionReceiver != null) {
                this.context.unregisterReceiver(this.mSpenAbnormalDetectionReceiver);
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Unregister Existent SpenAbnormalDetectionReceiver");
            }
            this.mSpenAbnormalDetectionReceiver = new BroadcastReceiver() {
                /* class com.sec.factory.aporiented.athandler.AtEwriteck.AnonymousClass1 */

                public void onReceive(Context context, Intent intent) {
                    AtEwriteck.access$008(AtEwriteck.this);
                }
            };
            this.context.registerReceiver(this.mSpenAbnormalDetectionReceiver, new IntentFilter("com.samsung.pen.INSERT"));
            resData = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"0", "F"})) {
            if (this.mSpenAbnormalDetectionReceiver != null) {
                this.context.unregisterReceiver(this.mSpenAbnormalDetectionReceiver);
                this.mSpenAbnormalDetectionReceiver = null;
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,F", "AbnormalDetectionCheckCnt: " + this.mAbnormalDetectionCheckCnt));
                resData = responseString(argu[0], "OK," + this.mAbnormalDetectionCheckCnt);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,F", "SpenAbnormalDetectionReceiver Was Not Registered"));
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", "G"})) {
            if (Support.Kernel.write(Support.Kernel.EPEN_DISABLE_MODE, EgisFingerprint.MAJOR_VERSION)) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,G", "Pass - Wacom IC OFF"));
                resData = responseOK(argu[0]);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=0,G", "Fail - Wacom IC OFF"));
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0"})) {
            if (!Support.Feature.getBoolean(Support.Feature.SUPPORT_EPEN_INSERT_SYSFS, false)) {
                this.spenInserted = false;
                BroadcastReceiver spenDetectionReceiver = new BroadcastReceiver() {
                    /* class com.sec.factory.aporiented.athandler.AtEwriteck.AnonymousClass2 */

                    public void onReceive(Context context, Intent intent) {
                        AtEwriteck.this.spenInserted = intent.getBooleanExtra("penInsert", false);
                        String str = AtEwriteck.this.CLASS_NAME;
                        FtUtil.log_d(str, "onReceive", "spenInserted: " + AtEwriteck.this.spenInserted);
                    }
                };
                this.context.registerReceiver(spenDetectionReceiver, new IntentFilter("com.samsung.pen.INSERT"));
                try {
                    Thread.sleep(1500);
                } catch (InterruptedException e) {
                }
                if (this.spenInserted) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,0", "Pass - SPen Detection"));
                    resData = responseOK(argu[0]);
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,0", "Fail - SPen Detection"));
                    resData = responseNG(argu[0]);
                }
                this.context.unregisterReceiver(spenDetectionReceiver);
            } else if (EgisFingerprint.MAJOR_VERSION.equals(Support.Kernel.read(Support.Kernel.EPEN_INSERT))) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,0", "Pass - SPen Detection"));
                resData = responseOK(argu[0]);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,0", "Fail - SPen Detection"));
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
            Support.Kernel.write(Support.Kernel.EPEN_BLE_CHARGING_MODE, "0");
            FtUtil.Sleep.sleep(300);
            while (this.mCount < 50) {
                VALUE_SAVE();
            }
            VALUE_PRINT();
            this.mCount = 0;
            this.mValueList.clear();
            this.mValueList2.clear();
            if (this.mSpen_Garage_Raw != null) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,1", "Pass - S-Pen Detect Raw Data Read"));
                resData = responseString(argu[0], "OK," + this.mSpen_Garage_Raw + "," + this.mSpen_Garage_Avg + "," + this.mSpen_Garage_Min + "," + this.mSpen_Garage_Max + "," + this.mSpen_Garage_Raw1 + "," + this.mSpen_Garage_Avg1 + "," + this.mSpen_Garage_Min1 + "," + this.mSpen_Garage_Max1);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=1,1", "Fail - S-Pen Detect Raw Data Read"));
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "2"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Digitizer Linear Data Read"));
            File linearDataFile = new File("data/log/LinearityData.log");
            if (linearDataFile.exists()) {
                String linearData = Support.Kernel.readFromPath(linearDataFile.getPath(), true);
                resData = responseString(argu[0], linearData);
                FtUtil.log_i(this.CLASS_NAME, this.CMD_NAME, "LinearData Info : " + linearData);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - Linear data file is empty (SpenLinearData.log)"));
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Spen Address Read"));
            SpenBluetoothService spenBluetoothService = this.mSpenBluetoothService;
            if (spenBluetoothService != null) {
                String btAddress = spenBluetoothService.getBtAddress();
                if (btAddress != null) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "PASS - BT Address : " + btAddress));
                    resData = responseString(argu[0], btAddress);
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - BT Address is null"));
                    resData = responseNG(argu[0]);
                }
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - mSpenBluetoothService is null"));
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "4"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Spen Battery Level Read"));
            SpenBluetoothService spenBluetoothService2 = this.mSpenBluetoothService;
            if (spenBluetoothService2 != null) {
                spenBluetoothService2.readBatteryLevelRaw();
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Pass - Successed to trigger Battery Level Read Function"));
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - mSpenBluetoothService is null"));
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "5"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Spen RSSI Level Read"));
            SpenBluetoothService spenBluetoothService3 = this.mSpenBluetoothService;
            if (spenBluetoothService3 != null) {
                spenBluetoothService3.readRssi();
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Pass - Successed to trigger RSSI Read Function"));
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - mSpenBluetoothService is null"));
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "6"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Spen Pairing Check"));
            SpenBluetoothService spenBluetoothService4 = this.mSpenBluetoothService;
            if (spenBluetoothService4 == null) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - mSpenBluetoothService is null"));
                resData = responseString(argu[0], "NONE");
            } else if (spenBluetoothService4.pairingCheck()) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Pass - Spen is paired with set"));
                resData = responseString(argu[0], "PAIR");
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - Spen is not paired with set"));
                resData = responseString(argu[0], "NONE");
            }
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "7"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Spen FW version read"));
            SpenBluetoothService spenBluetoothService5 = this.mSpenBluetoothService;
            if (spenBluetoothService5 != null) {
                spenBluetoothService5.fwVerRead();
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Pass - Spen FW version read"));
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - mSpenBluetoothService is null"));
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,0", "Spen Charging Off"));
            mCharging = false;
            try {
                Support.Kernel.write(Support.Kernel.EPEN_BLE_CHARGING_MODE, "0");
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,0", "Pass - Spen Charging Off"));
                resData = responseOK(argu[0]);
            } catch (Exception e2) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,0", "Fail - Spen Charging Off"));
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,1", "Spen Charging On"));
            mCharging = true;
            if (this.mSpenBluetoothService == null) {
                Support.Kernel.write(Support.Kernel.EPEN_BLE_PAIRING_TIME, String.valueOf(0));
                Settings.System.putInt(this.mContext.getContentResolver(), "pen_detect_mode_disabled", 1);
                Support.Kernel.write(Support.Kernel.EPEN_SAVINGMODE, EgisFingerprint.MAJOR_VERSION);
                if (Support.Feature.getInt(Support.Feature.SPEN_BLE_CHARGE_VER) == 2) {
                    Support.Kernel.write(Support.Kernel.EPEN_BLE_CHARGING_MODE, "0");
                    FtUtil.Sleep.sleep(300);
                    Support.Kernel.write(Support.Kernel.EPEN_BLE_CHARGING_MODE, EgisFingerprint.MAJOR_VERSION);
                    FtUtil.Sleep.sleep(200);
                    Support.Kernel.write(Support.Kernel.EPEN_BLE_CHARGING_MODE, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION);
                    FtUtil.Sleep.sleep(600);
                    Support.Kernel.write(Support.Kernel.EPEN_BLE_CHARGING_MODE, "2");
                    FtUtil.Sleep.sleep(1300);
                    Support.Kernel.write(Support.Kernel.EPEN_BLE_CHARGING_MODE, "4");
                    FtUtil.Sleep.sleep(300);
                } else {
                    Support.Kernel.write(Support.Kernel.EPEN_BLE_CHARGING_MODE, "0");
                    Support.Kernel.write(Support.Kernel.EPEN_BLE_CHARGING_MODE, EgisFingerprint.MAJOR_VERSION);
                }
                this.mContext.registerReceiver(this.mGattUpdateReceiver, makeGattUpdateIntentFilter());
                Intent gattServiceIntent3 = new Intent(this.mContext, SpenBluetoothService.class);
                gattServiceIntent3.putExtra("mode", "pairing_time");
                if (this.mContext.bindService(gattServiceIntent3, this.mServiceConnection, 1)) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,1", "Pass - Spen Charging On"));
                    resData = responseOK(argu[0]);
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,1", "Fail - Spen Charging On"));
                    resData = responseNG(argu[0]);
                }
            } else {
                try {
                    if (Support.Feature.getInt(Support.Feature.SPEN_BLE_CHARGE_VER) == 2) {
                        Support.Kernel.write(Support.Kernel.EPEN_BLE_CHARGING_MODE, "0");
                        FtUtil.Sleep.sleep(300);
                        Support.Kernel.write(Support.Kernel.EPEN_BLE_CHARGING_MODE, EgisFingerprint.MAJOR_VERSION);
                        FtUtil.Sleep.sleep(200);
                        Support.Kernel.write(Support.Kernel.EPEN_BLE_CHARGING_MODE, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION);
                        FtUtil.Sleep.sleep(600);
                        Support.Kernel.write(Support.Kernel.EPEN_BLE_CHARGING_MODE, "4");
                        FtUtil.Sleep.sleep(300);
                    } else {
                        Support.Kernel.write(Support.Kernel.EPEN_BLE_CHARGING_MODE, "0");
                        Support.Kernel.write(Support.Kernel.EPEN_BLE_CHARGING_MODE, EgisFingerprint.MAJOR_VERSION);
                    }
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,1", "Pass - Spen Charging On"));
                    resData = responseOK(argu[0]);
                } catch (Exception e3) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,1", "Fail - Spen Charging On"));
                    resData = responseNG(argu[0]);
                }
            }
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "2"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,2", "Spen Fast discharging Start"));
            SpenBluetoothService spenBluetoothService6 = this.mSpenBluetoothService;
            if (spenBluetoothService6 == null) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - mSpenBluetoothService is null"));
                resData = responseNG(argu[0]);
            } else if (spenBluetoothService6.startFastDischarging(4)) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Pass - Successed to trigger fast discharging"));
                resData = responseOK(argu[0]);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - Failed to trigger fast discharging"));
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,3", "Change slavelatency to 9S"));
            SpenBluetoothService spenBluetoothService7 = this.mSpenBluetoothService;
            if (spenBluetoothService7 == null) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - mSpenBluetoothService is null"));
                resData = responseNG(argu[0]);
            } else if (spenBluetoothService7.changeSlaveLatency(9)) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Pass - Successed to change slavelatency"));
                resData = responseOK(argu[0]);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail- Failed to change slavelatency"));
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "4"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=3,4", "Change slavelatency to 1S"));
            SpenBluetoothService spenBluetoothService8 = this.mSpenBluetoothService;
            if (spenBluetoothService8 == null) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - mSpenBluetoothService is null"));
                resData = responseNG(argu[0]);
            } else if (spenBluetoothService8.changeSlaveLatency(1)) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Pass - Successed to change slavelatency"));
                resData = responseOK(argu[0]);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail- Failed to change slavelatency"));
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "5"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Spen Sub Result Read"));
            SpenBluetoothService spenBluetoothService9 = this.mSpenBluetoothService;
            if (spenBluetoothService9 == null) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - mSpenBluetoothService is null"));
                resData = responseNG(argu[0]);
            } else if (spenBluetoothService9.pairingCheck()) {
                this.mIsSubresult = true;
                this.mSpenBluetoothService.subResultRead();
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Pass - Successed to trigger Sub Result Read Function"));
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - Spen is not paired"));
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "6"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Ble Spen Color Code Read"));
            String result5 = mModuleDevice.readBleSpenColorCode();
            if (result5 != null) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Pass - Read Ble Spen Color Code Read"));
                resData = responseString(argu[0], result5);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - Read Ble Spen Color Code Read"));
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "8"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Spen BLE test result read"));
            String result6 = this.mContext.getSharedPreferences("SPEN_BLE_TEST_RESULT", 0).getString("TEST_RESULT", "NG");
            if (result6 == null || result6.isEmpty()) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - Log is null or empty"));
                resData = responseNG(argu[0]);
            } else {
                resData = responseString(argu[0], result6);
            }
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "7"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Digitizer Linear Data Read"));
            File linearDataFile2 = new File("data/log/LinearityData.log");
            if (linearDataFile2.exists()) {
                String linearData2 = Support.Kernel.readFromPath(linearDataFile2.getPath(), true);
                String[] splitVersion = linearData2.split(",");
                int outNumber = Integer.parseInt(splitVersion[1]);
                float distance = Float.parseFloat(splitVersion[0]);
                FtUtil.log_i(this.CLASS_NAME, this.CMD_NAME, "LinearData Info : " + linearData2);
                if (distance < 1.0f || outNumber < 3) {
                    resData = responseString(argu[0], "OK," + linearData2);
                } else {
                    resData = responseString(argu[0], "NG," + linearData2);
                }
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - Linear data file is empty (SpenLinearData.log)"));
                resData = responseString(argu[0], "NONE");
            }
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.JAR_VERSION})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Ble Spen Color Code Write"));
            SpenBluetoothService spenBluetoothService10 = this.mSpenBluetoothService;
            if (spenBluetoothService10 != null) {
                this.mIsSubresult = false;
                if (spenBluetoothService10.isFwVer0x17()) {
                    this.mSpenBluetoothService.setCharacteristicNotification(SpenBluetoothService.SUB_COLORCODE, true);
                } else {
                    this.mSpenBluetoothService.subColorCodeReadFromCharacteristic();
                }
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - Ble Spen Color Code Write"));
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"4", "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Ble Spen 30 RSSI Read"));
            SpenBluetoothService spenBluetoothService11 = this.mSpenBluetoothService;
            if (spenBluetoothService11 != null) {
                String result7 = spenBluetoothService11.getRSSI30Avg();
                if (!"".equals(result7)) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Pass - Ble Spen 30 RSSI Read"));
                    resData = responseString(argu[0], result7);
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - Ble Spen 30 RSSI Read"));
                    resData = responseNG(argu[0]);
                }
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - mSpenBluetoothService is null"));
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"4", EgisFingerprint.MAJOR_VERSION})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Ble Spen Final Result Write"));
            SpenBluetoothService spenBluetoothService12 = this.mSpenBluetoothService;
            if (spenBluetoothService12 == null) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - mSpenBluetoothService is null"));
                resData = responseNG(argu[0]);
            } else if (spenBluetoothService12.subResultWrite("R")) {
                this.mIsFinalResultWrite = true;
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Pass - Ble Spen Final Result Write"));
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - Ble Spen Final Result Write"));
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"4", "2"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Ble Spen Test All Result Data Read"));
            String result8 = this.mContext.getSharedPreferences("SPEN_BLE_TEST_RESULT", 0).getString("TEST_RESULT_DATA", "NG");
            if (result8.isEmpty() || "NG".equals(result8)) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - Log is null or empty"));
                resData = responseString(argu[0], "NONE");
            } else {
                resData = responseString(argu[0], result8);
            }
        } else if (checkArgu(argu, new String[]{"4", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Ble Spen Stop Fast Discharging"));
            SpenBluetoothService spenBluetoothService13 = this.mSpenBluetoothService;
            if (spenBluetoothService13 == null) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - mSpenBluetoothService is null"));
                resData = responseNG(argu[0]);
            } else if (spenBluetoothService13.startFastDischarging(0)) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Pass - Successed to trigger fast discharging Stop"));
                resData = responseOK(argu[0]);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - Failed to trigger fast discharging Stop"));
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"4", "4"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Ble Spen Fast Discharging cmd:2"));
            SpenBluetoothService spenBluetoothService14 = this.mSpenBluetoothService;
            if (spenBluetoothService14 == null) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - mSpenBluetoothService is null"));
                resData = responseNG(argu[0]);
            } else if (spenBluetoothService14.startFastDischarging(2)) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Pass - Successed to trigger fast discharging"));
                resData = responseOK(argu[0]);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - Failed to trigger fast discharging"));
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"4", "5"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Ble Spen 6-axis test data read"));
            mAccGyroTestMode = true;
            mGetAccGyroRawDataReady = false;
            mGetAccGyroRawData = false;
            if (this.mSpenBluetoothService != null) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Get Spen Fw Version in Adavance(for GB check)"));
                this.mSpenBluetoothService.fwVerRead();
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - mSpenBluetoothService is null"));
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"4", "6"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Digitizer Electic Test Data Read"));
            SharedPreferences sharedPreferences = this.mContext.getSharedPreferences("DIGITIZER_ELECTRIC_TEST_RESULT", 0);
            boolean testResult = sharedPreferences.getBoolean("TestResult", false);
            int version = sharedPreferences.getInt(Support.Version.TAG, -1);
            int shortTestFailCnt = sharedPreferences.getInt("ShortTestFailCnt", -1);
            int openTestFailCnt = sharedPreferences.getInt("OpenTestFailCnt", -1);
            String rawData = sharedPreferences.getString("RawData", "N/A");
            String str2 = argu[0];
            if (version == -1) {
                str = "NONE";
            } else {
                StringBuilder sb = new StringBuilder();
                sb.append(testResult ? "OK" : "NG");
                sb.append(",");
                sb.append(version);
                sb.append(",");
                sb.append(shortTestFailCnt == 0 ? "PASS" : "FAIL");
                sb.append(",");
                sb.append(openTestFailCnt == 0 ? "PASS" : "FAIL");
                sb.append(",");
                sb.append(rawData);
                str = sb.toString();
            }
            resData = responseString(str2, str);
        } else if (checkArgu(argu, new String[]{"4", "7"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Ble Spen Fast Discharging Until Battery 2V"));
            SpenBluetoothService spenBluetoothService15 = this.mSpenBluetoothService;
            if (spenBluetoothService15 == null) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - mSpenBluetoothService is null"));
                resData = responseNG(argu[0]);
            } else if (spenBluetoothService15.startFastDischarging(15)) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Pass - Successed to trigger fast discharging"));
                resData = responseOK(argu[0]);
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - Failed to trigger fast discharging"));
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"4", "8"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Ble Spen 10 RSSI Read"));
            SpenBluetoothService spenBluetoothService16 = this.mSpenBluetoothService;
            if (spenBluetoothService16 != null) {
                String result9 = spenBluetoothService16.getRSSI10Avg();
                if (!"".equals(result9)) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Pass - Ble Spen 10 RSSI Read"));
                    resData = responseString(argu[0], result9);
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - Ble Spen 10 RSSI Read"));
                    resData = responseNG(argu[0]);
                }
            } else {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - mSpenBluetoothService is null"));
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"4", egis.optical.client.api.EgisFingerprint.JAR_VERSION})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Digitizer Electric command received for BTML"));
            this.mContext.registerReceiver(this.mTestResultUpdateReceiver, makeTestResultIntentFilter());
            Intent intent2 = new Intent(this.context, DigitizerElectricService.class);
            intent2.putExtra("retResult", true);
            this.context.startService(intent2);
        } else if (checkArgu(argu, new String[]{"5"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME + "=5", "Start UI Spen BLE test with color code"));
            String colorCode = argu[1];
            if (Support.Feature.getBoolean(Support.Feature.SUPPORT_SPEN_BLE_ACCGYRO, false)) {
                intent = new Intent(this.mContext, UISpenBluetoothAccGyroTest.class);
            } else {
                intent = new Intent(this.mContext, UISpenBluetoothTest.class);
            }
            intent.putExtra("colorCode", colorCode);
            intent.addFlags(805306368);
            this.mContext.startActivity(intent);
            resData = responseOK(argu[0]);
        } else {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", FtUtil.setMspSeqMessage(3, this.CMD_NAME, "Fail - NOT registerd index"));
            resData = responseNA();
        }
        return resData;
    }

    public String Check(int mode) {
        String mString = null;
        if (mode == 1) {
            if (Support.Feature.getBoolean(Support.Feature.SUPPORT_EPEN)) {
                Support.Kernel.write(Support.Kernel.EPEN_GARAGE_FIRMWARE_UPDATE, "t");
            }
        } else if (mode == 2 && Support.Feature.getBoolean(Support.Feature.SUPPORT_EPEN)) {
            Support.Kernel.write(Support.Kernel.EPEN_GARAGE_FIRMWARE_UPDATE, "k");
        }
        if (mode == 2 || mode == 1) {
            try {
                Thread.sleep(30);
            } catch (InterruptedException e) {
            }
            String read = Support.Kernel.read(Support.Kernel.EPEN_GARAGE_FIRMWARE_UPDATE_STATUS);
            while (true) {
                mString = read;
                if (!"DOWNLOADING".equals(mString)) {
                    break;
                }
                try {
                    Thread.sleep(50);
                } catch (InterruptedException e2) {
                }
                read = Support.Kernel.read(Support.Kernel.EPEN_GARAGE_FIRMWARE_UPDATE_STATUS);
            }
            if ("PASS".equals(mString)) {
                mString = "OK";
                String readString = Support.Kernel.read(Support.Kernel.EPEN_FIRMWARE_VERSION);
                String str = this.CLASS_NAME;
                FtUtil.log_i(str, "readVersion", "readString: " + readString);
                try {
                    String[] splitVersion = readString.split("\t");
                    if (splitVersion.length >= 2) {
                        String str2 = this.CLASS_NAME;
                        FtUtil.log_i(str2, "readVersion", "splitVersion[0]: " + splitVersion[0]);
                        String str3 = this.CLASS_NAME;
                        FtUtil.log_i(str3, "readVersion", "splitVersion[1]: " + splitVersion[1]);
                        this.mSpen_fw_version_ic = splitVersion[0];
                        this.mSpen_fw_version_kernel = splitVersion[1];
                    }
                } catch (Exception e3) {
                    String str4 = this.CLASS_NAME;
                    FtUtil.log_i(str4, "readVersion", "readVersion exception: " + e3);
                }
                if (mode == 1) {
                    Support.Kernel.write(Support.Kernel.EPEN_GARAGE_MODE, EgisFingerprint.MAJOR_VERSION);
                } else if (mode == 2) {
                    Support.Kernel.write(Support.Kernel.EPEN_GARAGE_MODE, "0");
                }
            }
        } else if (mode == 3) {
            try {
                mString = Support.Kernel.read(Support.Kernel.EPEN_GARAGE_MODE);
            } catch (Exception e4) {
                e4.printStackTrace();
                mString = "FAIL";
            }
        } else if (mode == 4) {
            mString = Support.Kernel.read(Support.Kernel.EPEN_GARAGE_RAWDATA);
        }
        if (mString == null || "".equals(mString)) {
            mString = "nostring";
        }
        return mString.trim();
    }

    private void VALUE_SAVE() {
        this.mCount++;
        FtUtil.log_d(this.CLASS_NAME, "handleMessage", "HandleMessage VALUE SAVE");
        String val = Check(4);
        if (!val.equals("NG")) {
            String[] RawValues = val.split(",");
            this.mValueList.add(Integer.valueOf((int) (((double) Integer.parseInt(RawValues[1])) * Math.pow(2.0d, (double) (Float.parseFloat(RawValues[0]) / 3.0f)))));
            this.mValueList2.add(Integer.valueOf((int) (((double) Integer.parseInt(RawValues[3])) * Math.pow(2.0d, (double) (Float.parseFloat(RawValues[2]) / 3.0f)))));
        }
        try {
            Thread.sleep(30);
        } catch (InterruptedException e) {
        }
    }

    private void VALUE_PRINT() {
        String val = Check(4);
        if (!val.equals("NG")) {
            String[] RawValues2 = val.split(",");
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "handleMessage", "HandleMessage GARAGE MODE RAW: " + val);
            Collections.sort(this.mValueList);
            Collections.sort(this.mValueList2);
            Integer sum = 0;
            Iterator<Integer> it = this.mValueList.iterator();
            while (it.hasNext()) {
                sum = Integer.valueOf(sum.intValue() + it.next().intValue());
            }
            Integer sum2 = 0;
            Iterator<Integer> it2 = this.mValueList2.iterator();
            while (it2.hasNext()) {
                sum2 = Integer.valueOf(sum2.intValue() + it2.next().intValue());
            }
            this.mAver = (int) (((float) sum.intValue()) / ((float) this.mValueList.size()));
            this.mAver2 = (int) (((float) sum2.intValue()) / ((float) this.mValueList.size()));
            this.mSpen_Garage_Raw = "" + ((int) (((double) Integer.parseInt(RawValues2[1])) * Math.pow(2.0d, (double) (Float.parseFloat(RawValues2[0]) / 3.0f))));
            this.mSpen_Garage_Avg = "" + this.mAver;
            this.mSpen_Garage_Min = "" + this.mValueList.get(0);
            StringBuilder sb = new StringBuilder();
            sb.append("");
            ArrayList<Integer> arrayList = this.mValueList;
            sb.append(arrayList.get(arrayList.size() - 1));
            this.mSpen_Garage_Max = sb.toString();
            String str2 = this.CLASS_NAME;
            FtUtil.log_i(str2, "values", "raw : " + this.mSpen_Garage_Raw + " Avg : " + this.mSpen_Garage_Avg + " Min : " + this.mSpen_Garage_Min + "Max : " + this.mSpen_Garage_Max);
            StringBuilder sb2 = new StringBuilder();
            sb2.append("");
            sb2.append((int) (((double) Integer.parseInt(RawValues2[3])) * Math.pow(2.0d, (double) (Float.parseFloat(RawValues2[2]) / 3.0f))));
            this.mSpen_Garage_Raw1 = sb2.toString();
            StringBuilder sb3 = new StringBuilder();
            sb3.append("");
            sb3.append(this.mAver2);
            this.mSpen_Garage_Avg1 = sb3.toString();
            this.mSpen_Garage_Min1 = "" + this.mValueList2.get(0);
            this.mSpen_Garage_Max1 = "" + this.mValueList2.get(this.mValueList.size() - 1);
            String str3 = this.CLASS_NAME;
            FtUtil.log_i(str3, "values", "raw2 : " + this.mSpen_Garage_Raw1 + " Avg2 : " + this.mSpen_Garage_Avg1 + "Min2 : " + this.mSpen_Garage_Min1 + "Max2 : " + this.mSpen_Garage_Max1);
        }
    }

    private IntentFilter makeTestResultIntentFilter() {
        IntentFilter intentFilter = new IntentFilter();
        intentFilter.addAction(DigitizerElectricService.ACTION_DIGITIZER_ELECTRIC_RESULT);
        intentFilter.setPriority(999);
        return intentFilter;
    }

    private IntentFilter makeGattUpdateIntentFilter() {
        IntentFilter intentFilter = new IntentFilter();
        intentFilter.addAction(SpenBluetoothService.ACTION_GATT_DISCONNECTED);
        intentFilter.addAction(SpenBluetoothService.ACTION_GATT_CONNECTED);
        intentFilter.addAction(SpenBluetoothService.ACTION_NOT_FOUND);
        intentFilter.addAction(SpenBluetoothService.ACTION_SCAN_START);
        intentFilter.addAction(SpenBluetoothService.ACTION_SCAN_SUCCESS);
        intentFilter.addAction(SpenBluetoothService.ACTION_PAIRING_REQUEST);
        intentFilter.addAction(SpenBluetoothService.ACTION_BATTERY);
        intentFilter.addAction(SpenBluetoothService.ACTION_RSSI);
        intentFilter.addAction(SpenBluetoothService.ACTION_FW_VER);
        intentFilter.addAction(SpenBluetoothService.ACTION_SUBCOLORCODE_RESULT);
        intentFilter.addAction(SpenBluetoothService.ACTION_GEOGYRO_SELFTEST_DATA_RESULT);
        intentFilter.addAction(SpenBluetoothService.ACTION_GEOGYRO_RAW_DATA_NOTIFICATION_MODE_ON);
        intentFilter.addAction(SpenBluetoothService.ACTION_GEOGYRO_RAW_DATA_RESULT);
        intentFilter.addAction(SpenBluetoothService.ACTION_GEOGYRO_GRAVITY_BLOCK_CHECK_DATA_RESULT);
        intentFilter.addAction(SpenBluetoothService.ACTION_MODE_WRITE_SUCCESS);
        intentFilter.setPriority(999);
        return intentFilter;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void finishSpenBLE() {
        FtUtil.log_d(this.CLASS_NAME, "finishSpenBLE", "finishSpenBLE");
        this.mContext.unregisterReceiver(this.mGattUpdateReceiver);
        this.mContext.unbindService(this.mServiceConnection);
        this.mSpenBluetoothService = null;
        mCharging = false;
        Support.Kernel.write(Support.Kernel.EPEN_BLE_CHARGING_MODE, "0");
        FtUtil.Sleep.sleep(300);
        Support.Kernel.write(Support.Kernel.EPEN_BLE_CHARGING_MODE, EgisFingerprint.MAJOR_VERSION);
        Settings.System.putInt(this.mContext.getContentResolver(), "pen_detect_mode_disabled", 0);
        Support.Kernel.write(Support.Kernel.EPEN_SAVINGMODE, "0");
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean checkSpec(double specMin, double specMax, double measure) {
        boolean result = measure >= specMin && measure <= specMax;
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "checkSpec", " Result:" + result + " Spec: " + specMin + " ~ " + specMax + " Measure: " + measure);
        return result;
    }
}
