package com.sec.factory.aporiented.athandler;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.media.MediaScannerConnection;
import android.net.Uri;
import android.os.Environment;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.os.SystemProperties;
import android.os.storage.StorageManager;
import android.os.storage.StorageVolume;
import android.util.Log;
import android.widget.Toast;
import com.sec.factory.aporiented.AtCommandInfo;
import com.sec.factory.aporiented.FailDumpService;
import com.sec.factory.aporiented.ResponseWriter;
import com.sec.factory.app.factorytest.FactoryTestRemoteController;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.optical.client.api.EgisFingerprint;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.FileWriter;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;

public class AtFaildump extends AtCommandHandler {
    private static final String ACTION_REQUEST_AT_COMMAND = "com.android.rdm.action.REQUEST_AT_COMMAND";
    private static final String ACTION_REQUEST_RDM_CP_RAMDUMP_LOG = "com.sec.factory.entry.REQUEST_RDM_CP_RAMDUMP_LOG";
    private static final String ACTION_REQUEST_RDM_FUNCTION_LOG = "com.sec.factory.entry.REQUEST_RDM_FUNCTION_LOG";
    private static final String ACTION_REQUEST_RDM_PGM_LOG = "com.sec.factory.entry.REQUEST_RDM_PGM_LOG";
    private static final String ACTION_RESPONSE_AT_COMMAND = "com.android.rdm.action.RESPONSE_AT_COMMAND";
    static final String FACTORY_CMD_PROPERTY = "ril.factory_cmd";
    private static final String FAILDUMP_DONE = "com.android.sec.FAILDUMP.DONE";
    private static final String HAS_MODEM = "has_modem";
    private static final int QUERY_COPY_LOG_DONE = 1;
    static final String STAGE_PROPERTY = "ril.factory_mode";
    private Context mContext;
    public Handler mHandler = new Handler(Looper.getMainLooper()) {
        /* class com.sec.factory.aporiented.athandler.AtFaildump.AnonymousClass1 */

        public void handleMessage(Message msg) {
            switch (msg.what) {
                case 1:
                    Toast.makeText(AtFaildump.this.mContext, "Get Copy log done - success", 0).show();
                    FtUtil.log_d(AtFaildump.this.CLASS_NAME, "QUERY_COPY_LOG_DONE", "");
                    return;
                default:
                    return;
            }
        }
    };
    public BroadcastReceiver mReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.aporiented.athandler.AtFaildump.AnonymousClass4 */

        /* JADX WARNING: Removed duplicated region for block: B:43:0x0237 A[SYNTHETIC, Splitter:B:43:0x0237] */
        public void onReceive(Context context, Intent intent) {
            int nIndex;
            Throwable th;
            IOException e;
            String mAction = intent.getAction();
            FtUtil.log_d(AtFaildump.this.CLASS_NAME, "onReceive", mAction);
            if (AtFaildump.FAILDUMP_DONE.equals(mAction)) {
                String commandArgu = intent.getExtras().getString("argu");
                String returnArgu = commandArgu.split(",")[0];
                if ("0,4".equals(commandArgu)) {
                    File dirLogList = null;
                    String strLogListPath = null;
                    try {
                        strLogListPath = Environment.getExternalStorageDirectory().getCanonicalPath() + "/log/LogList/";
                        dirLogList = new File(strLogListPath);
                        if (!dirLogList.exists()) {
                            FtUtil.log_d(AtFaildump.this.CLASS_NAME, "onReceive", mAction + " : Create " + strLogListPath);
                            dirLogList.mkdirs();
                        }
                    } catch (Exception e2) {
                        e2.printStackTrace();
                    }
                    FtUtil.log_d(AtFaildump.this.CLASS_NAME, "onReceive", mAction + " : getinfo");
                    String strModelName = Support.Properties.get(Support.Properties.PRODUCT_NAME);
                    String strUnNumber = Support.Kernel.getUniqueNumber();
                    String strRdmkey = Support.Properties.get(Support.Properties.FACTORYAPP_FAILHIST_RDMKEY);
                    String strFailHist = Support.Properties.get(Support.Properties.FACTORYAPP_FAILHIST_FAILITEM);
                    String strDumpFile = intent.getExtras().getString("result");
                    File[] LogListDir = dirLogList == null ? null : dirLogList.listFiles();
                    if (LogListDir != null) {
                        nIndex = LogListDir.length;
                    } else {
                        nIndex = 0;
                    }
                    String strFileName = "loglist_" + String.format("%04d", Integer.valueOf(nIndex)) + "_" + strRdmkey;
                    FtUtil.log_d(AtFaildump.this.CLASS_NAME, "onReceive", mAction + " : filename : " + strFileName);
                    FileWriter fw = null;
                    try {
                        fw = new FileWriter(new File(strLogListPath + strFileName + ".txt"));
                        StringBuilder sb = new StringBuilder();
                        try {
                            sb.append("1.MODEL : ");
                            sb.append(strModelName);
                            sb.append("\n");
                            fw.write(sb.toString());
                            fw.write("2.UN : " + strUnNumber + "\n");
                            fw.write("3.RDM KEY : " + strRdmkey + "\n");
                            fw.write("4.FAIL HIST : " + strFailHist + "\n");
                            fw.write("5.DUMP FILE : " + strDumpFile + "\n");
                            fw.write("6.LOG PATH : " + "log" + "\n");
                            FtUtil.log_d(AtFaildump.this.CLASS_NAME, "onReceive", mAction + " : loglist file success");
                            try {
                                fw.close();
                            } catch (IOException e3) {
                                FtUtil.log_e(e3);
                            }
                        } catch (IOException e4) {
                            e = e4;
                        }
                    } catch (IOException e5) {
                        e = e5;
                        try {
                            FtUtil.log_e(e);
                            if (fw != null) {
                                fw.close();
                            }
                            AtFaildump.this.fullSyncFS();
                            AtFaildump.this.writer.write(AtFaildump.this.responseString(returnArgu + ",OK", strFileName));
                            AtFaildump atFaildump = AtFaildump.this;
                            atFaildump.stopReceiver(atFaildump.mReceiver);
                        } catch (Throwable th2) {
                            th = th2;
                            if (fw != null) {
                                try {
                                    fw.close();
                                } catch (IOException e6) {
                                    FtUtil.log_e(e6);
                                }
                            }
                            throw th;
                        }
                    } catch (Throwable th3) {
                        th = th3;
                        if (fw != null) {
                        }
                        throw th;
                    }
                    AtFaildump.this.fullSyncFS();
                    AtFaildump.this.writer.write(AtFaildump.this.responseString(returnArgu + ",OK", strFileName));
                } else if (commandArgu.startsWith(EgisFingerprint.MAJOR_VERSION)) {
                    String targetName = intent.getExtras().getString("result");
                    AtFaildump.this.fullSyncFS();
                    AtFaildump.this.writer.write(AtFaildump.this.responseString(returnArgu + ",OK", targetName));
                } else {
                    String result = intent.getExtras().getString("result");
                    AtFaildump.this.fullSyncFS();
                    AtFaildump.this.writer.write(AtFaildump.this.responseString(returnArgu + ",OK", result));
                }
            } else if (AtFaildump.ACTION_RESPONSE_AT_COMMAND.equals(mAction)) {
                String Cmd = intent.getStringExtra(FactoryTestRemoteController.COMMAND);
                String Data = intent.getStringExtra("data");
                FtUtil.log_d(AtFaildump.this.CLASS_NAME, "onReceive", mAction + " : " + Cmd + " : " + Data);
                if (!"NG".equalsIgnoreCase(Cmd)) {
                    AtFaildump.this.writer.write(AtFaildump.this.responseString("0", "OK_" + Data));
                    Support.Properties.set(Support.Properties.FACTORYAPP_FAILHIST_RDMKEY, "NONE");
                    if (new File(Support.Kernel.getFilePath(Support.Kernel.FACTORY_FAILHIST_FLS)).delete()) {
                        FtUtil.log_d(AtFaildump.this.CLASS_NAME, "FAILDUMP04", "FLS file delete");
                    } else {
                        FtUtil.log_d(AtFaildump.this.CLASS_NAME, "FAILDUMP04", "FLS file delete fail");
                    }
                } else if ("".equalsIgnoreCase(Data)) {
                    AtFaildump.this.writer.write(AtFaildump.this.responseString("0", "NG"));
                } else {
                    AtFaildump.this.writer.write(AtFaildump.this.responseString("0", "NG_" + Data));
                }
            }
            AtFaildump atFaildump2 = AtFaildump.this;
            atFaildump2.stopReceiver(atFaildump2.mReceiver);
        }
    };

    public AtFaildump(Context context, ResponseWriter writer) {
        super(context);
        this.CMD_NAME = "FAILDUMP";
        this.CLASS_NAME = "AtFaildump";
        this.NUM_ARGS = 2;
        this.writer = writer;
        this.mContext = context;
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData = null;
        if (argu.length < this.NUM_ARGS) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{"0", "0"})) {
            getAPCPDump("0,0");
            mModuleCommon.startSilentLogService();
            resData = AtCommandInfo.getInstance().getInformation();
        } else if (checkArgu(argu, new String[]{"0", egis.client.api.EgisFingerprint.MAJOR_VERSION})) {
            if (!FtUtil.isFactoryBinary()) {
                resData = responseNA();
            } else if ("none".equalsIgnoreCase(Support.Feature.getString(Support.Feature.MODEL_COMMUNICATION_MODE))) {
                resData = responseNA();
            } else {
                FtUtil.log_d(this.CLASS_NAME, " CP Crash", "Done");
                resData = responseOK(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", "2"})) {
            if (FtUtil.isFactoryBinary()) {
                Thread t = new Thread(new Excuete_Faildump());
                resData = responseOK(argu[0]);
                t.start();
            } else {
                resData = responseNA();
            }
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION})) {
            if (FtUtil.isFactoryBinary()) {
                getCopyLog();
                resData = responseOK(argu[0]);
            } else {
                resData = responseNA();
            }
        } else if (checkArgu(argu, new String[]{"0", "4"})) {
            if (FtUtil.isFactoryBinary()) {
                if (!Support.Properties.PROPERTIES_DEFAULT_STRING.equals(Support.Properties.get(Support.Properties.FACTORYAPP_FAILHIST_FAILITEM))) {
                    getAPCPDump("0,4");
                    mModuleCommon.startSilentLogService();
                    resData = AtCommandInfo.getInstance().getInformation();
                } else {
                    resData = responseNG(argu[0]);
                }
            }
        } else if (checkArgu(argu, new String[]{"0", "5"})) {
            if (FtUtil.isFactoryBinary()) {
                mModuleCommon.startSilentLogService();
                FtUtil.Sleep.sleep(6000);
                FtUtil.log_d(this.CLASS_NAME, "FAILDUMP05", "ACTION_REQUEST_RDM_FUNCTION_LOG");
                Intent RequestIntent = new Intent(ACTION_REQUEST_RDM_FUNCTION_LOG);
                RequestIntent.addFlags(16777216);
                this.context.sendBroadcast(RequestIntent);
                resData = responseOK(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", "6"})) {
            if (FtUtil.isFactoryBinary()) {
                FtUtil.log_d(this.CLASS_NAME, "FAILDUMP05", "ACTION_REQUEST_RDM_PGM_LOG");
                Intent RequestIntent2 = new Intent(ACTION_REQUEST_RDM_PGM_LOG);
                RequestIntent2.addFlags(16777216);
                this.context.sendBroadcast(RequestIntent2);
                resData = responseOK(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", "7"})) {
            if (FtUtil.isFactoryBinary()) {
                mModuleCommon.startSilentLogService();
                FtUtil.Sleep.sleep(6000);
                FtUtil.log_d(this.CLASS_NAME, "FAILDUMP07", "ACTION_REQUEST_RDM_FUNCTION_LOG");
                Intent RequestIntent3 = new Intent(ACTION_REQUEST_RDM_FUNCTION_LOG);
                RequestIntent3.addFlags(16777216);
                this.context.sendBroadcast(RequestIntent3);
                FtUtil.log_d(this.CLASS_NAME, "FAILDUMP07", "ACTION_REQUEST_RDM_PGM_LOG");
                Intent RequestIntent22 = new Intent(ACTION_REQUEST_RDM_PGM_LOG);
                RequestIntent22.addFlags(16777216);
                this.context.sendBroadcast(RequestIntent22);
                resData = responseOK(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", "8"})) {
            if (FtUtil.isFactoryBinary()) {
                FtUtil.log_d(this.CLASS_NAME, "FAILDUMP08", "ACTION_REQUEST_RDM_CP_RAMDUMP_LOG");
                Intent RequestIntent4 = new Intent(ACTION_REQUEST_RDM_CP_RAMDUMP_LOG);
                RequestIntent4.addFlags(16777216);
                this.context.sendBroadcast(RequestIntent4);
                resData = responseOK(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.JAR_VERSION})) {
            if (FtUtil.isFactoryBinary()) {
                resData = copyLogToExternalSD() ? responseOK(argu[0]) : responseNG(argu[0]);
            }
        } else if (!checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION})) {
            resData = responseNA();
        } else if (FtUtil.isFactoryBinary()) {
            String[] filter_word = {"\\\\", "\\/", "\\:", "\\*", "\\?", "\\\"", "\\>", "\\<", "\\|"};
            String data = argu[1];
            if (argu[1].indexOf("\"") != -1) {
                for (String str : filter_word) {
                    data = data.replaceAll(str, "");
                }
            }
            getAPCPDump("3," + data);
            mModuleCommon.startSilentLogService();
            resData = AtCommandInfo.getInstance().getInformation();
        } else {
            resData = responseNA();
        }
        return resData;
    }

    private void getCopyLog() {
        FtUtil.log_d(this.CLASS_NAME, "getCopyLog");
        if (!"mounted".equals(Environment.getExternalStorageState())) {
            Toast.makeText(this.mContext, "External SD Card UnMounted!!\nplease check if USB cable is connected or SD card is not inserted", 1).show();
        } else {
            new Thread(new Runnable() {
                /* class com.sec.factory.aporiented.athandler.AtFaildump.AnonymousClass2 */

                public void run() {
                    File dataLogDirectory = new File("/data/log");
                    File dataCPLogDirectory = new File("/data/log/err");
                    File dataCPLogDirectoryEfs = new File(Support.Kernel.getFilePath(Support.Kernel.SECEFS_CPLOG_DIRECTORY));
                    File dataCPCrashLogDirectory = new File("/tombstones/mdm");
                    File sdcardLogDirectory = new File("/mnt/sdcard/log");
                    File sdcardCPCrashLogDirectory = new File("/mnt/sdcard/log/cp");
                    File btlog = new File("/data/app/bt.log");
                    AtFaildump.this.copyDirectory(dataLogDirectory, sdcardLogDirectory);
                    AtFaildump.this.copyDirectory(dataCPCrashLogDirectory, sdcardCPCrashLogDirectory);
                    if (!dataCPLogDirectory.getPath().contains(dataLogDirectory.getPath())) {
                        AtFaildump.this.copyDirectory(dataCPLogDirectory, sdcardLogDirectory);
                    }
                    if (!dataCPLogDirectoryEfs.getPath().contains(dataLogDirectory.getPath())) {
                        AtFaildump.this.copyDirectory(dataCPLogDirectoryEfs, sdcardLogDirectory);
                    }
                    if (btlog.exists()) {
                        FtUtil.log_d(AtFaildump.this.CLASS_NAME, "btlog.exists == true");
                        AtFaildump.this.WriteToSDcard("/data/app/bt.log", "/mnt/sdcard/log/bt.log", "bt.log");
                    }
                    FtUtil.log_d(AtFaildump.this.CLASS_NAME, "broadcast media mounted = ", Environment.getExternalStorageDirectory().getPath());
                    try {
                        FtUtil.log_d(AtFaildump.this.CLASS_NAME, "getCopyLog", "request to scan");
                        MediaScannerConnection.scanFile(AtFaildump.this.mContext, new String[]{Environment.getExternalStorageDirectory().getPath()}, null, new MediaScanCompletedListner());
                    } catch (Exception e) {
                        e.printStackTrace();
                    }
                    AtFaildump.this.mHandler.sendEmptyMessage(1);
                }
            }).start();
        }
    }

    private boolean copyLogToExternalSD() {
        final String strMountedSDRoot = getMountedSDRoot(this.mContext);
        if (strMountedSDRoot == null) {
            FtUtil.log_d(this.CLASS_NAME, "getExternalCopyLog", "nothing to mounted SD");
            return false;
        }
        final File fileSDCard = new File(strMountedSDRoot);
        new Thread(new Runnable() {
            /* class com.sec.factory.aporiented.athandler.AtFaildump.AnonymousClass3 */

            public void run() {
                String flogDirectoryName;
                File internalFlogDirectory;
                Exception e;
                File dataLogDirectory = new File("/data/log");
                File silentLogDirectory = new File("/data/slog");
                File dataCPLogDirectory = new File("/data/log/err");
                File dataCPLogDirectoryEfs = new File(Support.Kernel.getFilePath(Support.Kernel.SECEFS_CPLOG_DIRECTORY));
                File dataCPCrashLogDirectory = new File("/tombstones/mdm");
                File sdcardLogDirectory = new File(strMountedSDRoot + "/log");
                File sdcardCPCrashLogDirectory = new File(strMountedSDRoot + "/log/cp");
                File btlog = new File("/data/app/bt.log");
                File dataCPLogNewDirectory = new File("/data/cp_log");
                File NVMDirectory = new File("/NVM");
                File dataNVMDirectory = new File("data/log/NVM");
                File sdcardNVMDirectory = new File(strMountedSDRoot + "/log/NVM");
                AtFaildump atFaildump = AtFaildump.this;
                String flogDirectoryName2 = atFaildump.getFlogDirectory(Environment.getExternalStorageDirectory().getPath() + "/log");
                File internalFlogDirectory2 = new File(Environment.getExternalStorageDirectory().getPath() + "/log/" + flogDirectoryName2);
                File externalFlogDirectory = new File(sdcardLogDirectory + "/" + flogDirectoryName2);
                if (!sdcardLogDirectory.exists()) {
                    sdcardLogDirectory.mkdir();
                }
                AtFaildump.this.copyDirectory(new File("/data/system/users/service/data"), sdcardLogDirectory);
                AtFaildump.this.copyDirectory(new File("/data/system/dropbox"), new File("/storage/extSdCard/log/dropbox"));
                AtFaildump.this.copyDirectory(new File("/data/radio"), sdcardLogDirectory);
                AtFaildump.this.copyDirectory(dataLogDirectory, sdcardLogDirectory);
                AtFaildump.this.copyDirectory(silentLogDirectory, sdcardLogDirectory);
                AtFaildump.this.copyDirectory(dataCPCrashLogDirectory, sdcardCPCrashLogDirectory);
                AtFaildump.this.copyDirectory(dataCPLogNewDirectory, sdcardCPCrashLogDirectory);
                if ("mrvl".equalsIgnoreCase(SystemProperties.get("ro.board.platform", "UnKnown").trim())) {
                    AtFaildump.this.copyDirectory(NVMDirectory, sdcardNVMDirectory);
                    AtFaildump.this.copyDirectory(dataNVMDirectory, sdcardNVMDirectory);
                }
                if (!dataCPLogDirectory.getPath().contains(dataLogDirectory.getPath())) {
                    AtFaildump.this.copyDirectory(dataCPLogDirectory, sdcardLogDirectory);
                }
                if (!dataCPLogDirectoryEfs.getPath().contains(dataLogDirectory.getPath())) {
                    AtFaildump.this.copyDirectory(dataCPLogDirectoryEfs, sdcardLogDirectory);
                }
                if (btlog.exists()) {
                    FtUtil.log_d(AtFaildump.this.CLASS_NAME, "copyLogToExternalSD", "btlog.exists == true");
                    AtFaildump atFaildump2 = AtFaildump.this;
                    atFaildump2.WriteToSDcard("/data/app/bt.log", strMountedSDRoot + "/log/bt.log", "bt.log");
                }
                if (internalFlogDirectory2.exists()) {
                    AtFaildump atFaildump3 = AtFaildump.this;
                    StringBuilder sb = new StringBuilder();
                    sb.append(sdcardLogDirectory);
                    sb.append("/");
                    flogDirectoryName = flogDirectoryName2;
                    sb.append(flogDirectoryName);
                    atFaildump3.deleteDirectory(sb.toString());
                    internalFlogDirectory = internalFlogDirectory2;
                    AtFaildump.this.copyDirectory(internalFlogDirectory, externalFlogDirectory);
                } else {
                    internalFlogDirectory = internalFlogDirectory2;
                    flogDirectoryName = flogDirectoryName2;
                }
                String str = AtFaildump.this.CLASS_NAME;
                FtUtil.log_d(str, "copyLogToExternalSD", "broadcast media mounted = " + fileSDCard.getPath());
                try {
                    FtUtil.log_i(AtFaildump.this.CLASS_NAME, "mCopyToExternal - request to scan");
                    try {
                        MediaScannerConnection.scanFile(AtFaildump.this.mContext, new String[]{sdcardLogDirectory.getPath()}, null, new MediaScanCompletedListner());
                    } catch (Exception e2) {
                        e = e2;
                    }
                } catch (Exception e3) {
                    e = e3;
                    FtUtil.log_e(e);
                    AtFaildump.this.mHandler.sendEmptyMessage(1);
                }
                AtFaildump.this.mHandler.sendEmptyMessage(1);
            }
        }).start();
        return true;
    }

    public String getMountedSDRoot(Context context) {
        if ("trigger_restart_min_framework".equals(SystemProperties.get("void.decrypt", ""))) {
            FtUtil.log_d(this.CLASS_NAME, "getMountedSDRoot", "trigger_restart_min_framework");
            return null;
        }
        StorageVolume[] storageVolumes = ((StorageManager) context.getSystemService("storage")).getVolumeList();
        String strMountedSDRoot = null;
        for (StorageVolume storageVolume : storageVolumes) {
            if (storageVolume.getSubSystem() != null) {
                String strStoragePath = storageVolume.getPath();
                if (storageVolume.isRemovable() && storageVolume.getSubSystem().equals("sd")) {
                    strMountedSDRoot = strStoragePath;
                    FtUtil.log_d(this.CLASS_NAME, "getMountedSDRoot", "mounted sd : " + strMountedSDRoot);
                }
            }
        }
        if (!(strMountedSDRoot == null || "".equals(strMountedSDRoot))) {
            return strMountedSDRoot;
        }
        FtUtil.log_d(this.CLASS_NAME, "getMountedSDRoot", "fail to get mounted sd");
        return null;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private String getFlogDirectory(String _strPath) {
        String[] fileList;
        FtUtil.log_d(this.CLASS_NAME, "getFlogDirectory", "");
        File src = new File(_strPath);
        if (!src.isDirectory() || (fileList = src.list()) == null || fileList.length <= 0) {
            return null;
        }
        for (int i = 0; i < fileList.length; i++) {
            if (fileList[i].startsWith("Flog_")) {
                return fileList[i];
            }
        }
        return null;
    }

    public void deleteDirectory(String path) {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "deleteDirectory", "deleteDirectory : " + path);
        try {
            File file = new File(path);
            String[] list = file.list();
            if (!(list == null || list.length == 0)) {
                for (int i = 0; i < list.length; i++) {
                    File delFile = new File(path + File.separator + list[i]);
                    if (!delFile.isDirectory()) {
                        delFile.delete();
                    } else if (!delFile.delete()) {
                        deleteDirectory(path + File.separator + list[i]);
                    }
                }
            }
            if (!"/data/log".equals(path)) {
                file.delete();
            }
        } catch (NullPointerException e) {
            FtUtil.log_d(this.CLASS_NAME, "deleteDirectory", "NullPointerException");
        } catch (Exception e2) {
            String str2 = this.CLASS_NAME;
            FtUtil.log_d(str2, "deleteDirectory", "Unexpected " + e2);
        } catch (Throwable th) {
        }
    }

    private class MediaScanCompletedListner implements MediaScannerConnection.OnScanCompletedListener {
        private MediaScanCompletedListner() {
        }

        public void onScanCompleted(String path, Uri uri) {
            FtUtil.log_d(AtFaildump.this.CLASS_NAME, "onScanCompleted", "onScanCompleted");
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void copyDirectory(File src, File dest) {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "copyDirectory : ", src + " / " + dest);
        if (src.isDirectory()) {
            if (!dest.exists()) {
                dest.mkdir();
            }
            String[] fileList = src.list();
            if (fileList != null && fileList.length > 0) {
                for (int i = 0; i < fileList.length; i++) {
                    copyDirectory(new File(src, fileList[i]), new File(dest, fileList[i]));
                }
                return;
            }
            return;
        }
        FileInputStream fin = null;
        FileOutputStream fout = null;
        try {
            FileInputStream fin2 = new FileInputStream(src);
            FileOutputStream fout2 = new FileOutputStream(dest);
            byte[] buffer = new byte[1024];
            while (true) {
                int len = fin2.read(buffer);
                if (len <= 0) {
                    break;
                }
                fout2.write(buffer, 0, len);
            }
            fout2.flush();
            try {
                fin2.close();
            } catch (Exception e) {
                FtUtil.log_d(this.CLASS_NAME, "Exception : ", Log.getStackTraceString(e));
            }
            try {
                fout2.close();
            } catch (Exception e2) {
                FtUtil.log_d(this.CLASS_NAME, "Exception : ", Log.getStackTraceString(e2));
            }
        } catch (FileNotFoundException fnfe) {
            System.err.println("// Exception from");
            FtUtil.log_d(this.CLASS_NAME, "FileNotFoundException : ", Log.getStackTraceString(fnfe));
            if (0 != 0) {
                try {
                    fin.close();
                } catch (Exception e3) {
                    FtUtil.log_d(this.CLASS_NAME, "Exception : ", Log.getStackTraceString(e3));
                }
            }
            if (0 != 0) {
                fout.close();
            }
        } catch (Exception e4) {
            FtUtil.log_d(this.CLASS_NAME, "Exception : ", Log.getStackTraceString(e4));
            if (0 != 0) {
                try {
                    fin.close();
                } catch (Exception e5) {
                    FtUtil.log_d(this.CLASS_NAME, "Exception : ", Log.getStackTraceString(e5));
                }
            }
            if (0 != 0) {
                fout.close();
            }
        } catch (Throwable th) {
            if (0 != 0) {
                try {
                    fin.close();
                } catch (Exception e6) {
                    FtUtil.log_d(this.CLASS_NAME, "Exception : ", Log.getStackTraceString(e6));
                }
            }
            if (0 != 0) {
                try {
                    fout.close();
                } catch (Exception e7) {
                    FtUtil.log_d(this.CLASS_NAME, "Exception : ", Log.getStackTraceString(e7));
                }
            }
            throw th;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean WriteToSDcard(String in, String out, String DumpType) {
        FtUtil.log_i(this.CLASS_NAME, "write to sdcard DumpType : ", DumpType);
        boolean result = true;
        FileInputStream fis = null;
        FileOutputStream fos = null;
        try {
            FileInputStream fis2 = new FileInputStream(in);
            FileOutputStream fos2 = new FileOutputStream(out);
            byte[] buffer = new byte[1024];
            while (true) {
                int n = fis2.read(buffer);
                if (n <= -1) {
                    break;
                }
                fos2.write(buffer, 0, n);
            }
            fos2.flush();
            try {
                fos2.getFD().sync();
            } catch (Exception e) {
                FtUtil.log_e(this.CLASS_NAME, "Exception : ", Log.getStackTraceString(e));
            }
            try {
                fos2.close();
            } catch (Exception e2) {
                FtUtil.log_e(this.CLASS_NAME, "Exception : ", Log.getStackTraceString(e2));
            }
            try {
                fis2.close();
            } catch (Exception e3) {
                FtUtil.log_e(this.CLASS_NAME, "Exception : ", Log.getStackTraceString(e3));
            }
        } catch (FileNotFoundException fnfe) {
            FtUtil.log_e(this.CLASS_NAME, "fnfe : ", fnfe.getMessage());
            result = false;
            System.err.println("// Exception from");
            FtUtil.log_e(this.CLASS_NAME, "Exception : ", Log.getStackTraceString(fnfe));
            if (0 != 0) {
                try {
                    fos.getFD().sync();
                } catch (Exception e4) {
                    FtUtil.log_e(this.CLASS_NAME, "Exception : ", Log.getStackTraceString(e4));
                }
                try {
                    fos.close();
                } catch (Exception e5) {
                    FtUtil.log_e(this.CLASS_NAME, "Exception : ", Log.getStackTraceString(e5));
                }
            }
            if (0 != 0) {
                fis.close();
            }
        } catch (Exception e6) {
            result = false;
            FtUtil.log_e(this.CLASS_NAME, "Exception : ", Log.getStackTraceString(e6));
            if (0 != 0) {
                try {
                    fos.getFD().sync();
                } catch (Exception e7) {
                    FtUtil.log_e(this.CLASS_NAME, "Exception : ", Log.getStackTraceString(e7));
                }
                try {
                    fos.close();
                } catch (Exception e8) {
                    FtUtil.log_e(this.CLASS_NAME, "Exception : ", Log.getStackTraceString(e8));
                }
            }
            if (0 != 0) {
                try {
                    fis.close();
                } catch (Exception e9) {
                    FtUtil.log_e(this.CLASS_NAME, "Exception : ", Log.getStackTraceString(e9));
                }
            }
        } catch (Throwable th) {
            if (0 != 0) {
                try {
                    fos.getFD().sync();
                } catch (Exception e10) {
                    FtUtil.log_e(this.CLASS_NAME, "Exception : ", Log.getStackTraceString(e10));
                }
                try {
                    fos.close();
                } catch (Exception e11) {
                    FtUtil.log_e(this.CLASS_NAME, "Exception : ", Log.getStackTraceString(e11));
                }
            }
            if (0 != 0) {
                try {
                    fis.close();
                } catch (Exception e12) {
                    FtUtil.log_e(this.CLASS_NAME, "Exception : ", Log.getStackTraceString(e12));
                }
            }
            throw th;
        }
        return result;
    }

    private void getAPCPDump(String argu) {
        FtUtil.log_d(this.CLASS_NAME, "getAPCPDump", "...");
        startReceiver();
        Intent intent = new Intent(this.context, FailDumpService.class);
        intent.putExtra("argu", argu);
        if ("none".equalsIgnoreCase(Support.Feature.getString(Support.Feature.MODEL_COMMUNICATION_MODE))) {
            intent.putExtra(HAS_MODEM, false);
        } else {
            intent.putExtra(HAS_MODEM, true);
        }
        this.context.startService(intent);
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public void startReceiver() {
        IntentFilter mFilter = new IntentFilter();
        mFilter.addAction(FAILDUMP_DONE);
        mFilter.addAction(ACTION_RESPONSE_AT_COMMAND);
        this.context.registerReceiver(this.mReceiver, mFilter);
    }

    /* access modifiers changed from: package-private */
    public int DoShellCmd(String cmd) {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "DoShellCmd", "cmd = " + cmd);
        String[] shell_command = {"/system/bin/sh", "-c", cmd};
        try {
            FtUtil.log_d(this.CLASS_NAME, "DoShellCmd", "exec command");
            Process p = Runtime.getRuntime().exec(shell_command);
            p.waitFor();
            Reader err = new Reader(p.getErrorStream());
            Reader output = new Reader(p.getInputStream());
            err.start();
            output.start();
            FtUtil.log_d(this.CLASS_NAME, "DoShellCmd", "exec done");
            FtUtil.log_d(this.CLASS_NAME, "DoShellCmd", "DoShellCmd done");
            return 1;
        } catch (IOException exception) {
            String str2 = this.CLASS_NAME;
            FtUtil.log_e(str2, "DoShellCmd", "DoShellCmd - IOException" + exception);
            return -1;
        } catch (SecurityException exception2) {
            String str3 = this.CLASS_NAME;
            FtUtil.log_e(str3, "DoShellCmd", "SecurityException" + exception2);
            return -1;
        } catch (InterruptedException e) {
            String str4 = this.CLASS_NAME;
            FtUtil.log_e(str4, "DoShellCmd", "InterruptedException" + e);
            return -1;
        }
    }

    /* access modifiers changed from: package-private */
    public class Reader extends Thread {
        BufferedReader br = null;
        InputStreamReader inStreamReader = null;
        InputStream is;

        Reader(InputStream is2) {
            this.is = is2;
        }

        public void run() {
            try {
                this.inStreamReader = new InputStreamReader(this.is);
                this.br = new BufferedReader(this.inStreamReader);
                while (true) {
                    String line = this.br.readLine();
                    if (line != null) {
                        String str = AtFaildump.this.CLASS_NAME;
                        FtUtil.log_d(str, "Reader", "out = " + line);
                    } else {
                        try {
                            break;
                        } catch (IOException e) {
                            FtUtil.log_e(e);
                            return;
                        }
                    }
                }
                InputStreamReader inputStreamReader = this.inStreamReader;
                if (inputStreamReader != null) {
                    inputStreamReader.close();
                }
                BufferedReader bufferedReader = this.br;
                if (bufferedReader != null) {
                    bufferedReader.close();
                }
            } catch (IOException ex) {
                ex.printStackTrace();
                InputStreamReader inputStreamReader2 = this.inStreamReader;
                if (inputStreamReader2 != null) {
                    inputStreamReader2.close();
                }
                BufferedReader bufferedReader2 = this.br;
                if (bufferedReader2 != null) {
                    bufferedReader2.close();
                }
            } catch (Throwable th) {
                try {
                    InputStreamReader inputStreamReader3 = this.inStreamReader;
                    if (inputStreamReader3 != null) {
                        inputStreamReader3.close();
                    }
                    BufferedReader bufferedReader3 = this.br;
                    if (bufferedReader3 != null) {
                        bufferedReader3.close();
                    }
                } catch (IOException e2) {
                    FtUtil.log_e(e2);
                }
                throw th;
            }
        }
    }

    class Excuete_Faildump implements Runnable {
        Excuete_Faildump() {
        }

        public void run() {
            try {
                Thread.currentThread();
                Thread.sleep(3000);
                AtFaildump.this.DoShellCmd("echo c > /proc/sysrq-trigger");
            } catch (InterruptedException e) {
                e.printStackTrace();
            }
        }
    }

    public boolean fullSyncFS() {
        String[] shell_command = {"/system/bin/sh", "-c", "sync"};
        FtUtil.log_i(this.CLASS_NAME, "syncFS", "exec start");
        try {
            Runtime.getRuntime().exec(shell_command).waitFor();
            FtUtil.log_i(this.CLASS_NAME, "syncFS", "exec done");
            return true;
        } catch (IOException e) {
            FtUtil.log_e(this.CLASS_NAME, "syncFS", "DoShellCmd - IOException");
            return false;
        } catch (SecurityException e2) {
            FtUtil.log_e(this.CLASS_NAME, "syncFS", "DoShellCmd - SecurityException");
            return false;
        } catch (InterruptedException e3) {
            e3.printStackTrace();
            return true;
        }
    }
}
