package com.sec.factory.aporiented.athandler;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.FileUtils;
import com.sec.factory.aporiented.ResponseWriter;
import com.sec.factory.modules.ModuleCommunication;
import com.sec.factory.support.FtUtil;
import egis.client.api.EgisFingerprint;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.PrintWriter;

public class AtGpsstest extends AtCommandHandler {
    private static final int BEIDOU = 2;
    private static final int COMMUNICATION_CHECK = 0;
    private static final int GLONASS = 0;
    private static final int GPS = 1;
    private static final int GPS_L5 = 3;
    private static final int LNA_CHECK = 1;
    private static String argu0 = "0";
    public BroadcastReceiver mReceiver = new BroadcastReceiver() {
        /* class com.sec.factory.aporiented.athandler.AtGpsstest.AnonymousClass1 */

        public void onReceive(Context context, Intent intent) {
            String mAction = intent.getAction();
            if ("com.android.samsungtest.GPS_OK".equals(mAction)) {
                AtGpsstest.this.writer.write(AtGpsstest.this.responseString("0", "OK"));
            }
            if ("com.android.samsungtest.GPS_RESPONSE".equals(mAction)) {
                String resData = intent.getStringExtra("RES");
                AtGpsstest.this.writer.write(AtGpsstest.this.responseString(AtGpsstest.argu0, resData));
                String str = AtGpsstest.this.CLASS_NAME;
                FtUtil.log_i(str, "responseString argu0" + AtGpsstest.argu0 + ", resData:" + resData);
            }
            AtGpsstest atGpsstest = AtGpsstest.this;
            atGpsstest.stopReceiver(atGpsstest.mReceiver);
        }
    };

    public AtGpsstest(Context context, ResponseWriter writer) {
        super(context);
        this.CMD_NAME = "GPSSTEST";
        this.CLASS_NAME = "AtGpsstest";
        this.NUM_ARGS = 4;
        this.writer = writer;
    }

    /* access modifiers changed from: protected */
    public boolean checkArgu(String[] argu, String[] argv, int checkLen) {
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "checkArgu", "checkArgu(String argu[" + argu.length + "], String argv[" + argv.length + "], int checkLen(" + checkLen + ")");
        if (argu.length < checkLen || argv.length < checkLen) {
            return false;
        }
        for (int i = 0; i < checkLen; i++) {
            if (!argu[i].equalsIgnoreCase(argv[i])) {
                return false;
            }
        }
        if (STAGE_PARALLEL) {
            this.PARALLEL_CMD_INDEX = argu[argu.length - 1];
            String str2 = this.CLASS_NAME;
            FtUtil.log_i(str2, "checkArgu", "This stage is parallel stage, index = " + this.PARALLEL_CMD_INDEX);
        }
        return true;
    }

    /* JADX WARNING: Removed duplicated region for block: B:108:0x0390  */
    /* JADX WARNING: Removed duplicated region for block: B:115:0x03d9  */
    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        String result;
        String cn;
        String result2;
        String cn2;
        String result3;
        argu0 = argu[0];
        if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION}, 3)) {
            FtUtil.log_i(this.CLASS_NAME, "handleCommand()", "Command is 0, 1, 1");
            startReceiver();
            mModuleCommunication.gpsActivation(this.context, 1, false);
            resData = "NOT_APPLICABLE";
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "2"}, 3)) {
            FtUtil.log_i(this.CLASS_NAME, "handleCommand()", "Command is 0, 1, 2");
            startReceiver();
            mModuleCommunication.gpsActivation(this.context, 0, false);
            resData = "NOT_APPLICABLE";
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION}, 3)) {
            FtUtil.log_i(this.CLASS_NAME, "handleCommand()", "GLONASS command - input Argument is : " + argu[3]);
            saveGlonassMultiFCN(argu[3]);
            startReceiver();
            mModuleCommunication.gpsActivation(this.context, 0, false);
            resData = "NOT_APPLICABLE";
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "7"}, 3)) {
            FtUtil.log_i(this.CLASS_NAME, "handleCommand()", "Command is 0, 1, 7");
            startReceiver();
            mModuleCommunication.gpsActivation(this.context, 2, false);
            resData = "NOT_APPLICABLE";
        } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION, "8"}, 3)) {
            FtUtil.log_i(this.CLASS_NAME, "handleCommand()", "Command is 0, 1, 8");
            startReceiver();
            mModuleCommunication.gpsActivation(this.context, 1, false);
            resData = "NOT_APPLICABLE";
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION}, 3)) {
            FtUtil.log_i(this.CLASS_NAME, "handleCommand()", "Command is 1, 0, 3");
            startReceiver();
            mModuleCommunication.gpsActivation(this.context, 1, true);
            resData = "NOT_APPLICABLE";
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "4"}, 3)) {
            FtUtil.log_i(this.CLASS_NAME, "handleCommand()", "Command is 1, 0, 4");
            startReceiver();
            mModuleCommunication.gpsActivation(this.context, 0, true);
            resData = "NOT_APPLICABLE";
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "5"}, 3)) {
            FtUtil.log_i(this.CLASS_NAME, "handleCommand()", "Command is 1, 0, 5");
            startReceiver();
            mModuleCommunication.gpsActivation(this.context, 2, true);
            resData = "NOT_APPLICABLE";
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "6"}, 3)) {
            FtUtil.log_i(this.CLASS_NAME, "handleCommand()", "Command is 1, 0, 6");
            startReceiver();
            mModuleCommunication.gpsActivation(this.context, 1, true);
            resData = "NOT_APPLICABLE";
        } else if (checkArgu(argu, new String[]{"0", "2", "0"}, 3)) {
            FtUtil.log_i(this.CLASS_NAME, "handleCommand()", "Command is 0, 2, 0");
            startReceiver();
            mModuleCommunication.gpsSmdActivation(this.context, 0);
            resData = "NOT_APPLICABLE";
        } else if (checkArgu(argu, new String[]{"0", "2", EgisFingerprint.MAJOR_VERSION}, 3)) {
            FtUtil.log_i(this.CLASS_NAME, "handleCommand()", "Command is 0, 2, 1");
            startReceiver();
            mModuleCommunication.gpsSmdActivation(this.context, 1);
            resData = "NOT_APPLICABLE";
        } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION, "0"}, 3)) {
            FtUtil.log_i(this.CLASS_NAME, "handleCommand()", "Command is 1, 1, 0");
            setResultType(2);
            String cn3 = mModuleCommunication.gpsReadCN(this.context, 3);
            if (cn3 != null) {
                if (!cn3.equals("")) {
                    resData = responseString(argu[0], cn3);
                }
            }
            resData = responseNG("NG");
        } else {
            if (!checkArgu(argu, new String[]{"0", "0", EgisFingerprint.MAJOR_VERSION}, 3) && !checkArgu(argu, new String[]{"0", "0", "2"}, 3) && !checkArgu(argu, new String[]{"0", "0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION}, 3) && !checkArgu(argu, new String[]{"0", "0", "7"}, 3)) {
                if (!checkArgu(argu, new String[]{"0", "0", "8"}, 3)) {
                    if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", EgisFingerprint.MAJOR_VERSION}, 3)) {
                        setResultType(2);
                        String cn4 = mModuleCommunication.gpsReadCN(this.context, 1);
                        if (cn4 != null) {
                            if (!cn4.equals("")) {
                                resData = responseString(argu[0], cn4);
                            }
                        }
                        resData = responseNG("NG");
                    } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "2"}, 3)) {
                        setResultType(2);
                        String cn5 = mModuleCommunication.gpsReadCN(this.context, 0);
                        if (cn5 != null) {
                            if (!cn5.equals("")) {
                                resData = responseString(argu[0], cn5);
                            }
                        }
                        resData = responseNG("NG");
                    } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "7"}, 3)) {
                        setResultType(2);
                        String cn6 = mModuleCommunication.gpsReadCN(this.context, 2);
                        if (cn6 != null) {
                            if (!cn6.equals("")) {
                                resData = responseString(argu[0], cn6);
                            }
                        }
                        resData = responseNG("NG");
                    } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", "8"}, 3)) {
                        setResultType(2);
                        String cn7 = mModuleCommunication.gpsReadCN(this.context, 1);
                        if (cn7 != null) {
                            if (!cn7.equals("")) {
                                resData = responseString(argu[0], cn7);
                            }
                        }
                        resData = responseNG("NG");
                    } else if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0", egis.optical.client.api.EgisFingerprint.JAR_VERSION}, 3)) {
                        setResultType(2);
                        String cn8 = mModuleCommunication.gpsReadCN(this.context, 1);
                        if (cn8 != null) {
                            if (!cn8.equals("")) {
                                result = cn8;
                                String result4 = result + ",";
                                cn = mModuleCommunication.gpsReadCN(this.context, 0);
                                if (cn != null) {
                                    if (!cn.equals("")) {
                                        result2 = result4 + cn;
                                        String result5 = result2 + ",";
                                        cn2 = mModuleCommunication.gpsReadCN(this.context, 2);
                                        if (cn2 != null) {
                                            if (!cn2.equals("")) {
                                                result3 = result5 + cn2;
                                                resData = responseString(argu[0], result3);
                                            }
                                        }
                                        result3 = result5 + "NG";
                                        resData = responseString(argu[0], result3);
                                    }
                                }
                                result2 = result4 + "NG";
                                String result52 = result2 + ",";
                                cn2 = mModuleCommunication.gpsReadCN(this.context, 2);
                                if (cn2 != null) {
                                }
                                result3 = result52 + "NG";
                                resData = responseString(argu[0], result3);
                            }
                        }
                        result = "NG";
                        String result42 = result + ",";
                        cn = mModuleCommunication.gpsReadCN(this.context, 0);
                        if (cn != null) {
                        }
                        result2 = result42 + "NG";
                        String result522 = result2 + ",";
                        cn2 = mModuleCommunication.gpsReadCN(this.context, 2);
                        if (cn2 != null) {
                        }
                        result3 = result522 + "NG";
                        resData = responseString(argu[0], result3);
                    } else {
                        resData = responseNA();
                    }
                }
            }
            mModuleCommunication.gpsDeactivation();
            resData = responseString("0", "OK");
        }
        return resData;
    }

    private void saveGlonassMultiFCN(String cmd_glonass_fcn) {
        int glonass_fcn_int = Integer.parseInt(cmd_glonass_fcn.trim());
        String str = this.CLASS_NAME;
        FtUtil.log_i(str, "saveGlonassMultiFCN", "[#######]cmd_glonass_fcn : " + glonass_fcn_int);
        try {
            PrintWriter pw = new PrintWriter(new FileOutputStream(new File(ModuleCommunication.GLONASS_FCN_PATH)));
            pw.println(glonass_fcn_int);
            pw.close();
            FileUtils.setPermissions(ModuleCommunication.GLONASS_FCN_PATH, 511, -1, -1);
        } catch (FileNotFoundException e) {
            FtUtil.log_i(this.CLASS_NAME, "saveGlonassMultiFCN", "FileNotFoundException, file was not created");
        }
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public void startReceiver() {
        IntentFilter mFilter = new IntentFilter();
        mFilter.addAction("com.android.samsungtest.GPS_OK");
        mFilter.addAction("com.android.samsungtest.GPS_RESPONSE");
        this.context.registerReceiver(this.mReceiver, mFilter);
    }
}
