package com.sec.factory.aporiented.athandler;

import android.content.ContentResolver;
import android.content.Context;
import android.content.Intent;
import android.content.pm.PackageManager;
import android.os.SystemProperties;
import android.provider.Settings;
import com.samsung.android.service.EngineeringMode.EngineeringModeManager;
import com.sec.factory.support.FtUtil;
import egis.client.api.EgisFingerprint;
import java.io.IOException;

public class AtSWizSkip extends AtCommandHandler {
    private static final int MODE_SKIP_SUW = 12;
    ContentResolver contextResolver;
    PackageManager pm;

    /* access modifiers changed from: private */
    public enum CTYPE {
        GLOBAL,
        SECURE,
        SYSTEM
    }

    public enum SRESULT {
        OK,
        DISALLOW,
        SETTING_ERR,
        PROP_ERR,
        DISABLE_ERR
    }

    /* access modifiers changed from: private */
    public enum STYPE {
        IGNORE_SET_ONE,
        DEF_ZERO_SET_ONE
    }

    public AtSWizSkip(Context context) {
        super(context);
        this.CMD_NAME = "SWIZSKIP";
        this.CLASS_NAME = "ATSWizSkip";
        this.NUM_ARGS = 2;
        this.contextResolver = context.getContentResolver();
        this.pm = context.getPackageManager();
        SystemProperties.set("sys.factory.atswizskip", "true");
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    private void setSettingValues(String name, CTYPE ctype, STYPE stype) throws IOException {
        boolean tempRet;
        int tempValue;
        switch (AnonymousClass1.$SwitchMap$com$sec$factory$aporiented$athandler$AtSWizSkip$STYPE[stype.ordinal()]) {
            case 1:
                switch (AnonymousClass1.$SwitchMap$com$sec$factory$aporiented$athandler$AtSWizSkip$CTYPE[ctype.ordinal()]) {
                    case 1:
                        tempValue = Settings.Global.getInt(this.contextResolver, name, 0);
                        break;
                    case 2:
                        tempValue = Settings.Secure.getInt(this.contextResolver, name, 0);
                        break;
                    case 3:
                        tempValue = Settings.System.getInt(this.contextResolver, name, 0);
                        break;
                    default:
                        throw new IllegalArgumentException("Unexpected value: " + ctype);
                }
                if (tempValue != 0) {
                    return;
                }
                break;
            case 2:
                break;
            default:
                throw new IllegalStateException("Unexpected value: " + stype);
        }
        switch (AnonymousClass1.$SwitchMap$com$sec$factory$aporiented$athandler$AtSWizSkip$CTYPE[ctype.ordinal()]) {
            case 1:
                tempRet = Settings.Global.putInt(this.contextResolver, name, 1);
                break;
            case 2:
                tempRet = Settings.Secure.putInt(this.contextResolver, name, 1);
                break;
            case 3:
                tempRet = Settings.System.putInt(this.contextResolver, name, 1);
                break;
            default:
                throw new IllegalArgumentException("Unexpected value: " + ctype);
        }
        if (!tempRet) {
            throw new IOException("database errors: " + name);
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: com.sec.factory.aporiented.athandler.AtSWizSkip$1  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass1 {
        static final /* synthetic */ int[] $SwitchMap$com$sec$factory$aporiented$athandler$AtSWizSkip$CTYPE;
        static final /* synthetic */ int[] $SwitchMap$com$sec$factory$aporiented$athandler$AtSWizSkip$STYPE;

        static {
            int[] iArr = new int[STYPE.values().length];
            $SwitchMap$com$sec$factory$aporiented$athandler$AtSWizSkip$STYPE = iArr;
            try {
                iArr[STYPE.DEF_ZERO_SET_ONE.ordinal()] = 1;
            } catch (NoSuchFieldError e) {
            }
            try {
                $SwitchMap$com$sec$factory$aporiented$athandler$AtSWizSkip$STYPE[STYPE.IGNORE_SET_ONE.ordinal()] = 2;
            } catch (NoSuchFieldError e2) {
            }
            int[] iArr2 = new int[CTYPE.values().length];
            $SwitchMap$com$sec$factory$aporiented$athandler$AtSWizSkip$CTYPE = iArr2;
            try {
                iArr2[CTYPE.GLOBAL.ordinal()] = 1;
            } catch (NoSuchFieldError e3) {
            }
            try {
                $SwitchMap$com$sec$factory$aporiented$athandler$AtSWizSkip$CTYPE[CTYPE.SECURE.ordinal()] = 2;
            } catch (NoSuchFieldError e4) {
            }
            try {
                $SwitchMap$com$sec$factory$aporiented$athandler$AtSWizSkip$CTYPE[CTYPE.SYSTEM.ordinal()] = 3;
            } catch (NoSuchFieldError e5) {
            }
        }
    }

    private void startHomeActivity() {
        Intent intent = new Intent("android.intent.action.MAIN");
        intent.addCategory("android.intent.category.HOME");
        intent.addFlags(268468224);
        this.context.startActivity(intent);
    }

    private void tryDisableApplication(String packageName) {
        try {
            this.pm.getPackageInfo(packageName, 1);
            this.pm.setApplicationEnabledSetting(packageName, 2, 0);
        } catch (PackageManager.NameNotFoundException e) {
        } catch (Exception e2) {
            throw e2;
        }
    }

    public final boolean isSWizSkipAllowed() {
        EngineeringModeManager emm = new EngineeringModeManager(this.context);
        if (!emm.isConnected()) {
            FtUtil.log_e(this.CLASS_NAME, "isSWizSkipAllowed", "EngineeringModeManager is not connected!");
            return false;
        }
        int emState = emm.getStatus(12);
        if (emState == 1) {
            return true;
        }
        String str = this.CLASS_NAME;
        FtUtil.log_e(str, "isSWizSkipAllowed", "EM State = " + emState);
        return false;
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    public SRESULT skip(int passHomeActivity) {
        try {
            setSettingValues("samsung_eula_agree", CTYPE.SYSTEM, STYPE.DEF_ZERO_SET_ONE);
            setSettingValues("samsung_pp_agree", CTYPE.SYSTEM, STYPE.DEF_ZERO_SET_ONE);
            setSettingValues("samsung_errorlog_agree", CTYPE.SYSTEM, STYPE.DEF_ZERO_SET_ONE);
            setSettingValues("device_provisioned", CTYPE.GLOBAL, STYPE.IGNORE_SET_ONE);
            setSettingValues("user_setup_complete", CTYPE.SECURE, STYPE.IGNORE_SET_ONE);
            try {
                SystemProperties.set("persist.sys.setupwizard", "FINISH");
                String propValue = SystemProperties.get("persist.sys.setupwizard");
                if ("FINISH".equals(propValue)) {
                    try {
                        String SalesCode = SystemProperties.get("ro.csc.sales_code");
                        String str = this.CLASS_NAME;
                        FtUtil.log_d(str, "skip", "CSC SalesCode = " + SalesCode);
                        char c = 65535;
                        switch (SalesCode.hashCode()) {
                            case 72654:
                                if (SalesCode.equals("INS")) {
                                    c = 1;
                                    break;
                                }
                                break;
                            case 72656:
                                if (SalesCode.equals("INU")) {
                                    c = 2;
                                    break;
                                }
                                break;
                            case 85523:
                                if (SalesCode.equals("VZW")) {
                                    c = 0;
                                    break;
                                }
                                break;
                        }
                        switch (c) {
                            case 0:
                                tryDisableApplication("com.sec.android.app.SecSetupWizard");
                                tryDisableApplication("com.sec.android.app.SetupWizard");
                                tryDisableApplication("com.sec.android.app.setupwizard");
                                tryDisableApplication("com.google.android.setupwizard");
                                if (passHomeActivity == 0) {
                                    startHomeActivity();
                                    break;
                                }
                                break;
                            case 1:
                            case 2:
                                tryDisableApplication("com.sec.android.app.SecSetupWizard");
                                tryDisableApplication("com.google.android.setupwizard");
                                tryDisableApplication("com.samsung.android.setupindiaservicestnc");
                                break;
                            default:
                                tryDisableApplication("com.sec.android.app.SecSetupWizard");
                                tryDisableApplication("com.google.android.setupwizard");
                                break;
                        }
                        return SRESULT.OK;
                    } catch (Exception e) {
                        FtUtil.log_e(e);
                        return SRESULT.DISABLE_ERR;
                    }
                } else {
                    throw new IllegalStateException("persist.sys.setupwizard" + " is wrong : " + propValue);
                }
            } catch (Exception e2) {
                FtUtil.log_e(e2);
                return SRESULT.PROP_ERR;
            }
        } catch (Exception e3) {
            FtUtil.log_e(e3);
            return SRESULT.SETTING_ERR;
        }
    }

    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "handleCommand", argu[0] + ", " + argu[1]);
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        } else if (!isSWizSkipAllowed()) {
            FtUtil.log_e(this.CLASS_NAME, "handleCommand", "Setup Wizard Skip is not Allowed");
            String str2 = argu[0];
            return responseString(str2, "NG," + SRESULT.DISALLOW.name());
        } else {
            if (checkArgu(argu, new String[]{"0", "0"})) {
                SRESULT sresult = skip(0);
                if (sresult == SRESULT.OK) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Success!");
                    resData = responseOK(argu[0]);
                } else {
                    String str3 = this.CLASS_NAME;
                    FtUtil.log_d(str3, "handleCommand", "Error : " + sresult);
                    String str4 = argu[0];
                    resData = responseString(str4, "NG," + sresult.name());
                }
            } else if (checkArgu(argu, new String[]{"0", EgisFingerprint.MAJOR_VERSION})) {
                SRESULT sresult2 = skip(1);
                if (sresult2 == SRESULT.OK) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Success!");
                    resData = responseOK(argu[0]);
                } else {
                    String str5 = this.CLASS_NAME;
                    FtUtil.log_d(str5, "handleCommand", "Error : " + sresult2);
                    String str6 = argu[0];
                    resData = responseString(str6, "NG," + sresult2.name());
                }
            } else {
                FtUtil.log_e(this.CLASS_NAME, "handleCommand", "Unknown Command(NA)");
                resData = responseNA();
            }
            return resData;
        }
    }
}
