package com.sec.factory.aporiented.athandler;

import android.content.Context;
import android.content.Intent;
import android.content.pm.PackageManager;
import com.google.common.primitives.UnsignedBytes;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.io.File;
import java.security.MessageDigest;

public class AtSelftest extends AtCommandHandler {
    public AtSelftest(Context context) {
        super(context);
        this.CMD_NAME = "SELFTEST";
        this.CLASS_NAME = "AtSelftest";
        this.NUM_ARGS = 3;
    }

    /* JADX INFO: Multiple debug info for r5v20 java.lang.String: [D('originChecksum' java.lang.String), D('dirPath' java.io.File)] */
    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        File[] arrFile;
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (checkArgu(argu, new String[]{EgisFingerprint.MAJOR_VERSION, "0"})) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Send Intent with argument " + argu[1]);
            Intent i = new Intent("com.samsung.android.daseulselftest.START_SELF_TEST");
            i.putExtra("testtype", argu[2]);
            i.addFlags(16777216);
            i.addFlags(32);
            this.context.sendBroadcast(i);
            resData = responseOK(argu[0]);
        } else if (checkArgu(argu, new String[]{"2", "0"})) {
            if (argu[2] != null) {
                File deleteDataFile = new File("/sdcard/log/" + argu[2] + ".dlog");
                if (deleteDataFile.exists()) {
                    deleteDataFile.delete();
                    resData = responseOK(argu[0]);
                    FtUtil.log_i(this.CLASS_NAME, this.CMD_NAME, "Delete dlog file : /sdcard/log/" + argu[2] + ".dlog");
                } else {
                    resData = responseOK(argu[0]);
                    FtUtil.log_i(this.CLASS_NAME, this.CMD_NAME, "Already not exist : /sdcard/log/" + argu[2] + ".dlog");
                }
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"2", EgisFingerprint.MAJOR_VERSION})) {
            if (argu[2] != null) {
                String filename = argu[2].substring(0, argu[2].indexOf(":"));
                File writeDataFile = new File("/sdcard/log/" + filename + ".dlog");
                FtUtil.log_i(this.CLASS_NAME, this.CMD_NAME, "File name : /sdcard/log/" + filename + ".dlog");
                if (Support.Kernel.writeToPathNsync(writeDataFile.getPath(), argu[2].substring(argu[2].indexOf(":") + 1), true)) {
                    resData = responseOK(argu[0]);
                    FtUtil.log_i(this.CLASS_NAME, this.CMD_NAME, "Write data : " + Support.Kernel.readFromPath(writeDataFile.getPath(), true));
                } else {
                    resData = responseNG(argu[0]);
                }
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"2", "2"})) {
            if (argu[2] != null) {
                String[] arrayArgu = argu[2].split(":");
                String fileName = arrayArgu[0];
                if (fileName.contains("/")) {
                    File dirPath = new File("/sdcard/log/" + fileName.split("/")[0]);
                    if (!dirPath.exists()) {
                        dirPath.mkdir();
                    }
                }
                String originChecksum = arrayArgu[1];
                StringBuilder sbData = new StringBuilder();
                for (int i2 = 2; i2 < arrayArgu.length; i2++) {
                    sbData.append(arrayArgu[i2]);
                }
                String writeData = sbData.toString();
                FtUtil.log_i(this.CLASS_NAME, this.CMD_NAME, "Filename : /sdcard/log/" + fileName + ".dlog");
                String receivedChecksum = createChecksum(writeData);
                if (receivedChecksum.equalsIgnoreCase(originChecksum)) {
                    File writeDataFile2 = new File("/sdcard/log/" + fileName + ".dlog");
                    if (Support.Kernel.writeToPathNsync(writeDataFile2.getPath(), writeData, true)) {
                        resData = responseOK(argu[0]);
                        FtUtil.log_i(this.CLASS_NAME, this.CMD_NAME, "Write data : " + Support.Kernel.readFromPath(writeDataFile2.getPath(), true));
                    } else {
                        resData = responseNG(argu[0]);
                    }
                } else {
                    resData = responseString(argu[0], "NG_CHECKSUM");
                    FtUtil.log_i(this.CLASS_NAME, this.CMD_NAME, "Checksum Fail - Origin : " + originChecksum + " / Received : " + receivedChecksum);
                }
            } else {
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0"})) {
            if (argu[2] != null) {
                File readDataFile = new File("/sdcard/log/" + argu[2] + ".dlog");
                if (readDataFile.exists()) {
                    String readData = Support.Kernel.readFromPath(readDataFile.getPath(), true);
                    resData = responseString(argu[0], readData);
                    FtUtil.log_i(this.CLASS_NAME, this.CMD_NAME, "readDataFile : " + readData);
                } else {
                    resData = responseString(argu[0], "NONE");
                }
            } else {
                resData = responseString(argu[0], "NONE");
            }
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
            if (argu[2] != null) {
                File readDataFile2 = new File("/sdcard/log/" + argu[2] + ".dlog");
                if (readDataFile2.exists()) {
                    String readData2 = Support.Kernel.readFromPath(readDataFile2.getPath(), true);
                    resData = responseString(argu[0], createChecksum(readData2) + ":" + readData2);
                    FtUtil.log_i(this.CLASS_NAME, this.CMD_NAME, "readDataFile : " + readData2);
                } else {
                    resData = responseString(argu[0], "NONE");
                }
            } else {
                resData = responseString(argu[0], "NONE");
            }
        } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "2", "0"})) {
            try {
                resData = responseString(argu[0], this.context.getPackageManager().getPackageInfo("com.samsung.android.daseulselftest", 1).versionName);
            } catch (PackageManager.NameNotFoundException e) {
                FtUtil.log_i(this.CLASS_NAME, this.CMD_NAME, "Can't find PackageName");
                resData = responseNG(argu[0]);
            }
        } else if (checkArgu(argu, new String[]{"4", "0"})) {
            boolean isExist = false;
            String strFileName = "";
            File fileResultDir = new File("/sdcard/log/" + argu[2] + "/");
            if (!(!fileResultDir.exists() || (arrFile = fileResultDir.listFiles()) == null || arrFile.length == 0)) {
                for (File file : arrFile) {
                    String strName = file.getName();
                    if (strName.endsWith(".dlog")) {
                        if (!"".equals(strFileName)) {
                            strFileName = strFileName + ":";
                        }
                        strFileName = strFileName + strName.replace(".dlog", "");
                    }
                }
                isExist = true;
            }
            if (isExist) {
                resData = responseString(argu[0], strFileName);
            } else {
                resData = responseString(argu[0], "NONE");
            }
        } else {
            resData = responseNA();
        }
        return resData;
    }

    public String createChecksum(String data) {
        try {
            MessageDigest complete = MessageDigest.getInstance("MD5");
            complete.update(data.getBytes());
            byte[] byteData = complete.digest();
            StringBuffer sb = new StringBuffer();
            for (byte b : byteData) {
                sb.append(Integer.toString((b & UnsignedBytes.MAX_VALUE) + 256, 16).substring(1));
            }
            String MD5 = sb.toString();
            FtUtil.log_d(this.CLASS_NAME, "createChecksum", MD5);
            return MD5;
        } catch (Exception e) {
            e.printStackTrace();
            return "";
        }
    }
}
