package com.sec.factory.aporiented.athandler;

import android.content.Context;
import android.media.AudioManager;
import com.sec.factory.modules.ModuleCommunicationService;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.text.DecimalFormat;
import java.text.DecimalFormatSymbols;
import java.util.Locale;

public class AtSpkstest extends AtCommandHandler {
    protected static final String AUDIO_PARAMETER_CALIBRATION = "ret=";
    protected static final String AUDIO_PARAMETER_IMPENDANCE = "impedance=";
    private static int volume_index = 1000;
    private final int SLEEP_TIME = 1000;
    private String mAmpType = Support.Feature.getString(Support.Feature.AUDIO_AMP_TYPE);
    private AudioManager mAudioManager;
    Context mContext = this.context.getApplicationContext();
    private final int mSpkCount = Support.Feature.getInt(Support.Feature.SPEAKER_COUNT);

    public AtSpkstest(Context context) {
        super(context);
        this.CMD_NAME = "SPKSTEST";
        this.CLASS_NAME = "AtSpkstest";
        this.NUM_ARGS = 3;
    }

    private String getParameter(String keys, String target) {
        FtUtil.log_d(this.CLASS_NAME, "getParameter", "keys: " + keys);
        FtUtil.log_d(this.CLASS_NAME, "getParameter", "target: " + target);
        if (keys == null || keys.isEmpty() || target == null || target.isEmpty()) {
            return ModuleCommunicationService.SMD_NOK;
        }
        String param = ModuleCommunicationService.SMD_NOK;
        if (keys.contains(target)) {
            String[] values = keys.split(";");
            for (String value : values) {
                if (value.startsWith(target)) {
                    param = value.replaceAll(target, "");
                }
            }
        }
        FtUtil.log_d(this.CLASS_NAME, "getParameter", "target param: " + param);
        return param;
    }

    private double StrToDouble(String value) {
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "StrToDouble", "value: " + value);
        if (value == null) {
            return -1.0d;
        }
        try {
            return (double) Float.parseFloat(value);
        } catch (NumberFormatException ne) {
            FtUtil.log_e(ne);
            return -1.0d;
        }
    }

    /* JADX INFO: Multiple debug info for r12v4 double: [D('mShift' int), D('mImpedance' double)] */
    /* JADX INFO: Multiple debug info for r18v1 java.lang.Double: [D('mTempSpecMIN' java.lang.Double), D('mTempSpecMAX' java.lang.Double), D('mImpSpecMAX' java.lang.Double), D('mImpSpecMIN' java.lang.Double)] */
    /* JADX WARNING: Removed duplicated region for block: B:24:0x01a0  */
    /* JADX WARNING: Removed duplicated region for block: B:25:0x01a3  */
    /* JADX WARNING: Removed duplicated region for block: B:30:0x01b0 A[LOOP:1: B:29:0x01ae->B:30:0x01b0, LOOP_END] */
    /* JADX WARNING: Removed duplicated region for block: B:39:0x0241  */
    /* JADX WARNING: Removed duplicated region for block: B:43:0x024f  */
    /* JADX WARNING: Removed duplicated region for block: B:47:0x025d  */
    /* JADX WARNING: Removed duplicated region for block: B:59:0x02fe A[LOOP:0: B:20:0x012f->B:59:0x02fe, LOOP_END] */
    /* JADX WARNING: Removed duplicated region for block: B:60:0x015e A[EDGE_INSN: B:60:0x015e->B:22:0x015e ?: BREAK  , SYNTHETIC] */
    public int[] SpkCalMaxim(String Path) {
        String Status;
        int mShift;
        int i;
        double mImpedance;
        double mTemperature;
        int i2;
        Double mTempSpecMAX;
        Double mTempSpecMIN;
        Double mImpSpecMAX;
        Double mTempSpecMAX2;
        int[] dResult = {-1, -1};
        String specImp = Support.Spec.getString(Support.Spec.SPK_CAL_MAXIM_IMPEDANCE_SPEC);
        String specTemp = Support.Spec.getString(Support.Spec.SPK_CAL_MAXIM_TEMPERATURE_SPEC);
        String ChipsetMan = Support.Spec.getString(Support.Feature.CHIPSET_MANUFACTURE);
        String[] minMaxImpSpec = specImp != null ? specImp.split(",") : null;
        String[] minMaxTempSpec = specTemp != null ? specTemp.split(",") : null;
        Double mImpSpecMIN = Double.valueOf(-1.0d);
        Double mImpSpecMAX2 = Double.valueOf(-1.0d);
        Double mTempSpecMIN2 = Double.valueOf(-1.0d);
        Double mTempSpecMAX3 = Double.valueOf(-1.0d);
        if (minMaxImpSpec != null) {
            if (minMaxTempSpec != null) {
                try {
                    Double mImpSpecMIN2 = Double.valueOf(Double.parseDouble(minMaxImpSpec[0]));
                    mImpSpecMAX = Double.valueOf(Double.parseDouble(minMaxImpSpec[1]));
                    mTempSpecMIN = Double.valueOf(Double.parseDouble(minMaxTempSpec[0]));
                    mTempSpecMAX = Double.valueOf(Double.parseDouble(minMaxTempSpec[1]));
                    mTempSpecMAX2 = mImpSpecMIN2;
                } catch (NumberFormatException ne) {
                    Double mImpSpecMIN3 = Double.valueOf(-1.0d);
                    FtUtil.log_e(ne);
                    mTempSpecMAX2 = mImpSpecMIN3;
                    mTempSpecMAX = mImpSpecMIN3;
                    mImpSpecMAX = mImpSpecMIN3;
                    mTempSpecMIN = mImpSpecMIN3;
                }
                String str = this.CLASS_NAME;
                FtUtil.log_d(str, "SpkCalMaxim", "mImpSpecMIN : " + mTempSpecMAX2 + ", mImpSpecMAX : " + mImpSpecMAX);
                String str2 = this.CLASS_NAME;
                FtUtil.log_d(str2, "SpkCalMaxim", "mTempSpecMIN : " + mTempSpecMIN + ", mTempSpecMAX : " + mTempSpecMAX);
                mImpSpecMIN = mTempSpecMAX2;
                mImpSpecMAX2 = mImpSpecMAX;
                mTempSpecMIN2 = mTempSpecMIN;
                mTempSpecMAX3 = mTempSpecMAX;
                AudioManager audioManager = this.mAudioManager;
                audioManager.setParameters("spk_calibration=on" + mModuleAudio.getAmpType());
                while (true) {
                    FtUtil.Sleep.sleep(100);
                    Status = this.mAudioManager.getParameters("spk_calibration=status").trim();
                    String str3 = this.CLASS_NAME;
                    FtUtil.log_d(str3, "SpkCalMaxim", "Status: " + Status);
                    if ("Enabled".equalsIgnoreCase(Status)) {
                        break;
                    }
                    ChipsetMan = ChipsetMan;
                }
                String Result = this.mAudioManager.getParameters("spk_calibration=off").trim();
                String str4 = this.CLASS_NAME;
                FtUtil.log_d(str4, "SpkCalMaxim", "Result: " + Result);
                String mImpResult = getParameter(Result, Path);
                String mTempResult = getParameter(Result, "temp=");
                double mImpedance2 = (double) Integer.parseInt(mImpResult, 16);
                double mTemperature2 = (double) Long.parseLong(mTempResult, 16);
                if (!"S.LSI".equalsIgnoreCase(ChipsetMan)) {
                    mShift = 19;
                } else if ("Qualcomm".equalsIgnoreCase(ChipsetMan)) {
                    mShift = 27;
                } else {
                    FtUtil.log_e(this.CLASS_NAME, "SpkCalMaxim", "CHIPSET_MANUFACTURE is not Support");
                    return null;
                }
                for (i = 0; i < mShift; i++) {
                    mImpedance2 /= 2.0d;
                }
                DecimalFormatSymbols symbols = DecimalFormatSymbols.getInstance(Locale.US);
                mImpedance = Double.valueOf(new DecimalFormat("#.##", symbols).format(mImpedance2 * 3.3299999237060547d)).doubleValue();
                mTemperature = Double.valueOf(new DecimalFormat("#.#", symbols).format(mTemperature2 / 10.0d)).doubleValue();
                String str5 = this.CLASS_NAME;
                FtUtil.log_d(str5, "SpkCalMaxim", "Impedance : " + mImpedance + ", Temperature : " + mTemperature);
                if (mImpedance >= mImpSpecMIN.doubleValue() || mImpedance > mImpSpecMAX2.doubleValue()) {
                    FtUtil.log_e(this.CLASS_NAME, "SpkCalMaxim", "Impedance Spec out");
                    dResult[0] = 0;
                } else {
                    dResult[0] = 1;
                }
                if (mTemperature >= mTempSpecMIN2.doubleValue()) {
                    i2 = 1;
                } else if (mTemperature > mTempSpecMAX3.doubleValue()) {
                    i2 = 1;
                } else {
                    i2 = 1;
                    dResult[1] = 1;
                    if (dResult[0] == i2 || dResult[i2] != i2) {
                        AudioManager audioManager2 = this.mAudioManager;
                        audioManager2.setParameters("spk_calibration=fail" + mModuleAudio.getTargetType(Path));
                    } else {
                        AudioManager audioManager3 = this.mAudioManager;
                        audioManager3.setParameters("spk_calibration=pass" + mModuleAudio.getTargetType(Path));
                        AudioManager audioManager4 = this.mAudioManager;
                        String efsValue = audioManager4.getParameters("spk_calibration=read" + mModuleAudio.getAmpType()).trim();
                        String str6 = this.CLASS_NAME;
                        FtUtil.log_d(str6, "Maxim SPK CAL", "efsValue: " + efsValue);
                        String efsImp = getParameter(efsValue, Path);
                        String efsTemp = getParameter(efsValue, "temp=");
                        if (!efsImp.equalsIgnoreCase(mImpResult) || !efsTemp.equalsIgnoreCase(mTempResult)) {
                            dResult[0] = 0;
                            dResult[1] = 0;
                        }
                    }
                    return dResult;
                }
                FtUtil.log_e(this.CLASS_NAME, "SpkCalMaxim", "Temperature Spec out");
                dResult[i2] = 0;
                if (dResult[0] == i2) {
                }
                AudioManager audioManager22 = this.mAudioManager;
                audioManager22.setParameters("spk_calibration=fail" + mModuleAudio.getTargetType(Path));
                return dResult;
            }
        }
        FtUtil.log_e(this.CLASS_NAME, "SpkCalMaxim", "No Spec data");
        AudioManager audioManager5 = this.mAudioManager;
        audioManager5.setParameters("spk_calibration=on" + mModuleAudio.getAmpType());
        while (true) {
            FtUtil.Sleep.sleep(100);
            Status = this.mAudioManager.getParameters("spk_calibration=status").trim();
            String str32 = this.CLASS_NAME;
            FtUtil.log_d(str32, "SpkCalMaxim", "Status: " + Status);
            if ("Enabled".equalsIgnoreCase(Status)) {
            }
            ChipsetMan = ChipsetMan;
        }
        String Result2 = this.mAudioManager.getParameters("spk_calibration=off").trim();
        String str42 = this.CLASS_NAME;
        FtUtil.log_d(str42, "SpkCalMaxim", "Result: " + Result2);
        String mImpResult2 = getParameter(Result2, Path);
        String mTempResult2 = getParameter(Result2, "temp=");
        double mImpedance22 = (double) Integer.parseInt(mImpResult2, 16);
        double mTemperature22 = (double) Long.parseLong(mTempResult2, 16);
        if (!"S.LSI".equalsIgnoreCase(ChipsetMan)) {
        }
        while (i < mShift) {
        }
        DecimalFormatSymbols symbols2 = DecimalFormatSymbols.getInstance(Locale.US);
        mImpedance = Double.valueOf(new DecimalFormat("#.##", symbols2).format(mImpedance22 * 3.3299999237060547d)).doubleValue();
        mTemperature = Double.valueOf(new DecimalFormat("#.#", symbols2).format(mTemperature22 / 10.0d)).doubleValue();
        String str52 = this.CLASS_NAME;
        FtUtil.log_d(str52, "SpkCalMaxim", "Impedance : " + mImpedance + ", Temperature : " + mTemperature);
        if (mImpedance >= mImpSpecMIN.doubleValue()) {
        }
        FtUtil.log_e(this.CLASS_NAME, "SpkCalMaxim", "Impedance Spec out");
        dResult[0] = 0;
        if (mTemperature >= mTempSpecMIN2.doubleValue()) {
        }
        FtUtil.log_e(this.CLASS_NAME, "SpkCalMaxim", "Temperature Spec out");
        dResult[i2] = 0;
        if (dResult[0] == i2) {
        }
        AudioManager audioManager222 = this.mAudioManager;
        audioManager222.setParameters("spk_calibration=fail" + mModuleAudio.getTargetType(Path));
        return dResult;
    }

    /* JADX INFO: Multiple debug info for r12v7 java.lang.Double: [D('mTempSpecMAX' java.lang.Double), D('mImpSpecMIN' java.lang.Double)] */
    /* JADX WARNING: Removed duplicated region for block: B:33:0x01f1 A[LOOP:0: B:18:0x00f5->B:33:0x01f1, LOOP_END] */
    /* JADX WARNING: Removed duplicated region for block: B:34:0x0124 A[EDGE_INSN: B:34:0x0124->B:20:0x0124 ?: BREAK  , SYNTHETIC] */
    public int[] SpkCalQualcomm(String Path) {
        String Status;
        String Status2;
        double mImpedance;
        double mTemperature;
        Double mTempSpecMAX;
        int[] dResult = {-1, -1};
        String specImp = Support.Spec.getString(Support.Spec.SPK_CAL_QUALCOMM_IMPEDANCE_SPEC);
        String specTemp = Support.Spec.getString(Support.Spec.SPK_CAL_QUALCOMM_TEMPERATURE_SPEC);
        String[] minMaxTempSpec = null;
        String[] minMaxImpSpec = specImp != null ? specImp.split(",") : null;
        if (specTemp != null) {
            minMaxTempSpec = specTemp.split(",");
        }
        Double mImpSpecMIN = Double.valueOf(-1.0d);
        Double mImpSpecMAX = Double.valueOf(-1.0d);
        Double mTempSpecMIN = Double.valueOf(-1.0d);
        Double mTempSpecMAX2 = Double.valueOf(-1.0d);
        if (minMaxImpSpec == null) {
            Status = null;
        } else if (minMaxTempSpec == null) {
            Status = null;
        } else {
            try {
                mImpSpecMIN = Double.valueOf(Double.parseDouble(minMaxImpSpec[0]));
                mImpSpecMAX = Double.valueOf(Double.parseDouble(minMaxImpSpec[1]));
                mTempSpecMIN = Double.valueOf(Double.parseDouble(minMaxTempSpec[0]));
                mTempSpecMAX = Double.valueOf(Double.parseDouble(minMaxTempSpec[1]));
            } catch (NumberFormatException ne) {
                Double mImpSpecMIN2 = Double.valueOf(-1.0d);
                mTempSpecMIN = mImpSpecMIN2;
                mImpSpecMAX = mImpSpecMIN2;
                FtUtil.log_e(ne);
                mImpSpecMIN = mImpSpecMIN2;
                mTempSpecMAX = mImpSpecMIN2;
            }
            String str = this.CLASS_NAME;
            StringBuilder sb = new StringBuilder();
            Status = null;
            sb.append("mImpSpecMIN : ");
            sb.append(mImpSpecMIN);
            sb.append(", mImpSpecMAX : ");
            sb.append(mImpSpecMAX);
            FtUtil.log_d(str, "SpkCalQualcomm", sb.toString());
            FtUtil.log_d(this.CLASS_NAME, "SpkCalQualcomm", "mTempSpecMIN : " + mTempSpecMIN + ", mTempSpecMAX : " + mTempSpecMAX);
            mTempSpecMAX2 = mTempSpecMAX;
            this.mAudioManager.setParameters("spk_calibration=on" + mModuleAudio.getAmpType());
            while (true) {
                FtUtil.Sleep.sleep(100);
                Status2 = this.mAudioManager.getParameters("spk_calibration=status").trim();
                FtUtil.log_d(this.CLASS_NAME, "SpkCalQualcomm", "Status: " + Status2);
                if ("Enabled".equalsIgnoreCase(Status2)) {
                    break;
                }
            }
            String Result = this.mAudioManager.getParameters("spk_calibration=off").trim();
            FtUtil.log_d(this.CLASS_NAME, "SpkCalQualcomm", "Result: " + Result);
            String impResult = getParameter(Result, Path);
            String tempResult = getParameter(Result, "temp=");
            double mImpedance2 = Double.parseDouble(impResult);
            double mTemperature2 = Double.parseDouble(tempResult);
            DecimalFormatSymbols symbols = DecimalFormatSymbols.getInstance(Locale.US);
            mImpedance = Double.valueOf(new DecimalFormat("#.##", symbols).format(mImpedance2)).doubleValue();
            mTemperature = Double.valueOf(new DecimalFormat("#.#", symbols).format(mTemperature2)).doubleValue();
            FtUtil.log_d(this.CLASS_NAME, "SpkCalQualcomm", "Impedance : " + mImpedance + ", Temperature : " + mTemperature);
            if (mImpedance >= mImpSpecMIN.doubleValue() || mImpedance > mImpSpecMAX.doubleValue()) {
                FtUtil.log_e(this.CLASS_NAME, "SpkCalQualcomm", "Impedance Spec out");
                dResult[0] = 0;
            } else {
                dResult[0] = 1;
            }
            if (mTemperature >= mTempSpecMIN.doubleValue() || mTemperature > mTempSpecMAX2.doubleValue()) {
                FtUtil.log_e(this.CLASS_NAME, "SpkCalQualcomm", "Temperature Spec out");
                dResult[1] = 0;
            } else {
                dResult[1] = 1;
            }
            return dResult;
        }
        FtUtil.log_e(this.CLASS_NAME, "SpkCalQualcomm", "No Spec data");
        this.mAudioManager.setParameters("spk_calibration=on" + mModuleAudio.getAmpType());
        while (true) {
            FtUtil.Sleep.sleep(100);
            Status2 = this.mAudioManager.getParameters("spk_calibration=status").trim();
            FtUtil.log_d(this.CLASS_NAME, "SpkCalQualcomm", "Status: " + Status2);
            if ("Enabled".equalsIgnoreCase(Status2)) {
            }
        }
        String Result2 = this.mAudioManager.getParameters("spk_calibration=off").trim();
        FtUtil.log_d(this.CLASS_NAME, "SpkCalQualcomm", "Result: " + Result2);
        String impResult2 = getParameter(Result2, Path);
        String tempResult2 = getParameter(Result2, "temp=");
        double mImpedance22 = Double.parseDouble(impResult2);
        double mTemperature22 = Double.parseDouble(tempResult2);
        DecimalFormatSymbols symbols2 = DecimalFormatSymbols.getInstance(Locale.US);
        mImpedance = Double.valueOf(new DecimalFormat("#.##", symbols2).format(mImpedance22)).doubleValue();
        mTemperature = Double.valueOf(new DecimalFormat("#.#", symbols2).format(mTemperature22)).doubleValue();
        FtUtil.log_d(this.CLASS_NAME, "SpkCalQualcomm", "Impedance : " + mImpedance + ", Temperature : " + mTemperature);
        if (mImpedance >= mImpSpecMIN.doubleValue()) {
        }
        FtUtil.log_e(this.CLASS_NAME, "SpkCalQualcomm", "Impedance Spec out");
        dResult[0] = 0;
        if (mTemperature >= mTempSpecMIN.doubleValue()) {
        }
        FtUtil.log_e(this.CLASS_NAME, "SpkCalQualcomm", "Temperature Spec out");
        dResult[1] = 0;
        return dResult;
    }

    public int[] SpkCalCirrus(String Path) {
        String Status;
        int[] dResult = {-1, -1};
        AudioManager audioManager = this.mAudioManager;
        audioManager.setParameters("spk_calibration=on" + mModuleAudio.getAmpType());
        do {
            FtUtil.Sleep.sleep(100);
            Status = this.mAudioManager.getParameters("spk_calibration=status").trim();
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "SpkCalCirrus", "Status: " + Status);
        } while ("Enabled".equalsIgnoreCase(Status));
        String Result = this.mAudioManager.getParameters("spk_calibration=off").trim();
        String str2 = this.CLASS_NAME;
        FtUtil.log_d(str2, "SpkCalCirrus", "Result: " + Result);
        String impResult = getParameter(Result, Path);
        String tempResult = getParameter(Result, "temp=");
        if (CheckCirrusREPT(impResult)) {
            dResult[0] = 1;
        } else {
            dResult[0] = 0;
        }
        if (CheckCirrusTemp(tempResult)) {
            dResult[1] = 1;
        } else {
            dResult[1] = 0;
        }
        if (dResult[0] == 1 && dResult[1] == 1) {
            AudioManager audioManager2 = this.mAudioManager;
            audioManager2.setParameters("spk_calibration=pass" + mModuleAudio.getTargetType(Path));
            AudioManager audioManager3 = this.mAudioManager;
            String efsValue = audioManager3.getParameters("spk_calibration=read" + mModuleAudio.getAmpType()).trim();
            String str3 = this.CLASS_NAME;
            FtUtil.log_d(str3, "Cirrus SPK CAL", "efsValue: " + efsValue);
            String efsImp = getParameter(efsValue, Path);
            String efsTemp = getParameter(efsValue, "temp=");
            if (!efsImp.equalsIgnoreCase(impResult) || !efsTemp.equalsIgnoreCase(tempResult)) {
                dResult[0] = 0;
                dResult[1] = 0;
            }
        } else {
            AudioManager audioManager4 = this.mAudioManager;
            audioManager4.setParameters("spk_calibration=fail" + mModuleAudio.getTargetType(Path));
        }
        return dResult;
    }

    public int SpkCalRichtekNew(String Path) {
        int dResult;
        String specImp = Support.Spec.getString(Support.Spec.SPK_CAL_RICHTEK_IMPEDANCE_SPEC);
        String[] minMaxImpSpec = specImp != null ? specImp.split(",") : null;
        Double mImpSpecMIN = Double.valueOf(-1.0d);
        Double mImpSpecMAX = Double.valueOf(-1.0d);
        if (minMaxImpSpec == null) {
            FtUtil.log_e(this.CLASS_NAME, "SpkCalRichtekNew", "No Spec data");
        } else {
            try {
                mImpSpecMIN = Double.valueOf(Double.parseDouble(minMaxImpSpec[0]));
                mImpSpecMAX = Double.valueOf(Double.parseDouble(minMaxImpSpec[1]));
            } catch (NumberFormatException ne) {
                Double mImpSpecMIN2 = Double.valueOf(-1.0d);
                mImpSpecMAX = mImpSpecMIN2;
                FtUtil.log_e(ne);
                mImpSpecMIN = mImpSpecMIN2;
            }
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "SpkCalRichtekNew", "mImpSpecMIN : " + mImpSpecMIN + ", mImpSpecMAX : " + mImpSpecMAX);
        }
        AudioManager audioManager = this.mAudioManager;
        audioManager.setParameters("spk_calibration=on" + mModuleAudio.getAmpType());
        while (true) {
            FtUtil.Sleep.sleep(100);
            String Status = this.mAudioManager.getParameters("spk_calibration=status").trim();
            String str2 = this.CLASS_NAME;
            FtUtil.log_d(str2, "SpkCalRichtekNew", "Status: " + Status);
            if (!"Enabled".equalsIgnoreCase(Status)) {
                break;
            }
        }
        String Result = this.mAudioManager.getParameters("spk_calibration=off").trim();
        String str3 = this.CLASS_NAME;
        FtUtil.log_d(str3, "SpkCalRichtekNew", "Result: " + Result);
        String impResult = getParameter(Result, Path);
        double mImpedance = Double.parseDouble(impResult);
        for (int i = 0; i < 22; i++) {
            mImpedance /= 2.0d;
        }
        double mImpedance2 = Double.valueOf(new DecimalFormat("#.##", DecimalFormatSymbols.getInstance(Locale.US)).format(mImpedance)).doubleValue();
        String str4 = this.CLASS_NAME;
        FtUtil.log_d(str4, "SpkCalRichtekNew", "Impedance : " + mImpedance2);
        if (mImpedance2 < mImpSpecMIN.doubleValue() || mImpedance2 > mImpSpecMAX.doubleValue()) {
            FtUtil.log_e(this.CLASS_NAME, "SpkCalRichtekNew", "Impedance Spec out");
            dResult = 0;
        } else {
            dResult = 1;
        }
        if (dResult == 1) {
            AudioManager audioManager2 = this.mAudioManager;
            audioManager2.setParameters("spk_calibration=pass" + mModuleAudio.getTargetType(Path));
            AudioManager audioManager3 = this.mAudioManager;
            String efsValue = audioManager3.getParameters("spk_calibration=read" + mModuleAudio.getAmpType()).trim();
            String str5 = this.CLASS_NAME;
            FtUtil.log_d(str5, "Richtek SPK CAL", "efsValue: " + efsValue);
            if (!getParameter(efsValue, Path).equalsIgnoreCase(impResult)) {
                return 0;
            }
            return dResult;
        }
        AudioManager audioManager4 = this.mAudioManager;
        audioManager4.setParameters("spk_calibration=fail" + mModuleAudio.getTargetType(Path));
        return dResult;
    }

    /* JADX INFO: Multiple debug info for r4v6 java.lang.Double: [D('mImpSpecMAX' java.lang.Double), D('mImpSpecMIN' java.lang.Double)] */
    public int SpkCalRichtek() {
        double mImpedance;
        int dResult;
        String specImp = Support.Spec.getString(Support.Spec.SPK_CAL_RICHTEK_IMPEDANCE_SPEC);
        String[] minMaxImpSpec = specImp != null ? specImp.split(",") : null;
        Double mImpSpecMIN = Double.valueOf(-1.0d);
        Double mImpSpecMAX = Double.valueOf(-1.0d);
        if (minMaxImpSpec == null) {
            FtUtil.log_e(this.CLASS_NAME, "SpkCalRichtek", "No Spec data");
        } else {
            try {
                mImpSpecMIN = Double.valueOf(Double.parseDouble(minMaxImpSpec[0]));
                mImpSpecMAX = Double.valueOf(Double.parseDouble(minMaxImpSpec[1]));
            } catch (NumberFormatException ne) {
                Double mImpSpecMIN2 = Double.valueOf(-1.0d);
                FtUtil.log_e(ne);
                mImpSpecMIN = mImpSpecMIN2;
                mImpSpecMAX = mImpSpecMIN2;
            }
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "SpkCalRichtek", "mImpSpecMIN : " + mImpSpecMIN + ", mImpSpecMAX : " + mImpSpecMAX);
        }
        Support.Kernel.write(Support.Kernel.SPK_CAL_RICHTEK_CAL, "5526799");
        String mImpResult = Support.Kernel.read(Support.Kernel.SPK_CAL_RICHTEK_IMPEDANCE);
        String str2 = this.CLASS_NAME;
        FtUtil.log_d(str2, "SpkCalRichtek", "mImpResult : " + mImpResult);
        try {
            mImpedance = (double) Integer.parseInt(mImpResult, 16);
        } catch (NumberFormatException ne2) {
            mImpedance = -1048576.0d;
            FtUtil.log_e(ne2);
        }
        String str3 = this.CLASS_NAME;
        FtUtil.log_d(str3, "SpkCalRichtek", "mImpedance : " + mImpedance);
        for (int i = 0; i < 20; i++) {
            mImpedance /= 2.0d;
        }
        String str4 = this.CLASS_NAME;
        FtUtil.log_d(str4, "SpkCalRichtek", "mImpedance after shift : " + mImpedance);
        double mImpedance2 = Double.valueOf(new DecimalFormat("#.##", DecimalFormatSymbols.getInstance(Locale.US)).format(mImpedance)).doubleValue();
        if (mImpedance2 < mImpSpecMIN.doubleValue() || mImpedance2 > mImpSpecMAX.doubleValue()) {
            dResult = 0;
        } else {
            dResult = 1;
        }
        String str5 = this.CLASS_NAME;
        FtUtil.log_d(str5, "SpkCalRichtek", "mImpedance : " + mImpedance2 + "dResult : " + dResult);
        return dResult;
    }

    /* JADX INFO: Multiple debug info for r16v1 java.lang.Double: [D('mTempSpecMIN' java.lang.Double), D('mTempSpecMAX' java.lang.Double), D('mImpSpecMAX' java.lang.Double), D('mImpSpecMIN' java.lang.Double)] */
    /* JADX WARNING: Removed duplicated region for block: B:29:0x020a  */
    /* JADX WARNING: Removed duplicated region for block: B:33:0x0218  */
    /* JADX WARNING: Removed duplicated region for block: B:37:0x0226  */
    /* JADX WARNING: Removed duplicated region for block: B:46:0x02be A[LOOP:0: B:19:0x012a->B:46:0x02be, LOOP_END] */
    /* JADX WARNING: Removed duplicated region for block: B:47:0x0159 A[EDGE_INSN: B:47:0x0159->B:21:0x0159 ?: BREAK  , SYNTHETIC] */
    public int[] SpkCalTI(String Path, String Temp) {
        String efsTemp;
        String efsImp;
        String efsValue;
        String Status;
        double mImpedance;
        double mTemperature;
        int i;
        Double mTempSpecMAX;
        Double mTempSpecMIN;
        Double mImpSpecMAX;
        Double mTempSpecMAX2;
        int[] dResult = {-1, -1};
        String specImp = Support.Spec.getString(Support.Spec.SPK_CAL_TI_IMPEDANCE_SPEC);
        String specTemp = Support.Spec.getString(Support.Spec.SPK_CAL_TI_TEMPERATURE_SPEC);
        String[] minMaxTempSpec = null;
        String[] minMaxImpSpec = specImp != null ? specImp.split(",") : null;
        if (specTemp != null) {
            minMaxTempSpec = specTemp.split(",");
        }
        Double mImpSpecMIN = Double.valueOf(-1.0d);
        Double mImpSpecMAX2 = Double.valueOf(-1.0d);
        Double mTempSpecMIN2 = Double.valueOf(-1.0d);
        Double mTempSpecMAX3 = Double.valueOf(-1.0d);
        if (minMaxImpSpec == null) {
            efsValue = null;
            efsImp = null;
            efsTemp = null;
        } else if (minMaxTempSpec == null) {
            efsValue = null;
            efsImp = null;
            efsTemp = null;
        } else {
            try {
                Double mImpSpecMIN2 = Double.valueOf(Double.parseDouble(minMaxImpSpec[0]));
                efsValue = null;
                efsImp = null;
                mImpSpecMAX = Double.valueOf(Double.parseDouble(minMaxImpSpec[1]));
                mTempSpecMIN = Double.valueOf(Double.parseDouble(minMaxTempSpec[0]));
                mTempSpecMAX = Double.valueOf(Double.parseDouble(minMaxTempSpec[1]));
                mTempSpecMAX2 = mImpSpecMIN2;
            } catch (NumberFormatException ne) {
                Double mImpSpecMIN3 = Double.valueOf(-1.0d);
                FtUtil.log_e(ne);
                efsImp = null;
                mTempSpecMAX2 = mImpSpecMIN3;
                mTempSpecMAX = mImpSpecMIN3;
                mImpSpecMAX = mImpSpecMIN3;
                efsValue = null;
                mTempSpecMIN = mImpSpecMIN3;
            }
            efsTemp = null;
            FtUtil.log_d(this.CLASS_NAME, "SpkCalTI", "mImpSpecMIN : " + mTempSpecMAX2 + ", mImpSpecMAX : " + mImpSpecMAX);
            FtUtil.log_d(this.CLASS_NAME, "SpkCalTI", "mTempSpecMIN : " + mTempSpecMIN + ", mTempSpecMAX : " + mTempSpecMAX);
            mImpSpecMIN = mTempSpecMAX2;
            mImpSpecMAX2 = mImpSpecMAX;
            mTempSpecMIN2 = mTempSpecMIN;
            mTempSpecMAX3 = mTempSpecMAX;
            this.mAudioManager.setParameters("spk_calibration=on" + mModuleAudio.getAmpType());
            while (true) {
                FtUtil.Sleep.sleep(100);
                Status = this.mAudioManager.getParameters("spk_calibration=status").trim();
                FtUtil.log_d(this.CLASS_NAME, "SpkCalTI", "Status: " + Status);
                if ("Enabled".equalsIgnoreCase(Status)) {
                    break;
                }
            }
            String Result = this.mAudioManager.getParameters("spk_calibration=off").trim();
            FtUtil.log_d(this.CLASS_NAME, "SpkCalTI", "Result: " + Result);
            String impResult = getParameter(Result, Path);
            String tempResult = getParameter(Result, Temp);
            double mImpedance2 = Double.parseDouble(impResult);
            double mTemperature2 = Double.parseDouble(tempResult);
            DecimalFormatSymbols symbols = DecimalFormatSymbols.getInstance(Locale.US);
            mImpedance = Double.valueOf(new DecimalFormat("#.##", symbols).format(mImpedance2)).doubleValue();
            mTemperature = Double.valueOf(new DecimalFormat("#.#", symbols).format(mTemperature2)).doubleValue();
            FtUtil.log_d(this.CLASS_NAME, "SpkCalTI", "Impedance : " + mImpedance + ", Temperature : " + mTemperature);
            if (mImpedance >= mImpSpecMIN.doubleValue() || mImpedance > mImpSpecMAX2.doubleValue()) {
                FtUtil.log_e(this.CLASS_NAME, "SpkCalTI", "Impedance Spec out");
                dResult[0] = 0;
            } else {
                dResult[0] = 1;
            }
            if (mTemperature >= mTempSpecMIN2.doubleValue()) {
                i = 1;
            } else if (mTemperature > mTempSpecMAX3.doubleValue()) {
                i = 1;
            } else {
                i = 1;
                dResult[1] = 1;
                if (dResult[0] == i || dResult[i] != i) {
                    this.mAudioManager.setParameters("spk_calibration=fail" + mModuleAudio.getTargetType(Path));
                } else {
                    this.mAudioManager.setParameters("spk_calibration=pass" + mModuleAudio.getTargetType(Path));
                    String efsValue2 = this.mAudioManager.getParameters("spk_calibration=read" + mModuleAudio.getAmpType()).trim();
                    FtUtil.log_d(this.CLASS_NAME, "SpkCalTI", "efsValue: " + efsValue2);
                    String efsImp2 = getParameter(efsValue2, Path);
                    String efsTemp2 = getParameter(efsValue2, Temp);
                    if (!efsImp2.equalsIgnoreCase(impResult) || !efsTemp2.equalsIgnoreCase(tempResult)) {
                        dResult[0] = 0;
                        dResult[1] = 0;
                    }
                }
                return dResult;
            }
            FtUtil.log_e(this.CLASS_NAME, "SpkCalTI", "Temperature Spec out");
            dResult[i] = 0;
            if (dResult[0] == i) {
            }
            this.mAudioManager.setParameters("spk_calibration=fail" + mModuleAudio.getTargetType(Path));
            return dResult;
        }
        FtUtil.log_e(this.CLASS_NAME, "SpkCalTI", "No Spec data");
        this.mAudioManager.setParameters("spk_calibration=on" + mModuleAudio.getAmpType());
        while (true) {
            FtUtil.Sleep.sleep(100);
            Status = this.mAudioManager.getParameters("spk_calibration=status").trim();
            FtUtil.log_d(this.CLASS_NAME, "SpkCalTI", "Status: " + Status);
            if ("Enabled".equalsIgnoreCase(Status)) {
            }
        }
        String Result2 = this.mAudioManager.getParameters("spk_calibration=off").trim();
        FtUtil.log_d(this.CLASS_NAME, "SpkCalTI", "Result: " + Result2);
        String impResult2 = getParameter(Result2, Path);
        String tempResult2 = getParameter(Result2, Temp);
        double mImpedance22 = Double.parseDouble(impResult2);
        double mTemperature22 = Double.parseDouble(tempResult2);
        DecimalFormatSymbols symbols2 = DecimalFormatSymbols.getInstance(Locale.US);
        mImpedance = Double.valueOf(new DecimalFormat("#.##", symbols2).format(mImpedance22)).doubleValue();
        mTemperature = Double.valueOf(new DecimalFormat("#.#", symbols2).format(mTemperature22)).doubleValue();
        FtUtil.log_d(this.CLASS_NAME, "SpkCalTI", "Impedance : " + mImpedance + ", Temperature : " + mTemperature);
        if (mImpedance >= mImpSpecMIN.doubleValue()) {
        }
        FtUtil.log_e(this.CLASS_NAME, "SpkCalTI", "Impedance Spec out");
        dResult[0] = 0;
        if (mTemperature >= mTempSpecMIN2.doubleValue()) {
        }
        FtUtil.log_e(this.CLASS_NAME, "SpkCalTI", "Temperature Spec out");
        dResult[i] = 0;
        if (dResult[0] == i) {
        }
        this.mAudioManager.setParameters("spk_calibration=fail" + mModuleAudio.getTargetType(Path));
        return dResult;
    }

    /* JADX INFO: Multiple debug info for r5v8 java.lang.Double: [D('mRePTSpecMIN' java.lang.Double), D('mRePTSpecMAX' java.lang.Double)] */
    public boolean CheckCirrusREPT(String Result) {
        String specRePT = Support.Spec.getString(Support.Spec.SPK_CAL_CIRRUS_REPT_SPEC);
        String[] minMaxRePTSpec = specRePT != null ? specRePT.split(",") : null;
        Double mRePTSpecMIN = Double.valueOf(-1.0d);
        Double mRePTSpecMAX = Double.valueOf(-1.0d);
        if (minMaxRePTSpec == null) {
            FtUtil.log_e(this.CLASS_NAME, "CheckCirrusREPT", "No REPT Spec data");
        } else {
            try {
                mRePTSpecMIN = Double.valueOf(Double.parseDouble(minMaxRePTSpec[0]));
                mRePTSpecMAX = Double.valueOf(Double.parseDouble(minMaxRePTSpec[1]));
            } catch (NumberFormatException ne) {
                Double mRePTSpecMAX2 = Double.valueOf(-1.0d);
                FtUtil.log_e(ne);
                mRePTSpecMIN = mRePTSpecMAX2;
                mRePTSpecMAX = mRePTSpecMAX2;
            }
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "CheckCirrusREPT", "mRePTSpecMIN : " + mRePTSpecMIN + ", mRePTSpecMAX : " + mRePTSpecMAX);
        }
        String str2 = this.CLASS_NAME;
        FtUtil.log_d(str2, "CheckCirrusREPT", "mReREFResult : " + Result);
        if (ModuleCommunicationService.SMD_NOK.equals(Result)) {
            return false;
        }
        double mReRef = (double) Integer.parseInt(Result);
        String str3 = this.CLASS_NAME;
        FtUtil.log_d(str3, "CheckCirrusREPT", "mReREF : " + Double.valueOf(mReRef));
        double mRePT = Double.valueOf(new DecimalFormat("#.##", DecimalFormatSymbols.getInstance(Locale.US)).format((mReRef / Math.pow(2.0d, (double) 13)) * 5.85714d)).doubleValue();
        String str4 = this.CLASS_NAME;
        FtUtil.log_d(str4, "CheckCirrusREPT", "RePT : " + mRePT);
        if (mRePT >= mRePTSpecMIN.doubleValue() && mRePT <= mRePTSpecMAX.doubleValue()) {
            return true;
        }
        FtUtil.log_d(this.CLASS_NAME, "CheckCirrusREPT", "mRePT spec out");
        return false;
    }

    /* JADX INFO: Multiple debug info for r2v4 java.lang.Double: [D('mTempSpecMAX' java.lang.Double), D('mTempSpecMIN' java.lang.Double)] */
    public boolean CheckCirrusTemp(String Result) {
        String specTemp = Support.Spec.getString(Support.Spec.SPK_CAL_CIRRUS_TEMPERATURE_SPEC);
        String[] minMaxTempSpec = specTemp != null ? specTemp.split(",") : null;
        Double mTempSpecMIN = Double.valueOf(-1.0d);
        Double mTempSpecMAX = Double.valueOf(-1.0d);
        if (minMaxTempSpec == null) {
            FtUtil.log_e(this.CLASS_NAME, "CheckCirrusTemp", "No Spec data");
        } else {
            try {
                mTempSpecMIN = Double.valueOf(Double.parseDouble(minMaxTempSpec[0]));
                mTempSpecMAX = Double.valueOf(Double.parseDouble(minMaxTempSpec[1]));
            } catch (NumberFormatException ne) {
                Double mTempSpecMIN2 = Double.valueOf(-1.0d);
                FtUtil.log_e(ne);
                mTempSpecMIN = mTempSpecMIN2;
                mTempSpecMAX = mTempSpecMIN2;
            }
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "CheckCirrusTemp", "mTempSpecMIN : " + mTempSpecMIN + ", mTempSpecMAX : " + mTempSpecMAX);
        }
        String str2 = this.CLASS_NAME;
        FtUtil.log_d(str2, "CheckCirrusTemp", "mTempResult : " + Result);
        if (ModuleCommunicationService.SMD_NOK.equals(Result)) {
            return false;
        }
        double mTemperature = Double.valueOf(new DecimalFormat("#.#", DecimalFormatSymbols.getInstance(Locale.US)).format((double) Integer.parseInt(Result))).doubleValue();
        String str3 = this.CLASS_NAME;
        FtUtil.log_d(str3, "CheckCirrusTemp", "Temperature : " + mTemperature);
        if (mTemperature >= mTempSpecMIN.doubleValue() && mTemperature <= mTempSpecMAX.doubleValue()) {
            return true;
        }
        FtUtil.log_d(this.CLASS_NAME, "CheckCirrusTemp", "mTemperature spec out");
        return false;
    }

    /* JADX INFO: Multiple debug info for r5v33 'minMaTempSpec'  java.lang.String[]: [D('minMaTempSpec' java.lang.String[]), D('mTempResult' java.lang.String)] */
    /* JADX WARNING: Removed duplicated region for block: B:64:0x01e0 A[Catch:{ NumberFormatException -> 0x0212 }] */
    /* JADX WARNING: Removed duplicated region for block: B:70:0x01fe A[Catch:{ NumberFormatException -> 0x0212 }] */
    /* JADX WARNING: Removed duplicated region for block: B:84:0x0233  */
    /* JADX WARNING: Removed duplicated region for block: B:94:0x02c8 A[LOOP:0: B:49:0x0134->B:94:0x02c8, LOOP_END] */
    /* JADX WARNING: Removed duplicated region for block: B:95:0x0165 A[EDGE_INSN: B:95:0x0165->B:51:0x0165 ?: BREAK  , SYNTHETIC] */
    public int[] SpkCalNxp(String Path) {
        Double mTempSpecMIN;
        String[] minMaTempSpec;
        Double mTempSpecMIN2;
        String Status;
        String mImpResult;
        String mTempResult;
        String efsTemp;
        Double rdc;
        Double temp;
        NumberFormatException ne;
        int[] dResult = {-1, -1};
        String efsValue = null;
        Double mImpSpecMIN = Double.valueOf(-1.0d);
        Double mImpSpecMAX = Double.valueOf(-1.0d);
        Double mTempSpecMIN3 = Double.valueOf(-1.0d);
        Double mTempSpecMAX = Double.valueOf(-1.0d);
        String specImp = Support.Spec.getString(Support.Spec.SPK_CAL_NXP_IMPEDANCE_SPEC);
        String specTemp = Support.Spec.getString(Support.Spec.SPK_CAL_NXP_TEMPERATURE_SPEC);
        String[] minMaTempSpec2 = null;
        String[] minMaxImpSpec = specImp != null ? specImp.split(",") : null;
        if (specTemp != null) {
            minMaTempSpec2 = specTemp.split(",");
        }
        if (minMaxImpSpec != null) {
            try {
                if (minMaxImpSpec.length > 0) {
                    try {
                        mImpSpecMIN = Double.valueOf(Double.parseDouble(minMaxImpSpec[0]));
                    } catch (NumberFormatException e) {
                        ne = e;
                        minMaTempSpec = minMaTempSpec2;
                        mImpSpecMIN = Double.valueOf(-1.0d);
                        mImpSpecMAX = Double.valueOf(-1.0d);
                        mTempSpecMIN2 = Double.valueOf(-1.0d);
                        mTempSpecMIN = Double.valueOf(-1.0d);
                        FtUtil.log_e(ne);
                        FtUtil.log_d(this.CLASS_NAME, "SpkCalNxp", "mImpSpecMIN : " + mImpSpecMIN + ", mImpSpecMAX : " + mImpSpecMAX);
                        FtUtil.log_d(this.CLASS_NAME, "SpkCalNxp", "NXP, mTempSpecMIN : " + mTempSpecMIN2 + ", mTempSpecMAX : " + mTempSpecMIN);
                        AudioManager audioManager = this.mAudioManager;
                        StringBuilder sb = new StringBuilder();
                        sb.append("spk_calibration=on");
                        sb.append(mModuleAudio.getAmpType());
                        audioManager.setParameters(sb.toString());
                        while (true) {
                            FtUtil.Sleep.sleep(100);
                            Status = this.mAudioManager.getParameters("spk_calibration=status").trim();
                            FtUtil.log_d(this.CLASS_NAME, "SpkCalNxp", "Status: " + Status);
                            if (!"Calibration is active".equalsIgnoreCase(Status)) {
                            }
                            efsValue = efsValue;
                        }
                        String Result = this.mAudioManager.getParameters("spk_calibration=off").trim();
                        FtUtil.log_d(this.CLASS_NAME, "SpkCalNxp", "Result: " + Result);
                        mImpResult = getParameter(Result, Path);
                        mTempResult = getParameter(Result, "temp=");
                        rdc = Double.valueOf(Double.parseDouble(mImpResult) / 1000.0d);
                        temp = Double.valueOf(Double.parseDouble(mTempResult));
                        String Result2 = this.CLASS_NAME;
                        efsTemp = null;
                        try {
                            StringBuilder sb2 = new StringBuilder();
                            try {
                                sb2.append("rdc : ");
                                sb2.append(rdc);
                                sb2.append("temp : ");
                                sb2.append(temp);
                                FtUtil.log_d(Result2, "SpkCalNxp", sb2.toString());
                                if (rdc.doubleValue() >= mImpSpecMIN.doubleValue()) {
                                }
                                dResult[0] = 0;
                                if (temp.doubleValue() >= mTempSpecMIN2.doubleValue()) {
                                }
                                dResult[1] = 0;
                            } catch (NumberFormatException e2) {
                                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "NG, rdc Error");
                                if (dResult[0] == 1) {
                                }
                                this.mAudioManager.setParameters("spk_calibration=fail" + mModuleAudio.getTargetType(Path));
                                return dResult;
                            }
                        } catch (NumberFormatException e3) {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "NG, rdc Error");
                            if (dResult[0] == 1) {
                            }
                            this.mAudioManager.setParameters("spk_calibration=fail" + mModuleAudio.getTargetType(Path));
                            return dResult;
                        }
                        if (dResult[0] == 1) {
                        }
                        this.mAudioManager.setParameters("spk_calibration=fail" + mModuleAudio.getTargetType(Path));
                        return dResult;
                    }
                }
                if (minMaxImpSpec.length > 1) {
                    try {
                        mImpSpecMAX = Double.valueOf(Double.parseDouble(minMaxImpSpec[1]));
                    } catch (NumberFormatException e4) {
                        ne = e4;
                        minMaTempSpec = minMaTempSpec2;
                        mImpSpecMIN = Double.valueOf(-1.0d);
                        mImpSpecMAX = Double.valueOf(-1.0d);
                        mTempSpecMIN2 = Double.valueOf(-1.0d);
                        mTempSpecMIN = Double.valueOf(-1.0d);
                        FtUtil.log_e(ne);
                        FtUtil.log_d(this.CLASS_NAME, "SpkCalNxp", "mImpSpecMIN : " + mImpSpecMIN + ", mImpSpecMAX : " + mImpSpecMAX);
                        FtUtil.log_d(this.CLASS_NAME, "SpkCalNxp", "NXP, mTempSpecMIN : " + mTempSpecMIN2 + ", mTempSpecMAX : " + mTempSpecMIN);
                        AudioManager audioManager2 = this.mAudioManager;
                        StringBuilder sb3 = new StringBuilder();
                        sb3.append("spk_calibration=on");
                        sb3.append(mModuleAudio.getAmpType());
                        audioManager2.setParameters(sb3.toString());
                        while (true) {
                            FtUtil.Sleep.sleep(100);
                            Status = this.mAudioManager.getParameters("spk_calibration=status").trim();
                            FtUtil.log_d(this.CLASS_NAME, "SpkCalNxp", "Status: " + Status);
                            if (!"Calibration is active".equalsIgnoreCase(Status)) {
                            }
                            efsValue = efsValue;
                        }
                        String Result3 = this.mAudioManager.getParameters("spk_calibration=off").trim();
                        FtUtil.log_d(this.CLASS_NAME, "SpkCalNxp", "Result: " + Result3);
                        mImpResult = getParameter(Result3, Path);
                        mTempResult = getParameter(Result3, "temp=");
                        rdc = Double.valueOf(Double.parseDouble(mImpResult) / 1000.0d);
                        temp = Double.valueOf(Double.parseDouble(mTempResult));
                        String Result22 = this.CLASS_NAME;
                        efsTemp = null;
                        StringBuilder sb22 = new StringBuilder();
                        sb22.append("rdc : ");
                        sb22.append(rdc);
                        sb22.append("temp : ");
                        sb22.append(temp);
                        FtUtil.log_d(Result22, "SpkCalNxp", sb22.toString());
                        if (rdc.doubleValue() >= mImpSpecMIN.doubleValue()) {
                        }
                        dResult[0] = 0;
                        if (temp.doubleValue() >= mTempSpecMIN2.doubleValue()) {
                        }
                        dResult[1] = 0;
                        if (dResult[0] == 1) {
                        }
                        this.mAudioManager.setParameters("spk_calibration=fail" + mModuleAudio.getTargetType(Path));
                        return dResult;
                    }
                }
            } catch (NumberFormatException e5) {
                ne = e5;
                minMaTempSpec = minMaTempSpec2;
                mImpSpecMIN = Double.valueOf(-1.0d);
                mImpSpecMAX = Double.valueOf(-1.0d);
                mTempSpecMIN2 = Double.valueOf(-1.0d);
                mTempSpecMIN = Double.valueOf(-1.0d);
                FtUtil.log_e(ne);
                FtUtil.log_d(this.CLASS_NAME, "SpkCalNxp", "mImpSpecMIN : " + mImpSpecMIN + ", mImpSpecMAX : " + mImpSpecMAX);
                FtUtil.log_d(this.CLASS_NAME, "SpkCalNxp", "NXP, mTempSpecMIN : " + mTempSpecMIN2 + ", mTempSpecMAX : " + mTempSpecMIN);
                AudioManager audioManager22 = this.mAudioManager;
                StringBuilder sb32 = new StringBuilder();
                sb32.append("spk_calibration=on");
                sb32.append(mModuleAudio.getAmpType());
                audioManager22.setParameters(sb32.toString());
                while (true) {
                    FtUtil.Sleep.sleep(100);
                    Status = this.mAudioManager.getParameters("spk_calibration=status").trim();
                    FtUtil.log_d(this.CLASS_NAME, "SpkCalNxp", "Status: " + Status);
                    if (!"Calibration is active".equalsIgnoreCase(Status)) {
                    }
                    efsValue = efsValue;
                }
                String Result32 = this.mAudioManager.getParameters("spk_calibration=off").trim();
                FtUtil.log_d(this.CLASS_NAME, "SpkCalNxp", "Result: " + Result32);
                mImpResult = getParameter(Result32, Path);
                mTempResult = getParameter(Result32, "temp=");
                rdc = Double.valueOf(Double.parseDouble(mImpResult) / 1000.0d);
                temp = Double.valueOf(Double.parseDouble(mTempResult));
                String Result222 = this.CLASS_NAME;
                efsTemp = null;
                StringBuilder sb222 = new StringBuilder();
                sb222.append("rdc : ");
                sb222.append(rdc);
                sb222.append("temp : ");
                sb222.append(temp);
                FtUtil.log_d(Result222, "SpkCalNxp", sb222.toString());
                if (rdc.doubleValue() >= mImpSpecMIN.doubleValue()) {
                }
                dResult[0] = 0;
                if (temp.doubleValue() >= mTempSpecMIN2.doubleValue()) {
                }
                dResult[1] = 0;
                if (dResult[0] == 1) {
                }
                this.mAudioManager.setParameters("spk_calibration=fail" + mModuleAudio.getTargetType(Path));
                return dResult;
            }
        }
        minMaTempSpec = minMaTempSpec2;
        if (minMaTempSpec != null) {
            try {
                if (minMaTempSpec.length > 0) {
                    try {
                        mTempSpecMIN3 = Double.valueOf(Double.parseDouble(minMaTempSpec[0]));
                    } catch (NumberFormatException e6) {
                        ne = e6;
                        mImpSpecMIN = Double.valueOf(-1.0d);
                        mImpSpecMAX = Double.valueOf(-1.0d);
                        mTempSpecMIN2 = Double.valueOf(-1.0d);
                        mTempSpecMIN = Double.valueOf(-1.0d);
                        FtUtil.log_e(ne);
                        FtUtil.log_d(this.CLASS_NAME, "SpkCalNxp", "mImpSpecMIN : " + mImpSpecMIN + ", mImpSpecMAX : " + mImpSpecMAX);
                        FtUtil.log_d(this.CLASS_NAME, "SpkCalNxp", "NXP, mTempSpecMIN : " + mTempSpecMIN2 + ", mTempSpecMAX : " + mTempSpecMIN);
                        AudioManager audioManager222 = this.mAudioManager;
                        StringBuilder sb322 = new StringBuilder();
                        sb322.append("spk_calibration=on");
                        sb322.append(mModuleAudio.getAmpType());
                        audioManager222.setParameters(sb322.toString());
                        while (true) {
                            FtUtil.Sleep.sleep(100);
                            Status = this.mAudioManager.getParameters("spk_calibration=status").trim();
                            FtUtil.log_d(this.CLASS_NAME, "SpkCalNxp", "Status: " + Status);
                            if (!"Calibration is active".equalsIgnoreCase(Status)) {
                            }
                            efsValue = efsValue;
                        }
                        String Result322 = this.mAudioManager.getParameters("spk_calibration=off").trim();
                        FtUtil.log_d(this.CLASS_NAME, "SpkCalNxp", "Result: " + Result322);
                        mImpResult = getParameter(Result322, Path);
                        mTempResult = getParameter(Result322, "temp=");
                        rdc = Double.valueOf(Double.parseDouble(mImpResult) / 1000.0d);
                        temp = Double.valueOf(Double.parseDouble(mTempResult));
                        String Result2222 = this.CLASS_NAME;
                        efsTemp = null;
                        StringBuilder sb2222 = new StringBuilder();
                        sb2222.append("rdc : ");
                        sb2222.append(rdc);
                        sb2222.append("temp : ");
                        sb2222.append(temp);
                        FtUtil.log_d(Result2222, "SpkCalNxp", sb2222.toString());
                        if (rdc.doubleValue() >= mImpSpecMIN.doubleValue()) {
                        }
                        dResult[0] = 0;
                        if (temp.doubleValue() >= mTempSpecMIN2.doubleValue()) {
                        }
                        dResult[1] = 0;
                        if (dResult[0] == 1) {
                        }
                        this.mAudioManager.setParameters("spk_calibration=fail" + mModuleAudio.getTargetType(Path));
                        return dResult;
                    }
                }
                if (minMaTempSpec.length > 1) {
                    try {
                        mTempSpecMAX = Double.valueOf(Double.parseDouble(minMaTempSpec[1]));
                    } catch (NumberFormatException e7) {
                        ne = e7;
                        mImpSpecMIN = Double.valueOf(-1.0d);
                        mImpSpecMAX = Double.valueOf(-1.0d);
                        mTempSpecMIN2 = Double.valueOf(-1.0d);
                        mTempSpecMIN = Double.valueOf(-1.0d);
                        FtUtil.log_e(ne);
                        FtUtil.log_d(this.CLASS_NAME, "SpkCalNxp", "mImpSpecMIN : " + mImpSpecMIN + ", mImpSpecMAX : " + mImpSpecMAX);
                        FtUtil.log_d(this.CLASS_NAME, "SpkCalNxp", "NXP, mTempSpecMIN : " + mTempSpecMIN2 + ", mTempSpecMAX : " + mTempSpecMIN);
                        AudioManager audioManager2222 = this.mAudioManager;
                        StringBuilder sb3222 = new StringBuilder();
                        sb3222.append("spk_calibration=on");
                        sb3222.append(mModuleAudio.getAmpType());
                        audioManager2222.setParameters(sb3222.toString());
                        while (true) {
                            FtUtil.Sleep.sleep(100);
                            Status = this.mAudioManager.getParameters("spk_calibration=status").trim();
                            FtUtil.log_d(this.CLASS_NAME, "SpkCalNxp", "Status: " + Status);
                            if (!"Calibration is active".equalsIgnoreCase(Status)) {
                            }
                            efsValue = efsValue;
                        }
                        String Result3222 = this.mAudioManager.getParameters("spk_calibration=off").trim();
                        FtUtil.log_d(this.CLASS_NAME, "SpkCalNxp", "Result: " + Result3222);
                        mImpResult = getParameter(Result3222, Path);
                        mTempResult = getParameter(Result3222, "temp=");
                        rdc = Double.valueOf(Double.parseDouble(mImpResult) / 1000.0d);
                        temp = Double.valueOf(Double.parseDouble(mTempResult));
                        String Result22222 = this.CLASS_NAME;
                        efsTemp = null;
                        StringBuilder sb22222 = new StringBuilder();
                        sb22222.append("rdc : ");
                        sb22222.append(rdc);
                        sb22222.append("temp : ");
                        sb22222.append(temp);
                        FtUtil.log_d(Result22222, "SpkCalNxp", sb22222.toString());
                        if (rdc.doubleValue() >= mImpSpecMIN.doubleValue()) {
                        }
                        dResult[0] = 0;
                        if (temp.doubleValue() >= mTempSpecMIN2.doubleValue()) {
                        }
                        dResult[1] = 0;
                        if (dResult[0] == 1) {
                        }
                        this.mAudioManager.setParameters("spk_calibration=fail" + mModuleAudio.getTargetType(Path));
                        return dResult;
                    }
                }
            } catch (NumberFormatException e8) {
                ne = e8;
                mImpSpecMIN = Double.valueOf(-1.0d);
                mImpSpecMAX = Double.valueOf(-1.0d);
                mTempSpecMIN2 = Double.valueOf(-1.0d);
                mTempSpecMIN = Double.valueOf(-1.0d);
                FtUtil.log_e(ne);
                FtUtil.log_d(this.CLASS_NAME, "SpkCalNxp", "mImpSpecMIN : " + mImpSpecMIN + ", mImpSpecMAX : " + mImpSpecMAX);
                FtUtil.log_d(this.CLASS_NAME, "SpkCalNxp", "NXP, mTempSpecMIN : " + mTempSpecMIN2 + ", mTempSpecMAX : " + mTempSpecMIN);
                AudioManager audioManager22222 = this.mAudioManager;
                StringBuilder sb32222 = new StringBuilder();
                sb32222.append("spk_calibration=on");
                sb32222.append(mModuleAudio.getAmpType());
                audioManager22222.setParameters(sb32222.toString());
                while (true) {
                    FtUtil.Sleep.sleep(100);
                    Status = this.mAudioManager.getParameters("spk_calibration=status").trim();
                    FtUtil.log_d(this.CLASS_NAME, "SpkCalNxp", "Status: " + Status);
                    if (!"Calibration is active".equalsIgnoreCase(Status)) {
                    }
                    efsValue = efsValue;
                }
                String Result32222 = this.mAudioManager.getParameters("spk_calibration=off").trim();
                FtUtil.log_d(this.CLASS_NAME, "SpkCalNxp", "Result: " + Result32222);
                mImpResult = getParameter(Result32222, Path);
                mTempResult = getParameter(Result32222, "temp=");
                rdc = Double.valueOf(Double.parseDouble(mImpResult) / 1000.0d);
                temp = Double.valueOf(Double.parseDouble(mTempResult));
                String Result222222 = this.CLASS_NAME;
                efsTemp = null;
                StringBuilder sb222222 = new StringBuilder();
                sb222222.append("rdc : ");
                sb222222.append(rdc);
                sb222222.append("temp : ");
                sb222222.append(temp);
                FtUtil.log_d(Result222222, "SpkCalNxp", sb222222.toString());
                if (rdc.doubleValue() >= mImpSpecMIN.doubleValue()) {
                }
                dResult[0] = 0;
                if (temp.doubleValue() >= mTempSpecMIN2.doubleValue()) {
                }
                dResult[1] = 0;
                if (dResult[0] == 1) {
                }
                this.mAudioManager.setParameters("spk_calibration=fail" + mModuleAudio.getTargetType(Path));
                return dResult;
            }
        }
        mTempSpecMIN2 = mTempSpecMIN3;
        mTempSpecMIN = mTempSpecMAX;
        FtUtil.log_d(this.CLASS_NAME, "SpkCalNxp", "mImpSpecMIN : " + mImpSpecMIN + ", mImpSpecMAX : " + mImpSpecMAX);
        FtUtil.log_d(this.CLASS_NAME, "SpkCalNxp", "NXP, mTempSpecMIN : " + mTempSpecMIN2 + ", mTempSpecMAX : " + mTempSpecMIN);
        AudioManager audioManager222222 = this.mAudioManager;
        StringBuilder sb322222 = new StringBuilder();
        sb322222.append("spk_calibration=on");
        sb322222.append(mModuleAudio.getAmpType());
        audioManager222222.setParameters(sb322222.toString());
        while (true) {
            FtUtil.Sleep.sleep(100);
            Status = this.mAudioManager.getParameters("spk_calibration=status").trim();
            FtUtil.log_d(this.CLASS_NAME, "SpkCalNxp", "Status: " + Status);
            if (!"Calibration is active".equalsIgnoreCase(Status)) {
                break;
            }
            efsValue = efsValue;
        }
        String Result322222 = this.mAudioManager.getParameters("spk_calibration=off").trim();
        FtUtil.log_d(this.CLASS_NAME, "SpkCalNxp", "Result: " + Result322222);
        mImpResult = getParameter(Result322222, Path);
        mTempResult = getParameter(Result322222, "temp=");
        try {
            rdc = Double.valueOf(Double.parseDouble(mImpResult) / 1000.0d);
            temp = Double.valueOf(Double.parseDouble(mTempResult));
            try {
                String Result2222222 = this.CLASS_NAME;
                efsTemp = null;
                StringBuilder sb2222222 = new StringBuilder();
                sb2222222.append("rdc : ");
                sb2222222.append(rdc);
                sb2222222.append("temp : ");
                sb2222222.append(temp);
                FtUtil.log_d(Result2222222, "SpkCalNxp", sb2222222.toString());
                if (rdc.doubleValue() >= mImpSpecMIN.doubleValue() || rdc.doubleValue() > mImpSpecMAX.doubleValue()) {
                    dResult[0] = 0;
                } else {
                    dResult[0] = 1;
                }
                if (temp.doubleValue() >= mTempSpecMIN2.doubleValue() || temp.doubleValue() > mTempSpecMIN.doubleValue()) {
                    dResult[1] = 0;
                } else {
                    dResult[1] = 1;
                }
            } catch (NumberFormatException e9) {
                efsTemp = null;
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "NG, rdc Error");
                if (dResult[0] == 1) {
                }
                this.mAudioManager.setParameters("spk_calibration=fail" + mModuleAudio.getTargetType(Path));
                return dResult;
            }
        } catch (NumberFormatException e10) {
            efsTemp = null;
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "NG, rdc Error");
            if (dResult[0] == 1) {
            }
            this.mAudioManager.setParameters("spk_calibration=fail" + mModuleAudio.getTargetType(Path));
            return dResult;
        }
        if (dResult[0] == 1 || dResult[1] != 1) {
            this.mAudioManager.setParameters("spk_calibration=fail" + mModuleAudio.getTargetType(Path));
        } else {
            this.mAudioManager.setParameters("spk_calibration=pass" + mModuleAudio.getTargetType(Path));
            String efsValue2 = this.mAudioManager.getParameters("spk_calibration=read" + mModuleAudio.getAmpType()).trim();
            FtUtil.log_d(this.CLASS_NAME, "SpkCalNxp", "efsValue: " + efsValue2);
            String efsImp = getParameter(efsValue2, Path);
            String efsTemp2 = getParameter(efsValue2, "temp=");
            if (!efsImp.equalsIgnoreCase(mImpResult) || !efsTemp2.equalsIgnoreCase(mTempResult)) {
                dResult[0] = 0;
                dResult[1] = 0;
            }
        }
        return dResult;
    }

    /* JADX INFO: Multiple debug info for r5v30 'minMaTempSpec'  java.lang.String[]: [D('minMaTempSpec' java.lang.String[]), D('mTempResult' java.lang.String)] */
    /* JADX WARNING: Removed duplicated region for block: B:54:0x01c6 A[Catch:{ NumberFormatException -> 0x01f8 }] */
    /* JADX WARNING: Removed duplicated region for block: B:60:0x01e4 A[Catch:{ NumberFormatException -> 0x01f8 }] */
    /* JADX WARNING: Removed duplicated region for block: B:74:0x021d  */
    /* JADX WARNING: Removed duplicated region for block: B:84:0x029d A[LOOP:0: B:39:0x011a->B:84:0x029d, LOOP_END] */
    /* JADX WARNING: Removed duplicated region for block: B:85:0x014b A[EDGE_INSN: B:85:0x014b->B:41:0x014b ?: BREAK  , SYNTHETIC] */
    public int[] RcvCalNxp(String Path) {
        Double mTempSpecMAX;
        String[] minMaTempSpec;
        Double mTempSpecMIN;
        String Status;
        String mImpResult;
        String mTempResult;
        String efsTemp;
        Double rdc;
        Double temp;
        NumberFormatException ne;
        int[] dResult = {-1, -1};
        String efsValue = null;
        Double valueOf = Double.valueOf(-1.0d);
        Double mImpSpecMIN = Double.valueOf(-1.0d);
        Double mImpSpecMAX = Double.valueOf(-1.0d);
        Double mTempSpecMIN2 = Double.valueOf(-1.0d);
        Double mTempSpecMAX2 = Double.valueOf(-1.0d);
        String specImp = Support.Spec.getString(Support.Spec.RCV_CAL_NXP_IMPEDANCE_SPEC);
        String specTemp = Support.Spec.getString(Support.Spec.RCV_CAL_NXP_TEMPERATURE_SPEC);
        String[] minMaTempSpec2 = null;
        String[] minMaxImpSpec = specImp != null ? specImp.split(",") : null;
        if (specTemp != null) {
            minMaTempSpec2 = specTemp.split(",");
        }
        if (minMaxImpSpec != null) {
            try {
                if (minMaxImpSpec.length >= 2) {
                    try {
                        mImpSpecMIN = Double.valueOf(Double.parseDouble(minMaxImpSpec[0]));
                        mImpSpecMAX = Double.valueOf(Double.parseDouble(minMaxImpSpec[1]));
                    } catch (NumberFormatException e) {
                        ne = e;
                        minMaTempSpec = minMaTempSpec2;
                        mImpSpecMIN = Double.valueOf(-1.0d);
                        mImpSpecMAX = Double.valueOf(-1.0d);
                        mTempSpecMIN = Double.valueOf(-1.0d);
                        mTempSpecMAX = Double.valueOf(-1.0d);
                        FtUtil.log_e(ne);
                        FtUtil.log_d(this.CLASS_NAME, "RcvCalNxp", "mImpSpecMIN : " + mImpSpecMIN + ", mImpSpecMAX : " + mImpSpecMAX);
                        FtUtil.log_d(this.CLASS_NAME, "RcvCalNxp", "NXP, mTempSpecMIN : " + mTempSpecMIN + ", mTempSpecMAX : " + mTempSpecMAX);
                        this.mAudioManager.setParameters("rcv_calibration=on");
                        while (true) {
                            FtUtil.Sleep.sleep(100);
                            Status = this.mAudioManager.getParameters("rcv_calibration=status").trim();
                            FtUtil.log_d(this.CLASS_NAME, "RcvCalNxp", "Status: " + Status);
                            if (!"Calibration is active".equalsIgnoreCase(Status)) {
                            }
                            efsValue = efsValue;
                        }
                        String Result = this.mAudioManager.getParameters("rcv_calibration=off").trim();
                        FtUtil.log_d(this.CLASS_NAME, "RcvCalNxp", "Result: " + Result);
                        mImpResult = getParameter(Result, Path);
                        mTempResult = getParameter(Result, "temp=");
                        rdc = Double.valueOf(Double.parseDouble(mImpResult) / 1000.0d);
                        temp = Double.valueOf(Double.parseDouble(mTempResult));
                        String Result2 = this.CLASS_NAME;
                        efsTemp = null;
                        try {
                            StringBuilder sb = new StringBuilder();
                            sb.append("rdc : ");
                            sb.append(rdc);
                            sb.append("temp : ");
                            sb.append(temp);
                            FtUtil.log_d(Result2, "RcvCalNxp", sb.toString());
                            if (rdc.doubleValue() >= mImpSpecMIN.doubleValue()) {
                            }
                            dResult[0] = 0;
                            if (temp.doubleValue() >= mTempSpecMIN.doubleValue()) {
                            }
                            dResult[1] = 0;
                        } catch (NumberFormatException e2) {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "NG, rdc Error");
                            if (dResult[0] == 1) {
                            }
                            this.mAudioManager.setParameters("rcv_calibration=fail_" + Path.replaceAll("=", ""));
                            return dResult;
                        }
                        if (dResult[0] == 1) {
                        }
                        this.mAudioManager.setParameters("rcv_calibration=fail_" + Path.replaceAll("=", ""));
                        return dResult;
                    }
                } else {
                    mImpSpecMIN = valueOf;
                    mImpSpecMAX = valueOf;
                }
            } catch (NumberFormatException e3) {
                ne = e3;
                minMaTempSpec = minMaTempSpec2;
                mImpSpecMIN = Double.valueOf(-1.0d);
                mImpSpecMAX = Double.valueOf(-1.0d);
                mTempSpecMIN = Double.valueOf(-1.0d);
                mTempSpecMAX = Double.valueOf(-1.0d);
                FtUtil.log_e(ne);
                FtUtil.log_d(this.CLASS_NAME, "RcvCalNxp", "mImpSpecMIN : " + mImpSpecMIN + ", mImpSpecMAX : " + mImpSpecMAX);
                FtUtil.log_d(this.CLASS_NAME, "RcvCalNxp", "NXP, mTempSpecMIN : " + mTempSpecMIN + ", mTempSpecMAX : " + mTempSpecMAX);
                this.mAudioManager.setParameters("rcv_calibration=on");
                while (true) {
                    FtUtil.Sleep.sleep(100);
                    Status = this.mAudioManager.getParameters("rcv_calibration=status").trim();
                    FtUtil.log_d(this.CLASS_NAME, "RcvCalNxp", "Status: " + Status);
                    if (!"Calibration is active".equalsIgnoreCase(Status)) {
                    }
                    efsValue = efsValue;
                }
                String Result3 = this.mAudioManager.getParameters("rcv_calibration=off").trim();
                FtUtil.log_d(this.CLASS_NAME, "RcvCalNxp", "Result: " + Result3);
                mImpResult = getParameter(Result3, Path);
                mTempResult = getParameter(Result3, "temp=");
                rdc = Double.valueOf(Double.parseDouble(mImpResult) / 1000.0d);
                temp = Double.valueOf(Double.parseDouble(mTempResult));
                String Result22 = this.CLASS_NAME;
                efsTemp = null;
                StringBuilder sb2 = new StringBuilder();
                sb2.append("rdc : ");
                sb2.append(rdc);
                sb2.append("temp : ");
                sb2.append(temp);
                FtUtil.log_d(Result22, "RcvCalNxp", sb2.toString());
                if (rdc.doubleValue() >= mImpSpecMIN.doubleValue()) {
                }
                dResult[0] = 0;
                if (temp.doubleValue() >= mTempSpecMIN.doubleValue()) {
                }
                dResult[1] = 0;
                if (dResult[0] == 1) {
                }
                this.mAudioManager.setParameters("rcv_calibration=fail_" + Path.replaceAll("=", ""));
                return dResult;
            }
        }
        minMaTempSpec = minMaTempSpec2;
        if (minMaTempSpec != null) {
            try {
                if (minMaTempSpec.length >= 2) {
                    try {
                        mTempSpecMIN2 = Double.valueOf(Double.parseDouble(minMaTempSpec[0]));
                        mTempSpecMAX2 = Double.valueOf(Double.parseDouble(minMaTempSpec[1]));
                    } catch (NumberFormatException e4) {
                        ne = e4;
                        mImpSpecMIN = Double.valueOf(-1.0d);
                        mImpSpecMAX = Double.valueOf(-1.0d);
                        mTempSpecMIN = Double.valueOf(-1.0d);
                        mTempSpecMAX = Double.valueOf(-1.0d);
                        FtUtil.log_e(ne);
                        FtUtil.log_d(this.CLASS_NAME, "RcvCalNxp", "mImpSpecMIN : " + mImpSpecMIN + ", mImpSpecMAX : " + mImpSpecMAX);
                        FtUtil.log_d(this.CLASS_NAME, "RcvCalNxp", "NXP, mTempSpecMIN : " + mTempSpecMIN + ", mTempSpecMAX : " + mTempSpecMAX);
                        this.mAudioManager.setParameters("rcv_calibration=on");
                        while (true) {
                            FtUtil.Sleep.sleep(100);
                            Status = this.mAudioManager.getParameters("rcv_calibration=status").trim();
                            FtUtil.log_d(this.CLASS_NAME, "RcvCalNxp", "Status: " + Status);
                            if (!"Calibration is active".equalsIgnoreCase(Status)) {
                            }
                            efsValue = efsValue;
                        }
                        String Result32 = this.mAudioManager.getParameters("rcv_calibration=off").trim();
                        FtUtil.log_d(this.CLASS_NAME, "RcvCalNxp", "Result: " + Result32);
                        mImpResult = getParameter(Result32, Path);
                        mTempResult = getParameter(Result32, "temp=");
                        rdc = Double.valueOf(Double.parseDouble(mImpResult) / 1000.0d);
                        temp = Double.valueOf(Double.parseDouble(mTempResult));
                        String Result222 = this.CLASS_NAME;
                        efsTemp = null;
                        StringBuilder sb22 = new StringBuilder();
                        sb22.append("rdc : ");
                        sb22.append(rdc);
                        sb22.append("temp : ");
                        sb22.append(temp);
                        FtUtil.log_d(Result222, "RcvCalNxp", sb22.toString());
                        if (rdc.doubleValue() >= mImpSpecMIN.doubleValue()) {
                        }
                        dResult[0] = 0;
                        if (temp.doubleValue() >= mTempSpecMIN.doubleValue()) {
                        }
                        dResult[1] = 0;
                        if (dResult[0] == 1) {
                        }
                        this.mAudioManager.setParameters("rcv_calibration=fail_" + Path.replaceAll("=", ""));
                        return dResult;
                    }
                } else {
                    mTempSpecMIN2 = valueOf;
                    mTempSpecMAX2 = valueOf;
                }
            } catch (NumberFormatException e5) {
                ne = e5;
                mImpSpecMIN = Double.valueOf(-1.0d);
                mImpSpecMAX = Double.valueOf(-1.0d);
                mTempSpecMIN = Double.valueOf(-1.0d);
                mTempSpecMAX = Double.valueOf(-1.0d);
                FtUtil.log_e(ne);
                FtUtil.log_d(this.CLASS_NAME, "RcvCalNxp", "mImpSpecMIN : " + mImpSpecMIN + ", mImpSpecMAX : " + mImpSpecMAX);
                FtUtil.log_d(this.CLASS_NAME, "RcvCalNxp", "NXP, mTempSpecMIN : " + mTempSpecMIN + ", mTempSpecMAX : " + mTempSpecMAX);
                this.mAudioManager.setParameters("rcv_calibration=on");
                while (true) {
                    FtUtil.Sleep.sleep(100);
                    Status = this.mAudioManager.getParameters("rcv_calibration=status").trim();
                    FtUtil.log_d(this.CLASS_NAME, "RcvCalNxp", "Status: " + Status);
                    if (!"Calibration is active".equalsIgnoreCase(Status)) {
                    }
                    efsValue = efsValue;
                }
                String Result322 = this.mAudioManager.getParameters("rcv_calibration=off").trim();
                FtUtil.log_d(this.CLASS_NAME, "RcvCalNxp", "Result: " + Result322);
                mImpResult = getParameter(Result322, Path);
                mTempResult = getParameter(Result322, "temp=");
                rdc = Double.valueOf(Double.parseDouble(mImpResult) / 1000.0d);
                temp = Double.valueOf(Double.parseDouble(mTempResult));
                String Result2222 = this.CLASS_NAME;
                efsTemp = null;
                StringBuilder sb222 = new StringBuilder();
                sb222.append("rdc : ");
                sb222.append(rdc);
                sb222.append("temp : ");
                sb222.append(temp);
                FtUtil.log_d(Result2222, "RcvCalNxp", sb222.toString());
                if (rdc.doubleValue() >= mImpSpecMIN.doubleValue()) {
                }
                dResult[0] = 0;
                if (temp.doubleValue() >= mTempSpecMIN.doubleValue()) {
                }
                dResult[1] = 0;
                if (dResult[0] == 1) {
                }
                this.mAudioManager.setParameters("rcv_calibration=fail_" + Path.replaceAll("=", ""));
                return dResult;
            }
        }
        mTempSpecMIN = mTempSpecMIN2;
        mTempSpecMAX = mTempSpecMAX2;
        FtUtil.log_d(this.CLASS_NAME, "RcvCalNxp", "mImpSpecMIN : " + mImpSpecMIN + ", mImpSpecMAX : " + mImpSpecMAX);
        FtUtil.log_d(this.CLASS_NAME, "RcvCalNxp", "NXP, mTempSpecMIN : " + mTempSpecMIN + ", mTempSpecMAX : " + mTempSpecMAX);
        this.mAudioManager.setParameters("rcv_calibration=on");
        while (true) {
            FtUtil.Sleep.sleep(100);
            Status = this.mAudioManager.getParameters("rcv_calibration=status").trim();
            FtUtil.log_d(this.CLASS_NAME, "RcvCalNxp", "Status: " + Status);
            if (!"Calibration is active".equalsIgnoreCase(Status)) {
                break;
            }
            efsValue = efsValue;
        }
        String Result3222 = this.mAudioManager.getParameters("rcv_calibration=off").trim();
        FtUtil.log_d(this.CLASS_NAME, "RcvCalNxp", "Result: " + Result3222);
        mImpResult = getParameter(Result3222, Path);
        mTempResult = getParameter(Result3222, "temp=");
        try {
            rdc = Double.valueOf(Double.parseDouble(mImpResult) / 1000.0d);
            temp = Double.valueOf(Double.parseDouble(mTempResult));
            try {
                String Result22222 = this.CLASS_NAME;
                efsTemp = null;
                StringBuilder sb2222 = new StringBuilder();
            } catch (NumberFormatException e6) {
                efsTemp = null;
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "NG, rdc Error");
                if (dResult[0] == 1) {
                }
                this.mAudioManager.setParameters("rcv_calibration=fail_" + Path.replaceAll("=", ""));
                return dResult;
            }
            try {
                sb2222.append("rdc : ");
                sb2222.append(rdc);
                sb2222.append("temp : ");
                sb2222.append(temp);
                FtUtil.log_d(Result22222, "RcvCalNxp", sb2222.toString());
                if (rdc.doubleValue() >= mImpSpecMIN.doubleValue() || rdc.doubleValue() > mImpSpecMAX.doubleValue()) {
                    dResult[0] = 0;
                } else {
                    dResult[0] = 1;
                }
                if (temp.doubleValue() >= mTempSpecMIN.doubleValue() || temp.doubleValue() > mTempSpecMAX.doubleValue()) {
                    dResult[1] = 0;
                } else {
                    dResult[1] = 1;
                }
            } catch (NumberFormatException e7) {
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "NG, rdc Error");
                if (dResult[0] == 1) {
                }
                this.mAudioManager.setParameters("rcv_calibration=fail_" + Path.replaceAll("=", ""));
                return dResult;
            }
        } catch (NumberFormatException e8) {
            efsTemp = null;
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "NG, rdc Error");
            if (dResult[0] == 1) {
            }
            this.mAudioManager.setParameters("rcv_calibration=fail_" + Path.replaceAll("=", ""));
            return dResult;
        }
        if (dResult[0] == 1 || dResult[1] != 1) {
            this.mAudioManager.setParameters("rcv_calibration=fail_" + Path.replaceAll("=", ""));
        } else {
            this.mAudioManager.setParameters("rcv_calibration=pass_" + Path.replaceAll("=", ""));
            String efsValue2 = this.mAudioManager.getParameters("rcv_calibration=read").trim();
            FtUtil.log_d(this.CLASS_NAME, "RcvCalNxp", "efsValue: " + efsValue2);
            String efsImp = getParameter(efsValue2, Path);
            String efsTemp2 = getParameter(efsValue2, "temp=");
            if (!efsImp.equalsIgnoreCase(mImpResult) || !efsTemp2.equalsIgnoreCase(mTempResult)) {
                dResult[0] = 0;
                dResult[1] = 0;
            }
        }
        return dResult;
    }

    /* JADX INFO: Multiple debug info for r11v19 'mImpSpecMIN'  java.lang.Double: [D('rdc' java.lang.Double), D('mImpSpecMIN' java.lang.Double)] */
    /* JADX INFO: Multiple debug info for r5v24 java.lang.String[]: [D('minMaTempSpec' java.lang.String[]), D('minMaxImpSpec' java.lang.String[])] */
    /* JADX WARNING: Removed duplicated region for block: B:120:0x0337  */
    /* JADX WARNING: Removed duplicated region for block: B:127:0x03a2  */
    /* JADX WARNING: Removed duplicated region for block: B:167:0x04e7  */
    /* JADX WARNING: Removed duplicated region for block: B:52:0x0171  */
    /* JADX WARNING: Removed duplicated region for block: B:89:0x0261  */
    /* JADX WARNING: Removed duplicated region for block: B:93:0x0299  */
    public int[] SpkCalGoodix(int SpkType) {
        Double mTempSpecMAX;
        Double mTempSpecMIN;
        Double temp;
        Double rdc;
        Double mImpSpecMIN;
        Double mImpSpecMAX;
        Boolean timeOver;
        Double mImpSpecMIN2;
        Double mImpSpecMAX2;
        Double rdc2;
        Boolean exist;
        Double rdc_r;
        Double temp2;
        Double temp_r;
        Double rdc_r2;
        String data;
        Double mImpSpecMIN3;
        String data2;
        String str;
        String[] minMaxImpSpec;
        NumberFormatException ne;
        Double mImpSpecMIN4;
        int[] dResult = {-1, -1};
        Double rdc3 = Double.valueOf(0.0d);
        Double temp3 = Double.valueOf(0.0d);
        Double rdc_r3 = Double.valueOf(0.0d);
        Double temp_r2 = Double.valueOf(0.0d);
        Double mImpSpecMIN5 = Double.valueOf(-1.0d);
        Double mImpSpecMAX3 = Double.valueOf(-1.0d);
        Double mTempSpecMIN2 = Double.valueOf(-1.0d);
        Double mTempSpecMAX2 = Double.valueOf(-1.0d);
        String specImp = Support.Spec.getString(Support.Spec.SPK_CAL_GOODIX_IMPEDANCE_SPEC);
        String specTemp = Support.Spec.getString(Support.Spec.SPK_CAL_GOODIX_TEMPERATURE_SPEC);
        String fileStatus = Support.Kernel.SPK_CAL_GOODIX_CAL;
        Boolean exist2 = true;
        int pollingCnt = 0;
        String[] minMaTempSpec = null;
        String[] minMaxImpSpec2 = specImp != null ? specImp.split(",") : null;
        if (specTemp != null) {
            minMaTempSpec = specTemp.split(",");
        }
        if (minMaxImpSpec2 != null) {
            try {
                if (minMaxImpSpec2.length > 0) {
                    mImpSpecMIN5 = Double.valueOf(Double.parseDouble(minMaxImpSpec2[0]));
                }
            } catch (NumberFormatException e) {
                ne = e;
                minMaxImpSpec = minMaTempSpec;
                mImpSpecMIN = Double.valueOf(-1.0d);
                Double mImpSpecMAX4 = Double.valueOf(-1.0d);
                Double mTempSpecMIN3 = Double.valueOf(-1.0d);
                Double mTempSpecMAX3 = Double.valueOf(-1.0d);
                FtUtil.log_e(ne);
                mImpSpecMAX = mImpSpecMAX4;
                mTempSpecMIN = rdc3;
                rdc = mTempSpecMIN3;
                mTempSpecMAX = temp3;
                temp = mTempSpecMAX3;
                FtUtil.log_d(this.CLASS_NAME, "SpkCalGoodix", "mImpSpecMIN : " + mImpSpecMIN + ", mImpSpecMAX : " + mImpSpecMAX);
                FtUtil.log_d(this.CLASS_NAME, "SpkCalGoodix", "GOODIX, mTempSpecMIN : " + rdc + ", mTempSpecMAX : " + temp);
                if (Support.Kernel.isExistFile(fileStatus)) {
                }
                return dResult;
            }
            try {
                if (minMaxImpSpec2.length > 1) {
                    try {
                        mImpSpecMAX3 = Double.valueOf(Double.parseDouble(minMaxImpSpec2[1]));
                        mImpSpecMIN5 = mImpSpecMIN5;
                    } catch (NumberFormatException e2) {
                        ne = e2;
                        minMaxImpSpec = minMaTempSpec;
                        mImpSpecMIN = Double.valueOf(-1.0d);
                        Double mImpSpecMAX42 = Double.valueOf(-1.0d);
                        Double mTempSpecMIN32 = Double.valueOf(-1.0d);
                        Double mTempSpecMAX32 = Double.valueOf(-1.0d);
                        FtUtil.log_e(ne);
                        mImpSpecMAX = mImpSpecMAX42;
                        mTempSpecMIN = rdc3;
                        rdc = mTempSpecMIN32;
                        mTempSpecMAX = temp3;
                        temp = mTempSpecMAX32;
                        FtUtil.log_d(this.CLASS_NAME, "SpkCalGoodix", "mImpSpecMIN : " + mImpSpecMIN + ", mImpSpecMAX : " + mImpSpecMAX);
                        FtUtil.log_d(this.CLASS_NAME, "SpkCalGoodix", "GOODIX, mTempSpecMIN : " + rdc + ", mTempSpecMAX : " + temp);
                        if (Support.Kernel.isExistFile(fileStatus)) {
                        }
                        return dResult;
                    }
                } else {
                    mImpSpecMIN5 = mImpSpecMIN5;
                }
            } catch (NumberFormatException e3) {
                ne = e3;
                minMaxImpSpec = minMaTempSpec;
                mImpSpecMIN = Double.valueOf(-1.0d);
                Double mImpSpecMAX422 = Double.valueOf(-1.0d);
                Double mTempSpecMIN322 = Double.valueOf(-1.0d);
                Double mTempSpecMAX322 = Double.valueOf(-1.0d);
                FtUtil.log_e(ne);
                mImpSpecMAX = mImpSpecMAX422;
                mTempSpecMIN = rdc3;
                rdc = mTempSpecMIN322;
                mTempSpecMAX = temp3;
                temp = mTempSpecMAX322;
                FtUtil.log_d(this.CLASS_NAME, "SpkCalGoodix", "mImpSpecMIN : " + mImpSpecMIN + ", mImpSpecMAX : " + mImpSpecMAX);
                FtUtil.log_d(this.CLASS_NAME, "SpkCalGoodix", "GOODIX, mTempSpecMIN : " + rdc + ", mTempSpecMAX : " + temp);
                if (Support.Kernel.isExistFile(fileStatus)) {
                }
                return dResult;
            }
        }
        minMaxImpSpec = minMaTempSpec;
        if (minMaxImpSpec != null) {
            try {
                if (minMaxImpSpec.length > 0) {
                    try {
                        mTempSpecMIN2 = Double.valueOf(Double.parseDouble(minMaxImpSpec[0]));
                    } catch (NumberFormatException e4) {
                        ne = e4;
                        mImpSpecMIN = Double.valueOf(-1.0d);
                        Double mImpSpecMAX4222 = Double.valueOf(-1.0d);
                        Double mTempSpecMIN3222 = Double.valueOf(-1.0d);
                        Double mTempSpecMAX3222 = Double.valueOf(-1.0d);
                        FtUtil.log_e(ne);
                        mImpSpecMAX = mImpSpecMAX4222;
                        mTempSpecMIN = rdc3;
                        rdc = mTempSpecMIN3222;
                        mTempSpecMAX = temp3;
                        temp = mTempSpecMAX3222;
                        FtUtil.log_d(this.CLASS_NAME, "SpkCalGoodix", "mImpSpecMIN : " + mImpSpecMIN + ", mImpSpecMAX : " + mImpSpecMAX);
                        FtUtil.log_d(this.CLASS_NAME, "SpkCalGoodix", "GOODIX, mTempSpecMIN : " + rdc + ", mTempSpecMAX : " + temp);
                        if (Support.Kernel.isExistFile(fileStatus)) {
                        }
                        return dResult;
                    }
                }
                mImpSpecMIN4 = mImpSpecMIN5;
                if (minMaxImpSpec.length > 1) {
                    try {
                        mTempSpecMAX2 = Double.valueOf(Double.parseDouble(minMaxImpSpec[1]));
                    } catch (NumberFormatException e5) {
                        ne = e5;
                        mImpSpecMIN = Double.valueOf(-1.0d);
                        Double mImpSpecMAX42222 = Double.valueOf(-1.0d);
                        Double mTempSpecMIN32222 = Double.valueOf(-1.0d);
                        Double mTempSpecMAX32222 = Double.valueOf(-1.0d);
                        FtUtil.log_e(ne);
                        mImpSpecMAX = mImpSpecMAX42222;
                        mTempSpecMIN = rdc3;
                        rdc = mTempSpecMIN32222;
                        mTempSpecMAX = temp3;
                        temp = mTempSpecMAX32222;
                        FtUtil.log_d(this.CLASS_NAME, "SpkCalGoodix", "mImpSpecMIN : " + mImpSpecMIN + ", mImpSpecMAX : " + mImpSpecMAX);
                        FtUtil.log_d(this.CLASS_NAME, "SpkCalGoodix", "GOODIX, mTempSpecMIN : " + rdc + ", mTempSpecMAX : " + temp);
                        if (Support.Kernel.isExistFile(fileStatus)) {
                        }
                        return dResult;
                    }
                }
            } catch (NumberFormatException e6) {
                ne = e6;
                mImpSpecMIN = Double.valueOf(-1.0d);
                Double mImpSpecMAX422222 = Double.valueOf(-1.0d);
                Double mTempSpecMIN322222 = Double.valueOf(-1.0d);
                Double mTempSpecMAX322222 = Double.valueOf(-1.0d);
                FtUtil.log_e(ne);
                mImpSpecMAX = mImpSpecMAX422222;
                mTempSpecMIN = rdc3;
                rdc = mTempSpecMIN322222;
                mTempSpecMAX = temp3;
                temp = mTempSpecMAX322222;
                FtUtil.log_d(this.CLASS_NAME, "SpkCalGoodix", "mImpSpecMIN : " + mImpSpecMIN + ", mImpSpecMAX : " + mImpSpecMAX);
                FtUtil.log_d(this.CLASS_NAME, "SpkCalGoodix", "GOODIX, mTempSpecMIN : " + rdc + ", mTempSpecMAX : " + temp);
                if (Support.Kernel.isExistFile(fileStatus)) {
                }
                return dResult;
            }
        } else {
            mImpSpecMIN4 = mImpSpecMIN5;
        }
        mImpSpecMIN = mImpSpecMIN4;
        mImpSpecMAX = mImpSpecMAX3;
        mTempSpecMIN = rdc3;
        rdc = mTempSpecMIN2;
        mTempSpecMAX = temp3;
        temp = mTempSpecMAX2;
        FtUtil.log_d(this.CLASS_NAME, "SpkCalGoodix", "mImpSpecMIN : " + mImpSpecMIN + ", mImpSpecMAX : " + mImpSpecMAX);
        FtUtil.log_d(this.CLASS_NAME, "SpkCalGoodix", "GOODIX, mTempSpecMIN : " + rdc + ", mTempSpecMAX : " + temp);
        if (Support.Kernel.isExistFile(fileStatus)) {
            FtUtil.log_d(this.CLASS_NAME, "SpkCalGoodix", "start calibration, SpkType :" + SpkType);
            FtUtil.Sleep.sleep(100);
            Support.Kernel.write(fileStatus, EgisFingerprint.MAJOR_VERSION);
            while (true) {
                FtUtil.Sleep.sleep(500);
                int pollingCnt2 = pollingCnt + 1;
                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "pollingCnt : " + pollingCnt2);
                if (pollingCnt2 == 20) {
                    timeOver = true;
                    break;
                } else if ("Disabled".equalsIgnoreCase(Support.Kernel.read(fileStatus))) {
                    timeOver = false;
                    break;
                } else {
                    pollingCnt = pollingCnt2;
                    temp = temp;
                    fileStatus = fileStatus;
                }
            }
            if (SpkType == 0) {
                String data3 = Support.Kernel.read(Support.Kernel.SPK_CAL_GOODIX_IMPEDANCE);
                if (data3 == null) {
                    mImpSpecMAX2 = mImpSpecMAX;
                    mImpSpecMIN2 = mImpSpecMIN;
                } else if (data3.isEmpty()) {
                    mImpSpecMAX2 = mImpSpecMAX;
                    mImpSpecMIN2 = mImpSpecMIN;
                } else {
                    try {
                        Double rdc4 = Double.valueOf(Double.parseDouble(data3) / 1000.0d);
                        try {
                            str = this.CLASS_NAME;
                            mImpSpecMAX2 = mImpSpecMAX;
                        } catch (NumberFormatException e7) {
                            mImpSpecMAX2 = mImpSpecMAX;
                            mImpSpecMIN2 = mImpSpecMIN;
                            mImpSpecMIN3 = rdc4;
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "NG, rdc Error");
                            FtUtil.Sleep.sleep(100);
                            data2 = Support.Kernel.read(Support.Kernel.SPK_CAL_GOODIX_TEMP);
                            if (data2 != null) {
                            }
                            FtUtil.log_d(this.CLASS_NAME, "SpkCalGoodix", "data empty : " + Support.Kernel.SPK_CAL_GOODIX_TEMP);
                            rdc2 = mImpSpecMIN3;
                            temp2 = mTempSpecMAX;
                            rdc_r = rdc_r3;
                            temp_r = temp_r2;
                            exist = false;
                            if (exist.booleanValue()) {
                            }
                            FtUtil.log_d(this.CLASS_NAME, "SpkCalGoodix", " data read fail exist :" + exist + "timeOver :" + timeOver);
                            dResult[0] = 0;
                            dResult[1] = 0;
                            return dResult;
                        }
                        try {
                            StringBuilder sb = new StringBuilder();
                            sb.append(" rdc : ");
                            mImpSpecMIN2 = mImpSpecMIN;
                            mImpSpecMIN3 = rdc4;
                            try {
                                sb.append(mImpSpecMIN3);
                                FtUtil.log_d(str, "SpkCalGoodix", sb.toString());
                            } catch (NumberFormatException e8) {
                            }
                        } catch (NumberFormatException e9) {
                            mImpSpecMIN2 = mImpSpecMIN;
                            mImpSpecMIN3 = rdc4;
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "NG, rdc Error");
                            FtUtil.Sleep.sleep(100);
                            data2 = Support.Kernel.read(Support.Kernel.SPK_CAL_GOODIX_TEMP);
                            if (data2 != null) {
                            }
                            FtUtil.log_d(this.CLASS_NAME, "SpkCalGoodix", "data empty : " + Support.Kernel.SPK_CAL_GOODIX_TEMP);
                            rdc2 = mImpSpecMIN3;
                            temp2 = mTempSpecMAX;
                            rdc_r = rdc_r3;
                            temp_r = temp_r2;
                            exist = false;
                            if (exist.booleanValue()) {
                            }
                            FtUtil.log_d(this.CLASS_NAME, "SpkCalGoodix", " data read fail exist :" + exist + "timeOver :" + timeOver);
                            dResult[0] = 0;
                            dResult[1] = 0;
                            return dResult;
                        }
                    } catch (NumberFormatException e10) {
                        mImpSpecMAX2 = mImpSpecMAX;
                        mImpSpecMIN2 = mImpSpecMIN;
                        mImpSpecMIN3 = mTempSpecMIN;
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", "NG, rdc Error");
                        FtUtil.Sleep.sleep(100);
                        data2 = Support.Kernel.read(Support.Kernel.SPK_CAL_GOODIX_TEMP);
                        if (data2 != null) {
                        }
                        FtUtil.log_d(this.CLASS_NAME, "SpkCalGoodix", "data empty : " + Support.Kernel.SPK_CAL_GOODIX_TEMP);
                        rdc2 = mImpSpecMIN3;
                        temp2 = mTempSpecMAX;
                        rdc_r = rdc_r3;
                        temp_r = temp_r2;
                        exist = false;
                        if (exist.booleanValue()) {
                        }
                        FtUtil.log_d(this.CLASS_NAME, "SpkCalGoodix", " data read fail exist :" + exist + "timeOver :" + timeOver);
                        dResult[0] = 0;
                        dResult[1] = 0;
                        return dResult;
                    }
                    FtUtil.Sleep.sleep(100);
                    data2 = Support.Kernel.read(Support.Kernel.SPK_CAL_GOODIX_TEMP);
                    if (data2 != null) {
                        if (!data2.isEmpty()) {
                            temp2 = Double.valueOf(Double.parseDouble(data2));
                            FtUtil.log_d(this.CLASS_NAME, "SpkCalGoodix", " temp : " + temp2);
                            rdc2 = mImpSpecMIN3;
                            rdc_r = rdc_r3;
                            exist = exist2;
                            temp_r = temp_r2;
                        }
                    }
                    FtUtil.log_d(this.CLASS_NAME, "SpkCalGoodix", "data empty : " + Support.Kernel.SPK_CAL_GOODIX_TEMP);
                    rdc2 = mImpSpecMIN3;
                    temp2 = mTempSpecMAX;
                    rdc_r = rdc_r3;
                    temp_r = temp_r2;
                    exist = false;
                }
                FtUtil.log_d(this.CLASS_NAME, "SpkCalGoodix", "data empty : " + Support.Kernel.SPK_CAL_GOODIX_IMPEDANCE);
                exist2 = false;
                mImpSpecMIN3 = mTempSpecMIN;
                FtUtil.Sleep.sleep(100);
                data2 = Support.Kernel.read(Support.Kernel.SPK_CAL_GOODIX_TEMP);
                if (data2 != null) {
                }
                FtUtil.log_d(this.CLASS_NAME, "SpkCalGoodix", "data empty : " + Support.Kernel.SPK_CAL_GOODIX_TEMP);
                rdc2 = mImpSpecMIN3;
                temp2 = mTempSpecMAX;
                rdc_r = rdc_r3;
                temp_r = temp_r2;
                exist = false;
            } else {
                mImpSpecMAX2 = mImpSpecMAX;
                mImpSpecMIN2 = mImpSpecMIN;
                if (SpkType == 1) {
                    String data4 = Support.Kernel.read(Support.Kernel.SPK_CAL_GOODIX_IMPEDANCE_2);
                    if (data4 != null) {
                        if (!data4.isEmpty()) {
                            try {
                                rdc_r2 = Double.valueOf(Double.parseDouble(data4) / 1000.0d);
                                try {
                                    String str2 = this.CLASS_NAME;
                                    StringBuilder sb2 = new StringBuilder();
                                    try {
                                        sb2.append(" rdc_r: ");
                                        sb2.append(rdc_r2);
                                        FtUtil.log_d(str2, "SpkCalGoodix", sb2.toString());
                                    } catch (NumberFormatException e11) {
                                    }
                                } catch (NumberFormatException e12) {
                                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "NG, rdc Error");
                                    FtUtil.Sleep.sleep(100);
                                    data = Support.Kernel.read(Support.Kernel.SPK_CAL_GOODIX_TEMP_2);
                                    if (data != null) {
                                    }
                                    FtUtil.log_d(this.CLASS_NAME, "SpkCalGoodix", "data empty : " + Support.Kernel.SPK_CAL_GOODIX_TEMP_2);
                                    exist = false;
                                    rdc2 = mTempSpecMIN;
                                    temp_r = temp_r2;
                                    rdc_r = rdc_r2;
                                    temp2 = mTempSpecMAX;
                                    if (exist.booleanValue()) {
                                    }
                                    FtUtil.log_d(this.CLASS_NAME, "SpkCalGoodix", " data read fail exist :" + exist + "timeOver :" + timeOver);
                                    dResult[0] = 0;
                                    dResult[1] = 0;
                                    return dResult;
                                }
                            } catch (NumberFormatException e13) {
                                rdc_r2 = rdc_r3;
                                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "NG, rdc Error");
                                FtUtil.Sleep.sleep(100);
                                data = Support.Kernel.read(Support.Kernel.SPK_CAL_GOODIX_TEMP_2);
                                if (data != null) {
                                }
                                FtUtil.log_d(this.CLASS_NAME, "SpkCalGoodix", "data empty : " + Support.Kernel.SPK_CAL_GOODIX_TEMP_2);
                                exist = false;
                                rdc2 = mTempSpecMIN;
                                temp_r = temp_r2;
                                rdc_r = rdc_r2;
                                temp2 = mTempSpecMAX;
                                if (exist.booleanValue()) {
                                }
                                FtUtil.log_d(this.CLASS_NAME, "SpkCalGoodix", " data read fail exist :" + exist + "timeOver :" + timeOver);
                                dResult[0] = 0;
                                dResult[1] = 0;
                                return dResult;
                            }
                            FtUtil.Sleep.sleep(100);
                            data = Support.Kernel.read(Support.Kernel.SPK_CAL_GOODIX_TEMP_2);
                            if (data != null || data.isEmpty()) {
                                FtUtil.log_d(this.CLASS_NAME, "SpkCalGoodix", "data empty : " + Support.Kernel.SPK_CAL_GOODIX_TEMP_2);
                                exist = false;
                                rdc2 = mTempSpecMIN;
                                temp_r = temp_r2;
                                rdc_r = rdc_r2;
                                temp2 = mTempSpecMAX;
                            } else {
                                temp_r = Double.valueOf(Double.parseDouble(data));
                                FtUtil.log_d(this.CLASS_NAME, "SpkCalGoodix", " temp_r : " + temp_r);
                                rdc2 = mTempSpecMIN;
                                exist = exist2;
                                rdc_r = rdc_r2;
                                temp2 = mTempSpecMAX;
                            }
                        }
                    }
                    FtUtil.log_d(this.CLASS_NAME, "SpkCalGoodix", "data empty : " + Support.Kernel.SPK_CAL_GOODIX_IMPEDANCE_2);
                    exist2 = false;
                    rdc_r2 = rdc_r3;
                    FtUtil.Sleep.sleep(100);
                    data = Support.Kernel.read(Support.Kernel.SPK_CAL_GOODIX_TEMP_2);
                    if (data != null) {
                    }
                    FtUtil.log_d(this.CLASS_NAME, "SpkCalGoodix", "data empty : " + Support.Kernel.SPK_CAL_GOODIX_TEMP_2);
                    exist = false;
                    rdc2 = mTempSpecMIN;
                    temp_r = temp_r2;
                    rdc_r = rdc_r2;
                    temp2 = mTempSpecMAX;
                } else {
                    rdc2 = mTempSpecMIN;
                    temp2 = mTempSpecMAX;
                    rdc_r = rdc_r3;
                    exist = 1;
                    temp_r = temp_r2;
                }
            }
            if (exist.booleanValue() || timeOver.booleanValue()) {
                FtUtil.log_d(this.CLASS_NAME, "SpkCalGoodix", " data read fail exist :" + exist + "timeOver :" + timeOver);
                dResult[0] = 0;
                dResult[1] = 0;
            } else if (SpkType == 0) {
                try {
                    FtUtil.log_d(this.CLASS_NAME, "SpkCalGoodix", "SpkType: " + SpkType + " rdc : " + rdc2 + "temp : " + temp2);
                    if (rdc2.doubleValue() < mImpSpecMIN2.doubleValue() || rdc2.doubleValue() > mImpSpecMAX2.doubleValue()) {
                        dResult[0] = 0;
                    } else {
                        dResult[0] = 1;
                    }
                    if (temp2.doubleValue() < rdc.doubleValue() || temp2.doubleValue() > temp.doubleValue()) {
                        dResult[1] = 0;
                    } else {
                        dResult[1] = 1;
                    }
                } catch (NumberFormatException e14) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "NG, rdc Error");
                }
            } else if (SpkType == 1) {
                try {
                    FtUtil.log_d(this.CLASS_NAME, "SpkCalGoodix", "SpkType: " + SpkType + " rdc_r : " + rdc_r + " temp_r : " + temp_r);
                    if (rdc_r.doubleValue() < mImpSpecMIN2.doubleValue() || rdc_r.doubleValue() > mImpSpecMAX2.doubleValue()) {
                        dResult[0] = 0;
                    } else {
                        dResult[0] = 1;
                    }
                    if (temp_r.doubleValue() < rdc.doubleValue() || temp_r.doubleValue() > temp.doubleValue()) {
                        dResult[1] = 0;
                    } else {
                        dResult[1] = 1;
                    }
                } catch (NumberFormatException e15) {
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "NG, rdc Error");
                }
            } else {
                FtUtil.log_d(this.CLASS_NAME, "SpkCalGoodix", " wrong SpkType :" + SpkType);
                dResult[0] = 0;
                dResult[1] = 0;
            }
        } else {
            FtUtil.log_d(this.CLASS_NAME, "SpkCalGoodix", "file does not exist");
            dResult[0] = 0;
            dResult[1] = 0;
        }
        return dResult;
    }

    /* JADX WARNING: Removed duplicated region for block: B:299:0x1017  */
    /* JADX WARNING: Removed duplicated region for block: B:300:0x102a  */
    /* JADX WARNING: Removed duplicated region for block: B:331:0x1116  */
    @Override // com.sec.factory.aporiented.athandler.AtCommandHandler
    public synchronized String handleCommand(String[] argu) {
        String resData;
        String resData2;
        String ampReinit;
        String optinoStr;
        String fileStatus;
        String fileValidation;
        Boolean timeOver;
        String resData3;
        this.mAudioManager = (AudioManager) this.context.getSystemService("audio");
        if (argu.length != (STAGE_PARALLEL ? this.NUM_ARGS + 1 : this.NUM_ARGS)) {
            return responseNA();
        }
        if (mModuleAudio.isPlayingSound()) {
            mModuleAudio.stopMedia();
            mModuleCommon.sleepThread(200);
        }
        if ("factory".equalsIgnoreCase(Support.Properties.get(Support.Properties.BINARY_TYPE))) {
            if (checkArgu(argu, new String[]{"0", "0", "0"})) {
                mModuleAudio.setAudioPath(0);
                mModuleAudio.setStreamMusicVolume(volume_index);
                mModuleAudio.playMedia(this.mContext.getResources().getIdentifier("mp3_1khz", "raw", this.mContext.getPackageName()), true);
                FtUtil.log_d(this.CLASS_NAME, "playSound", "volume: " + volume_index);
                resData = responseOK(argu[0]);
            } else if (checkArgu(argu, new String[]{"0", "0", "2"})) {
                mModuleAudio.setAudioPath(0);
                mModuleAudio.setStreamMusicVolume(volume_index);
                mModuleAudio.playMedia(this.mContext.getResources().getIdentifier("mp3_500hz", "raw", this.mContext.getPackageName()), true);
                FtUtil.log_d(this.CLASS_NAME, "playSound", "volume: " + volume_index);
                resData = responseOK(argu[0]);
            } else if (checkArgu(argu, new String[]{"0", "0", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
                mModuleAudio.setAudioPath(0);
                mModuleAudio.setStreamMusicVolume(volume_index);
                mModuleAudio.playMedia(this.mContext.getResources().getIdentifier("ver1_rcv_200hz_48000", "raw", this.mContext.getPackageName()), true);
                FtUtil.log_d(this.CLASS_NAME, "playSound", "volume: " + volume_index);
                resData = responseOK(argu[0]);
            } else if (checkArgu(argu, new String[]{"0", "0", "4"})) {
                mModuleAudio.setAudioPath(0);
                mModuleAudio.setStreamMusicVolume(volume_index);
                mModuleAudio.playMedia(this.mContext.getResources().getIdentifier("spk_rcv_auto_test", "raw", this.mContext.getPackageName()), true);
                FtUtil.log_d(this.CLASS_NAME, "playSound", "volume: " + volume_index);
                resData = responseOK(argu[0]);
            } else if (checkArgu(argu, new String[]{"0", "0", "5"})) {
                mModuleAudio.setAudioPath(0);
                mModuleAudio.setStreamMusicVolume(volume_index);
                mModuleAudio.playMedia(this.mContext.getResources().getIdentifier("ver1_spk_100_10khz_sweep_44100", "raw", this.mContext.getPackageName()), true);
                FtUtil.log_d(this.CLASS_NAME, "playSound", "volume: " + volume_index);
                resData = responseOK(argu[0]);
            } else {
                int audiopath = 8;
                int audiopath2 = 9;
                if (checkArgu(argu, new String[]{"0", "0", "6"})) {
                    if (Support.Feature.getBoolean(Support.Feature.SUPPORT_RCV_SPK_COMBINANTION)) {
                        mModuleAudio.setAudioPath(8);
                    } else if (this.mSpkCount == 4) {
                        mModuleAudio.setAudioPath(9);
                    } else {
                        mModuleAudio.setAudioPath(0);
                    }
                    mModuleAudio.setStreamMusicVolume(volume_index);
                    mModuleAudio.playMedia(this.mContext.getResources().getIdentifier("ver1_spk_150_1500hz_multitone_44100", "raw", this.mContext.getPackageName()), true);
                    FtUtil.log_d(this.CLASS_NAME, "playSound", "volume: " + volume_index);
                    resData = responseOK(argu[0]);
                } else if (checkArgu(argu, new String[]{"0", "0", "7"})) {
                    if (Support.Feature.getBoolean(Support.Feature.SUPPORT_RCV_SPK_COMBINANTION)) {
                        mModuleAudio.setAudioPath(8);
                    } else if (this.mSpkCount == 4) {
                        mModuleAudio.setAudioPath(9);
                    } else {
                        mModuleAudio.setAudioPath(0);
                    }
                    mModuleAudio.setStreamMusicVolume(volume_index);
                    mModuleAudio.playMedia(this.mContext.getResources().getIdentifier("ver2_spk_150_1500hz_multi_100_10000hz_sweep_44100", "raw", this.mContext.getPackageName()), true);
                    FtUtil.log_d(this.CLASS_NAME, "playSound", "volume: " + volume_index);
                    resData = responseOK(argu[0]);
                } else if (checkArgu(argu, new String[]{"0", "4", "0"})) {
                    mModuleAudio.setAudioPath(4);
                    resData = responseOK(argu[0]);
                } else if (checkArgu(argu, new String[]{"0", "5", "0"})) {
                    mModuleAudio.setAudioPath(1);
                    mModuleAudio.setStreamMusicVolume(volume_index);
                    mModuleAudio.playMedia(this.mContext.getResources().getIdentifier("ver1_rcv_200hz_48000", "raw", this.mContext.getPackageName()), true);
                    FtUtil.log_d(this.CLASS_NAME, "playSound", "volume: " + volume_index);
                    resData = responseOK(argu[0]);
                } else if (checkArgu(argu, new String[]{"0", "5", EgisFingerprint.MAJOR_VERSION})) {
                    mModuleAudio.setAudioPath(1);
                    mModuleAudio.setStreamMusicVolume(volume_index);
                    if (Support.Feature.getBoolean(Support.Feature.IS_DUAL_CLOCK_AUDIO)) {
                        mModuleAudio.playMedia(this.mContext.getResources().getIdentifier("mp3_500hz_48", "raw", this.mContext.getPackageName()), true);
                    } else {
                        mModuleAudio.playMedia(this.mContext.getResources().getIdentifier("mp3_500hz", "raw", this.mContext.getPackageName()), true);
                    }
                    FtUtil.log_d(this.CLASS_NAME, "playSound", "volume: " + volume_index);
                    resData = responseOK(argu[0]);
                } else if (checkArgu(argu, new String[]{"0", "5", "2"})) {
                    mModuleAudio.setAudioPath(1);
                    mModuleAudio.setStreamMusicVolume(volume_index);
                    if (Support.Feature.getBoolean(Support.Feature.IS_DUAL_CLOCK_AUDIO)) {
                        mModuleAudio.playMedia(this.mContext.getResources().getIdentifier("mp3_1khz_48", "raw", this.mContext.getPackageName()), true);
                    } else {
                        mModuleAudio.playMedia(this.mContext.getResources().getIdentifier("mp3_1khz", "raw", this.mContext.getPackageName()), true);
                    }
                    FtUtil.log_d(this.CLASS_NAME, "playSound", "volume: " + volume_index);
                    resData = responseOK(argu[0]);
                } else if (checkArgu(argu, new String[]{"0", "5", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
                    mModuleAudio.setAudioPath(1);
                    mModuleAudio.setStreamMusicVolume(volume_index);
                    if (Support.Feature.getBoolean(Support.Feature.IS_DUAL_CLOCK_AUDIO)) {
                        mModuleAudio.playMedia(this.mContext.getResources().getIdentifier("spk_rcv_auto_test_48", "raw", this.mContext.getPackageName()), true);
                    } else {
                        mModuleAudio.playMedia(this.mContext.getResources().getIdentifier("spk_rcv_auto_test", "raw", this.mContext.getPackageName()), true);
                    }
                    FtUtil.log_d(this.CLASS_NAME, "playSound", "volume: " + volume_index);
                    resData = responseOK(argu[0]);
                } else if (checkArgu(argu, new String[]{"0", "5", "4"})) {
                    mModuleAudio.setAudioPath(1);
                    mModuleAudio.setStreamMusicVolume(volume_index);
                    mModuleAudio.playMedia(this.mContext.getResources().getIdentifier("ver1_rcv_100_10khz_sweep_48000", "raw", this.mContext.getPackageName()), true);
                    FtUtil.log_d(this.CLASS_NAME, "playSound", "volume: " + volume_index);
                    resData = responseOK(argu[0]);
                } else if (checkArgu(argu, new String[]{"0", "5", "5"})) {
                    mModuleAudio.setAudioPath(1);
                    mModuleAudio.setStreamMusicVolume(volume_index);
                    mModuleAudio.playMedia(this.mContext.getResources().getIdentifier("ver2_rcv_100_10khz_sweep_48000", "raw", this.mContext.getPackageName()), true);
                    FtUtil.log_d(this.CLASS_NAME, "playSound", "volume: " + volume_index);
                    resData = responseOK(argu[0]);
                } else if (checkArgu(argu, new String[]{"0", "5", "6"})) {
                    mModuleAudio.setAudioPath(1);
                    mModuleAudio.setStreamMusicVolume(volume_index);
                    mModuleAudio.playMedia(this.mContext.getResources().getIdentifier("ver1_rcv_1hz_48000", "raw", this.mContext.getPackageName()), true);
                    FtUtil.log_d(this.CLASS_NAME, "playSound", "volume: " + volume_index);
                    resData = responseOK(argu[0]);
                } else if (checkArgu(argu, new String[]{"0", "8"})) {
                    boolean support_rcv_path = false;
                    switch (Integer.parseInt(argu[2])) {
                        case 0:
                            fileValidation = Support.Kernel.DSM_AMP_VALIDATION;
                            fileStatus = Support.Kernel.DSM_AMP_STATUS;
                            optinoStr = Support.TestCase.AUDIO_AMP_VALIDATION_OPTION;
                            break;
                        case 1:
                            fileValidation = Support.Kernel.DSM_AMP_VALIDATION_2;
                            fileStatus = Support.Kernel.DSM_AMP_STATUS;
                            optinoStr = Support.TestCase.AUDIO_AMP_VALIDATION_OPTION;
                            break;
                        case 2:
                            fileValidation = Support.Kernel.DSM_AMP_VALIDATION_3;
                            fileStatus = Support.Kernel.DSM_AMP_STATUS;
                            optinoStr = Support.TestCase.AUDIO_AMP_VALIDATION_OPTION;
                            break;
                        case 3:
                            fileValidation = Support.Kernel.DSM_AMP_VALIDATION_4;
                            fileStatus = Support.Kernel.DSM_AMP_STATUS;
                            optinoStr = Support.TestCase.AUDIO_AMP_VALIDATION_OPTION;
                            break;
                        case 9:
                            fileValidation = Support.Kernel.RCV_AMP_VALIDATION_CHECK;
                            fileStatus = Support.Kernel.RCV_AMP_VALIDATION_STATUS;
                            optinoStr = Support.TestCase.AUDIO_RCV_AMP_VALIDATION_OPTION;
                            support_rcv_path = true;
                            break;
                        default:
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "param : out of range");
                            return responseNA();
                    }
                    String options = Support.TestCase.getOption(optinoStr);
                    int pollingCnt = 0;
                    Boolean mediaPlayOn = Boolean.valueOf("on".equalsIgnoreCase(getParameter(options, "mediaplay=")));
                    Boolean setParamOn = Boolean.valueOf("on".equalsIgnoreCase(getParameter(options, "setparam=")));
                    FtUtil.log_d(this.CLASS_NAME, "handleCommand", "options= " + options + ", mediaplay=" + mediaPlayOn + ", setparam=" + setParamOn);
                    if (!Support.Kernel.isExistFile(fileStatus) || !Support.Kernel.isExistFile(fileValidation)) {
                        resData = responseNG(argu[0]);
                    } else {
                        if (mediaPlayOn.booleanValue()) {
                            if (support_rcv_path) {
                                mModuleAudio.setAudioPath(14);
                            }
                            mModuleAudio.setStreamMusicVolumeZero();
                            mModuleAudio.playMedia(this.mContext.getResources().getIdentifier("calibrationfile_samsung", "raw", this.mContext.getPackageName()), true);
                            FtUtil.log_d(this.CLASS_NAME, "playMedia", "playMedia");
                            FtUtil.Sleep.sleep(1000);
                        }
                        Support.Kernel.write(fileStatus, EgisFingerprint.MAJOR_VERSION);
                        if (setParamOn.booleanValue()) {
                            this.mAudioManager.setParameters(Support.TestCase.getParam(optinoStr));
                        }
                        while (true) {
                            FtUtil.Sleep.sleep(500);
                            int pollingCnt2 = pollingCnt + 1;
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "pollingCnt : " + pollingCnt2);
                            if (pollingCnt2 == 20) {
                                timeOver = true;
                            } else if ("Disabled".equalsIgnoreCase(Support.Kernel.read(fileStatus))) {
                                timeOver = false;
                            } else {
                                pollingCnt = pollingCnt2;
                            }
                        }
                        String status = Support.Kernel.read(fileValidation);
                        if (mediaPlayOn.booleanValue()) {
                            mModuleAudio.stopMedia();
                            if (support_rcv_path) {
                                mModuleAudio.setAudioPath(4);
                            }
                        }
                        if (timeOver.booleanValue()) {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "TIME OUT timeOver : " + timeOver);
                            resData3 = responseNG(argu[0]);
                        } else if (EgisFingerprint.MAJOR_VERSION.equals(status)) {
                            resData3 = responseOK(argu[0]);
                        } else {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "status : " + status);
                            resData3 = responseNG(argu[0]);
                        }
                        resData = resData3;
                    }
                } else {
                    resData2 = null;
                    if (checkArgu(argu, new String[]{"0", egis.optical.client.api.EgisFingerprint.JAR_VERSION, "0"})) {
                        mModuleAudio.playMedia(this.mContext.getResources().getIdentifier("mp3_500hz_48", "raw", this.mContext.getPackageName()), true);
                        FtUtil.Sleep.sleep(5000);
                        String echoRef = this.mAudioManager.getParameters("g_factory_echoref_status").trim();
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", "echoRef: " + echoRef);
                        String resultEchoRef = getParameter(echoRef, "g_factory_echoref_value=");
                        mModuleAudio.stopMedia();
                        if ("0".equalsIgnoreCase(resultEchoRef)) {
                            resData = responseString(argu[0], "TEST");
                        } else if (EgisFingerprint.MAJOR_VERSION.equalsIgnoreCase(resultEchoRef)) {
                            resData = responseOK(argu[0]);
                        } else if ("2".equalsIgnoreCase(resultEchoRef)) {
                            resData = responseNG(argu[0]);
                        } else {
                            return responseNA();
                        }
                    } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0"})) {
                        int index = -1;
                        try {
                            index = Integer.parseInt(argu[2]);
                        } catch (NumberFormatException e) {
                            FtUtil.log_d(this.CLASS_NAME, "NumberFormatException");
                        }
                        if (index < 0 || index > 9) {
                            resData = responseNG(argu[0]);
                        } else {
                            volume_index = index * 5;
                            mModuleAudio.setStreamMusicVolume(volume_index);
                            resData = responseOK(argu[0]);
                        }
                    } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
                        int index2 = -1;
                        try {
                            index2 = Integer.parseInt(argu[2]);
                        } catch (NumberFormatException e2) {
                            FtUtil.log_d(this.CLASS_NAME, "NumberFormatException");
                        }
                        if (index2 < 0 || index2 > 9) {
                            resData = responseNG(argu[0]);
                        } else {
                            volume_index = (index2 * 5) + 50;
                            mModuleAudio.setStreamMusicVolume(volume_index);
                            resData = responseOK(argu[0]);
                        }
                    } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "4", EgisFingerprint.MAJOR_VERSION})) {
                        if (Support.Feature.getBoolean(Support.Feature.SUPPORT_RCV_SPK_COMBINANTION)) {
                            startAudioForSPKTest(8, "mp3_1khz");
                            resData = responseOK(argu[0]);
                        } else {
                            int i = this.mSpkCount;
                            if (i >= 2) {
                                if (i != 4) {
                                    audiopath = 0;
                                }
                                startAudioForSPKTest(audiopath, "mp3_1khz");
                                resData = responseOK(argu[0]);
                            } else {
                                resData = responseNG(argu[0]);
                            }
                        }
                    } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "4", "2"})) {
                        if (Support.Feature.getBoolean(Support.Feature.SUPPORT_RCV_SPK_COMBINANTION)) {
                            startAudioForSPKTest(9, "mp3_1khz");
                            resData = responseOK(argu[0]);
                        } else {
                            int i2 = this.mSpkCount;
                            if (i2 >= 2) {
                                if (i2 != 4) {
                                    audiopath2 = 0;
                                }
                                startAudioForSPKTest(audiopath2, "mp3_1khz");
                                resData = responseOK(argu[0]);
                            } else {
                                resData = responseNG(argu[0]);
                            }
                        }
                    } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "4", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
                        if (this.mSpkCount > 3) {
                            startAudioForSPKTest(10, "raw.mp3_1khz");
                            resData = responseOK(argu[0]);
                        } else {
                            resData = responseNG(argu[0]);
                        }
                    } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "4", "4"})) {
                        if (this.mSpkCount > 3) {
                            startAudioForSPKTest(11, "mp3_1khz");
                            resData = responseOK(argu[0]);
                        } else {
                            resData = responseNG(argu[0]);
                        }
                    } else if (checkArgu(argu, new String[]{"4", "2", EgisFingerprint.MAJOR_VERSION})) {
                        if (Support.Feature.getBoolean(Support.Feature.SUPPORT_RCV_SPK_COMBINANTION)) {
                            mModuleAudio.setAudioPath(9);
                            mModuleAudio.setStreamMusicVolume(volume_index);
                            mModuleAudio.playMedia(this.mContext.getResources().getIdentifier("ver1_spk_150_1500hz_multitone_44100", "raw", this.mContext.getPackageName()), true);
                            FtUtil.log_d(this.CLASS_NAME, "playSound", "volume: " + volume_index);
                            resData = responseOK(argu[0]);
                        } else if (this.mSpkCount == 4) {
                            mModuleAudio.setAudioPath(10);
                            mModuleAudio.setStreamMusicVolume(volume_index);
                            mModuleAudio.playMedia(this.mContext.getResources().getIdentifier("ver1_spk_150_1500hz_multitone_44100", "raw", this.mContext.getPackageName()), true);
                            FtUtil.log_d(this.CLASS_NAME, "playSound", "volume: " + volume_index);
                            resData = responseOK(argu[0]);
                        } else {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "one Speaker model or Not SUPPORT_RCV_SPK_COMBINANTION Feature");
                            resData = responseNG(argu[0]);
                        }
                    } else if (checkArgu(argu, new String[]{"4", "2", "2"})) {
                        if (Support.Feature.getBoolean(Support.Feature.SUPPORT_RCV_SPK_COMBINANTION)) {
                            mModuleAudio.setAudioPath(9);
                            mModuleAudio.setStreamMusicVolume(volume_index);
                            mModuleAudio.playMedia(this.mContext.getResources().getIdentifier("ver2_spk_150_1500hz_multi_100_10000hz_sweep_44100", "raw", this.mContext.getPackageName()), true);
                            FtUtil.log_d(this.CLASS_NAME, "playSound", "volume: " + volume_index);
                            resData = responseOK(argu[0]);
                        } else if (this.mSpkCount == 4) {
                            mModuleAudio.setAudioPath(10);
                            mModuleAudio.setStreamMusicVolume(volume_index);
                            mModuleAudio.playMedia(this.mContext.getResources().getIdentifier("ver2_spk_150_1500hz_multi_100_10000hz_sweep_44100", "raw", this.mContext.getPackageName()), true);
                            FtUtil.log_d(this.CLASS_NAME, "playSound", "volume: " + volume_index);
                            resData = responseOK(argu[0]);
                        } else {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Not SUPPORT_RCV_SPK_COMBINANTION Feature");
                            resData = responseNG(argu[0]);
                        }
                    } else if (checkArgu(argu, new String[]{"4", "2", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
                        if (this.mSpkCount == 4) {
                            mModuleAudio.setAudioPath(11);
                            mModuleAudio.setStreamMusicVolume(volume_index);
                            mModuleAudio.playMedia(this.mContext.getResources().getIdentifier("ver1_spk_150_1500hz_multitone_44100", "raw", this.mContext.getPackageName()), true);
                            FtUtil.log_d(this.CLASS_NAME, "playSound", "volume: " + volume_index);
                            resData = responseOK(argu[0]);
                        } else {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "do not support this cmd");
                            resData = responseNG(argu[0]);
                        }
                    } else if (checkArgu(argu, new String[]{"4", "2", "4"})) {
                        if (this.mSpkCount == 4) {
                            mModuleAudio.setAudioPath(11);
                            mModuleAudio.setStreamMusicVolume(volume_index);
                            mModuleAudio.playMedia(this.mContext.getResources().getIdentifier("ver2_spk_150_1500hz_multi_100_10000hz_sweep_44100", "raw", this.mContext.getPackageName()), true);
                            FtUtil.log_d(this.CLASS_NAME, "playSound", "volume: " + volume_index);
                            resData = responseOK(argu[0]);
                        } else {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "do not support this cmd");
                            resData = responseNG(argu[0]);
                        }
                    } else if (checkArgu(argu, new String[]{"4", "2", "5"})) {
                        if (this.mSpkCount == 4) {
                            mModuleAudio.setAudioPath(8);
                            mModuleAudio.setStreamMusicVolume(volume_index);
                            mModuleAudio.playMedia(this.mContext.getResources().getIdentifier("ver1_spk_150_1500hz_multitone_44100", "raw", this.mContext.getPackageName()), true);
                            FtUtil.log_d(this.CLASS_NAME, "playSound", "volume: " + volume_index);
                            resData = responseOK(argu[0]);
                        } else {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "do not support this cmd");
                            resData = responseNG(argu[0]);
                        }
                    } else if (checkArgu(argu, new String[]{"4", "2", "6"})) {
                        if (this.mSpkCount == 4) {
                            mModuleAudio.setAudioPath(8);
                            mModuleAudio.setStreamMusicVolume(volume_index);
                            mModuleAudio.playMedia(this.mContext.getResources().getIdentifier("ver2_spk_150_1500hz_multi_100_10000hz_sweep_44100", "raw", this.mContext.getPackageName()), true);
                            FtUtil.log_d(this.CLASS_NAME, "playSound", "volume: " + volume_index);
                            resData = responseOK(argu[0]);
                        } else {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "do not support this cmd");
                            resData = responseNG(argu[0]);
                        }
                    } else if (checkArgu(argu, new String[]{"4", "2", "7"})) {
                        if (this.mSpkCount == 4) {
                            mModuleAudio.setAudioPath(12);
                            mModuleAudio.setStreamMusicVolume(volume_index);
                            mModuleAudio.playMedia(this.mContext.getResources().getIdentifier("ver2_spk_150_1500hz_multi_100_10000hz_sweep_44100", "raw", this.mContext.getPackageName()), true);
                            FtUtil.log_d(this.CLASS_NAME, "playSound", "volume: " + volume_index);
                            resData = responseOK(argu[0]);
                        } else {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "do not support this cmd");
                            resData = responseNG(argu[0]);
                        }
                    } else if (checkArgu(argu, new String[]{"4", "2", "8"})) {
                        if (this.mSpkCount == 4) {
                            mModuleAudio.setAudioPath(13);
                            mModuleAudio.setStreamMusicVolume(volume_index);
                            mModuleAudio.playMedia(this.mContext.getResources().getIdentifier("ver2_spk_150_1500hz_multi_100_10000hz_sweep_44100", "raw", this.mContext.getPackageName()), true);
                            FtUtil.log_d(this.CLASS_NAME, "playSound", "volume: " + volume_index);
                            resData = responseOK(argu[0]);
                        } else {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "do not support this cmd");
                            resData = responseNG(argu[0]);
                        }
                    } else if (checkArgu(argu, new String[]{"4", "2", egis.optical.client.api.EgisFingerprint.JAR_VERSION})) {
                        if (this.mSpkCount == 4) {
                            mModuleAudio.setAudioPath(0);
                            mModuleAudio.setStreamMusicVolume(volume_index);
                            mModuleAudio.playMedia(this.mContext.getResources().getIdentifier("ver2_spk_150_1500hz_multi_100_10000hz_sweep_44100", "raw", this.mContext.getPackageName()), true);
                            FtUtil.log_d(this.CLASS_NAME, "playSound", "volume: " + volume_index);
                            resData = responseOK(argu[0]);
                        } else {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "do not support this cmd");
                            resData = responseNG(argu[0]);
                        }
                    } else if (checkArgu(argu, new String[]{"4", egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "2"})) {
                        if (Support.Feature.getBoolean(Support.Feature.SUPPORT_RCV_SPK_COMBINANTION)) {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "4,3,2: start cmd");
                            mModuleAudio.setAudioPath(1);
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "volume: " + volume_index);
                            mModuleAudio.setStreamMusicVolume(volume_index);
                            mModuleAudio.playMedia(this.mContext.getResources().getIdentifier("ver1_rcv_200hz_48000", "raw", this.mContext.getPackageName()), true);
                            FtUtil.Sleep.sleep(1000);
                            mModuleAudio.stopMedia();
                            mModuleAudio.setAudioPath(9);
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "volume: " + volume_index);
                            mModuleAudio.setStreamMusicVolume(volume_index);
                            mModuleAudio.playMedia(this.mContext.getResources().getIdentifier("ver2_spk_150_1500hz_multi_100_10000hz_sweep_44100", "raw", this.mContext.getPackageName()), true);
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "4,3,2: end cmd");
                            resData = responseOK(argu[0]);
                        } else {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Not SUPPORT_RCV_SPK_COMBINANTION Feature");
                            resData = responseNA();
                        }
                    } else if (checkArgu(argu, new String[]{"5", "0"})) {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", "5,0,X: start cmd");
                        switch (Integer.parseInt(argu[2])) {
                            case 0:
                                ampReinit = Support.Kernel.SPK_AMP_REINIT;
                                break;
                            case 1:
                                ampReinit = Support.Kernel.SPK_AMP_REINIT_2;
                                break;
                            default:
                                FtUtil.log_d(this.CLASS_NAME, "handleCommand", "param : out of range");
                                return responseNA();
                        }
                        if (Support.Kernel.isExistFile(ampReinit)) {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "SPK AMP reinit, sysfs: " + ampReinit);
                            Support.Kernel.write(ampReinit, EgisFingerprint.MAJOR_VERSION);
                            resData = responseOK(argu[0]);
                        } else {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Sysfs of SPK AMP reinit is null");
                            resData = responseNG(argu[0]);
                        }
                    } else if (checkArgu(argu, new String[]{"5", EgisFingerprint.MAJOR_VERSION, "0"})) {
                        FtUtil.log_d(this.CLASS_NAME, "handleCommand", "5,1,0: start cmd");
                        if (Support.Kernel.isExistFile(Support.Kernel.RCV_AMP_REINIT)) {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Receiver AMP reinit, sysfs: " + Support.Kernel.RCV_AMP_REINIT);
                            Support.Kernel.write(Support.Kernel.RCV_AMP_REINIT, EgisFingerprint.MAJOR_VERSION);
                            resData = responseOK(argu[0]);
                        } else {
                            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "Sysfs of Receiver AMP reinit is null");
                            resData = responseNG(argu[0]);
                        }
                    }
                }
            }
            if (!checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "2", "0"})) {
                volume_index = 100;
                mModuleAudio.setStreamMusicVolumeMax();
                resData = responseOK(argu[0]);
            } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "0"})) {
                resData = startSpkCal(0);
            } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "2"})) {
                resData = startSpkCal(1);
            } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "5"})) {
                resData = startSpkCal(2);
            } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "7"})) {
                resData = startSpkCal(3);
            } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, EgisFingerprint.MAJOR_VERSION})) {
                resData = spkCalDataRead(0);
            } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION})) {
                resData = spkCalDataRead(1);
            } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "6"})) {
                resData = spkCalDataRead(2);
            } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "8"})) {
                resData = spkCalDataRead(3);
            } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "5", "0"})) {
                resData = startRcvCal(0);
            } else if (checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "5", EgisFingerprint.MAJOR_VERSION})) {
                resData = rcvCalDataRead(0);
            }
            if (resData == null) {
                resData = responseNA();
            }
            return resData;
        }
        resData2 = null;
        resData = resData2;
        if (!checkArgu(argu, new String[]{egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "2", "0"})) {
        }
        if (resData == null) {
        }
        return resData;
    }

    private String startSpkCal(int spkType) {
        String resData;
        int mResult;
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "startSpkCal", "SPK : " + spkType + 1);
        mModuleAudio.setAudioPath(0);
        if (Support.Kernel.isExistFile(Support.Kernel.AUDIO_AMP_VENDOR)) {
            this.mAmpType = Support.Kernel.read(Support.Kernel.AUDIO_AMP_VENDOR);
            String str2 = this.CLASS_NAME;
            FtUtil.log_d(str2, "startSpkCal", "AUDIO_AMP_VENDOR mAmpType: " + this.mAmpType);
        }
        String str3 = this.CLASS_NAME;
        FtUtil.log_d(str3, "startSpkCal", "mAmpType: " + this.mAmpType);
        if ("MAXIM".equalsIgnoreCase(this.mAmpType)) {
            mModuleAudio.setStreamMusicVolumeZero();
            mModuleAudio.playMedia(this.mContext.getResources().getIdentifier("calibrationfile_samsung", "raw", this.mContext.getPackageName()), true);
            FtUtil.log_d(this.CLASS_NAME, "startSpkCal", "playMedia");
            FtUtil.Sleep.sleep(400);
            int[] iArr = {0, 0};
            int[] mResult2 = SpkCalMaxim(mModuleAudio.getSpkCalPath(spkType));
            if (mResult2 == null) {
                FtUtil.log_d(this.CLASS_NAME, "startSpkCal", "SpkCalMaxim result : mResult value null");
                resData = responseString(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "NG");
            } else if (mResult2[0] == 1 && mResult2[1] == 1) {
                resData = responseOK(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION);
            } else if (mResult2[0] == 0 && mResult2[1] == 0) {
                resData = responseString(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "NG_ALL");
            } else if (mResult2[0] == 0) {
                resData = responseString(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "NG_RDC");
            } else {
                resData = responseString(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "NG_TEMP");
            }
        } else if ("QUALCOMM".equalsIgnoreCase(this.mAmpType)) {
            int[] iArr2 = {0, 0};
            int[] mResult3 = SpkCalQualcomm(mModuleAudio.getSpkCalPath(spkType));
            if (mResult3[0] == 1 && mResult3[1] == 1) {
                resData = responseOK(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION);
            } else if ((mResult3[0] == 0 && mResult3[1] == 0) || (mResult3[0] == -1 && mResult3[1] == -1)) {
                resData = responseString(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "NG_ALL");
            } else if (mResult3[0] == 0) {
                resData = responseString(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "NG_RDC");
            } else {
                resData = responseString(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "NG_TEMP");
            }
        } else if ("CIRRUS".equalsIgnoreCase(this.mAmpType)) {
            mModuleAudio.setStreamMusicVolumeZero();
            mModuleAudio.playMedia(this.mContext.getResources().getIdentifier("calibrationfile_samsung", "raw", this.mContext.getPackageName()), true);
            FtUtil.log_d(this.CLASS_NAME, "startSpkCal", "playMedia");
            FtUtil.Sleep.sleep(500);
            int[] iArr3 = {0, 0};
            int[] mResult4 = SpkCalCirrus(mModuleAudio.getSpkCalPath(spkType));
            if (mResult4[0] == 1 && mResult4[1] == 1) {
                resData = responseOK(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION);
            } else if ((mResult4[0] == 0 && mResult4[1] == 0) || (mResult4[0] == -1 && mResult4[1] == -1)) {
                resData = responseString(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "NG_ALL");
            } else if (mResult4[0] == 0) {
                resData = responseString(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "NG_RPT");
            } else {
                resData = responseString(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "NG_TEMP");
            }
        } else if ("RICHTEK".equalsIgnoreCase(this.mAmpType)) {
            mModuleAudio.setStreamMusicVolumeZero();
            mModuleAudio.playMedia(this.mContext.getResources().getIdentifier("calibrationfile_samsung", "raw", this.mContext.getPackageName()), true);
            FtUtil.log_d(this.CLASS_NAME, "startSpkCal", "playMedia");
            FtUtil.Sleep.sleep(500);
            if (Support.Feature.getBoolean(Support.Feature.SUPPORT_AUDIO_NEW_RICHTEK)) {
                mResult = SpkCalRichtekNew(mModuleAudio.getSpkCalPath(spkType));
            } else {
                mResult = SpkCalRichtek();
            }
            if (mResult == 1) {
                resData = responseOK(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION);
            } else {
                resData = responseString(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "NG_RDC");
            }
        } else if ("TI".equalsIgnoreCase(this.mAmpType)) {
            mModuleAudio.setStreamMusicVolumeZero();
            mModuleAudio.playMedia(this.mContext.getResources().getIdentifier("calibrationfile_samsung", "raw", this.mContext.getPackageName()), true);
            FtUtil.log_d(this.CLASS_NAME, "startSpkCal", "playMedia");
            FtUtil.Sleep.sleep(500);
            int[] iArr4 = {0, 0};
            int[] mResult5 = SpkCalTI(mModuleAudio.getSpkCalPath(spkType), mModuleAudio.getSpkTempPath(spkType));
            if (mResult5[0] == 1 && mResult5[1] == 1) {
                resData = responseOK(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION);
            } else if ((mResult5[0] == 0 && mResult5[1] == 0) || (mResult5[0] == -1 && mResult5[1] == -1)) {
                resData = responseString(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "NG_ALL");
            } else if (mResult5[0] == 0) {
                resData = responseString(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "NG_RPT");
            } else {
                resData = responseString(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "NG_TEMP");
            }
        } else if ("goodix".equalsIgnoreCase(this.mAmpType)) {
            mModuleAudio.setStreamMusicVolumeZero();
            mModuleAudio.playMedia(this.mContext.getResources().getIdentifier("calibrationfile_samsung", "raw", this.mContext.getPackageName()), true);
            FtUtil.log_d(this.CLASS_NAME, "startSpkCal", "playMedia");
            FtUtil.Sleep.sleep(500);
            int[] iArr5 = {0, 0};
            int[] mResult6 = SpkCalGoodix(spkType);
            if (mResult6[0] == 1 && mResult6[1] == 1) {
                resData = responseOK(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION);
            } else if ((mResult6[0] == 0 && mResult6[1] == 0) || (mResult6[0] == -1 && mResult6[1] == -1)) {
                resData = responseString(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "NG_ALL");
            } else if (mResult6[0] == 0) {
                resData = responseString(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "NG_RPT");
            } else {
                resData = responseString(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "NG_TEMP");
            }
        } else if (Support.Feature.getBoolean(Support.Feature.SUPPORT_AUDIO_NEW_NXP)) {
            mModuleAudio.setStreamMusicVolumeZero();
            mModuleAudio.playMedia(this.mContext.getResources().getIdentifier("calibrationfile_samsung", "raw", this.mContext.getPackageName()), true);
            FtUtil.log_d(this.CLASS_NAME, "startSpkCal", "playMedia");
            FtUtil.Sleep.sleep(500);
            int[] iArr6 = {0, 0};
            int[] mResult7 = SpkCalNxp(mModuleAudio.getSpkCalPath(spkType));
            if (mResult7[0] == 1 && mResult7[1] == 1) {
                resData = responseOK(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION);
            } else if (mResult7[0] == 0 && mResult7[1] == 0) {
                resData = responseString(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "NG_ALL");
            } else if (mResult7[0] == 0) {
                resData = responseString(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "NG_RDC");
            } else {
                resData = responseString(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "NG_TEMP");
            }
        } else if (spkType == 1 || spkType == 2 || spkType == 3) {
            mModuleAudio.setStreamMusicVolumeMax();
            mModuleAudio.playMedia(this.mContext.getResources().getIdentifier("calibrationfile_samsung", "raw", this.mContext.getPackageName()), true);
            FtUtil.log_d(this.CLASS_NAME, "startSpkCal", "playMedia");
            FtUtil.Sleep.sleep(100);
            FtUtil.log_d(this.CLASS_NAME, "startSpkCal", "TFA RCV calibration start");
            double calibration = StrToDouble(getParameter(this.mAudioManager.getParameters("TFA_DO_RCV_CALIBRATION"), AUDIO_PARAMETER_CALIBRATION));
            String str4 = this.CLASS_NAME;
            FtUtil.log_d(str4, "startSpkCal", "RCV calibration : " + calibration);
            if (calibration == 0.0d) {
                resData = responseOK(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION);
            } else {
                resData = responseNG(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION);
            }
        } else {
            mModuleAudio.setStreamMusicVolumeMax();
            mModuleAudio.playMedia(this.mContext.getResources().getIdentifier("calibrationfile_samsung", "raw", this.mContext.getPackageName()), true);
            FtUtil.log_d(this.CLASS_NAME, "startSpkCal", "playMedia");
            FtUtil.Sleep.sleep(300);
            FtUtil.log_d(this.CLASS_NAME, "startSpkCal", "TFA calibration start");
            double calibration2 = StrToDouble(getParameter(this.mAudioManager.getParameters("TFA_DO_CALIBRATION"), AUDIO_PARAMETER_CALIBRATION));
            String str5 = this.CLASS_NAME;
            FtUtil.log_d(str5, "startSpkCal", "calibration : " + calibration2);
            if (calibration2 == 0.0d) {
                resData = responseOK(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION);
            } else {
                resData = responseNG(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION);
            }
        }
        mModuleAudio.stopMedia();
        mModuleAudio.setAudioPath(4);
        return resData;
    }

    /* JADX WARNING: Removed duplicated region for block: B:171:0x072b  */
    /* JADX WARNING: Removed duplicated region for block: B:175:0x075d  */
    /* JADX WARNING: Removed duplicated region for block: B:207:0x0808  */
    /* JADX WARNING: Removed duplicated region for block: B:214:0x0859  */
    /* JADX WARNING: Removed duplicated region for block: B:74:0x0399  */
    private String spkCalDataRead(int spkType) {
        String resData;
        String resData2;
        Boolean timeOver;
        Double rdc;
        Boolean exist;
        String resData3;
        Double rdc2;
        String data;
        Double rdc3;
        String data2;
        String data3;
        NumberFormatException ne;
        String str;
        String strReturn;
        String str2;
        String str3;
        String str4;
        String str5;
        String strReturn2;
        String strReturn3;
        String str6;
        String str7;
        String str8;
        String strReturn4;
        String strReturn5;
        int mShift;
        FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "spkType : " + spkType);
        if (Support.Kernel.isExistFile(Support.Kernel.AUDIO_AMP_VENDOR)) {
            this.mAmpType = Support.Kernel.read(Support.Kernel.AUDIO_AMP_VENDOR);
        }
        FtUtil.log_d(this.CLASS_NAME, "startSpkCal", "mAmpType: " + this.mAmpType);
        if ("MAXIM".equalsIgnoreCase(this.mAmpType)) {
            FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "Maxim SPK CAL");
            String Result = this.mAudioManager.getParameters("spk_calibration=read" + mModuleAudio.getAmpType()).trim();
            FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "Maxim SPK CAL Read Result: " + Result);
            String mImpResult = getParameter(Result, mModuleAudio.getSpkCalPath(spkType));
            String mTempResult = getParameter(Result, "temp=");
            String ChipsetMan = Support.Spec.getString(Support.Feature.CHIPSET_MANUFACTURE);
            try {
                int parseInt = Integer.parseInt(mImpResult, 16);
                str8 = ",";
                str7 = egis.optical.client.api.EgisFingerprint.MAJOR_VERSION;
                double mImpedance = (double) parseInt;
                try {
                    if ("S.LSI".equalsIgnoreCase(ChipsetMan)) {
                        mShift = 19;
                    } else if ("Qualcomm".equalsIgnoreCase(ChipsetMan)) {
                        mShift = 27;
                    } else {
                        FtUtil.log_e(this.CLASS_NAME, "spkCalDataRead", "CHIPSET_MANUFACTURE is not Support");
                        return null;
                    }
                    for (int i = 0; i < mShift; i++) {
                        mImpedance /= 2.0d;
                    }
                    try {
                        strReturn4 = "" + Double.valueOf(new DecimalFormat("#.##", DecimalFormatSymbols.getInstance(Locale.US)).format(mImpedance * 3.3299999237060547d)).doubleValue();
                    } catch (NumberFormatException e) {
                        FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "Maxim SPK CAL mImpResult = " + mImpResult);
                        strReturn4 = "" + "NG";
                        strReturn5 = strReturn4 + str8 + Double.valueOf(new DecimalFormat("#.#", DecimalFormatSymbols.getInstance(Locale.US)).format(((double) Integer.parseInt(mTempResult, 16)) / 10.0d)).doubleValue();
                        resData = responseString(str7, strReturn5);
                        mModuleAudio.stopMedia();
                        mModuleAudio.setAudioPath(4);
                        return resData;
                    }
                } catch (NumberFormatException e2) {
                    FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "Maxim SPK CAL mImpResult = " + mImpResult);
                    strReturn4 = "" + "NG";
                    strReturn5 = strReturn4 + str8 + Double.valueOf(new DecimalFormat("#.#", DecimalFormatSymbols.getInstance(Locale.US)).format(((double) Integer.parseInt(mTempResult, 16)) / 10.0d)).doubleValue();
                    resData = responseString(str7, strReturn5);
                    mModuleAudio.stopMedia();
                    mModuleAudio.setAudioPath(4);
                    return resData;
                }
            } catch (NumberFormatException e3) {
                str8 = ",";
                str7 = egis.optical.client.api.EgisFingerprint.MAJOR_VERSION;
                FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "Maxim SPK CAL mImpResult = " + mImpResult);
                strReturn4 = "" + "NG";
                strReturn5 = strReturn4 + str8 + Double.valueOf(new DecimalFormat("#.#", DecimalFormatSymbols.getInstance(Locale.US)).format(((double) Integer.parseInt(mTempResult, 16)) / 10.0d)).doubleValue();
                resData = responseString(str7, strReturn5);
                mModuleAudio.stopMedia();
                mModuleAudio.setAudioPath(4);
                return resData;
            }
            try {
                strReturn5 = strReturn4 + str8 + Double.valueOf(new DecimalFormat("#.#", DecimalFormatSymbols.getInstance(Locale.US)).format(((double) Integer.parseInt(mTempResult, 16)) / 10.0d)).doubleValue();
            } catch (NumberFormatException e4) {
                FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "Maxim SPK CAL mTemperature = " + mTempResult);
                strReturn5 = strReturn4 + ",NG";
            }
            resData = responseString(str7, strReturn5);
        } else if ("QUALCOMM".equalsIgnoreCase(this.mAmpType)) {
            String Result2 = this.mAudioManager.getParameters("spk_calibration=read" + mModuleAudio.getAmpType()).trim();
            FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "Qualcomm SPK CAL Read Result: " + Result2);
            String mImpResult2 = getParameter(Result2, mModuleAudio.getSpkCalPath(spkType));
            String mTempResult2 = getParameter(Result2, "temp=");
            try {
                Double rdc4 = Double.valueOf(Double.parseDouble(mImpResult2));
                Double temp = Double.valueOf(Double.parseDouble(mTempResult2));
                DecimalFormatSymbols symbols = DecimalFormatSymbols.getInstance(Locale.US);
                try {
                    Double rdc5 = Double.valueOf(new DecimalFormat("#.##", symbols).format(rdc4));
                    Double temp2 = Double.valueOf(new DecimalFormat("#.#", symbols).format(temp));
                    FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "rdc : " + rdc5 + ", temp : " + temp2);
                    resData = responseString(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, String.valueOf(rdc5) + "," + String.valueOf(temp2));
                } catch (NumberFormatException e5) {
                    FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "NG, rdc error");
                    resData = responseNG(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION);
                    mModuleAudio.stopMedia();
                    mModuleAudio.setAudioPath(4);
                    return resData;
                }
            } catch (NumberFormatException e6) {
                FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "NG, rdc error");
                resData = responseNG(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION);
                mModuleAudio.stopMedia();
                mModuleAudio.setAudioPath(4);
                return resData;
            }
        } else if ("CIRRUS".equalsIgnoreCase(this.mAmpType)) {
            FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "Cirrus SPK CAL");
            String Result3 = this.mAudioManager.getParameters("spk_calibration=read" + mModuleAudio.getAmpType()).trim();
            FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "Cirrus SPK CAL Read Result: " + Result3);
            String mImpResult3 = getParameter(Result3, mModuleAudio.getSpkCalPath(spkType));
            String mTempResult3 = getParameter(Result3, "temp=");
            if (mImpResult3 == null || ModuleCommunicationService.SMD_NOK.equals(mImpResult3)) {
                str5 = ",NG";
                str4 = egis.optical.client.api.EgisFingerprint.MAJOR_VERSION;
                str2 = ",";
                str3 = "#.#";
            } else if ("ffffffff".equalsIgnoreCase(mImpResult3)) {
                str5 = ",NG";
                str4 = egis.optical.client.api.EgisFingerprint.MAJOR_VERSION;
                str2 = ",";
                str3 = "#.#";
            } else {
                try {
                    int parseInt2 = Integer.parseInt(mImpResult3);
                    str5 = ",NG";
                    str4 = egis.optical.client.api.EgisFingerprint.MAJOR_VERSION;
                    double mReRef = (double) parseInt2;
                    for (int i2 = 0; i2 < 13; i2++) {
                        mReRef /= 2.0d;
                    }
                    str2 = ",";
                    str3 = "#.#";
                    try {
                        strReturn2 = "" + Double.valueOf(new DecimalFormat("#.##", DecimalFormatSymbols.getInstance(Locale.US)).format(mReRef * 5.85714d)).doubleValue();
                    } catch (NumberFormatException e7) {
                    }
                } catch (NumberFormatException e8) {
                    str5 = ",NG";
                    str4 = egis.optical.client.api.EgisFingerprint.MAJOR_VERSION;
                    str2 = ",";
                    str3 = "#.#";
                    FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "CIRRUS SPK CAL mImpResult= " + mImpResult3);
                    strReturn2 = "" + "NG";
                    if (mTempResult3 != null) {
                    }
                    str6 = str5;
                    strReturn3 = strReturn2 + str6;
                    resData = responseString(str4, strReturn3);
                    mModuleAudio.stopMedia();
                    mModuleAudio.setAudioPath(4);
                    return resData;
                }
                if (mTempResult3 != null || ModuleCommunicationService.SMD_NOK.equals(mTempResult3)) {
                    str6 = str5;
                } else if ("ffffffff".equalsIgnoreCase(mTempResult3)) {
                    str6 = str5;
                } else {
                    try {
                        strReturn3 = strReturn2 + str2 + Double.valueOf(new DecimalFormat(str3, DecimalFormatSymbols.getInstance(Locale.US)).format((double) Integer.parseInt(mTempResult3))).doubleValue();
                    } catch (NumberFormatException e9) {
                        FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "CIRRUS SPK CAL mTemperature= " + mTempResult3);
                        strReturn3 = strReturn2 + str5;
                    }
                    resData = responseString(str4, strReturn3);
                }
                strReturn3 = strReturn2 + str6;
                resData = responseString(str4, strReturn3);
            }
            strReturn2 = "" + "NG";
            if (mTempResult3 != null) {
            }
            str6 = str5;
            strReturn3 = strReturn2 + str6;
            resData = responseString(str4, strReturn3);
        } else if ("RICHTEK".equalsIgnoreCase(this.mAmpType)) {
            FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "Richtek SPK CAL");
            if (Support.Feature.getBoolean(Support.Feature.SUPPORT_AUDIO_NEW_RICHTEK)) {
                String Result4 = this.mAudioManager.getParameters("spk_calibration=read" + mModuleAudio.getAmpType()).trim();
                FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "Richtek SPK CAL Read Result: " + Result4);
                try {
                    Double rdc6 = Double.valueOf(Double.parseDouble(getParameter(Result4, mModuleAudio.getSpkCalPath(spkType))));
                    for (int i3 = 0; i3 < 22; i3++) {
                        rdc6 = Double.valueOf(rdc6.doubleValue() / 2.0d);
                    }
                    Double rdc7 = Double.valueOf(new DecimalFormat("#.###", DecimalFormatSymbols.getInstance(Locale.US)).format(rdc6));
                    FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "rdc : " + rdc7);
                    resData = responseString(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, String.valueOf(rdc7));
                } catch (NumberFormatException e10) {
                    FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "NG, rdc error");
                    resData = responseNG(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION);
                }
            } else {
                String mImpResult4 = Support.Kernel.read(Support.Kernel.SPK_CAL_RICHTEK_IMPEDANCE);
                try {
                    double mImpedance2 = (double) Integer.parseInt(mImpResult4, 16);
                    for (int i4 = 0; i4 < 20; i4++) {
                        mImpedance2 /= 2.0d;
                    }
                    strReturn = "" + Double.valueOf(new DecimalFormat("#.##", DecimalFormatSymbols.getInstance(Locale.US)).format(mImpedance2)).doubleValue();
                } catch (NumberFormatException e11) {
                    FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "Maxim SPK CAL mImpResult = " + mImpResult4);
                    strReturn = "" + "NG";
                }
                resData = responseString(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, strReturn);
            }
        } else if ("TI".equalsIgnoreCase(this.mAmpType)) {
            String Result5 = this.mAudioManager.getParameters("spk_calibration=read" + mModuleAudio.getAmpType()).trim();
            FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "TI SPK CAL Read Result: " + Result5);
            String mImpResult5 = getParameter(Result5, mModuleAudio.getSpkCalPath(spkType));
            String mTempResult4 = getParameter(Result5, mModuleAudio.getSpkTempPath(spkType));
            try {
                Double rdc8 = Double.valueOf(Double.parseDouble(mImpResult5));
                Double temp3 = Double.valueOf(Double.parseDouble(mTempResult4));
                DecimalFormatSymbols symbols2 = DecimalFormatSymbols.getInstance(Locale.US);
                try {
                    try {
                        Double rdc9 = Double.valueOf(new DecimalFormat("#.##", symbols2).format(rdc8));
                        Double temp4 = Double.valueOf(new DecimalFormat("#.#", symbols2).format(temp3));
                        FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "rdc : " + rdc9 + ", temp : " + temp4);
                        resData = responseString(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, String.valueOf(rdc9) + "," + String.valueOf(temp4));
                    } catch (NumberFormatException e12) {
                        FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "NG, rdc error");
                        resData = responseNG(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION);
                        mModuleAudio.stopMedia();
                        mModuleAudio.setAudioPath(4);
                        return resData;
                    }
                } catch (NumberFormatException e13) {
                    FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "NG, rdc error");
                    resData = responseNG(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION);
                    mModuleAudio.stopMedia();
                    mModuleAudio.setAudioPath(4);
                    return resData;
                }
            } catch (NumberFormatException e14) {
                FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "NG, rdc error");
                resData = responseNG(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION);
                mModuleAudio.stopMedia();
                mModuleAudio.setAudioPath(4);
                return resData;
            }
        } else if ("goodix".equalsIgnoreCase(this.mAmpType)) {
            int pollingCnt = 0;
            Double rdc10 = Double.valueOf(0.0d);
            Double temp5 = Double.valueOf(0.0d);
            Boolean exist2 = true;
            FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "Goodix SPK CAL Read");
            if (Support.Kernel.isExistFile(Support.Kernel.SPK_CAL_GOODIX_CAL)) {
                while (true) {
                    FtUtil.Sleep.sleep(100);
                    pollingCnt++;
                    FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "pollingCnt : " + pollingCnt);
                    if (pollingCnt == 30) {
                        timeOver = true;
                        break;
                    } else if ("Disabled".equalsIgnoreCase(Support.Kernel.read(Support.Kernel.SPK_CAL_GOODIX_CAL))) {
                        timeOver = false;
                        break;
                    } else {
                        rdc10 = rdc10;
                    }
                }
                if (spkType == 0) {
                    String data4 = Support.Kernel.read(Support.Kernel.SPK_CAL_GOODIX_IMPEDANCE);
                    if (data4 != null) {
                        if (!data4.isEmpty()) {
                            try {
                                Double rdc11 = Double.valueOf(Double.parseDouble(data4) / 1000.0d);
                                try {
                                    str = this.CLASS_NAME;
                                } catch (NumberFormatException e15) {
                                    ne = e15;
                                    rdc3 = rdc11;
                                    FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "NG, rdc Error");
                                    FtUtil.Sleep.sleep(100);
                                    data2 = Support.Kernel.read(Support.Kernel.SPK_CAL_GOODIX_TEMP);
                                    if (data2 != null) {
                                    }
                                    FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "data empty : " + Support.Kernel.SPK_CAL_GOODIX_TEMP);
                                    rdc = rdc3;
                                    exist = false;
                                    if (exist.booleanValue()) {
                                    }
                                    FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", " data read fail exist :" + exist + "timeOver :" + timeOver);
                                    resData3 = responseNG(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION);
                                    resData = resData3;
                                    mModuleAudio.stopMedia();
                                    mModuleAudio.setAudioPath(4);
                                    return resData;
                                }
                                try {
                                    StringBuilder sb = new StringBuilder();
                                    try {
                                        sb.append(" rdc : ");
                                        rdc3 = rdc11;
                                        try {
                                            sb.append(rdc3);
                                            FtUtil.log_d(str, "spkCalDataRead", sb.toString());
                                        } catch (NumberFormatException e16) {
                                            ne = e16;
                                        }
                                    } catch (NumberFormatException e17) {
                                        ne = e17;
                                        rdc3 = rdc11;
                                        FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "NG, rdc Error");
                                        FtUtil.Sleep.sleep(100);
                                        data2 = Support.Kernel.read(Support.Kernel.SPK_CAL_GOODIX_TEMP);
                                        if (data2 != null) {
                                        }
                                        FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "data empty : " + Support.Kernel.SPK_CAL_GOODIX_TEMP);
                                        rdc = rdc3;
                                        exist = false;
                                        if (exist.booleanValue()) {
                                        }
                                        FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", " data read fail exist :" + exist + "timeOver :" + timeOver);
                                        resData3 = responseNG(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION);
                                        resData = resData3;
                                        mModuleAudio.stopMedia();
                                        mModuleAudio.setAudioPath(4);
                                        return resData;
                                    }
                                } catch (NumberFormatException e18) {
                                    ne = e18;
                                    rdc3 = rdc11;
                                    FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "NG, rdc Error");
                                    FtUtil.Sleep.sleep(100);
                                    data2 = Support.Kernel.read(Support.Kernel.SPK_CAL_GOODIX_TEMP);
                                    if (data2 != null) {
                                    }
                                    FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "data empty : " + Support.Kernel.SPK_CAL_GOODIX_TEMP);
                                    rdc = rdc3;
                                    exist = false;
                                    if (exist.booleanValue()) {
                                    }
                                    FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", " data read fail exist :" + exist + "timeOver :" + timeOver);
                                    resData3 = responseNG(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION);
                                    resData = resData3;
                                    mModuleAudio.stopMedia();
                                    mModuleAudio.setAudioPath(4);
                                    return resData;
                                }
                            } catch (NumberFormatException e19) {
                                ne = e19;
                                rdc3 = rdc10;
                                FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "NG, rdc Error");
                                FtUtil.Sleep.sleep(100);
                                data2 = Support.Kernel.read(Support.Kernel.SPK_CAL_GOODIX_TEMP);
                                if (data2 != null) {
                                }
                                FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "data empty : " + Support.Kernel.SPK_CAL_GOODIX_TEMP);
                                rdc = rdc3;
                                exist = false;
                                if (exist.booleanValue()) {
                                }
                                FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", " data read fail exist :" + exist + "timeOver :" + timeOver);
                                resData3 = responseNG(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION);
                                resData = resData3;
                                mModuleAudio.stopMedia();
                                mModuleAudio.setAudioPath(4);
                                return resData;
                            }
                            FtUtil.Sleep.sleep(100);
                            data2 = Support.Kernel.read(Support.Kernel.SPK_CAL_GOODIX_TEMP);
                            if (data2 != null) {
                                data3 = data2;
                            } else if (data2.isEmpty()) {
                                data3 = data2;
                            } else {
                                temp5 = Double.valueOf(Double.parseDouble(data2));
                                FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", " temp : " + temp5);
                                rdc = rdc3;
                                exist = exist2;
                            }
                            FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "data empty : " + Support.Kernel.SPK_CAL_GOODIX_TEMP);
                            rdc = rdc3;
                            exist = false;
                        }
                    }
                    FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "data empty : " + Support.Kernel.SPK_CAL_GOODIX_IMPEDANCE);
                    exist2 = false;
                    rdc3 = rdc10;
                    FtUtil.Sleep.sleep(100);
                    data2 = Support.Kernel.read(Support.Kernel.SPK_CAL_GOODIX_TEMP);
                    if (data2 != null) {
                    }
                    FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "data empty : " + Support.Kernel.SPK_CAL_GOODIX_TEMP);
                    rdc = rdc3;
                    exist = false;
                } else if (spkType == 1) {
                    String data5 = Support.Kernel.read(Support.Kernel.SPK_CAL_GOODIX_IMPEDANCE_2);
                    if (data5 != null) {
                        if (!data5.isEmpty()) {
                            try {
                                rdc2 = Double.valueOf(Double.parseDouble(data5) / 1000.0d);
                                try {
                                    String str9 = this.CLASS_NAME;
                                    try {
                                        StringBuilder sb2 = new StringBuilder();
                                        try {
                                            sb2.append(" rdc_r: ");
                                            sb2.append(rdc2);
                                            FtUtil.log_d(str9, "spkCalDataRead", sb2.toString());
                                        } catch (NumberFormatException e20) {
                                        }
                                    } catch (NumberFormatException e21) {
                                        FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "NG, rdc Error");
                                        FtUtil.Sleep.sleep(100);
                                        data = Support.Kernel.read(Support.Kernel.SPK_CAL_GOODIX_TEMP_2);
                                        if (data != null) {
                                        }
                                        FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "data empty : " + Support.Kernel.SPK_CAL_GOODIX_TEMP_2);
                                        exist = false;
                                        rdc = rdc2;
                                        if (exist.booleanValue()) {
                                        }
                                        FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", " data read fail exist :" + exist + "timeOver :" + timeOver);
                                        resData3 = responseNG(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION);
                                        resData = resData3;
                                        mModuleAudio.stopMedia();
                                        mModuleAudio.setAudioPath(4);
                                        return resData;
                                    }
                                } catch (NumberFormatException e22) {
                                    FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "NG, rdc Error");
                                    FtUtil.Sleep.sleep(100);
                                    data = Support.Kernel.read(Support.Kernel.SPK_CAL_GOODIX_TEMP_2);
                                    if (data != null) {
                                    }
                                    FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "data empty : " + Support.Kernel.SPK_CAL_GOODIX_TEMP_2);
                                    exist = false;
                                    rdc = rdc2;
                                    if (exist.booleanValue()) {
                                    }
                                    FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", " data read fail exist :" + exist + "timeOver :" + timeOver);
                                    resData3 = responseNG(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION);
                                    resData = resData3;
                                    mModuleAudio.stopMedia();
                                    mModuleAudio.setAudioPath(4);
                                    return resData;
                                }
                            } catch (NumberFormatException e23) {
                                rdc2 = rdc10;
                                FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "NG, rdc Error");
                                FtUtil.Sleep.sleep(100);
                                data = Support.Kernel.read(Support.Kernel.SPK_CAL_GOODIX_TEMP_2);
                                if (data != null) {
                                }
                                FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "data empty : " + Support.Kernel.SPK_CAL_GOODIX_TEMP_2);
                                exist = false;
                                rdc = rdc2;
                                if (exist.booleanValue()) {
                                }
                                FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", " data read fail exist :" + exist + "timeOver :" + timeOver);
                                resData3 = responseNG(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION);
                                resData = resData3;
                                mModuleAudio.stopMedia();
                                mModuleAudio.setAudioPath(4);
                                return resData;
                            }
                            FtUtil.Sleep.sleep(100);
                            data = Support.Kernel.read(Support.Kernel.SPK_CAL_GOODIX_TEMP_2);
                            if (data != null || data.isEmpty()) {
                                FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "data empty : " + Support.Kernel.SPK_CAL_GOODIX_TEMP_2);
                                exist = false;
                                rdc = rdc2;
                            } else {
                                temp5 = Double.valueOf(Double.parseDouble(data));
                                FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", " temp_r : " + temp5);
                                rdc = rdc2;
                                exist = exist2;
                            }
                        }
                    }
                    FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "data empty : " + Support.Kernel.SPK_CAL_GOODIX_IMPEDANCE_2);
                    exist2 = false;
                    rdc2 = rdc10;
                    FtUtil.Sleep.sleep(100);
                    data = Support.Kernel.read(Support.Kernel.SPK_CAL_GOODIX_TEMP_2);
                    if (data != null) {
                    }
                    FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "data empty : " + Support.Kernel.SPK_CAL_GOODIX_TEMP_2);
                    exist = false;
                    rdc = rdc2;
                } else {
                    exist = 1;
                    rdc = rdc10;
                }
                if (exist.booleanValue() || timeOver.booleanValue()) {
                    FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", " data read fail exist :" + exist + "timeOver :" + timeOver);
                    resData3 = responseNG(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION);
                } else {
                    FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "rdc : " + rdc + " temp : " + temp5);
                    StringBuilder sb3 = new StringBuilder();
                    sb3.append(String.valueOf(rdc));
                    sb3.append(",");
                    sb3.append(String.valueOf(temp5));
                    resData3 = responseString(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, sb3.toString());
                }
                resData = resData3;
            } else {
                FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "file does not exist");
                resData = responseNG(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION);
            }
        } else if (Support.Feature.getBoolean(Support.Feature.SUPPORT_AUDIO_NEW_NXP)) {
            String Result6 = this.mAudioManager.getParameters("spk_calibration=read" + mModuleAudio.getAmpType()).trim();
            FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "Nxp SPK CAL Read Result: " + Result6);
            String mImpResult6 = getParameter(Result6, mModuleAudio.getSpkCalPath(spkType));
            String mTempResult5 = getParameter(Result6, "temp=");
            try {
                Double rdc12 = Double.valueOf(Double.parseDouble(mImpResult6) / 1000.0d);
                Double temp6 = Double.valueOf(Double.parseDouble(mTempResult5));
                FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "rdc : " + rdc12 + "temp : " + temp6);
                resData = responseString(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, String.valueOf(rdc12) + "," + String.valueOf(temp6));
            } catch (NumberFormatException e24) {
                FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "NG, rdc error");
                resData = responseNG(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION);
            }
        } else if (spkType == 1 || spkType == 2 || spkType == 3) {
            FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "setAudioPath RCV");
            mModuleAudio.setAudioPath(1);
            mModuleAudio.setStreamMusicVolumeMax();
            mModuleAudio.playMedia(this.mContext.getResources().getIdentifier("calibrationfile_samsung", "raw", this.mContext.getPackageName()), true);
            FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "playMedia");
            FtUtil.Sleep.sleep(100);
            FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "TFA_GET_RCV_IMPEDANCE start");
            double impendance = StrToDouble(getParameter(this.mAudioManager.getParameters("TFA_GET_RCV_IMPEDANCE"), AUDIO_PARAMETER_IMPENDANCE));
            FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "RCV impedance : " + impendance);
            String in_impendance = String.valueOf(new DecimalFormat("#.###", DecimalFormatSymbols.getInstance(Locale.US)).format(impendance));
            if ("0".equalsIgnoreCase(in_impendance)) {
                resData2 = responseNG(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION);
            } else {
                resData2 = responseString(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, in_impendance);
            }
            mModuleAudio.stopMedia();
            mModuleAudio.setAudioPath(4);
            resData = resData2;
        } else {
            FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "setAudioPath");
            mModuleAudio.setAudioPath(0);
            mModuleAudio.setStreamMusicVolumeMax();
            mModuleAudio.playMedia(this.mContext.getResources().getIdentifier("calibrationfile_samsung", "raw", this.mContext.getPackageName()), true);
            FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "playMedia");
            FtUtil.Sleep.sleep(300);
            FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "TFA_GET_IMPEDANCE start");
            double impendance2 = StrToDouble(getParameter(this.mAudioManager.getParameters("TFA_GET_IMPEDANCE"), AUDIO_PARAMETER_IMPENDANCE));
            FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "impedance : " + impendance2);
            double temperature = StrToDouble(Support.Kernel.read(Support.Kernel.BATTERY_TEMP)) / 10.0d;
            FtUtil.log_d(this.CLASS_NAME, "spkCalDataRead", "temperature : " + temperature);
            String in_impendance2 = String.valueOf(new DecimalFormat("#.###", DecimalFormatSymbols.getInstance(Locale.US)).format(impendance2));
            String retStr = in_impendance2 + "," + String.valueOf(new DecimalFormat("#.0", DecimalFormatSymbols.getInstance(Locale.US)).format(temperature));
            if ("0".equalsIgnoreCase(in_impendance2)) {
                resData = responseNG(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION);
            } else {
                resData = responseString(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, retStr);
            }
        }
        mModuleAudio.stopMedia();
        mModuleAudio.setAudioPath(4);
        return resData;
    }

    private String startRcvCal(int rcvType) {
        String resData = "";
        if ("NXP".equalsIgnoreCase(Support.Feature.getString(Support.Feature.RCV_AMP_TYPE))) {
            FtUtil.log_d(this.CLASS_NAME, "startRcvCal", "setAudioPath");
            mModuleAudio.setAudioPath(1);
            mModuleAudio.setStreamMusicVolumeZero();
            mModuleAudio.playMedia(this.mContext.getResources().getIdentifier("calibrationfile_samsung", "raw", this.mContext.getPackageName()), true);
            FtUtil.log_d(this.CLASS_NAME, "startRcvCal", "playMedia");
            FtUtil.Sleep.sleep(500);
            int[] iArr = {0, 0};
            int[] mResult = RcvCalNxp(mModuleAudio.getRcvCalPath(0));
            if (mResult[0] == 1 && mResult[1] == 1) {
                resData = responseOK(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION);
            } else if (mResult[0] == 0 && mResult[1] == 0) {
                resData = responseString(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "NG_ALL");
            } else if (mResult[0] == 0) {
                resData = responseString(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "NG_RDC");
            } else {
                resData = responseString(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, "NG_TEMP");
            }
        }
        mModuleAudio.stopMedia();
        mModuleAudio.setAudioPath(4);
        return resData;
    }

    private String rcvCalDataRead(int rcvType) {
        if (!"NXP".equalsIgnoreCase(Support.Feature.getString(Support.Feature.RCV_AMP_TYPE))) {
            return "";
        }
        String Result = this.mAudioManager.getParameters("rcv_calibration=read").trim();
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "Nxp RCV CAL", "Read Result: " + Result);
        String mImpResult = getParameter(Result, mModuleAudio.getRcvCalPath(0));
        String mTempResult = getParameter(Result, "temp=");
        try {
            Double rdc = Double.valueOf(Double.parseDouble(mImpResult) / 1000.0d);
            Double temp = Double.valueOf(Double.parseDouble(mTempResult));
            String str2 = this.CLASS_NAME;
            FtUtil.log_d(str2, "handleCommand", "rdc : " + rdc + "temp : " + temp);
            return responseString(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION, String.valueOf(rdc) + "," + String.valueOf(temp));
        } catch (NumberFormatException e) {
            FtUtil.log_d(this.CLASS_NAME, "handleCommand", "NG, rdc error");
            return responseNG(egis.optical.client.api.EgisFingerprint.MAJOR_VERSION);
        }
    }

    private void startAudioForSPKTest(int audiopath, String resName) {
        if (this.mSpkCount == 4) {
            FtUtil.log_d(this.CLASS_NAME, "startAudioForSPKTest", "Fix Rotation for SPK4 model");
            mModuleAudio.setParam("display_rotation=0");
        }
        mModuleAudio.setAudioPath(audiopath);
        mModuleAudio.setStreamMusicVolume(volume_index);
        mModuleAudio.playMedia(this.mContext.getResources().getIdentifier(resName, "raw", this.mContext.getPackageName()), true);
        String str = this.CLASS_NAME;
        FtUtil.log_d(str, "startAudioForSPKTest", "volume: " + volume_index);
    }
}
