package com.sec.factory.app.ui;

import android.content.res.Resources;
import android.graphics.drawable.Drawable;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.os.PowerManager;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.widget.LinearLayout;
import com.sec.factory.R;
import com.sec.factory.modules.ModulePower;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;

public class UIDimmingTest extends UIBase {
    private static final int RELEASE_KEY = 1;
    private static final int SET_SCREEN_DIM = 0;
    private int BRIGHTNESS_DIM = 20;
    private final long VOLUME_DONW_KEY_EVENT_TIMELAG = 2000;
    private Handler delayDisplayHandler = new Handler() {
        /* class com.sec.factory.app.ui.UIDimmingTest.AnonymousClass1 */

        public void handleMessage(Message msg) {
            String str = UIDimmingTest.this.CLASS_NAME;
            FtUtil.log_d(str, "delayDisplayHandler", "msg : " + msg.what);
            switch (msg.what) {
                case 0:
                    UIDimmingTest.this.setScreenDim();
                    UIDimmingTest.this.delayDisplayHandler.sendMessageDelayed(UIDimmingTest.this.delayDisplayHandler.obtainMessage(1), 1000);
                    return;
                case 1:
                    UIDimmingTest.this.isTouchable = true;
                    return;
                default:
                    return;
            }
        }
    };
    private boolean isTouchable = false;
    private LinearLayout m2ndBackground;
    private LinearLayout mBackground;
    private boolean mIsLongPress = false;
    private boolean mIsOnlyPowerkey = false;
    private PowerManager mPowerManager = null;
    private long mPrevVolumeDownKeyEventTime = -1;
    Resources resources = null;

    public UIDimmingTest() {
        super("UIDimmingTest");
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_dimming_test);
        Drawable rgb = getResources().getDrawable(R.drawable.rgb);
        LinearLayout linearLayout = (LinearLayout) findViewById(R.id.background);
        this.mBackground = linearLayout;
        linearLayout.setBackground(rgb);
        this.resources = getApplicationContext().getResources();
        if (Support.Feature.getBoolean(Support.Feature.SUPPORT_ONLY_POWER_KEY)) {
            this.mIsOnlyPowerkey = true;
        }
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        if (this.mIsOnlyPowerkey) {
            FtUtil.setBlockPowerKeyLongPress(this, true);
        }
        Handler handler = this.delayDisplayHandler;
        handler.sendMessageDelayed(handler.obtainMessage(0), 500);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        if (this.mIsOnlyPowerkey) {
            FtUtil.setBlockPowerKeyLongPress(this, false);
        }
        super.onPause();
        ModulePower.instance(this).setBrightness(255);
    }

    public boolean onTouchEvent(MotionEvent event) {
        FtUtil.log_d(this.CLASS_NAME, "onTouchEvent", "disable touch event");
        return true;
    }

    @Override // com.sec.factory.app.ui.UIBase
    public boolean onKeyUp(int keyCode, KeyEvent event) {
        FtUtil.log_d(this.CLASS_NAME, "onKeyUp", "onKeyUp");
        this.mIsLongPress = false;
        if (keyCode == 26) {
            return true;
        }
        return super.onKeyUp(keyCode, event);
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    @Override // com.sec.factory.app.ui.UIBase
    public boolean onKeyDown(int keyCode, KeyEvent event) {
        if (!this.isTouchable) {
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "onKeyDown", "isTouchable : " + this.isTouchable);
            return true;
        }
        if (!this.mIsLongPress) {
            this.mIsLongPress = event.isLongPress();
        }
        if (!this.mIsLongPress) {
            switch (keyCode) {
                case 4:
                case 25:
                    String str2 = this.CLASS_NAME;
                    FtUtil.log_d(str2, "onKeyDown", "KeyCode : " + keyCode + " => Prev : " + this.mPrevVolumeDownKeyEventTime + ", Curr : " + event.getEventTime() + " => Time Lag : " + (event.getEventTime() - this.mPrevVolumeDownKeyEventTime) + " [" + 2000L + "]");
                    if (this.mPrevVolumeDownKeyEventTime == -1) {
                        this.mPrevVolumeDownKeyEventTime = event.getEventTime();
                    } else if (event.getEventTime() - this.mPrevVolumeDownKeyEventTime < 2000) {
                        finish();
                    } else {
                        this.mPrevVolumeDownKeyEventTime = event.getEventTime();
                    }
                    String str3 = this.CLASS_NAME;
                    FtUtil.log_d(str3, "onKeyDown", "KeyCode : " + keyCode + " = return true");
                    return true;
                case 24:
                    setResult(-1);
                    finish();
                    return true;
                case 26:
                    if (this.mIsOnlyPowerkey) {
                        setResult(-1);
                        finish();
                    }
                    return true;
                default:
                    String str4 = this.CLASS_NAME;
                    FtUtil.log_d(str4, "onKeyDown", "KeyCode : " + keyCode);
                    break;
            }
        } else {
            String str5 = this.CLASS_NAME;
            FtUtil.log_d(str5, "onKeyDown", "isLongPress : true , keyCode : " + keyCode);
        }
        return true;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setScreenDim() {
        ModulePower.instance(this).setBrightness(this.BRIGHTNESS_DIM);
    }
}
