package com.sec.factory.app.ui;

import android.app.PendingIntent;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.nfc.NfcAdapter;
import android.nfc.Tag;
import android.nfc.tech.IsoDep;
import android.nfc.tech.NfcB;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.View;
import android.widget.Button;
import android.widget.TableLayout;
import android.widget.TextView;
import com.qualcomm.qti.biometrics.fingerprint.QFSEvent;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.ModuleNfc;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import java.io.IOException;
import java.util.Arrays;

public class UINfcTypeB extends UIBase implements View.OnClickListener {
    private static final String NFC_TYPE_B_TEST_FINISH = "com.sec.factory.app.factorytest.finshNfcTypeBTest";
    private final int FINISH_DELAY = 2000;
    private int INDEX = 0;
    private final String LOG_TAG = "[UTOPIA_NFC_TYPEB]";
    private final byte MSG_DISABLE_DISCOVERY = 1;
    private final byte MSG_ENABLE_DISCOVERY = 0;
    private final byte MSG_FINISH_TEST = 6;
    private final byte MSG_READ_TYPE_B_TAG_DATA = 2;
    private final byte MSG_TEST_FAIL = 4;
    private final byte MSG_TEST_PASS = 5;
    private final int PENDING;
    private final int START_13MHZ;
    private IntentFilter[] intentFiltersArray;
    private boolean isPass;
    private boolean isPressedBtn;
    private TableLayout m13mhzTable;
    private TextView m13mhz_data;
    private TextView m13mhz_result;
    private TextView m13mhz_title;
    private Button mExitBtn;
    final Handler mHandler;
    private NfcAdapter mNfcAdapter;
    public BroadcastReceiver mReceiver;
    private Tag mTag;
    private String mTestItem;
    private int mTestSequence;
    private IntentFilter nfcFilter;
    private PendingIntent pendingIntent;
    private String[][] techListsArray;

    public UINfcTypeB() {
        super("UINfcTypeB", 165);
        int i = 0 + 1;
        this.INDEX = i;
        this.PENDING = 0;
        this.INDEX = i + 1;
        this.START_13MHZ = i;
        this.mTestSequence = 0;
        this.isPass = false;
        this.isPressedBtn = false;
        this.mHandler = new Handler() {
            /* class com.sec.factory.app.ui.UINfcTypeB.AnonymousClass1 */

            public void handleMessage(Message msg) {
                switch (msg.what) {
                    case 0:
                        FtUtil.log_i(UINfcTypeB.this.CLASS_NAME, "send Intent ENABLE_SEC_NFC_DISCOVERY");
                        UINfcTypeB.this.sendBroadcast(ModuleNfc.NfcFunctions.NFC_ENABLE_DISCOVERY.getNfcIntent());
                        return;
                    case 1:
                        FtUtil.log_i(UINfcTypeB.this.CLASS_NAME, "send Intent DISABLE_SEC_NFC_DISCOVERY");
                        UINfcTypeB.this.sendBroadcast(ModuleNfc.NfcFunctions.NFC_DISABLE_DISCOVERY.getNfcIntent());
                        return;
                    case 2:
                        new Thread() {
                            /* class com.sec.factory.app.ui.UINfcTypeB.AnonymousClass1.AnonymousClass1 */

                            /* JADX WARNING: Removed duplicated region for block: B:36:0x0124 A[Catch:{ IOException -> 0x0148, all -> 0x0145 }] */
                            public void run() {
                                IsoDep isoDep = IsoDep.get(UINfcTypeB.this.mTag);
                                byte[] setIndexCmd = {0, FactoryTestManager.TEST_BARCODE_EMUL, FactoryTestManager.TEST_CAPTURE, 0, 0};
                                byte[] readCmd = {0, FactoryTestManager.TEST_CHARGE_TEST, 0, 0, 4};
                                Message msg = new Message();
                                boolean occurProblem = true;
                                try {
                                    isoDep.connect();
                                    byte[] tagRsp = isoDep.transceive(setIndexCmd);
                                    String str = UINfcTypeB.this.CLASS_NAME;
                                    FtUtil.log_i(str, "tagRsp : " + Arrays.toString(tagRsp));
                                    if (tagRsp[0] == -112 && tagRsp.length >= 2) {
                                        if (tagRsp[1] == 0) {
                                            byte[] tagRsp2 = isoDep.transceive(readCmd);
                                            if (tagRsp2 == null) {
                                                msg.obj = "readCmd error, tagRsp is null";
                                            } else {
                                                String str2 = UINfcTypeB.this.CLASS_NAME;
                                                FtUtil.log_i(str2, "tagRsp : " + Arrays.toString(tagRsp2));
                                                if (tagRsp2.length != 6) {
                                                    msg.obj = "readCmd error, tagRsp is too short";
                                                } else {
                                                    if (tagRsp2[4] == -112) {
                                                        if (tagRsp2[5] == 0) {
                                                            String tagData = String.format("%02X%02X%02X%02X", Byte.valueOf(tagRsp2[0]), Byte.valueOf(tagRsp2[1]), Byte.valueOf(tagRsp2[2]), Byte.valueOf(tagRsp2[3]));
                                                            if (tagRsp2[0] == 19 && tagRsp2[1] == 19 && tagRsp2[2] == 19 && tagRsp2[3] == 19) {
                                                                FtUtil.log_i(UINfcTypeB.this.CLASS_NAME, "read 13MHz data");
                                                                if (UINfcTypeB.this.mTestSequence == UINfcTypeB.this.START_13MHZ) {
                                                                    occurProblem = false;
                                                                    msg.what = 5;
                                                                    msg.obj = tagData;
                                                                    UINfcTypeB.this.isPass = true;
                                                                    UINfcTypeB.this.mHandler.sendMessage(msg);
                                                                    UINfcTypeB.this.mHandler.sendEmptyMessageDelayed(6, 2000);
                                                                } else {
                                                                    msg.obj = "This tag data is not correct for sequence";
                                                                }
                                                            }
                                                        }
                                                    }
                                                    msg.obj = "readCmd error, status is not 9000";
                                                }
                                            }
                                            if (occurProblem) {
                                                msg.what = 4;
                                                UINfcTypeB.this.mHandler.sendMessage(msg);
                                            }
                                            isoDep.close();
                                        }
                                    }
                                    msg.obj = "setIndexCmd error";
                                    if (occurProblem) {
                                    }
                                    try {
                                        isoDep.close();
                                    } catch (IOException e) {
                                        FtUtil.log_i(UINfcTypeB.this.CLASS_NAME, e.toString());
                                    }
                                } catch (IOException e2) {
                                    FtUtil.log_i(UINfcTypeB.this.CLASS_NAME, e2.toString());
                                    isoDep.close();
                                } catch (Throwable e3) {
                                    try {
                                        isoDep.close();
                                    } catch (IOException e4) {
                                        FtUtil.log_i(UINfcTypeB.this.CLASS_NAME, e4.toString());
                                    }
                                    throw e3;
                                }
                            }
                        }.start();
                        return;
                    case 3:
                    default:
                        return;
                    case 4:
                        String strResult = msg.obj != null ? msg.obj.toString() : "error : unknown";
                        String str = UINfcTypeB.this.CLASS_NAME;
                        StringBuilder sb = new StringBuilder();
                        sb.append("[UTOPIA_NFC_TYPEB]");
                        String itemName_RequestCode = FactoryTestManager.getItemName_RequestCode(165);
                        sb.append(FtUtil.setMspSeqMessage(1, itemName_RequestCode, "(NFC_FT) TEST FAIL reason : " + strResult));
                        FtUtil.log_d(str, "mHandler.handleMessage", sb.toString());
                        UINfcTypeB.this.sendBroadcast(ModuleNfc.NfcFunctions.NFC_DISABLE_DISCOVERY.getNfcIntent());
                        UINfcTypeB.this.nfcTagResultView(false, null);
                        return;
                    case 5:
                        String str2 = UINfcTypeB.this.CLASS_NAME;
                        StringBuilder sb2 = new StringBuilder();
                        sb2.append("[UTOPIA_NFC_TYPEB]");
                        String itemName_RequestCode2 = FactoryTestManager.getItemName_RequestCode(165);
                        StringBuilder sb3 = new StringBuilder();
                        sb3.append("(NFC_FT) TEST PASS mTestSequence : ");
                        UINfcTypeB uINfcTypeB = UINfcTypeB.this;
                        sb3.append(uINfcTypeB.convertTestSequenceToString(uINfcTypeB.mTestSequence));
                        sb2.append(FtUtil.setMspSeqMessage(1, itemName_RequestCode2, sb3.toString()));
                        FtUtil.log_d(str2, "mHandler.handleMessage", sb2.toString());
                        UINfcTypeB.this.nfcTagResultView(true, msg.obj.toString());
                        return;
                    case 6:
                        String str3 = UINfcTypeB.this.CLASS_NAME;
                        FtUtil.log_d(str3, "mHandler.handleMessage", "[UTOPIA_NFC_TYPEB]MSG_FINISH_TEST, result : " + UINfcTypeB.this.isPass);
                        if (UINfcTypeB.this.isPass) {
                            UINfcTypeB.this.setTestResult((byte) 80);
                        }
                        UINfcTypeB.this.finish();
                        return;
                }
            }
        };
        this.mReceiver = new BroadcastReceiver() {
            /* class com.sec.factory.app.ui.UINfcTypeB.AnonymousClass2 */

            public void onReceive(Context context, Intent intent) {
                String mAction = intent.getAction();
                String str = UINfcTypeB.this.CLASS_NAME;
                FtUtil.log_d(str, "onReceive", "mAction: " + mAction);
                if (UINfcTypeB.NFC_TYPE_B_TEST_FINISH.equals(mAction)) {
                    UINfcTypeB.this.finish();
                }
            }
        };
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_nfc_type_b);
        setAtCmd(getIntent().getBooleanExtra("mIsAtCmd", false));
        this.mTestItem = Support.TestCase.getString(Support.TestCase.NFC_TYPE_B_TEST_ITEM);
        initUI();
        initNfc();
        this.mTestSequence = this.START_13MHZ;
        this.mHandler.sendEmptyMessage(0);
    }

    private void initNfc() {
        IntentFilter mFilter = new IntentFilter();
        mFilter.addAction(NFC_TYPE_B_TEST_FINISH);
        registerReceiver(this.mReceiver, mFilter);
        this.mNfcAdapter = NfcAdapter.getDefaultAdapter(this);
        this.pendingIntent = PendingIntent.getActivity(this, 0, new Intent(this, getClass()).addFlags(536870912), QFSEvent.QUALITY_PARTIAL_TOUCH);
        IntentFilter intentFilter = new IntentFilter("android.nfc.action.TECH_DISCOVERED");
        this.nfcFilter = intentFilter;
        this.intentFiltersArray = new IntentFilter[]{intentFilter};
        this.techListsArray = new String[][]{new String[]{NfcB.class.getName()}};
    }

    private void initUI() {
        this.m13mhz_title = (TextView) findViewById(R.id.title_13mhz);
        this.m13mhzTable = (TableLayout) findViewById(R.id.table_13mhz);
        this.m13mhz_data = (TextView) findViewById(R.id.get_13mhz_data);
        this.m13mhz_result = (TextView) findViewById(R.id.tag_13mhz_result);
        Button button = (Button) findViewById(R.id.nfc_type_exit);
        this.mExitBtn = button;
        button.setOnClickListener(this);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        this.mNfcAdapter.enableForegroundDispatch(this, this.pendingIntent, this.intentFiltersArray, this.techListsArray);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        this.mNfcAdapter.disableForegroundDispatch(this);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        if (this.mTestSequence != this.PENDING) {
            this.mHandler.removeCallbacksAndMessages(null);
        }
        this.mHandler.sendEmptyMessage(1);
        unregisterReceiver(this.mReceiver);
        super.onDestroy();
    }

    public void onClick(View v) {
        if (v.getId() == R.id.nfc_type_exit) {
            String str = this.CLASS_NAME;
            FtUtil.log_d(str, "onClick", "[UTOPIA_NFC_TYPEB]" + FtUtil.setMspSeqMessage(1, FactoryTestManager.getItemName_RequestCode(165), "exit button (onClick method)"));
            finish();
        }
    }

    public void onNewIntent(Intent intent) {
        if (intent.getAction().equals("android.nfc.action.TECH_DISCOVERED")) {
            FtUtil.log_d(this.CLASS_NAME, "onNewIntent", "[UTOPIA_NFC_TYPEB]receive Intent ACTION_TECH_DISCOVERED");
            this.mTag = (Tag) intent.getParcelableExtra("android.nfc.extra.TAG");
            this.mHandler.sendEmptyMessage(2);
            return;
        }
        FtUtil.log_d(this.CLASS_NAME, "onNewIntent", "[UTOPIA_NFC_TYPEB]receive Intent UNKNOWN");
        finish();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void nfcTagResultView(boolean isPass2, String tagData) {
        TextView resultView = this.m13mhz_result;
        TextView tagDataView = this.m13mhz_data;
        if (isPass2) {
            resultView.setText("PASS");
            resultView.setTextColor(UiHallICTest.FONT_COLOR_PASS);
        } else {
            resultView.setText("FAIL");
            resultView.setTextColor(-65536);
            setTestResultFailCase(this.TEST_ID, "NFC Tag Read Fail : Error / Unknown");
        }
        resultView.setVisibility(0);
        if (tagData != null) {
            tagDataView.setText(tagData);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private String convertTestSequenceToString(int testSequence) {
        if (testSequence == this.PENDING) {
            return "PENDING";
        }
        if (testSequence == this.START_13MHZ) {
            return "START_13MHZ";
        }
        return "null";
    }
}
