package com.sec.factory.app.ui;

import android.content.Intent;
import android.nfc.NfcAdapter;
import android.os.Bundle;
import android.os.Handler;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.app.ui.UCTTestBase;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import java.util.LinkedList;
import java.util.Queue;

public class UIUCTTest extends UIBase {
    private final String CLASS_NAME = "UIUCTTest";
    private UCTTestBase.TestResultListener mTestResultListener = new UCTTestBase.TestResultListener() {
        /* class com.sec.factory.app.ui.UIUCTTest.AnonymousClass1 */

        @Override // com.sec.factory.app.ui.UCTTestBase.TestResultListener
        public synchronized void onTestEnd(int TEST, boolean _bRes) {
            FtUtil.log_d("UIUCTTest", "onTestEnd", TEST + " is " + _bRes);
            if (_bRes) {
                UIUCTTest.this.checkAndSetNV(TEST);
            }
            UIUCTTest.this.mUCTTest[TEST].endTest();
            UIUCTTest.this.uctQueue.poll();
            if (!UIUCTTest.this.uctQueue.isEmpty()) {
                ((UCTTestBase) UIUCTTest.this.uctQueue.element()).startTest();
            } else if (UIUCTTest.this.isAllPass()) {
                UIUCTTest.this.setUCTTestResult();
            } else {
                UIUCTTest.this.tvUCTResult.setText("FAIL");
                UIUCTTest.this.tvUCTResult.setTextColor(-65536);
            }
        }
    };
    private UCTTestBase[] mUCTTest;
    private TextView tvUCTResult;
    private Queue<UCTTestBase> uctQueue;

    public UIUCTTest() {
        super("UIUCTTest", 203);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_uct);
        init();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void checkAndSetNV(int TEST) {
        String strTestcase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML(203));
        switch (TEST) {
            case 0:
                setTestResult(77, (byte) 80);
                return;
            case 1:
            case 2:
                if ((!strTestcase.contains(Support.TestCase.OTG3) || this.mUCTTest[2].isPass()) && (!strTestcase.contains(Support.TestCase.OTG2) || this.mUCTTest[1].isPass())) {
                    setTestResult(24, (byte) 80);
                    return;
                } else {
                    FtUtil.log_d("UIUCTTest", "onTestEnd", "All OTG enabled Items are not Pass.");
                    return;
                }
            case 3:
            case 4:
            case 5:
            case 6:
                if ((!this.mUCTTest[3].isEnable() || this.mUCTTest[3].isPass()) && ((!this.mUCTTest[6].isEnable() || this.mUCTTest[6].isPass()) && ((!this.mUCTTest[4].isEnable() || this.mUCTTest[4].isPass()) && (!this.mUCTTest[5].isEnable() || this.mUCTTest[5].isPass())))) {
                    setTestResult(138, (byte) 80);
                    return;
                } else {
                    FtUtil.log_d("UIUCTTest", "onTestEnd", "All PD enabled Items are not Pass.");
                    return;
                }
            default:
                return;
        }
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    private int getTestIDFromString(String item) {
        char c;
        switch (item.hashCode()) {
            case -612249327:
                if (item.equals(Support.TestCase.VCONN_CHARGE)) {
                    c = 2;
                    break;
                }
                c = 65535;
                break;
            case -376891669:
                if (item.equals(Support.TestCase.WATER_DETECT)) {
                    c = 3;
                    break;
                }
                c = 65535;
                break;
            case -342284243:
                if (item.equals(Support.TestCase.LOAD_CHARGE)) {
                    c = 1;
                    break;
                }
                c = 65535;
                break;
            case 2436464:
                if (item.equals(Support.TestCase.OTG2)) {
                    c = 6;
                    break;
                }
                c = 65535;
                break;
            case 2436465:
                if (item.equals(Support.TestCase.OTG3)) {
                    c = 7;
                    break;
                }
                c = 65535;
                break;
            case 81036994:
                if (item.equals(Support.TestCase.USB31)) {
                    c = 4;
                    break;
                }
                c = 65535;
                break;
            case 81036995:
                if (item.equals(Support.TestCase.USB32)) {
                    c = 5;
                    break;
                }
                c = 65535;
                break;
            case 84717407:
                if (item.equals(Support.TestCase.PD_CHARGE)) {
                    c = 0;
                    break;
                }
                c = 65535;
                break;
            default:
                c = 65535;
                break;
        }
        switch (c) {
            case 0:
                return 3;
            case 1:
                return 4;
            case 2:
                return 5;
            case 3:
                return 6;
            case 4:
                return 0;
            case 5:
                return 0;
            case 6:
                return 1;
            case 7:
                return 2;
            default:
                return -1;
        }
    }

    public void init() {
        this.uctQueue = new LinkedList();
        FtUtil.log_i("UIUCTTest", "init", "");
        this.tvUCTResult = (TextView) findViewById(R.id.uct_result);
        UCTTestBase[] uCTTestBaseArr = new UCTTestBase[7];
        this.mUCTTest = uCTTestBaseArr;
        uCTTestBaseArr[0] = new UCTUSBTest(this, this.mTestResultListener);
        this.mUCTTest[2] = new UCTOTG3Test(this, this.mTestResultListener);
        this.mUCTTest[1] = new UCTOTG2Test(this, this.mTestResultListener);
        this.mUCTTest[3] = new UCTPDChargeTest(this, this.mTestResultListener);
        this.mUCTTest[4] = new UCTLoadChargeTest(this, this.mTestResultListener);
        this.mUCTTest[5] = new UCTVConnTest(this, this.mTestResultListener);
        this.mUCTTest[6] = new UCTWaterDetectTest(this, this.mTestResultListener);
        String strTestcase = Support.FactoryTestMenu.getTestCase(FactoryTestManager.convertorID_XML(203));
        FtUtil.log_i("UIUCTTest", "init", "testcase : " + strTestcase);
        this.mUCTTest[0].init(strTestcase.contains(Support.TestCase.USB3));
        this.mUCTTest[1].init(strTestcase.contains(Support.TestCase.OTG2));
        this.mUCTTest[2].init(strTestcase.contains(Support.TestCase.OTG3));
        this.mUCTTest[3].init(strTestcase.contains(Support.TestCase.PD_CHARGE));
        this.mUCTTest[4].init(strTestcase.contains(Support.TestCase.LOAD_CHARGE));
        this.mUCTTest[5].init(strTestcase.contains(Support.TestCase.VCONN_CHARGE));
        this.mUCTTest[6].init(strTestcase.contains(Support.TestCase.WATER_DETECT));
        String[] uctTestItemsStr = strTestcase.split(",");
        for (int i = 0; i < uctTestItemsStr.length; i++) {
            FtUtil.log_i("UIUCTTest", "getTestIDFromString", uctTestItemsStr[i].trim());
            this.uctQueue.add(this.mUCTTest[getTestIDFromString(uctTestItemsStr[i].trim())]);
        }
        if (this.uctQueue.isEmpty()) {
            FtUtil.log_d("UIUCTTest", "init", "No UCT item available to run.");
        } else {
            this.uctQueue.element().startTest();
        }
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        UCTTestBase[] uCTTestBaseArr = this.mUCTTest;
        if (uCTTestBaseArr[3] != null) {
            uCTTestBaseArr[3].removeHandleMessage();
        }
        super.onDestroy();
        NfcAdapter nfc = NfcAdapter.getDefaultAdapter(getApplicationContext());
        if (nfc != null && nfc.isEnabled()) {
            Intent intent = new Intent("com.samsung.android.nfc.test.action.REQUEST");
            intent.putExtra("com.samsung.android.nfc.test.extra.ID", 3);
            sendBroadcast(intent);
            FtUtil.log_d("UIUCTTest", "when screen off / on. NFC RF discovery was enabled. so must be disabled before exit here");
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setUCTTestResult() {
        FtUtil.log_e("UIUCTTest", "setTestResult", "pass!");
        this.tvUCTResult.setText("PASS");
        this.tvUCTResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
        new Handler().postDelayed(new Runnable() {
            /* class com.sec.factory.app.ui.UIUCTTest.AnonymousClass2 */

            public void run() {
                FtUtil.log_d("UIUCTTest", "run", "finish");
                UIUCTTest.this.finish();
            }
        }, 3000);
    }

    public boolean isAllPass() {
        int i = 0;
        while (true) {
            UCTTestBase[] uCTTestBaseArr = this.mUCTTest;
            if (i >= uCTTestBaseArr.length) {
                return true;
            }
            if (!uCTTestBaseArr[i].isEnable() || this.mUCTTest[i].isPass()) {
                i++;
            } else {
                FtUtil.log_i("UIUCTTest", "isAllPass", i + "th test is not pass");
                return false;
            }
        }
    }
}
