package com.sec.factory.app.ui;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.widget.TextView;
import com.sec.factory.R;
import com.sec.factory.modules.ModuleDevice;
import com.sec.factory.modules.ModulePower;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.optical.client.api.EgisFingerprint;
import java.io.File;
import java.util.ArrayList;
import java.util.Collections;

public class UIUSBTypeCTest extends UIBase {
    private static final String ACTION_USB_STATE = "android.hardware.usb.action.USB_STATE";
    private static final String AFC_OFF = "1";
    private static final String AFC_ON = "0";
    private static final String CHARGE_MODE_TO_DEFAULT = "0";
    private static final String CHARGE_MODE_TO_DUAL = "3";
    private static final String CHARGE_MODE_TO_MASTER = "1";
    private static final String CHARGE_MODE_TO_SLAVE = "2";
    private static final String DUAL_CHARGE_MODE_OFF = "0";
    private static final String DUAL_CHARGE_MODE_ON = "3";
    private static final int MSG_ALL_TEST_END = 5;
    private static final int MSG_PDCHARGE_CHECK_LCD_ON = 4;
    private static final int MSG_PDCHARGE_SELFTEST_START = 2;
    private static final int MSG_PDCHARGE_TEST_END = 3;
    private static final int MSG_PDCHARGE_TEST_START = 1;
    private static final String VOLTAGE_12V = "12V";
    private static final String VOLTAGE_5V = "5V";
    private static final String VOLTAGE_9V = "9V";
    private final int AVER_PD_CNT = 5;
    private final String CLASS_NAME = "UIUSBTypeCTest";
    private final String NG = "NG";
    private final String OK = "OK";
    private final int TEST_STATE_CHECK_PD;
    private final int TEST_STATE_CHECK_USB2;
    private final int TEST_STATE_CHECK_USB3;
    private final int TEST_STATE_END;
    private int dummy = 0;
    private boolean isPDTested;
    private int mAvgPDCurrent = 0;
    private BroadcastReceiver mBroadcastReceiver;
    private int mCntLCDOn;
    private int mCurrentCount;
    private Handler mHandler;
    private ModuleDevice mModuleDevice;
    private ModulePower mModulePower;
    private ArrayList<Integer> mPDCurrentList = new ArrayList<>();
    private int mPDCurrentSpecMax;
    private int mPDCurrentSpecMin;
    private int mState;
    private String mStrTestName;
    private int mTestCount;
    private BroadcastReceiver mUSBStorageReceiver;
    private TextView tvPDCheckResult;
    private TextView tvPDCurrent;
    private TextView tvPDMode;
    private TextView tvPDResult;
    private TextView tvPDSpecMax;
    private TextView tvPDSpecMin;
    private TextView tvPDVoltage;
    private TextView tvUSB2TestResult;
    private TextView tvUSB3TestResult;

    public UIUSBTypeCTest() {
        super("UIUSBTypeCTest", 78);
        int i = 0 + 1;
        this.dummy = i;
        this.TEST_STATE_CHECK_USB2 = 0;
        int i2 = i + 1;
        this.dummy = i2;
        this.TEST_STATE_CHECK_USB3 = i;
        int i3 = i2 + 1;
        this.dummy = i3;
        this.TEST_STATE_CHECK_PD = i2;
        this.dummy = i3 + 1;
        this.TEST_STATE_END = i3;
        this.mStrTestName = "USB 3";
        this.mState = 0;
        this.isPDTested = false;
        this.mUSBStorageReceiver = null;
        this.mHandler = new Handler() {
            /* class com.sec.factory.app.ui.UIUSBTypeCTest.AnonymousClass1 */

            /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
            public void handleMessage(Message msg) {
                switch (msg.what) {
                    case 1:
                        FtUtil.log_d("UIUSBTypeCTest", "PD_Handler", "MSG_PDCHARGE_TEST_START");
                        UIUSBTypeCTest.this.readPDChargeData();
                        return;
                    case 2:
                        FtUtil.log_d("UIUSBTypeCTest", "PD_Handler", "MSG_PDCHARGE_SELFTEST_START");
                        UIUSBTypeCTest.this.readPDCurrent();
                        return;
                    case 3:
                        FtUtil.log_d("UIUSBTypeCTest", "PD_Handler", "MSG_PDCHARGE_TEST_END");
                        UIUSBTypeCTest.this.endPDMeasure();
                        UIUSBTypeCTest.this.mHandler.sendEmptyMessageDelayed(5, 1500);
                        break;
                    case 4:
                        FtUtil.log_d("UIUSBTypeCTest", "PD_Handler", "MSG_PDCHARGE_CHECK_LCD_ON");
                        UIUSBTypeCTest.this.checkPDLCDOn();
                        return;
                    case 5:
                        break;
                    default:
                        return;
                }
                UIUSBTypeCTest.this.passUSBTypeCTest();
                UIUSBTypeCTest.this.finish();
            }
        };
        this.mBroadcastReceiver = new BroadcastReceiver() {
            /* class com.sec.factory.app.ui.UIUSBTypeCTest.AnonymousClass2 */

            public void onReceive(Context context, Intent intent) {
                String action = intent.getAction();
                FtUtil.log_d("UIUSBTypeCTest", "mBroadcastReceiver.onReceive", "action=" + action);
                if (action.equals("android.intent.action.BATTERY_CHANGED")) {
                    int plugged = intent.getIntExtra("plugged", 0);
                    if (UIUSBTypeCTest.this.mState == UIUSBTypeCTest.this.TEST_STATE_CHECK_PD && plugged == 1 && !UIUSBTypeCTest.this.isPDTested) {
                        UIUSBTypeCTest.this.isPDTested = true;
                        FtUtil.log_d("UIUSBTypeCTest", "Battery State: " + plugged);
                        FtUtil.log_d("UIUSBTypeCTest", "onReceive", "delay for 3000ms to read VBUS for PD Charge");
                        UIUSBTypeCTest.this.mHandler.sendEmptyMessageDelayed(1, 3000);
                    }
                }
            }
        };
        this.mTestCount = 0;
        this.mCurrentCount = 0;
        this.mCntLCDOn = 0;
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ui_usbtypec);
        init();
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onResume() {
        super.onResume();
        registerUSBReceiver();
        IntentFilter mIntentFilter = new IntentFilter();
        mIntentFilter.addAction("android.intent.action.BATTERY_CHANGED");
        registerReceiver(this.mBroadcastReceiver, mIntentFilter);
    }

    /* access modifiers changed from: protected */
    @Override // com.sec.factory.app.ui.UIBase
    public void onPause() {
        super.onPause();
        unregisterUSBReceiver();
        unregisterReceiver(this.mBroadcastReceiver);
    }

    @Override // com.sec.factory.app.ui.UIBase
    public void onDestroy() {
        super.onDestroy();
        this.mHandler.removeMessages(1);
        this.mHandler.removeMessages(2);
        this.mHandler.removeMessages(3);
        this.mHandler.removeMessages(4);
        this.mHandler.removeMessages(5);
    }

    public void init() {
        this.mState = this.TEST_STATE_CHECK_USB3;
        this.tvUSB2TestResult = (TextView) findViewById(R.id.usbtypec_usb2_result);
        this.tvUSB3TestResult = (TextView) findViewById(R.id.usbtypec_usb3_result);
        this.mModuleDevice = ModuleDevice.instance(this);
        this.mModulePower = ModulePower.instance(this);
        this.tvPDMode = (TextView) findViewById(R.id.tv_pdchargetest_mode);
        this.tvPDVoltage = (TextView) findViewById(R.id.tv_pdchargetest_voltage);
        this.tvPDCheckResult = (TextView) findViewById(R.id.tv_pdchargetest_check_result);
        this.tvPDSpecMin = (TextView) findViewById(R.id.tv_pdchargetest_spec_min);
        this.mPDCurrentSpecMin = Support.Spec.getInt(Support.Spec.PD_CHARGE_SPEC_MIN);
        TextView textView = this.tvPDSpecMin;
        textView.setText("" + this.mPDCurrentSpecMin);
        this.tvPDSpecMax = (TextView) findViewById(R.id.tv_pdchargetest_spec_max);
        this.mPDCurrentSpecMax = Support.Spec.getInt(Support.Spec.PD_CHARGE_SPEC_MAX);
        TextView textView2 = this.tvPDSpecMax;
        textView2.setText("" + this.mPDCurrentSpecMax);
        this.tvPDCurrent = (TextView) findViewById(R.id.tv_pdchargetest_current);
        this.tvPDResult = (TextView) findViewById(R.id.tv_pdchargetest_result);
        FtUtil.log_d("UIUSBTypeCTest", "init", "");
    }

    public void registerUSBReceiver() {
        if (this.mUSBStorageReceiver == null) {
            IntentFilter filter = new IntentFilter();
            filter.addAction(ACTION_USB_STATE);
            UsbReceiver usbReceiver = new UsbReceiver(filter);
            this.mUSBStorageReceiver = usbReceiver;
            registerReceiver(usbReceiver, filter);
            FtUtil.log_d("UIUSBTypeCTest", "registerUSBReceiver", "");
        }
    }

    public void unregisterUSBReceiver() {
        BroadcastReceiver broadcastReceiver = this.mUSBStorageReceiver;
        if (broadcastReceiver != null) {
            unregisterReceiver(broadcastReceiver);
            this.mUSBStorageReceiver = null;
            FtUtil.log_i("UIUSBTypeCTest", "unregisterUSBReceiver", null);
        }
    }

    /* access modifiers changed from: private */
    public class UsbReceiver extends BroadcastReceiver {
        public UsbReceiver(IntentFilter filter) {
            FtUtil.log_i("UIUSBTypeCTest", "UsbReceiver", null);
        }

        public void onReceive(Context context, Intent intent) {
            String action = intent.getAction();
            FtUtil.log_d("UIUSBTypeCTest", "mBroadcastReceiver.onReceive", "action=" + action);
            if (UIUSBTypeCTest.ACTION_USB_STATE.equals(action)) {
                boolean connected = intent.getExtras().getBoolean("connected");
                boolean configured = intent.getExtras().getBoolean("configured");
                FtUtil.log_d("UIUSBTypeCTest", "USB State: " + connected + " Configured : " + configured);
                String mStrUSBType = ModuleDevice.instance(context).getUSBType();
                if (connected && configured) {
                    if ("0210".equals(mStrUSBType)) {
                        FtUtil.log_d("UIUSBTypeCTest", "USB TYPE : " + mStrUSBType);
                        if (UIUSBTypeCTest.this.mState == UIUSBTypeCTest.this.TEST_STATE_CHECK_USB2) {
                            UIUSBTypeCTest.this.tvUSB2TestResult.setText("P");
                            UIUSBTypeCTest.this.tvUSB2TestResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                            UIUSBTypeCTest uIUSBTypeCTest = UIUSBTypeCTest.this;
                            uIUSBTypeCTest.mState = uIUSBTypeCTest.TEST_STATE_CHECK_PD;
                            UIUSBTypeCTest.this.passUSBTest();
                        }
                    } else if ("0310".equals(mStrUSBType)) {
                        FtUtil.log_d("UIUSBTypeCTest", "USB TYPE : " + mStrUSBType);
                        if (UIUSBTypeCTest.this.mState == UIUSBTypeCTest.this.TEST_STATE_CHECK_USB3) {
                            UIUSBTypeCTest.this.tvUSB3TestResult.setText("P");
                            UIUSBTypeCTest.this.tvUSB3TestResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
                            UIUSBTypeCTest uIUSBTypeCTest2 = UIUSBTypeCTest.this;
                            uIUSBTypeCTest2.mState = uIUSBTypeCTest2.TEST_STATE_CHECK_USB2;
                        }
                    } else {
                        FtUtil.log_d("UIUSBTypeCTest", "connected and configure, but USB Type is " + mStrUSBType);
                        FtUtil.log_d("UIUSBTypeCTest", "USB type isn't " + UIUSBTypeCTest.this.mStrTestName);
                    }
                }
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void readPDChargeData() {
        Support.Kernel.write(Support.Kernel.SEC_MULTI_CHARGER_MODE, EgisFingerprint.MAJOR_VERSION);
        String strMultiChargeMode = Support.Kernel.read(Support.Kernel.SEC_MULTI_CHARGER_MODE);
        this.tvPDMode.setText(strMultiChargeMode);
        String strPDVoltage = Support.Kernel.read(Support.Kernel.SEC_CHARGING_VOLTAGE);
        this.tvPDVoltage.setText(strPDVoltage);
        String strPDVoltageSpec = Support.Spec.getString(Support.Spec.PD_VOLTAGE_IN_USBTYPEC);
        FtUtil.log_i("UIUSBTypeCTest", "readPDChargeData", "MultiChargeMode : " + strMultiChargeMode + " PDVoltage : " + strPDVoltage + " PDVoltageSpec : " + strPDVoltageSpec);
        boolean isVoltageSpecIn = strPDVoltageSpec.equalsIgnoreCase(Support.Kernel.read(Support.Kernel.SEC_CHARGING_VOLTAGE));
        boolean isPDCheckPSReady = egis.client.api.EgisFingerprint.MAJOR_VERSION.equalsIgnoreCase(Support.Kernel.read(Support.Kernel.PD_CHECK_PS_READY));
        boolean isDualChargeMode = "dual".equalsIgnoreCase(Support.Kernel.read(Support.Kernel.SEC_MULTI_CHARGER_MODE));
        int i = this.mTestCount + 1;
        this.mTestCount = i;
        if (i > 20) {
            this.tvPDCheckResult.setTextColor(-65536);
            this.tvPDCheckResult.setText("NG");
            this.tvPDResult.setTextColor(-65536);
            this.tvPDResult.setText("F");
            FtUtil.log_i("UIUSBTypeCTest", "readPDChargeData", "fail,  isVoltageSpecIn : " + isVoltageSpecIn + " isPDCheckPSReady : " + isPDCheckPSReady + " isDualChargeMode : " + isDualChargeMode);
        } else if (!isPDCheckPSReady || !isDualChargeMode || !isVoltageSpecIn) {
            FtUtil.log_i("UIUSBTypeCTest", "readPDChargeData", "/ delay 0.5 sec - TestCount : " + this.mTestCount);
            this.mHandler.sendEmptyMessageDelayed(1, 500);
        } else {
            this.tvPDCheckResult.setText("OK");
            this.tvPDCheckResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
            FtUtil.log_i("UIUSBTypeCTest", "readPDChargeData", "pass");
            this.mHandler.sendEmptyMessageDelayed(4, 2000);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void readPDCurrent() {
        int i = this.mCurrentCount + 1;
        this.mCurrentCount = i;
        if (i <= 5) {
            this.mPDCurrentList.add(Integer.valueOf(Integer.parseInt(Support.Kernel.read(Support.Kernel.HV_CHARGE_CURRENT)) / 1000));
            StringBuilder sb = new StringBuilder();
            sb.append("Charge Current : ");
            ArrayList<Integer> arrayList = this.mPDCurrentList;
            sb.append(arrayList.get(arrayList.size() - 1));
            sb.append(" / mCurrentCount : ");
            sb.append(this.mCurrentCount);
            FtUtil.log_i("UIUSBTypeCTest", "readcurrent", sb.toString());
            this.mHandler.sendEmptyMessageDelayed(2, 400);
            return;
        }
        this.mCurrentCount = 0;
        averagePDCurrent();
    }

    private void averagePDCurrent() {
        FtUtil.log_d("UIUSBTypeCTest", "averagePDCurrent", "");
        Collections.sort(this.mPDCurrentList);
        ArrayList<Integer> arrayList = this.mPDCurrentList;
        arrayList.remove(arrayList.size() - 1);
        this.mPDCurrentList.remove(0);
        Integer sum = 0;
        for (int i = 0; i < this.mPDCurrentList.size(); i++) {
            sum = Integer.valueOf(sum.intValue() + this.mPDCurrentList.get(i).intValue());
        }
        this.mAvgPDCurrent = (int) (((float) sum.intValue()) / 3.0f);
        this.mPDCurrentList.clear();
        TextView textView = this.tvPDCurrent;
        textView.setText("" + this.mAvgPDCurrent);
        FtUtil.log_i("UIUSBTypeCTest", "averagePDCurrent", "Averege Current : " + this.mAvgPDCurrent);
        checkCurrent();
    }

    private void checkCurrent() {
        this.mModulePower.doWakeLock(true);
        File dataAvgFile = new File("data/log/PDChargeData.log");
        Support.Kernel.writeToPathNsync(dataAvgFile.getPath(), Integer.toString(this.mAvgPDCurrent));
        FtUtil.log_i("UIUSBTypeCTest", "readFromPath", "PDChargeData.log : " + Support.Kernel.readFromPath(dataAvgFile.getPath(), true));
        int i = this.mAvgPDCurrent;
        if (i < this.mPDCurrentSpecMin || i > this.mPDCurrentSpecMax || !"OK".equals(this.tvPDCheckResult.getText().toString())) {
            FtUtil.log_i("UIUSBTypeCTest", "checkCurrent", "current SelfTest: FAIL ");
            this.tvPDResult.setTextColor(-65536);
            this.tvPDResult.setText("F");
            return;
        }
        FtUtil.log_i("UIUSBTypeCTest", "checkCurrent", "current SelfTest: PASS ");
        this.tvPDResult.setTextColor(UiHallICTest.FONT_COLOR_PASS);
        this.tvPDResult.setText("P");
        this.mHandler.sendEmptyMessageDelayed(3, 1000);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void endPDMeasure() {
        FtUtil.log_e("UIUSBTypeCTest", "endPDMeasure", "");
        this.mCurrentCount = 0;
        passPDTest();
        this.mHandler.removeMessages(1);
        this.mHandler.removeMessages(3);
        this.mHandler.removeMessages(2);
        this.mHandler.removeMessages(4);
    }

    public void checkPDLCDOn() {
        int i = this.mCntLCDOn;
        this.mCntLCDOn = i + 1;
        if (i == 5) {
            FtUtil.log_d("UIUSBTypeCTest", "handleMessage : LCD is not on state during 1 second.");
            this.mCntLCDOn = 0;
            this.mHandler.sendEmptyMessageDelayed(2, 400);
        } else if (this.mModulePower.isScreenOn()) {
            this.mModulePower.doPartialWakeLock(true);
            this.mModulePower.doWakeLock(false);
            if (Support.Feature.getBoolean(Support.Feature.NEED_LPA_MODE_SET, true)) {
                this.mModuleDevice.setLPAmode(ModuleDevice.LPA_MODE_DISABLE);
            }
            this.mModulePower.gotosleep();
            this.mHandler.sendEmptyMessageDelayed(2, 1000);
            this.mCntLCDOn = 0;
        } else {
            this.mHandler.sendEmptyMessageDelayed(4, 200);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void passUSBTest() {
        writeNV(70, true);
    }

    private void passPDTest() {
        this.mState = this.TEST_STATE_END;
        writeNV(138, true);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void passUSBTypeCTest() {
        FtUtil.log_i("UIUSBTypeCTest", "passUSBTypeCTest", "");
        setTestResultWithoutNV(78, (byte) 80);
    }

    private void writeNV(int id, boolean isPass) {
        if (isPass) {
            FtUtil.log_i("UIUSBTypeCTest", "writeNV", "id : " + id + " PASS");
            setTestResult(id, (byte) 80);
            return;
        }
        FtUtil.log_e("UIUSBTypeCTest", "writeNV", "FAIL");
    }
}
