package com.sec.factory.modules;

import android.app.Service;
import android.content.Intent;
import android.os.IBinder;
import com.sec.factory.app.factorytest.FactoryTestManager;
import com.sec.factory.modules.AccCoverManager;
import com.sec.factory.support.FtUtil;

public class AccCoverService extends Service {
    private static final String CLASS_NAME = "AccCoverService";
    public static int NG = 0;
    public static int PASS_ = 1;
    public static int PATH_FAIL = 2;
    public static int SHORT_FAIL = 3;
    private static final long mTimeOut = 1000;
    private TEST CURRENT_TEST;
    private AccCoverManager acManager;
    private boolean isDone = false;
    public boolean isPATHTimeout;
    public boolean isSHORTTImeout;
    private final AccCoverManager.onReceiveListener mListener = new AccCoverManager.onReceiveListener() {
        /* class com.sec.factory.modules.AccCoverService.AnonymousClass1 */

        @Override // com.sec.factory.modules.AccCoverManager.onReceiveListener
        public void onReceive(String result) {
            switch (AnonymousClass2.$SwitchMap$com$sec$factory$modules$AccCoverService$TEST[AccCoverService.this.CURRENT_TEST.ordinal()]) {
                case 1:
                    AccCoverService.this.isPATHTimeout = false;
                    if (AccCoverService.this.isCorrectData(result)) {
                        AccCoverService.this.CURRENT_TEST = TEST.SHORT;
                        AccCoverService.this.acManager.shortTest();
                        new TimeOutThread(TEST.SHORT).start();
                        return;
                    }
                    AccCoverService.this.sendResult(AccCoverService.PATH_FAIL);
                    return;
                case 2:
                    AccCoverService.this.isSHORTTImeout = false;
                    if (AccCoverService.this.isCorrectData(result)) {
                        AccCoverService.this.sendResult(AccCoverService.SHORT_FAIL);
                        return;
                    } else {
                        AccCoverService.this.sendResult(AccCoverService.PASS_);
                        return;
                    }
                default:
                    return;
            }
        }
    };

    /* access modifiers changed from: package-private */
    public enum TEST {
        PATH,
        SHORT
    }

    public void initStart() {
        this.isDone = false;
        this.isSHORTTImeout = false;
        this.isPATHTimeout = false;
        this.CURRENT_TEST = TEST.PATH;
        AccCoverManager instance = AccCoverManager.getInstance(this);
        this.acManager = instance;
        instance.initialize();
        this.acManager.registerListener(this.mListener);
        this.acManager.startRead();
        new TimeOutThread(TEST.PATH).start();
        this.acManager.pathTest();
    }

    /* renamed from: com.sec.factory.modules.AccCoverService$2  reason: invalid class name */
    static /* synthetic */ class AnonymousClass2 {
        static final /* synthetic */ int[] $SwitchMap$com$sec$factory$modules$AccCoverService$TEST;

        static {
            int[] iArr = new int[TEST.values().length];
            $SwitchMap$com$sec$factory$modules$AccCoverService$TEST = iArr;
            try {
                iArr[TEST.PATH.ordinal()] = 1;
            } catch (NoSuchFieldError e) {
            }
            try {
                $SwitchMap$com$sec$factory$modules$AccCoverService$TEST[TEST.SHORT.ordinal()] = 2;
            } catch (NoSuchFieldError e2) {
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean isCorrectData(String str) {
        FtUtil.log_d(CLASS_NAME, "isCorrectData", "TESTCMD = " + new String(AccCoverManager.TESTCMD).replaceAll("[^a-zA-Z]", "") + " / " + str.replaceAll("[^a-zA-Z]", ""));
        if (new String(AccCoverManager.TESTCMD).replaceAll("[^a-zA-Z]", "").equals(str.replaceAll("[^a-zA-Z]", ""))) {
            return true;
        }
        return false;
    }

    /* access modifiers changed from: private */
    public class TimeOutThread extends Thread {
        long startTime = System.currentTimeMillis();
        TEST t;

        public TimeOutThread(TEST t2) {
            this.t = t2;
            if (t2 == TEST.PATH) {
                AccCoverService.this.isPATHTimeout = true;
            } else if (t2 == TEST.SHORT) {
                AccCoverService.this.isSHORTTImeout = true;
            }
        }

        /* JADX WARNING: Code restructure failed: missing block: B:20:0x0060, code lost:
            if (r7.this$0.isSHORTTImeout != false) goto L_0x0062;
         */
        public void run() {
            FtUtil.log_d(AccCoverService.CLASS_NAME, "TimeoutThread", "Starting...");
            while (System.currentTimeMillis() - this.startTime < AccCoverService.mTimeOut && (this.t != TEST.PATH ? AccCoverService.this.isSHORTTImeout : AccCoverService.this.isPATHTimeout)) {
                try {
                    FtUtil.log_d(AccCoverService.CLASS_NAME, "TimeoutThread", "Running... : " + (System.currentTimeMillis() - this.startTime));
                    Thread.sleep(100);
                } catch (InterruptedException e) {
                    e.printStackTrace();
                }
            }
            try {
                if (this.t == TEST.PATH) {
                    if (AccCoverService.this.isPATHTimeout) {
                    }
                    FtUtil.log_d(AccCoverService.CLASS_NAME, "TimeoutThread", "Joining...");
                    join();
                    super.run();
                }
                if (this.t == TEST.PATH) {
                    AccCoverService.this.isPATHTimeout = false;
                    AccCoverService.this.sendResult(AccCoverService.PATH_FAIL);
                } else {
                    AccCoverService.this.isSHORTTImeout = false;
                    AccCoverService.this.sendResult(AccCoverService.PASS_);
                }
                FtUtil.log_d(AccCoverService.CLASS_NAME, "TimeoutThread", "Joining...");
                join();
            } catch (InterruptedException e2) {
                e2.printStackTrace();
            }
            super.run();
        }
    }

    public IBinder onBind(Intent arg0) {
        return null;
    }

    public void sendResult(int result) {
        this.acManager.unregisterListener(this.mListener);
        if (!this.isDone) {
            this.isDone = true;
            FtUtil.log_d(CLASS_NAME, "sendResult", "result = " + result);
            if (result == PASS_) {
                this.acManager.terminate();
                doNVUpdate(true);
            }
        }
        stopSelf();
    }

    private void doNVUpdate(boolean isPass) {
        int id = FactoryTestManager.getItemPosition_ID(104);
        if (id > -1) {
            FtUtil.log_d(CLASS_NAME, "doNVUpdate", "id = " + id + " / result = " + isPass);
            FactoryTestManager.setItemResult(id, isPass ? (byte) 80 : 70);
        }
    }

    public int onStartCommand(Intent intent, int flags, int startId) {
        initStart();
        return super.onStartCommand(intent, flags, startId);
    }

    public void onCreate() {
        super.onCreate();
    }

    public void onDestroy() {
        super.onDestroy();
    }
}
