package com.sec.factory.modules;

import android.content.Context;
import android.content.SharedPreferences;
import com.sec.factory.modules.ModuleForceTouch;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Iterator;

public class ForceTouchSelfTestHandler {
    private static final String CLASS_NAME = "ForceTouchSelfTestHandler";
    public static final String ITEM_FORCE_OFFSET = "Force Offset";
    public static final String ITEM_FORCE_PRE_DELTA = "Force Pre Delta";
    public static final String ITEM_IX = "Ix";
    public static final String ITEM_RAW_CAP = "Raw Cap";
    public static final String ITEM_RAW_DATA_JITTER = "Raw Data Jitter";
    private boolean[] mArrIsEnabledChannel = {true, true, true};
    public Context mContext;
    private ArrayList<SelfTestItem> mListTestItem = new ArrayList<>();
    private ModuleForceTouch mModuleForceTouch;
    private String mVendor;

    public ForceTouchSelfTestHandler(Context context) {
        this.mContext = context;
        ModuleForceTouch instance = ModuleForceTouch.instance(context);
        this.mModuleForceTouch = instance;
        this.mVendor = instance.getVendor();
        initTestItem();
        String testChannel = Support.TestCase.getString(Support.TestCase.FORCE_TOUCH_SELF_TEST_CHANNEL);
        this.mArrIsEnabledChannel[ModuleForceTouch.CHANNEL.LEFT.ordinal()] = testChannel.contains("left");
        this.mArrIsEnabledChannel[ModuleForceTouch.CHANNEL.CENTER.ordinal()] = testChannel.contains("center");
        this.mArrIsEnabledChannel[ModuleForceTouch.CHANNEL.RIGHT.ordinal()] = testChannel.contains("right");
    }

    private void initTestItem() {
        this.mListTestItem.clear();
        if (ModuleTouchScreen.TSP_VENDOR_NAME__STM.equalsIgnoreCase(this.mVendor)) {
            this.mListTestItem.add(new SelfTestItem(ITEM_RAW_CAP, Support.Spec.getString(Support.Spec.FORCE_TOUCH_RAW_CAP_MIN_STM), Support.Spec.getString(Support.Spec.FORCE_TOUCH_RAW_CAP_MAX_STM), ModuleForceTouch.FORCE_CMD__RUN_PRESSURE_RAWDATA_READ_ALL));
            this.mListTestItem.add(new SelfTestItem(ITEM_IX, Support.Spec.getString(Support.Spec.FORCE_TOUCH_IX_MIN_STM), Support.Spec.getString(Support.Spec.FORCE_TOUCH_IX_MAX_STM), ModuleForceTouch.FORCE_CMD__RUN_PRESSURE_IX_DATA_READ_ALL));
        } else if (ModuleTouchScreen.TSP_VENDOR_NAME__SEC.equalsIgnoreCase(this.mVendor)) {
            this.mListTestItem.add(new SelfTestItem(ITEM_FORCE_OFFSET, Support.Spec.getString(Support.Spec.FORCE_TOUCH_OFFSET_MIN_SEC), Support.Spec.getString(Support.Spec.FORCE_TOUCH_OFFSET_MAX_SEC), ModuleForceTouch.FORCE_CMD__RUN_PRESSURE_OFFSET_READ_ALL));
            this.mListTestItem.add(new SelfTestItem(ITEM_FORCE_PRE_DELTA, Support.Spec.getString(Support.Spec.FORCE_TOUCH_PRE_DELTA_MIN_SEC), Support.Spec.getString(Support.Spec.FORCE_TOUCH_PRE_DELTA_MAX_SEC), ModuleForceTouch.FORCE_CMD__RUN_PRESSURE_RAWDATA_READ_ALL));
        }
        this.mListTestItem.add(new SelfTestItem(ITEM_RAW_DATA_JITTER, "0", Support.Spec.getString(Support.Spec.FORCE_TOUCH_JITTER_MAX), ModuleForceTouch.FORCE_CMD__RUN_PRESSURE_JITTER_P2P_READ));
    }

    /* JADX WARNING: Code restructure failed: missing block: B:45:0x0121, code lost:
        r0 = e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:46:0x0123, code lost:
        r0 = e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:47:0x0124, code lost:
        r3 = false;
     */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Removed duplicated region for block: B:45:0x0121 A[ExcHandler: ArrayIndexOutOfBoundsException (e java.lang.ArrayIndexOutOfBoundsException), Splitter:B:38:0x00fe] */
    public void runSelfTest() {
        int channelLength;
        boolean z;
        NumberFormatException e;
        ArrayIndexOutOfBoundsException e2;
        int i = 1;
        this.mModuleForceTouch.setTestMode(true);
        int channelLength2 = ModuleForceTouch.CHANNEL.values().length;
        Iterator<SelfTestItem> it = this.mListTestItem.iterator();
        while (it.hasNext()) {
            SelfTestItem item = it.next();
            FtUtil.log_d(CLASS_NAME, "runSelfTest", "Test item : " + item.getStringItemName());
            FtUtil.log_d(CLASS_NAME, "runSelfTest", "(spec min : " + item.getStringSpecMin() + ", max : " + item.getStringSpecMax() + ")");
            String[] arrResult = this.mModuleForceTouch.getStringForceResult(item.getCommand()).split(",");
            String[] tempMinSpec = item.getStringSpecMin().split(",");
            String[] tempMaxSpec = item.getStringSpecMax().split(",");
            int[] arrMinSpec = new int[channelLength2];
            int[] arrMaxSpec = new int[channelLength2];
            for (int i2 = 0; i2 < channelLength2; i2++) {
                if (tempMinSpec.length == i) {
                    arrMinSpec[i2] = Integer.parseInt(tempMinSpec[0]);
                } else if (this.mArrIsEnabledChannel[i2]) {
                    arrMinSpec[i2] = Integer.parseInt(tempMinSpec[i2]);
                }
                if (tempMaxSpec.length == i) {
                    arrMaxSpec[i2] = Integer.parseInt(tempMaxSpec[0]);
                } else if (this.mArrIsEnabledChannel[i2]) {
                    arrMaxSpec[i2] = Integer.parseInt(tempMaxSpec[i2]);
                }
            }
            int i3 = 0;
            while (i3 < arrResult.length) {
                try {
                    if (!this.mArrIsEnabledChannel[i3]) {
                        try {
                            arrResult[i3] = "NONE";
                            channelLength = channelLength2;
                        } catch (NumberFormatException e3) {
                            e = e3;
                            channelLength = channelLength2;
                            z = false;
                            FtUtil.log_e(e);
                            item.setIsPass(z);
                            String result = Arrays.toString(arrResult).replaceAll(" ", "");
                            item.setStringResult(result.substring(1, result.length() - 1));
                            FtUtil.log_d(CLASS_NAME, "runSelfTest", "[" + item.getStringItemName() + "] :" + item.getIsPass());
                            i = 1;
                            channelLength2 = channelLength;
                        } catch (ArrayIndexOutOfBoundsException e4) {
                            e2 = e4;
                            channelLength = channelLength2;
                            FtUtil.log_e(e2);
                            item.setIsPass(false);
                            String result2 = Arrays.toString(arrResult).replaceAll(" ", "");
                            item.setStringResult(result2.substring(1, result2.length() - 1));
                            FtUtil.log_d(CLASS_NAME, "runSelfTest", "[" + item.getStringItemName() + "] :" + item.getIsPass());
                            i = 1;
                            channelLength2 = channelLength;
                        }
                    } else {
                        int tempValue = Integer.parseInt(arrResult[i3]);
                        if (tempValue < arrMinSpec[i3] || tempValue > arrMaxSpec[i3]) {
                            StringBuilder sb = new StringBuilder();
                            channelLength = channelLength2;
                            try {
                                sb.append("Spec Out[");
                                sb.append(item.getStringItemName());
                                sb.append("] :");
                                sb.append(tempValue);
                                FtUtil.log_d(CLASS_NAME, "runSelfTest", sb.toString());
                                z = false;
                                item.setIsPass(false);
                            } catch (NumberFormatException e5) {
                                e = e5;
                            } catch (ArrayIndexOutOfBoundsException e6) {
                            }
                        } else {
                            channelLength = channelLength2;
                        }
                    }
                    i3++;
                    channelLength2 = channelLength;
                } catch (NumberFormatException e7) {
                    e = e7;
                    channelLength = channelLength2;
                    z = false;
                    FtUtil.log_e(e);
                    item.setIsPass(z);
                    String result22 = Arrays.toString(arrResult).replaceAll(" ", "");
                    item.setStringResult(result22.substring(1, result22.length() - 1));
                    FtUtil.log_d(CLASS_NAME, "runSelfTest", "[" + item.getStringItemName() + "] :" + item.getIsPass());
                    i = 1;
                    channelLength2 = channelLength;
                } catch (ArrayIndexOutOfBoundsException e8) {
                    e2 = e8;
                    channelLength = channelLength2;
                    FtUtil.log_e(e2);
                    item.setIsPass(false);
                    String result222 = Arrays.toString(arrResult).replaceAll(" ", "");
                    item.setStringResult(result222.substring(1, result222.length() - 1));
                    FtUtil.log_d(CLASS_NAME, "runSelfTest", "[" + item.getStringItemName() + "] :" + item.getIsPass());
                    i = 1;
                    channelLength2 = channelLength;
                }
            }
            channelLength = channelLength2;
            String result2222 = Arrays.toString(arrResult).replaceAll(" ", "");
            item.setStringResult(result2222.substring(1, result2222.length() - 1));
            FtUtil.log_d(CLASS_NAME, "runSelfTest", "[" + item.getStringItemName() + "] :" + item.getIsPass());
            i = 1;
            channelLength2 = channelLength;
        }
        this.mModuleForceTouch.setTestMode(false);
        savePreference();
    }

    public void runSelfTestWithoutJitter() {
        int i = 0;
        while (true) {
            if (i >= this.mListTestItem.size()) {
                break;
            } else if (ITEM_RAW_DATA_JITTER.equals(this.mListTestItem.get(i).getStringItemName())) {
                this.mListTestItem.remove(i);
                break;
            } else {
                i++;
            }
        }
        runSelfTest();
    }

    public String getVendor() {
        return this.mVendor;
    }

    public String getStringItemResult(String itemName) {
        Iterator<SelfTestItem> it = this.mListTestItem.iterator();
        while (it.hasNext()) {
            SelfTestItem item = it.next();
            if (item.getStringItemName().equalsIgnoreCase(itemName)) {
                return item.getStringResult();
            }
        }
        return "NA";
    }

    public boolean getIsPassItem(String itemName) {
        Iterator<SelfTestItem> it = this.mListTestItem.iterator();
        while (it.hasNext()) {
            SelfTestItem item = it.next();
            if (item.getStringItemName().equalsIgnoreCase(itemName)) {
                return item.getIsPass();
            }
        }
        return false;
    }

    public boolean getIsSelfTestPass() {
        boolean isPass = true;
        Iterator<SelfTestItem> it = this.mListTestItem.iterator();
        while (it.hasNext()) {
            SelfTestItem item = it.next();
            FtUtil.log_d(CLASS_NAME, "getIsSelfTestPass", "[" + item.getStringItemName() + "] :" + item.getIsPass());
            if (!item.getIsPass()) {
                isPass = false;
            }
        }
        if (this.mListTestItem.size() != 0) {
            return isPass;
        }
        FtUtil.log_d(CLASS_NAME, "getIsSelfTestPass", "There is no test item");
        return false;
    }

    public String getStringSelfTestItems() {
        String result = "";
        Iterator<SelfTestItem> it = this.mListTestItem.iterator();
        while (it.hasNext()) {
            result = result + it.next().getStringItemName() + ",";
        }
        return result;
    }

    public String getSpecString(String itemName) {
        Iterator<SelfTestItem> it = this.mListTestItem.iterator();
        while (it.hasNext()) {
            SelfTestItem item = it.next();
            if (item.getStringItemName().equalsIgnoreCase(itemName)) {
                return "SPEC : Min[" + item.getStringSpecMin() + "], Max[" + item.getStringSpecMax() + "]";
            }
        }
        return null;
    }

    public boolean[] getArrEnabledChannel() {
        return this.mArrIsEnabledChannel;
    }

    /* JADX WARNING: Removed duplicated region for block: B:3:0x000e  */
    private void savePreference() {
        Iterator<SelfTestItem> it = this.mListTestItem.iterator();
        while (it.hasNext()) {
            SelfTestItem item = it.next();
            if (item.getStringItemName().equalsIgnoreCase(ITEM_RAW_CAP) || item.getStringItemName().equalsIgnoreCase(ITEM_FORCE_PRE_DELTA)) {
                SharedPreferences.Editor editor = this.mContext.getSharedPreferences("FORCE_TOUCH_SELF_TEST_RESULT", 0).edit();
                String[] arrData = item.getStringResult().split(",");
                for (int i = 0; i < arrData.length; i++) {
                    try {
                        if (!this.mArrIsEnabledChannel[i]) {
                            arrData[i] = "NONE";
                        }
                    } catch (ArrayIndexOutOfBoundsException ne) {
                        FtUtil.log_e(ne);
                        editor.putString("RAWDATA_VALUES", "NONE,NONE,NONE");
                    }
                }
                editor.putString("RAWDATA_VALUES", arrData[0] + "," + arrData[1] + "," + arrData[2]);
                editor.apply();
                FtUtil.log_d(CLASS_NAME, "savePreference", "result : " + item.getStringResult());
                return;
            }
            while (it.hasNext()) {
            }
        }
    }

    public String getSelfTestResultAll() {
        String result = "";
        Iterator<SelfTestItem> it = this.mListTestItem.iterator();
        while (it.hasNext()) {
            result = result + it.next().getStringResult() + ",";
        }
        return result.substring(0, result.length() - 1);
    }

    /* access modifiers changed from: package-private */
    public class SelfTestItem {
        private String mCommand;
        private boolean mIsPass = true;
        private String mItemName;
        private String mResultData;
        private String mSpecMax;
        private String mSpecMin;

        SelfTestItem(String itemName, String specMin, String specMax, String command) {
            this.mItemName = itemName;
            this.mSpecMin = specMin;
            this.mSpecMax = specMax;
            this.mCommand = command;
        }

        public String getStringItemName() {
            return this.mItemName;
        }

        public String getStringResult() {
            return this.mResultData;
        }

        public void setStringResult(String resultData) {
            this.mResultData = resultData;
        }

        public boolean getIsPass() {
            return this.mIsPass;
        }

        public void setIsPass(boolean isPass) {
            this.mIsPass = isPass;
        }

        public String getStringSpecMin() {
            return this.mSpecMin;
        }

        public String getStringSpecMax() {
            return this.mSpecMax;
        }

        public String getCommand() {
            return this.mCommand;
        }
    }
}
