package com.sec.factory.modules;

import android.content.Context;
import android.os.Handler;
import com.google.common.base.Charsets;
import com.sec.factory.modules.check.CheckCxDataAll;
import com.sec.factory.modules.check.CheckCxDataGap;
import com.sec.factory.modules.check.CheckDummyCpData;
import com.sec.factory.modules.check.CheckTSPRawCap;
import com.sec.factory.modules.check.CheckViewCpData;
import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import egis.client.api.EgisFingerprint;
import java.lang.reflect.Array;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

public class TouchScreenPanel {
    private static final String CLASS_NAME = "TouchScreenPanel";
    private static final String FORCE_CMD__PRESSURE_CAL_CLEAR = "set_pressure_strength_clear";
    private static final String FORCE_CMD__PRESSURE_CAL_READ = "get_pressure_strength";
    private static final String FORCE_CMD__PRESSURE_IX_READ = "run_pressure_ix_data_read_all";
    private static final String FORCE_CMD__PRESSURE_OFFSET_READ = "run_pressure_offset_read_all";
    private static final String FORCE_CMD__PRESSURE_RAWDATA_READ = "run_pressure_rawdata_read_all";
    private static final String FORCE_CMD__PRESSURE_STRENGTH_FILTERED_READ = "run_pressure_filtered_strength_read_all";
    private static final String FORCE_CMD__PRESSURE_STRENGTH_INDEX_READ = "get_pressure_data_index";
    private static final String FORCE_CMD__PRESSURE_STRENGTH_INDEX_SET = "set_pressure_data_index";
    private static final String FORCE_CMD__PRESSURE_STRENGTH_READ = "run_pressure_strength_read_all";
    private static final String FORCE_CMD__PRESSURE_STRENGTH_SET = "set_pressure_strength";
    private static final String FORCE_CMD__PRESSURE_TEST_MODE_SET = "set_pressure_test_mode";
    private static final String FORCE_CMD__RUN_FORCE_PRESSURE_CALIBRATION = "run_force_pressure_calibration";
    private static final String TSP_CMD_IMAGIS__RUN_HVDD_CHECK = "run_hvdd_test";
    private static final String TSP_CMD__ATMEL__READ_DELTA_NODE = "get_delta";
    private static final String TSP_CMD__ATMEL__READ_DELTA_NODE_ALL = "run_delta_read";
    private static final String TSP_CMD__ATMEL__READ_REFERENCE_NODE = "get_reference";
    private static final String TSP_CMD__ATMEL__READ_REFERENCE_NODE_ALL = "run_reference_read";
    private static final String TSP_CMD__COMMON__CHECK_CONNECTION = "check_connection";
    private static final String TSP_CMD__COMMON__CLEAR_HISTORY = "clear_tsp_test_result";
    private static final String TSP_CMD__COMMON__DEV_COUNT = "dev_count";
    private static final String TSP_CMD__COMMON__FW_UPDATE = "fw_update";
    private static final String TSP_CMD__COMMON__MIS_CAL = "run_factory_miscalibration";
    private static final String TSP_CMD__COMMON__POWER_OFF = "module_off_master";
    private static final String TSP_CMD__COMMON__POWER_OFF_SECOND_CHIP = "module_off_slave";
    private static final String TSP_CMD__COMMON__POWER_ON = "module_on_master";
    private static final String TSP_CMD__COMMON__POWER_ON_SECOND_CHIP = "module_on_slave";
    private static final String TSP_CMD__COMMON__READ_CAL_RESULT = "get_force_calibration";
    private static final String TSP_CMD__COMMON__READ_CHIP_NAME = "get_chip_name";
    private static final String TSP_CMD__COMMON__READ_CONFIG_VERSION = "get_config_ver";
    private static final String TSP_CMD__COMMON__READ_FW_CHECKSUM_DATA = "get_checksum_data";
    private static final String TSP_CMD__COMMON__READ_FW_VERSION_BINARY = "get_fw_ver_bin";
    private static final String TSP_CMD__COMMON__READ_FW_VERSION_IC = "get_fw_ver_ic";
    private static final String TSP_CMD__COMMON__READ_MODULE_VENDOR = "get_module_vendor";
    private static final String TSP_CMD__COMMON__READ_NUMBER_X_CHANNEL = "get_x_num";
    private static final String TSP_CMD__COMMON__READ_NUMBER_Y_CHANNEL = "get_y_num";
    private static final String TSP_CMD__COMMON__READ_PAT_INFOMATION = "get_pat_information";
    private static final String TSP_CMD__COMMON__READ_REGISTER_RESULT = "get_tsp_test_result";
    private static final String TSP_CMD__COMMON__READ_SLOPE0 = "get_slope0_array";
    private static final String TSP_CMD__COMMON__READ_SLOPE1 = "get_slope1_array";
    private static final String TSP_CMD__COMMON__READ_THRESHOLD = "get_threshold";
    private static final String TSP_CMD__COMMON__READ_VENDOR_NAME = "get_chip_vendor";
    private static final String TSP_CMD__COMMON__READ_WET_MODE_CHECK = "get_wet_mode";
    private static final String TSP_CMD__COMMON__SELECT_TSP = "set_factory_panel";
    private static final String TSP_CMD__COMMON__SET_TSP_RESULT = "set_tsp_test_result";
    private static final String TSP_CMD__COMMON__SLOPE_CMCS_TEST = "run_cmcs_test";
    private static final String TSP_CMD__COMMON__WRITE_HISTORY = "set_factory_level";
    private static final String TSP_CMD__CYPRESS__READ_DIFFERENCE_NODE = "get_difference";
    private static final String TSP_CMD__CYPRESS__READ_DIFFERENCE_NODE_ALL = "run_difference_read";
    private static final String TSP_CMD__CYPRESS__READ_GLOBAL_IDAC_NODE = "get_global_idac";
    private static final String TSP_CMD__CYPRESS__READ_GLOBAL_IDAC_NODE_ALL = "run_global_idac_read";
    private static final String TSP_CMD__CYPRESS__READ_LOCAL_IDAC_NODE = "get_local_idac";
    private static final String TSP_CMD__CYPRESS__READ_LOCAL_IDAC_NODE_ALL = "run_local_idac_read";
    private static final String TSP_CMD__CYPRESS__READ_RAW_COUNT_NODE = "get_raw_count";
    private static final String TSP_CMD__CYPRESS__READ_RAW_COUNT_NODE_ALL = "run_raw_count_read";
    private static final String TSP_CMD__IMAGIS__READ_CM_ABS_NODE = "get_cm_abs";
    private static final String TSP_CMD__IMAGIS__READ_CM_ABS_NODE_ALL = "run_cm_abs_read";
    private static final String TSP_CMD__IMAGIS__READ_CM_GAP = "get_cm_maxgap_value";
    private static final String TSP_CMD__IMAGIS__READ_CM_NODE = "get_cm_value";
    private static final String TSP_CMD__IMAGIS__READ_CM_NODE_ALL = "run_cm_test";
    private static final String TSP_CMD__IMAGIS__READ_CR_VARIANCE = "run_cr_variance_read";
    private static final String TSP_CMD__IMAGIS__READ_MIS_CALIBRATION = "get_mis_cal";
    private static final String TSP_CMD__IMAGIS__READ_REFERENCE_NODE = "get_reference";
    private static final String TSP_CMD__IMAGIS__READ_REFERENCE_NODE_ALL = "run_reference_read";
    private static final String TSP_CMD__IMAGIS__READ_SELF_REFERENCE = "get_self_reference";
    private static final String TSP_CMD__IMAGIS__READ_SELF_REFERENCE_ALL = "run_self_reference_read";
    private static final String TSP_CMD__IMAGIS__RUN_MIS_CALIBRATION = "run_mis_cal_read";
    private static final String TSP_CMD__MELFAS__READ_CHECK_SRAM = "check_sram";
    private static final String TSP_CMD__MELFAS__READ_CM_ABS_NODE = "get_cm_abs";
    private static final String TSP_CMD__MELFAS__READ_CM_ABS_NODE_ALL = "run_cm_abs_read";
    private static final String TSP_CMD__MELFAS__READ_CM_ABS_NODE_ALL_TSK = "run_cm_abs_read_tsk";
    private static final String TSP_CMD__MELFAS__READ_CM_RATIO = "run_cm_ratio_read";
    private static final String TSP_CMD__MELFAS__READ_CP_DATA = "run_cp_read";
    private static final String TSP_CMD__MELFAS__READ_CP_LPM_DATA = "run_cp_lpm_read";
    private static final String TSP_CMD__MELFAS__READ_CP_SHORT_DATA = "run_cp_short_read";
    private static final String TSP_CMD__MELFAS__READ_DELTA_NODE = "get_cm_delta";
    private static final String TSP_CMD__MELFAS__READ_DELTA_NODE_ALL = "run_cm_delta_read";
    private static final String TSP_CMD__MELFAS__READ_DELTA_NODE_ALL_TSK = "run_cm_delta_read_tsk";
    private static final String TSP_CMD__MELFAS__READ_INSPECTION_NODE = "get_inspection";
    private static final String TSP_CMD__MELFAS__READ_INSPECTION_NODE_ALL = "run_inspection_read";
    private static final String TSP_CMD__MELFAS__READ_INTENSITY_NODE = "get_intensity";
    private static final String TSP_CMD__MELFAS__READ_INTENSITY_NODE_ALL = "run_intensity_read";
    private static final String TSP_CMD__MELFAS__READ_REFERENCE_NODE = "get_reference";
    private static final String TSP_CMD__MELFAS__READ_REFERENCE_NODE_ALL = "run_reference_read";
    private static final String TSP_CMD__SEC__GET_CM_SPEC_OVER = "get_cm_spec_over";
    private static final String TSP_CMD__SEC__GET_X_CROSS = "get_x_cross_routing";
    private static final String TSP_CMD__SEC__GET_X_NUM = "get_x_num";
    private static final String TSP_CMD__SEC__GET_Y_CROSS = "get_y_cross_routing";
    private static final String TSP_CMD__SEC__GET_Y_NUM = "get_y_num";
    private static final String TSP_CMD__SEC__READ_CMCS_FULL = "run_cmcs_full_test";
    private static final String TSP_CMD__SEC__READ_ELVSS_TEST = "run_elvss_test";
    private static final String TSP_CMD__SEC__READ_MIS_CAL_INFO = "get_mis_cal_info";
    private static final String TSP_CMD__SEC__READ_RAWCAP_NODE = "run_rawcap_read";
    private static final String TSP_CMD__SEC__READ_RAWCAP_NODE_ALL = "run_rawcap_read_all";
    private static final String TSP_CMD__SEC__READ_REFERENCE = "run_reference_read";
    private static final String TSP_CMD__SEC__READ_SELF_RAWCAP_ALL = "run_self_rawcap_read_all";
    private static final String TSP_CMD__SEC__READ_SELF_RAWCAP_NODE = "run_self_rawcap_read";
    private static final String TSP_CMD__SEC__READ_SELF_REFERENCE = "run_self_reference_read";
    private static final String TSP_CMD__SEC__READ_SELF_REFERENCE_ALL = "run_self_reference_read_all";
    private static final String TSP_CMD__SEC__READ_TRX_OPEN_SHORT = "run_trx_short_test";
    private static final String TSP_CMD__SEC__READ_TRX_SHORT_TEXT = "run_trx_short_test";
    private static final String TSP_CMD__SEC__RUN_FORCE_CALIBRATION_CENT = "run_force_calibration,67";
    private static final String TSP_CMD__SEC__RUN_FORCE_CALIBRATION_FACT = "run_force_calibration,70";
    private static final String TSP_CMD__SEC__RUN_FORCE_CALIBRATION_LCIA = "run_force_calibration,76";
    private static final String TSP_CMD__SEC__RUN_FORCE_CALIBRATION_OUTS = "run_force_calibration,79";
    private static final String TSP_CMD__SEC__RUN_LOW_FREQ_CM_ALL = "run_low_freq_cm_read_all";
    private static final String TSP_CMD__SEC__RUN_PRE_DELTA_READ = "run_delta_read";
    private static final String TSP_CMD__SEC__RUN_PRE_DELTA_READ_ALL = "run_delta_read_all";
    private static final String TSP_CMD__SEC__RUN_SELF_PRE_DELTA_READ = "run_self_delta_read";
    private static final String TSP_CMD__SEC__RUN_SELF_PRE_DELTA_READ_ALL = "run_self_delta_read_all";
    private static final String TSP_CMD__SEC__SET_EXTERNAL_FACTORY = "set_external_factory";
    private static final String TSP_CMD__STM__READ_CM_ABS_NODE = "get_cm_abs";
    private static final String TSP_CMD__STM__READ_CM_ABS_NODE_ALL = "run_cm_abs_read";
    private static final String TSP_CMD__STM__READ_CX_DATA_NODE = "get_cx_data";
    private static final String TSP_CMD__STM__READ_CX_DATA_NODE_ALL = "run_cx_data_read";
    private static final String TSP_CMD__STM__READ_KEY_CM_DATA = "run_key_rawcap_read";
    private static final String TSP_CMD__STM__READ_KEY_CM_DATA_FOR_ASSEMBLED_TSP_TSK = "run_key_cm_data_read";
    private static final String TSP_CMD__STM__READ_KEY_CX_DATA = "run_key_cx_data_read";
    private static final String TSP_CMD__STM__READ_MUTUAL_CAP_NODE = "get_delta";
    private static final String TSP_CMD__STM__READ_MUTUAL_CAP_NODE_ALL = "run_delta_read";
    private static final String TSP_CMD__STM__READ_RAWCAP_NODE = "get_rawcap";
    private static final String TSP_CMD__STM__READ_RAWCAP_NODE_ALL = "run_rawcap_read";
    private static final String TSP_CMD__STM__READ_REFERENCE_NODE = "get_reference";
    private static final String TSP_CMD__STM__READ_REFERENCE_NODE_ALL = "run_reference_read";
    private static final String TSP_CMD__STM__READ_WTR_CX2_DATA = "run_wtr_cx_data_read";
    private static final String TSP_CMD__STM__READ_WTR_CX2_DATA_ALL = "run_wtr_cx_data_read_all";
    private static final String TSP_CMD__STM__READ_WTR_IX_DATA = "run_ix_data_read";
    private static final String TSP_CMD__STM__READ_WTR_IX_DATA_ALL = "run_ix_data_read_all";
    private static final String TSP_CMD__STM__READ_WTR_SELF_RAW = "run_self_raw_read";
    private static final String TSP_CMD__STM__READ_WTR_SELF_RAW_ALL = "run_self_raw_read_all";
    private static final String TSP_CMD__SYNAPTICS__GET_ABSCAP_READ_TEST = "get_abscap_read_test";
    private static final String TSP_CMD__SYNAPTICS__READ_ELEC_OPEN_TEXT = "run_elec_open_test";
    private static final String TSP_CMD__SYNAPTICS__READ_MUTUAL_CAP_NODE = "get_delta";
    private static final String TSP_CMD__SYNAPTICS__READ_MUTUAL_CAP_NODE_ALL = "run_delta_read";
    private static final String TSP_CMD__SYNAPTICS__READ_RAWCAP_NODE = "get_rawcap";
    private static final String TSP_CMD__SYNAPTICS__READ_RAWCAP_NODE_ALL = "run_rawcap_read";
    private static final String TSP_CMD__SYNAPTICS__READ_REFERENCE_NODE = "get_reference";
    private static final String TSP_CMD__SYNAPTICS__READ_REFERENCE_NODE_ALL = "run_reference_read";
    private static final String TSP_CMD__SYNAPTICS__READ_RX_SHORT_TEXT = "run_rx_short_test";
    private static final String TSP_CMD__SYNAPTICS__READ_RX_TO_RX_NODE = "get_rx_to_rx";
    private static final String TSP_CMD__SYNAPTICS__READ_RX_TO_RX_NODE_ALL = "run_rx_to_rx_read";
    private static final String TSP_CMD__SYNAPTICS__READ_TRX_OPEN_TEXT = "run_trx_open_test";
    private static final String TSP_CMD__SYNAPTICS__READ_TRX_SHORT_TEXT = "run_trx_short_test";
    private static final String TSP_CMD__SYNAPTICS__READ_TX_SHORT_TEXT = "run_tx_short_test";
    private static final String TSP_CMD__SYNAPTICS__READ_TX_TO_GND_NODE = "get_tx_to_gnd";
    private static final String TSP_CMD__SYNAPTICS__READ_TX_TO_GND_NODE_ALL = "run_tx_to_gnd_read";
    private static final String TSP_CMD__SYNAPTICS__READ_TX_TO_TX_NODE = "get_tx_to_tx";
    private static final String TSP_CMD__SYNAPTICS__READ_TX_TO_TX_NODE_ALL = "run_tx_to_tx_read";
    private static final String TSP_CMD__SYNAPTICS__RUN_ABSCAP_READ = "run_abscap_read";
    private static final String TSP_CMD__SYNAPTICS__RUN_IM_READ = "run_hic_interference_metric_read";
    private static final String TSP_CMD__ZINITIX__READ_DELTA_NODE = "get_delta";
    private static final String TSP_CMD__ZINITIX__READ_DELTA_NODE_ALL = "run_delta_read";
    private static final String TSP_CMD__ZINITIX__READ_DND_DIFF = "run_reference_diff";
    private static final String TSP_CMD__ZINITIX__READ_DND_NODE = "get_dnd";
    private static final String TSP_CMD__ZINITIX__READ_DND_NODE_ALL = "run_dnd_read";
    private static final String TSP_CMD__ZINITIX__READ_GAP_JITTER_NODE_ALL = "run_gapjitter_read";
    private static final String TSP_CMD__ZINITIX__READ_MIS_CALIBRATION = "get_mis_cal";
    private static final String TSP_CMD__ZINITIX__READ_MIS_CALIBRATION_CHECK = "run_mis_cal_read";
    private static final String TSP_CMD__ZINITIX__READ_NEW_HF_HGAP_NODE = "get_hfdnd_h_gap";
    private static final String TSP_CMD__ZINITIX__READ_NEW_HF_HGAP_NODE_ALL = "run_hfdnd_h_gap_read";
    private static final String TSP_CMD__ZINITIX__READ_NEW_HF_VGAP_NODE = "get_hfdnd_v_gap";
    private static final String TSP_CMD__ZINITIX__READ_NEW_HF_VGAP_NODE_ALL = "run_hfdnd_v_gap_read";
    private static final String TSP_CMD__ZINITIX__READ_NEW_HGAP_NODE = "get_dnd_h_gap";
    private static final String TSP_CMD__ZINITIX__READ_NEW_HGAP_NODE_ALL = "run_dnd_h_gap_read";
    private static final String TSP_CMD__ZINITIX__READ_NEW_HIGH_FREQUENCY_NODE = "get_hfdnd";
    private static final String TSP_CMD__ZINITIX__READ_NEW_HIGH_FREQUENCY_NODE_ALL = "run_hfdnd_read";
    private static final String TSP_CMD__ZINITIX__READ_NEW_SELF_HGAP_NODE = "get_selfdnd_h_gap";
    private static final String TSP_CMD__ZINITIX__READ_NEW_SELF_HGAP_NODE_ALL = "run_selfdnd_h_gap_read";
    private static final String TSP_CMD__ZINITIX__READ_NEW_VGAP_NODE = "get_dnd_v_gap";
    private static final String TSP_CMD__ZINITIX__READ_NEW_VGAP_NODE_ALL = "run_dnd_v_gap_read";
    private static final String TSP_CMD__ZINITIX__READ_REFERENCE_MAX_DIFF = "get_reference_max_diff";
    private static final String TSP_CMD__ZINITIX__READ_REFERENCE_NODE = "get_reference";
    private static final String TSP_CMD__ZINITIX__READ_REFERENCE_NODE_ALL = "run_reference_read";
    private static final String TSP_CMD__ZINITIX__READ_RX_SHORT_NODE = "run_rxshort_read";
    private static final String TSP_CMD__ZINITIX__READ_SCANTIME_NODE = "get_scantime";
    private static final String TSP_CMD__ZINITIX__READ_SCANTIME_NODE_ALL = "run_scantime_read";
    private static final String TSP_CMD__ZINITIX__READ_SELF_DND_NODE = "get_selfdnd";
    private static final String TSP_CMD__ZINITIX__READ_SELF_DND_NODE_ALL = "run_selfdnd_read";
    private static final String TSP_CMD__ZINITIX__READ_TRX_SHORT_BY_BIT_NODE = "run_trxshort_read";
    private static final String TSP_CMD__ZINITIX__READ_TX_SHORT_NODE = "run_txshort_read";
    private static final String TSP_CMD__ZINITIX__RUN_CALIBRATION_NODE = "run_force_calibration";
    private static final String TSP_CMD__ZINITIX__SET_HFDND_SPEC_ADJUST = "hfdnd_spec_adjust,1";
    private static final String TSP_HOVER_CMD__HOVER_SET_EDGE_DEADLOCK = "hover_set_edge_rx";
    private static final String TSP_HOVER_CMD__STM__READ_ABS_CAP = "run_abscap_read";
    private static final String TSP_HOVER_CMD__STM__READ_ABS_DELTA = "run_absdelta_read";
    private static final String TSP_HOVER_CMD__SYNAPTICS__READ_ABS_CAP = "run_abscap_read";
    private static final String TSP_HOVER_CMD__SYNAPTICS__READ_ABS_DELTA = "run_absdelta_read";
    public static final String TSP_RESULT_VALUE_CONTINUE = "CONT";
    public static final String TSP_RESULT_VALUE_NG = "NG";
    public static final String TSP_RESULT_VALUE_NOT_APPLICABLE = "NA";
    public static final String TSP_RESULT_VALUE_OK = "OK";
    private static final String TSP_SIDETOUCH_CMD__SYNAPTICS__READ_ABS_CAP_ALL = "run_sidekey_abscap_read";
    private static final String TSP_SIDETOUCH_CMD__SYNAPTICS__READ_DELTA_ALL = "run_sidekey_delta_read";
    private static final long TSP_STATUS_RUNNING_TIME_OUT = 1000;
    private static final String TSP_STATUS__COMMON__FAIL = "FAIL";
    private static final String TSP_STATUS__COMMON__NOT_APPLICABLE = "NOT_APPLICABLE";
    private static final String TSP_STATUS__COMMON__OK = "OK";
    private static final String TSP_STATUS__COMMON__RUNNING = "RUNNING";
    private static final String TSP_STATUS__COMMON__WAITING = "WAITING";
    public static final String TSP_STM_HOVER_ENABLE = "hover_enable";
    private static int TSP_WHAT_DUMMY;
    public static final int TSP_WHAT_SCOPE_MAX;
    public static final int TSP_WHAT_SCOPE_MIN = 0;
    public static final int TSP_WHAT_STATUS_NA;
    public static final int TSP_WHAT_STATUS_NG;
    public static final int TSP_WHAT_STATUS_OK = 0;
    public final String CMD_NODE = Support.Kernel.getFilePath(Support.Kernel.TSP_COMMAND_CMD);
    public final String RESULT_NODE = Support.Kernel.getFilePath(Support.Kernel.TSP_COMMAND_RESULT);
    public final String STATUS_NODE = Support.Kernel.getFilePath(Support.Kernel.TSP_COMMAND_STATUS);
    private CheckCxDataAll mCheckCxDataAll;
    private CheckCxDataGap mCheckCxDataGap;
    private CheckDummyCpData mCheckDummyCpData;
    private CheckTSPRawCap mCheckTSPRawCap;
    private CheckViewCpData mCheckViewCpData;
    private Context mContext = null;
    private String mDeviceType = null;
    private ExecutorService mExevutor = null;
    private String mPanelType = null;
    private String mVendor = null;

    public TouchScreenPanel(String panelType, String deviceType, Context context) {
        FtUtil.log_i(CLASS_NAME, CLASS_NAME, panelType + " , " + deviceType);
        this.mPanelType = panelType;
        this.mDeviceType = deviceType;
        this.mContext = context;
    }

    public TouchScreenPanel(String panelType, String deviceType) {
        FtUtil.log_i(CLASS_NAME, CLASS_NAME, panelType + " , " + deviceType);
        this.mPanelType = panelType;
        this.mDeviceType = deviceType;
    }

    public void setVendor(String vendor2) {
        this.mVendor = vendor2;
        FtUtil.log_i(CLASS_NAME, "setVendor", vendor2);
    }

    static {
        TSP_WHAT_DUMMY = 0;
        int i = 0 + 1;
        TSP_WHAT_DUMMY = i;
        int i2 = i + 1;
        TSP_WHAT_DUMMY = i2;
        TSP_WHAT_STATUS_NG = i;
        int i3 = i2 + 1;
        TSP_WHAT_DUMMY = i3;
        TSP_WHAT_STATUS_NA = i2;
        TSP_WHAT_SCOPE_MAX = i3 - 1;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private String setTSPCommand(String command, String subCommand) {
        String CMD_PATH;
        String CMD_PATH2;
        String CMD_PATH3;
        String CMD_STATUS_PATH;
        String status;
        FtUtil.log_d(CLASS_NAME, "setTSPCommand", "command => " + command);
        FtUtil.log_d(CLASS_NAME, "setTSPCommand", "subCommand => " + subCommand);
        if (Support.Properties.PROPERTIES_DEFAULT_STRING.equals(this.CMD_NODE)) {
            CMD_PATH = Support.Kernel.getFilePath(Support.Kernel.TSP_COMMAND_CMD);
        } else {
            CMD_PATH = this.CMD_NODE;
        }
        if ("MIS2".equals(subCommand)) {
            CMD_PATH2 = Support.Kernel.getFilePath(Support.Kernel.TSP2_COMMAND_CMD);
            CMD_PATH3 = command;
        } else if (subCommand != null) {
            CMD_PATH2 = CMD_PATH;
            CMD_PATH3 = command + "," + subCommand;
        } else {
            CMD_PATH2 = CMD_PATH;
            CMD_PATH3 = command;
        }
        FtUtil.log_i(CLASS_NAME, "setTSPCommand", "1. set Command => " + CMD_PATH3);
        if (Support.Kernel.writeToPath(CMD_PATH2, CMD_PATH3.getBytes(Charsets.UTF_8))) {
            if (Support.Properties.PROPERTIES_DEFAULT_STRING.equals(this.STATUS_NODE)) {
                CMD_STATUS_PATH = Support.Kernel.getFilePath(Support.Kernel.TSP_COMMAND_STATUS);
            } else if ("MIS2".equals(subCommand)) {
                CMD_STATUS_PATH = Support.Kernel.getFilePath(Support.Kernel.TSP2_COMMAND_STATUS);
            } else {
                CMD_STATUS_PATH = this.STATUS_NODE;
            }
            String status2 = Support.Kernel.readFromPath(CMD_STATUS_PATH, true);
            if (status2 == null) {
                FtUtil.log_e(CLASS_NAME, "setTSPCommand", "status == null");
                return "FAIL";
            } else if (status2.equals("FAIL")) {
                FtUtil.log_e(CLASS_NAME, "setTSPCommand", "status == fail");
                return "FAIL";
            } else if (status2.equals("NOT_APPLICABLE")) {
                FtUtil.log_e(CLASS_NAME, "setTSPCommand", "status == not applicable");
                return "NOT_APPLICABLE";
            } else if (status2.equals("OK")) {
                FtUtil.log_i(CLASS_NAME, "setTSPCommand", "status == ok");
                return "OK";
            } else if (status2.equals("RUNNING")) {
                FtUtil.log_w(CLASS_NAME, "setTSPCommand", "status == " + status2);
                FtUtil.log_i(CLASS_NAME, "checkTSPStatus", null);
                long timeStart = System.currentTimeMillis();
                while (true) {
                    if ("MIS2".equals(subCommand)) {
                        status = Support.Kernel.readFromPath(CMD_STATUS_PATH, true);
                    } else {
                        status = Support.Kernel.readFromPath(this.STATUS_NODE, true);
                    }
                    if (status != null && status.equals("OK")) {
                        FtUtil.log_i(CLASS_NAME, "checkTSPStatus", "finish => " + System.currentTimeMillis());
                        return status;
                    } else if (TSP_STATUS_RUNNING_TIME_OUT < System.currentTimeMillis() - timeStart) {
                        FtUtil.log_e(CLASS_NAME, "checkTSPStatus", "finish => Time Out(1000)");
                        return "FAIL";
                    } else {
                        try {
                            Thread.sleep(100);
                        } catch (InterruptedException e) {
                        }
                    }
                }
            } else {
                FtUtil.log_e(CLASS_NAME, "setTSPCommand", "status == Unknown : " + status2);
                return "FAIL";
            }
        } else {
            FtUtil.log_e(CLASS_NAME, "setTSPCommand", "Fail - Command Write");
            return "FAIL";
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private String getTSPCommandResult(String command, String subCommand) {
        String result = Support.Kernel.read(Support.Kernel.TSP_COMMAND_RESULT);
        if ("MIS2".equals(subCommand)) {
            result = Support.Kernel.read(Support.Kernel.TSP2_COMMAND_RESULT);
        } else if (subCommand != null) {
            command = command + "," + subCommand;
        }
        FtUtil.log_i(CLASS_NAME, "getTSPCommandResult", "2. get Result => " + command);
        if (result == null) {
            FtUtil.log_e(CLASS_NAME, "getTSPCommandResult", "Fail - Result Read =>1 result == null");
            return "NG";
        } else if (result.contains(command)) {
            String result2 = result.substring(command.length() + 1, result.length());
            FtUtil.log_i(CLASS_NAME, "getTSPCommandResult", "result : " + result2);
            return result2;
        } else {
            FtUtil.log_e(CLASS_NAME, "getTSPCommandResult", "(Write Command) " + command + " != (Result Command) " + result);
            return "NG";
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private String getTSPCommandResultData(String command, String subCommand) {
        if (subCommand != null) {
            command = command + "," + subCommand;
        }
        FtUtil.log_i(CLASS_NAME, "getTSPCommandResult", "2. get Result => " + command);
        String result = Support.Kernel.readFromPath(this.RESULT_NODE, true);
        if (result == null) {
            FtUtil.log_e(CLASS_NAME, "getTSPCommandResult", "Fail - Result Read =>1 result == null");
            return "NG";
        }
        String result2 = result.split(":")[1];
        FtUtil.log_i(CLASS_NAME, "getTSPCommandResult", "result : " + result2);
        return result2;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private String mapping_IDnCommand(int tspID) {
        String str;
        FtUtil.log_i(CLASS_NAME, "mapping_IDnCommand", "TSP ID : " + ModuleTouchScreen.convertorTSPID(tspID));
        if (tspID == ModuleTouchScreen.TSP_ID__MIS_CAL) {
            return TSP_CMD__COMMON__MIS_CAL;
        }
        if (tspID == ModuleTouchScreen.TSP_ID__DEV_COUNT) {
            return TSP_CMD__COMMON__DEV_COUNT;
        }
        if (tspID == ModuleTouchScreen.TSP_ID__FW_UPDATE) {
            return TSP_CMD__COMMON__FW_UPDATE;
        }
        if (tspID == ModuleTouchScreen.TSP_ID__FW_VERSION_BINARY) {
            return "get_fw_ver_bin";
        }
        if (tspID == ModuleTouchScreen.TSP_ID__FW_VERSION_IC) {
            return "get_fw_ver_ic";
        }
        if (tspID == ModuleTouchScreen.TSP_ID__FW_CHECKSUM_DATA) {
            return TSP_CMD__COMMON__READ_FW_CHECKSUM_DATA;
        }
        if (tspID == ModuleTouchScreen.TSP_ID__CONFIG_VERSION) {
            return TSP_CMD__COMMON__READ_CONFIG_VERSION;
        }
        if (tspID == ModuleTouchScreen.TSP_ID__THRESHOLD) {
            return TSP_CMD__COMMON__READ_THRESHOLD;
        }
        if (tspID == ModuleTouchScreen.TSP_ID__POWER_OFF) {
            return "module_off_master";
        }
        if (tspID == ModuleTouchScreen.TSP_ID__POWER_ON) {
            return "module_on_master";
        }
        if (tspID == ModuleTouchScreen.TSP_ID__POWER_OFF_SECOND_CHIP) {
            return "module_off_slave";
        }
        if (tspID == ModuleTouchScreen.TSP_ID__POWER_ON_SECOND_CHIP) {
            return "module_on_slave";
        }
        if (tspID == ModuleTouchScreen.TSP_ID__VENDOR_NAME) {
            return "get_chip_vendor";
        }
        if (tspID == ModuleTouchScreen.TSP_ID__MODULE_VENDOR) {
            return TSP_CMD__COMMON__READ_MODULE_VENDOR;
        }
        if (tspID == ModuleTouchScreen.TSP_ID__CHIP_NAME) {
            return "get_chip_name";
        }
        if (tspID == ModuleTouchScreen.TSP_ID__NUMBER_X_CHANNEL) {
            return ModuleDevice.TSP_CMD_X_COUNT;
        }
        if (tspID == ModuleTouchScreen.TSP_ID__NUMBER_Y_CHANNEL) {
            return ModuleDevice.TSP_CMD_Y_COUNT;
        }
        if (tspID == ModuleTouchScreen.TSP_ID__NUMBER_X_CX) {
            return ModuleDevice.TSP_CMD_X_COUNT;
        }
        if (tspID == ModuleTouchScreen.TSP_ID__NUMBER_Y_CX) {
            return ModuleDevice.TSP_CMD_Y_COUNT;
        }
        if (tspID == ModuleTouchScreen.TSP_ID__NUMBER_X_CROSS) {
            return TSP_CMD__SEC__GET_X_CROSS;
        }
        if (tspID == ModuleTouchScreen.TSP_ID__NUMBER_Y_CROSS) {
            return TSP_CMD__SEC__GET_Y_CROSS;
        }
        if (tspID == ModuleTouchScreen.TSP_ID_UNIT_CAL_FLAG_CHECK) {
            return TSP_CMD__COMMON__READ_CAL_RESULT;
        }
        if (tspID == ModuleTouchScreen.TSP_ID__WET_MODE_CHECK) {
            return TSP_CMD__COMMON__READ_WET_MODE_CHECK;
        }
        if (tspID == ModuleTouchScreen.TSP_ID__PAT_INFOMATION) {
            return TSP_CMD__COMMON__READ_PAT_INFOMATION;
        }
        if (tspID == ModuleTouchScreen.TSP_ID__CLEAR_HISTORY) {
            return TSP_CMD__COMMON__CLEAR_HISTORY;
        }
        if (tspID == ModuleTouchScreen.TSP_ID__SET_TSP_RESULT) {
            return TSP_CMD__COMMON__SET_TSP_RESULT;
        }
        if (tspID == ModuleTouchScreen.TSP_ID__SELECT_TSP) {
            return TSP_CMD__COMMON__SELECT_TSP;
        }
        if (tspID == ModuleTouchScreen.TSP_ID__REFERENCE__ALL_NODE__RETURN_MIN_MAX) {
            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__ATMEL) || this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__MELFAS) || this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__SYNAPTICS) || this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__IMAGIS) || this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__STM) || this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__ZINITIX) || this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__ZI)) {
                return "run_reference_read";
            }
            str = CLASS_NAME;
        } else if (tspID == ModuleTouchScreen.TSP_ID__REFERENCE__ALL_NODE__RETURN_NONE) {
            if (!this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__ZINITIX) && !this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__ZI)) {
                str = CLASS_NAME;
            } else if (Support.Feature.getBoolean(Support.Feature.SUPPORT_RUN_REF)) {
                return "run_reference_read";
            } else {
                return TSP_CMD__ZINITIX__READ_DND_NODE_ALL;
            }
        } else if (tspID == ModuleTouchScreen.TSP_ID__REFERENCE__NODE) {
            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__ATMEL) || this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__MELFAS)) {
                return ModuleDevice.TSP_CMD_READ1_GET_REF;
            }
            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__ZINITIX) || this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__ZI)) {
                if (Support.Feature.getBoolean(Support.Feature.SUPPORT_RUN_REF)) {
                    return ModuleDevice.TSP_CMD_READ1_GET_REF;
                }
                return TSP_CMD__ZINITIX__READ_DND_NODE;
            } else if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__SYNAPTICS) || this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__IMAGIS) || this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__STM)) {
                return ModuleDevice.TSP_CMD_READ1_GET_REF;
            } else {
                str = CLASS_NAME;
            }
        } else if (tspID == ModuleTouchScreen.TSP_ID__REFERENCE__NODE_SINGLE) {
            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__ATMEL) || this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__MELFAS) || this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__ZINITIX) || this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__ZI) || this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__SYNAPTICS) || this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__IMAGIS) || this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__STM)) {
                return ModuleDevice.TSP_CMD_READ1_GET_REF;
            }
            str = CLASS_NAME;
        } else if (tspID == ModuleTouchScreen.TSP_ID__CM_FORCE_CAL_DATA) {
            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__SEC)) {
                return "run_reference_read";
            }
            str = CLASS_NAME;
        } else if (tspID == ModuleTouchScreen.TSP_ID__DELTA__ALL_NODE__RETURN_MIN_MAX) {
            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__MELFAS)) {
                return "run_cm_delta_read";
            }
            str = CLASS_NAME;
        } else if (tspID == ModuleTouchScreen.TSP_ID__DELTA__ALL_NODE__RETURN_NONE) {
            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__ATMEL) || this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__ZINITIX) || this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__ZI)) {
                return ModuleDevice.TSP_CMD_READ3_RUN_DELTA;
            }
            str = CLASS_NAME;
        } else if (tspID == ModuleTouchScreen.TSP_ID__DELTA__NODE) {
            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__ATMEL)) {
                return ModuleDevice.TSP_CMD_READ3_GET_DELTA;
            }
            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__MELFAS)) {
                return "get_cm_delta";
            }
            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__ZINITIX) || this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__ZI) || this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__STM)) {
                return ModuleDevice.TSP_CMD_READ3_GET_DELTA;
            }
            str = CLASS_NAME;
        } else if (tspID == ModuleTouchScreen.TSP_ID__CM_ABS__ALL_NODE__RETURN_MIN_MAX) {
            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__MELFAS) || this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__IMAGIS) || this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__STM)) {
                return ModuleDevice.TSP_CMD_READ1_RUN_CM_ABS;
            }
            str = CLASS_NAME;
        } else if (tspID == ModuleTouchScreen.TSP_ID__CM_ABS__NODE) {
            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__MELFAS) || this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__IMAGIS) || this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__STM)) {
                return ModuleDevice.TSP_CMD_READ1_CM_ABS;
            }
            str = CLASS_NAME;
        } else if (tspID == ModuleTouchScreen.TSP_ID__CM_DATA__ALL_NODE__RETURN_MIN_MAX) {
            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__IMAGIS)) {
                return TSP_CMD__IMAGIS__READ_CM_NODE_ALL;
            }
            str = CLASS_NAME;
        } else if (tspID == ModuleTouchScreen.TSP_ID__CM_DATA__NODE) {
            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__IMAGIS)) {
                return TSP_CMD__IMAGIS__READ_CM_NODE;
            }
            str = CLASS_NAME;
        } else if (tspID == ModuleTouchScreen.TSP_ID__VIEW_CP_DATA || tspID == ModuleTouchScreen.TSP_ID__DUMMY_CP_DATA) {
            return TSP_CMD__MELFAS__READ_CP_DATA;
        } else {
            if (tspID == ModuleTouchScreen.TSP_ID__RUN_CP_SHORT_DATA) {
                return TSP_CMD__MELFAS__READ_CP_SHORT_DATA;
            }
            if (tspID == ModuleTouchScreen.TSP_ID__RUN_CP_LPM_DATA) {
                return TSP_CMD__MELFAS__READ_CP_LPM_DATA;
            }
            if (tspID == ModuleTouchScreen.TSP_ID__INSPECTION__ALL_NODE__RETURN_MIN_MAX) {
                if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__MELFAS)) {
                    return TSP_CMD__MELFAS__READ_INSPECTION_NODE_ALL;
                }
                str = CLASS_NAME;
            } else if (tspID == ModuleTouchScreen.TSP_ID__INSPECTION__NODE) {
                if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__MELFAS)) {
                    return TSP_CMD__MELFAS__READ_INSPECTION_NODE;
                }
                str = CLASS_NAME;
            } else if (tspID == ModuleTouchScreen.TSP_ID__INTENSITY__ALL_NODE__RETURN_MIN_MAX) {
                if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__MELFAS)) {
                    return "run_intensity_read";
                }
                str = CLASS_NAME;
            } else if (tspID == ModuleTouchScreen.TSP_ID__INTENSITY__NODE) {
                if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__MELFAS)) {
                    return "get_intensity";
                }
                str = CLASS_NAME;
            } else if (tspID == ModuleTouchScreen.TSP_ID__SCANTIME__ALL_NODE__RETURN_NONE) {
                if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__ZINITIX) || this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__ZI)) {
                    return TSP_CMD__ZINITIX__READ_SCANTIME_NODE_ALL;
                }
                str = CLASS_NAME;
            } else if (tspID == ModuleTouchScreen.TSP_ID__SCANTIME__NODE) {
                if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__ZINITIX) || this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__ZI)) {
                    return TSP_CMD__ZINITIX__READ_SCANTIME_NODE;
                }
                str = CLASS_NAME;
            } else if (tspID == ModuleTouchScreen.TSP_ID__RAWCAP__ALL_NODE__RETURN_MIN_MAX) {
                if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__SYNAPTICS) || this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__STM)) {
                    return ModuleDevice.TSP_CMD_READ1_RUN_RAWCAP;
                }
                str = CLASS_NAME;
            } else if (tspID == ModuleTouchScreen.TSP_ID__SELF_OFFSET) {
                if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__SEC)) {
                    return TSP_CMD__SEC__READ_SELF_RAWCAP_ALL;
                }
                str = CLASS_NAME;
            } else if (tspID != ModuleTouchScreen.TSP_ID__SELF_OFFSET_ALL) {
                if (tspID == ModuleTouchScreen.TSP_ID__CM_OFFSET_DATA_GAP || tspID == ModuleTouchScreen.TSP_ID__CM_OFFSET_DATA_ALL || tspID == ModuleTouchScreen.TSP_ID__CM_OFFSET_DATA_GAP_SPLIT_CORNER || tspID == ModuleTouchScreen.TSP_ID__SELF_OFFSET_CROSS_GAP) {
                    str = CLASS_NAME;
                } else if (tspID == ModuleTouchScreen.TSP_ID__CM_OFFSET_DATA_GAP_GREAT_STYLE) {
                    str = CLASS_NAME;
                } else if (tspID == ModuleTouchScreen.TSP_ID__CM_OFFSET_DATA_GAP_LOW_FREQ) {
                    if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__SEC)) {
                        return TSP_CMD__SEC__RUN_LOW_FREQ_CM_ALL;
                    }
                    str = CLASS_NAME;
                } else if (tspID == ModuleTouchScreen.TSP_ID__RAWCAP__NODE) {
                    if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__SYNAPTICS) || this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__STM)) {
                        return ModuleDevice.TSP_CMD_READ1_RAWCAP;
                    }
                    str = CLASS_NAME;
                } else if (tspID == ModuleTouchScreen.TSP_ID__RAWCAP__NODE__RETURN_MIN_MAX) {
                    if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__SEC)) {
                        return ModuleDevice.TSP_CMD_READ1_RUN_RAWCAP;
                    }
                    str = CLASS_NAME;
                } else if (tspID == ModuleTouchScreen.TSP_ID__RX_TO_RX__ALL_NODE__RETURN_NONE) {
                    if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__SYNAPTICS)) {
                        return "run_rx_to_rx_read";
                    }
                    if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__STM)) {
                        return ModuleDevice.TSP_CMD_READ3_GET_DELTA;
                    }
                    str = CLASS_NAME;
                } else if (tspID == ModuleTouchScreen.TSP_ID__RX_TO_RX__NODE) {
                    if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__SYNAPTICS)) {
                        return "get_rx_to_rx";
                    }
                    str = CLASS_NAME;
                } else if (tspID == ModuleTouchScreen.TSP_ID__TX_TO_TX__ALL_NODE__RETURN_NONE) {
                    if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__SYNAPTICS)) {
                        return "run_tx_to_tx_read";
                    }
                    str = CLASS_NAME;
                } else if (tspID == ModuleTouchScreen.TSP_ID__TX_TO_TX__NODE) {
                    if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__SYNAPTICS)) {
                        return "get_tx_to_tx";
                    }
                    str = CLASS_NAME;
                } else if (tspID == ModuleTouchScreen.TSP_ID__TX_TO_GND__ALL_NODE__RETURN_NONE) {
                    if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__SYNAPTICS)) {
                        return "run_tx_to_gnd_read";
                    }
                    str = CLASS_NAME;
                } else if (tspID == ModuleTouchScreen.TSP_ID__TX_TO_GND__NODE) {
                    if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__SYNAPTICS)) {
                        return "get_tx_to_gnd";
                    }
                    str = CLASS_NAME;
                } else if (tspID != ModuleTouchScreen.TSP_ID__TRX_OPEN_TEST) {
                    int i = ModuleTouchScreen.TSP_ID__RAW_COUNT__ALL_NODE__RETURN_MIN_MAX;
                    str = CLASS_NAME;
                    if (tspID == i) {
                        if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__CYPRESS)) {
                            return TSP_CMD__CYPRESS__READ_RAW_COUNT_NODE_ALL;
                        }
                    } else if (tspID == ModuleTouchScreen.TSP_ID__RAW_COUNT__NODE) {
                        if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__CYPRESS)) {
                            return TSP_CMD__CYPRESS__READ_RAW_COUNT_NODE;
                        }
                    } else if (tspID == ModuleTouchScreen.TSP_ID__DIFFERENCE__ALL_NODE__RETURN_NONE) {
                        if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__CYPRESS)) {
                            return TSP_CMD__CYPRESS__READ_DIFFERENCE_NODE_ALL;
                        }
                    } else if (tspID == ModuleTouchScreen.TSP_ID__DIFFERENCE__NODE) {
                        if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__CYPRESS)) {
                            return TSP_CMD__CYPRESS__READ_DIFFERENCE_NODE;
                        }
                    } else if (tspID == ModuleTouchScreen.TSP_ID__LOCAL_IDAC__ALL_NODE__RETURN_NONE) {
                        if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__CYPRESS)) {
                            return TSP_CMD__CYPRESS__READ_LOCAL_IDAC_NODE_ALL;
                        }
                    } else if (tspID == ModuleTouchScreen.TSP_ID__LOCAL_IDAC__NODE) {
                        if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__CYPRESS)) {
                            return TSP_CMD__CYPRESS__READ_LOCAL_IDAC_NODE;
                        }
                    } else if (tspID == ModuleTouchScreen.TSP_ID__GLOBAL_IDAC__ALL_NODE__RETURN_NONE) {
                        if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__CYPRESS)) {
                            return TSP_CMD__CYPRESS__READ_GLOBAL_IDAC_NODE_ALL;
                        }
                    } else if (tspID == ModuleTouchScreen.TSP_ID__GLOBAL_IDAC__NODE) {
                        if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__CYPRESS)) {
                            return TSP_CMD__CYPRESS__READ_GLOBAL_IDAC_NODE;
                        }
                    } else if (tspID == ModuleTouchScreen.TSP_HOVER_ID__ABS_CAP) {
                        if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__SYNAPTICS) || this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__STM)) {
                            return "run_abscap_read";
                        }
                    } else if (tspID == ModuleTouchScreen.TSP_HOVER_ID__ABS_DELTA) {
                        if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__SYNAPTICS) || this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__STM)) {
                            return "run_absdelta_read";
                        }
                    } else if (tspID == ModuleTouchScreen.TSP_ID__MUTUALCAP__ALL_NODE__RETURN_MIN_MAX) {
                        if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__SYNAPTICS) || this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__STM)) {
                            return ModuleDevice.TSP_CMD_READ3_RUN_DELTA;
                        }
                    } else if (tspID == ModuleTouchScreen.TSP_ID__MUTUALCAP__NODE) {
                        if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__SYNAPTICS) || this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__STM)) {
                            return ModuleDevice.TSP_CMD_READ3_GET_DELTA;
                        }
                    } else if (tspID == ModuleTouchScreen.TSP_ID__REGSITER__RESULT) {
                        return TSP_CMD__COMMON__READ_REGISTER_RESULT;
                    } else {
                        if (tspID == ModuleTouchScreen.TSP_HOVER_CMD__HOVER_SET_EDGE_DEADLOCK) {
                            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__SYNAPTICS)) {
                                return TSP_HOVER_CMD__HOVER_SET_EDGE_DEADLOCK;
                            }
                        } else if (tspID == ModuleTouchScreen.TSP_SIDETOUCH_ID__ABS_CAP) {
                            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__SYNAPTICS)) {
                                return TSP_SIDETOUCH_CMD__SYNAPTICS__READ_ABS_CAP_ALL;
                            }
                        } else if (tspID == ModuleTouchScreen.TSP_SIDETOUCH_ID__DELTA) {
                            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__SYNAPTICS)) {
                                return TSP_SIDETOUCH_CMD__SYNAPTICS__READ_DELTA_ALL;
                            }
                        } else if (tspID == ModuleTouchScreen.TSP_ID__TRX_SHORT_TEST) {
                            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__SYNAPTICS) || this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__SEC)) {
                                return "run_trx_short_test";
                            }
                        } else if (tspID == ModuleTouchScreen.TSP_ID__TRX_OPEN_SHORT) {
                            if (Support.Feature.getBoolean(Support.Feature.SUPPORT_TSP_OPENSHORT_COMMON_CONCEPT) || this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__SEC) || this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__STM) || this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__MELFAS) || this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__ZINITIX)) {
                                return "run_trx_short_test";
                            }
                            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__IMAGIS)) {
                                return TSP_CMD__SEC__READ_CMCS_FULL;
                            }
                        } else if (tspID == ModuleTouchScreen.TSP_ID__TX_SHORT_TEST) {
                            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__SYNAPTICS)) {
                                return TSP_CMD__SYNAPTICS__READ_TX_SHORT_TEXT;
                            }
                        } else if (tspID == ModuleTouchScreen.TSP_ID__ELVSS_TEST) {
                            if (Support.Feature.getBoolean(Support.Feature.SUPPORT_TSP_OPENSHORT_COMMON_CONCEPT)) {
                                return TSP_CMD__SEC__READ_ELVSS_TEST;
                            }
                        } else if (tspID == ModuleTouchScreen.TSP_ID__RX_SHORT_TEST) {
                            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__SYNAPTICS)) {
                                return TSP_CMD__SYNAPTICS__READ_RX_SHORT_TEXT;
                            }
                        } else if (tspID == ModuleTouchScreen.TSP_ID__DND__ALL_NODE__RETURN_MIN_MAX) {
                            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__ZINITIX)) {
                                return TSP_CMD__ZINITIX__READ_DND_NODE_ALL;
                            }
                        } else if (tspID == ModuleTouchScreen.TSP_ID__DND__ALL_NODE__RETURN_NONE) {
                            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__ZINITIX)) {
                                return TSP_CMD__ZINITIX__READ_DND_NODE_ALL;
                            }
                        } else if (tspID == ModuleTouchScreen.TSP_ID__DND__NODE) {
                            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__ZINITIX)) {
                                return TSP_CMD__ZINITIX__READ_DND_NODE;
                            }
                        } else if (tspID == ModuleTouchScreen.TSP_ID__DND__DIFF) {
                            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__ZINITIX)) {
                                return TSP_CMD__ZINITIX__READ_DND_DIFF;
                            }
                        } else if (tspID == ModuleTouchScreen.TSP_ID__SELF__DND__ALL_NODE__RETURN_NONE) {
                            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__ZINITIX)) {
                                return TSP_CMD__ZINITIX__READ_SELF_DND_NODE_ALL;
                            }
                        } else if (tspID == ModuleTouchScreen.TSP_ID__SELF__DND__ALL_NODE) {
                            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__ZINITIX)) {
                                return TSP_CMD__ZINITIX__READ_SELF_DND_NODE;
                            }
                        } else if (tspID == ModuleTouchScreen.TSP_ID__V_GAP__ALL_NODE__RETURN_NONE) {
                            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__ZINITIX)) {
                                return TSP_CMD__ZINITIX__READ_NEW_VGAP_NODE_ALL;
                            }
                        } else if (tspID == ModuleTouchScreen.TSP_ID__V_GAP__NODE) {
                            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__ZINITIX)) {
                                return TSP_CMD__ZINITIX__READ_NEW_VGAP_NODE;
                            }
                        } else if (tspID == ModuleTouchScreen.TSP_ID__H_GAP__ALL_NODE__RETURN_NONE) {
                            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__ZINITIX)) {
                                return TSP_CMD__ZINITIX__READ_NEW_HGAP_NODE_ALL;
                            }
                        } else if (tspID == ModuleTouchScreen.TSP_ID__H_GAP__NODE) {
                            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__ZINITIX)) {
                                return TSP_CMD__ZINITIX__READ_NEW_HGAP_NODE;
                            }
                        } else if (tspID == ModuleTouchScreen.TSP_ID__SELF__H_GAP__ALL_NODE__RETURN_NONE) {
                            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__ZINITIX)) {
                                return TSP_CMD__ZINITIX__READ_NEW_SELF_HGAP_NODE_ALL;
                            }
                        } else if (tspID == ModuleTouchScreen.TSP_ID__SELF__H_GAP__NODE) {
                            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__ZINITIX)) {
                                return TSP_CMD__ZINITIX__READ_NEW_SELF_HGAP_NODE;
                            }
                        } else if (tspID == ModuleTouchScreen.TSP_ID__HIGH_FREQUENCY_V_GAP__ALL_NODE__RETURN_NONE) {
                            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__ZINITIX)) {
                                return TSP_CMD__ZINITIX__READ_NEW_HF_VGAP_NODE_ALL;
                            }
                        } else if (tspID == ModuleTouchScreen.TSP_ID__HIGH_FREQUENCY_V_GAP__NODE) {
                            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__ZINITIX)) {
                                return TSP_CMD__ZINITIX__READ_NEW_HF_VGAP_NODE;
                            }
                        } else if (tspID == ModuleTouchScreen.TSP_ID__HIGH_FREQUENCY_H_GAP__ALL_NODE__RETURN_NONE) {
                            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__ZINITIX)) {
                                return TSP_CMD__ZINITIX__READ_NEW_HF_HGAP_NODE_ALL;
                            }
                        } else if (tspID == ModuleTouchScreen.TSP_ID__HIGH_FREQUENCY_H_GAP__NODE) {
                            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__ZINITIX)) {
                                return TSP_CMD__ZINITIX__READ_NEW_HF_HGAP_NODE;
                            }
                        } else if (tspID == ModuleTouchScreen.TSP_ID__HIGH_FREQUENCY__ALL_NODE__RETURN_NONE) {
                            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__ZINITIX)) {
                                return TSP_CMD__ZINITIX__READ_NEW_HIGH_FREQUENCY_NODE_ALL;
                            }
                        } else if (tspID == ModuleTouchScreen.TSP_ID__HIGH_FREQUENCY) {
                            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__ZINITIX)) {
                                return TSP_CMD__ZINITIX__READ_NEW_HIGH_FREQUENCY_NODE;
                            }
                        } else if (tspID == ModuleTouchScreen.TSP_ID__GAP_JITTER__ALL_NODE) {
                            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__ZINITIX)) {
                                return TSP_CMD__ZINITIX__READ_GAP_JITTER_NODE_ALL;
                            }
                        } else if (tspID == ModuleTouchScreen.TSP_ID__READ_REFERENCE_MAX_DIFF) {
                            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__ZINITIX)) {
                                return TSP_CMD__ZINITIX__READ_REFERENCE_MAX_DIFF;
                            }
                        } else if (tspID == ModuleTouchScreen.TSP_ID__TX_SHORT_NODE_RETURN) {
                            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__ZINITIX)) {
                                return TSP_CMD__ZINITIX__READ_TX_SHORT_NODE;
                            }
                        } else if (tspID == ModuleTouchScreen.TSP_ID__RX_SHORT_NODE_RETURN) {
                            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__ZINITIX)) {
                                return TSP_CMD__ZINITIX__READ_RX_SHORT_NODE;
                            }
                        } else if (tspID == ModuleTouchScreen.TSP_ID__TXRX_SHORT_BY_BIT_NODE_RETURN) {
                            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__ZINITIX)) {
                                return TSP_CMD__ZINITIX__READ_TRX_SHORT_BY_BIT_NODE;
                            }
                        } else if (tspID == ModuleTouchScreen.TSP_ID__HIGH_FREQUENCY_SPEC_ADJUST) {
                            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__ZINITIX)) {
                                return TSP_CMD__ZINITIX__SET_HFDND_SPEC_ADJUST;
                            }
                        } else if (tspID == ModuleTouchScreen.TSP_ID__MIS_CALIBRATION_CHECK) {
                            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__ZINITIX)) {
                                return "run_mis_cal_read";
                            }
                        } else if (tspID == ModuleTouchScreen.TSP_ID__RUN_MIS_CALIBRATION) {
                            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__IMAGIS)) {
                                return "run_mis_cal_read";
                            }
                        } else if (tspID == ModuleTouchScreen.TSP_ID__MIS_CALIBRATION__ALL_NODE__RETURN_MIN_MAX) {
                            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__IMAGIS)) {
                                return "get_mis_cal";
                            }
                        } else if (tspID == ModuleTouchScreen.TSP_ID__TX_RX_SELF_CR) {
                            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__IMAGIS)) {
                                return "run_self_reference_read";
                            }
                        } else if (tspID == ModuleTouchScreen.TSP_ID__CM_GAP_TX_RX) {
                            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__IMAGIS)) {
                                return TSP_CMD__IMAGIS__READ_CM_GAP;
                            }
                        } else if (tspID == ModuleTouchScreen.TSP_ID__CR_VARIANCE_READ) {
                            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__IMAGIS)) {
                                return TSP_CMD__IMAGIS__READ_CR_VARIANCE;
                            }
                        } else if (tspID == ModuleTouchScreen.TSP_ID__KEY_READ1) {
                            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__STM)) {
                                return TSP_CMD__STM__READ_KEY_CM_DATA;
                            }
                            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__MELFAS)) {
                                return TSP_CMD__MELFAS__READ_CM_ABS_NODE_ALL_TSK;
                            }
                        } else if (tspID == ModuleTouchScreen.TSP_ID__KEY_READ2) {
                            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__STM)) {
                                return TSP_CMD__STM__READ_KEY_CX_DATA;
                            }
                            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__MELFAS)) {
                                return TSP_CMD__MELFAS__READ_DELTA_NODE_ALL_TSK;
                            }
                        } else if (tspID == ModuleTouchScreen.TSP_ID__ABS_CAP_NODE) {
                            if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__SYNAPTICS)) {
                                return TSP_CMD__SYNAPTICS__GET_ABSCAP_READ_TEST;
                            }
                        } else if (tspID == ModuleTouchScreen.TSP_ID__INTERFERENCE_METRIC_DATA) {
                            return TSP_CMD__SYNAPTICS__RUN_IM_READ;
                        } else {
                            if (tspID == ModuleTouchScreen.TSP_ID__CM_PRE_DELTA) {
                                if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__SEC)) {
                                    return ModuleDevice.TSP_CMD_READ3_RUN_DELTA;
                                }
                            } else if (tspID == ModuleTouchScreen.TSP_ID__CM_PRE_DELTA_ALL) {
                                if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__SEC)) {
                                    return TSP_CMD__SEC__RUN_PRE_DELTA_READ_ALL;
                                }
                            } else if (tspID == ModuleTouchScreen.TSP_ID__SELF_PRE_DELTA) {
                                if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__SEC)) {
                                    return TSP_CMD__SEC__RUN_SELF_PRE_DELTA_READ;
                                }
                            } else if (tspID == ModuleTouchScreen.TSP_ID__SELF_PRE_DELTA_GAP) {
                                if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__SEC)) {
                                    return TSP_CMD__SEC__RUN_SELF_PRE_DELTA_READ_ALL;
                                }
                            } else if (tspID == ModuleTouchScreen.TSP_ID__EXPANSION__CONNECTION) {
                                if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__ATMEL)) {
                                    return "run_reference_read";
                                }
                                if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__CYPRESS)) {
                                    return TSP_CMD__CYPRESS__READ_RAW_COUNT_NODE_ALL;
                                }
                                if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__MELFAS)) {
                                    if (this.mPanelType.equals(ModuleTouchScreen.TSP_PANEL_TYPE__TFT)) {
                                        return ModuleDevice.TSP_CMD_READ1_RUN_CM_ABS;
                                    }
                                    if (this.mPanelType.equals(ModuleTouchScreen.TSP_PANEL_TYPE__OCTA) || this.mPanelType.equals(ModuleTouchScreen.TSP_PANEL_TYPE__GFF)) {
                                        return "run_cm_delta_read";
                                    }
                                } else if (!this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__SILAB)) {
                                    if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__SYNAPTICS)) {
                                        return ModuleDevice.TSP_CMD_READ1_RUN_RAWCAP;
                                    }
                                    if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__ZINITIX) || this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__ZI)) {
                                        if (Support.Feature.getBoolean(Support.Feature.SUPPORT_RUN_REF)) {
                                            return "run_reference_read";
                                        }
                                        return TSP_CMD__ZINITIX__READ_DND_NODE_ALL;
                                    } else if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__STM)) {
                                        return ModuleDevice.TSP_CMD_READ1_RUN_RAWCAP;
                                    }
                                }
                                if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__IMAGIS)) {
                                    return TSP_CMD__IMAGIS__READ_CM_NODE_ALL;
                                }
                            } else if (tspID == ModuleTouchScreen.TSP_ID__EXPANSION__CONNECTION_HOVERING) {
                                if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__SYNAPTICS) || this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__STM)) {
                                    return "run_abscap_read";
                                }
                            } else if (tspID == ModuleTouchScreen.TSP_ID__CX_DATA_GAP_NODE || tspID == ModuleTouchScreen.TSP_ID__CX_DATA__ALL_NODE__RETURN_NONE || tspID == ModuleTouchScreen.TSP_ID__CX_DATA_ALL_NODE) {
                                return TSP_CMD__STM__READ_CX_DATA_NODE_ALL;
                            } else {
                                if (tspID == ModuleTouchScreen.TSP_ID__CX_DATA__NODE) {
                                    return TSP_CMD__STM__READ_CX_DATA_NODE;
                                }
                                if (tspID == ModuleTouchScreen.TSP_ID__WTR_SELF_RAWDATA) {
                                    return TSP_CMD__STM__READ_WTR_SELF_RAW;
                                }
                                if (tspID == ModuleTouchScreen.TSP_ID__WTR_SELF_RAWDATA__ALL_NODE) {
                                    return TSP_CMD__STM__READ_WTR_SELF_RAW_ALL;
                                }
                                if (tspID == ModuleTouchScreen.TSP_ID__WTR_IX_DATA) {
                                    return TSP_CMD__STM__READ_WTR_IX_DATA;
                                }
                                if (tspID == ModuleTouchScreen.TSP_ID__WTR_IX_DATA__ALL_NODE) {
                                    return TSP_CMD__STM__READ_WTR_IX_DATA_ALL;
                                }
                                if (tspID == ModuleTouchScreen.TSP_ID__WTR_CX2_DATA) {
                                    return TSP_CMD__STM__READ_WTR_CX2_DATA;
                                }
                                if (tspID == ModuleTouchScreen.TSP_ID__WTR_CX2_DATA__ALL_NODE) {
                                    return TSP_CMD__STM__READ_WTR_CX2_DATA_ALL;
                                }
                                if (tspID == ModuleTouchScreen.TSP_ID_SLOPE_CMCS_TEST) {
                                    return TSP_CMD__COMMON__SLOPE_CMCS_TEST;
                                }
                                if (tspID == ModuleTouchScreen.TSP_ID_SLOPE0) {
                                    return TSP_CMD__COMMON__READ_SLOPE0;
                                }
                                if (tspID == ModuleTouchScreen.TSP_ID_SLOPE1) {
                                    return TSP_CMD__COMMON__READ_SLOPE1;
                                }
                                if (tspID == ModuleTouchScreen.TSP_ID__RUN_CALIBRATION) {
                                    return TSP_CMD__ZINITIX__RUN_CALIBRATION_NODE;
                                }
                                if (tspID == ModuleTouchScreen.TSP_ID__HVDD_CHECK) {
                                    return TSP_CMD_IMAGIS__RUN_HVDD_CHECK;
                                }
                                if (tspID == ModuleTouchScreen.TSP_ID__RUN_FORCE_CALIBRATION_CENT) {
                                    return TSP_CMD__SEC__RUN_FORCE_CALIBRATION_CENT;
                                }
                                if (tspID == ModuleTouchScreen.TSP_ID__RUN_FORCE_CALIBRATION_FACT) {
                                    return TSP_CMD__SEC__RUN_FORCE_CALIBRATION_FACT;
                                }
                                if (tspID == ModuleTouchScreen.TSP_ID__RUN_FORCE_CALIBRATION_LCIA) {
                                    return TSP_CMD__SEC__RUN_FORCE_CALIBRATION_LCIA;
                                }
                                if (tspID == ModuleTouchScreen.TSP_ID__RUN_FORCE_CALIBRATION_OUTS) {
                                    return TSP_CMD__SEC__RUN_FORCE_CALIBRATION_OUTS;
                                }
                                if (tspID == ModuleTouchScreen.TSP_ID__MIS_CALIBRATION) {
                                    return TSP_CMD__SEC__READ_MIS_CAL_INFO;
                                }
                                if (tspID == ModuleTouchScreen.TSP_ID__SET_EXTERNAL_FACTORY) {
                                    return TSP_CMD__SEC__SET_EXTERNAL_FACTORY;
                                }
                                if (tspID == ModuleTouchScreen.TSP_ID__CM_SPEC_OVER) {
                                    return TSP_CMD__SEC__GET_CM_SPEC_OVER;
                                }
                                if (tspID == ModuleTouchScreen.FORCE_ID__PRESSURE_RAWDATA_READ) {
                                    return "run_pressure_rawdata_read_all";
                                }
                                if (tspID == ModuleTouchScreen.FORCE_ID__PRESSURE_STRENGTH_SET) {
                                    return "set_pressure_strength";
                                }
                                if (tspID == ModuleTouchScreen.FORCE_ID__PRESSURE_STRENGTH_READ) {
                                    return "run_pressure_strength_read_all";
                                }
                                if (tspID == ModuleTouchScreen.FORCE_ID__PRESSURE_CAL_READ) {
                                    return "get_pressure_strength";
                                }
                                if (tspID == ModuleTouchScreen.FORCE_ID__PRESSURE_IX_READ) {
                                    return "run_pressure_ix_data_read_all";
                                }
                                if (tspID == ModuleTouchScreen.FORCE_ID__PRESSURE_STRENGTH_INDEX_READ) {
                                    return "get_pressure_data_index";
                                }
                                if (tspID == ModuleTouchScreen.FORCE_ID__PRESSURE_STRENGTH_INDEX_SET) {
                                    return "set_pressure_data_index";
                                }
                                if (tspID == ModuleTouchScreen.FORCE_ID__PRESSURE_CAL_CLEAR) {
                                    return "set_pressure_strength_clear";
                                }
                                if (tspID == ModuleTouchScreen.FORCE_ID__PRESSURE_OFFSET_READ) {
                                    return "run_pressure_offset_read_all";
                                }
                                if (tspID == ModuleTouchScreen.FORCE_ID__PRESSURE_TEST_MODE_SET) {
                                    return "set_pressure_test_mode";
                                }
                                if (tspID == ModuleTouchScreen.FORCE_ID__PRESSURE_STRENGTH_FILTERED_READ) {
                                    return "run_pressure_filtered_strength_read_all";
                                }
                                if (tspID == ModuleTouchScreen.FORCE_ID__RUN_FORCE_PRESSURE_CALIBRATION) {
                                    return "run_force_pressure_calibration";
                                }
                                if (tspID == ModuleTouchScreen.TSP_ID__HISTORY) {
                                    return TSP_CMD__COMMON__WRITE_HISTORY;
                                }
                                if (tspID == ModuleTouchScreen.TSP_ID__CHECK_SRAM) {
                                    if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__MELFAS)) {
                                        return TSP_CMD__MELFAS__READ_CHECK_SRAM;
                                    }
                                } else if (tspID == ModuleTouchScreen.TSP_ID__READ_CM_RATIO) {
                                    return TSP_CMD__MELFAS__READ_CM_RATIO;
                                } else {
                                    if (tspID == ModuleTouchScreen.TSP_ID__CHECK_CONNECTION) {
                                        return TSP_CMD__COMMON__CHECK_CONNECTION;
                                    }
                                }
                            }
                        }
                    }
                } else if (!this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__SYNAPTICS)) {
                    str = CLASS_NAME;
                } else if (Support.TestCase.getEnabled(Support.TestCase.SUPPORT_SYNAPTICS_TRX_OPEN_AVERAGE_TEST)) {
                    return TSP_CMD__SYNAPTICS__READ_ELEC_OPEN_TEXT;
                } else {
                    return TSP_CMD__SYNAPTICS__READ_TRX_OPEN_TEXT;
                }
                if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__SEC)) {
                    return TSP_CMD__SEC__READ_RAWCAP_NODE_ALL;
                }
            } else if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__SEC)) {
                return TSP_CMD__SEC__READ_SELF_RAWCAP_ALL;
            } else {
                str = CLASS_NAME;
            }
        }
        FtUtil.log_i(str, "mapping_IDnCommand", "TSP ID : " + tspID);
        return "NA";
    }

    /* access modifiers changed from: private */
    public class TSPThread implements Runnable {
        Handler mNotiHandler;
        String subCommand;
        int tspID;

        private TSPThread() {
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void setHandler(Handler notiHandler) {
            this.mNotiHandler = notiHandler;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void setParameter(int ID, String command) {
            this.tspID = ID;
            this.subCommand = command;
        }

        public void run() {
            String status;
            String result;
            FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "TSP ID (Main) : " + ModuleTouchScreen.convertorTSPID(this.tspID));
            String command = TouchScreenPanel.this.mapping_IDnCommand(this.tspID);
            FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "Main Command : " + command);
            FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "Sub Command : " + this.subCommand);
            if (command != "NA") {
                synchronized (this) {
                    status = TouchScreenPanel.this.setTSPCommand(command, this.subCommand);
                    result = TouchScreenPanel.this.getTSPCommandResult(command, this.subCommand);
                }
                FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "status : " + status);
                FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "result : " + result);
                if (status.equals("OK")) {
                    FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_OK");
                    Handler handler = this.mNotiHandler;
                    handler.sendMessage(handler.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_OK, this.tspID, -1, result));
                } else if (status.equals("NOT_APPLICABLE")) {
                    FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_NA");
                    Handler handler2 = this.mNotiHandler;
                    handler2.sendMessage(handler2.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NA, this.tspID, -1));
                } else {
                    FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_NG");
                    Handler handler3 = this.mNotiHandler;
                    handler3.sendMessage(handler3.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NG, this.tspID, -1));
                }
            } else {
                FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "command==null");
                FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_NA");
                Handler handler4 = this.mNotiHandler;
                handler4.sendMessage(handler4.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NA, this.tspID, -1));
            }
        }
    }

    /* access modifiers changed from: private */
    public class TSPThreadHistory implements Runnable {
        String subCommand;
        int tspID;

        private TSPThreadHistory() {
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void setParameter(int ID, String command) {
            this.tspID = ID;
            this.subCommand = command;
        }

        public void run() {
            String status;
            String result;
            FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPThreadHistory start");
            String command = TouchScreenPanel.this.mapping_IDnCommand(this.tspID);
            FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "Main Command : " + command);
            FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "Sub Command : " + this.subCommand);
            if (command != "NA") {
                synchronized (this) {
                    status = TouchScreenPanel.this.setTSPCommand(command, this.subCommand);
                    result = TouchScreenPanel.this.getTSPCommandResult(command, this.subCommand);
                }
                FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "status : " + status);
                FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "result : " + result);
                if (status.equals("OK")) {
                    FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_OK");
                } else if (status.equals("NOT_APPLICABLE")) {
                    FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_NA");
                } else {
                    FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_NG");
                }
            } else {
                FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "command==null");
                FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_NA");
            }
        }
    }

    /* access modifiers changed from: private */
    public class TSPThreadRawData implements Runnable {
        Handler mNotiHandler;
        String subCommand;
        int tspID;

        private TSPThreadRawData() {
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void setHandler(Handler notiHandler) {
            this.mNotiHandler = notiHandler;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void setParameter(int ID, String command) {
            this.tspID = ID;
            this.subCommand = command;
        }

        /* JADX WARNING: Removed duplicated region for block: B:31:0x01b9  */
        /* JADX WARNING: Removed duplicated region for block: B:35:0x01db  */
        public void run() {
            String status;
            Exception e;
            FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "TSP ID (Main) : " + ModuleTouchScreen.convertorTSPID(this.tspID));
            String command = TouchScreenPanel.this.mapping_IDnCommand(this.tspID);
            FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "Main Command : " + command);
            FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "Sub Command : " + this.subCommand);
            String result = null;
            String tmpX = ModuleTouchScreen.instance(TouchScreenPanel.this.mContext).getTSPChannelCountX();
            String tmpY = ModuleTouchScreen.instance(TouchScreenPanel.this.mContext).getTSPChannelCountY();
            int xChannel = Support.Spec.getInt(Support.Spec.TSP_NODE_COUNT_WIDTH);
            int yChannel = Support.Spec.getInt(Support.Spec.TSP_NODE_COUNT_HEIGHT);
            try {
                xChannel = Integer.parseInt(tmpX);
                yChannel = Integer.parseInt(tmpY);
            } catch (NumberFormatException ne) {
                FtUtil.log_e(ne);
            }
            if (command != "NA") {
                int[] iArr = new int[2];
                iArr[1] = yChannel;
                iArr[0] = xChannel;
                int[][] ret = (int[][]) Array.newInstance(int.class, iArr);
                String status2 = null;
                int y = 0;
                while (y < xChannel) {
                    String status3 = status2;
                    for (int x = 0; x < yChannel; x++) {
                        try {
                            synchronized (this) {
                                status3 = TouchScreenPanel.this.setTSPCommand(command, y + "," + x);
                                ret[y][x] = Integer.parseInt(TouchScreenPanel.this.getTSPCommandResultData(command, y + "," + x));
                            }
                        } catch (Exception e2) {
                            e = e2;
                            status2 = status3;
                            e.printStackTrace();
                            status = status2;
                            FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "status : " + status);
                            FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "result : " + result);
                            if (status == null) {
                            }
                            if (status != null) {
                            }
                            FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_NG");
                            Handler handler = this.mNotiHandler;
                            handler.sendMessage(handler.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NG, this.tspID, -1));
                        }
                    }
                    y++;
                    status2 = status3;
                }
                try {
                    TouchScreenPanel.this.mCheckTSPRawCap = new CheckTSPRawCap(xChannel, yChannel);
                    float dataX = TouchScreenPanel.this.mCheckTSPRawCap.getMaxAdjacentNodeGap(ret, 1000);
                    float dataY = TouchScreenPanel.this.mCheckTSPRawCap.getMaxAdjacentNodeGap(ret, 1001);
                    FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "dataX : " + dataX, "dataY : " + dataY);
                    result = String.format("%.3f", Float.valueOf(dataX)) + "," + String.format("%.3f", Float.valueOf(dataY));
                    status = status2;
                } catch (Exception e3) {
                    e = e3;
                    e.printStackTrace();
                    status = status2;
                    FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "status : " + status);
                    FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "result : " + result);
                    if (status == null) {
                    }
                    if (status != null) {
                    }
                    FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_NG");
                    Handler handler2 = this.mNotiHandler;
                    handler2.sendMessage(handler2.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NG, this.tspID, -1));
                }
                FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "status : " + status);
                FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "result : " + result);
                if (status == null && status.equals("OK")) {
                    FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_OK");
                    Handler handler3 = this.mNotiHandler;
                    handler3.sendMessage(handler3.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_OK, this.tspID, -1, result));
                } else if (status != null || !status.equals("NOT_APPLICABLE")) {
                    FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_NG");
                    Handler handler22 = this.mNotiHandler;
                    handler22.sendMessage(handler22.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NG, this.tspID, -1));
                } else {
                    FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_NA");
                    Handler handler4 = this.mNotiHandler;
                    handler4.sendMessage(handler4.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NA, this.tspID, -1));
                }
            } else {
                FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "command==null");
                FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_NA");
                Handler handler5 = this.mNotiHandler;
                handler5.sendMessage(handler5.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NA, this.tspID, -1));
            }
        }
    }

    /* access modifiers changed from: private */
    public class TSPThreadCxData implements Runnable {
        boolean TotalCx;
        Handler mNotiHandler;
        String subCommand;
        int tspID;

        private TSPThreadCxData() {
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void setHandler(Handler notiHandler) {
            this.mNotiHandler = notiHandler;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void setParameter(int ID, String command) {
            this.tspID = ID;
            this.subCommand = command;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void setTotalCx(boolean enable) {
            this.TotalCx = enable;
        }

        /* JADX WARNING: Code restructure failed: missing block: B:35:0x014b, code lost:
            r3 = r3 + 1;
            r4 = r21;
         */
        /* JADX WARNING: Removed duplicated region for block: B:68:0x02ad  */
        /* JADX WARNING: Removed duplicated region for block: B:71:0x02cf  */
        public void run() {
            int dataX;
            int dataY;
            String str;
            StringBuilder sb;
            String status;
            String second_command;
            FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "TSP ID (Main) : " + ModuleTouchScreen.convertorTSPID(this.tspID));
            String command = TouchScreenPanel.this.mapping_IDnCommand(this.tspID);
            String second_command2 = TouchScreenPanel.TSP_CMD__STM__READ_CX_DATA_NODE;
            FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "Main Command : " + command);
            FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "Sub Command : " + this.subCommand);
            String tmp_result = null;
            String result_total = null;
            String tmpX = ModuleTouchScreen.instance(TouchScreenPanel.this.mContext).getTSPChannelCountX();
            String tmpY = ModuleTouchScreen.instance(TouchScreenPanel.this.mContext).getTSPChannelCountY();
            int xChannel = Support.Spec.getInt(Support.Spec.TSP_NODE_COUNT_WIDTH);
            int yChannel = Support.Spec.getInt(Support.Spec.TSP_NODE_COUNT_HEIGHT);
            try {
                xChannel = Integer.parseInt(tmpX);
                yChannel = Integer.parseInt(tmpY);
            } catch (NumberFormatException ne) {
                FtUtil.log_e(ne);
            }
            if (!"NA".equals(command)) {
                String status2 = TouchScreenPanel.this.setTSPCommand(command, null);
                String result = TouchScreenPanel.this.getTSPCommandResultData(command, null);
                if (!"NG".equals(result)) {
                    int[] iArr = new int[2];
                    iArr[1] = xChannel;
                    iArr[0] = yChannel;
                    int[][] ret = (int[][]) Array.newInstance(int.class, iArr);
                    int[] iArr2 = new int[2];
                    iArr2[1] = xChannel;
                    iArr2[0] = yChannel;
                    int[][] ret_total = (int[][]) Array.newInstance(int.class, iArr2);
                    for (int y = 0; y < yChannel; y++) {
                        int x = 0;
                        while (x < xChannel) {
                            try {
                                synchronized (this) {
                                    try {
                                        TouchScreenPanel touchScreenPanel = TouchScreenPanel.this;
                                        StringBuilder sb2 = new StringBuilder();
                                        sb2.append(x);
                                        try {
                                            sb2.append(",");
                                            sb2.append(y);
                                            status2 = touchScreenPanel.setTSPCommand(second_command2, sb2.toString());
                                            tmp_result = TouchScreenPanel.this.getTSPCommandResultData(second_command2, x + "," + y);
                                        } catch (Throwable th) {
                                            th = th;
                                            try {
                                                throw th;
                                            } catch (Exception e) {
                                                e = e;
                                            }
                                        }
                                        try {
                                            String[] arr_result = tmp_result.split(",");
                                            if (arr_result != null) {
                                                second_command = second_command2;
                                                if (arr_result.length >= 1) {
                                                    ret[y][x] = Integer.parseInt(arr_result[0]);
                                                }
                                                if (arr_result.length >= 2) {
                                                    ret_total[y][x] = Integer.parseInt(arr_result[1]);
                                                }
                                            } else {
                                                second_command = second_command2;
                                            }
                                        } catch (Throwable th2) {
                                            th = th2;
                                            throw th;
                                        }
                                    } catch (Throwable th3) {
                                        th = th3;
                                        throw th;
                                    }
                                }
                            } catch (Exception e2) {
                                e = e2;
                                e.printStackTrace();
                                status = status2;
                                FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "status : " + status);
                                FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "result : " + result);
                                if (!status.equals("OK")) {
                                }
                            }
                        }
                    }
                    try {
                        TouchScreenPanel.this.mCheckCxDataGap = new CheckCxDataGap(xChannel, yChannel);
                        dataX = TouchScreenPanel.this.mCheckCxDataGap.getMaxAdjacentNodeGap(ret, 1000);
                        dataY = TouchScreenPanel.this.mCheckCxDataGap.getMaxAdjacentNodeGap(ret, 1001);
                        str = "dataX : " + dataX;
                        sb = new StringBuilder();
                    } catch (Exception e3) {
                        e = e3;
                        e.printStackTrace();
                        status = status2;
                        FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "status : " + status);
                        FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "result : " + result);
                        if (!status.equals("OK")) {
                        }
                    }
                    try {
                        sb.append("dataY : ");
                        sb.append(dataY);
                        FtUtil.log_d(TouchScreenPanel.CLASS_NAME, str, sb.toString());
                        result = String.format("%d", Integer.valueOf(dataX)) + "," + String.format("%d", Integer.valueOf(dataY));
                        if (this.TotalCx) {
                            int[] minmax_total = TouchScreenPanel.this.getMinMaxTSPData(ret_total);
                            FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "Total Cx Min : " + minmax_total[0] + ", Max : " + minmax_total[1]);
                            result_total = String.format("%d", Integer.valueOf(minmax_total[0])) + "," + String.format("%d", Integer.valueOf(minmax_total[1]));
                        }
                        status = status2;
                    } catch (Exception e4) {
                        e = e4;
                        e.printStackTrace();
                        status = status2;
                        FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "status : " + status);
                        FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "result : " + result);
                        if (!status.equals("OK")) {
                        }
                    }
                    FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "status : " + status);
                    FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "result : " + result);
                    if (!status.equals("OK")) {
                        FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_OK");
                        Handler handler = this.mNotiHandler;
                        handler.sendMessage(handler.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_OK, this.tspID, -1, result));
                        if (this.TotalCx) {
                            TSPThreadTotalCx.setResult(TouchScreenPanel.TSP_WHAT_STATUS_OK, result_total);
                        }
                    } else if (status.equals("NOT_APPLICABLE")) {
                        FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_NA");
                        Handler handler2 = this.mNotiHandler;
                        handler2.sendMessage(handler2.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NA, this.tspID, -1));
                        if (this.TotalCx) {
                            TSPThreadTotalCx.setResult(TouchScreenPanel.TSP_WHAT_STATUS_NA, result_total);
                        }
                    } else {
                        FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_NG");
                        Handler handler3 = this.mNotiHandler;
                        handler3.sendMessage(handler3.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NG, this.tspID, -1));
                        if (this.TotalCx) {
                            TSPThreadTotalCx.setResult(TouchScreenPanel.TSP_WHAT_STATUS_NG, result_total);
                        }
                    }
                }
            } else {
                FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "command==null");
                FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_NA");
                Handler handler4 = this.mNotiHandler;
                handler4.sendMessage(handler4.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NA, this.tspID, -1));
                if (this.TotalCx) {
                    TSPThreadTotalCx.setResult(TouchScreenPanel.TSP_WHAT_STATUS_NA, null);
                }
            }
        }
    }

    /* access modifiers changed from: private */
    public class TSPThreadCmOffsetSplitCorner implements Runnable {
        Handler mNotiHandler;
        String subCommand;
        int tspID;

        private TSPThreadCmOffsetSplitCorner() {
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void setHandler(Handler notiHandler) {
            this.mNotiHandler = notiHandler;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void setParameter(int ID, String command) {
            this.tspID = ID;
            this.subCommand = command;
        }

        /* JADX WARNING: Code restructure failed: missing block: B:62:0x016f, code lost:
            r0 = e;
         */
        /* JADX WARNING: Removed duplicated region for block: B:89:0x0263  */
        /* JADX WARNING: Removed duplicated region for block: B:90:0x027b  */
        public void run() {
            String result;
            String[] retTemp;
            String result2;
            int dataOnlyCornerMax;
            Throwable th;
            FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetSplitCorner.run", "TSP ID (Main) : " + ModuleTouchScreen.convertorTSPID(this.tspID));
            String command = TouchScreenPanel.this.mapping_IDnCommand(this.tspID);
            FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetSplitCorner.run", "Main Command : " + command);
            int index = 100000;
            int dataMin = -100000;
            int dataOnlyCornerMin = 100000;
            int dataOnlyCornerMax2 = -100000;
            ArrayList<Integer> cornerDataList = new ArrayList<>();
            String tmpX = ModuleTouchScreen.instance(TouchScreenPanel.this.mContext).getTSPCmCountX();
            String tmpY = ModuleTouchScreen.instance(TouchScreenPanel.this.mContext).getTSPCmCountY();
            int xChannel = Support.Spec.getInt(Support.Spec.TSP_NODE_COUNT_WIDTH);
            int yChannel = Support.Spec.getInt(Support.Spec.TSP_NODE_COUNT_HEIGHT);
            try {
                xChannel = Integer.parseInt(tmpX);
                yChannel = Integer.parseInt(tmpY);
            } catch (NumberFormatException ne) {
                FtUtil.log_e(ne);
            }
            if (!"NA".equals(command)) {
                String status = TouchScreenPanel.this.setTSPCommand(command, null);
                String result3 = TouchScreenPanel.this.getTSPCommandResultData(command, null);
                String[] retTemp2 = result3.split(",");
                if (!"NG".equals(result3)) {
                    int[] iArr = new int[2];
                    iArr[1] = xChannel;
                    iArr[0] = yChannel;
                    int[][] ret = (int[][]) Array.newInstance(int.class, iArr);
                    int index2 = 0;
                    int y = 0;
                    while (y < yChannel) {
                        int x = 0;
                        result = result3;
                        int dataMax = dataMin;
                        int dataMin2 = index;
                        int dataMin3 = index2;
                        while (x < xChannel) {
                            try {
                                synchronized (this) {
                                    try {
                                        int index3 = dataMin3 + 1;
                                        try {
                                            ret[y][x] = Integer.parseInt(retTemp2[dataMin3]);
                                            if ((x == 0 && y == 0) || ((x == xChannel - 1 && y == 0) || ((x == 0 && y == yChannel - 1) || (x == xChannel - 1 && y == yChannel - 1)))) {
                                                retTemp = retTemp2;
                                                try {
                                                    StringBuilder sb = new StringBuilder();
                                                    dataOnlyCornerMax = dataOnlyCornerMax2;
                                                    sb.append("skip corner node x:");
                                                    sb.append(x);
                                                    sb.append(", y:");
                                                    sb.append(y);
                                                    FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetSplitCorner.run", sb.toString());
                                                    cornerDataList.add(Integer.valueOf(ret[y][x]));
                                                } catch (Throwable th2) {
                                                    th = th2;
                                                    while (true) {
                                                        break;
                                                    }
                                                    throw th;
                                                }
                                            } else {
                                                retTemp = retTemp2;
                                                dataOnlyCornerMax = dataOnlyCornerMax2;
                                                if (ret[y][x] < dataMin2) {
                                                    dataMin2 = ret[y][x];
                                                }
                                                if (ret[y][x] > dataMax) {
                                                    dataMax = ret[y][x];
                                                }
                                            }
                                            x++;
                                            dataMin3 = index3;
                                            retTemp2 = retTemp;
                                            dataOnlyCornerMax2 = dataOnlyCornerMax;
                                        } catch (Throwable th3) {
                                            th = th3;
                                            retTemp = retTemp2;
                                            dataOnlyCornerMax = dataOnlyCornerMax2;
                                            while (true) {
                                                break;
                                            }
                                            throw th;
                                        }
                                    } catch (Throwable th4) {
                                        th = th4;
                                        retTemp = retTemp2;
                                        dataOnlyCornerMax = dataOnlyCornerMax2;
                                        while (true) {
                                            break;
                                        }
                                        throw th;
                                    }
                                }
                            } catch (Exception e) {
                                e = e;
                                retTemp = retTemp2;
                                e.printStackTrace();
                                result2 = result;
                                FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetSplitCorner.run", "status : " + status);
                                FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetSplitCorner.run", "result : " + result2);
                                if (!status.equals("OK")) {
                                }
                                return;
                            }
                        }
                        dataOnlyCornerMax = dataOnlyCornerMax2;
                        y++;
                        index2 = dataMin3;
                        index = dataMin2;
                        dataOnlyCornerMin = dataOnlyCornerMin;
                        dataMin = dataMax;
                        result3 = result;
                    }
                    result = result3;
                    retTemp = retTemp2;
                    try {
                        Iterator<Integer> it = cornerDataList.iterator();
                        int dataOnlyCornerMin2 = dataOnlyCornerMin;
                        int dataOnlyCornerMax3 = dataOnlyCornerMax2;
                        while (it.hasNext()) {
                            try {
                                Integer cornerData = it.next();
                                if (cornerData.intValue() < dataOnlyCornerMin2) {
                                    dataOnlyCornerMin2 = cornerData.intValue();
                                }
                                if (cornerData.intValue() > dataOnlyCornerMax3) {
                                    dataOnlyCornerMax3 = cornerData.intValue();
                                }
                            } catch (Exception e2) {
                                e = e2;
                                e.printStackTrace();
                                result2 = result;
                                FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetSplitCorner.run", "status : " + status);
                                FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetSplitCorner.run", "result : " + result2);
                                if (!status.equals("OK")) {
                                }
                                return;
                            }
                        }
                        FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetSplitCorner.run", "min without corner:" + index + ", max without corner:" + dataMin + ", min only corner:" + dataOnlyCornerMin2 + ", max only corner:" + dataOnlyCornerMax3);
                        result2 = String.format("%d,%d,%d,%d", Integer.valueOf(index), Integer.valueOf(dataMin), Integer.valueOf(dataOnlyCornerMin2), Integer.valueOf(dataOnlyCornerMax3));
                    } catch (Exception e3) {
                        e = e3;
                        e.printStackTrace();
                        result2 = result;
                        FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetSplitCorner.run", "status : " + status);
                        FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetSplitCorner.run", "result : " + result2);
                        if (!status.equals("OK")) {
                        }
                        return;
                    }
                    FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetSplitCorner.run", "status : " + status);
                    FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetSplitCorner.run", "result : " + result2);
                    if (!status.equals("OK")) {
                        FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetSplitCorner.run", "sendMessage == TSP_WHAT_STATUS_OK");
                        Handler handler = this.mNotiHandler;
                        handler.sendMessage(handler.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_OK, this.tspID, -1, result2));
                    } else if (status.equals("NOT_APPLICABLE")) {
                        FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetSplitCorner.run", "sendMessage == TSP_WHAT_STATUS_NA");
                        Handler handler2 = this.mNotiHandler;
                        handler2.sendMessage(handler2.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NA, this.tspID, -1));
                    } else {
                        FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetSplitCorner.run", "sendMessage == TSP_WHAT_STATUS_NG");
                        Handler handler3 = this.mNotiHandler;
                        handler3.sendMessage(handler3.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NG, this.tspID, -1));
                    }
                    return;
                }
                return;
            }
            FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetSplitCorner.run", "command==null");
            FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetSplitCorner.run", "sendMessage == TSP_WHAT_STATUS_NA");
            Handler handler4 = this.mNotiHandler;
            handler4.sendMessage(handler4.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NA, this.tspID, -1));
        }
    }

    /* access modifiers changed from: private */
    public class TSPThreadCmData implements Runnable {
        Handler mNotiHandler;
        String subCommand;
        int tspID;

        private TSPThreadCmData() {
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void setHandler(Handler notiHandler) {
            this.mNotiHandler = notiHandler;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void setParameter(int ID, String command) {
            this.tspID = ID;
            this.subCommand = command;
        }

        /* JADX WARNING: Code restructure failed: missing block: B:22:0x00c7, code lost:
            r11 = r11 + 1;
            r15 = r16;
         */
        public void run() {
            Throwable th;
            FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "TSP ID (Main) : " + ModuleTouchScreen.convertorTSPID(this.tspID));
            String command = TouchScreenPanel.this.mapping_IDnCommand(this.tspID);
            FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "Main Command : " + command);
            String tmpX = ModuleTouchScreen.instance(TouchScreenPanel.this.mContext).getTSPCmCountX();
            String tmpY = ModuleTouchScreen.instance(TouchScreenPanel.this.mContext).getTSPCmCountY();
            int xChannel = Support.Spec.getInt(Support.Spec.TSP_NODE_COUNT_WIDTH);
            int yChannel = Support.Spec.getInt(Support.Spec.TSP_NODE_COUNT_HEIGHT);
            try {
                xChannel = Integer.parseInt(tmpX);
                yChannel = Integer.parseInt(tmpY);
            } catch (NumberFormatException ne) {
                FtUtil.log_e(ne);
            }
            if (!"NA".equals(command)) {
                String status = TouchScreenPanel.this.setTSPCommand(command, null);
                String result = TouchScreenPanel.this.getTSPCommandResultData(command, null);
                String[] retTemp = result.split(",");
                if (!"NG".equals(result)) {
                    int[] iArr = new int[2];
                    iArr[1] = xChannel;
                    iArr[0] = yChannel;
                    int[][] ret = (int[][]) Array.newInstance(int.class, iArr);
                    int index = 0;
                    int y = 0;
                    while (y < yChannel) {
                        int x = 0;
                        int index2 = index;
                        while (x < xChannel) {
                            try {
                                synchronized (this) {
                                    try {
                                        int index3 = index2 + 1;
                                        try {
                                            ret[y][x] = Integer.parseInt(retTemp[index2]);
                                        } catch (Throwable th2) {
                                            th = th2;
                                            throw th;
                                        }
                                    } catch (Throwable th3) {
                                        th = th3;
                                        throw th;
                                    }
                                }
                            } catch (Exception e) {
                                e.printStackTrace();
                            }
                        }
                        y++;
                        index = index2;
                    }
                    TouchScreenPanel.this.mCheckCxDataGap = new CheckCxDataGap(xChannel, yChannel);
                    int dataX = TouchScreenPanel.this.mCheckCxDataGap.getMaxAdjacentNodeGap(ret, 1000);
                    int dataY = TouchScreenPanel.this.mCheckCxDataGap.getMaxAdjacentNodeGap(ret, 1001);
                    FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "dataX : " + dataX, "dataY : " + dataY);
                    result = String.format("%d", Integer.valueOf(dataX)) + "," + String.format("%d", Integer.valueOf(dataY));
                    FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "status : " + status);
                    FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "result : " + result);
                    if (status.equals("OK")) {
                        FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_OK");
                        Handler handler = this.mNotiHandler;
                        handler.sendMessage(handler.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_OK, this.tspID, -1, result));
                    } else if (status.equals("NOT_APPLICABLE")) {
                        FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_NA");
                        Handler handler2 = this.mNotiHandler;
                        handler2.sendMessage(handler2.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NA, this.tspID, -1));
                    } else {
                        FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_NG");
                        Handler handler3 = this.mNotiHandler;
                        handler3.sendMessage(handler3.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NG, this.tspID, -1));
                    }
                }
            } else {
                FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "command==null");
                FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_NA");
                Handler handler4 = this.mNotiHandler;
                handler4.sendMessage(handler4.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NA, this.tspID, -1));
            }
        }
    }

    /* access modifiers changed from: private */
    public class TSPThreadCmOffsetGapGreatStyle implements Runnable {
        Handler mNotiHandler;
        String subCommand;
        int tspID;

        private TSPThreadCmOffsetGapGreatStyle() {
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void setHandler(Handler notiHandler) {
            this.mNotiHandler = notiHandler;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void setParameter(int ID, String command) {
            this.tspID = ID;
            this.subCommand = command;
        }

        /* JADX WARNING: Code restructure failed: missing block: B:22:0x00cb, code lost:
            r15 = r15 + 1;
            r13 = r19;
         */
        /* JADX WARNING: Removed duplicated region for block: B:48:0x01d0  */
        /* JADX WARNING: Removed duplicated region for block: B:49:0x01e8  */
        public void run() {
            String result;
            String result2;
            Exception e;
            Throwable th;
            FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetGapGreatStyle.run", "TSP ID (Main) : " + ModuleTouchScreen.convertorTSPID(this.tspID));
            String command = TouchScreenPanel.this.mapping_IDnCommand(this.tspID);
            FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetGapGreatStyle.run", "Main Command : " + command);
            String tmpX = ModuleTouchScreen.instance(TouchScreenPanel.this.mContext).getTSPCmCountX();
            String tmpY = ModuleTouchScreen.instance(TouchScreenPanel.this.mContext).getTSPCmCountY();
            int xChannel = Support.Spec.getInt(Support.Spec.TSP_NODE_COUNT_WIDTH);
            int yChannel = Support.Spec.getInt(Support.Spec.TSP_NODE_COUNT_HEIGHT);
            try {
                xChannel = Integer.parseInt(tmpX);
                yChannel = Integer.parseInt(tmpY);
            } catch (NumberFormatException ne) {
                FtUtil.log_e(ne);
            }
            if (!"NA".equals(command)) {
                String status = TouchScreenPanel.this.setTSPCommand(command, null);
                String result3 = TouchScreenPanel.this.getTSPCommandResultData(command, null);
                String[] retTemp = result3.split(",");
                if (!"NG".equals(result3)) {
                    int[] iArr = new int[2];
                    iArr[1] = xChannel;
                    iArr[0] = yChannel;
                    int[][] ret = (int[][]) Array.newInstance(int.class, iArr);
                    int index = 0;
                    for (int y = 0; y < yChannel; y++) {
                        int x = 0;
                        while (x < xChannel) {
                            try {
                                synchronized (this) {
                                    try {
                                        int index2 = index + 1;
                                        try {
                                            ret[y][x] = Integer.parseInt(retTemp[index]);
                                        } catch (Throwable th2) {
                                            th = th2;
                                            throw th;
                                        }
                                    } catch (Throwable th3) {
                                        th = th3;
                                        throw th;
                                    }
                                }
                            } catch (Exception e2) {
                                e = e2;
                                result2 = result3;
                                e.printStackTrace();
                                result = result2;
                                FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetGapGreatStyle.run", "status : " + status);
                                FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetGapGreatStyle.run", "result : " + result);
                                if (status.equals("OK")) {
                                }
                            }
                        }
                    }
                    try {
                        TouchScreenPanel.this.mCheckCxDataGap = new CheckCxDataGap(xChannel, yChannel);
                        int[] arrResultXdirection = TouchScreenPanel.this.mCheckCxDataGap.getMaxAdjacentNodeGapGreatStyle(ret, 1000);
                        int[] arrResultYdirection = TouchScreenPanel.this.mCheckCxDataGap.getMaxAdjacentNodeGapGreatStyle(ret, 1001);
                        StringBuilder sb = new StringBuilder();
                        try {
                            sb.append("gapXCenterMax:");
                            sb.append(arrResultXdirection[0]);
                            sb.append(", gapXSideMax:");
                            result2 = result3;
                            try {
                                sb.append(arrResultXdirection[1]);
                                sb.append(", gapY1Max:");
                                sb.append(arrResultYdirection[0]);
                                sb.append(", gapY2Max:");
                                sb.append(arrResultYdirection[1]);
                                sb.append(", gapY3Max:");
                                sb.append(arrResultYdirection[2]);
                                FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetGapGreatStyle.run", sb.toString());
                                result = String.format("%d,%d,%d,%d,%d", Integer.valueOf(arrResultXdirection[0]), Integer.valueOf(arrResultXdirection[1]), Integer.valueOf(arrResultYdirection[0]), Integer.valueOf(arrResultYdirection[1]), Integer.valueOf(arrResultYdirection[2]));
                            } catch (Exception e3) {
                                e = e3;
                                e.printStackTrace();
                                result = result2;
                                FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetGapGreatStyle.run", "status : " + status);
                                FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetGapGreatStyle.run", "result : " + result);
                                if (status.equals("OK")) {
                                }
                            }
                        } catch (Exception e4) {
                            e = e4;
                            result2 = result3;
                            e.printStackTrace();
                            result = result2;
                            FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetGapGreatStyle.run", "status : " + status);
                            FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetGapGreatStyle.run", "result : " + result);
                            if (status.equals("OK")) {
                            }
                        }
                    } catch (Exception e5) {
                        e = e5;
                        result2 = result3;
                        e.printStackTrace();
                        result = result2;
                        FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetGapGreatStyle.run", "status : " + status);
                        FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetGapGreatStyle.run", "result : " + result);
                        if (status.equals("OK")) {
                        }
                    }
                    FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetGapGreatStyle.run", "status : " + status);
                    FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetGapGreatStyle.run", "result : " + result);
                    if (status.equals("OK")) {
                        FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetGapGreatStyle.run", "sendMessage == TSP_WHAT_STATUS_OK");
                        Handler handler = this.mNotiHandler;
                        handler.sendMessage(handler.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_OK, this.tspID, -1, result));
                    } else if (status.equals("NOT_APPLICABLE")) {
                        FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetGapGreatStyle.run", "sendMessage == TSP_WHAT_STATUS_NA");
                        Handler handler2 = this.mNotiHandler;
                        handler2.sendMessage(handler2.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NA, this.tspID, -1));
                    } else {
                        FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetGapGreatStyle.run", "sendMessage == TSP_WHAT_STATUS_NG");
                        Handler handler3 = this.mNotiHandler;
                        handler3.sendMessage(handler3.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NG, this.tspID, -1));
                    }
                }
            } else {
                FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetGapGreatStyle.run", "command==null");
                FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetGapGreatStyle.run", "sendMessage == TSP_WHAT_STATUS_NA");
                Handler handler4 = this.mNotiHandler;
                handler4.sendMessage(handler4.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NA, this.tspID, -1));
            }
        }
    }

    /* access modifiers changed from: private */
    public class TSPThreadCmOffsetGapSplitCorner implements Runnable {
        Handler mNotiHandler;
        String subCommand;
        int tspID;

        private TSPThreadCmOffsetGapSplitCorner() {
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void setHandler(Handler notiHandler) {
            this.mNotiHandler = notiHandler;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void setParameter(int ID, String command) {
            this.tspID = ID;
            this.subCommand = command;
        }

        /* JADX WARNING: Code restructure failed: missing block: B:22:0x00c9, code lost:
            r14 = r14 + 1;
            r12 = r18;
         */
        /* JADX WARNING: Removed duplicated region for block: B:48:0x01cb  */
        /* JADX WARNING: Removed duplicated region for block: B:52:0x01ed  */
        public void run() {
            String[] retTemp;
            int[][] ret;
            String result;
            String result2;
            Exception e;
            int dataX;
            int dataOnlyCornerX;
            int dataY;
            int dataOnlyCornerY;
            Throwable th;
            FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetGapSplitCorner.run", "TSP ID (Main) : " + ModuleTouchScreen.convertorTSPID(this.tspID));
            String command = TouchScreenPanel.this.mapping_IDnCommand(this.tspID);
            FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetGapSplitCorner.run", "Main Command : " + command);
            String tmpX = ModuleTouchScreen.instance(TouchScreenPanel.this.mContext).getTSPCmCountX();
            String tmpY = ModuleTouchScreen.instance(TouchScreenPanel.this.mContext).getTSPCmCountY();
            int xChannel = Support.Spec.getInt(Support.Spec.TSP_NODE_COUNT_WIDTH);
            int yChannel = Support.Spec.getInt(Support.Spec.TSP_NODE_COUNT_HEIGHT);
            try {
                xChannel = Integer.parseInt(tmpX);
                yChannel = Integer.parseInt(tmpY);
            } catch (NumberFormatException ne) {
                FtUtil.log_e(ne);
            }
            if (!"NA".equals(command)) {
                String status = TouchScreenPanel.this.setTSPCommand(command, null);
                String result3 = TouchScreenPanel.this.getTSPCommandResultData(command, null);
                String[] retTemp2 = result3.split(",");
                if (!"NG".equals(result3)) {
                    int[] iArr = new int[2];
                    iArr[1] = xChannel;
                    iArr[0] = yChannel;
                    int[][] ret2 = (int[][]) Array.newInstance(int.class, iArr);
                    int index = 0;
                    for (int y = 0; y < yChannel; y++) {
                        int x = 0;
                        while (x < xChannel) {
                            try {
                                synchronized (this) {
                                    try {
                                        int index2 = index + 1;
                                        try {
                                            ret2[y][x] = Integer.parseInt(retTemp2[index]);
                                        } catch (Throwable th2) {
                                            th = th2;
                                            throw th;
                                        }
                                    } catch (Throwable th3) {
                                        th = th3;
                                        throw th;
                                    }
                                }
                            } catch (Exception e2) {
                                e = e2;
                                result2 = result3;
                                ret = ret2;
                                retTemp = retTemp2;
                                e.printStackTrace();
                                result = result2;
                                FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetGapSplitCorner.run", "status : " + status);
                                FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetGapSplitCorner.run", "result : " + result);
                                if (status == null) {
                                }
                                if (status != null) {
                                }
                                FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetGapSplitCorner.run", "sendMessage == TSP_WHAT_STATUS_NG");
                                Handler handler = this.mNotiHandler;
                                handler.sendMessage(handler.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NG, this.tspID, -1));
                                return;
                            }
                        }
                    }
                    try {
                        TouchScreenPanel.this.mCheckCxDataGap = new CheckCxDataGap(xChannel, yChannel);
                        int[] dataArr = TouchScreenPanel.this.mCheckCxDataGap.getMaxAdjacentNodeGapSplitCorner(ret2, 1000);
                        dataX = dataArr[0];
                        dataOnlyCornerX = dataArr[1];
                        int[] dataArr2 = TouchScreenPanel.this.mCheckCxDataGap.getMaxAdjacentNodeGapSplitCorner(ret2, 1001);
                        dataY = dataArr2[0];
                        dataOnlyCornerY = dataArr2[1];
                        result2 = result3;
                        ret = ret2;
                    } catch (Exception e3) {
                        e = e3;
                        result2 = result3;
                        ret = ret2;
                        retTemp = retTemp2;
                        e.printStackTrace();
                        result = result2;
                        FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetGapSplitCorner.run", "status : " + status);
                        FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetGapSplitCorner.run", "result : " + result);
                        if (status == null) {
                        }
                        if (status != null) {
                        }
                        FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetGapSplitCorner.run", "sendMessage == TSP_WHAT_STATUS_NG");
                        Handler handler2 = this.mNotiHandler;
                        handler2.sendMessage(handler2.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NG, this.tspID, -1));
                        return;
                    }
                    try {
                        StringBuilder sb = new StringBuilder();
                        retTemp = retTemp2;
                        try {
                            sb.append("dataX:");
                            sb.append(dataX);
                            sb.append(", dataY:");
                            sb.append(dataY);
                            sb.append(", dataOnlyCornerX:");
                            sb.append(dataOnlyCornerX);
                            sb.append(", dataOnlyCornerY:");
                            sb.append(dataOnlyCornerY);
                            FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetGapSplitCorner.run", sb.toString());
                            result = String.format("%d,%d,%d,%d", Integer.valueOf(dataX), Integer.valueOf(dataY), Integer.valueOf(dataOnlyCornerX), Integer.valueOf(dataOnlyCornerY));
                        } catch (Exception e4) {
                            e = e4;
                            e.printStackTrace();
                            result = result2;
                            FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetGapSplitCorner.run", "status : " + status);
                            FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetGapSplitCorner.run", "result : " + result);
                            if (status == null) {
                            }
                            if (status != null) {
                            }
                            FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetGapSplitCorner.run", "sendMessage == TSP_WHAT_STATUS_NG");
                            Handler handler22 = this.mNotiHandler;
                            handler22.sendMessage(handler22.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NG, this.tspID, -1));
                            return;
                        }
                    } catch (Exception e5) {
                        e = e5;
                        retTemp = retTemp2;
                        e.printStackTrace();
                        result = result2;
                        FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetGapSplitCorner.run", "status : " + status);
                        FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetGapSplitCorner.run", "result : " + result);
                        if (status == null) {
                        }
                        if (status != null) {
                        }
                        FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetGapSplitCorner.run", "sendMessage == TSP_WHAT_STATUS_NG");
                        Handler handler222 = this.mNotiHandler;
                        handler222.sendMessage(handler222.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NG, this.tspID, -1));
                        return;
                    }
                    FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetGapSplitCorner.run", "status : " + status);
                    FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetGapSplitCorner.run", "result : " + result);
                    if (status == null && status.equals("OK")) {
                        FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetGapSplitCorner.run", "sendMessage == TSP_WHAT_STATUS_OK");
                        Handler handler3 = this.mNotiHandler;
                        handler3.sendMessage(handler3.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_OK, this.tspID, -1, result));
                    } else if (status != null || !status.equals("NOT_APPLICABLE")) {
                        FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetGapSplitCorner.run", "sendMessage == TSP_WHAT_STATUS_NG");
                        Handler handler2222 = this.mNotiHandler;
                        handler2222.sendMessage(handler2222.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NG, this.tspID, -1));
                    } else {
                        FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetGapSplitCorner.run", "sendMessage == TSP_WHAT_STATUS_NA");
                        Handler handler4 = this.mNotiHandler;
                        handler4.sendMessage(handler4.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NA, this.tspID, -1));
                    }
                    return;
                }
                return;
            }
            FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetGapSplitCorner.run", "command==null");
            FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPThreadCmOffsetGapSplitCorner.run", "sendMessage == TSP_WHAT_STATUS_NA");
            Handler handler5 = this.mNotiHandler;
            handler5.sendMessage(handler5.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NA, this.tspID, -1));
        }
    }

    /* access modifiers changed from: private */
    public class TSPThreadCmOffsetCrossData implements Runnable {
        Handler mNotiHandler;
        String subCommand;
        int tspID;

        private TSPThreadCmOffsetCrossData() {
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void setHandler(Handler notiHandler) {
            this.mNotiHandler = notiHandler;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void setParameter(int ID, String command) {
            this.tspID = ID;
            this.subCommand = command;
        }

        /* JADX INFO: Multiple debug info for r9v1 int: [D('ret1' int[][]), D('yCross' int)] */
        /* JADX INFO: Multiple debug info for r10v1 int: [D('ret2' int[][]), D('yChannel2' int)] */
        /* JADX WARNING: Removed duplicated region for block: B:69:0x0356  */
        /* JADX WARNING: Removed duplicated region for block: B:70:0x036a  */
        public void run() {
            int xChannel;
            String str;
            int[][] ret3;
            int[][] ret1;
            int[][] ret2;
            int dataX1;
            int dataY1;
            StringBuilder sb;
            int dataX2;
            int dataY2;
            StringBuilder sb2;
            int dataX3;
            int dataY3;
            StringBuilder sb3;
            String result;
            FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "TSP ID (Main) : " + ModuleTouchScreen.convertorTSPID(this.tspID));
            String command = TouchScreenPanel.this.mapping_IDnCommand(this.tspID);
            FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "Main Command : " + command);
            String tmpX = ModuleTouchScreen.instance(TouchScreenPanel.this.mContext).getTSPCmCountX();
            String tmpY = ModuleTouchScreen.instance(TouchScreenPanel.this.mContext).getTSPCmCountY();
            String[] crossY = ModuleTouchScreen.instance(TouchScreenPanel.this.mContext).getTSPCrossCountY().split(",");
            int xChannel2 = Support.Spec.getInt(Support.Spec.TSP_NODE_COUNT_WIDTH);
            int yChannel = Support.Spec.getInt(Support.Spec.TSP_NODE_COUNT_HEIGHT);
            int yCross1 = 0;
            int yCross2 = 0;
            try {
                xChannel2 = Integer.parseInt(tmpX);
                yChannel = Integer.parseInt(tmpY);
                yCross1 = Integer.parseInt(crossY[0]);
                yCross2 = Integer.parseInt(crossY[1]);
                xChannel = xChannel2;
            } catch (NumberFormatException ne) {
                FtUtil.log_e(ne);
                xChannel = xChannel2;
            }
            int yChannel1 = yCross1 + 1;
            int yCross = (yCross2 - yCross1) + 1;
            int yChannel2 = yChannel - yCross2;
            String str2 = "sendMessage == TSP_WHAT_STATUS_NA";
            if (!"NA".equals(command)) {
                String status = TouchScreenPanel.this.setTSPCommand(command, null);
                String result2 = TouchScreenPanel.this.getTSPCommandResultData(command, null);
                String[] retTemp = result2.split(",");
                if (!"NG".equals(result2)) {
                    int[] iArr = new int[2];
                    iArr[1] = xChannel;
                    iArr[0] = yChannel1;
                    int[][] ret12 = (int[][]) Array.newInstance(int.class, iArr);
                    int[] iArr2 = new int[2];
                    iArr2[1] = xChannel;
                    iArr2[0] = yCross;
                    int[][] ret22 = (int[][]) Array.newInstance(int.class, iArr2);
                    int[] iArr3 = new int[2];
                    iArr3[1] = xChannel;
                    iArr3[0] = yChannel2;
                    int[][] ret32 = (int[][]) Array.newInstance(int.class, iArr3);
                    int index = 0;
                    int y = 0;
                    while (y < yChannel1) {
                        str = str2;
                        int x = 0;
                        while (x < xChannel) {
                            try {
                                ret12[y][x] = Integer.parseInt(retTemp[index]);
                                x++;
                                index++;
                            } catch (Exception e) {
                                e = e;
                                ret3 = ret32;
                                ret1 = ret12;
                                ret2 = ret22;
                                e.printStackTrace();
                                result = result2;
                                FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "status : " + status);
                                FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "result : " + result);
                                if (status.equals("OK")) {
                                }
                                return;
                            }
                        }
                        y++;
                        str2 = str;
                    }
                    str = str2;
                    int index2 = index - xChannel;
                    for (int y2 = 0; y2 < yCross; y2++) {
                        int x2 = 0;
                        while (x2 < xChannel) {
                            ret22[y2][x2] = Integer.parseInt(retTemp[index2]);
                            x2++;
                            index2++;
                        }
                    }
                    int index3 = index2 - xChannel;
                    for (int y3 = 0; y3 < yChannel2; y3++) {
                        int x3 = 0;
                        while (x3 < xChannel) {
                            int index4 = index3 + 1;
                            ret32[y3][x3] = Integer.parseInt(retTemp[index3]);
                            x3++;
                            index3 = index4;
                        }
                    }
                    try {
                        TouchScreenPanel.this.mCheckCxDataGap = new CheckCxDataGap(xChannel, yChannel1);
                        dataX1 = TouchScreenPanel.this.mCheckCxDataGap.getMaxAdjacentNodeGap(ret12, 1000);
                        dataY1 = TouchScreenPanel.this.mCheckCxDataGap.getMaxAdjacentNodeGap(ret12, 1001);
                        sb = new StringBuilder();
                        ret1 = ret12;
                    } catch (Exception e2) {
                        e = e2;
                        ret3 = ret32;
                        ret1 = ret12;
                        ret2 = ret22;
                        e.printStackTrace();
                        result = result2;
                        FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "status : " + status);
                        FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "result : " + result);
                        if (status.equals("OK")) {
                        }
                        return;
                    }
                    try {
                        sb.append("dataX1 : ");
                        sb.append(dataX1);
                        String sb4 = sb.toString();
                        StringBuilder sb5 = new StringBuilder();
                        try {
                            sb5.append("dataY1 : ");
                            sb5.append(dataY1);
                            FtUtil.log_d(TouchScreenPanel.CLASS_NAME, sb4, sb5.toString());
                            TouchScreenPanel.this.mCheckCxDataGap = new CheckCxDataGap(xChannel, yCross);
                            dataX2 = TouchScreenPanel.this.mCheckCxDataGap.getMaxAdjacentNodeGap(ret22, 1000);
                            dataY2 = TouchScreenPanel.this.mCheckCxDataGap.getMaxAdjacentNodeGap(ret22, 1001);
                            sb2 = new StringBuilder();
                        } catch (Exception e3) {
                            e = e3;
                            ret3 = ret32;
                            ret2 = ret22;
                            e.printStackTrace();
                            result = result2;
                            FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "status : " + status);
                            FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "result : " + result);
                            if (status.equals("OK")) {
                            }
                            return;
                        }
                    } catch (Exception e4) {
                        e = e4;
                        ret3 = ret32;
                        ret2 = ret22;
                        e.printStackTrace();
                        result = result2;
                        FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "status : " + status);
                        FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "result : " + result);
                        if (status.equals("OK")) {
                        }
                        return;
                    }
                    try {
                        sb2.append("dataX2 : ");
                        sb2.append(dataX2);
                        String sb6 = sb2.toString();
                        StringBuilder sb7 = new StringBuilder();
                        ret2 = ret22;
                        try {
                            sb7.append("dataY2 : ");
                            sb7.append(dataY2);
                            FtUtil.log_d(TouchScreenPanel.CLASS_NAME, sb6, sb7.toString());
                            TouchScreenPanel.this.mCheckCxDataGap = new CheckCxDataGap(xChannel, yChannel2);
                            dataX3 = TouchScreenPanel.this.mCheckCxDataGap.getMaxAdjacentNodeGap(ret32, 1000);
                            dataY3 = TouchScreenPanel.this.mCheckCxDataGap.getMaxAdjacentNodeGap(ret32, 1001);
                            sb3 = new StringBuilder();
                            ret3 = ret32;
                        } catch (Exception e5) {
                            e = e5;
                            ret3 = ret32;
                            e.printStackTrace();
                            result = result2;
                            FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "status : " + status);
                            FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "result : " + result);
                            if (status.equals("OK")) {
                            }
                            return;
                        }
                    } catch (Exception e6) {
                        e = e6;
                        ret3 = ret32;
                        ret2 = ret22;
                        e.printStackTrace();
                        result = result2;
                        FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "status : " + status);
                        FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "result : " + result);
                        if (status.equals("OK")) {
                        }
                        return;
                    }
                    try {
                        sb3.append("dataX3 : ");
                        sb3.append(dataX3);
                        String sb8 = sb3.toString();
                        StringBuilder sb9 = new StringBuilder();
                        try {
                            sb9.append("dataY3 : ");
                            sb9.append(dataY3);
                            FtUtil.log_d(TouchScreenPanel.CLASS_NAME, sb8, sb9.toString());
                            result = String.format("%d", Integer.valueOf(dataX1)) + "," + String.format("%d", Integer.valueOf(dataY1)) + "," + String.format("%d", Integer.valueOf(dataX2)) + "," + String.format("%d", Integer.valueOf(dataY2)) + "," + String.format("%d", Integer.valueOf(dataX3)) + "," + String.format("%d", Integer.valueOf(dataY3));
                        } catch (Exception e7) {
                            e = e7;
                            e.printStackTrace();
                            result = result2;
                            FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "status : " + status);
                            FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "result : " + result);
                            if (status.equals("OK")) {
                            }
                            return;
                        }
                    } catch (Exception e8) {
                        e = e8;
                        e.printStackTrace();
                        result = result2;
                        FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "status : " + status);
                        FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "result : " + result);
                        if (status.equals("OK")) {
                        }
                        return;
                    }
                    FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "status : " + status);
                    FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "result : " + result);
                    if (status.equals("OK")) {
                        FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_OK");
                        Handler handler = this.mNotiHandler;
                        handler.sendMessage(handler.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_OK, this.tspID, -1, result));
                    } else if (status.equals("NOT_APPLICABLE")) {
                        FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", str);
                        Handler handler2 = this.mNotiHandler;
                        handler2.sendMessage(handler2.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NA, this.tspID, -1));
                    } else {
                        FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_NG");
                        Handler handler3 = this.mNotiHandler;
                        handler3.sendMessage(handler3.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NG, this.tspID, -1));
                    }
                    return;
                }
                return;
            }
            FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "command==null");
            FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", str2);
            Handler handler4 = this.mNotiHandler;
            handler4.sendMessage(handler4.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NA, this.tspID, -1));
        }
    }

    /* access modifiers changed from: private */
    public class TSPThreadCmSelfOffset implements Runnable {
        Handler mNotiHandler;
        String subCommand;
        int tspID;

        private TSPThreadCmSelfOffset() {
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void setHandler(Handler notiHandler) {
            this.mNotiHandler = notiHandler;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void setParameter(int ID, String command) {
            this.tspID = ID;
            this.subCommand = command;
        }

        /* JADX WARNING: Removed duplicated region for block: B:46:0x01e9  */
        /* JADX WARNING: Removed duplicated region for block: B:47:0x01fd  */
        public void run() {
            String result;
            FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "TSP ID (Main) : " + ModuleTouchScreen.convertorTSPID(this.tspID));
            String command = TouchScreenPanel.this.mapping_IDnCommand(this.tspID);
            FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "Main Command : " + command);
            String tmpX = ModuleTouchScreen.instance(TouchScreenPanel.this.mContext).getTSPCmCountX();
            String tmpY = ModuleTouchScreen.instance(TouchScreenPanel.this.mContext).getTSPCmCountY();
            int xChannel = Support.Spec.getInt(Support.Spec.TSP_NODE_COUNT_WIDTH);
            int yChannel = Support.Spec.getInt(Support.Spec.TSP_NODE_COUNT_HEIGHT);
            try {
                xChannel = Integer.parseInt(tmpX);
                yChannel = Integer.parseInt(tmpY);
            } catch (NumberFormatException ne) {
                FtUtil.log_e(ne);
            }
            int[] dataAll = new int[(xChannel + yChannel)];
            if (!"NA".equals(command)) {
                String status = TouchScreenPanel.this.setTSPCommand(command, null);
                String result2 = TouchScreenPanel.this.getTSPCommandResultData(command, null);
                String[] retTemp = result2.split(",");
                int i = 0;
                while (i < xChannel + yChannel) {
                    dataAll[i] = Integer.parseInt(retTemp[i]);
                    i++;
                    command = command;
                }
                if (!"NG".equals(result2)) {
                    int index = 0;
                    int x_min = 10000;
                    int x_max = -100000;
                    int x = 0;
                    while (x < xChannel) {
                        try {
                            if (dataAll[index] < x_min) {
                                x_min = dataAll[index];
                            }
                            if (dataAll[index] > x_max) {
                                x_max = dataAll[index];
                            }
                            index++;
                            x++;
                            tmpX = tmpX;
                        } catch (Exception e) {
                            e = e;
                            e.printStackTrace();
                            result = result2;
                            FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "status : " + status);
                            FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "result : " + result);
                            if (status.equals("OK")) {
                            }
                            return;
                        }
                    }
                    int y = 0;
                    int y_min = 10000;
                    int y_max = -100000;
                    while (y < yChannel) {
                        try {
                            if (dataAll[index] < y_min) {
                                y_min = dataAll[index];
                            }
                            if (dataAll[index] > y_max) {
                                y_max = dataAll[index];
                            }
                            index++;
                            y++;
                            xChannel = xChannel;
                        } catch (Exception e2) {
                            e = e2;
                            e.printStackTrace();
                            result = result2;
                            FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "status : " + status);
                            FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "result : " + result);
                            if (status.equals("OK")) {
                            }
                            return;
                        }
                    }
                    FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "dataXmin : " + x_min, "dataXmax : " + x_max);
                    FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "dataYmin : " + y_min, "dataYmax : " + y_max);
                    result = String.format("%d", Integer.valueOf(x_min)) + "," + String.format("%d", Integer.valueOf(x_max)) + "," + String.format("%d", Integer.valueOf(y_min)) + "," + String.format("%d", Integer.valueOf(y_max));
                    FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "status : " + status);
                    FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "result : " + result);
                    if (status.equals("OK")) {
                        FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_OK");
                        Handler handler = this.mNotiHandler;
                        handler.sendMessage(handler.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_OK, this.tspID, -1, result));
                    } else if (status.equals("NOT_APPLICABLE")) {
                        FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_NA");
                        Handler handler2 = this.mNotiHandler;
                        handler2.sendMessage(handler2.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NA, this.tspID, -1));
                    } else {
                        FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_NG");
                        Handler handler3 = this.mNotiHandler;
                        handler3.sendMessage(handler3.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NG, this.tspID, -1));
                    }
                    return;
                }
                return;
            }
            FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "command==null");
            FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_NA");
            Handler handler4 = this.mNotiHandler;
            handler4.sendMessage(handler4.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NA, this.tspID, -1));
        }
    }

    /* access modifiers changed from: private */
    public class TSPThreadCxDataAll extends Thread {
        boolean TotalCx;
        Handler mNotiHandler;
        String subCommand;
        int tspID;

        private TSPThreadCxDataAll() {
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void setHandler(Handler notiHandler) {
            this.mNotiHandler = notiHandler;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void setParameter(int ID, String command) {
            this.tspID = ID;
            this.subCommand = command;
        }

        private void setTotalCx(boolean enable) {
            this.TotalCx = enable;
        }

        /* JADX WARNING: Code restructure failed: missing block: B:41:0x016e, code lost:
            r6 = r6 + 1;
            r16 = r0;
            r2 = r17;
            r3 = r18;
            r5 = r19;
            r8 = r20;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:52:0x0199, code lost:
            r0 = e;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:53:0x019a, code lost:
            r6 = r13;
            r13 = r16;
         */
        /* JADX WARNING: Removed duplicated region for block: B:71:0x0286  */
        /* JADX WARNING: Removed duplicated region for block: B:75:0x02a8  */
        public void run() {
            String result;
            int[] data;
            String result2;
            String status;
            int[] data2;
            Throwable th;
            String second_command;
            String command;
            StringBuilder sb;
            FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "TSP ID (Main) : " + ModuleTouchScreen.convertorTSPID(this.tspID));
            String command2 = TouchScreenPanel.this.mapping_IDnCommand(this.tspID);
            String second_command2 = TouchScreenPanel.TSP_CMD__STM__READ_CX_DATA_NODE;
            FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "Main Command : " + command2);
            FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "Sub Command : " + this.subCommand);
            int[] data3 = null;
            String tmpX = ModuleTouchScreen.instance(TouchScreenPanel.this.mContext).getTSPChannelCountX();
            String tmpY = ModuleTouchScreen.instance(TouchScreenPanel.this.mContext).getTSPChannelCountY();
            int xChannel = Support.Spec.getInt(Support.Spec.TSP_NODE_COUNT_WIDTH);
            int yChannel = Support.Spec.getInt(Support.Spec.TSP_NODE_COUNT_HEIGHT);
            try {
                xChannel = Integer.parseInt(tmpX);
                yChannel = Integer.parseInt(tmpY);
            } catch (NumberFormatException ne) {
                FtUtil.log_e(ne);
            }
            if (!"NA".equals(command2)) {
                String status2 = TouchScreenPanel.this.setTSPCommand(command2, null);
                String result3 = TouchScreenPanel.this.getTSPCommandResultData(command2, null);
                if (!"NG".equals(result3)) {
                    int[] iArr = new int[2];
                    iArr[1] = xChannel;
                    iArr[0] = yChannel;
                    int[][] ret = (int[][]) Array.newInstance(int.class, iArr);
                    String status3 = null;
                    String status4 = status2;
                    int y = 0;
                    while (y < yChannel) {
                        String tmp_result = status3;
                        String status5 = status4;
                        int x = 0;
                        while (x < xChannel) {
                            try {
                                synchronized (this) {
                                    try {
                                        status5 = TouchScreenPanel.this.setTSPCommand(second_command2, x + "," + y);
                                        String tmp_result2 = TouchScreenPanel.this.getTSPCommandResultData(second_command2, x + "," + y);
                                        try {
                                            String[] arr_result = tmp_result2.split(",");
                                            if (arr_result != null) {
                                                command = command2;
                                                if (arr_result.length >= 1) {
                                                    second_command = second_command2;
                                                    try {
                                                        sb = new StringBuilder();
                                                        result = result3;
                                                    } catch (Throwable th2) {
                                                        th = th2;
                                                        result = result3;
                                                        data2 = data3;
                                                        tmp_result = tmp_result2;
                                                        while (true) {
                                                            try {
                                                                break;
                                                            } catch (Throwable th3) {
                                                                th = th3;
                                                            }
                                                        }
                                                        throw th;
                                                    }
                                                    try {
                                                        sb.append("arr_result[0]");
                                                        data2 = data3;
                                                        sb.append(arr_result[0]);
                                                        FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", sb.toString());
                                                        ret[y][x] = Integer.parseInt(arr_result[0]);
                                                    } catch (Throwable th4) {
                                                        th = th4;
                                                        tmp_result = tmp_result2;
                                                        while (true) {
                                                            break;
                                                        }
                                                        throw th;
                                                    }
                                                } else {
                                                    second_command = second_command2;
                                                    result = result3;
                                                    data2 = data3;
                                                }
                                            } else {
                                                command = command2;
                                                second_command = second_command2;
                                                result = result3;
                                                data2 = data3;
                                            }
                                        } catch (Throwable th5) {
                                            th = th5;
                                            result = result3;
                                            data2 = data3;
                                            tmp_result = tmp_result2;
                                            while (true) {
                                                break;
                                            }
                                            throw th;
                                        }
                                    } catch (Throwable th6) {
                                        th = th6;
                                        result = result3;
                                        data2 = data3;
                                        while (true) {
                                            break;
                                        }
                                        throw th;
                                    }
                                }
                            } catch (Exception e) {
                                e = e;
                                result = result3;
                                status4 = status5;
                                status3 = tmp_result;
                                e.printStackTrace();
                                status = status4;
                                result2 = result;
                                FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "status : " + status);
                                FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "result : " + result2);
                                if (status == null) {
                                }
                                if (status != null) {
                                }
                                FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_NG");
                                Handler handler = this.mNotiHandler;
                                handler.sendMessage(handler.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NG, this.tspID, -1));
                            }
                        }
                        result = result3;
                        data2 = data3;
                        y++;
                        status4 = status5;
                        status3 = tmp_result;
                    }
                    result = result3;
                    try {
                        TouchScreenPanel.this.mCheckCxDataAll = new CheckCxDataAll();
                        data = TouchScreenPanel.this.mCheckCxDataAll.getMinMaxCxData(ret);
                    } catch (Exception e2) {
                        e = e2;
                        e.printStackTrace();
                        status = status4;
                        result2 = result;
                        FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "status : " + status);
                        FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "result : " + result2);
                        if (status == null) {
                        }
                        if (status != null) {
                        }
                        FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_NG");
                        Handler handler2 = this.mNotiHandler;
                        handler2.sendMessage(handler2.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NG, this.tspID, -1));
                    }
                    try {
                        FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "data Min : " + data[0], "Max : " + data[1]);
                        result2 = String.format("%d", Integer.valueOf(data[0])) + "," + String.format("%d", Integer.valueOf(data[1]));
                        status = status4;
                    } catch (Exception e3) {
                        e = e3;
                        e.printStackTrace();
                        status = status4;
                        result2 = result;
                        FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "status : " + status);
                        FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "result : " + result2);
                        if (status == null) {
                        }
                        if (status != null) {
                        }
                        FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_NG");
                        Handler handler22 = this.mNotiHandler;
                        handler22.sendMessage(handler22.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NG, this.tspID, -1));
                    }
                    FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "status : " + status);
                    FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "result : " + result2);
                    if (status == null && status.equals("OK")) {
                        FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_OK");
                        Handler handler3 = this.mNotiHandler;
                        handler3.sendMessage(handler3.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_OK, this.tspID, -1, result2));
                    } else if (status != null || !status.equals("NOT_APPLICABLE")) {
                        FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_NG");
                        Handler handler222 = this.mNotiHandler;
                        handler222.sendMessage(handler222.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NG, this.tspID, -1));
                    } else {
                        FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_NA");
                        Handler handler4 = this.mNotiHandler;
                        handler4.sendMessage(handler4.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NA, this.tspID, -1));
                    }
                }
            } else {
                FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "command==null");
                FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_NA");
                Handler handler5 = this.mNotiHandler;
                handler5.sendMessage(handler5.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NA, this.tspID, -1));
            }
        }
    }

    /* access modifiers changed from: private */
    public class TSPThreadViewCpData extends Thread {
        Handler mNotiHandler;
        String subCommand;
        int tspID;

        private TSPThreadViewCpData() {
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void setHandler(Handler notiHandler) {
            this.mNotiHandler = notiHandler;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void setParameter(int ID, String command) {
            this.tspID = ID;
            this.subCommand = command;
        }

        /* JADX WARNING: Removed duplicated region for block: B:33:0x01df  */
        /* JADX WARNING: Removed duplicated region for block: B:34:0x01f7  */
        public void run() {
            String status;
            Exception e;
            FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "TSP ID (Main) : " + ModuleTouchScreen.convertorTSPID(this.tspID));
            String command = TouchScreenPanel.this.mapping_IDnCommand(this.tspID);
            FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "Main Command : " + command);
            FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "Sub Command : " + this.subCommand);
            String tmpX = ModuleTouchScreen.instance(TouchScreenPanel.this.mContext).getTSPChannelCountX();
            String tmpY = ModuleTouchScreen.instance(TouchScreenPanel.this.mContext).getTSPChannelCountY();
            int xChannel = Support.Spec.getInt(Support.Spec.TSP_NODE_COUNT_WIDTH);
            int yChannel = Support.Spec.getInt(Support.Spec.TSP_NODE_COUNT_HEIGHT);
            try {
                xChannel = Integer.parseInt(tmpX);
                yChannel = Integer.parseInt(tmpY);
            } catch (NumberFormatException ne) {
                FtUtil.log_e(ne);
            }
            if (!"NA".equals(command)) {
                String status2 = TouchScreenPanel.this.setTSPCommand(command, null);
                String result = TouchScreenPanel.this.getTSPCommandResultData(command, null);
                if (!"NG".equals(result)) {
                    int[] iArr = new int[2];
                    iArr[1] = xChannel;
                    iArr[0] = yChannel;
                    int[][] ret = (int[][]) Array.newInstance(int.class, iArr);
                    String status3 = status2;
                    int y = 0;
                    while (y < yChannel) {
                        String status4 = status3;
                        for (int x = 0; x < xChannel; x++) {
                            try {
                                synchronized (this) {
                                    status4 = TouchScreenPanel.this.setTSPCommand("get_cp", x + "," + y);
                                    ret[y][x] = Integer.parseInt(TouchScreenPanel.this.getTSPCommandResultData("get_cp", x + "," + y));
                                }
                            } catch (Exception e2) {
                                e = e2;
                                status3 = status4;
                                e.printStackTrace();
                                status = status3;
                                FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "status : " + status);
                                FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "result : " + result);
                                if (status.equals("OK")) {
                                }
                            }
                        }
                        y++;
                        status3 = status4;
                    }
                    try {
                        TouchScreenPanel.this.mCheckViewCpData = new CheckViewCpData();
                        int[] data = TouchScreenPanel.this.mCheckViewCpData.getMinMaxViewCpData(ret);
                        FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "data Min : " + data[0], "Max : " + data[1]);
                        result = String.format("%d", Integer.valueOf(data[0])) + "," + String.format("%d", Integer.valueOf(data[1]));
                        status = status3;
                    } catch (Exception e3) {
                        e = e3;
                        e.printStackTrace();
                        status = status3;
                        FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "status : " + status);
                        FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "result : " + result);
                        if (status.equals("OK")) {
                        }
                    }
                    FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "status : " + status);
                    FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "result : " + result);
                    if (status.equals("OK")) {
                        FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_OK");
                        Handler handler = this.mNotiHandler;
                        handler.sendMessage(handler.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_OK, this.tspID, -1, result));
                    } else if (status.equals("NOT_APPLICABLE")) {
                        FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_NA");
                        Handler handler2 = this.mNotiHandler;
                        handler2.sendMessage(handler2.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NA, this.tspID, -1));
                    } else {
                        FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_NG");
                        Handler handler3 = this.mNotiHandler;
                        handler3.sendMessage(handler3.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NG, this.tspID, -1));
                    }
                }
            } else {
                FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "command==null");
                FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_NA");
                Handler handler4 = this.mNotiHandler;
                handler4.sendMessage(handler4.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NA, this.tspID, -1));
            }
        }
    }

    /* access modifiers changed from: private */
    public class TSPThreadDummyCpData extends Thread {
        Handler mNotiHandler;
        String subCommand;
        int tspID;

        private TSPThreadDummyCpData() {
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void setHandler(Handler notiHandler) {
            this.mNotiHandler = notiHandler;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void setParameter(int ID, String command) {
            this.tspID = ID;
            this.subCommand = command;
        }

        /* JADX WARNING: Removed duplicated region for block: B:33:0x01d9  */
        /* JADX WARNING: Removed duplicated region for block: B:37:0x01fb  */
        public void run() {
            String status;
            Exception e;
            FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "TSP ID (Main) : " + ModuleTouchScreen.convertorTSPID(this.tspID));
            String command = TouchScreenPanel.this.mapping_IDnCommand(this.tspID);
            FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "Main Command : " + command);
            FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "Sub Command : " + this.subCommand);
            String tmpX = ModuleTouchScreen.instance(TouchScreenPanel.this.mContext).getTSPChannelCountX();
            String tmpY = ModuleTouchScreen.instance(TouchScreenPanel.this.mContext).getTSPChannelCountY();
            int xChannel = Support.Spec.getInt(Support.Spec.TSP_NODE_COUNT_WIDTH);
            int yChannel = Support.Spec.getInt(Support.Spec.TSP_NODE_COUNT_HEIGHT);
            try {
                xChannel = Integer.parseInt(tmpX);
                yChannel = Integer.parseInt(tmpY);
            } catch (NumberFormatException ne) {
                FtUtil.log_e(ne);
            }
            if (!"NA".equals(command)) {
                String status2 = TouchScreenPanel.this.setTSPCommand(command, null);
                String result = TouchScreenPanel.this.getTSPCommandResultData(command, null);
                if (!"NG".equals(result)) {
                    int[] iArr = new int[2];
                    iArr[1] = xChannel;
                    iArr[0] = yChannel;
                    int[][] ret = (int[][]) Array.newInstance(int.class, iArr);
                    String status3 = status2;
                    int y = 0;
                    while (y < yChannel) {
                        String status4 = status3;
                        for (int x = 0; x < xChannel; x++) {
                            try {
                                synchronized (this) {
                                    status4 = TouchScreenPanel.this.setTSPCommand("get_dummy_cp", x + "," + y);
                                    ret[y][x] = Integer.parseInt(TouchScreenPanel.this.getTSPCommandResultData("get_dummy_cp", x + "," + y));
                                }
                            } catch (Exception e2) {
                                e = e2;
                                status3 = status4;
                                e.printStackTrace();
                                status = status3;
                                FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "status : " + status);
                                FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "result : " + result);
                                if (status == null) {
                                }
                                if (status != null) {
                                }
                                FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_NG");
                                Handler handler = this.mNotiHandler;
                                handler.sendMessage(handler.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NG, this.tspID, -1));
                            }
                        }
                        y++;
                        status3 = status4;
                    }
                    try {
                        TouchScreenPanel.this.mCheckDummyCpData = new CheckDummyCpData();
                        int[] data = TouchScreenPanel.this.mCheckDummyCpData.getMinMaxDummyCpData(ret);
                        FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "data Min : " + data[0], "Max : " + data[1]);
                        result = String.format("%d", Integer.valueOf(data[0])) + "," + String.format("%d", Integer.valueOf(data[1]));
                        status = status3;
                    } catch (Exception e3) {
                        e = e3;
                        e.printStackTrace();
                        status = status3;
                        FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "status : " + status);
                        FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "result : " + result);
                        if (status == null) {
                        }
                        if (status != null) {
                        }
                        FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_NG");
                        Handler handler2 = this.mNotiHandler;
                        handler2.sendMessage(handler2.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NG, this.tspID, -1));
                    }
                    FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "status : " + status);
                    FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "result : " + result);
                    if (status == null && status.equals("OK")) {
                        FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_OK");
                        Handler handler3 = this.mNotiHandler;
                        handler3.sendMessage(handler3.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_OK, this.tspID, -1, result));
                    } else if (status != null || !status.equals("NOT_APPLICABLE")) {
                        FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_NG");
                        Handler handler22 = this.mNotiHandler;
                        handler22.sendMessage(handler22.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NG, this.tspID, -1));
                    } else {
                        FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_NA");
                        Handler handler4 = this.mNotiHandler;
                        handler4.sendMessage(handler4.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NA, this.tspID, -1));
                    }
                }
            } else {
                FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "command==null");
                FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_NA");
                Handler handler5 = this.mNotiHandler;
                handler5.sendMessage(handler5.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NA, this.tspID, -1));
            }
        }
    }

    /* access modifiers changed from: private */
    public class TSPThreadRawCapData extends Thread {
        Handler mNotiHandler;
        String subCommand;
        int tspID;

        private TSPThreadRawCapData() {
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void setHandler(Handler notiHandler) {
            this.mNotiHandler = notiHandler;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void setParameter(int ID, String command) {
            this.tspID = ID;
            this.subCommand = command;
        }

        /* JADX WARNING: Code restructure failed: missing block: B:25:0x0117, code lost:
            r14 = r14 + 1;
            r2 = r2;
            r5 = r23;
         */
        /* JADX WARNING: Removed duplicated region for block: B:55:0x02b4  */
        /* JADX WARNING: Removed duplicated region for block: B:56:0x02cc  */
        public void run() {
            String result;
            String result2;
            String status;
            FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "TSP ID (Main) : " + ModuleTouchScreen.convertorTSPID(this.tspID));
            String command = TouchScreenPanel.this.mapping_IDnCommand(this.tspID);
            FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "Main Command : " + command);
            FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "Sub Command : " + this.subCommand);
            String tmpX = ModuleTouchScreen.instance(TouchScreenPanel.this.mContext).getTSPChannelCountX();
            String tmpY = ModuleTouchScreen.instance(TouchScreenPanel.this.mContext).getTSPChannelCountY();
            int xChannel = Support.Spec.getInt(Support.Spec.TSP_NODE_COUNT_WIDTH);
            int yChannel = Support.Spec.getInt(Support.Spec.TSP_NODE_COUNT_HEIGHT);
            try {
                xChannel = Integer.parseInt(tmpX);
                yChannel = Integer.parseInt(tmpY);
            } catch (NumberFormatException ne) {
                FtUtil.log_e(ne);
            }
            if (!"NA".equals(command)) {
                String status2 = TouchScreenPanel.this.setTSPCommand(command, null);
                String result3 = TouchScreenPanel.this.getTSPCommandResultData(command, null);
                if (!"NG".equals(result3)) {
                    int[] iArr = new int[2];
                    iArr[1] = xChannel;
                    iArr[0] = yChannel;
                    int[][] ret = (int[][]) Array.newInstance(int.class, iArr);
                    String status3 = status2;
                    for (int y = 0; y < yChannel; y++) {
                        int x = 0;
                        while (x < xChannel) {
                            try {
                                synchronized (this) {
                                    try {
                                        TouchScreenPanel touchScreenPanel = TouchScreenPanel.this;
                                        StringBuilder sb = new StringBuilder();
                                        sb.append(x);
                                        try {
                                            sb.append(",");
                                            sb.append(y);
                                            status3 = touchScreenPanel.setTSPCommand(ModuleDevice.TSP_CMD_READ1_RAWCAP, sb.toString());
                                            int[] iArr2 = ret[y];
                                            TouchScreenPanel touchScreenPanel2 = TouchScreenPanel.this;
                                            StringBuilder sb2 = new StringBuilder();
                                            sb2.append(x);
                                            result = result3;
                                            sb2.append(",");
                                            sb2.append(y);
                                            iArr2[x] = Integer.parseInt(touchScreenPanel2.getTSPCommandResultData(ModuleDevice.TSP_CMD_READ1_RAWCAP, sb2.toString()));
                                        } catch (Throwable th) {
                                            th = th;
                                            throw th;
                                        }
                                    } catch (Throwable th2) {
                                        th = th2;
                                        result = result3;
                                        throw th;
                                    }
                                }
                            } catch (Exception e) {
                                e = e;
                                result = result3;
                                e.printStackTrace();
                                status = status3;
                                result2 = result;
                                FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "status : " + status);
                                FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "result : " + result2);
                                if (!status.equals("OK")) {
                                }
                                return;
                            }
                        }
                        result = result3;
                    }
                    result = result3;
                    try {
                        int[] topPartMinMax = ModuleTouchScreen.instance(TouchScreenPanel.this.mContext).getRawDataPartialMinMax(ret, 0, 0, xChannel, 1);
                        FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "topPart Min : " + topPartMinMax[0] + " Max : " + topPartMinMax[1]);
                        int[] middlePartMinMax = ModuleTouchScreen.instance(TouchScreenPanel.this.mContext).getRawDataPartialMinMax(ret, 0, 1, xChannel, yChannel + -1);
                        FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "middlePart Min : " + middlePartMinMax[0] + " Max : " + middlePartMinMax[1]);
                        int[] bottomPartMinMax = ModuleTouchScreen.instance(TouchScreenPanel.this.mContext).getRawDataPartialMinMax(ret, 0, yChannel + -1, xChannel, yChannel);
                        FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "bottomPart Min : " + bottomPartMinMax[0] + " Max : " + bottomPartMinMax[1]);
                        if (topPartMinMax[0] < middlePartMinMax[0]) {
                            middlePartMinMax[0] = topPartMinMax[0];
                        }
                        if (topPartMinMax[1] > middlePartMinMax[1]) {
                            middlePartMinMax[1] = topPartMinMax[1];
                        }
                        result2 = String.format("%d", Integer.valueOf(bottomPartMinMax[0])) + "," + String.format("%d", Integer.valueOf(bottomPartMinMax[1])) + "," + String.format("%d", Integer.valueOf(middlePartMinMax[0])) + "," + String.format("%d", Integer.valueOf(middlePartMinMax[1]));
                        status = status3;
                    } catch (Exception e2) {
                        e = e2;
                        e.printStackTrace();
                        status = status3;
                        result2 = result;
                        FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "status : " + status);
                        FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "result : " + result2);
                        if (!status.equals("OK")) {
                        }
                        return;
                    }
                    FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "status : " + status);
                    FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "result : " + result2);
                    if (!status.equals("OK")) {
                        FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_OK");
                        Handler handler = this.mNotiHandler;
                        handler.sendMessage(handler.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_OK, this.tspID, -1, result2));
                    } else if (status.equals("NOT_APPLICABLE")) {
                        FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_NA");
                        Handler handler2 = this.mNotiHandler;
                        handler2.sendMessage(handler2.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NA, this.tspID, -1));
                    } else {
                        FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_NG");
                        Handler handler3 = this.mNotiHandler;
                        handler3.sendMessage(handler3.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NG, this.tspID, -1));
                    }
                    return;
                }
                return;
            }
            FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "command==null");
            FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_NA");
            Handler handler4 = this.mNotiHandler;
            handler4.sendMessage(handler4.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NA, this.tspID, -1));
        }
    }

    /* access modifiers changed from: private */
    public class TSPThreadMinMax extends Thread {
        Handler mNotiHandler;
        String subCommand;
        int tspID;

        private TSPThreadMinMax() {
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void setHandler(Handler notiHandler) {
            this.mNotiHandler = notiHandler;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void setParameter(int ID, String command) {
            this.tspID = ID;
            this.subCommand = command;
        }

        /* JADX WARNING: Code restructure failed: missing block: B:25:0x0115, code lost:
            r10 = r10 + 1;
            r4 = r16;
         */
        /* JADX WARNING: Removed duplicated region for block: B:45:0x01a5  */
        /* JADX WARNING: Removed duplicated region for block: B:49:0x01c7  */
        public void run() {
            String result;
            String result2;
            FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "TSP ID (Main) : " + ModuleTouchScreen.convertorTSPID(this.tspID));
            String command = TouchScreenPanel.this.mapping_IDnCommand(this.tspID);
            FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "Main Command : " + command);
            FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "Sub Command : " + this.subCommand);
            String status = null;
            String result3 = null;
            String tmpX = ModuleTouchScreen.instance(TouchScreenPanel.this.mContext).getTSPChannelCountX();
            String tmpY = ModuleTouchScreen.instance(TouchScreenPanel.this.mContext).getTSPChannelCountY();
            int xChannel = Support.Spec.getInt(Support.Spec.TSP_NODE_COUNT_WIDTH);
            int yChannel = Support.Spec.getInt(Support.Spec.TSP_NODE_COUNT_HEIGHT);
            try {
                xChannel = Integer.parseInt(tmpX);
                yChannel = Integer.parseInt(tmpY);
            } catch (NumberFormatException ne) {
                FtUtil.log_e(ne);
            }
            if (!"NA".equals(command)) {
                int[] iArr = new int[2];
                iArr[1] = xChannel;
                iArr[0] = yChannel;
                int[][] ret = (int[][]) Array.newInstance(int.class, iArr);
                int dataMin = 999999;
                int dataMax = -999999;
                int y = 0;
                while (y < yChannel) {
                    int x = 0;
                    int dataMax2 = dataMax;
                    String status2 = status;
                    int dataMin2 = dataMin;
                    while (x < xChannel) {
                        try {
                            synchronized (this) {
                                try {
                                    status2 = TouchScreenPanel.this.setTSPCommand(command, x + "," + y);
                                    int[] iArr2 = ret[y];
                                    TouchScreenPanel touchScreenPanel = TouchScreenPanel.this;
                                    StringBuilder sb = new StringBuilder();
                                    sb.append(x);
                                    result = result3;
                                    sb.append(",");
                                    sb.append(y);
                                    iArr2[x] = Integer.parseInt(touchScreenPanel.getTSPCommandResultData(command, sb.toString()));
                                    if (ret[y][x] > dataMax2) {
                                        dataMax2 = ret[y][x];
                                    }
                                    if (ret[y][x] < dataMin2) {
                                        dataMin2 = ret[y][x];
                                    }
                                } catch (Throwable th) {
                                    th = th;
                                    throw th;
                                }
                            }
                        } catch (Exception e) {
                            e = e;
                            result = result3;
                            status = status2;
                            e.printStackTrace();
                            result2 = result;
                            FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "status : " + status);
                            FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "result : " + result2);
                            if (status == null) {
                            }
                            if (status != null) {
                            }
                            FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_NG");
                            Handler handler = this.mNotiHandler;
                            handler.sendMessage(handler.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NG, this.tspID, -1));
                        }
                    }
                    result = result3;
                    y++;
                    dataMin = dataMin2;
                    status = status2;
                    dataMax = dataMax2;
                }
                result = result3;
                try {
                    result2 = String.format("%d", Integer.valueOf(dataMin)) + "," + String.format("%d", Integer.valueOf(dataMax));
                } catch (Exception e2) {
                    e = e2;
                    e.printStackTrace();
                    result2 = result;
                    FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "status : " + status);
                    FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "result : " + result2);
                    if (status == null) {
                    }
                    if (status != null) {
                    }
                    FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_NG");
                    Handler handler2 = this.mNotiHandler;
                    handler2.sendMessage(handler2.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NG, this.tspID, -1));
                }
                FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "status : " + status);
                FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "result : " + result2);
                if (status == null && status.equals("OK")) {
                    FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_OK");
                    Handler handler3 = this.mNotiHandler;
                    handler3.sendMessage(handler3.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_OK, this.tspID, -1, result2));
                } else if (status != null || !status.equals("NOT_APPLICABLE")) {
                    FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_NG");
                    Handler handler22 = this.mNotiHandler;
                    handler22.sendMessage(handler22.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NG, this.tspID, -1));
                } else {
                    FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_NA");
                    Handler handler4 = this.mNotiHandler;
                    handler4.sendMessage(handler4.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NA, this.tspID, -1));
                }
            } else {
                FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "command==null");
                FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_NA");
                Handler handler5 = this.mNotiHandler;
                handler5.sendMessage(handler5.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NA, this.tspID, -1));
            }
        }
    }

    /* access modifiers changed from: private */
    public static class TSPThreadFromSysfs extends Thread {
        ArrayList<String> SysfsList;
        Handler mNotiHandler;
        int tspID;

        private TSPThreadFromSysfs() {
            this.SysfsList = new ArrayList<>();
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void setHandler(Handler notiHandler) {
            this.mNotiHandler = notiHandler;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void setParameter(int ID, String... nodes) {
            this.tspID = ID;
            for (String node : nodes) {
                this.SysfsList.add(node);
            }
        }

        public void run() {
            FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "TSP ID (Main) : " + ModuleTouchScreen.convertorTSPID(this.tspID));
            StringBuffer bufResult = new StringBuffer();
            for (int i = 0; i < this.SysfsList.size(); i++) {
                try {
                    bufResult.append(Support.Kernel.read(this.SysfsList.get(i)));
                    if (i < this.SysfsList.size() - 1) {
                        bufResult.append(",");
                    }
                } catch (Exception e) {
                    FtUtil.log_e(e);
                }
            }
            String result = bufResult.toString();
            FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "result : " + result);
            Handler handler = this.mNotiHandler;
            handler.sendMessage(handler.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_OK, this.tspID, -1, result));
        }
    }

    /* access modifiers changed from: private */
    public static class TSPThreadTotalCx extends Thread {
        private static String Result;
        private static int TSP_STATUS;
        private Handler mNotiHandler;
        private int tspID;

        private TSPThreadTotalCx() {
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void setHandler(Handler notiHandler) {
            this.mNotiHandler = notiHandler;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void setParameter(int ID) {
            this.tspID = ID;
        }

        public static void setResult(int tspstatus, String _result) {
            TSP_STATUS = tspstatus;
            Result = _result;
        }

        public void run() {
            FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "TSP ID (Main) : " + ModuleTouchScreen.convertorTSPID(this.tspID));
            if (TSP_STATUS == TouchScreenPanel.TSP_WHAT_STATUS_OK) {
                Handler handler = this.mNotiHandler;
                handler.sendMessage(handler.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_OK, this.tspID, -1, Result));
            } else if (TSP_STATUS == TouchScreenPanel.TSP_WHAT_STATUS_NG) {
                Handler handler2 = this.mNotiHandler;
                handler2.sendMessage(handler2.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NG, this.tspID, -1));
            } else {
                Handler handler3 = this.mNotiHandler;
                handler3.sendMessage(handler3.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NA, this.tspID, -1));
            }
        }
    }

    /* access modifiers changed from: private */
    public class TSPThreadSeparate implements Runnable {
        Handler mNotiHandler;
        String second_command;
        String subCommand;
        int tspID;

        private TSPThreadSeparate() {
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void setHandler(Handler notiHandler) {
            this.mNotiHandler = notiHandler;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void setParameter(int ID, String command, String secondCommand) {
            this.tspID = ID;
            this.subCommand = command;
            this.second_command = secondCommand;
        }

        /* JADX WARNING: Code restructure failed: missing block: B:31:0x013f, code lost:
            r4 = r4 + 1;
            r3 = r3;
            r5 = r26;
            r6 = r27;
            r8 = r8;
         */
        /* JADX WARNING: Removed duplicated region for block: B:74:0x02d2  */
        /* JADX WARNING: Removed duplicated region for block: B:75:0x02ea  */
        public void run() {
            String result;
            String msg;
            String msg2;
            String command;
            StringBuilder sb;
            FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "TSP ID (Main) : " + ModuleTouchScreen.convertorTSPID(this.tspID));
            String command2 = TouchScreenPanel.this.mapping_IDnCommand(this.tspID);
            FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "Main Command : " + command2);
            FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "Sub Command : " + this.subCommand);
            String msg3 = null;
            String tmpX = ModuleTouchScreen.instance(TouchScreenPanel.this.mContext).getTSPChannelCountX();
            String tmpY = ModuleTouchScreen.instance(TouchScreenPanel.this.mContext).getTSPChannelCountY();
            int xChannel = Support.Spec.getInt(Support.Spec.TSP_NODE_COUNT_WIDTH);
            int yChannel = Support.Spec.getInt(Support.Spec.TSP_NODE_COUNT_HEIGHT);
            int separateCount = Integer.parseInt(Support.TestCase.getString(Support.TestCase.TSP_SELFTEST_SEPARATE_COUNT));
            String[] pointData = Support.TestCase.getString(Support.TestCase.TSP_SELFTEST_SEPARATE_DIRECTION_POINT).split(",");
            int[] iArr = new int[2];
            iArr[1] = 2;
            iArr[0] = separateCount;
            int[][] minMaxValue = (int[][]) Array.newInstance(int.class, iArr);
            try {
                xChannel = Integer.parseInt(tmpX);
                yChannel = Integer.parseInt(tmpY);
            } catch (NumberFormatException ne) {
                FtUtil.log_e(ne);
            }
            if (!"NA".equals(command2)) {
                String status = TouchScreenPanel.this.setTSPCommand(command2, null);
                String result2 = TouchScreenPanel.this.getTSPCommandResultData(command2, null);
                if (!"NG".equals(result2)) {
                    int[] iArr2 = new int[2];
                    iArr2[1] = xChannel;
                    iArr2[0] = yChannel;
                    int[][] ret = (int[][]) Array.newInstance(int.class, iArr2);
                    int y = 0;
                    while (y < yChannel) {
                        String status2 = status;
                        int x = 0;
                        while (x < xChannel) {
                            try {
                                synchronized (this) {
                                    try {
                                        TouchScreenPanel touchScreenPanel = TouchScreenPanel.this;
                                        try {
                                            command = this.second_command;
                                            result = result2;
                                            try {
                                                sb = new StringBuilder();
                                                sb.append(x);
                                                msg = msg3;
                                            } catch (Throwable th) {
                                                th = th;
                                                msg = msg3;
                                                try {
                                                    throw th;
                                                } catch (Exception e) {
                                                    e = e;
                                                    status = status2;
                                                }
                                            }
                                        } catch (Throwable th2) {
                                            th = th2;
                                            result = result2;
                                            msg = msg3;
                                            throw th;
                                        }
                                        try {
                                            sb.append(",");
                                            sb.append(y);
                                            status2 = touchScreenPanel.setTSPCommand(command, sb.toString());
                                            int[] iArr3 = ret[y];
                                            TouchScreenPanel touchScreenPanel2 = TouchScreenPanel.this;
                                            String str = this.second_command;
                                            StringBuilder sb2 = new StringBuilder();
                                            sb2.append(x);
                                            sb2.append(",");
                                            sb2.append(y);
                                            iArr3[x] = Integer.parseInt(touchScreenPanel2.getTSPCommandResultData(str, sb2.toString()));
                                        } catch (Throwable th3) {
                                            th = th3;
                                            throw th;
                                        }
                                    } catch (Throwable th4) {
                                        th = th4;
                                        result = result2;
                                        msg = msg3;
                                        throw th;
                                    }
                                }
                            } catch (Exception e2) {
                                e = e2;
                                result = result2;
                                msg = msg3;
                                status = status2;
                                e.printStackTrace();
                                msg2 = msg;
                                FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "status : " + status);
                                FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "result : " + msg2);
                                if (status.equals("OK")) {
                                }
                                return;
                            }
                        }
                        result = result2;
                        msg = msg3;
                        y++;
                        status = status2;
                    }
                    result = result2;
                    msg = msg3;
                    int startX = 0;
                    int startY = 0;
                    try {
                        if ("0".equals(pointData[0])) {
                            for (int i = 0; i < separateCount - 1; i++) {
                                minMaxValue[i] = ModuleTouchScreen.instance(TouchScreenPanel.this.mContext).getRawDataPartialMinMax(ret, 0, startY, xChannel, Integer.parseInt(pointData[i + 1]));
                                startY = Integer.parseInt(pointData[i + 1]);
                            }
                            minMaxValue[separateCount - 1] = ModuleTouchScreen.instance(TouchScreenPanel.this.mContext).getRawDataPartialMinMax(ret, 0, startY, xChannel, yChannel);
                        } else if (EgisFingerprint.MAJOR_VERSION.equals(pointData[0])) {
                            for (int i2 = 0; i2 < separateCount - 1; i2++) {
                                minMaxValue[i2] = ModuleTouchScreen.instance(TouchScreenPanel.this.mContext).getRawDataPartialMinMax(ret, startX, 0, Integer.parseInt(pointData[i2 + 1]), yChannel);
                                startX = Integer.parseInt(pointData[i2 + 1]);
                            }
                            minMaxValue[separateCount - 1] = ModuleTouchScreen.instance(TouchScreenPanel.this.mContext).getRawDataPartialMinMax(ret, startX, 0, xChannel, yChannel);
                        }
                        StringBuffer bufMsg = new StringBuffer();
                        bufMsg.append(minMaxValue[0][0] + "," + minMaxValue[0][1]);
                        for (int i3 = 1; i3 < separateCount; i3++) {
                            bufMsg.append("," + minMaxValue[i3][0] + "," + minMaxValue[i3][1]);
                        }
                        msg2 = bufMsg.toString();
                    } catch (Exception e3) {
                        e = e3;
                        e.printStackTrace();
                        msg2 = msg;
                        FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "status : " + status);
                        FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "result : " + msg2);
                        if (status.equals("OK")) {
                        }
                        return;
                    }
                    FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "status : " + status);
                    FtUtil.log_d(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "result : " + msg2);
                    if (status.equals("OK")) {
                        FtUtil.log_i(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_OK");
                        Handler handler = this.mNotiHandler;
                        handler.sendMessage(handler.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_OK, this.tspID, -1, msg2));
                    } else if (status.equals("NOT_APPLICABLE")) {
                        FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_NA");
                        Handler handler2 = this.mNotiHandler;
                        handler2.sendMessage(handler2.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NA, this.tspID, -1));
                    } else {
                        FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_NG");
                        Handler handler3 = this.mNotiHandler;
                        handler3.sendMessage(handler3.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NG, this.tspID, -1));
                    }
                    return;
                }
                return;
            }
            FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "command==null");
            FtUtil.log_e(TouchScreenPanel.CLASS_NAME, "TSPStatus.run", "sendMessage == TSP_WHAT_STATUS_NA");
            Handler handler4 = this.mNotiHandler;
            handler4.sendMessage(handler4.obtainMessage(TouchScreenPanel.TSP_WHAT_STATUS_NA, this.tspID, -1));
        }
    }

    public void getTSPResult(int tspID, String subCommand, Handler notiHandler) {
        if (this.mExevutor == null) {
            this.mExevutor = Executors.newSingleThreadExecutor();
        }
        if (tspID == ModuleTouchScreen.TSP_ID__RAWCAP__NODE) {
            TSPThreadRawData tspThread = new TSPThreadRawData();
            tspThread.setHandler(notiHandler);
            tspThread.setParameter(tspID, subCommand);
            this.mExevutor.execute(tspThread);
        } else if (tspID == ModuleTouchScreen.TSP_ID__CX_DATA_GAP_NODE) {
            TSPThreadCxData tspThread2 = new TSPThreadCxData();
            tspThread2.setHandler(notiHandler);
            tspThread2.setParameter(tspID, subCommand);
            tspThread2.setTotalCx(true);
            this.mExevutor.execute(tspThread2);
        } else if (tspID == ModuleTouchScreen.TSP_ID__CX_DATA_ALL_NODE) {
            TSPThreadCxDataAll tspThread3 = new TSPThreadCxDataAll();
            tspThread3.setHandler(notiHandler);
            tspThread3.setParameter(tspID, subCommand);
            this.mExevutor.execute(tspThread3);
        } else if (tspID == ModuleTouchScreen.TSP_ID__CM_OFFSET_DATA_ALL) {
            TSPThreadCmOffsetSplitCorner tspThread4 = new TSPThreadCmOffsetSplitCorner();
            tspThread4.setHandler(notiHandler);
            tspThread4.setParameter(tspID, subCommand);
            this.mExevutor.execute(tspThread4);
        } else if (tspID == ModuleTouchScreen.TSP_ID__CM_OFFSET_DATA_GAP) {
            TSPThreadCmData tspThread5 = new TSPThreadCmData();
            tspThread5.setHandler(notiHandler);
            tspThread5.setParameter(tspID, subCommand);
            this.mExevutor.execute(tspThread5);
        } else if (tspID == ModuleTouchScreen.TSP_ID__CM_OFFSET_DATA_GAP_GREAT_STYLE) {
            TSPThreadCmOffsetGapGreatStyle tspThread6 = new TSPThreadCmOffsetGapGreatStyle();
            tspThread6.setHandler(notiHandler);
            tspThread6.setParameter(tspID, subCommand);
            this.mExevutor.execute(tspThread6);
        } else if (tspID == ModuleTouchScreen.TSP_ID__CM_OFFSET_DATA_GAP_SPLIT_CORNER) {
            TSPThreadCmOffsetGapSplitCorner tspThread7 = new TSPThreadCmOffsetGapSplitCorner();
            tspThread7.setHandler(notiHandler);
            tspThread7.setParameter(tspID, subCommand);
            this.mExevutor.execute(tspThread7);
        } else if (tspID == ModuleTouchScreen.TSP_ID__CM_OFFSET_DATA_GAP_LOW_FREQ) {
            TSPThreadCmOffsetGapSplitCorner tspThread8 = new TSPThreadCmOffsetGapSplitCorner();
            tspThread8.setHandler(notiHandler);
            tspThread8.setParameter(tspID, subCommand);
            this.mExevutor.execute(tspThread8);
        } else if (tspID == ModuleTouchScreen.TSP_ID__SELF_OFFSET_CROSS_GAP) {
            TSPThreadCmOffsetCrossData tspThread9 = new TSPThreadCmOffsetCrossData();
            tspThread9.setHandler(notiHandler);
            tspThread9.setParameter(tspID, subCommand);
            this.mExevutor.execute(tspThread9);
        } else if (tspID == ModuleTouchScreen.TSP_ID__SELF_OFFSET) {
            TSPThreadCmSelfOffset tspThread10 = new TSPThreadCmSelfOffset();
            tspThread10.setHandler(notiHandler);
            tspThread10.setParameter(tspID, subCommand);
            this.mExevutor.execute(tspThread10);
        } else if (tspID == ModuleTouchScreen.TSP_ID__VIEW_CP_DATA) {
            TSPThreadViewCpData tspThread11 = new TSPThreadViewCpData();
            tspThread11.setHandler(notiHandler);
            tspThread11.setParameter(tspID, subCommand);
            this.mExevutor.execute(tspThread11);
        } else if (tspID == ModuleTouchScreen.TSP_ID__DUMMY_CP_DATA) {
            TSPThreadDummyCpData tspThread12 = new TSPThreadDummyCpData();
            tspThread12.setHandler(notiHandler);
            tspThread12.setParameter(tspID, subCommand);
            this.mExevutor.execute(tspThread12);
        } else if (tspID == ModuleTouchScreen.TSP_ID__KEY_RAW_DATA) {
            TSPThreadFromSysfs tspThread13 = new TSPThreadFromSysfs();
            tspThread13.setHandler(notiHandler);
            tspThread13.setParameter(tspID, new String[]{Support.Kernel.TOUCH_KEY_RECENT_CP_DATA, Support.Kernel.TOUCH_KEY_BACK_CP_DATA});
            this.mExevutor.execute(tspThread13);
        } else if (tspID == ModuleTouchScreen.TSP_ID__TOTAL_CX) {
            TSPThreadTotalCx tspThread14 = new TSPThreadTotalCx();
            tspThread14.setHandler(notiHandler);
            tspThread14.setParameter(tspID);
            this.mExevutor.execute(tspThread14);
        } else if (tspID == ModuleTouchScreen.TSP_ID__RAWCAP__ALL_NODE__RETURN_MIN_MAX) {
            if (Support.TestCase.getEnabled(Support.TestCase.SUPPORT_TSP_SELFTEST_INCELL)) {
                TSPThreadSeparate tspThread15 = new TSPThreadSeparate();
                tspThread15.setHandler(notiHandler);
                String secondCommand = null;
                if (this.mVendor.equalsIgnoreCase(ModuleTouchScreen.TSP_VENDOR_NAME__SYNAPTICS)) {
                    secondCommand = ModuleDevice.TSP_CMD_READ1_RAWCAP;
                }
                tspThread15.setParameter(tspID, subCommand, secondCommand);
                this.mExevutor.execute(tspThread15);
                return;
            }
            TSPThreadRawCapData tspThread16 = new TSPThreadRawCapData();
            tspThread16.setHandler(notiHandler);
            tspThread16.setParameter(tspID, subCommand);
            this.mExevutor.execute(tspThread16);
        } else if (tspID == ModuleTouchScreen.TSP_ID__MIS_CALIBRATION__ALL_NODE__RETURN_MIN_MAX) {
            TSPThreadMinMax tspThread17 = new TSPThreadMinMax();
            tspThread17.setHandler(notiHandler);
            tspThread17.setParameter(tspID, null);
            this.mExevutor.execute(tspThread17);
        } else {
            TSPThread tspThread18 = new TSPThread();
            tspThread18.setHandler(notiHandler);
            tspThread18.setParameter(tspID, subCommand);
            this.mExevutor.execute(tspThread18);
        }
    }

    public String getTSPResultData(int tspID, String subCommand) {
        String returnValue;
        String status;
        String result;
        FtUtil.log_i(CLASS_NAME, "getTSPFailResult", "TSP ID (Main) : " + ModuleTouchScreen.convertorTSPID(tspID));
        String command = mapping_IDnCommand(tspID);
        FtUtil.log_i(CLASS_NAME, "getTSPResult", "Main Command : " + command);
        FtUtil.log_i(CLASS_NAME, "getTSPResult", "Sub Command : " + subCommand);
        if (command != "NA") {
            synchronized (this) {
                status = setTSPCommand(command, subCommand);
                result = getTSPCommandResult(command, subCommand);
            }
            FtUtil.log_d(CLASS_NAME, "getTSPResult", "status : " + status);
            FtUtil.log_d(CLASS_NAME, "getTSPResult", "result : " + result);
            returnValue = status + "," + result;
        } else {
            returnValue = "NA";
        }
        FtUtil.log_d(CLASS_NAME, "getTSPResult", "returnValue : [" + returnValue + "]");
        return returnValue;
    }

    public String getTSPResult(int tspID, String subCommand) {
        String returnValue;
        String status;
        String result;
        FtUtil.log_i(CLASS_NAME, "getTSPResult", "TSP ID (Main) : " + ModuleTouchScreen.convertorTSPID(tspID));
        String command = mapping_IDnCommand(tspID);
        FtUtil.log_i(CLASS_NAME, "getTSPResult", "Main Command : " + command);
        FtUtil.log_i(CLASS_NAME, "getTSPResult", "Sub Command : " + subCommand);
        if (command != "NA") {
            synchronized (this) {
                status = setTSPCommand(command, subCommand);
                result = getTSPCommandResult(command, subCommand);
            }
            FtUtil.log_d(CLASS_NAME, "getTSPResult", "status : " + status);
            FtUtil.log_d(CLASS_NAME, "getTSPResult", "result : " + result);
            if (status.equals("OK")) {
                returnValue = result;
            } else if (status.equals("NOT_APPLICABLE")) {
                returnValue = "NA";
            } else {
                returnValue = "NG";
            }
        } else {
            returnValue = "NA";
        }
        FtUtil.log_d(CLASS_NAME, "getTSPResult", "returnValue : [" + returnValue + "]");
        return returnValue;
    }

    public void setTSPHistory(int tspID, String subCommand) {
        if (this.mExevutor == null) {
            this.mExevutor = Executors.newSingleThreadExecutor();
        }
        TSPThreadHistory tspThread = new TSPThreadHistory();
        tspThread.setParameter(tspID, subCommand);
        this.mExevutor.execute(tspThread);
    }

    public boolean setHoverEnable(String command, String subCommand) {
        if (subCommand != null) {
            command = command + "," + subCommand;
        }
        return Support.Kernel.writeToPath(this.CMD_NODE, command.getBytes(Charsets.UTF_8));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private int[] getMinMaxTSPData(int[][] ret) {
        int[] result = new int[2];
        int DataMin = 99999;
        int DataMax = 0;
        for (int[] linear : ret) {
            for (int value : linear) {
                if (value > DataMax) {
                    DataMax = value;
                    FtUtil.log_d(CLASS_NAME, "getMinMaxTSPData", "DataMax: " + DataMax);
                }
                if (value < DataMin) {
                    DataMin = value;
                    FtUtil.log_d(CLASS_NAME, "getMinMaxTSPData", "DataMin: " + DataMin);
                }
            }
        }
        FtUtil.log_d(CLASS_NAME, "getMinMaxTSPData", "DataMin: " + DataMin + ", DataMax: " + DataMax);
        result[0] = DataMin;
        result[1] = DataMax;
        return result;
    }

    /* JADX WARNING: Removed duplicated region for block: B:46:0x0175 A[SYNTHETIC, Splitter:B:46:0x0175] */
    /* JADX WARNING: Removed duplicated region for block: B:50:0x01d5 A[Catch:{ Exception -> 0x01d3 }] */
    public String getTSPResult_Cx2() {
        Object obj;
        int yChannel;
        String result;
        Exception e;
        int yChannel2;
        int yChannel3;
        FtUtil.log_i(CLASS_NAME, "getTSPResult_Cx2", "TSP ID (Main) : " + ModuleTouchScreen.convertorTSPID(ModuleTouchScreen.TSP_ID__CX_DATA_GAP_NODE));
        String command = mapping_IDnCommand(ModuleTouchScreen.TSP_ID__CX_DATA_GAP_NODE);
        String second_command = TSP_CMD__STM__READ_CX_DATA_NODE;
        FtUtil.log_i(CLASS_NAME, "getTSPResult_Cx2", "Main Command : " + command);
        int[][] ret = null;
        String tmpX = ModuleTouchScreen.instance(this.mContext).getTSPChannelCountX();
        String tmpY = ModuleTouchScreen.instance(this.mContext).getTSPChannelCountY();
        int xChannel = Support.Spec.getInt(Support.Spec.TSP_NODE_COUNT_WIDTH);
        int yChannel4 = Support.Spec.getInt(Support.Spec.TSP_NODE_COUNT_HEIGHT);
        try {
            xChannel = Integer.parseInt(tmpX);
            obj = null;
            yChannel = Integer.parseInt(tmpY);
        } catch (NumberFormatException ne) {
            FtUtil.log_e(ne);
            obj = null;
            yChannel = yChannel4;
        }
        if (!"NA".equals(command)) {
            String status = setTSPCommand(command, null);
            if (!"NG".equals(getTSPCommandResultData(command, null))) {
                int i = 2;
                int[] iArr = new int[2];
                iArr[1] = xChannel;
                iArr[0] = yChannel;
                ret = (int[][]) Array.newInstance(int.class, iArr);
                int[] iArr2 = new int[2];
                iArr2[1] = xChannel;
                iArr2[0] = yChannel;
                int[][] ret_total = (int[][]) Array.newInstance(int.class, iArr2);
                int y = 0;
                while (y < yChannel) {
                    int x = 0;
                    while (x < xChannel) {
                        try {
                            status = setTSPCommand(second_command, x + "," + y);
                        } catch (Exception e2) {
                            e = e2;
                            e.printStackTrace();
                            if (ret != null) {
                            }
                            FtUtil.log_d(CLASS_NAME, "getTSPResult_Cx2", "result: " + result);
                            return result;
                        }
                        try {
                            String[] arr_result = getTSPCommandResultData(second_command, x + "," + y).split(",");
                            if (arr_result != null) {
                                try {
                                    yChannel2 = yChannel;
                                    if (arr_result.length >= 1) {
                                        try {
                                            ret[y][x] = Integer.parseInt(arr_result[0]);
                                        } catch (Exception e3) {
                                            e = e3;
                                            e.printStackTrace();
                                            if (ret != null) {
                                            }
                                            FtUtil.log_d(CLASS_NAME, "getTSPResult_Cx2", "result: " + result);
                                            return result;
                                        }
                                    }
                                    yChannel3 = 2;
                                    if (arr_result.length >= 2) {
                                        ret_total[y][x] = Integer.parseInt(arr_result[1]);
                                    }
                                } catch (Exception e4) {
                                    e = e4;
                                    e.printStackTrace();
                                    if (ret != null) {
                                    }
                                    FtUtil.log_d(CLASS_NAME, "getTSPResult_Cx2", "result: " + result);
                                    return result;
                                }
                            } else {
                                yChannel2 = yChannel;
                                yChannel3 = 2;
                            }
                            x++;
                            i = yChannel3;
                            second_command = second_command;
                            yChannel = yChannel2;
                        } catch (Exception e5) {
                            e = e5;
                            e.printStackTrace();
                            if (ret != null) {
                            }
                            FtUtil.log_d(CLASS_NAME, "getTSPResult_Cx2", "result: " + result);
                            return result;
                        }
                    }
                    y++;
                    yChannel = yChannel;
                }
            }
        }
        if (ret != null) {
            try {
                CheckCxDataAll checkCxDataAll = new CheckCxDataAll();
                this.mCheckCxDataAll = checkCxDataAll;
                int[] data = checkCxDataAll.getMinMaxCxData(ret);
                FtUtil.log_d(CLASS_NAME, "getTSPResult_Cx2", "data Min:" + data[0] + ", Max:" + data[1]);
                StringBuilder sb = new StringBuilder();
                sb.append(String.format("%d", Integer.valueOf(data[0])));
                sb.append(",");
                sb.append(String.format("%d", Integer.valueOf(data[1])));
                result = sb.toString();
            } catch (Exception e6) {
                e6.printStackTrace();
                result = "0,0";
            }
        } else {
            FtUtil.log_d(CLASS_NAME, "getTSPResult_Cx2", "ret is null");
            result = "0,0";
        }
        FtUtil.log_d(CLASS_NAME, "getTSPResult_Cx2", "result: " + result);
        return result;
    }
}
