package com.sec.factory.modules;

import com.sec.factory.support.FtUtil;
import com.sec.xmldata.support.Support;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileReader;

public class TspAllNodeCheck {
    private static final String CLASS_NAME = "TspAllNodeCheck";
    private final int ID_SEMI = 2037;
    private final long TSP_STATUS_RUNNING_TIME_OUT = 1000;
    private final String TSP_STATUS__COMMON__FAIL = "FAIL";
    private final String TSP_STATUS__COMMON__NOT_APPLICABLE = "NOT_APPLICABLE";
    private final String TSP_STATUS__COMMON__OK = "OK";
    private final String TSP_STATUS__COMMON__RUNNING = ModuleForceTouch.RUNNING;
    public String[] Value;
    private String combineFileName = "";
    private String command;
    private int countX;
    private int countY;
    private String failItemStr = "\n";
    private String file_path = Support.Kernel.getFilePath(Support.Kernel.PATH_TSP_ALL_NODE_SPEC);
    private boolean isSEMI = false;
    private boolean mResult = true;
    private String[] maxSpecArr;
    private String[] minSpecArr;
    private String name;
    private String resultData = "\n";
    private String tagName = "TSP_ALL_NODE";
    private String[] tspDataArr;

    public TspAllNodeCheck(int TestID) {
        if (TestID == 2037) {
            this.isSEMI = true;
            this.file_path += "TSP1_ALL_NODE_CHECK_SEMI.txt";
            this.combineFileName = "TSP1_SPEC_SEMI.txt";
        } else if (TestID == 44 || TestID == 197 || TestID == 332) {
            this.file_path += "TSP2_ALL_NODE_CHECK_15.txt";
            this.combineFileName = "TSP2_SPEC_15.txt";
        } else {
            this.file_path += "TSP1_ALL_NODE_CHECK_15.txt";
            this.combineFileName = "TSP1_SPEC_15.txt";
        }
    }

    public void testStart() {
        if (checkCombineSpec()) {
            testStartOneFile(true);
        } else {
            testStartOneFile(false);
        }
    }

    public void setTagName(String tag) {
        FtUtil.log_i(CLASS_NAME, "setTagName", "tag : " + tag);
        this.tagName = tag;
    }

    public boolean checkCombineSpec() {
        String path = Support.Kernel.getFilePath(Support.Kernel.PATH_TSP_ALL_NODE_SPEC) + this.combineFileName;
        FtUtil.log_d(CLASS_NAME, "checkCombineSpec", "path  : " + path);
        if (Support.Kernel.isExistFilePath(path)) {
            this.file_path = path;
            return true;
        }
        FtUtil.log_d(CLASS_NAME, "checkCombineSpec", "path  : " + path + " not exist");
        return false;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:36:0x014f, code lost:
        r4 = false;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:38:0x0153, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:39:0x0154, code lost:
        r0.printStackTrace();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:40:0x0158, code lost:
        return false;
     */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Removed duplicated region for block: B:38:0x0153 A[ExcHandler: Exception (r0v2 'e' java.lang.Exception A[CUSTOM_DECLARE]), Splitter:B:1:0x0013] */
    public boolean testStartOneFile(boolean combined) {
        String strReadLine;
        String strReadLine2 = "";
        char c = 0;
        try {
            FtUtil.log_d(CLASS_NAME, "testStartOneFile", "file_path : " + this.file_path);
            BufferedReader reader = new BufferedReader(new FileReader(this.file_path));
            if (combined) {
                do {
                    String readLine = reader.readLine();
                    strReadLine2 = readLine;
                    if (readLine == null) {
                        break;
                    }
                } while (!strReadLine2.contains(this.tagName));
                if (strReadLine2 == null) {
                    return false;
                }
            }
            if (strReadLine2.contains("DUAL")) {
                String strLcdType = Support.Kernel.read(Support.Kernel.LCD_TYPE_PATH);
                do {
                    strReadLine = reader.readLine();
                    if (strReadLine == null) {
                        break;
                    }
                } while (!checkModuleID(strReadLine, strLcdType));
                if (strReadLine == null) {
                    return false;
                }
            }
            while (true) {
                String readLine2 = reader.readLine();
                this.name = readLine2;
                if (readLine2 == null) {
                    break;
                }
                if (readLine2.contains("/" + this.tagName)) {
                    break;
                }
                String minSpec = "";
                String maxSpec = "";
                FtUtil.log_d(CLASS_NAME, "testStartOneFile", "name : " + this.name);
                this.command = reader.readLine().trim();
                String countXY = reader.readLine().trim();
                FtUtil.log_d(CLASS_NAME, "testStartOneFile", "countXY : " + countXY);
                String[] splitData = countXY.split(",");
                splitData[c] = splitData[c].trim();
                splitData[1] = splitData[1].trim();
                this.countX = Integer.parseInt(splitData[c]);
                this.countY = Integer.parseInt(splitData[1]);
                for (int i = 0; i < this.countY; i++) {
                    StringBuilder sb = new StringBuilder();
                    sb.append(minSpec);
                    sb.append(reader.readLine().trim());
                    sb.append(",");
                    minSpec = sb.toString();
                }
                reader.readLine();
                for (int i2 = 0; i2 < this.countY; i2++) {
                    maxSpec = maxSpec + reader.readLine().trim() + ",";
                }
                this.minSpecArr = minSpec.split(",");
                this.maxSpecArr = maxSpec.split(",");
                reader.readLine();
                getTspData();
                checkSpec();
                c = 0;
            }
            return true;
        } catch (FileNotFoundException e) {
            boolean z = false;
            FtUtil.log_e(CLASS_NAME, "testStartOneFile", "FileNotFoundException");
            return z;
        } catch (Exception e2) {
        }
    }

    private boolean checkModuleID(String strFile, String strDriver) {
        String strFile2 = strFile.trim();
        if (!strFile2.startsWith("<") || !strFile2.endsWith(">")) {
            return false;
        }
        FtUtil.log_d(CLASS_NAME, "checkModuleID", "strFile : " + strFile2);
        String strFile3 = strFile2.replace("<", "").replace(">", "");
        FtUtil.log_d(CLASS_NAME, "checkModuleID", "ModuleID from Spec  : " + strFile3);
        FtUtil.log_d(CLASS_NAME, "checkModuleID", "ModuleID from Sysfs : " + strDriver);
        char[] file = strFile3.toCharArray();
        char[] driver = strDriver.toCharArray();
        if (file.length != driver.length) {
            return false;
        }
        for (int i = 0; i < file.length; i++) {
            if (!(file[i] == '*' || file[i] == driver[i])) {
                return false;
            }
        }
        FtUtil.log_d(CLASS_NAME, "checkModuleID", "ModuleID from Spec  : " + strFile3);
        FtUtil.log_d(CLASS_NAME, "checkModuleID", "ModuleID from Sysfs : " + strDriver);
        return true;
    }

    public void checkSpec() {
        int failItemCount = 0;
        boolean isPassFail = true;
        String firstFailItem = "";
        String[] strArr = this.tspDataArr;
        if (strArr.length == this.minSpecArr.length && strArr.length == this.maxSpecArr.length) {
            int i = 0;
            while (true) {
                String[] strArr2 = this.tspDataArr;
                if (i >= strArr2.length) {
                    break;
                }
                if (Integer.parseInt(strArr2[i]) < Integer.parseInt(this.minSpecArr[i]) || Integer.parseInt(this.tspDataArr[i]) > Integer.parseInt(this.maxSpecArr[i])) {
                    FtUtil.log_e(CLASS_NAME, "checkSpec", this.name + " FAIL! min : " + this.minSpecArr[i] + " max : " + this.maxSpecArr[i] + " value : " + this.tspDataArr[i]);
                    if (failItemCount == 0) {
                        firstFailItem = " FAIL, Node(" + (i + 1) + "), Spec(" + this.minSpecArr[i] + " ~ " + this.maxSpecArr[i] + "), " + this.tspDataArr[i];
                    }
                    isPassFail = false;
                    this.mResult = false;
                    failItemCount++;
                }
                i++;
            }
            if (!isPassFail) {
                this.failItemStr += "* " + this.name + "\n    Result : " + failItemCount + firstFailItem + "\n";
            }
            StringBuilder sb = new StringBuilder();
            sb.append(this.resultData);
            sb.append("* ");
            sb.append(this.name);
            sb.append("\n    Result : ");
            sb.append(isPassFail ? "PASS" : "FAIL");
            sb.append("\n");
            this.resultData = sb.toString();
            return;
        }
        FtUtil.log_e(CLASS_NAME, "checkSpec", "count mismatch, min : " + this.minSpecArr.length + ", max : " + this.maxSpecArr.length + ", data : " + this.tspDataArr.length);
        this.resultData += "* " + this.name + "\n    Result : FAIL\n";
        this.failItemStr += "* " + this.name + "\n    Result : Count mismatch, data : " + this.tspDataArr.length + " min : " + this.minSpecArr.length + " max : " + this.maxSpecArr.length + "\n";
        this.mResult = false;
    }

    public String displayAllNodeResult() {
        return this.resultData;
    }

    public String getFailAllNodeItems() {
        return this.failItemStr;
    }

    public boolean getResult() {
        return this.mResult;
    }

    /* JADX INFO: Multiple debug info for r2v2 java.lang.String: [D('checkfilePath' java.lang.String), D('strReadLine' java.lang.String)] */
    public boolean ischeckAllNodeSpec() {
        String strReadLine;
        FtUtil.log_i(CLASS_NAME, "ischeckAllNodeSpec", "");
        if (checkCombineSpec()) {
            try {
                BufferedReader reader = new BufferedReader(new FileReader(this.file_path));
                do {
                    strReadLine = reader.readLine();
                    if (strReadLine == null) {
                        break;
                    }
                } while (!strReadLine.contains("TSP_ALL_NODE"));
                if (strReadLine == null) {
                    return false;
                }
                FtUtil.log_i(CLASS_NAME, "ischeckAllNodeSpec", "return true");
                return true;
            } catch (FileNotFoundException e) {
                FtUtil.log_e(CLASS_NAME, "ischeckAllNodeSpec", "FileNotFoundException");
                return false;
            } catch (Exception e2) {
                e2.printStackTrace();
                return false;
            }
        } else {
            String strReadLine2 = this.file_path;
            FtUtil.log_i(CLASS_NAME, "ischeckAllNodeSpec", "checkfilePath : " + strReadLine2);
            return new File(strReadLine2).exists();
        }
    }

    public boolean getTspData() {
        FtUtil.log_i(CLASS_NAME, "getTspData", "command : " + this.command);
        if (!Support.Kernel.write(Support.Kernel.TSP_COMMAND_CMD, this.command)) {
            Support.Kernel.read(Support.Kernel.TSP_COMMAND_RESULT);
            FtUtil.log_e(CLASS_NAME, "getTspData", "Fail - Command Write");
            return false;
        } else if (checkStatus(Support.Kernel.read(Support.Kernel.TSP_COMMAND_STATUS))) {
            String data = Support.Kernel.read(Support.Kernel.TSP_COMMAND_RESULT);
            while (Support.Kernel.read(Support.Kernel.TSP_COMMAND_STATUS).equals("EXPAND")) {
                data = data + Support.Kernel.read(Support.Kernel.TSP_COMMAND_RESULT);
            }
            if (data != null) {
                this.tspDataArr = data.split(":")[1].split(",");
            }
            return true;
        } else {
            Support.Kernel.read(Support.Kernel.TSP_COMMAND_RESULT);
            FtUtil.log_e(CLASS_NAME, "getTspData", "Reading TSP Data FAIL - STATUS");
            return false;
        }
    }

    public boolean checkStatus(String mStatus) {
        if (mStatus == null) {
            FtUtil.log_e(CLASS_NAME, "checkStatus", "mStatus == null");
        } else if (mStatus.equals("FAIL")) {
            FtUtil.log_e(CLASS_NAME, "checkStatus", "mStatus == fail");
        } else if (mStatus.equals("NOT_APPLICABLE")) {
            FtUtil.log_e(CLASS_NAME, "checkStatus", "mStatus == not applicable");
        } else if (mStatus.equals(ModuleForceTouch.RUNNING)) {
            FtUtil.log_w(CLASS_NAME, "checkStatus", "mStatus == " + mStatus);
            long timeStart = System.currentTimeMillis();
            while (true) {
                mStatus = Support.Kernel.read(Support.Kernel.TSP_COMMAND_STATUS);
                if (mStatus != null && mStatus.equals("OK")) {
                    FtUtil.log_i(CLASS_NAME, "checkStatus", "finish => " + System.currentTimeMillis());
                    break;
                } else if (1000 < System.currentTimeMillis() - timeStart) {
                    FtUtil.log_e(CLASS_NAME, "checkStatus", "finish => Time Out(1000)");
                    mStatus = "FAIL";
                    break;
                } else {
                    try {
                        Thread.sleep(100);
                    } catch (InterruptedException e) {
                    }
                }
            }
        }
        if (mStatus.equals("OK")) {
            FtUtil.log_i(CLASS_NAME, "checkStatus", "mStatus == ok");
            return true;
        }
        FtUtil.log_e(CLASS_NAME, "checkStatus", "mStatus == Unknown : " + mStatus);
        return false;
    }

    public boolean getDataFromFile(String filePath) {
        try {
            try {
                BufferedReader reader = new BufferedReader(new FileReader(filePath));
                this.name = reader.readLine().trim();
                this.command = reader.readLine().trim();
                String countXY = reader.readLine().trim();
                String minSpec = reader.readLine().trim();
                String maxSpec = reader.readLine().trim();
                String[] splitData = countXY.split(",");
                splitData[0] = splitData[0].trim();
                splitData[1] = splitData[1].trim();
                this.countX = Integer.parseInt(splitData[0]);
                this.countY = Integer.parseInt(splitData[1]);
                this.minSpecArr = minSpec.split(",");
                this.maxSpecArr = maxSpec.split(",");
                return true;
            } catch (Exception e) {
                e.printStackTrace();
                return false;
            }
        } catch (FileNotFoundException e2) {
            FtUtil.log_e(CLASS_NAME, "getDataFromFile", "FileNotFoundException");
            return false;
        }
    }
}
