package org.apache.poi.hssf.dev;

import java.io.File;
import java.io.IOException;
import java.io.InputStream;
import org.apache.poi.hssf.eventusermodel.HSSFEventFactory;
import org.apache.poi.hssf.eventusermodel.HSSFListener;
import org.apache.poi.hssf.eventusermodel.HSSFRequest;
import org.apache.poi.hssf.record.Record;
import org.apache.poi.poifs.filesystem.NPOIFSFileSystem;

public class EFBiffViewer {
    String file;

    /* JADX INFO: finally extract failed */
    public void run() throws IOException {
        NPOIFSFileSystem fs = new NPOIFSFileSystem(new File(this.file), true);
        try {
            InputStream din = BiffViewer.getPOIFSInputStream(fs);
            try {
                HSSFRequest req = new HSSFRequest();
                req.addListenerForAllRecords(new HSSFListener() {
                    /* class org.apache.poi.hssf.dev.EFBiffViewer.AnonymousClass1 */

                    @Override // org.apache.poi.hssf.eventusermodel.HSSFListener
                    public void processRecord(Record rec) {
                        System.out.println(rec.toString());
                    }
                });
                new HSSFEventFactory().processEvents(req, din);
                din.close();
            } catch (Throwable th) {
                din.close();
                throw th;
            }
        } finally {
            fs.close();
        }
    }

    public void setFile(String file2) {
        this.file = file2;
    }

    public static void main(String[] args) throws IOException {
        if (args.length != 1 || args[0].equals("--help")) {
            System.out.println("EFBiffViewer");
            System.out.println("Outputs biffview of records based on HSSFEventFactory");
            System.out.println("usage: java org.apache.poi.hssf.dev.EBBiffViewer filename");
            return;
        }
        EFBiffViewer viewer = new EFBiffViewer();
        viewer.setFile(args[0]);
        viewer.run();
    }
}
